define([
  'adultEducation/adultEducationComponents/authentication/authStep2/authStep2View',
  'js/utilities'
], function(
  authStep2View,
  utilities
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  
  function init(query) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  var defaultWorkInfo = JSON.parse(localStorage.getItem('workInfoData_' + loginStatus.userId));
	  defaultWorkInfo = defaultWorkInfo !== null ? defaultWorkInfo : '';
	  
	  authStep2View.render({
		  userType: query.userType,
		  adultCreditRes: query.adultCreditRes,
		  fromPage: query.fromPage,
		  workInfoHtml: {
			    "baseUserId": "",
			    "baseOrderId": "",
			    "baseBusinessType": "",
			    "baseDevelopmentNotes": "查询页面信息正常",
			    "filterRuleId": "",
			    "pageCode": "001002",
			    "currentPageName": "workInfo",
			    "prePageCode": "001001",
			    "nextPageCode": "001003",
			    "title": "额度申请-工作信息",
			    "formId": "workInfo",
			    "indicationStatus": "true",
			    "basicInfo": null,
			    "workInfo": null,
			    "contactsInfo": null,
			    "elementsList": [
			        {
			            "elementId": "594bca832e870307cdd415fe",
			            "domId": "userWorkName",
			            "elementCode": "001002",
			            "type": "text",
			            "name": "userWorkName",
			            "label": "单位名称",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请输入单位名称",
			            "defaultValue": defaultWorkInfo.userWorkName || "",
			            "selectList": [],
			            "option": [],
			            "validStatus": "1"
			        },
			        {
			            "elementId": "594bcae42e870307cdd41619",
			            "domId": "userWorkProperty",
			            "elementCode": "001002",
			            "type": "select",
			            "name": "userWorkProperty",
			            "label": "单位性质",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请选择单位性质",
			            "defaultValue": defaultWorkInfo.userWorkProperty || "",
			            "selectList": [
			                {
			                    "value": "",
			                    "view": "请选择单位性质"
			                },
			                {
			                    "value": "政府机关/事业单位",
			                    "view": "政府机关/事业单位"
			                },
			                {
			                    "value": "上市公司/世界500强/中国500强",
			                    "view": "上市公司/世界500强/中国500强"
			                },
			                {
			                    "value": "国有企业",
			                    "view": "国有企业"
			                },
			                {
			                    "value": "外商独资企业",
			                    "view": "外商独资企业"
			                },
			                {
			                    "value": "中外合资企业",
			                    "view": "中外合资企业"
			                },
			                {
			                    "value": "民营/私营企业",
			                    "view": "民营/私营企业"
			                },
			                {
			                    "value": "个体",
			                    "view": "个体"
			                },
			                {
			                    "value": "其他",
			                    "view": "其他"
			                }
			            ],
			            "option": [],
			            "validStatus": "1"
			        },
			        {
			            "elementId": "59524b032e8703c5205f5a12",
			            "domId": "industry",
			            "elementCode": "001002",
			            "type": "select",
			            "name": "industry",
			            "label": "所属行业",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请选择行业",
			            "defaultValue": defaultWorkInfo.industry || "",
			            "selectList": [
			                {
			                    "value": "",
			                    "view": "请选择行业"
			                },
			                {
			                    "value": "政府机关/公检法/社会团体",
			                    "view": "政府机关/公检法/社会团体"
			                },
			                {
			                    "value": "公用事业单位/国有大型垄断企业",
			                    "view": "公用事业单位/国有大型垄断企业"
			                },
			                {
			                    "value": "公立/私立院校/科研机构",
			                    "view": "公立/私立院校/科研机构"
			                },
			                {
			                    "value": "其他教育培训机构",
			                    "view": "其他教育培训机构"
			                },
			                {
			                    "value": "军队/军事机构",
			                    "view": "军队/军事机构"
			                },
			                {
			                    "value": "计算机/信息技术/互联网",
			                    "view": "计算机/信息技术/互联网"
			                },
			                {
			                    "value": "百货商场/大型连锁卖场",
			                    "view": "百货商场/大型连锁卖场"
			                },
			                {
			                    "value": "进出口公司/中小型批发零售业",
			                    "view": "进出口公司/中小型批发零售业"
			                },
			                {
			                    "value": "银行/保险/证券/基金",
			                    "view": "银行/保险/证券/基金"
			                },
			                {
			                    "value": "其他金融类机构",
			                    "view": "其他金融类机构"
			                },
			                {
			                    "value": "房地产开发/建筑工程业",
			                    "view": "房地产开发/建筑工程业"
			                },
			                {
			                    "value": "设计装潢/建材",
			                    "view": "设计装潢/建材"
			                },
			                {
			                    "value": "房产中介",
			                    "view": "房产中介"
			                },
			                {
			                    "value": "专业性事务所",
			                    "view": "专业性事务所"
			                },
			                {
			                    "value": "市场推广/广告/咨询服务/小型商业服务业",
			                    "view": "市场推广/广告/咨询服务/小型商业服务业"
			                },
			                {
			                    "value": "高级酒店/连锁宾馆/大型中外连锁餐饮",
			                    "view": "高级酒店/连锁宾馆/大型中外连锁餐饮"
			                },
			                {
			                    "value": "中小型餐饮/宾馆/旅行社",
			                    "view": "中小型餐饮/宾馆/旅行社"
			                },
			                {
			                    "value": "公立医院/医疗机构",
			                    "view": "公立医院/医疗机构"
			                },
			                {
			                    "value": "私人诊所/养老院/康复中心",
			                    "view": "私人诊所/养老院/康复中心"
			                },
			                {
			                    "value": "大众传媒/体育运动",
			                    "view": "大众传媒/体育运动"
			                },
			                {
			                    "value": "加工制造业",
			                    "view": "加工制造业"
			                },
			                {
			                    "value": "交通运输/物流",
			                    "view": "交通运输/物流"
			                },
			                {
			                    "value": "个体商铺/娱乐休闲",
			                    "view": "个体商铺/娱乐休闲"
			                },
			                {
			                    "value": "农、林、蓄、牧、渔业",
			                    "view": "农、林、蓄、牧、渔业"
			                },
			                {
			                    "value": "其他",
			                    "view": "其他"
			                }
			            ],
			            "option": [],
			            "validStatus": "1"
			        },
			        {
			            "elementId": "594bcb5d2e870307cdd41662",
			            "domId": "userWorkAddress",
			            "elementCode": "001002",
			            "type": "location",
			            "name": "userWorkAddress",
			            "label": "单位地址",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请选择城市",
			            "defaultValue": defaultWorkInfo.userWorkAddressCode || "",
			            "selectList": [],
			            "option": [],
			            "validStatus": "1"
			        },
			        {
			            "elementId": "594bcb9f2e870307cdd41688",
			            "domId": "userWorkFullAddress",
			            "elementCode": "001002",
			            "type": "text",
			            "name": "userWorkFullAddress",
			            "label": "详细地址",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请输入详细地址",
			            "defaultValue": defaultWorkInfo.userWorkFullAddress || "",
			            "selectList": [],
			            "option": [],
			            "validStatus": "1"
			        },
//				        {
//				            "elementId": "594bc91d2e870307cdd4158d",
//				            "domId": "",
//				            "elementCode": "",
//				            "type": "div",
//				            "name": "",
//				            "label": "",
//				            "visibleStatus": "true",
//				            "disabledStatus": "false",
//				            "placeholder": "空白显示",
//				            "defaultValue": "",
//				            "selectList": [],
//				            "option": [],
//				            "validStatus": ""
//				        },
			        {
			            "elementId": "594bc9d32e870307cdd415b9",
			            "domId": "userWorkPhone",
			            "elementCode": "001002",
			            "type": "zoneDescription",
			            "name": "userWorkPhone",
			            "label": "单位电话",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "区号电话",
			            "defaultValue": defaultWorkInfo.userWorkPhone || "",
			            "selectList": [
			                {
			                    "id1": "userWorkPhone1",
			                    "placeholder1": "区号",
			                    "defaultValue": defaultWorkInfo.userWorkPhone1 || "",
			                    "id2": "userWorkPhone2",
			                    "placeholder2": "电话号码",
			                    "defaultValue": defaultWorkInfo.userWorkPhone2 || ""
			                }
			            ],
			            "option": [],
			            "validStatus": "1"
			        },
			        {
			            "elementId": "594bc9fb2e870307cdd415c9",
			            "domId": "userWorkDuty",
			            "elementCode": "001002",
			            "type": "select",
			            "name": "userWorkDuty",
			            "label": "职务职称",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请选择职务",
			            "defaultValue": defaultWorkInfo.userWorkDuty || "",
			            "selectList": [
			                {
			                    "value": "",
			                    "view": "请选择职务"
			                },
			                {
			                    "value": "高层管理人员",
			                    "view": "高层管理人员"
			                },
			                {
			                    "value": "中层管理人员",
			                    "view": "中层管理人员"
			                },
			                {
			                    "value": "基层管理人员",
			                    "view": "基层管理人员"
			                },
			                {
			                    "value": "一般正式员工",
			                    "view": "一般正式员工"
			                },
			                {
			                    "value": "一线操作工人",
			                    "view": "一线操作工人"
			                },
			                {
			                    "value": "销售人员",
			                    "view": "销售人员"
			                },
			                {
			                    "value": "个体经营者",
			                    "view": "个体经营者"
			                },
			                {
			                    "value": "兼职/临时工、自由职业者",
			                    "view": "兼职/临时工、自由职业者"
			                }
			            ],
			            "option": [],
			            "validStatus": "1"
			        },
			        {
			            "elementId": "594bca332e870307cdd415df",
			            "domId": "userMonthlyIncome",
			            "elementCode": "001002",
			            "type": "text",
			            "name": "userMonthlyIncome",
			            "label": "月收入",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请输入月收入金额",
			            "defaultValue": defaultWorkInfo.userMonthlyIncome || "",
			            "selectList": [],
			            "option": [],
			            "validStatus": "1"
			        },
			        {
			            "elementId": "594bca5d2e870307cdd415ef",
			            "domId": "userWorkTime",
			            "elementCode": "001002",
			            "type": "time",
			            "name": "userWorkTime",
			            "label": "入职日期",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请选择入职日期",
			            "defaultValue": defaultWorkInfo.userWorkTime || "",
			            "selectList": [],
			            "option": [],
			            "validStatus": "1"
			        }
			    ]
			}
	  });
  }
  
  return {
	init: init,
  };
});