define([
  'jquery',   
  'js/utilities',
  'js/config',
  'js/validator',
  'components/common/popup/popupProtocol',
  'hbs!adultEducation/adultEducationComponents/authentication/inputArea',
  'hbs!components/common/protocolArea/protocolArea',
  'hbs!components/common/protocolArea/protocolFrame',
  'hbs!components/common/protocolArea/protocolItem1',
  'hbs!components/common/button/button'
], function(
  $$,
  utilities,
  config,
  validator,
  popupProtocol,
  inputAreaTemplate,
  protocolAreaTemplate,
  protocolFrame,
  protocolItem1Template,
  buttonTemplate
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var getDay = utilities.getDay;
  var getLngAndLat = utilities.getLngAndLat;
  var callWebHtml = utilities.callWebHtml;
  var getDeviceType = utilities.getDeviceType;
  var getDeviceSimulator = utilities.getDeviceSimulator;

  var popupProtocol = popupProtocol.popupProtocol;
  
  var SKIP = config.SKIP;
  
  function trimStr(str, is_global) {
	  var result;
	  result = str.replace(/(^\s+)|(\s+$)/g, "");
	  if (is_global.toLowerCase() == 'g') {
		  result = result.replace(/\s/g, '');
	  }
	  return result;
  }
  
  function render(params) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  var userId=loginStatus.userId;
//	  var userType = params.contactsInfoHtml.userType;
	  var userType = params.userType;
	  var contact1Key = false;
	  var contact2Key = false;
	  var protocolChecked = localStorage.getItem('authProtocolChecked_'+userId);
      var isNotChecked = protocolChecked == null ? true : false;

	  // 重置通讯录长度及是否获取到权限。
	  var contactsLength = '';
	  var contactsAuthorization = '';
//	  var addressList = [];

		TalkingData.onPage("身份认证3");		
		TalkingData.onPageBegin("身份认证3_填写时间");	
		
	    $("#authNavbar .left #back").on('click', function() {
	    	TalkingData.onEventWithLabel('身份认证3', '返回');
	    });
	    
 	  
	  	// 渲染页面
	  contactsInfoHtml=params.contactsInfoHtml
		  var authStep3Html = inputAreaTemplate({
			  tabbarId: 'contectsTabbar',
			  formId:contactsInfoHtml.formId,
			  inputList:contactsInfoHtml.elementsList,
			  visibleStatus:contactsInfoHtml.indicationStatus,
		  });
	  	$('#tabAuthStep3Content').html(authStep3Html);
	  	
	  	// 渲染头部导航栏
//		  loadComponent('navbar', 'common', {
//			  container: '.contactsInfoNavbar',
//			  title: '额度申请',
//			  backClass: 'contactsInfoBackBtn',
//			  isBackIcon: true,
//			  isBack: false,
//			  userType:params.contactsInfoHtml.userType,
//			  filterRuleId:params.filterRuleId,
//			  nextPageCode:params.contactsInfoHtml.prePageCode
//		  });
		  
	  		loadComponent('navbar', 'common', {
				container: '.contactsInfoNavbar',
				title: '身份认证',
				backId: 'adultEduAuthStep2',
				isBackIcon: true,
				isBack: false,
				callback: function(){
					$('#adultEduAuthStep2').off('click').on('click', function() {
						f7.showTab('#tabAuthStep2');
						loadAdultEducationComponent('authStep2', 'authentication', {
		  	    			fromPage: 'authStep3',
		  	    			userType: params.userType,
		  	    			adultCreditRes: params.adultCreditRes
			  	    	});
			  	    });
				}
			});

		// 渲染头部状态栏
		loadAdultEducationComponent('authenticationTabbar', 'authentication', {
			container: '#contectsTabbar',
			tabIndex: 4,
			pageType: 'authPage'
		});
		
		var authProtocolTip = '<div class="warning">* 以上您所提交的个人信息仅用于指尖租赁业务办理！</div>';
		$$('#tabAuthStep3Content').append(authProtocolTip);

	  	// 渲染协议按钮
		$('#tabAuthStep3Protocol').html(protocolAreaTemplate({
			isNotChecked: isNotChecked,
			protocolItem1: {
				id: 'authStep2Protocol',
				title: '《公民个人信息授权书》'
			}
		}));
		
		// 渲染协议勾选弹出框
        // 取消勾选不弹框，缓存勾选状态
        $$('.icon-form-checkbox').off('click').on('click', function(){
            if ($$('.label-checkbox > input')[0].checked === false && isNotChecked) {
                popupProtocol();
                isNotChecked = false;
                localStorage.setItem('authProtocolChecked_' + userId, JSON.stringify(isNotChecked));
            }
        });

		// 渲染协议弹出层
		$('#authStep2Protocol').on('click', function() {
			// 此协议需传入身份证号，姓名，手机号
			var basicInfoData = JSON.parse(localStorage.getItem('basicInfoData'+ '_' + userId)); 
        	callWebHtml({
        		url: '/agreement/agrTemplateCredit',
        		type: 'POST',
        		params: {
        			baseBusinessType:'003002',
        			templateId:'2',
					userId: loginStatus.userId,
					orderId: '',
					userIdCard:basicInfoData.idcard.toUpperCase(),			// 身份证号
					userName:basicInfoData.name,							// 姓名
					userPhoneNumber:basicInfoData.phone						// 手机号
        		},
        		successCallback: function(response) {
					$('#popupAuth').html(protocolFrame({
						protocolId: "agreementCreditAuthorization",
						protocolName: "《公民个人信息授权书》",
						protocolWidth: $('body').width(),
						protocolHeight: $('body').height() - 56
					}));
//					$$("#agreementCreditAuthorization").contents().find("html").html(response);
					$$("#agreementCreditAuthorization").contents().find("html")[0].innerHTML = response;
					
					f7.popup('#popupAuth');
        		},
        		errorCallback: function(err) {}
        	});
		});
		


		// 渲染底部按钮
		$('#authBtn').html(buttonTemplate({
			id: 'authStep3Btn',
			value: '下一步',
			disabled: false
		}));

		$('#contact1Btn').on('click', function() {
			TalkingData.onEventWithLabel('身份认证2', '通讯录读取第一紧急联系人信息');
			importContact('firstContactsName', 'firstContactsPhone', 'contact1');
		});
		
		$('#contact2Btn').on('click', function() {
			TalkingData.onEventWithLabel('身份认证2', '通讯录读取第二紧急联系人信息');
			importContact('secondContactsName', 'secondContactsPhone', 'contact2');
		});
		
		
		// 验证常用联系人
		$('#firstContactsName').on('blur', function() {
			checkContact($('#firstContactsName').val(), $('#firstContactsPhone').val(), $('#firstContactsRelation').val(), '#firstContactsPhone', 'contact1');
		});
		$('#firstContactsPhone').on('blur', function() {
			if (validator.isNull($('#firstContactsPhone').val())) { f7.alert('紧急联系人手机号不为空'); return false; }
			if (!validator.checkTel($('#firstContactsPhone').val())) { f7.alert('您填写的是一个无效紧急联系人手机号码'); $('#firstContactsPhone').val(''); return false; }
			if ($('#firstContactsPhone').val() === loginStatus.accountName) { f7.alert('紧急联系人手机号码不能是本人手机号码'); return false; }
			checkContact($('#firstContactsName').val(), $('#firstContactsPhone').val(), $('#firstContactsRelation').val(), '#firstContactsPhone', 'contact1');
		});
		$('#firstContactsRelation').on('blur', function() {
			checkContact($('#firstContactsName').val(), $('#firstContactsPhone').val(), $('#firstContactsRelation').val(), '#firstContactsPhone', 'contact1');
		});
		
		// 验证紧急联系人
		$('#secondContactsName').on('blur', function() {
			checkContact($('#secondContactsName').val(), $('#secondContactsPhone').val(), $('#secondContactsRelation').val(), '#secondContactsPhone', 'contact2');
		});
		$('#secondContactsPhone').on('blur', function() {
			if (validator.isNull($('#secondContactsPhone').val())) { f7.alert('常用联系人手机号不为空'); return false; }
			if (!validator.checkTel($('#secondContactsPhone').val())) { f7.alert('您输入的是一个无效常用联系人手机号码'); $('#secondContactsPhone').val(''); return false; }
			if ($('#secondContactsPhone').val() === loginStatus.accountName) { f7.alert('常用联系人手机号码不能是本人手机号码'); return false; }
			checkContact($('#secondContactsName').val(), $('#secondContactsPhone').val(), $('#secondContactsRelation').val(), '#secondContactsPhone', 'contact2');
		});
		$('#secondContactsRelation').on('blur', function() {
			checkContact($('#secondContactsName').val(), $('#secondContactsPhone').val(), $('#secondContactsRelation').val(), '#secondContactsPhone', 'contact2');
		});
		
		$('#authStep3Btn').on('click', function() {
			TalkingData.onEventWithLabel('身份认证2', '通讯录读取第二紧急联系人信息');

			if (validator.isNull($('#firstContactsName').val())) { f7.alert('紧急联系人姓名不为空'); return false; }
			if (validator.isNull($('#firstContactsPhone').val())) { f7.alert('紧急联系人手机号不为空'); return false; }
			if (!validator.checkTel($('#firstContactsPhone').val())) { f7.alert('您填写的是一个无效紧急联系人手机号码'); return false; }
			if ($('#firstContactsPhone').val() === loginStatus.accountName) { f7.alert('紧急联系人手机号码不能是本人手机号码'); return false; }
			if ($('#firstContactsRelation').val() === 'selected' || validator.isNull($('#firstContactsRelation').val())) { f7.alert('与紧急联系人关系不为空'); return false; }
		
			if (validator.isNull($('#secondContactsName').val())) { f7.alert('常用联系人姓名不为空'); return false; }
			if (validator.isNull($('#secondContactsPhone').val())) { f7.alert('常用联系人手机号不为空'); return false; }
			if (!validator.checkTel($('#secondContactsPhone').val())) { f7.alert('您输入的是一个无效常用联系人手机号码'); return false; }
			if ($('#secondContactsPhone').val() === loginStatus.accountName) { f7.alert('常用联系人手机号码不能是本人手机号码'); return false; }	
			if ($('#secondContactsRelation').val() === 'selected' || validator.isNull($('#secondContactsRelation').val())) { f7.alert('与常用联系人关系不为空'); return false; }
		
			if (!$('#tabAuthStep3Protocol input')[0].checked) { f7.alert('请阅读并同意协议'); return false; }
			if ($('#firstContactsPhone').val() == $('#secondContactsPhone').val()) { f7.alert('紧急联系人与常用联系人号码不能相同'); return false; }
			
			var basicInfoData = JSON.parse(localStorage.getItem('basicInfoData'+ '_' + userId)); 
			var workInfoData = JSON.parse(localStorage.getItem('workInfoData'+ '_' + userId)); 
			var contactsInfoData = f7.formToJSON('#'+params.contactsInfoHtml.formId);
			
//			// 增加通讯录权限和通讯录数量
//			contactsInfoData.contactsAuthorization = contactsAuthorization;
//			contactsInfoData.contactsLength = contactsLength;
			//通讯录内容提交
//			contactsInfoData.addressList = addressList;
			
			localStorage.setItem('contactsInfoData' + '_' + userId, JSON.stringify(contactsInfoData));
			
			
			// 是否跳过cordova的device.uuid
			var deviceId = '';
			if (!SKIP.cordova_uuid) {
				deviceId = device.uuid;
			}
			
			var deviceIsSim = getDeviceSimulator();
//			// 是否跳过cordova的device.isVirtual
//			var deviceIsSim = 'false';
//			if (!SKIP.cordova_isVirtual) {
//				deviceIsSim = device.isVirtual;
//			}

//			var creditSize = params.userType !== '003'? '1':'2';
			
			var baseParams = {
					baseBusinessType: '003002',
					productMode: '003002',
					creditSize:'',												//新增字段额度规模（大于一万或小于）
					userRole:'',												//用户类型
					userId: loginStatus.userId,											//用户ID
					decisionID: "XJJTREE",
					registerCity: basicInfoData.dwellingAddress.split(' ')[1] ,			//注册城市
					
					name: basicInfoData.name,											//姓名
					sex: "男",															//性别
					idcard: basicInfoData.idcard.toUpperCase(),							//身份证号
					birthday: basicInfoData.userBirthday,								//生日
					phone: basicInfoData.phone,											//用户手机号
					bankcard: basicInfoData.bankcard,									//银行卡号
					userMaritalStatus: basicInfoData.userMaritalStatus,					//婚姻状况
					highestEducation: basicInfoData.highestEducation,					//最高学历
					userDwellingCondition: basicInfoData.userDwellingCondition,			//居住状况
					dwellingAddress: basicInfoData.dwellingAddress,						//居住地址
					userDwellingDetailAddress: basicInfoData.userDwellingDetailAddress, //详细地址
					userProvinceName: basicInfoData.dwellingAddress.split(' ')[0],		//省市名
					userCityName: basicInfoData.dwellingAddress.split(' ')[1],			//城市名
					userAreaName: basicInfoData.dwellingAddress.split(' ')[2],			//地区名
					userProvinceCode: basicInfoData.userLocationCode[0],				//省市code
					userCityCode: basicInfoData.userLocationCode[1],					//城市code
					userAreaCode: basicInfoData.userLocationCode[2],					//地区code
					
					companyName: workInfoData.userWorkName,								//单位名称|企业名称
					industry: workInfoData.industry,									//所属行业
					companyProperty: workInfoData.userWorkProperty,						//单位性质|企业性质
					userMonthlyIncome: workInfoData.userMonthlyIncome,					//月收入
					userDuty: workInfoData.userWorkDuty,								//职务职称
					userWorkFullAddress: workInfoData.userWorkFullAddress,				//用户详细工作地址|经营场所详细地址
					userWorkAddressProvinceName: workInfoData.userWorkAddress.split(' ')[0],
					userWorkAddressCityName: workInfoData.userWorkAddress.split(' ')[1],
					userWorkAddressAreaName: workInfoData.userWorkAddress.split(' ')[2],
					userWorkAddressProvinceCode: workInfoData.userWorkAddressCode[0],	//工作省市Code	
					userWorkAddressCityCode:workInfoData.userWorkAddressCode[1],		//工作城市code
					userWorkAddressAreaCode: workInfoData.userWorkAddressCode[2],		//工作地区code
					userWorkPhone: workInfoData.userWorkPhone,							//单位电话
					userWorkYears: workInfoData.userWorkTime,							//入职时间|企业成立时间
					
					contactsList: [														//联系人
						{
							userId: loginStatus.userId,									//紧急联系人
							contactsName: contactsInfoData.firstContactsName,
							contactsPhoneNumber: contactsInfoData.firstContactsPhone,
							contactsUserRelation: contactsInfoData.firstContactsRelation,
							contactsIdentityCardNumber: '',
							contactsAddress: '',
							baseBusinessType:"",
							contactsType:"1"
							
						},
						{
							userId: loginStatus.userId,									//常用联系人
							contactsName: contactsInfoData.secondContactsName,
							contactsPhoneNumber: contactsInfoData.secondContactsPhone,
							contactsUserRelation: contactsInfoData.secondContactsRelation,
							contactsIdentityCardNumber: '',
							contactsAddress: '',
							baseBusinessType:"",
							contactsType:"2"							
						}
					],
					contactsLength: '',						//联系人数量
					contactsAuthorization: '',				//访问联系人权限
					addressList: [],						//通讯录列表
					deviceId: deviceId,						//设备ID	
					deviceSimulator: deviceIsSim,			//是否模拟器
					creditLongitude: '',					// 身份认证经度
					creditLatitude: ''						// 身份认证纬度
				};
				
				//发送请求
				function creditActivationFunc() {
					
					callAppApi({
						url: '/app/credit/audit/submit/riskRule',
						apiVersion: '2.0',
						type: 'POST',
						params: baseParams,
						successCallback: function(auditInfoRes) {
							loadAdultEducationPage('uploadIdCard', {
								query: {
									fromPage: 'authentication'
								}
							});
						},
						errorCallback: function(err) {}
					})
				}
				
				if (!SKIP.cordova_contacts) {
					cordova.plugins.diagnostic.isContactsAuthorized(function(res) {
		              if(res == '-1'){
		              	     f7.modal({
								 text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
								 buttons: [{
									 text: '确定',
									 onClick: function() {
										 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
									 }
								 }]
							 });

		              }else if(res == '0'){
		                  navigator.contacts.requestAuth(function(msg) {
		                	  baseParams.contactsAuthorization = '1';

		    				  // 获取通讯录数据
		    				  navigator.contacts.contactsList(function(list) {

		    					  if (Array.isArray(list)) {
		    						  baseParams.contactsLength = list.length.toString();
		    					  } else {
		    						  baseParams.contactsLength = '0';
		    					  }

		    					  baseParams.addressList = list;
		    					  //获取经纬度
								var creditSaveBaseInfoStatus = false;
								getLngAndLat(function(position) {
									baseParams.creditLongitude = position.lng;
									baseParams.creditLatitude = position.lat;
									
									if (creditSaveBaseInfoStatus == false) {
										creditSaveBaseInfoStatus = true;
										creditActivationFunc();
									}
									
								}, function(error) {
									baseParams.creditLongitude = '';
									baseParams.creditLatitude = '';
									
									if (creditSaveBaseInfoStatus == false) {
										creditSaveBaseInfoStatus = true;
										creditActivationFunc();
									}
								});
		    				  }, function(err) {
		    					  if (err === '-2' && getDeviceType() === 'ANDROID') {
		    							 f7.modal({
//		    									 text: '请在手机设置中，允许指尖租赁访问您的通讯录。',
		    								 text: '获取失败，请打开通讯录权限。',
		    								 buttons: [{
		    									 text: '确定',
		    									 onClick: function() {
//		    											 mainView.loadPage('index.html');
		    										 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
		    									 }
		    								 }]
		    							 });
		    						 } else {
		    							  f7.alert('访问通讯录好友失败，请检查是否开启通讯录权限');
		    						 }
		    				  });

		    			  }, function(msg) {

		    				 if (msg === '-1') {
		    					 f7.modal({
		    						 text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
		    						 buttons: [{
		    							 text: '确定',
		    							 onClick: function() {
		    								 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
		    							 }
		    						 }]
		    					 });
		    				 } else if (msg === '-2') {
		    					 f7.modal({
		    						 text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
		    						 buttons: [{
		    							 text: '确定',
		    							 onClick: function() {
		    								 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
		    							 }
		    						 }]
		    					 });
		    				 }

		    				 baseParams.contactsAuthorization = '0';
		    			  });
			          }else if(res == '1'){
			        	  baseParams.contactsAuthorization = '1';

	    				  // 获取通讯录数据
	    				  navigator.contacts.contactsList(function(list) {

	    					  if (Array.isArray(list)) {
	    						  baseParams.contactsLength = list.length.toString();
	    					  } else {
	    						  baseParams.contactsLength = '0';
	    					  }

	    					  baseParams.addressList = list;
	    					  
		    					//获取经纬度
								var creditSaveBaseInfoStatus = false;
								getLngAndLat(function(position) {
									baseParams.creditLongitude = position.lng;
									baseParams.creditLatitude = position.lat;
									
									if (creditSaveBaseInfoStatus == false) {
										creditSaveBaseInfoStatus = true;
										creditActivationFunc();
									}
									
								}, function(error) {
									baseParams.creditLongitude = '';
									baseParams.creditLatitude = '';
									
									if (creditSaveBaseInfoStatus == false) {
										creditSaveBaseInfoStatus = true;
										creditActivationFunc();
									}
								});
	    				  }, function(err) {
	    					  if (err === '-2' && getDeviceType() === 'ANDROID') {
	    							 f7.modal({
//	    									 text: '请在手机设置中，允许指尖租赁访问您的通讯录。',
	    								 text: '获取失败，请打开通讯录权限。',
	    								 buttons: [{
	    									 text: '确定',
	    									 onClick: function() {
//	    											 mainView.loadPage('index.html');
	    										 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
	    									 }
	    								 }]
	    							 });
	    						 } else {
	    							  f7.alert('访问通讯录好友失败，请检查是否开启通讯录权限');
	    						 }
	    				  });
			          }
					}, function(err) {
						 f7.modal({
							 text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
							 buttons: [{
								 text: '确定',
								 onClick: function() {
									 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
								 }
							 }]
						 });
					});
				} else {
					//获取经纬度
					var creditSaveBaseInfoStatus = false;
					getLngAndLat(function(position) {
						baseParams.creditLongitude = position.lng;
						baseParams.creditLatitude = position.lat;
						
						if (creditSaveBaseInfoStatus == false) {
							creditSaveBaseInfoStatus = true;
							creditActivationFunc();
						}
						
					}, function(error) {
						baseParams.creditLongitude = '';
						baseParams.creditLatitude = '';
						
						if (creditSaveBaseInfoStatus == false) {
							creditSaveBaseInfoStatus = true;
							creditActivationFunc();
						}
					});
			  }
		})
		
	  function checkContact(name, phone, relation, selectKey, contactKey) {
		  if (validator.isNull(name)) { return false; }
		  if (!validator.checkTel(phone)) { return false; }
		  if (validator.isNull(relation)) { return false; }
		  
		  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		  
		  var contactsType = contactKey.slice(-1);
			// 检查紧急联系人
			callAppApi({
				url: '/app/checkContacts',
				type: 'POST',
				accountId: loginStatus.accountName,
				sessionToken: loginStatus.userSession,
				params: {
					userId: loginStatus.userId,
					contactsPhoneNumber: phone,
					contactsType: contactsType
				},
				successCallback: function(data) {
					
					if (contactKey === 'contact1') {
						contact1Key = true;
					} else if (contactKey === 'contact2') {
						contact2Key = true;
					}
				},
				errorCallback: function(data) {
					if (contactKey === 'contact1') {
						contact1Key = false;
					} else if (contactKey === 'contact2') {
						contact2Key = false;
					}
					$(selectKey).val('');
				}
			});
	  }
		
	  function getContactName(c) {
		  var name = c.displayName;
		  if (!name || name === '') {
			  if (c.name.formatted) {
				  return c.name.formatted;
			  }
			  if (c.name.givenName && c.name.familyName) {
				  return c.name.givenName + ' ' + c.name.familyName;
			  }
			  return 'Nameless';
		  }
		  return name;
	  }
	  
	  function importContact (name, phone, contactKey) {
		  try {
			  navigator.contacts.requestAuth(function(msg) {
				  navigator.contacts.pickContact(function(contact) {
				      var phoneNumber = contact.phoneNumbers[0].value;
				      var username = getContactName(contact);
				      if(phoneNumber){
				    	phoneNumber = trimStr(phoneNumber.replace(/-/g,""),"g");
				      }
				      if(username){
				    	username = trimStr(username,"g");
				      }
					  $('#' + name).val(username);
					  $('#' + phone).val(phoneNumber);
					  // 调用通讯录更新key值
					  if (contactKey === 'contact1') {
						  checkContact($('#firstContactsName').val(), $('#firstContactsPhone').val(), $('#firstContactsRelation').val(), '#firstContactsPhone', 'contact1');
					  } else if (contactKey === 'contact2') {
						  checkContact($('#secondContactsName').val(), $('#secondContactsPhone').val(), $('#secondContactsRelation').val(), '#secondContactsPhone', 'contact2');
					  }
				  }, function(err) {
					 if (err === '-2' && getDeviceType() === 'ANDROID') {
						 f7.modal({
//								 text: '请在手机设置中，允许指尖租赁访问您的通讯录。',
							 text: '获取失败，请打开通讯录权限。',
							 buttons: [{
								 text: '确定',
								 onClick: function() {
//										 mainView.loadPage('index.html');
									 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
								 }
							 }]
						 });
					 } else {
						  f7.alert('访问通讯录好友失败，请检查是否开启通讯录权限');
					 }
				  })
			  }, function(msg) {
				  TalkingData.onEventWithLabel('身份认证1', '拒绝访问通讯录的请求');
				 if (msg === '-1' && getDeviceType() === 'ANDROID') {
					 f7.modal({
//						 text: '请在手机设置中，允许指尖租赁访问您的通讯录。',
						 text: '获取失败，请打开通讯录权限。',
						 buttons: [{
							 text: '确定',
							 onClick: function() {
//								 mainView.loadPage('index.html');
								 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
							 }
						 }]
					 });
				 } else if (msg === '-2' && getDeviceType() === 'ANDROID') {
					 f7.modal({
//						 text: '请在手机设置中，允许指尖租赁访问您的通讯录。',
						 text: '获取失败，请打开通讯录权限。',
						 buttons: [{
							 text: '确定',
							 onClick: function() {
//								 mainView.loadPage('index.html');
								 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
							 }
						 }]
					 });
				 }
			  })
		  } catch(e) {
			  f7.alert('访问通讯录好友失败，请检查是否开启通讯录权限');
		  }
	  }
  }

  return {
	 render: render,
  }
});