define([
    'jquery',
    'js/config',
    'js/utilities',
    'js/validator',
    'adultEducation/adultEducationContainers/chooseGoods/chooseGoodsHelper',
    'hbs!adultEducation/adultEducationContainers/chooseGoods/chooseGoods',
    'hbs!components/chooseGoods/chooseGoodsItem',
    'hbs!components/common/button/button'
], function(
	$$,
	config,
	utilities,
	validator,
	chooseGoodsHelper,
	chooseGoodsTemplate,
	chooseGoodsItemTemplate,
	buttonTemplate
) {
	var callAppApi = utilities.callAppApi;
	var SKIP = config.SKIP;
	var doWithQRCode = chooseGoodsHelper.doWithQRCode;
	var getLngAndLat = utilities.getLngAndLat;
	var infoQueryRouter = utilities.infoQueryRouter;
	var moneyStrToFloat = utilities.moneyStrToFloat;
	var getFormatPrice = utilities.getFormatPrice;
	
    var checkBankNo = validator.checkBankNo;
    var checkBankId = validator.checkBankId;
	
	var resetGoodsPrice = chooseGoodsHelper.resetGoodsPrice;
	var resetCredit = chooseGoodsHelper.resetCredit;
	var resetGoodsProduct = chooseGoodsHelper.resetGoodsProduct;
	var resetGoodsStageNum = chooseGoodsHelper.resetGoodsStageNum;
	var resetProtocolName = chooseGoodsHelper.resetProtocolName;
	var resetProtocolNum = chooseGoodsHelper.resetProtocolNum;
	var resetProtocolTime = chooseGoodsHelper.resetProtocolTime;
	var resetFirstPayment = chooseGoodsHelper.resetFirstPayment;
	var resetLinedownPayment = chooseGoodsHelper.resetLinedownPayment;
	var resetEachPayment = chooseGoodsHelper.resetEachPayment;
	//回显事件添加方法
	var chooseStoreGoodeChange = chooseGoodsHelper.chooseStoreGoodeChange;
	var changeProductPrice = chooseGoodsHelper.changeProductPrice;
	var goodsProductChange = chooseGoodsHelper.goodsProductChange;
	var goodsStageNumChange = chooseGoodsHelper.goodsStageNumChange;
	var goodsSuitePlanDetailChange = chooseGoodsHelper.goodsSuitePlanDetailChange;
	
	var contractTitle = '';			//课程协议名称
	
	function render(params) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		var userName = params.userName || '';
		var storeUserId = '';		// 店员id
		var storeUserName = '';		// 店员名称
		var storeId = '';			// 门店id
		var storeName = '';			// 门店名称
		var supplierId = '';		// 供应商id
		
		var courseList = []; 		// 课程列表数组
		var courseId = '';			// 课程id
		var courseName = '';		// 课程名称
		var coursePrice = '';		// 课程价格
		var creditPrice = '';		// 分期金额
		var lineDownPay = '';		// 线下支付
		
		var protocolName = '';		// 协议名称
		var protocolTime = '';		// 协议签订时间
		
		var defaultGoodsInfo = JSON.parse(localStorage.getItem('defaultGoodsInfo_' + loginStatus.userId));
		defaultGoodsInfo = defaultGoodsInfo ? defaultGoodsInfo : '';
		
		locatiionChooseGoodsListData = JSON.parse(localStorage.getItem('locatiionChooseGoodsListData' + '_' + loginStatus.userId));
		if(locatiionChooseGoodsListData){
		    locatiionChooseGoodsListData=locatiionChooseGoodsListData;
		}else{
		    var locatiionChooseGoodsListData={} 
		}
		
		var chooseGoodsData = {
			module: [
			    {
			    	formId: 'chooseGoodsPriceForm',
			    	dataList: [
			    	    {
							id: 'goods',
							type: 'select',
							visibleStatus: true,
							disabled: true,
							label: '商品名称',
							selectList: [
								{
									default: true,
									value: defaultGoodsInfo.goodsSellName || '请先扫码后选择商品',
									view: defaultGoodsInfo.goodsSellName || '请扫码后选择商品',
								}
							]
			    	    },
						{
							id: 'goodsPrice',
							type: 'text',
							visibleStatus: true,
							disabled: true,
							label: '商品价格',
							placeholder: '请输入商品价格',
							value: defaultGoodsInfo.orderProductPrice || '',
							view: (defaultGoodsInfo.orderProductPrice + '元') || '',
						}
			    	]
			    },
			    {
			    	formId: 'chooseGoodsBlock',
			    	dataList: []
			    },
			    {
			    	formId: 'chooseGoodsStageForm',
			    	dataList: [
						{
							id: 'adultEducationCredit',
							type: 'suffixText',
							visibleStatus: true,
							disabled: true,
							label: '分期金额',
							placeholder: '请输入分期金额',
							value: defaultGoodsInfo.goodsSuiteStagePrice || '',
							suffix: '元'
						},
						{
							id: 'goodsProduct',
							type: 'select',
							visibleStatus: true,
							disabled: true,
							label: '分期产品',                         
							selectList: [
								{
									value: defaultGoodsInfo.goodsProductName || '请选择分期产品',
									view: defaultGoodsInfo.goodsProductName || '请选择分期产品'
								}
							]
						},
						{
							id: 'goodsStageNum',
							type: 'select',
							visibleStatus: true,
							disabled: true,
							label: '期数',
							selectList: [
								{
									value: defaultGoodsInfo.goodsSuiteStageNumber || '请选择期数',
									view: defaultGoodsInfo.goodsSuiteStageNumber || '请选择期数',
								}
							]
						},
						{
							id: 'firstPayment',
							type: 'text',
							visibleStatus: true,
							disabled: true,
							label: '期初支付',
							placeholder: '0元',
							value: defaultGoodsInfo.goodsSuitePayFirstPrice || '',
							view: (defaultGoodsInfo.goodsSuitePayFirstPrice + '元') || ''
						},
						{
							id: 'linedownPayment',
							type: 'text',
							visibleStatus: true,
							disabled: true,
							label: '线下支付',
							placeholder: '0元',
							value: defaultGoodsInfo.goodsSuitePayInitialPrice || '',
							view: (defaultGoodsInfo.goodsSuitePayInitialPrice + '元') || ''
						},
						{
							id: 'eachPayment',
							type: 'text',
							visibleStatus: true,
							disabled: true,
							label: '分期明细',
							placeholder: '',
							value: ''
						}
			    	]
			    },
			    {
			    	formId: 'chooseGoodsBlock1',
			    	dataList: [
			    		{
			    			id: 'blockTip',
							type: 'text',
							visibleStatus: true,
							disabled: true,
							placeholder: '',
							label: '',
							value: ''
			    		}
			    	]
			    },
			    {
			    	formId: 'chooseGoodsProtocolForm',
			    	dataList: [
						{
							id: 'protocolName',
							type: 'select',
							visibleStatus: true,
							disabled: true,
							label: '课程协议名称',
							selectList: [
								{
									value: defaultGoodsInfo.contractTitle || '请选择课程协议名称',
									view: defaultGoodsInfo.contractTitle || '请选择课程协议名称',
								}
							]
						},
						{
							id: 'protocolTime',
							type: 'text',
							visibleStatus: true,
							disabled: true,
							placeholder: defaultGoodsInfo.contractSignDate || '请选择时间',
							label: '协议签订时间',
							value: defaultGoodsInfo.contractSignDate || ''
						},
			    	]
			    }
			
			]
		}
		
		var pwdErrorCount = 1;						// 交易密码错误次数
		var adultEducationPwdStatus = true;			// 记录密码是否可用
		if (
				typeof localStorage.getItem('adultEducationPwdErrorTime') == 'string' &&
				localStorage.getItem('adultEducationPwdErrorTime') !== '' &&
				localStorage.getItem('adultEducationPwdErrorTime') - Date.now() > 0
		) {
			pwdErrorCount = 5;
			adultEducationPwdStatus = false;
		}
		
		var payOrderInputPwdStatus = false;			// 是否正在发送验证交易密码请求
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		// 渲染navbar
		loadComponent('navbar', 'common', {
			container: '#chooseGoodsNavbar',
			title: '选择商品',
			backId: 'chooseGoodsBackBtn',
			isBackIcon: true,
			isBack: false,
			callback: function() {
				$$('#chooseGoodsBackBtn').on('click', function() {
					mainView.router.back({
						url: 'index.html',
						force: true
					});
				});
			}
		});
		
		// 渲染头部状态栏
		loadAdultEducationComponent('authenticationTabbar', 'authentication', {
			container: '#chooseGoodsTabbar',
			tabIndex: 1,
			pageType: 'orderPage'
		});
		
		// 渲染主页面
		$$('#chooseGoodsContent').html(chooseGoodsTemplate({
			templateData: chooseGoodsData,
			storeName: defaultGoodsInfo.storeName || "请点击右侧扫描二维码"
		}));
		
		var chooseGoodsProtocolTip = '<div class="warning">*请确保以下填写内容与合同文本保持一致</div>';
		$$('#chooseGoodsBlock1Box').html(chooseGoodsProtocolTip);
		
		var protocolTimeValue=[];
		// 初始化时间组件
		var today = new Date();
		var protocolTimeDate = f7.picker({
			input: '#protocolTime',
			rotateEffect: true,
			toolbarCloseText: '完成',
			value:'',	//[today.getFullYear(), today.getMonth(), today.getDate()]
			onChange: function (picker, values, displayValues) {
		        var daysInMonth = new Date(picker.value[0], picker.value[1]*1 + 1, 0).getDate();
		        if (values[2] > daysInMonth) {
		            picker.cols[3].setValue(daysInMonth);
		        }
		    },
			formatValue: function (p, values, displayValues) {
				var displayYear = values[0];
				var displayMonth = (parseInt(values[1]) + 1) < 10 ? '0' + (parseInt(values[1]) + 1) : (parseInt(values[1]) + 1).toString();
				var displayDay = (parseInt(values[2])) < 10 ? '0' + (parseInt(values[2])) : (parseInt(values[2])).toString();
				return displayYear + '-' + displayMonth + '-' + displayDay;
			},
			cols: [
				// year
				{
					values: (function() {
						var arr = [];
						var curYear = today.getFullYear();
						for (var i = 1950; i <= curYear; i++) { arr.push(i); }
						return arr;
					})()
				},
				{
					divider: true,
					content: '  '
				},
				// month
				{
					values: ('0 1 2 3 4 5 6 7 8 9 10 11').split(' '),
					displayValues: ('01 02 03 04 05 06 07 08 09 10 11 12').split(' '),
				},
				// day
				{
					values: [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31],
				}
			],
		    onOpen: function (picker) {	 
		    	protocolTimeDate.setValue([today.getFullYear(), today.getMonth(),today.getDate()]);
		    }
			
		});
		
		if (protocolTimeValue!=="" && protocolTimeValue.length>0) {
			var protocolTimeYear = protocolTimeValue.split("-")[0];
			var protocolTimeMonth = (parseInt(protocolTimeValue.split("-")[1]) - 1).toString();
			protocolTimeDate.setValue([protocolTimeYear, protocolTimeMonth]);
		}
		
		$$('#goods').parent().on('click.adultEducation', function(){
			if($$('#goods').val() == '请先扫码后选择商品'){
				f7.alertMessage("请先扫码再选择商品");
			}
		});
		
		$$('#QRcodeBtn').off('click.adultEducation').on('click.adultEducation', function() {
			
			// 是否跳过二维码扫描
			if (!SKIP.cordova_QRCode) {
				cordova.plugins.HrToolsPlugin.QrCodePlugin(scanCallbackStore, scanQrCodeError);
			} else {
				scanCallbackStore('*V|M|*20170914');
			}
			
			function scanQrCodeError (error){
			    f7.alertMessage("二维码扫描失败，请重试！");
			};
			function scanCallbackStore(result) {
			    var objectID = doWithQRCode(result, getStoreUserStoreInfo);
			    return objectID;
			};
			
			
			// 通过店员id获取门店信息
			function getStoreUserStoreInfo(objectId) {
				  storeUserId = objectId;
				  // 根据店员id查询门店商品信息
				  callAppApi({
					  url: '/app/storeUserStoreInfo',
					  type: 'POST',
					  params: {
						  storeUserId: objectId,
						  businessType: '003002'
					  },
					  successCallback:getStoreInfoSuccess ,
					  errorCallback: function() {
						  resetGoodsPrice();
						  resetCredit();
						  resetGoodsProduct();
						  resetGoodsStageNum();
						  resetFirstPayment();
						  resetLinedownPayment();
						  resetEachPayment();
						  resetProtocolName();
						  resetProtocolNum();
						  resetProtocolTime();
					  }
				  });
			}
			
			// 通过门店获取产品信息
			function getStoreInfoSuccess(data) {
				resetGoodsPrice();
				resetCredit();
				resetGoodsProduct();
				resetGoodsStageNum();
				resetEachPayment();
				resetProtocolName();
				resetProtocolTime();
				resetFirstPayment();
				
				$$('#ORCodeInput').val(data.storeName);
				
				storeUserId = data.storeUserId;							// 店员id
				storeUserName = data.storeUserName;						// 店员名称
				storeId = data.storeId;									// 门店id
				storeName = data.storeName;								// 门店名称
				supplierId = data.supplierId;							// 供应商id
				storeSuperiorPartner = data.storeSuperiorPartner;
				
				// 根据店员id查询门店商品信息
				callAppApi({
					url: '/app/order/getGoods',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						storeUserId: storeUserId,
						baseBusinessType:'003002'
					},
					successCallback: getGoodsSuccess,
					errorCallback: function() {}
				});
			}
		});
		
		// 获取门店的商品所有类型
		function getGoodsSuccess(data) {
			courseList = data;
			var courseListView = [];
			
			courseListView = data.map(function(item) {
				return {
					default: false,
					value: item.courseId,
					view: item.courseName
				}
			});
			
			courseListView.unshift({
				default: true,
				value: '',
				view: '请选择'
			});
			
			locatiionChooseGoodsListData.courseList = courseList;
			locatiionChooseGoodsListData.courseListView = courseListView;  // 门店商品信息存储本地
			
			$$('#goods').html(chooseGoodsItemTemplate({optionsList: courseListView}));
			$$('#goods').removeAttr('disabled');
			
			$$('#goods').off('change.adultEducationChooseGoods').on('change.adultEducationChooseGoods', function(e) {
				
				if (e.target.value == '') {
					f7.alertMessage('请选择商品');
					resetGoodsPrice();
					resetCredit();
					resetGoodsProduct();
					resetGoodsStageNum();
					resetFirstPayment();
					resetLinedownPayment();
					resetEachPayment();
					resetProtocolName();
					resetProtocolTime();
				} else {
					resetGoodsStageNum();
					resetFirstPayment();
					resetLinedownPayment();
					resetEachPayment();
					resetProtocolName();
					resetProtocolTime();
					
					currentGoodsId = e.target.value;
					courseId = e.target.value;
					
					courseList.forEach(function(item) {
						if (item.courseId == courseId) {
							courseName = item.courseName;
							coursePrice = item.coursePrice;
							contractTitle = item.contractTitle;
							defaultGoodsInfo.contractTitle = contractTitle;
						}
					});
					
					$$('#goodsPrice').val(coursePrice + '元');
					$$('#adultEducationCredit').val(coursePrice);
					getSuitePlanListSuccess();
				}
			});
		}
		
		function getSuitePlanListSuccess(data) {
			$$('#adultEducationCredit').removeAttr('disabled');
			
			lineDownPay = moneyStrToFloat(coursePrice) - moneyStrToFloat($$('#adultEducationCredit').val());
			$$('#linedownPayment').val(lineDownPay + '元');
			
			callAppApi({
				url: '/module/suite/suitePlanList',
				type: 'POST',
				params: {
					userId: loginStatus.userId,
					baseBusinessType: '003002',
					storeId: storeId
				},
				successCallback: getProductList,
				errorCallback: function(err) {}
			});
			
			// 分期金额校验:大于商品价格则自动设置为商品价格
			$$('#adultEducationCredit').on('blur', function() {
				if (!/^[1-9][0-9]*$$/.test($$('#adultEducationCredit').val())) {
					f7.alert('分期金额必须是数字格式');
					$$("#adultEducationCredit").val(coursePrice);
					resetGoodsProduct();
					resetGoodsStageNum();
					resetFirstPayment();
					resetLinedownPayment();
					resetEachPayment();
					resetProtocolName();
					resetProtocolTime();
				}
				if(moneyStrToFloat($$('#adultEducationCredit').val()) <= 0){
					f7.alert('分期金额不能小于0');
					$$("#adultEducationCredit").val(coursePrice);
					resetGoodsProduct();
					resetGoodsStageNum();
					resetFirstPayment();
					resetLinedownPayment();
					resetEachPayment();
					resetProtocolName();
					resetProtocolTime();
				}
				if(moneyStrToFloat($$('#adultEducationCredit').val()) > moneyStrToFloat(coursePrice)){
					f7.alert('分期金额不能大于商品价格');
					$$("#adultEducationCredit").val(coursePrice);
					resetGoodsProduct();
					resetGoodsStageNum();
					resetFirstPayment();
					resetLinedownPayment();
					resetEachPayment();
					resetProtocolName();
					resetProtocolTime();
				}
				
				lineDownPay = moneyStrToFloat(coursePrice) - moneyStrToFloat($$('#adultEducationCredit').val());
				$$('#linedownPayment').val(lineDownPay + '元');
				
				resetGoodsProduct();
				resetGoodsStageNum();
				resetFirstPayment();
				resetEachPayment();
				resetProtocolName();
				resetProtocolTime();
				$$('#goodsProduct').removeAttr('disabled');
				
				callAppApi({
					url: '/module/suite/suitePlanList',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						baseBusinessType: '003002',
						storeId: storeId
					},
					successCallback: getProductList,
					errorCallback: function(err) {}
				})
			})
		}
		function getProductList(data){
			
			var chooseGoodsProductList = data.map(function(item) {
				return {
					default: false,
					value: item.productId,
					view: item.productName,
					planList: item.planList
				}
			});
			
			chooseGoodsProductList.unshift({
				default: true,
				value: '',
				view: '请选择分期产品',
				planList: []
			});
			$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: chooseGoodsProductList}));
			$$('#goodsProduct').removeAttr('disabled');

			locatiionChooseGoodsListData.chooseGoodsProductList = chooseGoodsProductList; // 分期产品存储本地
			
			$$('#goodsProduct').off('change.adultEducationChooseGoods').on('change.adultEducationChooseGoods', function(e) {
				
				if (e.target.children[0].selected) {
					f7.alert('请选择分期产品');
					resetGoodsStageNum();
					resetFirstPayment();
					resetEachPayment();
					resetProtocolName();
					resetProtocolTime();
				} else {

					for (var i = 0; i < e.target.children.length; i++) {
						if (e.target.children[i].selected === true) {
							
							// 根据所选产品的planId是否为空来判断是否显示套餐名称
							if (chooseGoodsProductList[i].planList[0].planId === '') {
								goodsPlanStatus = false;
							} else {
								goodsPlanStatus = true;
							}
							
							goodsProductId = chooseGoodsProductList[i].value;	// 分期产品id
							goodsProductName = chooseGoodsProductList[i].view;	// 分期产品名称
							
							if (goodsPlanStatus === true) {
								$('#goodsSuite').parent().removeClass('hide');
								getGoodsPlanSuccess(chooseGoodsProductList[i].planList);
							} else if (goodsPlanStatus === false) {
								
								goodsPlanId = '';
								goodsPlanName = '';
								$('#goodsSuite').parent().addClass('hide');
								getGoodsPeriodSuccess(chooseGoodsProductList[i].planList[0].periodList);
							}
						}
					}
				}
			});
		}
		
		// 分期产品绑定事件
		function getGoodsPlanSuccess(data) {

			var chooseGoodsPlanList = data.map(function(item) {
				return {
					default: false,
					value: item.planId,
					view: item.planName,
					periodList: item.periodList
				}
			});
			
			chooseGoodsPlanList.unshift({
				default: true,
				value: '',
				view: '请选择套餐名称',
				periodList: []
			});

			$$('#goodsSuite').html(chooseGoodsItemTemplate({optionsList: chooseGoodsPlanList}));
			$$('#goodsSuite').removeAttr('disabled');
			
			$$('#goodsSuite').off('change.educationChooseGoods').on('change.educationChooseGoods', function(e) {
				
				if (e.target.children[0].selected) {
					f7.alert('请选择套餐名称');
				} else {
					
					for (var i = 0; i < e.target.children.length; i++) {
						if (e.target.children[i].selected === true) {
							goodsPlanId = chooseGoodsPlanList[i].value;		// 套餐id
							goodsPlanName = chooseGoodsPlanList[i].view;		// 套餐名称
							
							getGoodsPeriodSuccess(chooseGoodsPlanList[i].periodList);
						}
					}
 				}
			})
		}
		
		// 获取分期期数成功
		function getGoodsPeriodSuccess(data) {
			
			var chooseGoodsPeriodList = data.map(function(item) {
				return {
					default: false,
					value: item.periodKey,
					view: item.period
				};
			});
			
			chooseGoodsPeriodList.unshift({
				default: true,
				value: '',
				view: '请选择期数'
			})

			$$('#goodsStageNum').html(chooseGoodsItemTemplate({optionsList: chooseGoodsPeriodList}));
			$$('#goodsStageNum').removeAttr('disabled');
			
			locatiionChooseGoodsListData.chooseGoodsPeriodList = chooseGoodsPeriodList;
			
			$$('#goodsStageNum').off('change.educationChooseGoods').on('change.educationChooseGoods', function(e) {
				
				if (e.target.children[0].selected) {
					f7.alert('请选择期数');
					resetFirstPayment();
					resetEachPayment();
					resetProtocolName();
					resetProtocolNum();
					resetProtocolTime();
					$$('#linedownPayment').attr('disabled',true);
				} else {
					for (var i = 0; i < e.target.children.length; i++) {
						if (e.target.children[i].selected === true) {
							goodsPeriodKey = e.target.children[i].value;
							goodsPeriod = parseInt(e.target.children[i].innerHTML).toString();
						}
					}
					callAppApi({
						url: '/module/suite/suitePlanDetail',
						apiVersion: '2.0',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							orderProductPrice: coursePrice,
							stagePlanAmt: $$("#adultEducationCredit").val(),
							periodKey: goodsPeriodKey,
							planId: goodsPlanId,
							goodsSellId:currentGoodsId,
							baseBusinessType: '003002'
						},
						successCallback: getSuitePlanDetailSuccess,
						errorCallback: function(err) {}
					});
				}
			});
		}

		// 获取详细分期计划成功回调
		function getSuitePlanDetailSuccess(data) {
			$$('#protocolName').removeAttr('disabled');
			$$('#protocolTime').removeAttr('disabled');
			$$('#goodsDetials').addClass('plan-detail');
			$$('#goodsDetials').removeAttr('disabled');
			//课程协议名称数据处理
			if(!contractTitle){
				contractTitle = defaultGoodsInfo.contractTitle;
			}
			if(contractTitle){
				var contractTitleList = contractTitle.split('|');
			}else{
				var contractTitleList = [];
			}
			var contractTitleTempList = contractTitleList.map(function(item) {
				return {
					default: false,
					value: item,
					view: item
				};
			});
			
			contractTitleTempList.unshift({
				default: true,
				value: '',
				view: '请选择课程协议名称'
			})
			$$('#protocolName').html(chooseGoodsItemTemplate({optionsList: contractTitleTempList}));
			$$('#protocolName').removeAttr('disabled');
			if(contractTitleList.length == 1){
				$$('#protocolName').val(contractTitleList[0]);
			}
			
			locatiionChooseGoodsListData.contractTitleTempList = contractTitleTempList;
			if(data==undefined){
				data = locatiionChooseGoodsListData.suitePlanDetailData;
			} else {
				locatiionChooseGoodsListData.suitePlanDetailData = data;
			}
			
			orderPlanId=data.orderPlanId;
			goodsSuiteTotalAmount = data.totalAmount;		//租金总额
			interestRental=data.interestRental;				//利息期每期租金
			principalRental=data.principalRental;			//本金期每期租金
			interestTimes=data.interestTimes				//利息期数
			principalTimes=data.principalTimes				//本金期数
			goodsSuitePayFirstPrice=data.downPayment;		//首付金额
			goodsSuiteStagePrice=data.stagePrice;			//每期金额
			goodsSuitePoundage=data.handlingCharge;			//手续费	
			goodsSuiteServiceCharges=data.serviceCharge;	//服务费
			goodsSuiteLeverPrice=data.leverPrice;			//设备杠杆费用
			goodsSuitePayInitialPrice=data.selfPayAmount;	//自付金额
			goodsSuiteStageNumber=data.instalPeriod;		//分期期数
			goodPaymentDetail=data.paymentDetail;
			locatiionChooseGoodsListData.goodPaymentDetail = goodPaymentDetail;
			var goodPaymentDetailHtml='';
			if (goodPaymentDetail){
				goodPaymentDetail.map(function(item,index){
					goodPaymentDetailHtml = goodPaymentDetailHtml +
						'<div class="model-list-item">'+
							'<div class="model-list-number model-list-content">第'+item.periodNo+'期</div>' +
							'<div class="model-list-pay model-list-content">'+getFormatPrice(item.payAmount)+'元</div>' +
						'</div>' 
				})
			}
			
			// 设置期初支付
			$$('#firstPayment').val(data.downPayment + '元');
			
			$$("#goodsDetials").off("click").on("click",function(){
				f7.modal({
					title: '分期账单',
					afterText: '<div class="model-block-chooseGoods">'+
										'<div class="model-head">'+
											'<div class="chooseGoodsModalItem" style="width: 100%">' +
												'<span class="key">商品名称</span><span class="value">' + courseName + '</span>' +
											'</div>' +
											'<div class="chooseGoodsModalItem">'+
												'<span class="key">还款金额</span><span class="value">' + getFormatPrice(goodsSuiteTotalAmount) + '元</span>'+
											'</div>' +
											'<div class="chooseGoodsModalItem">'+
												'<span class="key">还款方式</span><span class="value">月还</span>'+
											'</div>' +
											'<div class="chooseGoodsModalItem">'+
													'<span class="key">期数</span><span class="value">' + goodsSuiteStageNumber + '期</span>'+
											'</div>' +
										'</div>' +
										'<div class="model-list-item item-title">'+
											'<div class="model-list-number model-list-content">期数</div>' +
											'<div class="model-list-pay model-list-content">每期还款</div>' +
										'</div>' +
										'<div class="model-list">'+
											goodPaymentDetailHtml +
										'</div>' +
									 '</div>',
					buttons: [
						{
							text: '确认',
							onClick: function(){
//								$('body').css({
//									'overflow':'visible'
//								}),
//								$('html').css({
//									'overflow':'visible'
//								})
		  					}
						}
					]
				});
				$(".model-block-chooseGoods .model-head")[0].addEventListener('touchmove', function (event) { 
					event.preventDefault();
				}, false);
				$(".modal-button")[0].addEventListener('touchmove', function (event) { 
					event.preventDefault();
				}, false);
				$(".modal-title")[0].addEventListener('touchmove', function (event) { 
					event.preventDefault();
				}, false);
				$('.model-list-item')[0].addEventListener('touchmove', function (event) { 
					event.stopPropagation();
				}, false);
				$('.model-list')[0].addEventListener('touchmove', function (event) { 
					event.stopPropagation();
				}, false);
				$('.model-block-chooseGoods').parent().parent().css({
					position: 'absolute',
					top: '40%',
					left: '5%',
					display: 'block',
					width: '90%',
					margin: '-210px 5% 0 0',
					background: 'rgba(255,255,255,1)'
				});
				$('.model-block-chooseGoods').parent().find('.modal-title').css({
					'margin': '0 10px',
					'padding': '15px 0',
			    	'border-bottom': '1px dashed #e5e5e5',
			    	'font-size': '18px',
			    	'color': '#333',
			    	'font-weight': 'nomarl',
				});
				$('.model-block-chooseGoods .model-head').css({
					padding: '15px 25px',
					background: 'none',
					border: 'none'
				});
				$('.model-block-chooseGoods').parent().css({
					padding:0,
					background: 'rgba(255,255,255,1)'
				});
				$(".model-billing").parent().css({
					padding:"20px"
				});
				$(".chooseGoodsModalItem").css({
					"text-align":"left",
					"margin-bottom":"5px",
					'font-size': '0'
				});
				$(".chooseGoodsModalItem .key").css({
				    'display': 'inline-block',
				    'width': '30%',
			    	'margin-right': '5%',
					'font-size': '14px',
					'color': '#333'
				});
				$(".chooseGoodsModalItem .value").css({
					'display': 'inline-block',
					'width': '60%',
					'vertical-align': 'top',
					'font-size': '14px',
					'color': '#333'
				});
				$('.model-list').css({
					'margin-top': '0'
				});
				$('.model-list-item').css({
					'padding-left': '25px',
					'border-bottom': '1px solid #e5e5e5',
					'height': '35px',
					'line-height': '35px',
					'box-sizing':'border-box'
				});
				$('.model-list-content').css({
					'float': 'left'
				})
				$('.model-list-item.item-title').css({
					'height': '40px',
					'background': '#f5f5f5',
					'boder': 'none',
					'color': '#333',
					'border': '0px'
				});
				$('.model-list-number, .model-list-pay').css({
					'height': '35px',
					'line-height': '35px',
					'font-size': '14px',
					'color': '#333',
					'text-align': 'left'
				});
				$('.model-list-number').css({
					'margin-right': '5%',
					'width': '24%'
				});
				$('.model-list-pay').css({
					'width': '65%'
				});
				$('.model-list-item.item-title .model-list-number, .model-list-item.item-title .model-list-pay').css({
					'height': '40px',
					'line-height': '40px',
					'font-size': '14px',
					'color': '#333'
				});
			});
		}
		
		// 渲染按钮
		$$('#chooseGoodsBtnBox').html(buttonTemplate({
			id: 'chooseGoodsBtn',
			value: '创建订单',
			disabled: false,
		}));
		
		$$('#chooseGoodsBtn').on('click', function() {
			if (validator.isNull($$('#goods').val())) {
				f7.alert('请选择商品名称');
				return false;
			}
			if ($$('#adultEducationCredit').val()==='') {
				f7.alert('请输入分期金额');
				return false;
			}
			if (validator.isNull($$('#goodsProduct').val())) {
				f7.alert('请选择分期产品');
				return false;
			}
			if ($$('#goodsStageNum').val()==='') {
				f7.alert('请选择期数');
				return false;
			}
//			if (Number($$('#linedownPayment').val())+Number($$('#adultEducationCredit').val())!=parseInt($$('#goodsPrice').val())){
//				f7.alert('请输入正确的支付金额');
//				return false;
//			}
			if ($$('#protocolName').val()==='') {
				f7.alert('请选择协议名称');
				return false;
			}
			if ($$('#protocolTime').val()===''||$$('#protocolTime').val()==='请选择时间') {
				f7.alert('请选择协议签订时间');
				return false;
			}
			
			protocolName = $$('#protocolName').val();
			protocolNum = $$('#protocolNum').val();
			protocolTime = $$('#protocolTime').val();
			goodsSuiteStagePrice = $$('#adultEducationCredit').val();
			lineDownPay = lineDownPay.toString();
			
			
			var orderDeviceId = '';
            var orderAddressLongitude = '';
            var orderAddressLatitude = '';
			defaultGoodsInfo = {
					baseBusinessType: '003002',
					userId: loginStatus.userId,
					userName: '',
					goodsSellName: courseName,
					storeUserId: storeUserId,
					storeUserName: storeUserName,
					storeId: storeId,
					storeName: storeName,
					goodsSellId: courseId,
					orderProductPrice: coursePrice,
					supplierId: supplierId,
					operatorId: storeSuperiorPartner,
					
					orderPlanId: orderPlanId,
					goodsPlanId: goodsPlanId,
					goodsPlanName: goodsPlanName,
					goodsPeriodKey: goodsPeriodKey,
					goodsPeriod: goodsPeriod,
					goodsProductId: goodsProductId,
				    goodsProductName: goodsProductName,
					
					goodsSuitePayFirstPrice: goodsSuitePayFirstPrice,			//首付金额
					goodsSuiteStagePrice: goodsSuiteStagePrice,					//分期金额
					goodsSuitePoundage: goodsSuitePoundage,						//手续费	
					goodsSuiteServiceCharges: goodsSuiteServiceCharges,			//服务费
					goodsSuiteLeverPrice: goodsSuiteLeverPrice,					//设备杠杆费用
					goodsSuitePayInitialPrice: lineDownPay,						//线下支付
					goodsSuiteStageNumber: goodsSuiteStageNumber,
					goodsSuiteTotalAmount: goodsSuiteTotalAmount,
					
					orderDeviceId: orderDeviceId,
					orderAddressLongitude: orderAddressLongitude,
					orderAddressLatitude: orderAddressLatitude,
					
					contractTitle: protocolName,								// 协议名称
					contractSignDate: protocolTime,								// 协议签订时间
			}
			
			// 是否跳过cordova的device.uuid
			if (!SKIP.cordova_uuid) {
			    defaultGoodsInfo.orderDeviceId = device.uuid;
			}
			
			getLngAndLat(function(position) {
			    defaultGoodsInfo.orderAddressLongitude = position.lng;
			    defaultGoodsInfo.orderAddressLatitude = position.lat;
			}, function(error) {
			    defaultGoodsInfo.orderAddressLongitude = '';
			    defaultGoodsInfo.orderAddressLatitude = '';
			});
			
			localStorage.setItem('defaultGoodsInfo_'+loginStatus.userId, JSON.stringify(defaultGoodsInfo));
			
			checkPassword();
			
			function checkPassword(){
				// 检测是否设置交易密码
				callAppApi({
					url: '/module/transactionPwd/find',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						transactionPwd: "",
						findType: '01'
					},
					successCallback: function(pwdFindRes) {
						localStorage.setItem('locatiionChooseGoodsListData' + '_' + params.userId, JSON.stringify(locatiionChooseGoodsListData));
						if(pwdFindRes.transactionPwdExist){
							adultEducationCreateOrder();
						}else if(!pwdFindRes.transactionPwdExist){
							mainView.loadPage({
								url : 'setPassword.html',
								query : {
									fromPage: "adultEducationChooseGoods"
								}
							})
							/*mainView.router.load({
								url: 'tradePwd.html',
								query: {
									fromPage: 'adultEducationChooseGoods'
								}
							});*/
						}
					},
					errorCallback: function(err) {}
				});
			}
			
			function adultEducationCreateOrder() {
				callAppApi({
					url: '/app/order/create/educationAdult',
					apiVersion: '2.0',
					params: defaultGoodsInfo,
					successCallback: function(createOrderRes) {
						
						checkBatchBankcard();
						localStorage.removeItem('defaultGoodsInfo_'+loginStatus.userId);
						localStorage.setItem('adultEducationOrderId_' + loginStatus.userId, createOrderRes.baseOrderId);//成人教育创建订单保存orderId
						localStorage.setItem('adultEducationSkipBindBankcard_' + createOrderRes.baseOrderId, '1');
						
						function checkBatchBankcard() {
//							if(
////								params.creditAuditStatus == "140"||
////								params.creditAuditStatus == "450"||
////								params.creditAuditStatus == "340"||
////								params.creditAuditStatus == "141"
//								(params.creditStatus == '4' && params.auditInfoStatus.slice(0, 1) == '4') ||
//								params.creditStatus == '6'
//							){
//								mainView.router.load({
//								    url: 'order.html',
//								});
//							}else{
								// 判断是否绑卡
								callAppApi({
									url: '/app/bankBatchCard',
									type: 'POST',
									params: {
										userId: loginStatus.userId
									},
									successCallback: function(bankBatchCardRes) {
										if (bankBatchCardRes && (checkBankNo(bankBatchCardRes.bankCardNumber) && checkBankId(bankBatchCardRes.bankId))) {
//											loadAdultEducationPage('uploadEvidence', {
//												query: {
//													fromPage: 'chooseGoods'
//												}
//											})
											
											infoQueryRouter('003002', {
					                            query:{
					                                fromPage: 'chooseGoods'
					                            }
					                        }, loadAdultEducationPage);
											
										} else {
					  						mainView.router.load({
												url: 'bindBankcard.html',
												query: {
													fromPage: 'adultEducationChooseGoods',
													baseBusinessType: '003002'
												}
											});
										}
									},
									errorCallback: function(err) {}
								});
//							}
							
						}
						
					},
					errorCallback: function(err) {}
				});
			}

		});
		
		//回显方法
		if( ( params.fromPage == "setPassWord" || params.fromPage == "chooseProfession" || params.fromPage == "index" || params.fromPage == "tradePwd" ) 
		        && defaultGoodsInfo !== ''
		  ){
			function autoScanCallbackStore(result) {
//				var s = getRealString(result);
				var objectId = doWithQRCode(result, function(objectId) {
					  storeUserId = objectId;
					  // 根据店员id查询门店商品信息
					  callAppApi({
						  url: '/app/storeUserStoreInfo',
						  type: 'POST',
						  params: {
							  storeUserId: objectId,
							  businessType: '003002'
						  },

						  successCallback: function(res) {
							callAppApi({
							  url: '/app/storeUserStoreInfo',
							  type: 'POST',
							  params: {
								  storeUserId: objectId,
								  businessType: '003002'
							  },
							  successCallback: function(data){
								  dispalyValue();
							  },
							  errorCallback: function() {}
						  });
						  },
						  errorCallback: function() {}
					  });
				})						
			}
			autoScanCallbackStore('*V|M|*' + defaultGoodsInfo.storeUserId);
			
			dispalyValue = function(){
				//1商品回显
				courseListView = locatiionChooseGoodsListData.courseListView.map(function(item, index) {
					item.default=false
					if( item.view===defaultGoodsInfo.goodsSellName){
						item.default=true
					};
					return {
						default: item.default,
						value: item.value,
						view: item.view
					};
				});
				
				$$('#goods').removeAttr('disabled');
				$$('#goods').html(chooseGoodsItemTemplate({optionsList: courseListView}));
				$$('#adultEducationCredit').attr('disabled',false);
				
				// 2分期产品回显
				defaultGoodsProductList = locatiionChooseGoodsListData.chooseGoodsProductList.map(function(item, index) {
					item.default=false
					if( item.value===defaultGoodsInfo.goodsProductId){
						item.default=true
					};
					return {
						default: item.default,
						value: item.value,
						view: item.view
					};
				});
				$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: defaultGoodsProductList}));
				$$('#goodsProduct').attr('disabled', false);
				
				//3期数回显
				defaultGoodsStageNumList = locatiionChooseGoodsListData.chooseGoodsPeriodList.map(function(item, index) {
					item.default=false
					if( item.value===defaultGoodsInfo.goodsPeriodKey){
						item.default=true
					};
					return {
						default: item.default,
						value: item.value,
						view: item.view
					};
				});
				$$('#goodsStageNum').html(chooseGoodsItemTemplate({optionsList: defaultGoodsStageNumList}));
				$$('#goodsStageNum').attr('disabled', false);
				
				//事件绑定
				//3.商品选择添加事件
				chooseStoreGoodeChange(defaultGoodsInfo.storeId,locatiionChooseGoodsListData.courseList,getSuitePlanListSuccess);
				
				//分期金额输入事件
				changeProductPrice(defaultGoodsInfo.orderProductPrice,defaultGoodsInfo.goodsSuiteStagePrice,defaultGoodsInfo.goodsSuitePayInitialPrice,defaultGoodsInfo.storeId,getProductList);
				
				//分期产品事件
				goodsProductChange(locatiionChooseGoodsListData.chooseGoodsProductList,getGoodsPeriodSuccess);
				
				//期数绑定事件
				goodsStageNumChange(defaultGoodsInfo.orderProductPrice,defaultGoodsInfo.goodsSuiteStagePrice,defaultGoodsInfo.goodsPlanId,defaultGoodsInfo.goodsSellId,getSuitePlanDetailSuccess);
				
				//分期账单
				goodsSuitePlanDetailChange(locatiionChooseGoodsListData.goodPaymentDetail,defaultGoodsInfo.goodsSuitePayFirstPrice,defaultGoodsInfo.goodsSellName,defaultGoodsInfo.goodsSuiteTotalAmount,defaultGoodsInfo.goodsSuiteStageNumber);
				
				//商品价格回显
				$$('#goodsPrice').val(defaultGoodsInfo.orderProductPrice + '元');
				//分期金额回显
				
				//期初支付回显
				
				//线下支付回显
				$$('#linedownPayment').val(defaultGoodsInfo.goodsSuitePayInitialPrice + '元');
				
				courseName = defaultGoodsInfo.goodsSellName;
				storeUserId = defaultGoodsInfo.storeUserId;
				storeUserName = defaultGoodsInfo.storeUserName;
				storeId = defaultGoodsInfo.storeId;
				storeName = defaultGoodsInfo.storeName;
				courseId = defaultGoodsInfo.goodsSellId;
				coursePrice = defaultGoodsInfo.orderProductPrice;
				supplierId = defaultGoodsInfo.supplierId;
				storeSuperiorPartner = defaultGoodsInfo.operatorId;
				
				orderPlanId = defaultGoodsInfo.orderPlanId;
				goodsPlanId = defaultGoodsInfo.goodsPlanId;
				goodsPlanName = defaultGoodsInfo.goodsPlanName;
				goodsPeriodKey = defaultGoodsInfo.goodsPeriodKey;
				goodsPeriod = defaultGoodsInfo.goodsPeriod;
				goodsProductId = defaultGoodsInfo.goodsProductId;
			    goodsProductName = defaultGoodsInfo.goodsProductName;
				
				goodsSuitePayFirstPrice = defaultGoodsInfo.goodsSuitePayFirstPrice;			//首付金额
				goodsSuiteStagePrice = defaultGoodsInfo.goodsSuiteStagePrice;				//分期金额
				goodsSuitePoundage = defaultGoodsInfo.goodsSuitePoundage;					//手续费	
				goodsSuiteServiceCharges = defaultGoodsInfo.goodsSuiteServiceCharges;		//服务费
				goodsSuiteLeverPrice = defaultGoodsInfo.goodsSuiteLeverPrice;				//设备杠杆费用
				goodsSuitePayInitialPrice = defaultGoodsInfo.goodsSuitePayInitialPrice;		//自付金额
				goodsSuiteStageNumber = defaultGoodsInfo.goodsSuiteStageNumber;
				goodsSuiteTotalAmount = defaultGoodsInfo.goodsSuiteTotalAmount;
				
				orderDeviceId = defaultGoodsInfo.orderDeviceId;
				orderAddressLongitude = defaultGoodsInfo.orderAddressLongitude;
				orderAddressLatitude = defaultGoodsInfo.orderAddressLatitude;
				
				protocolName = defaultGoodsInfo.contractTitle;				// 协议名称
				protocolTime = defaultGoodsInfo.contractSignDate;			// 协议签订时间
				
				currentGoodsId = defaultGoodsInfo.goodsSellId;
				lineDownPay = defaultGoodsInfo.goodsSuitePayInitialPrice;
			}
		}
	}
	return {
		render: render
	}
});