define([
  'js/config',
  'js/datas',
  'js/utilities',
  'hbs!adultEducation/adultEducationContainers/chooseProfession/chooseProfession',
  'hbs!components/common/button/button',
], function(
	config,
	Datas,
	utilities,
	chooseProfessionTemplate,
	buttonTemplate
) {
  var $ = Framework7.$;
  var dictData = Datas.dictData;
  var callAppApi = utilities.callAppApi;
  var SKIP = config.SKIP;
  var logout = utilities.logout;
  
  function render(params) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  var chooseProfData = JSON.parse(localStorage.getItem('chooseProfData_'+loginStatus.userId)) || '';
	  
	  // 渲染导航栏
	  loadComponent('navbar', 'common', {
		  container: '#chooseProfessionNavbar',
		  title: '身份认证',
		  backId: 'chooseProfessionBackBtn',
		  isBackIcon: true,
		  isBack: false,
		  callback: function() {
			  $('#chooseProfessionBackBtn').on('click', function() {
				  mainView.router.back({
					  url: 'index.html',
					  force: true
				  });
			  });
		  }
	  });
	
	  // 渲染页面
	  $('#chooseProfessionContent').html(chooseProfessionTemplate({
		  educationType: params.adultCreditRes.creditEducationResult,				// '0': false,是否为学生教育。  '1': true
	  }));
	  
	  // 渲染头部状态栏
	  loadAdultEducationComponent('authenticationTabbar', 'authentication', {
		  container: '#chooseProfessionTabbar',
		  tabIndex: 1,
		  pageType: 'authPage'
	  });
	  
		// 渲染底部按钮
		$('#chooseProfessionBtnBox').html(buttonTemplate({
			id : 'chooseProfessionBtn',
			value : '下一步',
			disabled : false,
		}));
		//点击下一步按钮
		$('#chooseProfessionBtn').on('click', function() {
			
			var userType = $('.chooseProfession-type ul').children().find('.type-item .item-pic-check').parent().attr('profession-type');
			//判断用户是否选中用户类型，选中获取数据渲染期望额度页面
			var checkedLength = $('.chooseProfession-type ul').children().find('.type-item .item-pic-check').length;
			  if(checkedLength===0){
			  	f7.alert("请选择用户类型！")
			  }else{
			  	//判断是否为学生
			  	if(userType==="003"){
			  		
					// 检查能否下单
					callAppApi({
						url: '/app/checkPlaceOrder',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							userIsOld: loginStatus.oldUser,
							oldId: loginStatus.oldId,
							businessType: '003001'
						},
						successCallback: function(checkPlaceOrderRes) {
							
							// 已确认黑名单请求不用发送
							var orderId = checkPlaceOrderRes.data.orderId;
							var orderTypeCode = checkPlaceOrderRes.data.orderTypeCode;
							var orderStatus = checkPlaceOrderRes.data.orderStatus;
							var code = checkPlaceOrderRes.code;
							
							if (orderId) {
								callAppApi({
									url: '/app/order/detail',						// 学生教育订单详情地址，注意参考首页订单详情请求地址的区分
									type: 'POST',
									params: {
										userId: loginStatus.userId,
										baseBusinessType: orderTypeCode,
										orderId: orderId
									},
									successCallback: function(response) {
  										// 如果状态在13以后，则弹出提示信息
										if( orderStatus === '13' || 
										    orderStatus === '14' || 
										    orderStatus === '15' || 
										    orderStatus === '16' || 
										    orderStatus.slice(0,1) === '2' || 
										    orderStatus.slice(0,1) === '3' || 
										    orderStatus.slice(0,1) === '4' || 
										    orderStatus.slice(0,1) === '6' || 
										    orderStatus.slice(0,1) === '7') {
											
											var dictValue = '';
			  								dictData.message.forEach(function(item) {
			  									if (item.dictSerialNo === code) {
			  										dictValue = item.dictValue;
			  									}
			  								});
			  								
			  								f7.alertMessage(dictValue);
			  							} else {
			  								// 如果订单状态为 10 || 11 || 12， 则弹出订单信息提示框
			  								var goodsPlanNameHtml = '';
			  								var cancelUrl = '';
			  								var cancelParams = {};
			  								var goodsName='';
			  								var goodsPayNameHtml='';
			  								var goodsPrice=''
				  							var leseBusinessTypeTitlt='';
				  							var leseBusinessTypeCon='';
			  								
			  								if (orderTypeCode === '003001') {
			  									cancelUrl = '/app/order/cancel';
			  									cancelParams = {
			  									  orderId: orderId,
			  									  userId: loginStatus.userId,
			  									  cancelType: '',
			  									  baseBusinessType: orderTypeCode,
			  									  orderStatus: '50'
			  								    }
			  								}
			  								
			  								if (response.goodsPlanId !== '') {
												goodsPlanNameHtml = 
													'<li class="model-list">'+
										               '<div class="model-inner authStep2-model-inner">'+
											               	'<span class="model-title">套餐名称</span>'+
											                '<span class="model-con">' + response.goodsPlanName +'</span>'+
										               '</div>'+
										            '</li>';
											}

			  								if (orderTypeCode == '003001') {
			  									businessTitle = '教育培训';
												goodsName=response.courseName;
												goodsPrice=response.coursePrice;
			  									leseBusinessTypeTitlt='还款总额'
					  							leseBusinessTypeCon=response.goodsSuiteTotalAmount;
											}
			  								
			  								f7.modal({
									  			title: '<div id="appliance-pop" class="model-top" style="position: absolute;top: 0; left: 0; width: 100%;background: #e6e6e6;padding: 10px 0;border-radius: 13px 13px 0 0;">'+
													  	      '<div class="model-top-first">您已存在一个尚未完成的'+businessTitle+'业务订单，重新下单将会自动取消该订单</div>'+
												  	      '</div>',
									  			text:  '<div class="model-block">'+
													  	      '<ul>'+
														          '<li class="model-list">'+
														               '<div class="model-inner authStep2-model-inner">'+
															               	'<span class="model-title">商品信息</span>'+
															                '<span class="model-con">' +goodsName +'</span>'+
														               '</div>'+
														         '</li>'+
														         '<li class="model-list">'+
														               '<div class="model-inner authStep2-model-inner">'+
															               	'<span class="model-title">商品价格</span>'+
															                '<span class="model-con">' + goodsPrice +'元</span>'+
														               '</div>'+
														         '</li>'+
														         '<li class="model-list">'+
														               '<div class="model-inner authStep2-model-inner">'+
															               	'<span class="model-title">分期产品</span>'+
															                '<span class="model-con">'+response.goodsProductName+'</span>'+
														               '</div>'+
													             '</li>'+ 
																 '<li class="model-list">'+
													               '<div class="model-inner authStep2-model-inner">'+
														               	'<span class="model-title">初期支付</span>'+
														                '<span class="model-con">' +response.goodsSuitePayFirstPrice+'元</span>'+
													               '</div>'+
												                  '</li>'+
												                  '<li class="model-list">'+
													               '<div class="model-inner authStep2-model-inner">'+
														               	'<span class="model-title">自付金额</span>'+
														                '<span class="model-con">' +response.goodsSuitePayInitialPrice+'元</span>'+
													               '</div>'+
												                  '</li>'+
														         '<li class="model-list">'+
													               '<div class="model-inner authStep2-model-inner">'+
														               	'<span class="model-title">期数</span>'+
														                '<span class="model-con">' + response.goodsSuiteStageNumber +'期</span>'+
													               '</div>'+
												              '</li>'+
											                  '<li class="model-list">'+
												               '<div class="model-inner authStep2-model-inner">'+
													               	'<span class="model-title">'+leseBusinessTypeTitlt+'</span>'+
													                '<span class="model-con">' +leseBusinessTypeCon+'元</span>'+
												               '</div>'+
											                  '</li></ul>'+
											                  '<span class="close"></span>'+
											                  '<span class="notice"></span>'+
												        '</div>',

									  			buttons: [
									  				{
									  					text: '<span class="model-back">重新下单</span>',
									  					onClick: function(){
									  						// 用户选择重新下单
									  						callAppApi({
																url: cancelUrl,
																apiVersion: '2.0',
																type: 'POST',
																params: cancelParams,
																successCallback: function(response) {
																	
																	if (orderTypeCode === '003001') {
																	    callAppApi({
																	        url: '/app/credit/audit/infoQuery',
																	        type: 'POST',
																	        params: {
																	            userId: loginStatus.userId,
																	            baseBusinessType: '003001',
																	        },
																	        successCallback: function(creditRes) {
                                                                                var creditStatus = creditRes.creditStatus;
                                                                                var auditInfoStatus = creditRes.auditInfoStatus;
                                                                                var baseOrderId = creditRes.baseOrderId;
                                                                                
                                                                                if (creditStatus === '0' || creditStatus === '1' || creditStatus === '3' || creditStatus === '5') {
                                                                                    loadEducationPage('authentication', {
                                                                                        query: {
                                                                                            fromPage: 'chooseProfession'
                                                                                        }
                                                                                    });
                                                                                } else if (creditStatus === '2') {
                                                                                    f7.alert('很抱歉，您暂时无法办理该业务，感谢关注！');
                                                                                } else if (creditStatus === '4') {
                                                                                    
                                                                                    if (orderId){//orderId不为空
                                                                                        
                                                                                        if (orderStatus == '10') {
                                                                                            if (auditInfoStatus.slice(0, 1) === '1') {
                                                                                                loadEducationPage('checkFace', {
                                                                                                    query: {
                                                                                                        fromPage: 'chooseProfession'
                                                                                                    }
                                                                                                });
                                                                                            } else if (auditInfoStatus.slice(0, 1) === '2') {
                                                                                                loadEducationPage('checkInfo', {
                                                                                                    query: {
                                                                                                        fromPage: 'chooseProfession'
                                                                                                    }
                                                                                                });
                                                                                            } else {
                                                                                                mainView.router.load({
                                                                                                    url: 'orderDetail.html',
                                                                                                    query: {
                                                                                                        baseBusinessType: '003001',
                                                                                                        orderId: orderId,
                                                                                                        fromPage: 'chooseProfession'
                                                                                                    }
                                                                                                }); 
                                                                                            }
                                                                                        } else if (orderStatus === '11' || orderStatus === '12') {
                                                                                            if (auditInfoStatus.slice(0, 1) === '1' || auditInfoStatus.slice(0, 1) === '2') {
                                                                                                loadEducationPage('checkInfo', {
                                                                                                    query: {
                                                                                                        fromPage: 'chooseProfession'
                                                                                                    }
                                                                                                });
                                                                                            } else {
                                                                                                mainView.router.load({
                                                                                                    url: 'orderDetail.html',
                                                                                                    query: {
                                                                                                        baseBusinessType: '003001',
                                                                                                        orderId: orderId,
                                                                                                        fromPage: 'chooseProfession'
                                                                                                    }
                                                                                                });
                                                                                            }
                                                                                        } else {
                                                                                            mainView.router.load({
                                                                                                url: 'orderDetail.html',
                                                                                                query: {
                                                                                                    baseBusinessType: '003001',
                                                                                                    orderId: orderId,
                                                                                                    fromPage: 'chooseProfession'
                                                                                                }
                                                                                            });
                                                                                        }
                                                                                        
                                                                                    } else {
                                                                                        loadEducationPage('chooseGoods', {
                                                                                            query: {
                                                                                                fromPage: 'chooseProfession'
                                                                                            }
                                                                                        });
                                                                                    }
                                                                                } else if (creditStatus === '6') {
                                                                                    if(orderId){
                                                                                        mainView.router.load({
                                                                                            url: 'orderDetail.html',
                                                                                            query: {
                                                                                                baseBusinessType: '003001',
                                                                                                orderId: orderId,
                                                                                                fromPage: 'chooseProfession'
                                                                                            }
                                                                                        });
                                                                                    }else{
                                                                                        loadEducationPage('chooseGoods', {
                                                                                            query: {
                                                                                                fromPage: 'chooseProfession'
                                                                                            }
                                                                                        });
                                                                                    }
                                                                                }
                                                                            },
                                                                            errorCallback: function(err) {}
																	    });
																	    
																	}
																},
																errorCallback: function(err) {}
															});
									  					}
									  				},
									  				{
									  					text: '继续下单',
									  					onClick: function() {
									  						if (orderTypeCode === '003001') {
									  						  callAppApi({
                                                                  url: '/app/credit/audit/infoQuery',
                                                                  type: 'POST',
                                                                  params: {
                                                                      userId: loginStatus.userId,
                                                                      baseBusinessType: '003001',
                                                                  },
                                                                  successCallback: function(creditRes) {
                                                                    var creditStatus = creditRes.creditStatus;
                                                                    var auditInfoStatus = creditRes.auditInfoStatus;
                                                                    var baseOrderId = creditRes.baseOrderId;

                                                                    if (creditStatus === '0' || creditStatus === '1' || creditStatus === '3' || creditStatus === '5') {
                                                                        loadEducationPage('authentication', {
                                                                            query: {
                                                                                fromPage: 'chooseProfession'
                                                                            }
                                                                        });
                                                                    } else if (creditStatus === '2') {
                                                                        f7.alert('很抱歉，您暂时无法办理该业务，感谢关注！');
                                                                    } else if (creditStatus === '4') {
                                                                        
                                                                        if (orderId){//orderId不为空
                                                                            
                                                                            if (orderStatus == '10') {
                                                                                if (auditInfoStatus.slice(0, 1) === '1') {
                                                                                    loadEducationPage('checkFace', {
                                                                                        query: {
                                                                                            fromPage: 'chooseProfession'
                                                                                        }
                                                                                    });
                                                                                } else if (auditInfoStatus.slice(0, 1) === '2') {
                                                                                    loadEducationPage('checkInfo', {
                                                                                        query: {
                                                                                            fromPage: 'chooseProfession'
                                                                                        }
                                                                                    });
                                                                                } else {
                                                                                    mainView.router.load({
                                                                                        url: 'orderDetail.html',
                                                                                        query: {
                                                                                            baseBusinessType: '003001',
                                                                                            orderId: orderId,
                                                                                            fromPage: 'chooseProfession'
                                                                                        }
                                                                                    }); 
                                                                                }
                                                                            } else if (orderStatus === '11' || orderStatus === '12') {
                                                                                if (auditInfoStatus.slice(0, 1) === '1' || auditInfoStatus.slice(0, 1) === '2') {
                                                                                    loadEducationPage('checkInfo', {
                                                                                        query: {
                                                                                            fromPage: 'chooseProfession'
                                                                                        }
                                                                                    });
                                                                                } else {
                                                                                    mainView.router.load({
                                                                                        url: 'orderDetail.html',
                                                                                        query: {
                                                                                            baseBusinessType: '003001',
                                                                                            orderId: orderId,
                                                                                            fromPage: 'chooseProfession'
                                                                                        }
                                                                                    });
                                                                                }
                                                                            } else {
                                                                                mainView.router.load({
                                                                                    url: 'orderDetail.html',
                                                                                    query: {
                                                                                        baseBusinessType: '003001',
                                                                                        orderId: orderId,
                                                                                        fromPage: 'chooseProfession'
                                                                                    }
                                                                                });
                                                                            }
                                                                            
                                                                        } else {
                                                                            loadEducationPage('chooseGoods', {
                                                                                query: {
                                                                                    fromPage: 'chooseProfession'
                                                                                }
                                                                            });
                                                                        }
                                                                    } else if (creditStatus === '6') {
                                                                        if(orderId){
                                                                            mainView.router.load({
                                                                                url: 'orderDetail.html',
                                                                                query: {
                                                                                    baseBusinessType: '003001',
                                                                                    orderId: orderId,
                                                                                    fromPage: 'chooseProfession'
                                                                                }
                                                                            });
                                                                        }else{
                                                                            loadEducationPage('chooseGoods', {
                                                                                query: {
                                                                                    fromPage: 'chooseProfession'
                                                                                }
                                                                            });
                                                                        }
                                                                    }
                                                                  },
                                                                  errorCallback: function(err) {}
                                                              });
								  							}
									  					}
									  				}
									  			]
									  		});
			  								
			  								// 注意这里的id样式绑定
											$('#appliance-pop').parents('.modal').css({
												'overflow': 'visible',
												'width': '90%',
												'margin-left': '-45%'
											})
											$('.close').click(function(){
												f7.closeModal();
											});
			  							}
									},
									errorCallback: function(err) {}
								})
							} else {
							    callAppApi({
                                    url: '/app/credit/audit/infoQuery',
                                    type: 'POST',
                                    params: {
                                        userId: loginStatus.userId,
                                        baseBusinessType: '003001',
                                    },
                                    successCallback: function(creditRes) {
                                        var creditStatus = creditRes.creditStatus;
                                        var auditInfoStatus = creditRes.auditInfoStatus;
                                        var baseOrderId = creditRes.baseOrderId;
                                        
                                        if (creditStatus === '0' || creditStatus === '1' || creditStatus === '3' || creditStatus === '5') {
                                            loadEducationPage('authentication', {
                                                query: {
                                                    fromPage: 'chooseProfession'
                                                }
                                            });
                                        } else if (creditStatus === '2') {
                                            f7.alert('很抱歉，您暂时无法办理该业务，感谢关注！');
                                        } else if (creditStatus === '4') {
                                            
                                            if (orderId){//orderId不为空
                                                
                                                if (orderStatus == '10') {
                                                    if (auditInfoStatus.slice(0, 1) === '1') {
                                                        loadEducationPage('checkFace', {
                                                            query: {
                                                                fromPage: 'chooseProfession'
                                                            }
                                                        });
                                                    } else if (auditInfoStatus.slice(0, 1) === '2') {
                                                        loadEducationPage('checkInfo', {
                                                            query: {
                                                                fromPage: 'chooseProfession'
                                                            }
                                                        });
                                                    } else {
                                                        mainView.router.load({
                                                            url: 'orderDetail.html',
                                                            query: {
                                                                baseBusinessType: '003001',
                                                                orderId: orderId,
                                                                fromPage: 'chooseProfession'
                                                            }
                                                        }); 
                                                    }
                                                } else if (orderStatus === '11' || orderStatus === '12') {
                                                    if (auditInfoStatus.slice(0, 1) === '1' || auditInfoStatus.slice(0, 1) === '2') {
                                                        loadEducationPage('checkInfo', {
                                                            query: {
                                                                fromPage: 'chooseProfession'
                                                            }
                                                        });
                                                    } else {
                                                        mainView.router.load({
                                                            url: 'orderDetail.html',
                                                            query: {
                                                                baseBusinessType: '003001',
                                                                orderId: orderId,
                                                                fromPage: 'chooseProfession'
                                                            }
                                                        });
                                                    }
                                                } else {
                                                    mainView.router.load({
                                                        url: 'orderDetail.html',
                                                        query: {
                                                            baseBusinessType: '003001',
                                                            orderId: orderId,
                                                            fromPage: 'chooseProfession'
                                                        }
                                                    });
                                                }
                                                
                                            } else {
                                                loadEducationPage('chooseGoods', {
                                                    query: {
                                                        fromPage: 'chooseProfession'
                                                    }
                                                });
                                            }
                                        } else if (creditStatus === '6') {
                                            if(orderId){
                                                mainView.router.load({
                                                    url: 'orderDetail.html',
                                                    query: {
                                                        baseBusinessType: '003001',
                                                        orderId: orderId,
                                                        fromPage: 'chooseProfession'
                                                    }
                                                });
                                            }else{
                                                loadEducationPage('chooseGoods', {
                                                    query: {
                                                        fromPage: 'chooseProfession'
                                                    }
                                                });
                                            }
                                        }
                                    },
                                    errorCallback: function(err) {}
                                });
							}
						},
						errorCallback: function(err) {}
					});
			  		
//					// 不存在订单，跳转到二级首页
//			  		//黑名单检测
//					callAppApi({
//						url : '/api/blackList',
//						type : 'POST',
//						params : {
//							userId : loginStatus.userId,
//							userPhoneNumber : loginStatus.accountName,
//							userIdentityCardNumber : '',
//							userBankCardNumber : ''
//						},
//						successCallback: function(data) {
//							// 如果为黑名单
//							if (data && data.blackList === true) {
//								f7.alert('很抱歉，您暂时无法办理该业务，感谢关注！');
//							} else {
//								//订单检测
//								callAppApi({
//									url: '/app/checkPlaceOrder',
//									type: 'POST',
//									params: {
//										userId: loginStatus.userId,
//										userIsOld: loginStatus.oldUser,
//										oldId: loginStatus.oldId,
//										businessType: '003001'			
//									},
//									successCallback: function(checkPlaceOrder){
//											//是否额度激活检测
//											callAppApi({
//												url : '/api/checkCredit',
//												type : 'POST',
//												params : {
//													userId : loginStatus.userId,
//													baseBusinessType : '003001',
//													isOldUser : loginStatus.oldUser,
//													orderId:'',
//												},
//												successCallback : function(checkCredit){
//													if (checkCredit.userIsCredit === true) {
//														loadEducationPage('chooseGoods', {
//										    				query: {}
//										    			});
//													} else {
//														f7.alertMessage('办理此业务，请先进行身份认证');
//														var timeIndex = setTimeout(function() {
//															loadEducationPage('authentication', {
//											    				query: {}
//											    			});
//															clearTimeout(timeIndex);
//														}, 3000);
//													}	
//												},
//												errorCallback: function(err) {}
//											});
//									},
//									errorCallback: function(err) {}
//								});
//							}
//						}
//					})
			  	} else {
			  	    // 成人教育
			  	    callAppApi({
    			  	    url: '/app/credit/audit/infoQuery',
        			  	type: 'POST',
        			  	params: {
        			  	    userId: loginStatus.userId,
        			  	    baseBusinessType: '003002',
        			  	},
        			  	successCallback: function(adultCreditRes) {
        			  	  var creditStatus = adultCreditRes.creditStatus;
                          var auditInfoStatus = adultCreditRes.auditInfoStatus;
                          var baseOrderId = adultCreditRes.baseOrderId;

                          if (creditStatus === '0' || creditStatus === '1' || creditStatus === '3' || creditStatus === '5') {
                            loadAdultEducationPage('authentication', {
                                query: {
                                    fromPage: 'chooseProfession',
                                    adultCreditRes: adultCreditRes
                                }
                            });
                          } else if (creditStatus === '2') {
                              f7.alertMessage('很抱歉，您暂时无法办理该业务，感谢关注！');
                          } else if (creditStatus === '4') {
                              
                              if (orderId){//orderId不为空
                                  
                                  if (orderStatus == '10') {
                                      if (auditInfoStatus.slice(0, 1) === '2') {
                                          loadAdultEducationPage('uploadEvidence', {
                                              query: {
                                                  fromPage: 'chooseProfession'
                                              }
                                          });
                                      } else {
                                            mainView.router.load({
                                                url: 'orderDetail.html',
                                                query: {
                                                    baseBusinessType: typeCode,
                                                    orderId: orderId,
                                                    fromPage: options.query.fromPage
                                                }
                                            }); 
                                      }
                                  } else {
                                      mainView.router.load({
                                          url: 'orderDetail.html',
                                          query: {
                                              baseBusinessType: typeCode,
                                              orderId: orderId,
                                              fromPage: options.query.fromPage
                                          }
                                      });
                                  }

                              } else {
                                  if (auditInfoStatus.slice(0, 1) === '1') {     //反欺诈信息已提交
                                      loadAdultEducationPage('uploadIdCard', {
                                          query: {
                                              fromPage: 'chooseProfession'
                                          }
                                      });
                                  } else {
                                      loadAdultEducationPage('chooseGoods', {
                                          query: {
                                              fromPage: 'chooseProfession'
                                          }
                                      });
                                  }
                              }
                          } else if (creditStatus === '6') {
                              if(orderId){
                                  mainView.router.load({
                                      url: 'orderDetail.html',
                                      query: {
                                          baseBusinessType: '003002',
                                          orderId: orderId,
                                          fromPage: 'chooseProfession'
                                      }
                                  });
                              }else{
                                  loadAdultEducationPage('chooseGoods', {
                                      query: {
                                          fromPage: 'chooseProfession'
                                      }
                                  });
                              }
                          }
        			  	},
        			  	errorCallback: function(err) {} 
			  	    });
			  	}
	    	}
		});
		var profOfficeImg = 'img/me/adultEdu-work.png';
		var profStudentImg = 'img/me/adultEdu-student.png';
		
		// 回显
		var profOfficeData = '';
		var profStudentData = '';
		var profOfficeOption = '';
		var profStudentOption = '';
		var profOfficeTitle = '';
		var profStudentTitle = '';
		if(chooseProfData){
			$('#chooseProfession-type_officeWorker').find('img')[0].src = chooseProfData.profOfficeData;
			$('#chooseProfession-type_student').find('img')[0].src = chooseProfData.profStudentData;
			$('#chooseProfession-type_officeWorker').find('.item-pic')[0].className = chooseProfData.profOfficeOption;
			$('#chooseProfession-type_student').find('.item-pic')[0].className = chooseProfData.profStudentOption;
			$('#chooseProfession-type_officeWorker').find('.type-item-title')[0].className = chooseProfData.profOfficeTitle;
			$('#chooseProfession-type_student').find('.type-item-title')[0].className = chooseProfData.profStudentTitle;
		}
		
		//点击出现选中效果并添加选中标记
		$('.chooseProfession-type ul').on('click',function(ev){
			$('.item-pic').each(function(){
				$(this).removeClass("item-pic-check");
				$(this).addClass("item-pic-uncheck");
			});
			$(this).children().find('img')[0].src = profOfficeImg;
			$(this).children().find('img')[1].src = profStudentImg;
			if($(ev.target).nodeName === 'IMG'){
				$(ev.target)[0].src = $(ev.target)[0].src.slice(0,-4) + '-check.png';
			}else {
				if($(ev.target).parent().children()[0].src){
					$(ev.target).parent().children()[0].src = $(ev.target).parent().children()[0].src.slice(0,-4) + '-check.png';
				}
			}
			$(this).children().find('.type-item').removeClass('checked');
			$($('.chooseProfession-type .type-item-title')[0]).removeClass("title-check");
			$($('.chooseProfession-type .type-item-title')[1]).removeClass("title-check");
			$(ev.target).parent().children('.item-pic').addClass("item-pic-check");
			$(ev.target).parent().children('.type-item-title').addClass("title-check");
			$(ev.target).parent().addClass('checked'); 
			
			// 缓存至本地
			profOfficeData = $('#chooseProfession-type_officeWorker').find('img')[0].src;
			profStudentData = $('#chooseProfession-type_student').find('img')[0].src;
			profOfficeOption = $('#chooseProfession-type_officeWorker').find('.item-pic')[0].className;
			profStudentOption = $('#chooseProfession-type_student').find('.item-pic')[0].className;
			profOfficeTitle = $('#chooseProfession-type_officeWorker').find('.type-item-title')[0].className;
			profStudentTitle = $('#chooseProfession-type_student').find('.type-item-title')[0].className;
			chooseProfData = {
					profOfficeData: profOfficeData,
					profStudentData: profStudentData,
					profOfficeOption: profOfficeOption,
					profStudentOption: profStudentOption,
					profOfficeTitle: profOfficeTitle,
					profStudentTitle: profStudentTitle
			}
			localStorage.setItem('chooseProfData_'+loginStatus.userId, JSON.stringify(chooseProfData));
		});
  }  	  

  return {
	render: render
  }
});