define([
    'jquery',
    'js/utilities',
    'js/config',
    'hbs!adultEducation/adultEducationContainers/orderConfirm/orderConfirm',
    'hbs!components/common/button/button',
    
], function(
	$$,
	utilities,
	config,
	orderConfirmTemplate,
	buttonTemplate
) {
	var callAppApi = utilities.callAppApi;
	var isOwnEmpty = utilities.isOwnEmpty;
	var SKIP = config.SKIP;
	function render(params) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var payWayKey = ""; //支付类型
		
		function fmoney(s, n) {
		  	if(n){
		  		n = n > 0 && n <= 20 ? n : 2;
				s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";
		  	}else{
		  		s = parseFloat((s + "").replace(/[^\d\.-]/g, ""))+"";
		  	}
			var l = s.split(".")[0].split("").reverse(), r = s.split(".")[1];
			t = "";
			for (i = 0; i < l.length; i++) {
				t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");
			}
			if(n){
				return t.split("").reverse().join("") + "." + r;
			}else {
				return t.split("").reverse().join("")
			}
		}
		
		// 渲染navbar
		loadComponent('navbar', 'common', {
			container: '#orderConfirmNavbar',
			title: '确认下单',
			backId: 'orderConfirmBackBtn',
			isBackIcon: true,
			isBack: true,
			callback: function() {
				$$('#orderConfirmBackBtn').on('click', function() {
//					mainView.router.back({
//						url: 'index.html',
//						force: true
//					});
//					mainView.router.load({
//						  url: 'order.html',
////						  animatePages: false
//					  });
					mainView.router.load({
        				url: 'orderDetail.html',
        				query: {
        					orderId: params.orderId,
        					fromPage: 'orderConfirm',
        					baseBusinessType:params.baseBusinessType
        				}
        			});
				});
			}
		});
		
		var goodsSuitePayFirstPrice = parseInt(params.orderInfo.goodsSuitePayFirstPrice);
		var floatPoint = fmoney(params.orderInfo.goodsSuitePayFirstPrice, 2).slice(-2);
		
		$$('#orderConfirmContent').html(orderConfirmTemplate({
			goodsSuitePayFirstPrice:goodsSuitePayFirstPrice,
			floatPoint:floatPoint
		}));
		
		$$('#orderConfirmBtnBox').html(buttonTemplate({
			id: 'orderConfirmBtns',
			value: '确认下单',
			disabled: false,
		}))
//		if(params.orderInfo.goodsSuitePayFirstPrice == "0" || !params.orderInfo.goodsSuitePayFirstPrice){
//			$$("#orderConfirmPay").css("display","none");
//		}
		$$("#orderConfirmPay").on("click",function(e){
			if(e.target.tagName.toUpperCase() == 'SPAN'){
				$$("#orderConfirmPay").children('div').removeClass("orderConfirm-payStyle");
				$$(e.target).parent().addClass("orderConfirm-payStyle");
			}
		})
		
		// 下单成功
        $$('#orderConfirmBtns').off('click.orderConfirm').on('click.orderConfirm', function () {
        	
        	// 因为返回值而采取的兼容方案
            /*if (params.batchCardData === null || isOwnEmpty(params.batchCardData) || params.batchCardData === '' || typeof params.batchCardData === 'undefined') {
                f7.alert('您还未进行银行卡绑定，请先绑卡');
                mainView.router.load({
					url: 'bindBankcard.html',
					query: {
						fromPage: 'adultEducationOrderConfirm',
						baseBusinessType: '003002',
						orderId:params.orderId
					}
				});
                return false;
            }*/
//            if (!$$('#orderConfirmProtocol input')[0].checked) {
//                f7.alert('请阅读并同意协议');
//                return false;
//            }	
            if(params.orderInfo.goodsSuitePayFirstPrice == "0" || !params.orderInfo.goodsSuitePayFirstPrice){
            	payWayKey = "01";
            }else{
            	payWayKey=$(".orderConfirm-payStyle").attr("payWayKey");
            }
            
			var	goodsSellName = params.orderInfo.goodsSellName;
            callAppApi({
                url: '/api/payParams',
                type: 'POST',
                params: {
                	baseBusinessType: params.baseBusinessType,
                    userId: loginStatus.userId,
                    orderId: params.orderId,
                    orderType: params.baseBusinessType,
                    payTitle: goodsSellName,
                    payType: payWayKey,
                    repayType:'01',		//还款类型  首付款01 还租金02
                },
                successCallback: function (response) {
                	
                	if (response.code === '07001001') {
            			TalkingData.onEventWithLabel('完成支付');
            			
            			localStorage.removeItem('adultEducationOrderId_' + loginStatus.userId);
            			localStorage.removeItem('orderDetailEducation' + '-' + params.orderId);
            			
            			mainView.router.load({
            				url: 'orderDetail.html',
            				query: {
            					orderId: response.data.orderId,
            					fromPage: 'orderConfirm',
            					baseBusinessType:response.data.baseBusinessType
            				}
            			});
                	} else {
                    	var payParam = response.payParam;
                    	var paymentOrderNo = response.paymentOrderNo;
                    	
                        // 是否跳过cordova支付
                        if (!SKIP.cordova_pay) {
                        	TalkingData.onEventWithLabel('确认下单页', '进入支付流程');
                        	
                            if (payWayKey === '01') {
                                wxpay.payment(JSON.parse(payParam), function (msg) {
                                	
                                	paySuccess(msg, paymentOrderNo);
                                	
                                }, function(msg) {
                                	payFailure(msg, paymentOrderNo);
                                });
                            } else if (payWayKey === '02') {
                                cordova.plugins.AliPay.aliPayReq(function (msg) {
                                	
                                	paySuccess(msg, paymentOrderNo);
                                	
                                }, function (msg) {
                                	payFailure(msg, paymentOrderNo);
                                }, payParam);
                            }
                        } else {
                        	paySuccess('', paymentOrderNo);
                        }
                	}
                },
                errorCallback: function (err) {
                }
            });
        });
		// 支付成功回调函数
        function paySuccess(msg, paymentOrderNo) {
        	
        	callAppApi({
        		url: '/api/paymentStatusQuery',
        		type: 'POST',
        		params: {
        			userId: loginStatus.userId,
        			orderId: params.orderId,
        			paymentOrderNo: paymentOrderNo
        		},
        		successCallback: function(paymentStatusQueryRes) {
        			
        			if (paymentStatusQueryRes.paymentStatus === '1') {
            			TalkingData.onEventWithLabel('完成支付');
            			
            			localStorage.removeItem('adultEducationOrderId_' + loginStatus.userId);
            			
            	        mainView.router.load({
        		          url: 'orderDetail.html',
        		          query: {
        		              orderId: params.orderId,
        		              fromPage: 'orderConfirm',
        		              baseBusinessType: params.baseBusinessType,
        		          }
        		        });
            			
        			} else if (paymentStatusQueryRes.paymentStatus === '0') {
        				f7.alertMessage(paymentStatusQueryRes.paymentMsg);
        			}
        		},
        		errorCallback: function(err) {}
        	});
        }

        // 支付失败回调函数
        function payFailure(err, paymentOrderNo) {
            if (err === '未安装微信') {
                f7.alert('未安装微信');
            } else {
            	callAppApi({
            		url: '/api/paymentStatusQuery',
            		type: 'POST',
            		params: {
            			userId: loginStatus.userId,
            			orderId: params.orderId,
            			paymentOrderNo: paymentOrderNo
            		},
            		successCallback: function(paymentStatusQueryRes) {
            			
            			if (paymentStatusQueryRes.paymentStatus === '1') {
                			TalkingData.onEventWithLabel('完成支付');
                			
//                	        mainView.router.load({
//            		          url: 'orderDetail.html',
//            		          query: {
//            		              orderId: params.orderId,
//            		              fromPage: 'orderConfirm',
//            		              baseBusinessType:params.baseBusinessType,
//            		          }
//            		        });
            			} else if (paymentStatusQueryRes.paymentStatus === '0') {
            				f7.alertMessage(paymentStatusQueryRes.paymentMsg);
            			}
            		},
            		errorCallback: function(err) {}
            	});
            }
        }
        
        
        // 检查超时
        if (mainView.activePage.name === 'adultEducationOrderConfirm') {
			callAppApi({
				url: '/api/checkOrderTimeOut',
				type: 'POST',
				params: {
					baseBusinessType: '003002',
					orderId: params.orderId,
					userId: loginStatus.userId,
					orderTimeOutType: '1'
				},
				successCallback: function(response) {
					var countDownTime = response.timeOutValue//获取到倒计时时间
					if(response.checkResult === false && countDownTime > 0){//未超时
			           orderConfirmPayTime = setInterval(function() {
			        	   	countDownTime--;
//			            	 var payTime = formatSecondsTime(countDownTime, 'sec');
//			            	 var minutes = payTime.minutes;
//			            	 var seconds = payTime.seconds;
			            	
//			            	 if(params.baseBusinessType==="003001"){
//			            		 $$('#orderTimeEducation').text(minutes + ':' + seconds);
//			            	 }else{
//			            		 $$('#orderTime').text(minutes + ':' + seconds);
//			            	 }
			            	 if(minutes === '00' && seconds === '00'){
		            		 	clearInterval(orderConfirmPayTime);
		            		 	callAppApi({
		            				url: '/api/checkOrderTimeOut',
		            				type: 'POST',
		            				params: {
		            					baseBusinessType: '003002',
		            					orderId: params.orderId,
		            					userId: loginStatus.userId,
		            					orderTimeOutType: '1'
		            				},
		            				successCallback: function(response) {
		            					var countDownTime = response.timeOutValue//获取到倒计时时间
		            					if(response.checkResult === false && countDownTime > 0){//未超时
		            			           orderConfirmPayTimeAgain = setInterval(function() {
		            			        	   	countDownTime--;
//		            			            	 var payTimeAgain = formatSecondsTime(countDownTime, 'sec');
//		            			            	 var minutesAgain = payTimeAgain.minutes;
//		            			            	 var secondsAgain = payTimeAgain.seconds;
//		            			            	 $$('#orderTime').text(minutesAgain + ':' + secondsAgain);
		            			            	 if(minutesAgain === '00' && secondsAgain === '00'){
		            		            		 	clearInterval(orderConfirmPayTimeAgain);
		            		            		 	// 支付超时
		            		    					f7.alertMessage('很抱歉，您的订单操作超时，感谢关注');
		            		    					var timeCancle = setTimeout(function() {
		            		    						mainView.router.load({
		            		    							url: 'orderDetail.html',
		            		    							force: true,
		            		    							query: {
		            		    								orderId: params.orderId,
		            		    								baseBusinessType: params.baseBusinessType,
		            		    							}
		            		    						});
		            		    						clearTimeout(timeCancle);
		            		    					}, 3000);
		            			            	 }
		            			            }, 1000) 
		            					} else {//后台返回超时
		            						// 支付超时
		            						f7.alertMessage('很抱歉，您的订单操作超时，感谢关注');
		            						var timeCancle = setTimeout(function() {
		            							mainView.router.load({
		            								url: 'orderDetail.html',
		            								force: true,
		            								query: {
		            									orderId: params.orderId,
		            									baseBusinessType: params.baseBusinessType,
		            								}
		            							});
		            							clearTimeout(timeCancle);
		            						}, 3000);
		            					}
		            				},
		            				errorCallback: function(err) {}
		            			});
			            	 }
			            }, 1000) 
					} else {//后台返回超时
						// 支付超时
						f7.alertMessage('很抱歉，您的订单操作超时，感谢关注');
						var timeCancle = setTimeout(function() {
							mainView.router.load({
								url: 'orderDetail.html',
								force: true,
								query: {
									orderId: params.orderId,
									baseBusinessType: params.baseBusinessType,
								}
							});
							clearTimeout(timeCancle);
						}, 3000);
					}
				},
				errorCallback: function(err) {}
			});
        }
	}
	
	
	return {
		render: render
	}
})