define([
	'js/utilities',
	'js/plugins',
	'adultEducation/adultEducationContainers/uploadIdCard/uploadIdCardView'
], function(
	utilities,
	plugins,
	uploadIdCardView
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var detectFrontCamera = plugins.detectFrontCamera;
	
	function init(query) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		// 隐藏底部菜单栏
		if (mainView.activePage.name === 'adultEducationUploadIdCard') {
			  f7.hideToolbar('#toolbar');
		}
		callAppApi({
            url: '/app/credit/audit/infoQuery',
            type: 'POST',
            params: {
                userId: loginStatus.userId,
                baseBusinessType: '003002'
            },
            successCallback: function(creditRes) {
                queryAdultRes = creditRes.infoData;
//            },
//            errorCallback: function(err) {}
//		});
//		callAppApi({
//			url: '/app/credit/audit/query/adult',
//			type: 'POST',
//			params: {
//				userId: loginStatus.userId,
//				baseBusinessType: '003002'
//			},
//			successCallback: function(queryAdultRes) {
				
				
				var faceDetectResult = '';
				if (queryAdultRes.faceDetectResult == '1') {
					faceDetectResult = '1';
				} else {
					faceDetectResult = '0';
				}
				
				var creditHoldIdCardStatus = false;
				var creditEvidenceHoldIdCardArr = [];
				
				var picList = creditRes.picList;
                if (picList.length > 0 && picList[0].picType === '1') {
                    if (picList[0].picDataArray.length > 0 && picList[0].picDataArray[0].picSubType === '13') {
                        if (picList[0].picDataArray[0].picSubDataArray.length > 0) {
                            var creditEvidenceHoldIdCardTemp = [{
                                    picId: picList[0].picDataArray[0].picSubDataArray[0].picId,
                                    picType: picList[0].picDataArray[0].picSubDataArray[0].picType,
                                    picName: picList[0].picDataArray[0].picSubDataArray[0].picName,
                                    cloudKey: picList[0].picDataArray[0].picSubDataArray[0].cloudKey,
                                    cloudUrl: picList[0].picDataArray[0].picSubDataArray[0].cloudUrl,
                                    mIsCheck: picList[0].picDataArray[0].picSubDataArray[0].mIsCheck,
                                    checkResult: picList[0].picDataArray[0].picSubDataArray[0].checkResult,
                                    checkResultArray: picList[0].picDataArray[0].picSubDataArray[0].checkResultArray,
                                    otherContent: picList[0].picDataArray[0].picSubDataArray[0].otherContent
                            }];
                            queryAdultRes.creditEvidenceHoldIdCard = JSON.stringify(creditEvidenceHoldIdCardTemp);
                        } else {
                            queryAdultRes.creditEvidenceHoldIdCard = '';
                        }
                    } else {
                        queryAdultRes.creditEvidenceHoldIdCard = '';
                    }
                } else {
                    queryAdultRes.creditEvidenceHoldIdCard = '';
                }
				
				if (faceDetectResult = '0') {
					if (queryAdultRes.creditEvidenceHoldIdCard !== '' && queryAdultRes.creditEvidenceHoldIdCard !== '[null]' && queryAdultRes.creditEvidenceHoldIdCard) {
						  creditHoldIdCardStatus = JSON.parse(queryAdultRes.creditEvidenceHoldIdCard)[0].checkResult;
						  creditEvidenceHoldIdCardArr = JSON.parse(queryAdultRes.creditEvidenceHoldIdCard);
					}
				}
				
				var employeeBuyEvidenceFaceArr = [];
				if (queryAdultRes.evidenceFace !== '' && queryAdultRes.evidenceFace !== '[null]' && queryAdultRes.evidenceFace) {
					employeeBuyEvidenceFaceArr = JSON.parse(queryAdultRes.evidenceFace);
				}
				
				var frontCameraStatus = true;
				
				/**
				 * 检测是否有前置摄像头，如果有设置为true，没有设置为false
				 */
				detectFrontCamera(function(res) {
					frontCameraStatus = true;
					viewRender();
				}, function(err) {
					frontCameraStatus = false;
					viewRender();
				});
				function viewRender(){
					uploadIdCardView.render({
						faceRecog: faceDetectResult,
						faceCount: queryAdultRes.faceCount,
						faceErrorCount: queryAdultRes.faceErrorCount,
						employeeBuyEvidenceFaceArr: employeeBuyEvidenceFaceArr,
						employeeBuyHoldIdCardStatus: creditHoldIdCardStatus,
						employeeBuyEvidenceHoldIdCardArr: creditEvidenceHoldIdCardArr,
						creditRes: creditRes,
						frontCameraStatus: frontCameraStatus
					});
				}
				
				
//				  uploadIdCardView.render({
//						employeeBuyFrontIdCardStatus: creditFrontIdCardStatus,
//						employeeBuyBackIdCardStatus: creditBackIdCardStatus,
//						employeeBuyHoldIdCardStatus: creditHoldIdCardStatus,
//						employeeBuyEmployeeEStatus: creditEvidenceECardStatus,
//						
//						employeeBuyEvidenceFrontIdCardArr: creditEvidenceFrontIdCardArr,
//						employeeBuyEvidenceBackIdCardArr: creditEvidenceBackIdCardArr,
//						employeeBuyEvidenceHoldIdCardArr: creditEvidenceHoldIdCardArr,
//						employeeBuyEvidenceECardArr: creditEvidenceECardArr,
//						faceRecog: faceRecog,
//						employeeBuyEvidenceFaceArr: employeeBuyEvidenceFaceArr,
//						
//						creditCheckNotes: res.creditCheckNotes,							//	审核结论
//						
//						faceCount: faceCount,
//						faceErrorCount: faceErrorCount,
//						
//						creditType: query.creditType,
//						fromStatus: res.creditAuditStatus,
//						fromPage: query.fromPage
//				  })
			},
			errorCallback: function(err) {}
		})
//		// 请求人脸识别次数
//		callAppApi({
//			url: '/app/credit/getFaceDetect',
//			type: 'POST',
//			params: {
//				userId: loginStatus.userId,
//				baseBusinessType: '005001'
//			},
//			successCallback: function(detectRes) {
//				var faceErrorCount = detectRes.faceErrorCount == '' ? 0 : parseInt(detectRes.faceErrorCount);  
//				var faceCount = detectRes.faceCount == '' ? 0 : parseInt(detectRes.faceCount);
//				
//				var employeeBuyEvidenceFaceArr = [];
//				if (detectRes.evidenceFace !== '' && detectRes.evidenceFace !== '[null]') {
//					employeeBuyEvidenceFaceArr = JSON.parse(detectRes.evidenceFace);
//				}
//
//				callAppApi({
//					url: '/app/ebuyCommon/getCreditAuditData',
//					type: 'POST',
//					params: {
//						baseBusinessType: '005001',
//						userId: loginStatus.userId
//					},
//					successCallback: function(res) {
//						
//						  // 身份证正面状态
//						  var creditFrontIdCardStatus = false;
//						  var creditEvidenceFrontIdCardArr = [];
//						  if (res.creditEvidenceFrontIdCard !== '') {
//							  creditFrontIdCardStatus = JSON.parse(res.creditEvidenceFrontIdCard)[0].checkResult;
//							  creditEvidenceFrontIdCardArr = JSON.parse(res.creditEvidenceFrontIdCard);
//						  }
//						  // 身份证反面状态
//						  var creditBackIdCardStatus = false;
//						  var creditEvidenceBackIdCardArr = [];
//						  if (res.creditEvidenceBackIdCard !== '') {
//							  creditBackIdCardStatus = JSON.parse(res.creditEvidenceBackIdCard)[0].checkResult;
//							  creditEvidenceBackIdCardArr = JSON.parse(res.creditEvidenceBackIdCard);
//						  }
//						  // 人脸识别状态  手持身份证状态
//						  var faceRecog = res.faceRecog;
//						  var creditHoldIdCardStatus = false;
//						  var creditEvidenceHoldIdCardArr = [];
//						  if (faceRecog == '0') {
//							  if (res.creditEvidenceHoldIdCard !== '' && res.creditEvidenceHoldIdCard !== '[null]') {
//								  creditHoldIdCardStatus = JSON.parse(res.creditEvidenceHoldIdCard)[0].checkResult;
//								  creditEvidenceHoldIdCardArr = JSON.parse(res.creditEvidenceHoldIdCard);
//							  }
//						  }
//						  
//						  var creditEvidenceECardStatus = false;
//						  var creditEvidenceECardArr = [];
//						  if (query.creditType == '005001') {
//							  if (res.creditEvidenceECard !== '' && res.creditEvidenceECard !== '[null]') {
//								  creditEvidenceECardStatus = JSON.parse(res.creditEvidenceECard)[0].checkResult;
//								  creditEvidenceECardArr = JSON.parse(res.creditEvidenceECard);
//							  }
//						  }
//						  
//						  uploadIdCardView.render({
//								employeeBuyFrontIdCardStatus: creditFrontIdCardStatus,
//								employeeBuyBackIdCardStatus: creditBackIdCardStatus,
//								employeeBuyHoldIdCardStatus: creditHoldIdCardStatus,
//								employeeBuyEmployeeEStatus: creditEvidenceECardStatus,
//								
//								employeeBuyEvidenceFrontIdCardArr: creditEvidenceFrontIdCardArr,
//								employeeBuyEvidenceBackIdCardArr: creditEvidenceBackIdCardArr,
//								employeeBuyEvidenceHoldIdCardArr: creditEvidenceHoldIdCardArr,
//								employeeBuyEvidenceECardArr: creditEvidenceECardArr,
//								faceRecog: faceRecog,
//								employeeBuyEvidenceFaceArr: employeeBuyEvidenceFaceArr,
//								
//								creditCheckNotes: res.creditCheckNotes,							//	审核结论
//								
//								faceCount: faceCount,
//								faceErrorCount: faceErrorCount,
//								
//								creditType: query.creditType,
//								fromStatus: res.creditAuditStatus,
//								fromPage: query.fromPage
//						  })
//					},
//					errorCallback: function(err) {}
//				});
//			},
//			errorCallback: function(err) {}
//		})
	}
	
	return {
		init: init
	}
});