define([
  'advanceCredit/advanceCreditComponents/authentication/authStep1/authStep1View',
  'js/utilities'
], function(
  authStep1View,
  utilities
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  
  
  function init(query) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  
	  // 请求用户信息
	  callAppApi({
		  url: '/app/credit/nextPage',
		  type: 'POST',
		  params: {
			  userId: loginStatus.userId,
			  userType :query.userType,
			  nextPageCode : '',
			  filterRuleId :query.filterRuleId,
			  basicInfo:JSON.parse(localStorage.getItem('basicInfoData'+ '_' + loginStatus.userId)),
			  workInfo:JSON.parse(localStorage.getItem('workInfoData'+ '_' +  loginStatus.userId)),
			  contactsInfo:JSON.parse(localStorage.getItem('contactsInfoData'+ '_' + loginStatus.userId)),
		  },
		  successCallback: function(response) {
			  var responseData = response || {};
	
			  
			  authStep1View.render({
				  basicInfoHtml: responseData,
				  expectedLimitMoney:query.expectedLimitMoney,
				  filterRuleId:responseData.filterRuleId,
				  userType:query.userType,
				  expectedLimitType:query.expectedLimitType,
				  nextPageCode:response.nextPageCode
			  });
		  },
		  errorCallback: function(err) {}
	  });
  }
  
  return {
	init: init,
  };
});