define([
	'jquery',
	'js/pad'
], function(
	$$,
	pad
) {
	
	var bindPadInputEvent = pad.bindPadInputEvent;
	var bindPadClickEvent = pad.bindPadClickEvent;
	var sendRecord = pad.sendRecord;
	
	var authStep2RecordDataStr = JSON.stringify([]);
	
	function bindPadEventAuthStep2() {

		var authStep2SelectorList = [
			{
				selector: '#userCompanyName',
				type: 'text',
				bindType: 'input'
			},
			{
				selector: '#userWorkFullAddress',
				type: 'text',
				bindType: 'input'
			},
			{
				selector: '#authStep2Btn',
				type: '',
				bindType: 'click'
			}
		];

		authStep2SelectorList.forEach(function(item) {
			if (item.bindType === 'input') {
//				bindPadInputEvent(item.selector, item.type, function(record) {
				bindPadInputEvent({
					tar: item.selector,
					type: item.type,
					baseBusinessType: '002002'
				}, function(record) {
					var authStep2RecordData = JSON.parse(authStep2RecordDataStr);
					authStep2RecordData.push(record);
					authStep2RecordDataStr = JSON.stringify(authStep2RecordData);
				});
				
			} else if (item.bindType === 'click') {
				
//				bindPadClickEvent(item.selector, item.type, function(record) {
				bindPadClickEvent({
					tar: item.selector,
					type: item.type,
					baseBusinessType: '002002'
				}, function(record) {
					var authStep2RecordData = JSON.parse(authStep2RecordDataStr);
					authStep2RecordData.push(record);
					authStep2RecordDataStr = JSON.stringify(authStep2RecordData);
				});
			}
		});
	}
	
	function sendPadDataAuthStep2(orderId) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var params = {
			userId: loginStatus.userId,
			orderId: orderId,
			mList: JSON.parse(authStep2RecordDataStr),
		};
		
		sendRecord(params, function(res) {
			authStep2RecordDataStr = JSON.stringify([]);
		}, function(err) {
//			console.log(err);
		});
	}
	
	return {
		bindPadEventAuthStep2: bindPadEventAuthStep2,
		sendPadDataAuthStep2: sendPadDataAuthStep2
	}
})
