define([
    'jquery',
    'js/utilities',
    'js/config',
    'js/validator',
    'advanceCredit/advanceCreditComponents/authentication/authStep2/authStep2Pad',
    'advanceCredit/advanceCreditComponents/authentication/authStep3/authStep3View',
    'hbs!advanceCredit/advanceCreditComponents/authentication/inputArea',
    'hbs!components/common/button/button'
], function(
	  $$,
	  utilities,
	  config,
	  validator,
	  authStep2Pad,
	  authStep3View,
	  inputAreaTemplate,
	  buttonTemplate
) {

  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var getDay = utilities.getDay;
  var isEmptyArr = utilities.isEmptyArr; 
  //埋点需求
  var bindPadEventAuthStep2 = authStep2Pad.bindPadEventAuthStep2;
  var sendPadDataAuthStep2 = authStep2Pad.sendPadDataAuthStep2;
  var SKIP = config.SKIP;

  var workInfoParams = {};
  
  function trimStr(str, is_global) {
	  var result;
	  result = str.replace(/(^\s+)|(\s+$)/g, "");
	  if (is_global.toLowerCase() == 'g') {
		  result = result.replace(/\s/g, '');
	  }
	  return result;
  }
  
  function render(params) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  var userId=loginStatus.userId
	  
	  workInfoParams=params
	  var contact1Key = false;
	  var contact2Key = false;
	  
		TalkingData.onPage("身份认证2");		
		TalkingData.onPageBegin("身份认证2_填写时间");	
	  
	  // 额度激活第一步保存数据
	  var basicInfoData = JSON.parse(localStorage.getItem('basicInfoData' + '_' + userId));
	  // 额度激活第二步数据声明
	  var defaultUserInfo2 = {};
	  var storageWorkInfo = {}
	  if (typeof localStorage.getItem('workInfoData'+ '_' + userId) === 'string' && localStorage.getItem('workInfoData'+ '_' + userId) !== '') {
			  storageWorkInfo = JSON.parse(localStorage.getItem('workInfoData'+ '_' + userId));
	  }


	  workInfoHtml=params.workInfoHtml
		  var authStep2Html = inputAreaTemplate({
			  tabbarId: 'workcInfoTabbar',
			  formId:workInfoHtml.formId,
			  inputList:workInfoHtml.elementsList,
			  visibleStatus:workInfoHtml.indicationStatus,
		  });
	
	  	// 渲染页面
	  	$('#tabAuthStep2Content').html(authStep2Html);
	  	
	  	// 渲染头部导航栏
		  loadAdvanceCreditComponent('navbar', 'common', {
			  container: '.workInfoNavbar',
			  title: '额度申请',
			  backClass: 'workInfoBackBtn',
			  isBackIcon: true,
			  isBack: false,
			  userType:params.userType,
			  filterRuleId:params.filterRuleId,
			  nextPageCode:params.workInfoHtml.prePageCode
		  });
	  	
		// 渲染头部状态栏
		loadAdvanceCreditComponent('authenticationTabbar', 'authentication', {
			container: '#workcInfoTabbar',
			tabIndex: 2
		});

		// 渲染底部按钮
		$('#authBtn').html(buttonTemplate({
			id: 'authStep2Btn',
			value: '下一步',
			disabled: false
		}));
		
		//动态获取城市选择器ID
		var workYearPickerId='';
		var workYearPickerValue=[];
		var workLocationPickerId='' 
		var workAdressLocationValue=[]
		workInfoHtml.elementsList.map(function(item, index) {
			 if(item.type==="location"){
				 workLocationPickerId=item.domId;
				 workAdressLocationValue=item.defaultValue;
				 workAdressLocationValue=item.defaultValue==""?"":eval(workAdressLocationValue);
			 }
			 if(item.type==="time"){
				 workYearPickerId=item.domId;
				 workYearPickerValue=item.defaultValue;
	 }
		 })
		
		//埋点数据
		bindPadEventAuthStep2();
		
		// 初始化时间组件
		var today = new Date();
		var workYearPickerDate = f7.picker({
			input: '#'+workYearPickerId,
			rotateEffect: true,
			toolbarCloseText: '完成',
			value:'',//[today.getFullYear(), today.getMonth()]
			formatValue: function (p, values, displayValues) {
				var displayYear = values[0];
				var displayMonth = (parseInt(values[1]) + 1) < 10 ? '0' + (parseInt(values[1]) + 1) : (parseInt(values[1]) + 1).toString();
				
				return displayYear + '-' + displayMonth;
			},
			cols: [
				// year
				{
					values: (function() {
						var arr = [];
						var curYear = today.getFullYear();
						for (var i = 1950; i <= curYear; i++) { arr.push(i); }
						return arr;
					})()
				},
				{
					divider: true,
					content: '  '
				},
				{
					values: ('0 1 2 3 4 5 6 7 8 9 10 11').split(' '),
					displayValues: ('01 02 03 04 05 06 07 08 09 10 11 12').split(' '),
				}
			],
		    onOpen: function (picker) {	 
		    	workYearPickerDate.setValue([today.getFullYear(), today.getMonth()]);
//		    	workYearPickerDate.setValue(workYearPickerValue);
		    }
			
		});
		
//		if (defaultUserInfo2.userWorkYears) {
//			var userWorkYearsYear = defaultUserInfo2.userWorkYears.split('-')[0];
//			var userWorkYearsMonth = (parseInt(defaultUserInfo2.userWorkYears.split('-')[1]) - 1).toString();
//			workYearPickerDate.setValue([userWorkYearsYear, userWorkYearsMonth]);
//		}
//		if (storageWorkInfo.userWorkTime) {
//			var userWorkYearsYear = storageWorkInfo.userWorkTime.split('-')[0];
//			var userWorkYearsMonth = (parseInt(storageWorkInfo.userWorkTime.split('-')[1]) - 1).toString();
//			workYearPickerDate.setValue([userWorkYearsYear, userWorkYearsMonth]);
//		}
		if (workYearPickerValue!=="" && workYearPickerValue.length>0) {
			var userWorkYearsYear = workYearPickerValue.split("-")[0];
			var userWorkYearsMonth = (parseInt(workYearPickerValue.split("-")[1]) - 1).toString();
			workYearPickerDate.setValue([userWorkYearsYear, userWorkYearsMonth]);
		}
		
		// 单位地址组件初始化
		  var defaultProValueList = [];
		  var defaultProViewList = [];
		  
		  for (var o in PrivinceD) {
			  defaultProValueList.push(o);
			  defaultProViewList.push(PrivinceD[o].name);
		  }
		  
		  var defaultCityValueList = [];
		  var defaultCityViewList = [];
		  
		  for (var p in Areadata['110000']['city']) {
			  defaultCityValueList.push(p);
			  defaultCityViewList.push(Areadata['110000']['city'][p].name);
		  }
		  
		  var defaultAreaValueList = [];
		  var defaultAreaViewList = [];
		  
		  for (var q in Areadata['110000']['city'][defaultCityValueList[0]]['area']) {
			  defaultAreaValueList.push(q);
			  defaultAreaViewList.push(Areadata['110000']['city'][defaultCityValueList[0]]['area'][q]);
		  }
		
		  var workAdressLocation = f7.picker({
			  input: '#'+workLocationPickerId,
			  rotateEffect: true,
			  toolbarCloseText: '完成',
			  formatValue: function (picker, values, displayValues) {
//				  if(values.length === 3 && displayValues.length === 0 && values[2]===' '){
				  if(values.length === 2 && displayValues.length === 0){
					  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + '  ';
				  }else if (values.length === 3 && displayValues.length === 0) {
					  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['area'][values[2]];
				  }else {
					  return displayValues[0] + ' ' + displayValues[1] + ' ' + displayValues[2];
				  }
			  },
			  cols: [
				  {
					  textAlign: 'left',
					  values: defaultProValueList,
					  displayValues: defaultProViewList,
					  onChange: function (picker, value, displayValue) {
						  
						  if (picker.cols[1].replaceValues) {
							  var cityValueArr = [];
							  var cityViewArr = [];
							  for (var i in Areadata[value]) {
								  if (i === 'city') {
									  for (var j in Areadata[value][i]) {
										  cityValueArr.push(j);
										  cityViewArr.push(Areadata[value][i][j].name);
									  }
								  }
							  }
							  
							  var areaValueArr = [];
							  var areaViewArr = [];
							  
			            		if(Areadata[value]['city'][cityValueArr[0]]['area']===null){
			  						  areaValueArr.push(' ');
									  areaViewArr.push(' ');
			            		}else{
			            			for (var k in Areadata[value]['city'][cityValueArr[0]]['area']) {	
				            			areaValueArr.push(k);
				            			areaViewArr.push(Areadata[value]['city'][cityValueArr[0]]['area'][k])
				            		}
			            		}
							  
							  picker.cols[1].replaceValues(cityValueArr, cityViewArr);
							  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
						  }
					  }
				  },
				  {
					  values: defaultCityValueList,
					  displayValues: defaultCityViewList,
					  width: 160,
					  onChange: function(picker, value, displayValue) {
		            	  if (picker.cols[2].replaceValues) {
		            		  var areaValueArr = [];
		            		  var areaViewArr = [];
		            		
		            		  var cityDataArr = Areadata[picker.cols[0].value]['city'][value];
		            		  for (var x in cityDataArr) {
		            			  if (x === 'area') {
		            				  if(cityDataArr[x]===null){
	            						  areaValueArr.push(' ');
	            						  areaViewArr.push(' ');
	            					  }else{
	            						  for (var y in cityDataArr[x]) {
			            						  areaValueArr.push(y);
				            					  areaViewArr.push(cityDataArr[x][y]);
		            					  }
		            				  }
		            			  }
		            		  }
		            		  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
		            	  }
					  }
				  },
				  {
					  textAlign: 'center',
					  values: defaultAreaValueList,
					  displayValues: defaultAreaViewList,
					  width: 160
				  }
			  ],
			    onOpen: function(picker) {
					if (workAdressLocationValue!=="") {
						workAdressLocation.setValue(workAdressLocationValue);
					}
			    },
		  });
			// 设置城市的默认值
			if (workAdressLocationValue!=="") {
				workAdressLocation.setValue(workAdressLocationValue);
			}
		  // 设置默认值
//		if (params.userInfo.userWorkAddressProvinceCode !== '' && params.userInfo.userWorkAddressCityCode !== '' && params.userInfo.userWorkAddressAreaCode !== '' && (params.orderStatus==='10' || params.orderStatus==='11' || params.orderStatus==='12' || params.fromPage=== "applianeCheckFace")) {
//			workAdressLocation.setValue([params.userInfo.userWorkAddressProvinceCode, params.userInfo.userWorkAddressCityCode, params.userInfo.userWorkAddressAreaCode]);
//		}
//		 if ($.isArray(storageWorkInfo.userWorkAddressCode) && storageWorkInfo.userWorkAddressCode.length === 3) {
//			 workAdressLocation.setValue(storageWorkInfo.userWorkAddressCode);
//		}
		 

		var deliveryAddressHtml=''
		$('#authStep2Btn').on('click', function() {
			if(params.userType==='001'){//上班族工作信息校验
				if (validator.isNull($('#userWorkName').val())) { f7.alert('请填写单位名称'); return false; }
				if ($('#userWorkProperty').val() === 'selected' || $('#userWorkProperty').val()==null || validator.isNull($('#userWorkProperty').val())) { f7.alert('请选择单位性质'); return false; }
				if ($('#userIndustry').val() === 'selected' || $('#userIndustry').val()==null || validator.isNull($('#userIndustry').val())) { f7.alert('请选择所属行业'); return false; }
				if (validator.isNull($('#userWorkAddress').val())) { f7.alert('请选择单位地址'); return false; }
				if (validator.isNull($('#userWorkDetailAddress').val())) { f7.alert('请填写详细地址'); return false; }
				if($('#userWorkDetailAddress').val().length<5) { f7.alert('请填写完整的详细地址'); return false; }
				if(!/^[0-9]{3,4}$/.test($("#userWorkPhone1").val())) { f7.alert('请填写正确的区号'); return false; }
				if (!/^[0-9]+$/.test($("#userWorkPhone2").val())) { f7.alert('请填写正确的单位电话'); return false; }
				if ($('#userWorkDuty').val() === 'selected' || $('#userWorkDuty').val()==null || validator.isNull($('#userWorkDuty').val())) { f7.alert('请选择职务职称'); return false; }
				if (validator.isNull($('#userMonthlyIncome').val()) || !/^[0-9]+$/.test($('#userMonthlyIncome').val())) { f7.alert('请填写月收入'); return false; }
				if (validator.isNull($('#userWorkTime').val())) { f7.alert('请选择入职时间'); return false; }	
			}else if(params.userType==='002'){//私营业主工作信息校验
				if (validator.isNull($('#userBusinessName').val())) { f7.alert('请填写企业名称'); return false; }
				if (validator.isNull($('#userBusinessTrade').val())) { f7.alert('请选择所属行业'); return false; }
				if ($('#userBusinessAddress').val()==null || validator.isNull($('#userBusinessAddress').val())) { f7.alert('请选择经营场所'); return false; }
				if (validator.isNull($('#userBusinessDetailAddress').val())) { f7.alert('请填写详细地址'); return false; }
				if($('#userBusinessDetailAddress').val().length<5) { f7.alert('请填写完整的详细地址'); return false; }
				if ($('#userBusinessProperty').val() === 'selected' || $('#userBusinessProperty').val()==null || validator.isNull($('#userBusinessProperty').val())) { f7.alert('请选择经营场所性质'); return false; }
				if (validator.isNull($('#userBusinessTime').val())) { f7.alert('请选择营业执照上的成立时间'); return false; }	
				if(!/^[0-9]{3,4}$/.test($("#userWorkPhone1").val())) { f7.alert('请填写正确的区号'); return false; }
				if (!/^[0-9]+$/.test($("#userWorkPhone2").val())) { f7.alert('请填写正确的单位电话'); return false; }
			}
				var workInfoData = f7.formToJSON('#'+params.workInfoHtml.formId);
				workInfoData.userWorkAddressCode = workAdressLocation.value;
				workInfoData.userWorkPhone1=$("#userWorkPhone1").val();
				workInfoData.userWorkPhone2=$("#userWorkPhone2").val();
				workInfoData.userWorkPhone=$("#userWorkPhone1").val()+'-'+$("#userWorkPhone2").val();
				localStorage.setItem('workInfoData' + '_' + userId, JSON.stringify(workInfoData));
			// pad埋点需求
				sendPadDataAuthStep2(params.orderId);
				f7.showTab('#tabAuthStep3');
				loadAdvanceCreditComponent('authStep3', 'authentication',{			
					workInfoParams:workInfoParams,
					userType : params.userType,
					nextPageCode : workInfoParams.workInfoHtml.nextPageCode,
					filterRuleId :params.filterRuleId,
					expectedLimitMoney:params.expectedLimitMoney,
					expectedLimitType:params.expectedLimitType
				});

		})
  }

  return {
	 render: render,
  }
});