define([
  'jquery',   
  'js/utilities',
  'js/config',
  'js/validator',
  'components/common/popup/popupProtocol',
  'advanceCredit/advanceCreditComponents/authentication/authStep3/authStep3Pad',
  'hbs!advanceCredit/advanceCreditComponents/authentication/inputArea',
  'hbs!advanceCredit/advanceCreditComponents/common/protocolArea/protocolArea',
  'hbs!components/common/protocolArea/protocolItem1',
  'hbs!components/common/button/button',
  'hbs!advanceCredit/advanceCreditComponents/common/protocolArea/protocolFrame'
], function(
  $$,
  utilities,
  config,
  validator,
  popupProtocol,
  authStep3Pad,
  inputAreaTemplate,
  protocolAreaTemplate,
  protocolItem1Template,
  buttonTemplate,
  protocolFrame
) {

  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var getDay = utilities.getDay;
  var getLngAndLat = utilities.getLngAndLat;
  var callWebHtml = utilities.callWebHtml;
  var getDeviceType = utilities.getDeviceType;
  var popupProtocol = popupProtocol.popupProtocol;
  var getDeviceSimulator = utilities.getDeviceSimulator;
  
  //埋点需求
  var bindPadEventAuthStep3 = authStep3Pad.bindPadEventAuthStep3;
  var sendPadDataAuthStep3 = authStep3Pad.sendPadDataAuthStep3;

  var SKIP = config.SKIP;
  var contactsLength = '';
  
  function trimStr(str, is_global) {
	  var result;
	  result = str.replace(/(^\s+)|(\s+$)/g, "");
	  if (is_global.toLowerCase() == 'g') {
		  result = result.replace(/\s/g, '');
	  }
	  return result;
  }
  
  function render(params) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  var userId=loginStatus.userId;
	  
	  var contact1Key = false;
	  var contact2Key = false;
	  var protocolChecked = localStorage.getItem('authProtocolChecked_'+userId);
      var isNotChecked = protocolChecked == null ? true : false;

	  // 重置通讯录长度及是否获取到权限。
//	  var contactsLength = '';
//	  var contactsAuthorization = '';
//	  var addressList = JSON.stringify([]);

		TalkingData.onPage("身份认证3");		
		TalkingData.onPageBegin("身份认证3_填写时间");	
		
	    $("#authNavbar .left #back").on('click', function() {
	    	TalkingData.onEventWithLabel('身份认证3', '返回');
	    });
	    
 	  
	  	// 渲染页面
	  contactsInfoHtml=params.contactsInfoHtml
		  var authStep3Html = inputAreaTemplate({
			  tabbarId: 'contectsTabbar',
			  formId:contactsInfoHtml.formId,
			  inputList:contactsInfoHtml.elementsList,
			  visibleStatus:contactsInfoHtml.indicationStatus,
		  });
	  	$('#tabAuthStep3Content').html(authStep3Html);
	  	
	  	// 渲染头部导航栏
		  loadAdvanceCreditComponent('navbar', 'common', {
			  container: '.contactsInfoNavbar',
			  title: '额度申请',
			  backClass: 'contactsInfoBackBtn',
			  isBackIcon: true,
			  isBack: false,
			  userType:params.contactsInfoHtml.userType,
			  filterRuleId:params.filterRuleId,
			  nextPageCode:params.contactsInfoHtml.prePageCode
		  });

		// 渲染头部状态栏
		loadAdvanceCreditComponent('authenticationTabbar', 'authentication', {
			container: '#contectsTabbar',
			tabIndex: 3
		});

		  
		  // 是否跳过申请通讯录权限
//		  function contactsCheck(){
//			  if (!SKIP.cordova_contacts) {
//				  // 申请通讯录权限
//				  navigator.contacts.requestAuth(function(msg) {
//					  contactsAuthorization = '1';
//
//					  // 获取通讯录数据
//					  navigator.contacts.contactsList(function(list) {
//						  if (Array.isArray(list)) {
//							  contactsLength = list.length.toString();
//						  } else {
//							  contactsLength = '0';
//						  }
//						  addressList = JSON.stringify(list);
//					  });
//				  }, function(msg) {
//					  TalkingData.onEventWithLabel('身份认证1', '拒绝访问通讯录的请求');
//					 if (msg === '-1' && getDeviceType() === 'ANDROID') {
//						 f7.alert('请在手机设置中，允许指尖租赁访问您的通讯录。'); return false;	 
//					 } else if (msg === '-2' && getDeviceType() === 'ANDROID') {
//						 f7.alert('请在手机设置中，允许指尖租赁访问您的通讯录。'); return false;
//					 }
//					  contactsAuthorization = '0';
//				  });
//			  }
//		  }
		 // 先执行通讯录检测
//		  contactsCheck()
		
		
	  	// 渲染协议按钮
		$('#tabAuthStep3Protocol').html(protocolAreaTemplate({
			isNotChecked: isNotChecked,
			protocolItem1: {
				id: 'authStep2Protocol',
				title: '《公民个人信息授权书》'
			}
		}));
		
		// 渲染协议勾选弹出框
        // 取消勾选不弹框，缓存勾选状态
        $$('.icon-form-checkbox').off('click').on('click', function(){
            if ($$('.label-checkbox > input')[0].checked === false && isNotChecked) {
                popupProtocol();
                isNotChecked = false;
                localStorage.setItem('authProtocolChecked_' + userId, JSON.stringify(isNotChecked));
            }
        });
		// 渲染协议弹出层
		$('#authStep2Protocol').on('click', function() {
			// 此协议需传入身份证号，姓名，手机号
			var basicInfoData = JSON.parse(localStorage.getItem('basicInfoData'+ '_' + userId)); 
        	callWebHtml({
        		url: '/agreement/agrTemplateCredit',
        		type: 'POST',
        		params: {
        			baseBusinessType:'',
        			templateId:'2',
					userId: loginStatus.userId,
					orderId: '',
					userIdCard:basicInfoData.userIdentityCardNumber.toUpperCase(),			// 身份证号
					userName:basicInfoData.userName,			// 姓名
					userPhoneNumber:basicInfoData.userPhoneNumber		// 手机号
        		},
        		successCallback: function(response) {
					$('#popupAuth').html(protocolFrame({
						protocolId: "agreementCreditAuthorization",
						protocolName: "《公民个人信息授权书》",
						protocolWidth: $('body').width(),
						protocolHeight: $('body').height() - 56
					}));
//					$$("#agreementCreditAuthorization").contents().find("html").html(response);
					$$("#agreementCreditAuthorization").contents().find("html")[0].innerHTML = response;
					
					f7.popup('#popupAuth');
        		},
        		errorCallback: function(err) {}
        	});
		});
		


		// 渲染底部按钮
		$('#authBtn').html(buttonTemplate({
			id: 'authStep3Btn',
			value: '下一步',
			disabled: false
		}));
		//埋点数据
		bindPadEventAuthStep3();

		$('#contact1Btn').on('click', function() {
			TalkingData.onEventWithLabel('身份认证2', '通讯录读取第一紧急联系人信息');
			importContact('firstContactsName', 'firstContactsPhone', 'contact1');
		});
		
		$('#contact2Btn').on('click', function() {
			TalkingData.onEventWithLabel('身份认证2', '通讯录读取第二紧急联系人信息');
			importContact('secondContactsName', 'secondContactsPhone', 'contact2');
		});
		
		
		// 验证常用联系人
		$('#firstContactsName').on('blur', function() {
			checkContact($('#firstContactsName').val(), $('#firstContactsPhone').val(), $('#firstContactsRelation').val(), '#firstContactsPhone', 'contact1');
		});
		$('#firstContactsPhone').on('blur', function() {
			if (validator.isNull($('#firstContactsPhone').val())) { f7.alert('紧急联系人手机号不为空'); return false; }
			if (!validator.checkTel($('#firstContactsPhone').val())) { f7.alert('您填写的是一个无效紧急联系人手机号码'); $('#firstContactsPhone').val(''); return false; }
			if ($('#firstContactsPhone').val() === loginStatus.accountName) { f7.alert('紧急联系人手机号码不能是本人手机号码'); return false; }
			checkContact($('#firstContactsName').val(), $('#firstContactsPhone').val(), $('#firstContactsRelation').val(), '#firstContactsPhone', 'contact1');
		});
		$('#firstContactsRelation').on('blur', function() {
			checkContact($('#firstContactsName').val(), $('#firstContactsPhone').val(), $('#firstContactsRelation').val(), '#firstContactsPhone', 'contact1');
		});
		
		// 验证紧急联系人
		$('#secondContactsName').on('blur', function() {
			checkContact($('#secondContactsName').val(), $('#secondContactsPhone').val(), $('#secondContactsRelation').val(), '#secondContactsPhone', 'contact2');
		});
		$('#secondContactsPhone').on('blur', function() {
			if (validator.isNull($('#secondContactsPhone').val())) { f7.alert('常用联系人手机号不为空'); return false; }
			if (!validator.checkTel($('#secondContactsPhone').val())) { f7.alert('您输入的是一个无效常用联系人手机号码'); $('#secondContactsPhone').val(''); return false; }
			if ($('#secondContactsPhone').val() === loginStatus.accountName) { f7.alert('常用联系人手机号码不能是本人手机号码'); return false; }
			checkContact($('#secondContactsName').val(), $('#secondContactsPhone').val(), $('#secondContactsRelation').val(), '#secondContactsPhone', 'contact2');
		});
		$('#secondContactsRelation').on('blur', function() {
			checkContact($('#secondContactsName').val(), $('#secondContactsPhone').val(), $('#secondContactsRelation').val(), '#secondContactsPhone', 'contact2');
		});

		
		
		
		
		$('#authStep3Btn').on('click', function() {
			TalkingData.onEventWithLabel('身份认证2', '通讯录读取第二紧急联系人信息');

			if (validator.isNull($('#firstContactsName').val())) { f7.alert('紧急联系人姓名不为空'); return false; }
			if (validator.isNull($('#firstContactsPhone').val())) { f7.alert('紧急联系人手机号不为空'); return false; }
			if (!validator.checkTel($('#firstContactsPhone').val())) { f7.alert('您填写的是一个无效紧急联系人手机号码'); return false; }
			if ($('#firstContactsPhone').val() === loginStatus.accountName) { f7.alert('紧急联系人手机号码不能是本人手机号码'); return false; }
			if ($('#firstContactsRelation').val() === 'selected' || validator.isNull($('#firstContactsRelation').val())) { f7.alert('与紧急联系人关系不为空'); return false; }
		
			if (validator.isNull($('#secondContactsName').val())) { f7.alert('常用联系人姓名不为空'); return false; }
			if (validator.isNull($('#secondContactsPhone').val())) { f7.alert('常用联系人手机号不为空'); return false; }
			if (!validator.checkTel($('#secondContactsPhone').val())) { f7.alert('您输入的是一个无效常用联系人手机号码'); return false; }
			if ($('#secondContactsPhone').val() === loginStatus.accountName) { f7.alert('常用联系人手机号码不能是本人手机号码'); return false; }	
			if ($('#secondContactsRelation').val() === 'selected' || validator.isNull($('#secondContactsRelation').val())) { f7.alert('与紧急联系人关系不为空'); return false; }
		
			if (!$('#tabAuthStep3Protocol input')[0].checked) { f7.alert('请阅读并同意协议'); return false; }
			if ($('#firstContactsPhone').val() == $('#secondContactsPhone').val()) { f7.alert('紧急联系人与常用联系人号码不能相同'); return false; }
			
			var basicInfoData = JSON.parse(localStorage.getItem('basicInfoData'+ '_' + userId)); 
			var workInfoData = JSON.parse(localStorage.getItem('workInfoData'+ '_' + userId)); 
			var contactsInfoData = f7.formToJSON('#'+params.contactsInfoHtml.formId);
			
//			// 增加通讯录权限和通讯录数量
//			contactsInfoData.contactsAuthorization = contactsAuthorization;
//			contactsInfoData.contactsLength = contactsLength;
//			//通讯录内容提交
//			contactsInfoData.addressList = addressList;
			
			localStorage.setItem('contactsInfoData' + '_' + userId, JSON.stringify(contactsInfoData));
			
			// pad埋点需求
			sendPadDataAuthStep3();
			
			// 是否跳过cordova的device.uuid
			var deviceId = '';
			if (!SKIP.cordova_uuid) {
				deviceId = device.uuid;
			}
			
			var deviceIsSim = getDeviceSimulator();
//			// 是否跳过cordova的device.isVirtual
//			var deviceIsSim = 'false';
//			if (!SKIP.cordova_isVirtual) {
//				deviceIsSim = device.isVirtual;
//			}
			
			var baseParams = {
					userType:params.contactsInfoHtml.userType,
					filterRuleId:params.contactsInfoHtml.filterRuleId,
					expectedLimitType:params.expectedLimitType,
					expectedLimitMoney:params.expectedLimitMoney,
					creditSize:params.expectedLimitMoney,								//新增字段额度规模（大于一万或小于）
					userRole:params.expectedLimitType,									//新增字段申请人类型	
					userId: loginStatus.userId,											//用户ID
					userName: basicInfoData.userName,									//姓名
					userIdentityCardNumber: basicInfoData.userIdentityCardNumber.toUpperCase(),		//身份证号
					userBirthday: basicInfoData.userBirthday,							//生日
					userPhoneNumber: basicInfoData.userPhoneNumber,						//用户手机号
					userBankCardNumber: basicInfoData.userBankCardNumber,				//银行卡号
					userMaritalStatus: basicInfoData.userMaritalStatus,					//婚姻状况
					userHighestEducation: basicInfoData.userHighestEducation,			//最高学历
					userDwellingCondition: basicInfoData.userDwellingCondition,			//居住状况
					userDwellingAddress: basicInfoData.userDwellingAddress,				//居住地址
					userProvinceName: basicInfoData.userDwellingAddress.split(' ')[0],	//省市名
					userCityName: basicInfoData.userDwellingAddress.split(' ')[1],		//城市名
					userAreaName: basicInfoData.userDwellingAddress.split(' ')[2],		//地区名
					userProvinceCode: basicInfoData.userLocationCode[0],				//省市code
					userCityCode: basicInfoData.userLocationCode[1],					//城市code
					userAreaCode: basicInfoData.userLocationCode[2],					//地区code
					userDwellingDetailAddress: basicInfoData.userDwellingDetailAddress, //详细地址
					
					userWorkAddressProvinceCode: workInfoData.userWorkAddressCode[0],	//工作省市Code	
					userWorkAddressCityCode:workInfoData.userWorkAddressCode[1],		//工作城市code
					userWorkAddressAreaCode: workInfoData.userWorkAddressCode[2],		//工作地区code

					contactsList: [														//联系人
						{
							userId: loginStatus.userId,									//紧急联系人
							contactsName: contactsInfoData.firstContactsName,
							contactsPhoneNumber: contactsInfoData.firstContactsPhone,
							contactsUserRelation: contactsInfoData.firstContactsRelation,
							contactsIdentityCardNumber: '',
							contactsAddress: '',
							baseBusinessType:"",
							contactsType:"1"
							
						},
						{
							userId: loginStatus.userId,									//常用联系人
							contactsName: contactsInfoData.secondContactsName,
							contactsPhoneNumber: contactsInfoData.secondContactsPhone,
							contactsUserRelation: contactsInfoData.secondContactsRelation,
							contactsIdentityCardNumber: '',
							contactsAddress: '',
							baseBusinessType:"",
							contactsType:"2"							
						}
					],
//					contactsLength: contactsInfoData.contactsLength,				//联系人数量
//					contactsAuthorization: contactsInfoData.contactsAuthorization,	//访问联系人权限
//				   //通讯录内容绑定入参					
//					addressList : JSON.parse(contactsInfoData.addressList),			//地址列表？？
					contactsLength: '',												//联系人数量
					contactsAuthorization: '',										//访问联系人权限
					addressList: [],												//通讯录列表
					deviceId: deviceId,												//设备ID	
					deviceIsSim:deviceIsSim,										//是否模拟器
					creditLongitude: '',											// 身份认证经度
					creditLatitude: ''												// 身份认证纬度
				};
				if(params.contactsInfoHtml.userType==='001'){
					//工作信息----上班族
					baseParams.userWorkName= workInfoData.userWorkName,//单位名称
					baseParams.userWorkProperty= workInfoData.userWorkProperty,//单位性质
					baseParams.userIndustry= workInfoData.userIndustry,//所属行业
					baseParams.userWorkPhone=workInfoData.userWorkPhone,//单位电话
					baseParams.userWorkDuty=workInfoData.userWorkDuty,//职务职称
					baseParams.userMonthlyIncome= workInfoData.userMonthlyIncome,//月收入
					baseParams.userWorkTime= workInfoData.userWorkTime,//入职时间
					baseParams.userWorkDetailAddress= workInfoData.userWorkDetailAddress,//详细地址

					baseParams.userWorkAddressProvinceName= workInfoData.userWorkAddress.split(' ')[0],
					baseParams.userWorkAddressCityName= workInfoData.userWorkAddress.split(' ')[1],
					baseParams.userWorkAddressAreaName= workInfoData.userWorkAddress.split(' ')[2]
				}else if(params.contactsInfoHtml.userType==='002'){	
					//工作信息---私营业主
					baseParams.userBusinessName= workInfoData.userBusinessName,
					baseParams.userBusinessTrade= workInfoData.userBusinessTrade,
					baseParams.userBusinessAddress= workInfoData.userBusinessAddress,
					baseParams.userBusinessDetailAddress= workInfoData.userBusinessDetailAddress,
					baseParams.userBusinessProperty= workInfoData.userBusinessProperty,
					baseParams.userBusinessTime= workInfoData.userBusinessTime,
					baseParams.userBusinessPhoneNumber= workInfoData.userWorkPhone,
					
					baseParams.userWorkAddressProvinceName= workInfoData.userBusinessAddress.split(' ')[0],
					baseParams.userWorkAddressCityName= workInfoData.userBusinessAddress.split(' ')[1],
					baseParams.userWorkAddressAreaName= workInfoData.userBusinessAddress.split(' ')[2]
				}
				
				//发送请求
				function creditActivationFunc() {
					callAppApi({
						url: '/app/credit/saveBaseInfo',
						type: 'POST',
						params: baseParams,
						successCallback: function(response) {
//							if (response.userIsCredit === true) {
//								localStorage.removeItem("workInfoData"); 
							if(response.userIsCredit==true){
								loadAdvanceCreditPage('uploadIDCard', {
									  query: {
										  fromPage:'authStep',
										  creditAuditId:response.creditAuditId
									  }
								 });
								sessionStorage.setItem("creditAuditId",response.creditAuditId);
								localStorage.removeItem('basicInfoData'+ '_' + userId); 
								localStorage.removeItem('workInfoData'+ '_' + userId); 
								localStorage.removeItem('contactsInfoData'+ '_' + userId); 
							}else if(response.userIsCredit==false){
								loadAdvanceCreditPage('creditManage', {
									  query: {
										  fromPage:'authStep3',
									  }
								 });
							}
						},
						errorCallback: function(msg) {
							var creditManageErrorTimeout = setTimeout(function() {
								loadAdvanceCreditPage('creditManage', {
									query: {
										fromPage: 'authStep3'
									}
								});
								clearTimeout(creditManageErrorTimeout);
							}, 3500);

						}
					});
				}
				
				function getLngAndLatFunc() {
					  //获取经纬度
					var creditSaveBaseInfoStatus = false;
					getLngAndLat(function(position) {
						baseParams.creditLongitude = position.lng;
						baseParams.creditLatitude = position.lat;
						
						if (creditSaveBaseInfoStatus == false) {
							creditSaveBaseInfoStatus = true;
							creditActivationFunc();
						}
						
					}, function(error) {
						baseParams.creditLongitude = '';
						baseParams.creditLatitude = '';
						
						if (creditSaveBaseInfoStatus == false) {
							creditSaveBaseInfoStatus = true;
							creditActivationFunc();
						}
					});
				}
				
				
				if (!SKIP.cordova_contacts) {
					cordova.plugins.diagnostic.isContactsAuthorized(function(res) {
		              if(res == '-1'){
		              	     f7.modal({
								 text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
								 buttons: [{
									 text: '确定',
									 onClick: function() {
										 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
									 }
								 }]
							 });

		              }else if(res == '0'){
		                  navigator.contacts.requestAuth(function(msg) {
		                	  baseParams.contactsAuthorization = '1';

		    				  // 获取通讯录数据
		    				  navigator.contacts.contactsList(function(list) {

		    					  if (Array.isArray(list)) {
		    						  baseParams.contactsLength = list.length.toString();
		    					  } else {
		    						  baseParams.contactsLength = '0';
		    					  }

		    					  baseParams.addressList = list;
		    					  
		    					  getLngAndLatFunc();
		    				  }, function(err){
		    					  if (err === '-2' && getDeviceType() === 'ANDROID') {
				                        f7.modal({
				                            text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
				                            buttons: [{
				                                text: '确定',
				                                onClick: function() {
				                                    cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
				                                }
				                            }]
				                        });
				                    } else {
			                            f7.alert('访问通讯录好友失败，请检查是否开启通讯录权限');
			                        }
		    				  });

		    			  }, function(msg) {

//		    				 if (msg === '-1') {
//		    					 f7.modal({
//		    						 text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
//		    						 buttons: [{
//		    							 text: '确定',
//		    							 onClick: function() {
//		    								 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
//		    							 }
//		    						 }]
//		    					 });
//		    				 } else 
		    				 if (msg === '-2') {
		    					 f7.modal({
		    						 text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
		    						 buttons: [{
		    							 text: '确定',
		    							 onClick: function() {
		    								 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
		    							 }
		    						 }]
		    					 });
		    				 }

		    				 baseParams.contactsAuthorization = '0';
		    			  });
			          }else if(res == '1'){
			        	  baseParams.contactsAuthorization = '1';

	    				  // 获取通讯录数据
	    				  navigator.contacts.contactsList(function(list) {

	    					  if (Array.isArray(list)) {
	    						  baseParams.contactsLength = list.length.toString();
	    					  } else {
	    						  baseParams.contactsLength = '0';
	    					  }

	    					  baseParams.addressList = list;
	    					  
	    					  getLngAndLatFunc();
	    				  }, function(err){
	    					  if (err === '-2' && getDeviceType() === 'ANDROID') {
			                        f7.modal({
			                            text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
			                            buttons: [{
			                                text: '确定',
			                                onClick: function() {
			                                    cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
			                                }
			                            }]
			                        });
			                    } else {
		                            f7.alert('访问通讯录好友失败，请检查是否开启通讯录权限');
		                        }
	    				  });
			          }
					}, function(err) {
						 f7.modal({
							 text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
							 buttons: [{
								 text: '确定',
								 onClick: function() {
									 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
								 }
							 }]
						 });
					});
				} else {
					getLngAndLatFunc();
				}
		})
		
	  function checkContact(name, phone, relation, selectKey, contactKey) {
		  if (validator.isNull(name)) { return false; }
		  if (!validator.checkTel(phone)) { return false; }
		  if (validator.isNull(relation)) { return false; }
		  
		  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
			// 检查紧急联系人
			callAppApi({
				url: '/app/checkContacts',
				type: 'POST',
				accountId: loginStatus.accountName,
				sessionToken: loginStatus.userSession,
				params: {
					userId: loginStatus.userId,
					contactsPhoneNumber: phone
				},
				successCallback: function(data) {
					
					if (contactKey === 'contact1') {
						contact1Key = true;
					} else if (contactKey === 'contact2') {
						contact2Key = true;
					}
				},
				errorCallback: function(data) {
					if (contactKey === 'contact1') {
						contact1Key = false;
					} else if (contactKey === 'contact2') {
						contact2Key = false;
					}
					$(selectKey).val('');
				}
			});
	  }
		
	  function getContactName(c) {
		  var name = c.displayName;
		  if (!name || name === '') {
			  if (c.name.formatted) {
				  return c.name.formatted;
			  }
			  if (c.name.givenName && c.name.familyName) {
				  return c.name.givenName + ' ' + c.name.familyName;
			  }
			  return 'Nameless';
		  }
		  return name;
	  }
	  
	  function importContact (name, phone, contactKey) {
		    try {
		        cordova.plugins.diagnostic.isContactsAuthorized(function(res) {
		            if(res == '-1'){
		                f7.modal({
		                    text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
		                    buttons: [{
		                        text: '确定',
		                        onClick: function() {
		                            cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
		                        }
		                    }]
		                });
		            } else if(res == '0') {
		                navigator.contacts.requestAuth(function(msg) {
		                    navigator.contacts.pickContact(function(contact) {
		                        var phoneNumber = contact.phoneNumbers[0].value;
		                        var username = getContactName(contact);
		                        if(phoneNumber){
		                            phoneNumber = trimStr(phoneNumber.replace(/-/g,""),"g");
		                        }
		                        if(username){
		                            username = trimStr(username,"g");
		                        }
		                        $('#' + name).val(username);
		                        $('#' + phone).val(phoneNumber);
		                        // 调用通讯录更新key值
		                        if (contactKey === 'contact1') {
		                          checkContact($('#firstContactsName').val(), $('#firstContactsPhone').val(), $('#firstContactsRelation').val(), '#firstContactsPhone', 'contact1');
		                        } else if (contactKey === 'contact2') {
		                          checkContact($('#secondContactsName').val(), $('#secondContactsPhone').val(), $('#secondContactsRelation').val(), '#secondContactsPhone', 'contact2');
		                        }
		                    }, function(err) {
		                    	if (err === '-2' && getDeviceType() === 'ANDROID') {
			                        f7.modal({
			                            text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
			                            buttons: [{
			                                text: '确定',
			                                onClick: function() {
			                                    cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
			                                }
			                            }]
			                        });
			                    } else {
		                            f7.alert('访问通讯录好友失败，请检查是否开启通讯录权限');
		                        }
		                    })
		                }, function(msg) {
//		                    if (msg === '-1') {
//		                        f7.modal({
//		                            text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
//		                            buttons: [{
//		                                text: '确定',
//		                                onClick: function() {
//		                                    cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
//		                                }
//		                            }]
//		                        });
//		                    } else 
		                    if (msg === '-2') {
		                        f7.modal({
		                            text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
		                            buttons: [{
		                                text: '确定',
		                                onClick: function() {
		                                    cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
		                                }
		                            }]
		                        });
		                    }
		                })
		            } else if(res == '1') {
		                navigator.contacts.pickContact(function(contact) {
		                    var phoneNumber = contact.phoneNumbers[0].value;
		                    var username = getContactName(contact);
		                    if(phoneNumber){
		                        phoneNumber = trimStr(phoneNumber.replace(/-/g,""),"g");
		                    }
		                    if(username){
		                        username = trimStr(username,"g");
		                    }
		                    $('#' + name).val(username);
		                    $('#' + phone).val(phoneNumber);
		                    // 调用通讯录更新key值
		                    if (contactKey === 'contact1') {
		                        checkContact($('#firstContactsName').val(), $('#firstContactsPhone').val(), $('#firstContactsRelation').val(), '#firstContactsPhone', 'contact1');
		                    } else if (contactKey === 'contact2') {
		                        checkContact($('#secondContactsName').val(), $('#secondContactsPhone').val(), $('#secondContactsRelation').val(), '#secondContactsPhone', 'contact2');
		                    }
		                }, function(err) {
		                    if (err == 6) {
		                        return;
		                    } else {
		                        f7.alert('访问通讯录好友失败，请检查是否开启通讯录权限');
		                    }
		                });
		            }
		        }, function(err) {
		            f7.modal({
		                text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
		                buttons: [{
		                    text: '确定',
		                    onClick: function() {
		                        cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
		    				}
		    			}]
		    		});
		    	});
		    } catch(e) {
		        f7.alert('访问通讯录好友失败，请检查是否开启通讯录权限');
		    }
		}
  }

  return {
	 render: render,
  }
});