define([
  'hbs!components/common/toolbar/toolbar'
], function(
  toolbarTemplate
) {
  var $ = Framework7.$;
  
  function render(params) {  
    $('#toolbar').html(toolbarTemplate({}));
    
	// 工具栏点击事件
	$('#toolbarBtn1').on('click', function() {
		TalkingData.onEventWithLabel('首页', '首页');
		if (mainView.activePage.name !== 'index') {
		  mainView.router.load({
			  url: 'index.html',
			  animatePages: false
		  });
		  changeToolbarStatus('#toolbarBtn1');
		}
	});
	$('#toolbarBtn2').on('click', function() {
		TalkingData.onEventWithLabel('首页', '订单');
		if (mainView.activePage.name !== 'order') {
		  mainView.router.load({
			  url: 'order.html',
			  animatePages: false
		  });
		  changeToolbarStatus('#toolbarBtn2');
		}
	});
	$('#toolbarBtn3').on('click', function() {
		TalkingData.onEventWithLabel('首页', '我');
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		if (loginStatus.userSession !== '') {
			mainView.router.load({
				url: 'me.html',
				animatePages: false
			});
			changeToolbarStatus('#toolbarBtn3');
		} else if (loginStatus.userSession === '') {
			mainView.router.load({
				url: 'login.html',
				animatePages: false
			})
			changeToolbarStatus('#toolbarBtn3');
		}
	});
  };
 
  /**
   * @desc 修改toolbar的icon点击状态
   * @param selector #toolbarBtn1 || #toolbarBtn2 || #toolbarBtn3 (id 与 模版绑定)
   */
  function changeToolbarStatus(selector) {
	$(selector).parent().children().removeClass('active');
	$(selector).addClass('active');
  }

  return {
    render: render,
    changeToolbarStatus: changeToolbarStatus
  };
});
