define([
  'js/config',
  'js/utilities',
  'hbs!advanceCredit/advanceCreditContainers/advanceCreditChooseProfession/advanceCreditChooseProfession',
  'hbs!components/common/button/button',
], function(
	config,
	utilities,
	chooseProfessionTemplate,
	buttonTemplate
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var buildNumber = config.buildNumber;
  var SKIP = config.SKIP;
  var logout = utilities.logout;
  
  function render(params) {
	  // 渲染导航栏
	  loadAdvanceCreditComponent('navbar', 'common', {
		  container: '#chooseProfessionNavbar',
		  title: '额度申请',
		  backClass: 'chooseProfessionBackBtn',
		  isBackIcon: true,
		  isBack: false
	  });
	
	  // 渲染页面
	  $('#chooseProfessionContent').html(chooseProfessionTemplate({
	  }));
	  
		// 渲染底部按钮
		$('#chooseProfessionBtnBox').html(buttonTemplate({
			id : 'chooseProfessionBtn',
			value : '下一步',
			disabled : false,
		}));
		//点击下一步按钮
		$('#chooseProfessionBtn').on('click', function() {
			var userType = $('.chooseProfession-type ul').children().find('.type-item.checked').attr('profession-type');
			var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
			//判断用户是否选中用户类型，选中获取数据渲染期望额度页面
			var checkedLength = $('.chooseProfession-type ul').children().find('.type-item.checked').length;
			  if(checkedLength===0){
			  	f7.alert("请选择用户类型！")
			  }else{
			  	//判断是否为学生
			  	if(userType==="003"){
					// 不存在订单，跳转到二级首页
			  		//黑名单检测
					callAppApi({
						url : '/api/blackList',
						type : 'POST',
						params : {
							userId : loginStatus.userId,
							userPhoneNumber : loginStatus.accountName,
							userIdentityCardNumber : '',
							userBankCardNumber : ''
						},
						successCallback: function(data) {
							// 如果为黑名单
							if (data && data.blackList === true) {
								f7.alert('很抱歉，您暂时无法办理该业务，感谢关注！');
							} else {
								//订单检测
								callAppApi({
									url: '/app/checkPlaceOrder',
									type: 'POST',
									params: {
										userId: loginStatus.userId,
										userIsOld: loginStatus.oldUser,
										oldId: loginStatus.oldId,
										businessType: '003001'			
									},
									successCallback: function(checkPlaceOrder){
											//是否额度激活检测
											callAppApi({
												url : '/api/checkCredit',
												type : 'POST',
												params : {
													userId : loginStatus.userId,
													baseBusinessType : '003001',
													isOldUser : loginStatus.oldUser,
													orderId:'',
												},
												successCallback : function(checkCredit){
													if (checkCredit.userIsCredit === true) {
														loadEducationPage('chooseGoods', {
										    				query: {}
										    			});
													} else {
														f7.alertMessage('办理此业务，请先进行身份认证');
														var timeIndex = setTimeout(function() {
															loadEducationPage('authentication', {
											    				query: {}
											    			});
															clearTimeout(timeIndex);
														}, 3000);
													}	
												},
												errorCallback: function(err) {}
											});
									},
									errorCallback: function(err) {}
								});
							}
						}
					})
			  	}else{
			  		
//					callAppApi({
//					   url: '/app/credit/expectedLimit',
//					   type: 'POST',
//					   params: {
//						   userId: params.loginStatus.userId,
//						   userType:userType
//						     },
//						successCallback: function(response) {
//						    loadAdvanceCreditPage('expectCredit', {
//							  query: {
//								  fromPage:'chooseProfession',
//							  	  responseData:response
//							  }
//						    });
//					     }
//					})
			  	//非学生跳转到身份认证页面
			  	   loadAdvanceCreditPage('authentication', {
							query: {
								fromPage: 'expectCredit',
								expectedLimitMoney:"",
								filterRuleId:"",
								userType:userType,
								expectedLimitType:""
							}
						});
			  	}
	    	}
		});
		//点击出现选中效果并添加选中标记
		$('.chooseProfession-type ul').on('click',function(ev){
			$('.item-pic').each(function(){
				$(this).removeClass("item-pic-check")
				$(this).addClass("item-pic-uncheck")
			});
			$(this).children().find('.type-item').removeClass('checked');
			$(ev.target).parent().children('.item-pic').addClass("item-pic-check");
			$(ev.target).parent().addClass('checked'); 
		});
  }  	  

  return {
	render: render
  }
});