define([
  'js/utilities',
  'advanceCredit/advanceCreditContainers/advanceCreditCreditManage/advanceCreditCreditManageView'
], function(
  utilities,
  advanceCreditCreditManageView
) {
 
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  function init(query) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  
	  callAppApi({
		  url: '/app/credit/audit/query',
		  type: 'POST',
		  params: {
			  userId: loginStatus.userId
		  },
		  successCallback: function(auditQueryRes) {
			  if (
				  auditQueryRes.creditAuditStatus == '1' || 
				  auditQueryRes.creditAuditStatus == '5' || 
				  auditQueryRes.creditAuditStatus == '110'
			  ) {
				  // 跳转选择职业页面
				  loadAdvanceCreditPage('chooseProfession', {
					  query: {
						  fromPage: 'me',
					  }
				  });
			  } else if (
				  auditQueryRes.creditAuditStatus == '2' || 
//				  auditQueryRes.creditAuditStatus == '302' || 
				  auditQueryRes.creditAuditStatus == '450' ||
				  auditQueryRes.creditAuditStatus == '140' ||
				  auditQueryRes.creditAuditStatus == '141'
			  ) {
//				  // 跳转额度管理页面
//				  loadAdvanceCreditPage('creditManage', {
//					  query: {
//						  fromPage: 'me',
//					  }
//				  });
				  
				  advanceCreditCreditManageView.render({
					  creditAuditStatus: auditQueryRes.creditAuditStatus,
					  auditLimitMoney: auditQueryRes.auditLimitMoney,//auditLimitMoney;//审批金额
					  sumPayment: auditQueryRes.sumPayment,//下月应还总额
					  creditAvailableAmount: auditQueryRes.creditAvailableAmount,//授信剩余额度
				  });
			  } else if (
				  auditQueryRes.creditAuditStatus == '420' ||
				  auditQueryRes.creditAuditStatus == '301'
			  ) {
				  // 跳转人脸识别，身份证正反面页面
			  	  loadAdvanceCreditPage('uploadIDCard', {
			  		  query: {
			  			  fromPage: 'me',
			  		  }
			  	  });
			  } else if (auditQueryRes.creditAuditStatus == '120') {
				  // 跳转专案基本信息
		  		  loadAdvanceCreditPage('housingLoan', {
					  query: {
						  fromPage:'me',
					  }
				  });
			  } else if (auditQueryRes.creditAuditStatus == '131' || auditQueryRes.creditAuditStatus == '132') {
				  loadAdvanceCreditPage('uploadEvidence', {
					  query: {
						  fromPage:'me',
					  }
				  })
			  } else if (auditQueryRes.creditAuditStatus == '130') {
			  	  loadAdvanceCreditPage('chooseFamily', {
			  		  query: {
			  			  fromPage:'me',
			  			  difference: 'advanceCreditUploadEvidence',
			  		  }
			  	  });
			  }else{
				  mainView.router.back({
			  			url: 'me.html',
			  			force: true,
					})
		  	  		f7.showToolbar('#toolbar');
			  }
		  },
		  errorCallback: function(err) {}
	  })
	  
	  
//	  callAppApi({
//		  url: '/app/credit/reqMyLimit',
//		  type: 'POST',
//		  params: {
//			  userId: loginStatus.userId,
//		  },
//		  successCallback: function(response) {
//			  
//			  if (response.auditStatus=="000000") {
//			  		loadAdvanceCreditPage('chooseProfession', {
//						query: {
//							fromPage: 'me',
//						}
//					});
//			  } else if (response.auditStatus == '000001') {
////				  loadAdvanceCreditPage('creditManage', {
////					  query: {
////						  fromPage: 'me'
////					  }
////				  });
//				  
//				  advanceCreditCreditManageView.render({
//					  status: response.auditStatus,
//					  auditLimitMoney: response.auditLimitMoney,//auditLimitMoney;//审批金额
//					  sumPayment: response.sumPayment,//下月应还总额
//					  creditAvailableAmount: response.creditAvailableAmount,//授信剩余额度
//				  });
//			  } else if (response.auditStatus == "10" || response.auditStatus == '51') {
////				  loadAdvanceCreditPage('creditManage', {
////					  query: {
////						  fromPage: 'me'
////					  }
////				  });
//				  
//				  advanceCreditCreditManageView.render({
//					  status: response.auditStatus,
//					  auditLimitMoney: response.auditLimitMoney,//auditLimitMoney;//审批金额
//					  sumPayment: response.sumPayment,//下月应还总额
//					  creditAvailableAmount: response.creditAvailableAmount,//授信剩余额度
//				  });
//			  } else if (response.auditStatus == '11') {
//		  		  loadAdvanceCreditPage('housingLoan', {
//					  query: {
//							 fromPage:'me',
//							 creditAuditId: query.creditAuditId,
//							 status:response.auditStatus,
//							 fromStatus:response.auditStatus
//					  }
//				  });
//			  } else if (response.auditStatus == '12') {
//			  		loadAdvanceCreditPage('uploadEvidence', {
//						query: {
//							fromPage: 'me',
//							userId:loginStatus.userId,
//							evidenceKey:'housingLoan',
//							creditAuditId:query.creditAuditId,
//							status:response.auditStatus,
//							fromStatus:response.auditStatus
//						}
//					});
//			  } else if (response.auditStatus == '13') {
//			  		loadAdvanceCreditPage('chooseFamily', {
//						  query: {
//							  fromPage:'me',
//							  status:response.auditStatus,
//							  fromStatus:response.auditStatus
//						  }
//					 });
//			  } else if (response.auditStatus == '14') {
//			  		loadAdvanceCreditPage('uploadIDCard', {
//						query: {
//							fromPage: 'me',
//							status: response.auditStatus,
//							fromStatus: response.auditStatus
//						}
//					})
//			  } else if (
//					response.auditStatus=="21"||
//					response.auditStatus=="23"||
//					response.auditStatus=="26"||
//					response.auditStatus=="28"
//			  ) {
//			  		loadAdvanceCreditPage('uploadIDCard', {
//						query: {
//							fromPage: 'me',
//							status:response.auditStatus,
//							fromStatus:response.auditStatus
//						}
//					})
//			  } else if (
//					response.auditStatus=="22"||
//					response.auditStatus=="27"||
//					response.auditStatus=="31"||
//					response.auditStatus=="33"
//			  ) {
//			  		loadAdvanceCreditPage('uploadEvidence', {
//						query: {
//							fromPage: 'me',
//							status:response.auditStatus,
//							fromStatus:response.auditStatus
//						}
//					})
//			  } else if (
//					response.auditStatus=="25"||response.auditStatus=="32"
//			  ) {
//			  		loadFamilyDecorationPage('perfectDataResult', {
//						query: {
//							fromPage: 'me',
//							status:response.auditStatus,
//							fromStatus:response.auditStatus
//						}
//					})
//			  } else {
//				  advanceCreditCreditManageView.render({
//					  status: response.auditStatus,
//					  auditLimitMoney: response.auditLimitMoney,//auditLimitMoney;//审批金额
//					  sumPayment: response.sumPayment,//下月应还总额
//					  creditAvailableAmount: response.creditAvailableAmount,//授信剩余额度
//				  });
//			  }
//		  },
//		  errorCallback: function(err) {}
//	  })

  }
  
  return {
	init: init,
  };
});
