define([
  'js/config',
  'js/utilities',
  'hbs!advanceCredit/advanceCreditContainers/advanceCreditCreditManage/advanceCreditCreditManage',
  'hbs!components/common/button/button',
  'js/datas',
], function(
	config,
	utilities,
	CreditManageTemplate,
	buttonTemplate,
	datas
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var buildNumber = config.buildNumber;
  var SKIP = config.SKIP;
  var logout = utilities.logout;
  var getPromptCredit = datas.getPromptCredit;
  
  function render(params) {
	  // 渲染导航栏
	  loadAdvanceCreditComponent('navbar', 'common', {
		  container: '#creditManageNavbar',
		  title: '我的额度',
		  backClass: 'creditManageBackBtn',
		  isBackIcon: true,
		  isBack: true
	  });
	  
	  
	  if(params.creditAuditStatus == "450"){
		  sessionStorage.removeItem("creditAuditId");
	  }
	 
	  function fmoney(s, n) {
		  	if(n){
		  		n = n > 0 && n <= 20 ? n : 2;
				s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";
		  	}else{
		  		s = parseFloat((s + "").replace(/[^\d\.-]/g, ""))+"";
		  	}
			var l = s.split(".")[0].split("").reverse(), r = s.split(".")[1];
			t = "";
			for (i = 0; i < l.length; i++) {
				t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");
			}
			if(n){
				return t.split("").reverse().join("") + "." + r;
			}else {
				return t.split("").reverse().join("")
			}
		}
	  var creditAvailableAmount=fmoney(params.creditAvailableAmount,2);	//可用额度
	  var auditLimitMoney=fmoney(params.auditLimitMoney);		//总额度
	  var sumPayment=fmoney(params.sumPayment,2);			//本月待还
	  // 渲染页面
	  $('#creditManageContent').html(CreditManageTemplate({
		  creditAuditStatus: params.creditAuditStatus,
		  auditLimitMoney: auditLimitMoney,//auditLimitMoney;//审批金额
		  sumPayment: sumPayment,//下月应还总额
		  creditAvailableAmount: creditAvailableAmount,//授信剩余额度
	  }));
		
	  $("#creditNotice").on("click",function(){
		 var promptText = getPromptCredit("15101001");
		 if(promptText!==''){
			 f7.modal({
				 text:promptText,
				 buttons:[{
					 text:"我知道了",
					 onClick:function(){}
				 }]
			 });
		 }
	  });
	  
	 
	  
	  // 按钮页面跳转
	  $('.myBillAdvance').on('click', function() {
		  mainView.loadPage('billList.html');
	  });
		// 渲染底部按钮
		/*$('#expectCreditBtnBox').html(buttonTemplate({
			id : 'expectCreditBtn',
			value : '下一步',
			disabled : false,
		}));*/
		
		/*$('#expectCreditBtn').on('click', function() {
			  loadAdvanceCreditPage('creditManage', {
					query: {
						fromPage: 'expectCredit',
					}
				});
		});*/
		
  }  	  

  return {
	render: render
  }
});