define([
  'js/config',
  'js/utilities',
  'hbs!advanceCredit/advanceCreditContainers/advanceCreditExpectCredit/advanceCreditExpectCredit',
  'hbs!components/common/button/button',
], function(
	config,
	utilities,
	ExpectCreditTemplate,
	buttonTemplate
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var buildNumber = config.buildNumber;
  var SKIP = config.SKIP;
  var logout = utilities.logout;
  
  function render(params) {
	  // 渲染导航栏
	  loadAdvanceCreditComponent('navbar', 'common', {
		  container: '#expectCreditNavbar',
		  title: '期望额度',
		  backClass: 'expectCreditBackBtn',
		  isBackIcon: true,
		  isBack: false
	  });
	
	  var responseData=params.responseData;//数组
	  // 渲染页面
	  $('#expectCreditContent').html(ExpectCreditTemplate({
		  responseData:responseData
	  }));
	  
		// 渲染底部按钮
		$('#expectCreditBtnBox').html(buttonTemplate({
			id : 'expectCreditBtn',
			value : '下一步',
			disabled : false,
		}));
		
		$('#expectCreditBtn').on('click', function() {
            var checkedLength = $('.expectCredit-type ul').children().find('.type-item.checked').length;
            if(checkedLength===0){
            	f7.alert("请选择期望额度");
            }else{
            	//加载下一页并将选中额度相应的数据传到下一页面
            	var checkedImg = $('.expectCredit-type ul').children().find('.type-item.checked');
            	   loadAdvanceCreditPage('authentication', {
//            	  loadAdvanceCreditPage('housingLoan', {
					query: {
						fromPage: 'expectCredit',
						expectedLimitMoney:checkedImg.attr("expectedLimitMoney"),
						filterRuleId:checkedImg.attr("filterRuleId"),
						userType:checkedImg.attr("userType"),
						expectedLimitType:checkedImg.attr("expectedLimitType")
					}
				});
            }

		});
		//初始化选中
//		$('.expectCredit-type ul li').eq(0).children().find('img').addClass('checked');
		$('.expectCredit-type ul li').eq(0).find('.type-item').addClass('checked');
		$('.expectCredit-type ul li').eq(0).children().find('.item-pic').addClass('item-pic-check');
		//点击出现选中效果
		$('.expectCredit-type ul').on('click',function(ev){
			$('.item-pic').each(function(){
				$(this).removeClass("item-pic-check")
				$(this).addClass("item-pic-uncheck")
			});
			$(this).children().find('.type-item').removeClass('checked');
			$(ev.target).parent().children('.item-pic').addClass("item-pic-check");
			$(ev.target).parent().addClass('checked'); 
		});
		
  }  	  

  return {
	render: render
  }
});