define([
  'js/config',
  'js/utilities',
  'js/uglyUtilities',
  'js/datas',
  'hbs!advanceCredit/advanceCreditContainers/advanceCreditFamily/advanceCreditFamily',
  'hbs!components/common/button/button',
], function(
	config,
	utilities,
	uglyUtilities,
	Datas,
	chooseFamilyTemplate,
	buttonTemplate
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var callAppApiNew = uglyUtilities.callAppApiNew;
  var buildNumber = config.buildNumber;
  var SKIP = config.SKIP;
  var logout = utilities.logout;
  var dictData = Datas.dictData;
  
  function render(params) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  
	  // 渲染导航栏
	  if(params.fromPage == 'me'){
		  loadAdvanceCreditComponent('navbar', 'common', {
			  container: '#chooseProfessionNavbar1',
			  title: '业务类型',
			  backId: 'chooseFamilyBackBtn',
			  isBackIcon: true,
			  isBack: false
		  });
	  }else if(params.fromPage == 'advanceCreditUploadEvidence'){
		  loadAdvanceCreditComponent('navbar', 'common', {
	          container: '#chooseProfessionNavbar1',
	          title: '业务类型',
	          backId: 'chooseFamilyBackBtn',
	          isBackIcon: true,
	          isBack: true,
	          iconRightId: 'skipChooseBtn',
	          iconRightStatus: true,
	          iconRight:'跳过',
	          iconRightClass: 'skipChooseBtn'
	      });
	  }
	
	  // 渲染页面
	  $('#chooseProfessionContent1').html(chooseFamilyTemplate({
	  }));
	  //返回跳转
	  setTimeout(function(){
		  $('#chooseFamilyBackBtn').off('click').on('click', function() {
				if(params.fromPage == "advanceCreditUploadEvidence"){
					loadAdvanceCreditPage('uploadEvidence', {
						query: {
							fromPage: 'advanceCreditFamily',
						}
					})
				}else if(params.fromPage == "me"){
					mainView.router.back({
			  			url: 'me.html',
			  			force: true,
					})
		  	  		f7.showToolbar('#toolbar');
				}
			});
		  var deviceId = '';
		  if (!SKIP.cordova_uuid) {
			 deviceId = device.uuid;
		  }
		  //预授信跳过按钮
		  $('#skipChooseBtn').on('click', function() {
			  callAppApi({
					url: '/app/credit/audit/caseInfoCommit',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						deviceId: deviceId,
						orderDetailInfo: {}
					},
					successCallback: function(data) {

							var isBindBankCard=data.isBindBankCard;
							var orderId=data.orderId;
							if(isBindBankCard=='1'||data.auditStatus=="10"||data.auditStatus=="32"){
								 loadAdvanceCreditPage('creditManage', {
		                             query: {
		                            	 	auditStatus:data.auditStatus,
		                            	 	fromPage:'advanceCreditFamily',
			                             }
				                 });
							}else{
								 mainView.loadPage({
		                             url: 'bindBankcard.html',
		                             query: {
		                                      fromPage:'advanceCreditFamily',
				                          }
				                   });
							}
						
					},
					errorCallback: function(err) {}
			  })
		  })
	  },500)
	  
	  
	 //选择家居装修点击跳转事件
		$('#chooseFamilyTypeOne').on('click', function() {
			
			// 家装线上化与家装业务线订单检查问题
			callAppApiNew({
				url: '/app/checkPlaceOrder',
				type: 'POST',
				params: {
					userId: loginStatus.userId,
					userIsOld: loginStatus.oldUser,
					oldId: loginStatus.oldId,
					businessType: '004003'
				},
				successCallback: function(response) {
					// 检查订单接口拿到订单id和业务类型
					var responseCode = response.code;
					var orderId = response.data.orderId;
					var orderTypeCode = response.data.orderTypeCode;
					var orderStatus = response.data.orderStatus;
					
					// 检查订单可以下单
					if (responseCode !== '14507600') {
						oldFamilyDecorationLink();
					// 检查不可以下单
					} else if (responseCode == '14507600') {
						var alertMessageText = '';
						// 这里接口返回新的码表配置信息
						dictData.message.forEach(function(item) {
							if (item.dictSerialNo === responseCode) {
								alertMessageText = item.dictValue;
							}
						});
						
						f7.alertMessage(alertMessageText);
//						f7.alertMessage('您已提交该业务的申请，请至订单列表查看详情。')
					}
				},
				errorCallback: function(err) {}
			})
			
			function oldFamilyDecorationLink() {
				if(params.difference == 'me'){
					callAppApi({
		        		url: '/module/material/find',
		        		params: {
		        			userId: loginStatus.userId,
		        			orderId: '',
		        			baseBusinessType: '004002'
		        		},
		        		successCallback: function(res) {
		        			if(res.orderDetailInfo){
		        				loadFamilyDecorationPage('perfectDataResult', {
									query: {
										fromPage: 'advanceCreditFamily',
			        					difference: params.difference,
			        					response: res.orderDetailInfo,
			        					orderId: res.orderDetailInfo.orderId,
			        					baseBusinessType: '004002'
									}
								});
		        			}else{
		        				loadFamilyDecorationPage('perfectData', {
		        					query: {
		        						from: 'advanceCreditFamily',
		        						difference: params.difference,
		        						baseBusinessType: '004002',
		        					}
		        				});
		        			}
		        		},
		        		errorCallback: function(err) {}
		        	})
				}else if(params.difference == 'advanceCreditUploadEvidence'){
					loadFamilyDecorationPage('perfectData', {
						query: {
							from: 'advanceCreditFamily',
							difference: params.difference,
							baseBusinessType: '004002',
						}
					});
				}
			}
			

					  
		});
		//选择家庭套购点击跳转事件
		$('#chooseFamilyTypeTwo').on('click', function() {
			
			if(params.difference == 'me'){
				callAppApi({
	        		url: '/module/material/find',
	        		params: {
	        			userId: loginStatus.userId,
	        			orderId: '',
	        			baseBusinessType: '004001'
	        		},
	        		successCallback: function(res) {
	        			if(res.orderDetailInfo){
	        				loadFamilyDecorationPage('editAdress', {
								query: {
									fromPage: 'advanceCreditFamily',
		        					difference: params.difference,
		        					response: res.orderDetailInfo,
		        					orderId: res.orderDetailInfo.orderId,
		        					baseBusinessType: '004001'
								}
							});
	        			}else{
	        				loadFamilyDecorationPage('dispathchAdress', {
	        					query: {
	        						from: 'advanceCreditFamily',
	        						difference: params.difference,
	        						baseBusinessType: '004001',
	        					}
	        				});
	        			}
	        		},
	        		errorCallback: function(err) {}
	        	})
			}else if(params.difference == 'advanceCreditUploadEvidence'){
			  loadFamilyDecorationPage('dispathchAdress', {
					query: {
						from: 'advanceCreditFamily',
						difference: params.difference,
						baseBusinessType: '004001',
					}
				});
			}
		});
		//选择医疗健康点击跳转事件
		$('#chooseFamilyTypeThr').on('click', function() {
			 var orderId = params.orderId ? params.orderId : "";
			loadMedicalCarePage('medicalCareUploadEvidence', {
				query: {
					fromPage:'advanceCreditFamily',
					difference: params.difference,
					baseBusinessType: '006001',
					orderId: orderId
				}
			});
		});
  }  	  

  return {
	render: render
  }
});