define([
        'jquery',
        'js/utilities',
        'js/config',
        'js/validator',
        'advanceCredit/advanceCreditContainers/advanceCreditHousingLoan/advanceCreditHousingLoanView',
        'hbs!advanceCredit/advanceCreditContainers/advanceCreditHousingLoan/advanceCreditHousingLoan',
        'hbs!components/common/button/button'
], function(
	  $$,
	  utilities,
	  config,
	  validator,
	  advanceCreditHousingLoanView,
	  inputAreaTemplate,
	  buttonTemplate
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var buildNumber = config.buildNumber;
  var SKIP = config.SKIP;
  var logout = utilities.logout;

  
  function render(params) {
	  
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  // 渲染导航栏
	  loadAdvanceCreditComponent('navbar', 'common', {
		  container: '#housingLoanNavbar',
		  title: '房贷信息',
		  backClass: 'housingLoanBackBtn',
		  backId: 'housingLoanBackBtn',
		  isBackIcon: true,
		  isBack: true
	  });
	
	  
	  var  housingLoanHtml=params.housingLoanHtml		
	  var authStep1Html = inputAreaTemplate({
		  formId:housingLoanHtml.formId,
		  inputList:housingLoanHtml.elementsList,
		  visibleStatus:housingLoanHtml.indicationStatus,
	  });
	
	// 渲染authStep1页面
	$('#housingLoanStep').html(authStep1Html);
	  
		// 渲染底部按钮
		$('#housingLoanBtn').html(buttonTemplate({
			id : 'chooseProfessionBtn',
			value : '下一步',
			disabled : false,
		}));
       
       //判断有无房贷渲染页面
       $$("#haveHouseLoan").on('change',function(){
       	  if($$(this).val()=="01"){
       	  	$$(this).parent().siblings().show();
       	  }else{
       	  	$$(this).parent().siblings().hide()
       	  }
       	  
       })
		
		//点击下一步按钮
		$('#chooseProfessionBtn').on('click', function() {
		    var haveHouseLoan; //是否有房贷转为布尔值
		    if($("#haveHouseLoan").val()==='01'){
		    	haveHouseLoan = "true";
		    	var houseYearReg = /^\+?[1-9]\d*$/
				if (validator.isNull($('#houseLoanOriginTime').val())) { f7.alert('请选择日期'); return false; }
//				if (validator.isNull($('#houseLoanYear').val())) { f7.alert('请输入房贷年限'); return false; }
				if(!/^\+?[1-9]\d*$/.test($("#houseLoanYear").val())) { f7.alert('请输入房贷年限'); return false; }
				if (validator.isNull($('#houseLoanMonthPay').val())|| !/^[0-9]+$/.test($('#houseLoanMonthPay').val())) { f7.alert('请输入月还款金额'); return false; }
		    }else if($("#haveHouseLoan").val()==='02'){
		    	haveHouseLoan = "false";
		    }
			callAppApi({
					   url: '/app/credit/updateHouseLoan',
					   type: 'POST',
					   params: {
						   userId:loginStatus.userId,
						   haveHouseLoan:haveHouseLoan,
						   houseLoanOriginTime:$("#houseLoanOriginTime").val(),
						   houseLoanYear:$("#houseLoanYear").val(),
						   houseLoanMonthPay:$("#houseLoanMonthPay").val()
						     },
						successCallback: function(response) {
							  loadAdvanceCreditPage('uploadEvidence', {
									query: {
										fromPage: 'me',
										userId:loginStatus.userId,
										evidenceKey:'housingLoan',
										creditAuditId:params.creditAuditId
									}
								});
					     }
					})
		});
		
	  
     // 初始化时间组件
      var defaultUserInfo2 = {};
	  var storageWorkInfo = {}
		var today = new Date();
		var workYearPickerDate = f7.picker({
			input: '#houseLoanOriginTime',
			rotateEffect: true,
			toolbarCloseText: '完成',
			value:'',//[today.getFullYear(), today.getMonth()]
			formatValue: function (p, values, displayValues) {
				var displayYear = values[0];
				var displayMonth = (parseInt(values[1]) + 1) < 10 ? '0' + (parseInt(values[1]) + 1) : (parseInt(values[1]) + 1).toString();
				
				return displayYear + '-' + displayMonth;
			},
			cols: [
				// year
				{
					values: (function() {
						var arr = [];
						var curYear = today.getFullYear();
						for (var i = 1950; i <= curYear; i++) { arr.push(i); }
						return arr;
					})()
				},
				{
					divider: true,
					content: '  '
				},
				{
					values: ('0 1 2 3 4 5 6 7 8 9 10 11').split(' '),
					displayValues: ('01 02 03 04 05 06 07 08 09 10 11 12').split(' '),
				}
			],
		    onOpen: function (picker) {	 
		    	workYearPickerDate.setValue([today.getFullYear(), today.getMonth()]);
		    }
			
		});
		
		if (defaultUserInfo2.userWorkYears) {
			var userWorkYearsYear = defaultUserInfo2.userWorkYears.split('-')[0];
			var userWorkYearsMonth = (parseInt(defaultUserInfo2.userWorkYears.split('-')[1]) - 1).toString();
			workYearPickerDate.setValue([userWorkYearsYear, userWorkYearsMonth]);
		}
		if (storageWorkInfo.userWorkYears) {
			var userWorkYearsYear = storageWorkInfo.userWorkYears.split('-')[0];
			var userWorkYearsMonth = (parseInt(storageWorkInfo.userWorkYears.split('-')[1]) - 1).toString();
			workYearPickerDate.setValue([userWorkYearsYear, userWorkYearsMonth]);
		}

  }  	  

  return {
	render: render
  }
});