define([
    	'js/utilities',
    	'advanceCredit/advanceCreditContainers/advanceCreditUploadEvidence/advanceCreditUploadEvidenceView'
    ], function(
    	utilities,
    	uploadEvidenceView
    ) {
    	var $ = Framework7.$;
    	var callAppApi = utilities.callAppApi;

    	function init(query) {
        	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
    		callAppApi({
    			url: '/app/credit/specialCase',
    			type: 'POST',
    			params: {
    				userId: loginStatus.userId
    			},
    			successCallback: function(specialCaseRes) {
    				var evidenceKey="";
    				
    				if (specialCaseRes.specialCaseType == '01') { // 专案类型  01有房贷
    					evidenceKey = "housingLoan";
    				} else if (specialCaseRes.specialCaseType == "02") { // 专案类型   02无房贷
    					evidenceKey = "housingLoan2";
    				};
    				
    				callAppApi({
						url: '/app/credit/creditUploadFileResult',
						type: 'POST',
						params: {
							userId: loginStatus.userId
						},
						successCallback: function(creditUploadFileResultRes) {
				    		uploadEvidenceView.render({
				    			fromPage: query.fromPage,
				    			fromStatus: query.fromStatus,
				    			orderId: query.orderId,
				    			creditAuditId: query.creditAuditId||sessionStorage.getItem("creditAuditId"),
				    			evidenceKey: evidenceKey,
				    			uploadFileResult: creditUploadFileResultRes,
				    			baseBusinessType:query.baseBusinessType,
				    			userMaterialsCheckResult: query.userMaterialsCheckResult,
								caseMaterialsCheckResult: query.caseMaterialsCheckResult,
								decorationMaterialsCheckResult: query.decorationMaterialsCheckResult,
				    		});
						},
						errorCallback: function(err) {}
    				});
    			},
    			errorCallback: function(err) {}
    		});

    	}
    	
    	return {
    		init: init
    	}
    });
