define([
	'js/utilities',
	'js/uploadImg',
	'jquery',
	'advanceCredit/advanceCreditContainers/advanceCreditUploadEvidence/advanceCreditUploadEvidenceHelper',
	'hbs!advanceCredit/advanceCreditContainers/advanceCreditUploadEvidence/advanceCreditUploadEvidence',
	'hbs!components/common/button/button',
	'hbs!components/common/protocolArea/protocolFrame'
], function(
	utilities,
	uploadImg,
	$$,
	uploadEvidenceHelper,
	uploadEvidenceTemplate,
	buttonTemplate,
	protocolFrame
) {
	var callAppApi = utilities.callAppApi;
	var callWebHtml = utilities.callWebHtml;
	var takePicture = uploadImg.takePicture;
	var choosePhoto = uploadImg.choosePhoto;
	var drawImageCanvas = uploadImg.drawImageCanvas;

	var getEvidencePicId = uploadEvidenceHelper.getEvidencePicId;
	var getEvidencePicIndex = uploadEvidenceHelper.getEvidencePicIndex;
	var getEvidencePicName = uploadEvidenceHelper.getEvidencePicName;
	var getEvidenceType = uploadEvidenceHelper.getEvidenceType;
	var EvidenceArea = uploadEvidenceHelper.EvidenceArea;

	function render(params) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var fromStatus = params.fromStatus;
		var fromPage = params.fromPage;
		var orderId = params.orderId;
		var status = params.status;
		var userMaterialsCheckResult = params.userMaterialsCheckResult;
		var caseMaterialsCheckResult = params.caseMaterialsCheckResult;
		var decorationMaterialsCheckResult = params.decorationMaterialsCheckResult;

		var callBackData = params.uploadFileResult;
		var evidenceKey = params.evidenceKey;
		
		// 上传资料实例数组
		var evidenceInstanceArr = [];
		var evidenceBrowserArr = []; // 创建一个数组用来存放不同实例的f7的图片浏览器
		var evidencePhotoArr = []; // 创建一个二维数组用来存储不同实例的图片，以初始化不同实例的f7图片浏览器
		
		// 声明证明材料数据
		var evidenceWorkerArr = [];		// 工作证明
		var evidenceWorkArr = [];		// 收入证明
		var evidenceHouseArr =[];		// 房产证明
		var evidenceDwellingArr = [];	// 居住证明
		var evidenceOtherArr =[];		// 其他证明材料	
		
		var backShow = false;			// 控制显示key
		
		var alreadyCheck = false;       //居住证明还房产证明是否一致的判断
		
		// 如果income资料不为空，则显示
		if(callBackData.creditHouseEvidence && callBackData.creditIncomeEvidence.cloudUrl != "" ){
//			callBackData = callBackData;
			backShow = true;
		}
		
		params.baseBusinessType=="004001"?decorationMaterialsCheckResult="1":decorationMaterialsCheckResult="";
			
		

		// 如果收入证明材料不为空，则回显赋值
		if(callBackData && callBackData.creditIncomeEvidence != "") {
			evidenceWorkerArr = JSON.parse(callBackData.creditWorkEvidence);		// 工作证明
			evidenceWorkArr = JSON.parse(callBackData.creditIncomeEvidence);		//收入证明
			evidenceHouseArr = JSON.parse(callBackData.creditHouseEvidence);		//房产证明
			evidenceDwellingArr = JSON.parse(callBackData.creditLiveEvidence);		//居住证明
			evidenceOtherArr = JSON.parse(callBackData.creditOthersEvidence);		//其他证明材料	
		}
		
		// 渲染navbar
		loadAdvanceCreditComponent('navbar', 'common', {
			container: '#uploadEvidenceNavbar',
			title: '材料上传',
			backId: 'uploadEvidenceBackBtn1',
			isBackIcon: true,
			isBack: false,
			iconRightId: 'uploadEvidenceHelpBtn',
			iconRightStatus: true,
			iconRight: '帮助',
			iconRightClass: 'uploadEvidenceHelpBtn',
			callback: function() {
				
				// 点击返回按钮(根据状态值返回到不同页面)
				$$('#uploadEvidenceBackBtn1').on('click', function() {
					if(fromPage=="me" || fromPage=="advanceCreditUploadIDCard" || (userMaterialsCheckResult == '1' && fromStatus == '340')) {
						mainView.router.load({
							url: 'me.html',
							query: {
								fromPage: 'advanceCreditUploadEvidence',
								fromStatus: fromStatus,
								status: status
							}
						})
					} else if (fromPage=="index") {
						mainView.router.back({
							url: 'index.html',
							force: true,
							query: {
								fromPage: 'advanceCreditUploadEvidence',
								fromStatus: fromStatus,
								status: status
							}
						})
					} else {
						loadAdvanceCreditPage('housingLoan', {
							query: {}
						});
						f7.showToolbar('#toolbar');
					}
				});
				
				// 点击帮助按钮
				$$('#uploadEvidenceHelpBtn').on('click', function() {
					callWebHtml({
						url: '/application/show/uploadFileHelp',
						type: 'POST',
						params: {
							userId: loginStatus.userId
						},
						successCallback: function(response) {
							$('#uploadEvidence1').html(protocolFrame({
								protocolId: "agreementAutoPayment",
								protocolName: "上传材料说明",
								protocolWidth: $('body').width(),
								protocolHeight: $('body').height() - 56
							}));

//							$("#agreementAutoPayment").contents().find("html").html(response);
							$$("#agreementAutoPayment").contents().find("html")[0].innerHTML = response;

							f7.popup('#uploadEvidence1');
						},
						errorCallback: function(err) {}
					});
				});
			}
		});
		
		var evidenceInstanceDataArr = [{
				key: 'evidenceWorker1',
				name: 'evidenceWorkerArr',
				data: evidenceWorkerArr,
				type: '1',
				checkBoxChoose: false,
				header: '工作证明',
				evidenceKey: evidenceKey
			},
			{
				key: 'evidenceWork2',
				name: 'evidenceWorkArr',
				data: evidenceWorkArr,
				type: '1',
				checkBoxChoose: false,
				header: '收入证明',
				evidenceKey: evidenceKey
			},
			{
				key: 'evidenceHouse3',
				name: 'evidenceHouseArr',
				data: evidenceHouseArr,
				checkBoxChoose: true,
				type: '1',
				header: '房产证明',
				evidenceKey: evidenceKey
			},
			{
				key: 'evidenceDwelling4',
				name: 'evidenceDwellingArr',
				data: evidenceDwellingArr,
				checkBoxChoose: false,
				type: '1',
				header: '居住证明',
				evidenceKey: evidenceKey
			},
			{
				key: 'evidenceOther5',
				name: 'evidenceOtherArr',
				data: evidenceOtherArr,
				checkBoxChoose: false,
				type: '1',
				header: '其他证明材料',
				evidenceKey: evidenceKey
			},
		];
		
		// 渲染uploadEvidence内容
		$$('#uploadEvidenceContent').html(uploadEvidenceTemplate({
			evidenceInstance: evidenceInstanceDataArr
		}));
		
		evidenceInstanceArr = evidenceInstanceDataArr.map(function(item, index) {
			return new EvidenceArea(item.key, evidenceInstanceDataArr[index].data, {
				limitNum: 51,
				// 上传图片方法
				uploadPhoto: uploadPhoto,
				// 超过上传限制次数方法
				limitCallback: function(e) {
					f7.alert('最多只能上传50张')
				},
				// 预览方法
				previewCallback: function(e) {
						var evidenceIndex=''
						if ($$(e.target)[0].tagName === 'LI') {
							evidenceIndex = $$(e.target).index()-1;
						} else if ($$(e.target)[0].tagName === 'IMG') {
							evidenceIndex = $$(e.target).parent().index()-1;
						}
						evidenceBrowserArr[item.key.slice(-1) - 1].open(evidenceIndex)
				},
				removeCallback: function(e) {

					// 获取实例的索引为   item.key.slice(-1) - 1	/  index
					evidencePhotoArr[item.key.slice(-1) - 1].splice($$(e.target).index()-1, 1);

					evidenceBrowserArr[item.key.slice(-1) - 1] = f7.photoBrowser({
						zoom: 400,
						photos: evidencePhotoArr[item.key.slice(-1) - 1]
					});
				}
			});
		});

		// 存储初始化f7图片浏览器实例的图片数组的数组
		evidencePhotoArr = evidenceInstanceDataArr.map(function(item) {
			return [];
		});

		// 存储f7图片浏览器的实例
		evidenceBrowserArr = evidenceInstanceDataArr.map(function(item, index) {
			return f7.photoBrowser({
				zoom: 400,
				photos: evidencePhotoArr[index]
			});
		});
		
		//工作证明数据回显
		if(evidenceWorkerArr&&evidenceWorkerArr!=[]){
			evidenceWorkerArr.forEach(function(v){
			if(v.mIsCheck==true){
				evidenceInstanceArr[0].addSuccessEvent2(v.picId, v.cloudUrl, v.checkResult , v.checkResultArray);
				$$("#evidenceWorker1EditBtn").hide();
			}else{
				evidenceInstanceArr[0].addSuccessEvent(v.picId, v.cloudUrl);
			};
				evidencePhotoArr[0].push(v.cloudUrl);
				evidenceBrowserArr[0] = f7.photoBrowser({
					zoom: 400,
					photos: evidencePhotoArr[0]
				});

			})			
		}
		
		//收入证明数据回显
		if(evidenceWorkArr&&evidenceWorkArr.length!=0){
			evidenceWorkArr.forEach(function(v){
			if(v.mIsCheck==true){
				evidenceInstanceArr[1].addSuccessEvent2(v.picId, v.cloudUrl, v.checkResult , v.checkResultArray);
				$$("#evidenceWork2EditBtn").hide();
			}else{
				evidenceInstanceArr[1].addSuccessEvent(v.picId, v.cloudUrl);
			};
				evidencePhotoArr[1].push(v.cloudUrl);
				evidenceBrowserArr[1] = f7.photoBrowser({
					zoom: 400,
					photos: evidencePhotoArr[1]
				});
			})	
		}
		
		//房产证明数据回显
		if(evidenceHouseArr&&evidenceHouseArr.length!=0){
			evidenceHouseArr.forEach(function(v){
			if(v.mIsCheck==true){
				evidenceInstanceArr[2].addSuccessEvent2(v.picId, v.cloudUrl, v.checkResult , v.checkResultArray);
				$$("#evidenceHouse3EditBtn").hide();
			}else{
				evidenceInstanceArr[2].addSuccessEvent(v.picId, v.cloudUrl);
			};
				evidencePhotoArr[2].push(v.cloudUrl);
				evidenceBrowserArr[2] = f7.photoBrowser({
					zoom: 400,
					photos: evidencePhotoArr[2]
				});
			})				
		}
		
		//居住证明数据回显
		if(evidenceDwellingArr&&evidenceDwellingArr.length!=0){
			evidenceDwellingArr.forEach(function(v){
			if(v.mIsCheck==true){
				evidenceInstanceArr[3].addSuccessEvent2(v.picId, v.cloudUrl, v.checkResult , v.checkResultArray);
				$$("#evidenceDwelling4EditBtn").hide();
			}else{
				evidenceInstanceArr[3].addSuccessEvent(v.picId, v.cloudUrl);
			};
				evidencePhotoArr[3].push(v.cloudUrl);
				evidenceBrowserArr[3] = f7.photoBrowser({
					zoom: 400,
					photos: evidencePhotoArr[3]
				});
			})			
		}else{
			// 回显后判断房产与居住地址一致,默认按钮隐藏房产地址一栏
			if(backShow){
			$$("#uploadEvidenceContent .upload-evidence-header").eq(4).hide();
			$$("#evidenceDwelling4List").hide();
			$$("#houseBtn").attr("src","img/upload_on.png");
			alreadyCheck = true;
			}
		}
		
		//其他资料数据回显
		if(evidenceOtherArr&&evidenceOtherArr.length!=0){
			evidenceOtherArr.forEach(function(v){
			if(v.mIsCheck==true){
				evidenceInstanceArr[4].addSuccessEvent2(v.picId, v.cloudUrl, v.checkResult , v.checkResultArray);
				$$("#evidenceOther5EditBtn").hide();
			}else{
				evidenceInstanceArr[4].addSuccessEvent(v.picId, v.cloudUrl);
			};
				evidencePhotoArr[4].push(v.cloudUrl);
				evidenceBrowserArr[4] = f7.photoBrowser({
					zoom: 400,
					photos: evidencePhotoArr[4]
				});
			})			
		}
		

		
		// 
		if(evidenceKey != 'housingLoan') {
			$$(".upload-evidence-header").eq(2).hide();
			$$(".upload-evidence-header").eq(3).hide();
			$$("#evidenceHouse3List").hide();
		}
		
		// var alreadyCheck = false;
		// 绑定事件
		$$("#houseBtn").on("click", function() {
			//
			if(!alreadyCheck) {
					$$("#uploadEvidenceContent .upload-evidence-header").eq(4).slideUp();
				$$("#evidenceDwelling4List").slideUp();
				$$(this).attr("src","img/upload_on.png");
				alreadyCheck = true;
			} else {
					$$("#uploadEvidenceContent .upload-evidence-header").eq(4).slideDown();
				$$("#evidenceDwelling4List").slideDown();
				$$(this).attr("src","img/upload_off.png");
				alreadyCheck = false;
			}
		})

		// 渲染底部按钮
		$$('#uploadEvidenceBtnBox1').html(buttonTemplate({
			id: 'uploadEvidenceConfirmBtn1',
			value: '提交',
			disabled: false,
		}));
		
		// 完成事件绑定
		$$('#uploadEvidenceConfirmBtn1').on('click', function() {
			if(evidenceWorkerArr == "") {
				f7.alert('请上传工作证明！');
				return false;
			}
			if(evidenceKey !== 'housingLoan' && evidenceWorkArr == "") { // 满足房贷专案条件，则不必上传
				f7.alert('请上传收入证明！');
				return false;
			}
				if(evidenceKey == 'housingLoan' && evidenceHouseArr == "") {
				f7.alert('请上传房产证明！');
				return false;
			}
			if(alreadyCheck == false && evidenceDwellingArr == "") {
				f7.alert('请上传居住证明！');
				return false;
			} 
			
			for(var i=0;i<$$(".upload-evidence-item").length;i++){
				if($$(".upload-evidence-item").eq(i).hasClass("evidence-item-delete")){
					 f7.alert('请先重新上传审核失败图片！');
					 return  false;
				 }
			}

			// 
			if (fromStatus == '340') {
				// 重新提交证明材料
				updateEvidence();
			} else {
				// 首次提交证明材料
				commitEvidence();
			}
			
//			function updateIdCard() {
//				callAppApi({
//					url: '/app/credit/audit/update',
//					type: 'POST',
//					params: {
//						userId: loginStatus.userId,
//						orderId: orderId,
//						creditEvidenceFrontIdCard: JSON.stringify(evidenceFrontIdCardData) !== '[]' ? JSON.stringify(evidenceFrontIdCardData) : '',
//						creditEvidenceBackIdCard: JSON.stringify(evidenceBackIdCardData) !== '[]' ? JSON.stringify(evidenceBackIdCardData) : '',
//						creditEvidenceHoldIdCard: JSON.stringify(evidenceHoldIdCardData) !== '[]' ? JSON.stringify(evidenceHoldIdCardData) : '',
//						userMaterialsCheckResult: '1',
//						
//						creditWorkEvidence: '',
//						creditIncomeEvidence: '',
//						creditHouseEvidence: '',
//						creditLiveEvidence: '',
//						creditOthersEvidence: '',
//						caseMaterialsCheckResult: '',
//						
//						decorationMaterials: '',
//						decorationMaterialsCheckResult: ''
//					},
//					successCallback: function(updateRes) {
//						if (updateRes.creditAuditStatus == '340') {
//							if (updateRes.userMaterialsCheckResult == '0') {
//								f7.alertMessage('身份认证信息更新失败，请重新提交');
//							} else if (
//								updateRes.userMaterialsCheckResult == '1' &&
//								updateRes.creditOthersEvidence == '0'
//							) {
//								loadAdvanceCreditPage('uploadEvidence', {
//									query: {
//										fromPage: 'advanceCreditUploadIDCard',
//									}
//								});
//							} else if (
//								updateRes.userMaterialsCheckResult == '1' &&
//								updateRes.creditOthersEvidence == '1' &&
//								updateRes.decorationMaterialsCheckResult == '0'
//							) {
//								loadFamilyDecorationPage('perfectDataResult', {
//									query: {
//										fromPage: 'advanceCreditUploadIDCard',
//									}
//								});
//							}
//						} else if (updateRes.creditAuditStatus == '141') {
//							loadAdvanceCreditPage('creditManage', {
//								query: {
//									fromPage: 'advanceCreditUploadIDCard',
//								}
//							});
//						}
//					},
//					errorCallback: function(err) {}
//				})
//			}
			
			function updateEvidence() {
				
				// 无瑕疵回退，设置状态值
				var decorationMaterialsCheckResult=""
				if (params.baseBusinessType=="004001") {
					decorationMaterialsCheckResult="1"
				}
				
				callAppApi({
					url: '/app/credit/audit/update',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						orderId: orderId,
						creditEvidenceFrontIdCard: '',
						creditEvidenceBackIdCard: '',
						creditEvidenceHoldIdCard: '',
						userMaterialsCheckResult: '',
						
						creditWorkEvidence: JSON.stringify(evidenceWorkerArr), 		// 工作证明,
						creditIncomeEvidence: JSON.stringify(evidenceWorkArr), 		//收入证明
						creditHouseEvidence: JSON.stringify(evidenceHouseArr), 		//房产证明
						creditLiveEvidence: JSON.stringify(evidenceDwellingArr), 	//居住证明
						creditOthersEvidence: JSON.stringify(evidenceOtherArr), 	//其他证明材料
						caseMaterialsCheckResult: '1',
						
						decorationMaterials: '',
						decorationMaterialsCheckResult: decorationMaterialsCheckResult
					},
					successCallback: function(updateRes) {
						if (updateRes.creditAuditStatus == '340') {
							//1 判断更新结果；
							if(updateRes.caseMaterialsCheckResult == '0'){
								f7.alertMessage('补充证明材料更新失败，请重新提交');
							}else if(updateRes.userMaterialsCheckResult == '0'){
								//2 身份证不过跳转身份认证
								loadFamilyDecorationPage('uploadIDCard', {
									query: {
										fromPage: 'advanceCreditUploadIDCard',
										fromStatus: updateRes.creditAuditStatus,
										orderId: orderId,
									}
								});
							}else if(updateRes.decorationMaterialsCheckResult == '0'){
								//3 家装材料信息
								loadFamilyDecorationPage('perfectDataResult', {
									query: {
										fromPage: 'advanceCreditUploadIDCard',
										fromStatus: updateRes.creditAuditStatus,
										orderId: orderId,
										difference: 'advanceCreditUploadIDCard'
									}
								});
							}
						} else if (updateRes.creditAuditStatus == '141') {
							loadAdvanceCreditPage('creditManage', {
								query: {
									fromPage: 'advanceCreditUploadIDCard',
									fromStatus: updateRes.creditAuditStatus,
									orderId: orderId,
								}
							});
						}
					},
					errorCallback: function(err) {}
				});
			}
			
			
			
			function commitEvidence() {
				callAppApi({
					url: '/app/credit/uploadFile',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						status:params.status,
						creditWorkEvidence: JSON.stringify(evidenceWorkerArr), // 工作证明
						creditIncomeEvidence: JSON.stringify(evidenceWorkArr), //收入证明
						creditHouseEvidence: JSON.stringify(evidenceHouseArr), //房产证明
						creditLiveEvidence: JSON.stringify(evidenceDwellingArr), //居住证明
						creditOthersEvidence: JSON.stringify(evidenceOtherArr) //其他证明材料
					},
					successCallback: function(response) {
						if(response.status=="25"||response.status=="33"||response.status=="32"){
							loadFamilyDecorationPage('perfectDataResult', {
								query: {
									fromPage: 'advanceCreditUploadEvidence',
									status:response.status,
									fromStatus:fromStatus									
								}
							})
						}else if(response.status=="10"||response.status=="31"){
							loadAdvanceCreditPage('creditManage', {
								query: {
									fromPage: 'advanceCreditUploadEvidence',
									status:"10",
								}
							})
						}else{
							loadAdvanceCreditPage('chooseFamily', {
								  query: {
									  fromPage:'advanceCreditUploadEvidence',
									  difference: 'advanceCreditUploadEvidence'
								  }
							 });	
						}
								
								
					},
					errorCallback: function(err) {}
				});
			}

		})
		
		
		
		
		
		
////		回显功能
//		callAppApi({
//			url: '/app/credit/creditUploadFileResult',
//			type: 'POST',
//			params: {
//				userId: loginStatus.userId
//			},
//			successCallback:succsessCallBack, 
//	
//			errorCallback: function(err) {}
//		});
//
////		
//		function succsessCallBack(data){
////			var data=data||{};
////			var data={}
////			status=data.status;
////			data={					
////					creditHouseEvidence:
////					[{
////						"picId":"1497359550644",
////						"picType":"1","picName":"房产证明",
////						"cloudKey":"A90D309A-6164-40B4-A9DB-8753C9F1F924",
////						"cloudUrl":"https://iobs02.pingan.com.cn/download/fls-rflm-dmz-stg-pri/4F4ED16E-7B5F-4266-8FB7-EC38E33BA863?e=1497415518&token=KC8IIdJ92dK09IJ6JVDMD890I88DJ8VM:p58wPeZ9sFtVRba7IB2sx0pHk8o=",
////						"mIsCheck":false,"checkResult":false,
////						"checkResultArray":[],
////						"otherContent":"部分材料上传不完整，请重新上传材料审核"}],
////					creditIncomeEvidence:
////					[{
////						"picId":"1497357113608",
////						"picType":"1","picName":"收入证明",
////						"cloudKey":"5BE65EBB-003F-4F83-AB35-5961C1D5FF52",
////						"cloudUrl":"https://iobs02.pingan.com.cn/download/fls-rflm-dmz-stg-pri/4F4ED16E-7B5F-4266-8FB7-EC38E33BA863?e=1497415518&token=KC8IIdJ92dK09IJ6JVDMD890I88DJ8VM:p58wPeZ9sFtVRba7IB2sx0pHk8o=",
////						"mIsCheck":false,"checkResult":true,
////						"checkResultArray":[],"otherContent":"部分材料上传不完整，请重新上传材料审核"}
////						],
////					creditLiveEvidence:
////					[{"picId":"1497404264333","picType":"1","picName":"居住证明","cloudKey":"6472C3ED-747B-4234-AD92-D1EFB49C184D","cloudUrl":"https://iobs02.pingan.com.cn/download/fls-rflm-dmz-stg-pri/4F4ED16E-7B5F-4266-8FB7-EC38E33BA863?e=1497415518&token=KC8IIdJ92dK09IJ6JVDMD890I88DJ8VM:p58wPeZ9sFtVRba7IB2sx0pHk8o=","mIsCheck":false,"checkResult":false,"checkResultArray":[],"otherContent":"部分材料上传不完整，请重新上传材料审核"}],
////					creditOthersEvidence:
////					[{"picId":"14974column();04268325","picType":"1","picName":"其他证明材料","cloudKey":"C25BCD55-8935-46B7-9076-355B58537150","cloudUrl":"https://iobs02.pingan.com.cn/download/fls-rflm-dmz-stg-pri/4F4ED16E-7B5F-4266-8FB7-EC38E33BA863?e=1497415518&token=KC8IIdJ92dK09IJ6JVDMD890I88DJ8VM:p58wPeZ9sFtVRba7IB2sx0pHk8o=","mIsCheck":false,"checkResult":false,"checkResultArray":[],"otherContent":"部分材料上传不完整，请重新上传材料审核"}],
////					creditWorkEvidence:
////					[{"picId":"1497404276893","picType":"1","picName":"工作证明","cloudKey":"0E496284-64F5-46AE-8680-F0BCA928FB27","cloudUrl":"https://iobs02.pingan.com.cn/download/fls-rflm-dmz-stg-pri/4F4ED16E-7B5F-4266-8FB7-EC38E33BA863?e=1497415518&token=KC8IIdJ92dK09IJ6JVDMD890I88DJ8VM:p58wPeZ9sFtVRba7IB2sx0pHk8o=","mIsCheck":false,"checkResult":false,"checkResultArray":[],"otherContent":"部分材料上传不完整，请重新上传材料审核"}],
////			}
//			if(data.creditHouseEvidence&&data.creditIncomeEvidence.cloudUrl!="" ){
//				callBackData=data;
//				backShow=true;
//			}
//			column();	
//		}
		
		
		
		
//		column()
//		function column() {





//			if(params.evidenceKey === 'evidenceIdCard') {
//				TalkingData.onPage('身份资料上传页面');
//				TalkingData.onPageBegin('身份资料上传页面');
//			} else if(params.evidenceKey === 'evidenceQualification') {
//				TalkingData.onPage('资质上传页面');
//				TalkingData.onPageBegin('资质上传页面');
//			} else if(params.evidenceKey === 'evidenceWork') {
//				TalkingData.onPage('工作收入证明材料上传页面');
//				TalkingData.onPageBegin('工作收入证明材料上传页面');
//			} else if(params.evidenceKey === 'evidenceDwelling') {
//				TalkingData.onPage('居住证证明上传页面');
//				TalkingData.onPageBegin('居住证证明上传页面');
//			} else if(params.evidenceKey === 'evidenceOther') {
//				TalkingData.onPage('其他材料上传页面');
//				TalkingData.onPageBegin('其他材料上传页面');
//			}
		
			
//数据回显
//		}
		//
		function uploadPhoto(uploadConfig) {

			params.evidenceKey = $$(this).attr("name");

			var buttons1 = [{
					text: '拍摄',
					onClick: function() {
						//			            	takePicture('', '', params.evidenceKey, omUploadSuccess, '', '');
						takePicture('', uploadConfig.picId, uploadConfig.type, omUploadSuccess, '', '');
					}
				},
				{
					text: '从相册选择',
					onClick: function() {
						//			            	choosePhoto('', '', params.evidenceKey, omUploadSuccess, '', '');
						choosePhoto('', uploadConfig.picId, uploadConfig.type, omUploadSuccess, '', '');
					}
				}
			];
			var buttons2 = [{
				text: '取消',
				color: 'red'
			}];
			var groups = [buttons1, buttons2];

			f7.actions(groups);
		}
		
		//瑕疵点查看事件
		var timer=setTimeout(function(){
			$$(".upload-evidence-item span").off('click').on('click', function() {
				var index=$(this).parent().index()-1;
				var id=$(this).parent().parent().attr("id");
				switch (id){
				case 'evidenceWorker1List':var checkResultArray=evidenceWorkerArr[index].checkResultArray;
											var checkContent=evidenceWorkerArr[index].otherContent;
											break;
				case 'evidenceWork2List':var checkResultArray=evidenceWorkArr[index].checkResultArray;
											var checkContent=evidenceWorkArr[index].otherContent;
											break;
				case 'evidenceHouse3List':var checkResultArray=evidenceHouseArr[index].checkResultArray;
											var checkContent=evidenceHouseArr[index].otherContent;
											break;
				case 'evidenceDwelling4List':var checkResultArray=evidenceDwellingArr[index].checkResultArray;
											var checkContent=evidenceDwellingArr[index].otherContent;
											break;
				case 'evidenceOther5List':var checkResultArray=evidenceOtherArr[index].checkResultArray;
											var checkContent=evidenceOtherArr[index].otherContent;
											break;
				}
				var recheckResult2 = {
						'0':'无瑕疵',
			            '1':'不清晰/不完整',
			            '2':'未显示关键信息',
			            '3':'超出有效期',
			            '4':'疑似造假',
			            '5':'其他'
			        };
				var newArray=checkResultArray.map(function(obj){
					return obj=(obj+'').slice(-1);
				})
				if(newArray[1]!='5'){
					var content="审核结果:"+recheckResult2[newArray[1]];
				}else{
					var content="审核结果:其他:"+checkContent[1];
				}
				f7.modal({
		  			title: '',
		  			text:  '<div class="model-title">'+content+'</div>',
		  			buttons: [
		  				{
		  					text: '<span>确定</span>',
		  					onClick: function(){
		  						f7.closeModal();  						
		  					}
		  				}
		  			]
		  		});
				window.event? window.event.cancelBubble = true : e.stopPropagation();
			})
		},500)
		// 成功回调函数
		function omUploadSuccess(token, i, u, t, data, imgId) {
			var t1 = t.slice(0, t.length - 1);
			if(t1 === 'evidenceWorker') {
				evidenceWorkerArr.push({
					picId: u,
					picType: '1',
					picName: evidenceInstanceDataArr[t.slice(t.length - 1) - 1].header,
					cloudKey: imgId,
					cloudUrl: token.iobsCloudUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: ''
				});
			}
			if(t1 === 'evidenceWork') {
				evidenceWorkArr.push({
					picId: u,
					picType: '2',
					picName: evidenceInstanceDataArr[t.slice(t.length - 1) - 1].header,
					cloudKey: imgId,
					cloudUrl: token.iobsCloudUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: ''
				});
			}
			if(t1 === 'evidenceHouse') {
				evidenceHouseArr.push({
					picId: u,
					picType: '3',
					picName: evidenceInstanceDataArr[t.slice(t.length - 1) - 1].header,
					cloudKey: imgId,
					cloudUrl: token.iobsCloudUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: ''
				});
			}
			if(t1 === 'evidenceDwelling') {
				evidenceDwellingArr.push({
					picId: u,
					picType: '4',
					picName: evidenceInstanceDataArr[t.slice(t.length - 1) - 1].header,
					cloudKey: imgId,
					cloudUrl: token.iobsCloudUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: ''
				});
			}
			if(t1 === 'evidenceOther') {
				evidenceOtherArr.push({
					picId: u,
					picType: '5',
					picName: evidenceInstanceDataArr[t.slice(t.length - 1) - 1].header,
					cloudKey: imgId,
					cloudUrl: token.iobsCloudUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: ''
				});
			}
			// 张晖修改于2017-03-10，手持身份证图片在此隐藏indicator
			f7.hideIndicator();
			var evidenceInstanceArrIndex = t.slice(t.length - 1) - 1;
			evidencePhotoArr[evidenceInstanceArrIndex].push(token.iobsCloudUrl);

			evidenceBrowserArr[evidenceInstanceArrIndex] = f7.photoBrowser({
				zoom: 400,
				photos: evidencePhotoArr[evidenceInstanceArrIndex]
			});

			evidenceInstanceArr[evidenceInstanceArrIndex].addSuccessEvent(u, token.iobsCloudUrl);
		}
	}

	return {
		render: render
	}
});