define([
	'js/utilities',
	'js/plugins',
	'advanceCredit/advanceCreditContainers/advanceCreditUploadIDCard/advanceCreditUploadIDCardView'
], function(
	utilities,
	plugins,
	advanceCreditUploadIDCardView
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var detectFrontCamera = plugins.detectFrontCamera;
	
	function init(query) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  
//	  //人脸识别失败次数 
//	  var faceErrorCount = 0;
//	  var faceCount = 0;
	  // 隐藏底部工具栏
	  if (mainView.activePage.name === 'advanceCreditUploadIDCard') {
	      f7.hideToolbar('#toolbar');
	  }
	  
	  //请求人脸识别次数
	  callAppApi({
		  url: '/app/credit/getFaceDetect',
		  type: 'POST',
		  params: {
			  userId: loginStatus.userId,
		  },
		  successCallback:function(detectRes){
			  
			  var creditEvidenceFaceArr = [];
			  if (detectRes.evidenceFace !== '') {
				  creditEvidenceFaceArr = JSON.parse(detectRes.evidenceFace);
			  }
			  var faceErrorCount = detectRes.faceErrorCount == '' ? 0 : parseInt(detectRes.faceErrorCount);  
			  var faceCount = detectRes.faceCount == '' ? 0 : parseInt(detectRes.faceCount);
			   
			  callAppApi({
				  url: '/app/credit/creditIdCardResult',
				  type: 'POST',
				  params: {
					  userId: loginStatus.userId,
				  },
				  successCallback: function(res) {
					  // 身份证正面状态
					  var creditFrontIdCardStatus = false;
					  var creditEvidenceFrontIdCardArr = [];
					  if (res.creditEvidenceFrontIdCard !== '') {
						  creditFrontIdCardStatus = JSON.parse(res.creditEvidenceFrontIdCard)[0].checkResult;
						  creditEvidenceFrontIdCardArr = JSON.parse(res.creditEvidenceFrontIdCard);
					  }
					  // 身份证反面状态
					  var creditBackIdCardStatus = false;
					  var creditEvidenceBackIdCardArr = [];
					  if (res.creditEvidenceBackIdCard !== '') {
						  creditBackIdCardStatus = JSON.parse(res.creditEvidenceBackIdCard)[0].checkResult;
						  creditEvidenceBackIdCardArr = JSON.parse(res.creditEvidenceBackIdCard);
					  }
					  // 人脸识别状态  手持身份证状态
					  var faceRecog = res.faceRecog;
					  var creditHoldIdCardStatus = false;
					  var creditEvidenceHoldIdCardArr = [];
					  if (faceRecog == false) {
						  if (res.creditEvidenceHoldIdCard !== '' && res.creditEvidenceHoldIdCard !== '[null]') {
							  creditHoldIdCardStatus = JSON.parse(res.creditEvidenceHoldIdCard)[0].checkResult;
							  creditEvidenceHoldIdCardArr = JSON.parse(res.creditEvidenceHoldIdCard);
						  }
					  }
					  
					  var frontCameraStatus = true;
						
						/**
						 * 检测是否有前置摄像头，如果有设置为true，没有设置为false
						 */
						detectFrontCamera(function(res) {
							frontCameraStatus = true;
							viewRender();
						}, function(err) {
							frontCameraStatus = false;
							viewRender();
						});
					  function viewRender(){
						  advanceCreditUploadIDCardView.render({
							  creditFrontIdCardStatus: creditFrontIdCardStatus,
							  creditBackIdCardStatus: creditBackIdCardStatus,
							  creditHoldIdCardStatus: creditHoldIdCardStatus,
							  creditEvidenceFrontIdCardArr: creditEvidenceFrontIdCardArr,
							  creditEvidenceBackIdCardArr: creditEvidenceBackIdCardArr,
							  creditEvidenceHoldIdCardArr: creditEvidenceHoldIdCardArr,
							  faceRecog: faceRecog,
							  creditEvidenceFaceArr: creditEvidenceFaceArr,
							  creditAuditStatus: res.creditAuditStatus,
							  fromStatus: query.fromStatus,
							  orderId: query.orderId,
							  faceCount: faceCount,
							  faceErrorCount: faceErrorCount,
							  baseBusinessType:query.baseBusinessType,
							  userMaterialsCheckResult: query.userMaterialsCheckResult,
							  caseMaterialsCheckResult: query.caseMaterialsCheckResult,
							  decorationMaterialsCheckResult: query.decorationMaterialsCheckResult,
							  frontCameraStatus:frontCameraStatus
						  });
					  }
					  
				  },
				  errorCallback: function(err) {}
			  });
		  },
		  errorCallback: function(err) {}
	  })
	}
	
	return {
		init: init
	}
});
