define([
  'js/utilities',
  'applianceContainers/applianceAuthentication/applianceAuthenticationView'
], function(
  utilities,
  applianceAuthenticationView
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  function init(query) {
	  	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		if (mainView.activePage.name === 'applianceAuthentication') {
			// 隐藏工具栏
			f7.hideToolbar('#toolbar');
		}

		// 注册显示事件
		f7.onPageBack('authentication', function() {
			f7.showToolbar('#toolbar');
		});
		callAppApi({
			url : '/api/checkCredit',
			type : 'POST',
			params : {
				userId : loginStatus.userId,
				baseBusinessType : '002002',
				isOldUser : loginStatus.oldUser,
				orderId:query.orderId,
			},
			successCallback : function(response){
				var userIsCredit=response.userIsCredit
				  callAppApi({
					  url: '/app/orderDetail',
					  type: 'POST',
					  params: {
						  orderId: query.orderId,
						  userId: loginStatus.userId,
						  baseBusinessType: "002002"
					  },
					  successCallback: function(data) {
						  applianceAuthenticationView.render(Object.assign(response, {
								 goodsLogistics:query.goodsLogistics,
								 orderId: query.orderId,
								 reCheckOrder: query.reCheckOrder,
								 orderStatus:query.orderStatus,
								 fromPage:query.fromPage,
								 orderDetailData:data,
								 userIsCredit:userIsCredit,
						  }));
					  },
					  errorCallback: function(err) {}
				  });
//				
//				applianceAuthenticationView.render({
//					goodsLogistics:query.goodsLogistics,
//					orderId: query.orderId,
//					reCheckOrder: query.reCheckOrder,
//					orderStatus:query.orderStatus,
//					fromPage:query.fromPage,
//					orderDetailData:query.orderDetailData,
//					userIsCredit:response.userIsCredit
//				});
			},
			errorCallback: function(err) {}
		});
  }
  
  return {
	init: init,
  };
});