define([
  'js/utilities',
  'js/plugins',
  'applianceContainers/applianceCheckFace/applianceCheckFaceView'
], function(
  utilities,
  plugins,
  checkFaceView
) {
  
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var detectFrontCamera = plugins.detectFrontCamera;
	
  function init(query) {
	  
	// 隐藏底部工具栏
	if (mainView.activePage.name === 'applianceCheckFace') {
		f7.hideToolbar('#toolbar');
	}
	
	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	
//	if (typeof query.faceTimes === 'undefined') {
//		// 默认剩余次数
//		query.faceTimes = 3;
//	}
	
	callAppApi({
		url: '/app/userInfo',
		type: 'POST',
		params: {
			userId: loginStatus.userId,
			userSession: loginStatus.userSession
		},
		successCallback: function(response) {
			
			callAppApi({
				url: '/app/orderDetail',
				type: 'POST',
				params: {
					orderId: query.orderId,
					userId: loginStatus.userId
				},
				successCallback: function(data) {
					var orderFaceCount = data.orderFaceCount,
						orderFaceErrorCount = data.orderFaceErrorCount;
					if (!orderFaceCount){
						orderFaceCount = '0';
					}
					if (!orderFaceErrorCount){
						orderFaceErrorCount = '0';
					}
					var frontCameraStatus = true;
			
					/**
					 * 检测是否有前置摄像头，如果有设置为true，没有设置为false
					 */
					detectFrontCamera(function(res) {
						frontCameraStatus = true;
						viewRender();
					}, function(err) {
						frontCameraStatus = false;
						viewRender();
					});	
					function viewRender(){
						checkFaceView.render({
							userName: response.userName,
							userIdentityCardNumber: response.userIdentityCardNumber,
							orderId: query.orderId,
							userAreaCode: response.userAreaCode,
							userPhoneNumber: response.userPhoneNumber,
							faceTimes: parseInt(orderFaceCount),
							orderFaceErrorCount: parseInt(orderFaceErrorCount),
							goodsLogistics: query.goodsLogistics,
							orderStatus: query.orderStatus,
							orderDetailData: query.orderDetailData,
							frontCameraStatus:frontCameraStatus
						});
					}
					
				},
				errorCallback: function(err) {}
			})
		},
		errorCallback: function(err) {}
	});

  }

  return {
	init: init
  };
});
