define([
	'js/config',
	'js/utilities',
	'js/uploadImg',
	'applianceContainers/applianceUploadEvidence/applianceUploadEvidenceHelper',
	'applianceContainers/applianceCheckUserIdCard/applianceCheckUserIdCardPad',
	'hbs!applianceComponents/common/button/button',
	'hbs!applianceContainers/applianceCheckUserIdCard/applianceCheckUserIdCard'
], function(
	config,
	utilities,
	uploadImg,
	uploadEvidenceHelper,
	applianceCheckUserIdCardPad,
	buttonTemplate,
	checkUserIdCardTemplate
) {
	var $ = Framework7.$;
	var baseHost = config.baseHost;
	
	var callAppApi = utilities.callAppApi;
	
	var takePicture = uploadImg.takePicture;
	var choosePhoto = uploadImg.choosePhoto;
	var getDay = utilities.getDay;
	
	var getEvidencePicId = uploadEvidenceHelper.getEvidencePicId;
	var getEvidencePicIndex = uploadEvidenceHelper.getEvidencePicIndex;
	var getEvidencePicName = uploadEvidenceHelper.getEvidencePicName;
	  //埋点需求
    var bindPadApplianceCheckUserIdCard = applianceCheckUserIdCardPad.bindPadApplianceCheckUserIdCard;
    var sendPadApplianceCheckUserIdCard = applianceCheckUserIdCardPad.sendPadApplianceCheckUserIdCard;
	function render(params) {
		
		TalkingData.onPage("其他认证方式（上传资料）页");		
		TalkingData.onPageBegin("其他认证方式（上传资料）页");	
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		//var localHoldIdCardData = JSON.parse(localStorage.getItem('localHoldIdCardData'));//获取本地存储手持身份证照片数据 lisai 2017年4月19日11:15:59
		var userIdCardImgId = '';
		var userIdCardUrl = '';
		var orderEvidenceHoldIdCardStr=[];//点击先一步所要传输的数据
		//var orderEvidenceHoldIdCardJson = params.orderDetailData.orderEvidenceHoldIdCard !== '' ? JSON.parse(params.orderDetailData.orderEvidenceHoldIdCard) : [];//
		var orderEvidenceHoldIdCardJson=[];//获取手持身份证回显数据 1.localStorage.localHoldIdCardData 2.订单详情返回的数据 lisai 2017年4月19日11:15:59
//		if(localHoldIdCardData!==null && localHoldIdCardData.length > 0 ){
//			if(localHoldIdCardData[0].orderId===params.orderId &&localHoldIdCardData[0].cloudKey!==''){
//				orderEvidenceInvoiceJson=localHoldIdCardData
//			}
//		}else 
		if(typeof params.orderDetailData!=="undefined" && params.orderDetailData!==''){
			if(params.orderDetailData.orderEvidenceHoldIdCard !== '' ){
				orderEvidenceHoldIdCardJson= JSON.parse(params.orderDetailData.orderEvidenceHoldIdCard)
			}
		}
		else{
			orderEvidenceHoldIdCardJson=[];
		}
		
		// 渲染navbar
		loadApplianceComponent('navbar', 'common', {
			container: '#checkUserIdCardNavbar',
			title: '上传手持身份证',
			backClass: 'placeOrderBackBtn',
			isBackIcon: true,
			isBack: false,
			orderId: params.orderId,
			goodsLogistics: params.goodsLogistics,
			orderStatus:params.orderStatus,
			orderDetailData:params.orderDetailData
			
		});
		
		
		//$('#checkUserIdCardContent').html(checkUserIdCardTemplate());
		// 渲染上传手持身份证照片主内容 有数据就回显 没有就是默认图片 lisai 2017年4月19日11:16:57
		if (orderEvidenceHoldIdCardJson.length > 0) {
			$('#checkUserIdCardContent').html(checkUserIdCardTemplate({
				holdIdCardExist: true,
				holdIdCardStatus: orderEvidenceHoldIdCardJson[0].checkResult,
				holdIdCardKey: orderEvidenceHoldIdCardJson[0].cloudKey,
				holdIdCardUrl: orderEvidenceHoldIdCardJson[0].cloudUrl
			}));
			$('#checkUserIdNextButton').html(buttonTemplate({
				id: 'checkUserIdNextBtn',
				value: '下一步',
				disabled: false,
				color: '#FFF',
				bgColor: '#69adef'
			}));
			userIdCardImgId = orderEvidenceHoldIdCardJson[0].cloudKey;
			userIdCardUrl =orderEvidenceHoldIdCardJson[0].cloudUrl;
        	//$('.user-idCard-pic').hide();
		}else{
			$('#checkUserIdCardContent').html(checkUserIdCardTemplate({
				holdIdCardStatus: '',
				holdIdCardKey:'',
				holdIdCardUrl: 'img/placeOrder/faceIdCard.png'
			}));
			$('#checkUserIdNextButton').html(buttonTemplate({
				id: 'checkUserIdNextBtn',
				value: '下一步',
				disabled: true,
				color: '#FFF',
				bgColor: '#69adef'
			}));
		}
		
		
		// 渲染头部状态栏
		loadComponent('placeOrderTabbar', 'placeOrder', {
			container: '#checkUserIdCardTabbar',
			tabIndex: 2
		});
		
		// 渲染底部按钮
		$('#checkUserIdButton').html(buttonTemplate({
			id: 'checkUserIdCardUploadBtn',
			value: '点击上传',
			disabled: false,
			color: '#FFF',
			bgColor: '#69adef'
		}));
		
		bindPadApplianceCheckUserIdCard();
		var holdIDCardUpdate=false;//判断回显之后有没有更新照片操作
		// 成功回调函数	
		function uploadUserIdCardSuccess(token,i,u,t,data,imgId) {
			f7.hideIndicator();
			userIdCardImgId = imgId;
			userIdCardUrl = token.iobsCloudUrl;
        	$('#checkUserIdNextBtn').removeAttr('disabled');
        	$('#checkUserIdNextBtn').css({
        		backgroundColor: '#69adef'
        	})
        	$('.user-idCard-pic').hide();
        	
        	holdIDCardUpdate=true;
        	//保存数据 插入到localStroage
			var orderEvidenceHoldIdCardItem = {
					orderId: params.orderId,
					picId: getEvidencePicIndex(),
					picType: '1',
					picName: getEvidencePicName('evidenceHoldIdCard'),
					cloudKey: userIdCardImgId,
					cloudUrl: userIdCardUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: ''
				};
				var orderEvidenceHoldIdCard = [orderEvidenceHoldIdCardItem];
				var orderEvidenceHoldIdCardStr = JSON.stringify(orderEvidenceHoldIdCard);
				localStorage.setItem('localHoldIdCardData', JSON.stringify(orderEvidenceHoldIdCard));
				var localHoldIdCardData = JSON.parse(localStorage.getItem('localHoldIdCardData'));//
				sendPadApplianceCheckUserIdCard( params.orderId)
		}
		
		
		
		function uploadUserIdCard(params){
			 var buttons1 = 
			    [
			        {
			            text: '拍摄',
			            onClick: function () {
			            	takePicture('','','userIdCard',uploadUserIdCardSuccess,'','');
			            }
			        },
			        {
			            text: '从相册选择',
			            onClick: function () {
			            	choosePhoto('','','userIdCard',uploadUserIdCardSuccess,'','');
			            }
			        }
			    ];
			 var buttons2 = 
			    [
			         {
			             text: '取消',
			             color: 'red'
			         }
			     ];
			 var groups = [buttons1, buttons2];
			 
			 f7.actions(groups);
		}
		
		
		// 点击上传按钮事件绑定
		$('#checkUserIdCardUploadBtn').on('click', function() {
			uploadUserIdCard();
		});
		
		// 下一步按钮事件绑定
		$('#checkUserIdNextBtn').on('click', function() {
			TalkingData.onEventWithLabel('其他认证方式（上传资料）页', '下一步');
			if(holdIDCardUpdate===true){
				var orderEvidenceHoldIdCardItem = {
						picId: getEvidencePicIndex(),
						picType: '1',
						picName: getEvidencePicName('evidenceHoldIdCard'),
						cloudKey: userIdCardImgId,
						cloudUrl: userIdCardUrl,
						mIsCheck: false,
						checkResult: false,
						checkResultArray: [],
						otherContent: ''
					};
				var orderEvidenceHoldIdCard = [orderEvidenceHoldIdCardItem];
				var orderEvidenceHoldIdCardStr = JSON.stringify(orderEvidenceHoldIdCard);
				callAppApi({
						url: '/app/orderUpdate',
						type: 'POST',
						params: {
							orderId: params.orderId,
							userId: loginStatus.userId,
							orderStatus: '12',
	//						orderAuthenticationKey: userIdCardImgId,
	//						orderAuthenticationUrl: userIdCardUrl
							orderEvidenceHoldIdCard: orderEvidenceHoldIdCardStr,
						},
						successCallback: function(response) {
	
							// zhh - 2017-04-12 - 0420版本，增加身份认证信息七天有效期
							callAppApi({
								url : '/api/checkCredit',
								type : 'POST',
								params: {
									userId : loginStatus.userId,
									baseBusinessType : '002002',
									isOldUser : loginStatus.oldUser,
									orderId:params.orderId,
								},
								successCallback : function(creditRes) {
									if (creditRes.userIsCredit === true) {
										userIdCardImgId = '';
										userIdCardUrl = '';
										loadAppliancePage('uploadIDCard', {
											query : {
												orderId: params.orderId,
												fromPage: 'checkUserIdCard',
												evidenceKey: 'evidenceIdCard',
												goodsLogistics: params.goodsLogistics,
												orderStatus:params.orderStatus,
												orderDetailData:params.orderDetailData
											}
										});
										
										TalkingData.onPageEnd("其他认证方式（上传资料）页");
									} else {
										mainView.router.load({
											url: 'index.html'
										});
									}
								},
								errorCallback: function(err) {}
							});
						},
						errorCallback: function(err) {}
					});
				}else{
					loadAppliancePage('uploadIDCard', {
						query : {
							orderId: params.orderId,
							fromPage: 'checkUserIdCard',
							evidenceKey: 'evidenceIdCard',
							goodsLogistics: params.goodsLogistics,
							orderStatus:params.orderStatus,
							orderDetailData:params.orderDetailData
						}
					});
				}
		});
		
		if (params.faceTimes === 3) {
			$('#returnCheckFaceBtn').hide();
		} else {
			// 返回人脸识别按钮事件绑定
			$('#returnCheckFaceBtn').on('click', function() {
				TalkingData.onEventWithLabel('其他认证方式（上传资料）页', '返回人脸识别');
				loadAppliancePage('checkFace', {
					force: true,
					query: {
						from: 'checkUserIdCard',
						orderId: params.orderId,
						faceTimes: params.faceTimes,
						goodsLogistics: params.goodsLogistics,
						orderStatus:params.orderStatus,
						orderDetailData:params.orderDetailData
					}
				});
			});
		}

		
		// 预览图片按钮事件绑定
		$('#previewUserIdCardBtn').on('click', function() {
			if (userIdCardImgId === '' || userIdCardUrl === '') {
				f7.alert('请上传手持身份证图片');
				return false;
			} else {
				var myUserIdCardBrowser = f7.photoBrowser({
					zoom: 400,
					photos: [userIdCardUrl]
				});
				utilities.clickDelay('myPhotoBrowser', function(){
					myUserIdCardBrowser.open();
				}, 500)
				
			}
		});
	}

	return {
		render : render
	}
});
