define([
  'js/utilities',
  'applianceContainers/applianceChooseGoods/applianceChooseGoodsView'
], function(
  utilities,
  chooseGoodsView
) {
  
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var isOwnEmpty = utilities.isOwnEmpty;
	
  function init(query) {
	  
	// 隐藏底部工具栏
	if (mainView.activePage.name === 'applianceChooseGoods') {
		f7.hideToolbar('#toolbar');
	}

	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	
	callAppApi({
		url: '/app/userInfo',
		type: 'POST',
		params: {
			userId: loginStatus.userId,
			userSession: loginStatus.userSession
		},
		successCallback: function(response) {		
			// 返回值统一修改
//			if (response == null || typeof response.userName === 'undefined') {
			if (isOwnEmpty(response) || typeof response.userName === 'undefined') {
				// 身份认证已通过，但是没有用户信息
				f7.alertMessage('用户信息不合法，请重新登录');
				var timeChooseGoods = setTimeout(function() {
					mainView.loadPage('index.html');				
					clearTimeout(timeChooseGoods);
				}, 3000);
			}else{
				if(!isOwnEmpty(query.orderId)&&query.orderId !== ''&&query.fromPage==='applianceUploadIDCard' || (!isOwnEmpty(query.orderId)&&query.orderId !== ''&&query.fromPage==='stagingProducts') || (!isOwnEmpty(query.orderId)&&query.orderId !== ''&&query.fromPage==='applianceAuthStep1')){
					  callAppApi({
						  url: '/app/orderDetail',
						  type: 'POST',
						  params: {
							  orderId: query.orderId,
							  userId: loginStatus.userId,
							  baseBusinessType: "002002"
						  },
						  successCallback: function(data) {
							  chooseGoodsView.render(Object.assign(response, {
								  chooseGoodsDisplay: data,//选择商品回显信息
								  userName: response.userName,
								  orderId:query.orderId,
								  fromPage:query.fromPage,
								  orderStatus:query.orderStatus,
								  orderDetailData:data
							  }));
						  },
						  errorCallback: function(err) {}
					  });
				}else{
					chooseGoodsView.render({//原因 未改动
						userName: response.userName,
						fromPage: query.fromPage
					});
				}
			}
			

		},
		errorCallback: function(err) {}
	});
  }

  return {
	init: init
  };
});
