define([
	'jquery',
	'js/utilities',
	'hbs!applianceComponents/chooseGoods/chooseGoodsList',
	'hbs!applianceComponents/chooseGoods/chooseGoodsItem',
	'hbs!applianceComponents/chooseGoods/chooseGoodsPrice',
	'hbs!applianceComponents/chooseGoods/chooseGoodsResult',
], function(
	$$,
	utilities,
	chooseGoodsListTemplate,
	chooseGoodsItemTemplate,
	chooseGoodsPriceTemplate,
	chooseGoodsResultTemplate
) {
	
	var callAppApi = utilities.callAppApi;

	var goodsBrandId='';
	/**
	 *	@desc: 重置方法组
	 */
	function resetGoodsBrand() {
		chooseGoodsBrandList = [];
		chooseGoodsBrandList.unshift({
			default: true,
			value: '',
			view: '请选择'
		});
		
		$$('#storeGoodsBrand').html(chooseGoodsItemTemplate({optionsList: chooseGoodsBrandList}));
		$$('#storeGoodsBrand').attr('disabled', true);
	}
	
	function resetGoodsModel() {
		chooseGoodsModelList = [];
		chooseGoodsModelList.unshift({
			default: true,
			value: '',
			view: '请选择'
		});
		
		$$('#storeGoodsModel').html(chooseGoodsItemTemplate({optionsList: chooseGoodsModelList}));
		$$('#storeGoodsModel').attr('disabled', true);
	}

	function resetGoodsConfig() {
		chooseGoodsConfigList = [];
		chooseGoodsConfigList.unshift({
			default: true,
			value: '',
			view: '请选择'
		});
		
		$$('#storeGoodsConfig').html(chooseGoodsItemTemplate({optionsList: chooseGoodsConfigList}));
		$$('#storeGoodsConfig').attr('disabled', true);
	}
	
	function resetGoodsColor() {
		chooseGoodsColorList = [];
		chooseGoodsColorList.unshift({
			default: true,
			value: '',
			view: '请选择'
		});
		
		$$('#storeGoodsColor').html(chooseGoodsItemTemplate({optionsList: chooseGoodsColorList}));
		$$('#storeGoodsColor').attr('disabled', true);
	}
	
	function resetModelLast(){
		$$('#storeGoodsModelLast').val('');
		$$('#storeGoodsModelLast').attr('disabled', true);
	}
	function resetGoodsPrice() {
		$$('#goodsPrice').val('');
		$$('#goodsPrice').attr('disabled', true);
	}
	
	function resetgoodsProduct() {
		var defaultGoodsProductList = [{
			default: true,
			value: '',
			view: '请选择分期产品'
		}];
		
		$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: defaultGoodsProductList}));
		$$('#goodsProduct').attr('disabled', true);
	}
	
	function resetgoodsSuite() {
		var defaultgoodsSuiteList = [{
			default: true,
			value: '',
			view: '请选择套餐名称'
		}];
		
		$$('#goodsSuite').html(chooseGoodsItemTemplate({optionsList: defaultgoodsSuiteList}));
		$$('#goodsSuite').attr('disabled', true);
	}
	
	function resetGoodsStageNum() {
		var defaultGoodsStageNumList = [{
			default: true,
			value: '',
			view: '请选择期数'
		}];
		
		$$('#goodsStageNum').html(chooseGoodsItemTemplate({optionsList: defaultGoodsStageNumList}));
		$$('#goodsStageNum').attr('disabled', true);
	}
	
	function resetGoodsPay() {
		$$('#firstPayment').val('0元');
		$$('#selfPayment').val('0元     请联系工作人员现场缴纳');
		$$('#eachPayment').val('0元');
	}
	
	function initGoodsResult() {
		var chooseGoodsResultData = {
			resultKey: '已选商品',
			resultValue: '无'
		};
		
		$$('#chooseGoodsResult').html(chooseGoodsResultTemplate(chooseGoodsResultData));
	}

	/**
	 * @二维码扫描 通用字段
	 */
	function getRealString(str) {
		var s = '';
		for (var i = 0; i < str.length; i++) {
		    if (i % 5 != 0) {
		      s += str[i];
		    }
		}
		return s;
	}
	
    function doWithQRCode(s, callback, skipStatus) {
    	if (!s || s.indexOf("|") < 0) {
    		f7.alert("亲，二维码没看清，请再试一下哦");
    		return;
    	}
    	
    	// 二维码规则调整
    	s = s.replace(/\*/g, '');
    	
    	var actionType = s.split("|")[0];
    	var viewType = s.split("|")[1];
    	var objectID = s.split("|")[2];
    	var startTimestamp = s.split("|")[3];
    	var lngAndLat = s.split("|")[4];
    	var nowTimestamp = Date.now();
    	var validStatus = false;
    	
    	// 判断时间戳
    	if (skipStatus == true || (typeof startTimestamp == 'string' && parseInt(startTimestamp) > 0 && parseInt(nowTimestamp) - parseInt(startTimestamp) <= 1800000)) {
    		validStatus = true;
    	} else {
    		f7.alert("请扫描有效的二维码信息");
    		
    		return;
    	}
    	
    	var lngAndLatObj = null;
    	if (skipStatus !== true && lngAndLat && lngAndLat.indexOf('#') >= 0 && lngAndLat !== '#') {
    		lngAndLatObj = {
    			lng: lngAndLat.split('#')[0],
    			lat: lngAndLat.split('#')[1]
    		}
    	}
	  
    	if (validStatus && actionType == "V" && viewType == "M" && objectID) {
    		callback(objectID, lngAndLatObj);
    	} else {
    		f7.alert("请扫描有效的二维码信息");
    		return;
    	}
    	return objectID;
    }
	//类型改变 重置选项
    function storeGoodsTypeChange(storeUserId, callback){
    	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		callAppApi({
			url: '/app/productBrandAll',
			type: 'POST',
			params: {
				userId: loginStatus.userId,
				storeUserId: storeUserId,   // 品牌查询时传入店员id，更新于20170308
				businessType: '002002'  //xjn 更新于20170321
			},
			successCallback: function(respone) {
				callback(respone)
			},
			errorCallback: function() {}
		})
	}
    
  //改变品牌 重置选项
    function storeGoodsBrandChange(storeUserId, callback){
		$$('#storeGoodsBrand').off('change').on('change', function(e) {					
			resetGoodsModel();		// 重置型号
			resetGoodsConfig();		// 重置配置
			resetModelLast()
			initGoodsResult();		// 初始化已选商品			
			resetGoodsPrice();		// 重置商品价格
			resetgoodsProduct();	// 重置分期产品
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			
			if (e.target.children[0].selected) {
				f7.alert('请先选择商品品牌');
			} else {
				goodsBrandId = e.target.value;			
				var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
				callAppApi({
					url: '/app/goodsAll',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						productBrandId: goodsBrandId,
						storeUserId: storeUserId,  //xjn 更新于20170321
						businessType: '002002'  //xjn 更新于20170321
					},
					successCallback: function(respone) {
						callback(respone)
					},
					errorCallback: function(err) {
						resetGoodsModel();		// 重置型号
						resetGoodsConfig();		// 重置配置
						initGoodsResult();		// 初始化已选商品						
						resetGoodsPrice();		// 重置商品价格
						resetgoodsProduct();	// 重置分期产品
						resetgoodsSuite();		// 重置套餐名称
						resetGoodsStageNum();	// 重置期数
						resetGoodsPay();		// 重置支付金额
					}
				});
//				callAppApi({
//					url: '/app/goodsAll',
//					type: 'POST',
//					params: {
//						userId: loginStatus.userId,
//						productBrandId: goodsBrandId,
//						storeUserId: storeUserId,  //xjn 更新于20170321
//						businessType: '002002'  //xjn 更新于20170321
//					},
//					successCallback: function(respone) {
////						callback(respone)
//						modelId = respone[0].goodsId;
//						callAppApi({
//							url: '/app/goodsItemAll',
//							type: 'POST',
//							params: {
//								userId: loginStatus.userId,
//								goodsId: modelId,
//								storeUserId: storeUserId,  
//								businessType: '002002',  
//								productBrandId: goodsBrandId, 
//							},
//							successCallback: function(respone) {
//								callback(respone,modelId)
//							},
//							errorCallback: function(err) {
//								resetGoodsConfig();		// 重置配置
//								initGoodsResult();		// 初始化已选商品				
//								resetGoodsPrice();		// 重置商品价格
//								resetgoodsProduct();	// 重置分期产品
//								resetgoodsSuite();		// 重置套餐名称
//								resetGoodsStageNum();	// 重置期数
//								resetGoodsPay();		// 重置支付金额
//							}
//						})
//					},
//					errorCallback: function(err) {
//						resetGoodsModel();		// 重置型号
//						resetGoodsConfig();		// 重置配置
//						initGoodsResult();		// 初始化已选商品						
//						resetGoodsPrice();		// 重置商品价格
//						resetgoodsProduct();	// 重置分期产品
//						resetgoodsSuite();		// 重置套餐名称
//						resetGoodsStageNum();	// 重置期数
//						resetGoodsPay();		// 重置支付金额
//					}
//				});
			}
		});
	}
	
	//改变型号 重置选项
    function storeGoodsModelChange(storeUserId, callback){
		$$('#storeGoodsModel').off('change').on('change', function(e) {			
			resetGoodsConfig();		// 重置配置
			resetModelLast();
			initGoodsResult();		// 初始化已选商品			
			resetGoodsPrice();		// 重置商品价格
			resetgoodsProduct();	// 重置分期产品
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			
			if (e.target.children[0].selected) {
				f7.alert('请选择商品品类');
			} else {
				var modelId = e.target.value;
				var goodsSellId = e.target.value;
				var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
				callAppApi({
					url: '/app/goodsItemAll',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						goodsId: modelId,
						storeUserId: storeUserId,  //xjn 更新于20170321
						businessType: '002002',  //xjn 更新于20170321
						productBrandId: goodsBrandId,  //xjn 更新于20170321
					},
					successCallback: function(respone) {
						callback(respone)
					},
					errorCallback: function(err) {
						resetGoodsConfig();		// 重置配置
						initGoodsResult();		// 初始化已选商品				
						resetGoodsPrice();		// 重置商品价格
						resetgoodsProduct();	// 重置分期产品
						resetgoodsSuite();		// 重置套餐名称
						resetGoodsStageNum();	// 重置期数
						resetGoodsPay();		// 重置支付金额
					}
				})
			}
		});
	}
	
	//改变配置 重置选项
    function storeGoodsConfigChange(params,callback){
		var getInfoSuccessData=params.getInfoSuccessData
		$$('#storeGoodsConfig').off('change').on('change', function(e) {				
			var locatiionChooseGoodsListData = JSON.parse(localStorage.getItem('locatiionChooseGoodsListData' + '_' + params.orderId));
			if(locatiionChooseGoodsListData !==null &&locatiionChooseGoodsListData.orderId===params.orderId){
			    locatiionChooseGoodsListData=locatiionChooseGoodsListData;
			}else{
			    var locatiionChooseGoodsListData={
			    		chooseGoodsColorList :[],//颜色列表
			    } 
			}
			resetModelLast()
			initGoodsResult();		// 初始化已选商品				
			resetGoodsPrice();		// 重置商品价格
			resetgoodsProduct();	// 重置分期产品
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额				
			if (e.target.children[0].selected) {
				f7.alert('请选择商品系列');
			} else {
				callback();
			}
		});
	}
    //输入型号  重置选项
	function storeGoodsModelLastChange(colorSet,storeUserId,callBack){
		$("#storeGoodsModelLast").off('blur').on('blur',function(){
			initGoodsResult();		// 初始化已选商品			
			resetGoodsPrice();		// 重置商品价格
			resetgoodsProduct();	// 重置分期产品
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			if($("#storeGoodsModelLast").val()==""){
				f7.alert('请输入商品型号');
				return false;
			}
			var goodsModelId = $$('#storeGoodsModel').val();
			
			var goodsConfigInfo = $$('#storeGoodsConfig').val();
			
			var goodsColorInfo = colorSet;
			
			var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
			callAppApi({
				url: '/app/goodsSell',
				type: 'POST',
				params: {
					userId: loginStatus.userId,
					goodsId: goodsModelId,
					goodsItemColor: goodsColorInfo,
					goodsItemConfigure: goodsConfigInfo,
					storeUserId: storeUserId,
					businessType: '002002', //lisai 2017年4月6日10:08:41
					baseBusinessType: '002002' 
				},
				successCallback: function(respone) {
					callBack(respone);
				},
				errorCallback: function(err) {}
			})
		})
	}
	
	//商品价格 重置选项
    function goodsPriceChange(storeId,callback){
//			if (typeof $$._data($$('#goodsPrice')[0], 'events') === 'undefined' || $$._data($$('#goodsPrice')[0], 'events').blur.length < 0) {
				$$('#goodsPrice').off('blur').on('blur', function(e) {
					if (!/^[1-9][0-9]*$$/.test($$(this).val())) {
						$$(this).val('');					
						resetgoodsProduct();	// 重置分期产品
						resetgoodsSuite();		// 重置套餐名称
						resetGoodsStageNum();	// 重置期数
						resetGoodsPay();		// 重置支付金额							
						return false;
					}
					var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
					callAppApi({
						url: '/app/suitePlanList',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							businessType: '002002',
							storeId: storeId,
						},
						successCallback: function(respone) {
							callback(respone)
						},
						errorCallback: function(err) {}
					})
				});
//			}
		}
	
	//分期产品 重置选项
    function goodsProductChange(params,callback){
		$$('#goodsProduct').off('change').on('change', function(e) {		
			var chooseGoodsProductList = params.chooseGoodsProductList;
			var goodsPlanId = '';
			var goodsPlanName = '';	
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额					
			if (e.target.children[0].selected) {
				f7.alert('请选择分期产品');
			} else {
				for (var i = 0; i < e.target.children.length; i++) {
					if (e.target.children[i].selected === true) {				
						// zhh - 20170405 - 20170406版本  - 根据所选产品的planId是否为空来判断是否显示套餐名称
//						chooseGoodsProductList[i].planList[0].planId = ''
						if (chooseGoodsProductList[i].planList[0].planId === '') {
							goodsPlanStatus = false;
						} else {
							goodsPlanStatus = true;
						}						
						goodsProductId = chooseGoodsProductList[i].value;	// 分期产品id
						goodsProductName = chooseGoodsProductList[i].view;	// 分期产品名称
						if (goodsPlanStatus === true) {
							$('#goodsSuite').parent().removeClass('hide');
							//getGoodsPlanSuccess(chooseGoodsProductList[i].planList);
							callback({
								goodsPlanStatus:goodsPlanStatus,
								chooseGoodsProductListPlanList:chooseGoodsProductList[i].planList,
								goodsProductId:goodsProductId,
								goodsProductName:goodsProductName
							});
						} else if (goodsPlanStatus === false) {
							goodsPlanId = '';
							goodsPlanName = '';
							$('#goodsSuite').parent().addClass('hide');
							//getGoodsPeriodSuccess(chooseGoodsProductList[i].planList[0].periodList);
							callback({
								goodsPlanStatus:goodsPlanStatus,
								chooseGoodsProductListPeriodList:chooseGoodsProductList[i].planList[0].periodList,
								goodsProductId:goodsProductId,
								goodsProductName:goodsProductName
							});
						}							
					}
				}
			}
		});			
	}
	
	//套餐名称 重置选项
    function goodsSuiteChange(params,callback){
		$$('#goodsSuite').off('change').on('change', function(e) {
			var chooseGoodsPlanList=params.chooseGoodsPlanList
			var goodsPlanId = '';
			var goodsPlanName = '';		
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			if (e.target.children[0].selected) {
				f7.alert('请选择套餐名称');
			} else {
				for (var i = 0; i < e.target.children.length; i++) {
					if (e.target.children[i].selected === true) {
						goodsPlanId = chooseGoodsPlanList[i].value;		// 套餐id
						goodsPlanName = chooseGoodsPlanList[i].view;		// 套餐名称					
						//getGoodsPeriodSuccess(chooseGoodsPlanList[i].periodList);
						callback({
							chooseGoodsPlanListPeriodList:chooseGoodsPlanList[i].periodList,
							goodsPlanId:goodsPlanId,
							goodsPlanName:goodsPlanName
						});
					}
				}
				}
		});
	}
	
	//分期期数 重置选项
    function goodsStageNumChange(params,callback){
		$$('#goodsStageNum').off('change').on('change', function(e) {
			var goodsSellId=params.goodsSellId;
			var goodsPlanId=params.goodsPlanId
			resetGoodsPay();		// 重置支付金额
			if (e.target.children[0].selected) {                                                                              
				f7.alert('请选择期数');
			} else {
				for (var i = 0; i < e.target.children.length; i++) {
					if (e.target.children[i].selected === true) {
						goodsPeriodKey = e.target.children[i].value;
						goodsPeriod = parseInt(e.target.children[i].innerHTML).toString();
					}
				}
				var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
				callAppApi({
					url: '/app/suitePlanDetail',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						orderProductPrice: $$('#goodsPrice').val(),
						periodKey: goodsPeriodKey,
						planId: goodsPlanId,
						goodsSellId:goodsSellId,
						businessType: '002002'
					},
					//successCallback: getSuitePlanDetailSuccess,
					successCallback: function(respone) {
						callback({
							StageNumRespone:respone,
							goodsPeriodKey:goodsPeriodKey,
							goodsPeriod:goodsPeriod,
							discountAmt:respone.discountAmt,
						})
					},
					errorCallback: function(err) {}
				});
			}
		});
	}
    
	return {
		// 二维码通用方法
		getRealString: getRealString,
		doWithQRCode: doWithQRCode,
		
		// 重置方法组
		resetGoodsBrand: resetGoodsBrand,
		resetGoodsModel: resetGoodsModel,
		resetGoodsConfig: resetGoodsConfig,
		resetGoodsColor: resetGoodsColor,
		resetModelLast:resetModelLast,
		resetGoodsPrice: resetGoodsPrice,
		initGoodsResult: initGoodsResult,
		resetgoodsProduct: resetgoodsProduct,
		resetgoodsSuite: resetgoodsSuite,
		resetGoodsStageNum: resetGoodsStageNum,
		resetGoodsPay: resetGoodsPay,
		
		//改变类型 重置选项
		storeGoodsTypeChange:storeGoodsTypeChange,
		//商品价格 重置选项
		goodsPriceChange:goodsPriceChange,
		// 商品品牌 重置选项
		storeGoodsBrandChange:storeGoodsBrandChange,
		//改变型号 重置选项
		storeGoodsModelChange:storeGoodsModelChange,
		//改变配置 重置选项
		storeGoodsConfigChange:storeGoodsConfigChange,
		//输入型号重置选项
		storeGoodsModelLastChange:storeGoodsModelLastChange,
		//分期产品 重置选项
		goodsProductChange:goodsProductChange,
		//套餐名称 重置选项
		goodsSuiteChange:goodsSuiteChange,
		//分期期数 重置选项
		goodsStageNumChange:goodsStageNumChange,
	}
});
