define([
	'js/utilities',
	'js/validator',
	'js/config',
	'js/datas',
	'applianceContainers/applianceChooseGoods/applianceChooseGoodsHelper',
	'applianceContainers/applianceChooseGoods/applianceChooseGoodsPad',
	'hbs!applianceContainers/applianceChooseGoods/applianceChooseGoods',
	'hbs!applianceComponents/chooseGoods/chooseGoodsList',
	'hbs!applianceComponents/chooseGoods/chooseGoodsItem',
	'hbs!applianceComponents/chooseGoods/chooseGoodsPrice',
	'hbs!applianceComponents/chooseGoods/chooseGoodsResult',
	'hbs!components/common/button/button',
	'hbs!applianceComponents/shippingAddress/chooseAddressArea',
	'jquery',
], function(
	utilities,
	validator,
	config,
	Datas,
	chooseGoodsHelper,
	applianceChooseGoodsPad,
	chooseGoodsTemplate,
	chooseGoodsListTemplate,
	chooseGoodsItemTemplate,
	chooseGoodsPriceTemplate,
	chooseGoodsResultTemplate,
	buttonTemplate,
	chooseAddressAreaTemplate,
	$$
) {
/**
 * @warn 此页面所有$$为jQuery的$$
 */
//	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var getDay = utilities.getDay;
	var getLngAndLat = utilities.getLngAndLat;
//	var dictData = Datas.dictData;
	var getPrompt = Datas.getPrompt;
	
	// 二维码通用方法组
//	var getRealString = chooseGoodsHelper.getRealString;
	var doWithQRCode = chooseGoodsHelper.doWithQRCode;

	// 重置方法组
	var	resetGoodsBrand = chooseGoodsHelper.resetGoodsBrand;
	var	resetGoodsModel = chooseGoodsHelper.resetGoodsModel;
	var	resetGoodsConfig = chooseGoodsHelper.resetGoodsConfig;
	var	resetGoodsColor = chooseGoodsHelper.resetGoodsColor;
	var resetModelLast = chooseGoodsHelper.resetModelLast;
	var	resetGoodsPrice = chooseGoodsHelper.resetGoodsPrice;
	var	initGoodsResult = chooseGoodsHelper.initGoodsResult;
	var	resetgoodsProduct = chooseGoodsHelper.resetgoodsProduct;
	var	resetgoodsSuite = chooseGoodsHelper.resetgoodsSuite;
	var	resetGoodsStageNum = chooseGoodsHelper.resetGoodsStageNum;
	var	resetGoodsPay = chooseGoodsHelper.resetGoodsPay;
	
	//改变类型 重置选项
	var storeGoodsTypeChange = chooseGoodsHelper.storeGoodsTypeChange;
	//商品价格 重置选项
	var goodsPriceChange = chooseGoodsHelper.goodsPriceChange;
	// 商品品牌 重置选项
	var storeGoodsBrandChange = chooseGoodsHelper.storeGoodsBrandChange;
	//改变型号 重置选项
	var storeGoodsModelChange = chooseGoodsHelper.storeGoodsModelChange;
	//改变配置 重置选项
	var storeGoodsConfigChange = chooseGoodsHelper.storeGoodsConfigChange;
	
	var storeGoodsModelLastChange = chooseGoodsHelper.storeGoodsModelLastChange;
	
	//分期产品 重置选项
	var goodsProductChange = chooseGoodsHelper.goodsProductChange;
	//套餐名称 重置选项
	var goodsSuiteChange = chooseGoodsHelper.goodsSuiteChange;
	//分期期数 重置选项
	var goodsStageNumChange = chooseGoodsHelper.goodsStageNumChange;
	
	var SKIP = config.SKIP;
	var isOwnEmpty = utilities.isOwnEmpty;
	  //埋点需求
	  var bindPadApplianceChooseGoods = applianceChooseGoodsPad.bindPadApplianceChooseGoods;
	  var sendPadApplianceChooseGoods = applianceChooseGoodsPad.sendPadApplianceChooseGoods;

	// 选择商品默认数据
	var chooseGoodsListData = {
		goodsTypeList: [
//			{
//				id: 'storeGoodsType',
//				label: '类型',
//				type: 'widen',
//				disabled: true,
//				optionsList: [
//					{
//						default: true,
//						value: '',
//						view: '请选择'
//					},
//					{
//						default: false,
//						value: '家电',
//						view: '家电'
//					}
//				]
//				
//			},
			{
				id: 'storeGoodsBrand',
				disabled: true,
				label: '品牌',
				type: 'widen',
				optionsList: [
					{
						default: true,
						value: '',
						view: '请选择'
					}
				]
				
			},
			{
				id: 'storeGoodsModel',
				disabled: true,
				type: 'widen',
				label: '品类',
				optionsList: [
					{
						default: true,
						value: '',
						view: '请选择'
					}
				]
			},
			{
				id: 'storeGoodsConfig',
				disabled: true,
				label: '系列',
				type: 'widen',
				optionsList: [
					{
						default: true,
						value: '',
						view: '请选择'
					}
				]
			},
			{
				id: 'storeGoodsModelLast',
				disabled: true,
				label: '型号',
				value:"",
				placeholder: '请输入商品型号'
			},
		]
	};

	// 商品结果默认数据
	var chooseGoodsResultData = {
		resultKey: '已选商品',
		resultValue: '无'
	};

	// 商品价格及套餐默认数据
	var chooseGoodsPriceData = {
		formId: 'chooseGoodsPriceForm',
		priceInputList: [
			{
				id: 'goodsPrice',
				type: 'suffixText',
				visibleStatus: true,
				disabled: true,
				label: '商品价格',
				placeholder: '请输入商品价格',
				value: '',
				suffix: '元',
			},
			{
				id: 'goodsProduct',
				type: 'select',
				visibleStatus: true,
				disabled: true,
				label: '分期产品',
				selectList: [
					{
						value: '',
						view: '请选择分期产品'
					}
				]
			},
			{
				id: 'goodsSuite',
				type: 'select',
				visibleStatus: false,
				disabled: true,
				label: '套餐名称',
				selectList: [
					{
						value: '',
						view: '请选择套餐名称'
					}
				]
			},
			{
				id: 'goodsStageNum',
				type: 'select',
				visibleStatus: true,
				disabled: true,
				label: '期数',
				selectList: [
					{
						value: '',
						view: '请选择期数',
					}
				]
			},
			{
				id: 'firstPayment',
				type: 'text',
				visibleStatus: true,
				disabled: true,
				label: '期初支付',
				placeholder: '0元',
				value: '',
				extraButton: {
					buttonId: 'goodsExtraCost',
				}
			},
			{
				id: 'selfPayment',
				type: 'text',
				visibleStatus: true,
				disabled: true,
				label: '自付金额',
				placeholder: '0元 ',
				value: ''
			},
			{
				id: 'eachPayment',
				type: 'text',
				visibleStatus: true,
				disabled: true,
				label: '每期还款',
				placeholder: '0元',
				value: ''
			}
		]
	}

	
	function render(params) {
		
		var chooseGoodsDisplay=[];
		
		var goodsModelId = "";
		
		chooseGoodsDisplay=params.chooseGoodsDisplay
		TalkingData.onPage("选择商品");		
		TalkingData.onPageBegin("选择商品_填写时间");	
		  $("#chooseGoodsNavbar .placeOrderBackBtn").on('click', function() {
			  TalkingData.onEventWithLabel('选择商品', '返回');
		 });	
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var locatiionChooseGoodsListData = JSON.parse(localStorage.getItem('locatiionChooseGoodsListData' + '_' + params.orderId));
		
		var userName = params.userName;
		var storeUserId = '';		// 店员id
		var storeUserName = '';		// 店员名称
		var storeId = '';			// 门店id
		var storeName = '';			// 门店名称
		var goodsSellId = '';		// 售品id
		var goodsSellName = '';		// 售品名称
		
		var goodsProductId = '';	// 分期产品id
		var goodsProductName = ''; 	// 分期产品名称

		var goodsPlanStatus = false;	// 套餐是否显示状态
		var goodsPlanId = '';		// 套餐id
		var goodsPlanName = '';		// 套餐名称

		var goodsPeriodKey = '';	// 分期期数id
		var goodsPeriod = '';		// 分期期数
//		var goodsStagingId = '';	// 分期期数id
		
		var orderPlanId = '';		// 贴息id
		
		var planAmount = '';			// 套餐金额
		var planReceivableAmount = ''; 	// 套餐应收金额
		var planRechargeAmount = '';	// 套餐充值金额
		
		var supplierId = '';		// 供应商id
		var operatorId = '';		// 运营商id
		
		var goodsSuiteKey = false;	// 判断套餐是否计算成功的key
		
		var goodsProductArr = [];// 存储套餐方案
		
		var goodsSuiteTotalAmount = '';// 租金总额
		var goodsSuitePoundage = '';// 手续费
		var goodsSuiteServiceCharges = '';// 服务费
		var goodsSuiteLeverPrice = '';// 设备杠杆
		var goodsSuitePayInitialPrice = '';// 自付金额
		var goodsSuitePayFirstPrice = '';// 期初支付
		var goodsSuiteStagePrice = '';// 每期租金
		var goodsBrandId = '';
		var discountAmt ='';//贴息金额
		
		var storeUserAddressLongitude = '';						// 店员二维码经度
		var storeUserAddressLatitude = '';						// 店员二维码纬度	
		
		var chooseGoodsTypeList = [];
		var chooseGoodsBrandList = [];
		var chooseGoodsModelList = [];
		var chooseGoodsConfigList = [];
		var chooseGoodsColorList = [];
		var getInfoSuccessData=[];
		
		//商品列表缓存到本地 lisai   2017年4月28日11:45:31

		if(locatiionChooseGoodsListData !==null &&locatiionChooseGoodsListData.orderId===params.orderId){
		    locatiionChooseGoodsListData=locatiionChooseGoodsListData;
		}else{
		    var locatiionChooseGoodsListData={
		    		orderId:'',
		    		goodsTypeList:[],//类型列表
		    		chooseGoodsBrandList :[],//品牌列表
		    		chooseGoodsModelList :[],//型号列表
		    		chooseGoodsConfigList :[],//配置列表
		    		defaultGoodsProductList :[],//分期产品列表
		    		defaultGoodsStageNumList :[],//期数列表
		    		getInfoSuccessData:[],
		    		planList:[]//套餐名称
		    } 
		}

		
		// 渲染navbar
		loadApplianceComponent('navbar', 'common', {
			container: '#chooseGoodsNavbar',
			title: '选择商品',
//			backClass: 'placeOrderBackBtn',
			backId: 'applicanceChooseGoodsBackBtn',
			isBackIcon: true,
			isBack: false,
			orderId: params.orderId,
			goodsLogistics: params.goodsLogistics,
			orderStatus:params.orderStatus,
			orderDetailData:params.orderDetailData,
			fromPage:params.fromPage
		});
		
//		var timeApplicanceChooseGoodsTime = setTimeout(function() {
//			$$('#applicanceChooseGoodsBackBtn').off('click').on('click', function() {
//				
//				if (params.fromPage === 'stagingProducts') {
//					mainView.router.back({
//			  			url: 'stagingProducts.html',
//			  			force: true,
//					})
//				} else {
//					mainView.router.back({
//			  			url: 'index.html',
//			  			force: true,
//					})
//				}
//			});
//			clearTimeout(timeApplicanceChooseGoodsTime);
//		}, 500);

		// 渲染选择商品主内容
		$$('#chooseGoodsContent').html(chooseGoodsTemplate({
			promptBarText: getPrompt('APP_KEY_APPLIANCE_CREDIT_LIMIT_MSG')
		}));

		// 渲染头部状态栏
		loadComponent('placeOrderTabbar', 'placeOrder', {
			container: '#chooseGoodsTabbar',
			tabIndex: 1
		});
		
		// 渲染条件选择框
		$$('#chooseGoodsList').html(chooseGoodsListTemplate(chooseGoodsListData));
		// 渲染选择的商品结果
		$$('#chooseGoodsResult').html(chooseGoodsResultTemplate(chooseGoodsResultData));
		
		// 渲染商品价格列表
		$$('#choosePriceArea').html(chooseGoodsPriceTemplate(chooseGoodsPriceData));
		
		$$('#selfPayment').attr('placeholder', '0元    请联系工作人员现场缴纳');
		
		// 渲染底部按钮
		$$('#placeOrderGoodsBtnBox').html(buttonTemplate({
			id : 'placeOrderGoodsBtn',
			value : '下一步',
			disabled : false,
		}));
		
		//是否回显判断 lisai 2017年4月10日17:54:56
		var chooseGoodsDisplayView=false;
		var goodsLogistics='';
		if((!isOwnEmpty(params.orderId)&&params.orderId !== ' ' &&params.fromPage==='applianceUploadIDCard') || (!isOwnEmpty(params.orderId)&&params.orderId !== ' '&&params.fromPage==='stagingProducts') || (!isOwnEmpty(params.orderId)&&params.orderId !== ' '&&params.fromPage==='applianceAuthStep1')){
			chooseGoodsDisplayView=true;
			goodsLogistics=chooseGoodsDisplay.goodsLogistics;
		}else{
			chooseGoodsDisplayView=false;
		}
		
		// 店员二维码识别
		$$('#QRcodeBtn').off('click').on('click', function() {
			// 是否跳过二维码扫描
			if (!SKIP.cordova_QRCode) {
				cordova.plugins.HrToolsPlugin.QrCodePlugin(scanCallbackStore, scanQrCodeError);
			} else {		
//				scanCallbackStore('*V|M|*47');//手机业务店员
				console.log(Date.now())
				scanCallbackStore('*V|M|*369|1512615124564|123#321');//家电业务店员
//				scanCallbackStore('*V|M|*1');
			}
			
			function scanQrCodeError (error){
			    f7.alertMessage("二维码扫描失败，请重试！");
			};
			function scanCallbackStore(result) {
//				var s = getRealString(result);
//
			    var objectID = doWithQRCode(result, getStoreUserStoreInfo);
				
			    return objectID;
			};
			
			function getStoreUserStoreInfo(objectId, lngAndLat) {
				  storeUserId = objectId;
				  
				  if (lngAndLat !== null) {
					  storeUserAddressLongitude = lngAndLat.lng;					// 店员二维码经度
					  storeUserAddressLatitude = lngAndLat.lat;						// 店员二维码纬度
				  }
				  // 根据店员id查询门店商品信息
				  callAppApi({
					  url: '/app/storeUserStoreInfo',
					  type: 'POST',
					  params: {
						  storeUserId: objectId,
						  businessType: '002002'
					  },
					  successCallback: getStoreInfoSuccess,
					  errorCallback: function() {
						  initGoodsResult();
						  resetGoodsBrand();
						  resetGoodsModel();
						  resetGoodsConfig();
						  resetGoodsColor();
						  resetModelLast();
						  var chooseGoodsTypeList = [{default: false,view: '请选择',value: ''}];
						  $$('#chooseGoodsList').html(chooseGoodsListTemplate(chooseGoodsListData));
					  }
				  });
			}
		});
		
			// 请求所有品牌
			function getStoreInfoSuccess(data) {
				storeUserName = data.storeUserName;
				storeId = data.storeId;
				storeName = data.storeName;

				$$('#ORCodeInput').val(data.storeName);
				
//				var chooseGoodsTypeList = [
//					{
//						default: false,
//						view: '请选择',
//						value: ''
//					},
//					{
//						default: false,
//						view: '家电',
//						value: '家电'
//					}
//				];
				
//				chooseGoodsListData.goodsTypeList[0].optionsList = chooseGoodsTypeList;
//				locatiionChooseGoodsListData.goodsTypeList =chooseGoodsTypeList; //lisai 2017年4月28日13:51:05 品牌列表保存到本地
				$$('#chooseGoodsList').html(chooseGoodsListTemplate(chooseGoodsListData));
				$$('#storeGoodsBrand').removeAttr('disabled');
				
				initGoodsResult();		// 初始化已选商品
				
				resetGoodsPrice();		// 重置商品价格
				resetgoodsProduct();	// 重置分期产品
				resetgoodsSuite();		// 重置套餐名称
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
				
				//改变类型 重置选项
				storeGoodsTypeChange(storeUserId,getBrandSuccess);
			}
			
			// 请求所有品牌成功
			function getBrandSuccess(data) {			
				chooseGoodsBrandList = data.map(function(item, index) {
					return {
						default: false,
						value: item.productBrandId,
						view: item.productBrandName
					};
				});
				chooseGoodsBrandList.unshift({
					default: true,
					value: '',
					view: '请选择'
				});
				locatiionChooseGoodsListData.chooseGoodsBrandList =chooseGoodsBrandList; //lisai 2017年4月28日13:51:05 品牌列表保存到本地
				$$('#storeGoodsBrand').removeAttr('disabled');
				$$('#storeGoodsBrand').html(chooseGoodsItemTemplate({optionsList: chooseGoodsBrandList}));
				initGoodsResult();		// 初始化已选商品
				resetGoodsPrice();		// 重置商品价格
				resetgoodsProduct();	// 重置分期产品
				resetgoodsSuite();		// 重置套餐名称
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
				
				// 商品品牌 添加 点击事件
				storeGoodsBrandChange(storeUserId,getModelSuccess)
//				storeGoodsBrandChange(storeUserId,getInfoSuccess);
				// 商品型号事件
				storeGoodsModelChange(storeUserId,getInfoSuccess);
				// 商品配置事件
				$$('#storeGoodsConfig').off('change').on('change', function(e) {
					

					initGoodsResult();		// 初始化已选商品
					
					resetGoodsPrice();		// 重置商品价格
					resetgoodsProduct();	// 重置分期产品
					resetgoodsSuite();		// 重置套餐名称
					resetGoodsStageNum();	// 重置期数
					resetGoodsPay();		// 重置支付金额
					
					if (e.target.children[0].selected) {
						f7.alert('请选择商品系列');
					} else {
						locatiionChooseGoodsListData.chooseGoodsColorList = getInfoSuccessData.goodsItemColorSet;
						$("#storeGoodsModelLast").removeAttr('disabled');
						changeStoreGoodsModel();
					}
				});
			}

			function getModelSuccess(data) {

				chooseGoodsModelList = data.map(function(item, index) {
					return {
						default: false,
						value: item.goodsId,
						view: item.goodsName
					};
				});
		
				chooseGoodsModelList.unshift({
					default: true,
					value: '',
					view: '请选择'
				});
				
				locatiionChooseGoodsListData.chooseGoodsModelList  =chooseGoodsModelList;//lisai 2017年4月28日13:51:05 型号列表保存到本地
				$$('#storeGoodsModel').removeAttr('disabled');
				$$('#storeGoodsModel').html(chooseGoodsItemTemplate({optionsList: chooseGoodsModelList}));
				
				resetGoodsConfig();		// 重置配置

				initGoodsResult();		// 初始化已选商品
				
				resetGoodsPrice();		// 重置商品价格
				resetgoodsProduct();	// 重置分期产品
				resetgoodsSuite();		// 重置套餐名称
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
			}
			
			function getInfoSuccess(data,modelId) {
				
//				goodsModelId = modelId;
				
				getInfoSuccessData = data;
				locatiionChooseGoodsListData.getInfoSuccessData=getInfoSuccessData;
				chooseGoodsConfigList = data.goodsItemConfigureSet.map(function(item) {
					return {
						default: false,
						value: item,
						view: item
					}
				});

				if (chooseGoodsConfigList.length === 0) {
					chooseGoodsConfigList.push({
						default: false,
						value: '',
						view: '官方标配'
					});
				}
				
				chooseGoodsConfigList.unshift({
					default: true,
					value: '',
					view: '请选择'
				});
				
				locatiionChooseGoodsListData.chooseGoodsConfigList=chooseGoodsConfigList; //lisai 2017年4月28日13:51:05 配置列表保存到本地
				$$('#storeGoodsConfig').removeAttr('disabled');
				$$('#storeGoodsConfig').html(chooseGoodsItemTemplate({optionsList: chooseGoodsConfigList}));
				

				initGoodsResult();		// 初始化已选商品
				
				resetGoodsPrice();		// 重置商品价格
				resetgoodsProduct();	// 重置分期产品
				resetgoodsSuite();		// 重置套餐名称
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
			}

		
		function changeStoreGoodsModel(){
			$("#storeGoodsModelLast").off('blur').on('blur',function(){
				initGoodsResult();		// 初始化已选商品			
				resetGoodsPrice();		// 重置商品价格
				resetgoodsProduct();	// 重置分期产品
				resetgoodsSuite();		// 重置套餐名称
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
				if($("#storeGoodsModelLast").val()==""){
					f7.alert('请输入商品型号');
					return false;
				}
				var goodsModelId = $$('#storeGoodsModel').val();
				
				var goodsConfigInfo = $$('#storeGoodsConfig').val();
				
				var goodsColorInfo = getInfoSuccessData.goodsItemColorSet[0];
				
				
				var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
				callAppApi({
					url: '/app/goodsSell',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						goodsId: goodsModelId,
						goodsItemColor: goodsColorInfo,
						goodsItemConfigure: goodsConfigInfo,
						storeUserId: storeUserId,
						businessType: '002002', //lisai 2017年4月6日10:08:41
						baseBusinessType: '002002' 
					},
					successCallback: function(respone) {
						getGoodsSellSuccess(respone);
					},
					errorCallback: function(err) {}
				})
			})
		}
		
		function getGoodsSellSuccess(data) {
			goodsLogistics=data.goodsLogistics;
			if(goodsLogistics==='1'){
				$("#goodsLogistics-notice").html("您所选商品需进行物流配送，如有疑问，请与工作人员联系")
			}else{
				$("#goodsLogistics-notice").html("您所选商品需进行门店自提，如有疑问，请与工作人员联系")
			}
			goodsSellId = data.goodsSellId;
			operatorId = data.operatorId;
			supplierId = data.supplierId;
			goodsSellName = data.goodsSellName;
			locatiionChooseGoodsListData.storeGoodsModelLast = $("#storeGoodsModelLast").val();
			var storeGoodsTypeVal = $$('#storeGoodsBrand').find('option:selected').text();
//			for (var i = 0; i < $$('#storeGoodsBrand').children().length; i++) {
//				if ($$('#storeGoodsBrand').children()[i].selected === true) {
//					storeGoodsTypeVal = $$('#storeGoodsBrand').children()[i].innerHTML;
//				}
//			}
			
			var storeGoodsModelVal = $$('#storeGoodsModel').find('option:selected').text();
//			for (var k = 0; k < $$('#storeGoodsModel').children().length; k++) {
//				if ($$('#storeGoodsModel').children()[k].selected === true) {
//					storeGoodsModelVal = $$('#storeGoodsModel').children()[k].innerHTML;
//				}
//			}
			
			var storeGoodsConfigVal = $$('#storeGoodsConfig').find('option:selected').text();
//			for (var l = 0; l < $$('#storeGoodsConfig').children().length; l++) {
//				if ($$('#storeGoodsConfig').children()[l].selected === true) {
//					storeGoodsConfigVal = $$('#storeGoodsConfig').children()[l].innerHTML;
//				}
//			}
			
			var storeGoodsModelLastVal = $$("#storeGoodsModelLast").val();
			
			var chooseGoodsResultData2 = {
				resultKey: '已选商品',
				resultValue: storeGoodsTypeVal + ' '+ storeGoodsModelVal + ' ' + storeGoodsConfigVal + ' ' + storeGoodsModelLastVal
			}

			$$('#chooseGoodsResult').html(chooseGoodsResultTemplate(chooseGoodsResultData2));

			// 解锁商品价格栏
			$$('#goodsPrice').removeAttr('disabled');
			goodsPriceChange(storeId,getGoodsProductSuccess);
		}
		
		// 获取分期产品数据成功
		function getGoodsProductSuccess(data) {
		
			var chooseGoodsProductList = data.map(function(item) {
				return {
					default: false,
					value: item.productId,
					view: item.productName,
					planList: item.planList
				}
			});
			
			chooseGoodsProductList.unshift({
				default: true,
				value: '',
				view: '请选择分期产品',
				planList: []
			});
			
			locatiionChooseGoodsListData.defaultGoodsProductList =chooseGoodsProductList; //lisai 2017年4月28日13:51:05 分期产品列表保存到本地
			$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: chooseGoodsProductList}));
			$$('#goodsProduct').removeAttr('disabled');
			
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			
			//分期产品 重置选项
			goodsProductChange({
				chooseGoodsProductList:chooseGoodsProductList
			},function(data) {
				goodsProductId=data.goodsProductId;
			    goodsProductName=data.goodsProductName;
				if (data.goodsPlanStatus === true) {
					goodsPlanStatus = true;
					$('#goodsSuite').parent().removeClass('hide');
					getGoodsPlanSuccess({
						chooseGoodsProductListPlanList:data.chooseGoodsProductListPlanList,
						goodsProductId:data.goodsProductId,
					    goodsProductName:data.goodsProductName,
					});
					
				} else if (data.goodsPlanStatus === false) {
					goodsPlanStatus = false;
					goodsPlanId = '';
					goodsPlanName = '';
					$('#goodsSuite').parent().addClass('hide');
					getGoodsPeriodSuccess({
						chooseGoodsPlanListPeriodList:data.chooseGoodsProductListPeriodList,
						goodsProductId:data.goodsProductId,
					    goodsProductName:data.goodsProductName,
					});
				}	
			})
		}
		
		// 选择分期产品成功
		function getGoodsPlanSuccess(data) {
			var chooseGoodsPlanList = data.chooseGoodsProductListPlanList.map(function(item) {
				return {
					default: false,
					value: item.planId,
					view: item.planName,
					periodList: item.periodList
				}
			});
			chooseGoodsPlanList.unshift({
				default: false,
				value: '',
				view: '请选择套餐名称',
				periodList: []
			});

			$$('#goodsSuite').html(chooseGoodsItemTemplate({optionsList: chooseGoodsPlanList}));
			$$('#goodsSuite').removeAttr('disabled');
			locatiionChooseGoodsListData.planList  =chooseGoodsPlanList; 
			
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			
			//套餐名称 重置选项
			goodsSuiteChange({
				chooseGoodsPlanList:chooseGoodsPlanList
			},getGoodsPeriodSuccess);	
		}
		
		// 获取分期期数成功
		function getGoodsPeriodSuccess(data) {
			goodsPlanId=data.goodsPlanId;
			goodsPlanName=data.goodsPlanName;
			chooseGoodsPlanListPeriodList=data.chooseGoodsPlanListPeriodList;
			var GoodsPlanList=[];
			var chooseGoodsPeriodList =chooseGoodsPlanListPeriodList.map(function(item) {//GoodsPlanList
				return {
					default: false,
					value: item.periodKey,
					view: item.period
				};
			});
			chooseGoodsPeriodList.unshift({
				default: false,
				value: '',
				view: '请选择期数'
			})

			locatiionChooseGoodsListData.defaultGoodsStageNumList  =chooseGoodsPeriodList; //lisai 2017年4月28日13:51:05 期数列表保存到本地
			$$('#goodsStageNum').html(chooseGoodsItemTemplate({optionsList: chooseGoodsPeriodList}));
			$$('#goodsStageNum').removeAttr('disabled');
			
			//分期期数 重置选项
			goodsStageNumChange({
				goodsSellId:goodsSellId,
				goodsPlanId:goodsPlanId,
				},getSuitePlanDetailSuccess);
		}
		
		
		// 获取详细分期计划成功回调
		function getSuitePlanDetailSuccess(data) {
			goodsPeriodKey=data.goodsPeriodKey;
			goodsPeriod=data.goodsPeriod;
			discountAmt=data.discountAmt;
			// 更新套餐计算key值，从而可以进行下一步
			goodsSuiteKey = true;
			data=data.StageNumRespone;
			// 期初支付
			goodsSuitePayFirstPrice = data.downPayment;
			// 自付金额
			goodsSuitePayInitialPrice = data.selfPayAmount;
			// 每期租金
			goodsSuiteStagePrice = data.stagePrice;
			// 手续费
			goodsSuitePoundage = data.handlingCharge;
			// 服务费
			goodsSuiteServiceCharges = data.serviceCharge;
			// 租金总额
			goodsSuiteTotalAmount = data.totalAmount;
			//设备杠杆
			goodsSuiteLeverPrice = data.leverPrice;
			// 贴息id
			orderPlanId = data.orderPlanId;
			// 套餐金额
			planAmount = data.planAmount;
			// 套餐应收金额
			planReceivableAmount = data.planReceivableAmount;
			// 套餐充值金额
			planRechargeAmount = data.planRechargeAmount;
			
			$$('#firstPayment').val(data.downPayment + '元');
			$$('#selfPayment').val(data.selfPayAmount + '元    请联系工作人员现场缴纳');
			$$('#eachPayment').val(data.stagePrice + '元');
		}	  
		
		// 提示信息
		$('#goodsExtraCost').on('click', function() {
			if (goodsSuiteServiceCharges === '' && goodsSuitePoundage === '' && goodsSuiteLeverPrice === '') {
//				f7.alert('请选择要购买的商品');
			} else {
				f7.modal({
					title: '期初支付',
					// 样式写在choooseGoods。hbs中
					afterText: '<div class="chooseGoodsModalItem"><span class="key">设备服务费</span><span class="value">' + goodsSuiteLeverPrice + '</span></div>' +
								'<div class="chooseGoodsModalItem"><span class="key">平台服务费</span><span class="value">' + goodsSuiteServiceCharges + '</span></div>' +
								'<div class="chooseGoodsModalItem"><span class="key">平台交易手续费</span><span class="value">' + goodsSuitePoundage + '</span></div>',
					buttons: [
						{
							text: '确认',
						}
					]
				});
			}

		});
		
//-------------BEGIN------选择商品回显方法-------lisai----------------//	
		function chooseGoodsValueInsert(){
			if(chooseGoodsDisplayView===true && locatiionChooseGoodsListData.orderId===params.orderId ){
				//1 二维码回显
				function autoScanCallbackStore(result) {
//					var s = getRealString(result);
					var objectId = doWithQRCode(result, function(objectId) {
						  storeUserId = objectId;
						  // 根据店员id查询门店商品信息
						  callAppApi({
							  url: '/app/storeUserStoreInfo',
							  type: 'POST',
							  params: {
								  storeUserId: objectId,
								  businessType: '002002'
							  },

							  successCallback: function(res) {
								//getStoreUserStoreInfo(objectId)
								callAppApi({
								  url: '/app/storeUserStoreInfo',
								  type: 'POST',
								  params: {
									  storeUserId: objectId,
									  businessType: '002002'
								  },
								  successCallback: function(data){
									  $$('#ORCodeInput').val(data.storeName);
									  dispalyValue();
								  },
								  errorCallback: function() {}
							  });
							  },
							  errorCallback: function() {}
						  });
					}, true);						
				}
				
				autoScanCallbackStore('*V|M|*' + chooseGoodsDisplay.storeUserId);
				
				var dispalyValue = function(){
					//类型回显
					var chooseGoodsTypeList = [];
					chooseGoodsTypeList.unshift({
						default: false,
						view: '请选择',
						value: ''
					},
					{
						default: true,
						view: '家电',
						value: '家电'
					});
					
					$$('#storeGoodsType').html(chooseGoodsItemTemplate({optionsList:chooseGoodsTypeList}));
					$$('#storeGoodsType').attr('disabled', false);

					chooseGoodsBrandList = locatiionChooseGoodsListData.chooseGoodsBrandList.map(function(item, index) {
						item.default=false
						if( item.value===chooseGoodsDisplay.productBrandId){
							item.default=true
						};
						return {
							default: item.default,
							value: item.value,
							view: item.view
						};
					});
					
					$$('#storeGoodsBrand').removeAttr('disabled');
					$$('#storeGoodsBrand').html(chooseGoodsItemTemplate({optionsList: chooseGoodsBrandList}));				
					
					//3 型号回显
					chooseGoodsModelList = locatiionChooseGoodsListData.chooseGoodsModelList.map(function(item, index) {
						item.default=false
						if( item.value===chooseGoodsDisplay.goodsModule){
							item.default=true
						};
						return {
							default: item.default,
							value: item.value,
							view: item.view
						};
					});
					$$('#storeGoodsModel').html(chooseGoodsItemTemplate({optionsList: chooseGoodsModelList}));
					$$('#storeGoodsModel').attr('disabled', false);
					
					//4 配置回显
					chooseGoodsConfigList = locatiionChooseGoodsListData.chooseGoodsConfigList.map(function(item, index) {
						item.default=false
						if( item.value===chooseGoodsDisplay.goodsItemConfigure){
							item.default=true
						};
						return {
							default: item.default,
							value: item.value,
							view: item.view
						};
					});
					$$('#storeGoodsConfig').html(chooseGoodsItemTemplate({optionsList: chooseGoodsConfigList}));
					$$('#storeGoodsConfig').attr('disabled', false);
					//5 型号输入回显 
					$("#storeGoodsModelLast").val(locatiionChooseGoodsListData.storeGoodsModelLast);
					$("#storeGoodsModelLast").removeAttr("disabled");
				 
					//6已选商品回显
					var chooseGoodsResultData = {
							resultKey: '已选商品',
							resultValue:chooseGoodsDisplay.goodsName+' '+chooseGoodsDisplay.goodsItemConfigure + ' ' +locatiionChooseGoodsListData.storeGoodsModelLast
						};
						
						$$('#chooseGoodsResult').html(chooseGoodsResultTemplate(chooseGoodsResultData));
						$$('#chooseGoodsResult').attr('disabled', true);
						
						//7 商品价格回显
						$$('#goodsPrice').val(chooseGoodsDisplay.orderProductPrice);
						$$('#goodsPrice').attr('disabled', false);
					
						//8 分期产品回显
						defaultGoodsProductList = locatiionChooseGoodsListData.defaultGoodsProductList.map(function(item, index) {
							item.default=false
							if( item.value===chooseGoodsDisplay.goodsProductId){
								item.default=true
							};
							return {
								default: item.default,
								value: item.value,
								view: item.view
							};
						});
						$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: defaultGoodsProductList}));
						$$('#goodsProduct').attr('disabled', false);
					
					//9 套餐名称回显						
					if(chooseGoodsDisplay.goodsPlanId !=='' ){
						$('#goodsSuite').parent().removeClass('hide');
						var defaultgoodsSuiteList = locatiionChooseGoodsListData.planList.map(function(item, index) {
							item.default=false
							if( item.value===chooseGoodsDisplay.goodsPlanId){
								item.default=true
							};
							return {
								default: item.default,
								value: item.value,
								view: item.view
							};
						});
						$$('#goodsSuite').html(chooseGoodsItemTemplate({optionsList: defaultgoodsSuiteList}));
						$$('#goodsSuite').attr('disabled', false);
						goodsPlanId = defaultgoodsSuiteList[0].value;	//套餐名称id
						goodsPlanName = defaultgoodsSuiteList[0].view;	// 套餐名称
						goodsPlanStatus = true;
					}else{
						goodsPlanStatus = false;
					}
									
					//10 期数回显
					defaultGoodsStageNumList = locatiionChooseGoodsListData.defaultGoodsStageNumList.map(function(item, index) {
						item.default=false
						if( item.value===chooseGoodsDisplay.goodsPeriodKey){
							item.default=true
						};
						return {
							default: item.default,
							value: item.value,
							view: item.view
						};
					});
					$$('#goodsStageNum').html(chooseGoodsItemTemplate({optionsList: defaultGoodsStageNumList}));
					$$('#goodsStageNum').attr('disabled', false);
					
					//11 初期支付金额回显
					$$('#firstPayment').val(chooseGoodsDisplay.goodsSuitePayFirstPrice+'元');
					goodsSuitePayFirstPrice=parseInt($$('#firstPayment').val()).toString();
					
					 //12 自付金额回显
					$$('#selfPayment').val(chooseGoodsDisplay.goodsSuitePayInitialPrice+'元     请联系工作人员现场缴纳');
					goodsSuitePayInitialPrice=parseInt($$('#selfPayment').val()).toString();
					//13 期还款金额回显
					$$('#eachPayment').val(chooseGoodsDisplay.goodsSuiteStagePrice+'元');
					goodsSuiteStagePrice =parseInt($$('#eachPayment').val()).toString(); 
					goodsSuiteKey = true;
					
					if(goodsLogistics==='1'){
						$("#goodsLogistics-notice").html("您所选商品需进行物流配送，如有疑问，请与工作人员联系")
					}else{
						$("#goodsLogistics-notice").html("您所选商品需进行门店自提，如有疑问，请与工作人员联系")
					}
					
				  storeUserId =chooseGoodsDisplay.storeUserId;		// 店员id
				  storeUserName =chooseGoodsDisplay.storeUserName;		// 店员名称
				  storeId =chooseGoodsDisplay.storeId;			// 门店id
				  storeName =chooseGoodsDisplay.storeName;			// 门店名称
				  goodsSellId =chooseGoodsDisplay.goodsSellId;		// 售品id
				  goodsSellName =chooseGoodsDisplay.goodsSellName;		// 售品名称
				  goodsSuiteLeverPrice =chooseGoodsDisplay.goodsSuiteLeverPrice;//设备服务费
				  goodsSuitePoundage=chooseGoodsDisplay.goodsSuitePoundage;//平台交易手续费
				  goodsSuiteServiceCharges =chooseGoodsDisplay.goodsSuiteServiceCharges;//平台服务费
				  orderPlanId:chooseGoodsDisplay.orderPlanId;//罚息ID
				  discountAmt:chooseGoodsDisplay.discountAmt;
//				  goodsPeriodKey:chooseGoodsDisplay.goodsPeriodKey;
//				  goodsPeriod:chooseGoodsDisplay.goodsPeriod;
//				  goodsPlanId:chooseGoodsDisplay.goodsPlanId;
//				  goodsPlanName:chooseGoodsDisplay.goodsPlanName;
//				  goodsProductId:chooseGoodsDisplay.goodsProductId;
//				  goodsProductName:chooseGoodsDisplay.goodsProductName;
				}
				//改变类型 重置选项
				storeGoodsTypeChange(chooseGoodsDisplay.storeUserId,getBrandSuccess);
				//商品价格 重置选项
				goodsPriceChange(chooseGoodsDisplay.storeId,getGoodsProductSuccess);
				// 商品品牌 重置选项
				storeGoodsBrandChange(storeUserId,getInfoSuccess);
//				改变型号 重置选项
				storeGoodsModelChange(storeUserId,getInfoSuccess);
				//改变配置 重置选项
//				storeGoodsConfigChange({
//					orderId:params.orderId,
//					getInfoSuccessData:locatiionChooseGoodsListData.chooseGoodsColorList
//				},function(data) {
//					locatiionChooseGoodsListData.chooseGoodsColorList=data;
//				})
				storeGoodsConfigChange({
					orderId:params.orderId,
					getInfoSuccessData:locatiionChooseGoodsListData.chooseGoodsColorList
				},changeStoreGoodsModel)
				
				//输入改变型号重置选项
				storeGoodsModelLastChange(locatiionChooseGoodsListData.chooseGoodsColorList[0],storeUserId,getGoodsSellSuccess);
				//分期产品 重置选项
				goodsProductChange({
					chooseGoodsProductList:locatiionChooseGoodsListData.defaultGoodsProductList
				},function(data) {
					goodsProductId=data.goodsProductId;
				    goodsProductName=data.goodsProductName;
					if (data.goodsPlanStatus === true) {
						$('#goodsSuite').parent().removeClass('hide');
						getGoodsPlanSuccess(data.chooseGoodsProductListPlanList);
						
					} else if (data.goodsPlanStatus === false) {
						goodsPlanId = '';
						goodsPlanName = '';
						$('#goodsSuite').parent().addClass('hide');
						getGoodsPeriodSuccess(data.chooseGoodsProductListPlanList);
					}	
				})
				//套餐名称 重置选项
				goodsSuiteChange({
					chooseGoodsPlanList:locatiionChooseGoodsListData.planList
				},getGoodsPeriodSuccess);	
				//分期期数 重置选项
				goodsStageNumChange({
					goodsSellId:chooseGoodsDisplay.goodsSellId,
					goodsPlanId:chooseGoodsDisplay.goodsPlanId,
					},getSuitePlanDetailSuccess);

			}
	    }	
		//执行数据回显
		chooseGoodsValueInsert();

		//-------------------------------------------------------END------选择商品回显方法-------lisai-----------------------------------------------------------------------------//
		bindPadApplianceChooseGoods();
		// 选择商品成功 进入身份认证页面
		$$('#placeOrderGoodsBtn').off('click.applianceChooseGoods').on('click.applianceChooseGoods', function() {
			
			var chooseAddressData = JSON.parse(localStorage.getItem('chooseAddressData'));
			TalkingData.onEventWithLabel('选择商品', '下一页');
			if ($$('#ORCodeInput').val() === '') {
				f7.alert('请扫描店员二维码');
				return false;
			}
//			if ($$('#storeGoodsType').val() === '') {
//				f7.alert('请先选择商品类型');
//				return false;
//			}
			if ($$('#storeGoodsBrand').val() === '') {
				f7.alert('请先选择商品品牌');
				return false;
			}
			if ($$('#storeGoodsModel').val() === '') {
				f7.alert('请选择商品品类');
				return false;
			}
			if ($$('#storeGoodsConfig').val() === '') {
				f7.alert('请选择商品系列');
				return false;
			}
			if($$("#storeGoodsModelLast").val() === ''){
				f7.alert('请输入商品型号')
				return false;
			}

			if (!validator.isNumber($$('#goodsPrice').val())) {
				f7.alert('请输入商品价格');
				return false;
			}
			
			if (validator.isNull($$('#goodsProduct').val())) {
				f7.alert('请选择分期产品');
				return false;
			}
			// zhh - 20170405 - 20170406版本  - 如果没有套餐，则不判断套餐是否为空
			if (goodsPlanStatus === true && validator.isNull($$('#goodsSuite').val())) {
				f7.alert('请选择套餐名称');
				return false;
			}
			if (validator.isNull($$('#goodsStageNum').val())) {
				f7.alert('请选择期数');
				return false;
			}
			if (goodsSuiteKey === false) {
				f7.alert('套餐明细计算失败！');
				return false;
			}			
			// 是否跳过cordova的device.uuid
			var orderDeviceId = '';
			if (!SKIP.cordova_uuid) {
				orderDeviceId = device.uuid;
			}
			
			f7.showIndicator();
			if(chooseGoodsDisplayView===true){
				
				var updateParams = {
					orderId: params.orderId,
					userId: loginStatus.userId,						
					baseBusinessType:'002002',
					
					storeUserId: storeUserId,
					storeUserName: storeUserName,
					storeId: storeId,
					storeName: storeName,
					
					supplierId: supplierId,
					operatorId: operatorId,
					goodsSellId: goodsSellId,
					
					goodsSellName: goodsSellName,
					goodsSuiteLeverPrice:goodsSuiteLeverPrice,
					orderProductPrice: parseInt($$('#goodsPrice').val()).toString(),
					
					goodsItemColor: $$('#storeGoodsColor').val(),
					goodsItemConfigure: $$('#storeGoodsConfig').val(),
					
					goodsProductId: goodsProductId,			// 分期产品id
					goodsProductName: goodsProductName,		// 分期产品名称
					
					goodsPlanId: goodsPlanId,				// 套餐id
					goodsPlanName: goodsPlanName,			// 套餐名称
					
					goodsPeriodKey: goodsPeriodKey,			// 方案id  分期期数id
					goodsPeriod: goodsPeriod,				// 方案名称    分期期数
					
					orderPlanId: orderPlanId,				// 贴息id
					discountAmt:discountAmt,
					
					goodsSuitePayFirstPrice: goodsSuitePayFirstPrice,
					goodsSuitePayInitialPrice: goodsSuitePayInitialPrice,
					goodsSuiteStageNumber: goodsPeriod,		// 方案名称   分期期数
					goodsSuiteTotalAmount: goodsSuiteTotalAmount,
					goodsSuiteStagePrice: goodsSuiteStagePrice,
					goodsSuitePoundage: goodsSuitePoundage,
					goodsSuiteServiceCharges: goodsSuiteServiceCharges,
					
					orderAddress: '',
					orderAddressLongitude: '',		// 下单经度
					orderAddressLatitude: '',		// 下单纬度
					orderDeviceId: orderDeviceId,	// 设备id
					
					planAmount: planAmount,			// 套餐金额
					planReceivableAmount: planReceivableAmount, 	// 套餐应收金额
					planRechargeAmount: planRechargeAmount,	// 套餐充值金额
					singleGoodsModel :$$("#storeGoodsModelLast").val(),//输入的型号
				};
				
				var orderUpdateStatus = false;
				getLngAndLat(function(position) {
					
					updateParams.orderAddressLongitude = position.lng;
					updateParams.orderAddressLatitude = position.lat;
					
					if (orderUpdateStatus == false) {
						orderUpdateStatus = true;
						updateFunc();
					}
					
				}, function(error) {
					updateParams.orderAddressLongitude = '';
					updateParams.orderAddressLatitude = '';
					
					if (orderUpdateStatus == false) {
						orderUpdateStatus = true;
						updateFunc();
					}
				});
				
				function updateFunc() {
					sendPadApplianceChooseGoods(params.orderId);
					callAppApi({
						url: '/app/orderUpdate',
						type: 'POST',
						params: updateParams,
						successCallback: function(response) {
							//locatiionChooseGoodsListData.orderId =params.orderId; //lisai 2017年4月28日13:51:05 订单ID保存到本地
							localStorage.setItem('locatiionChooseGoodsListData' + '_' + params.orderId, JSON.stringify(locatiionChooseGoodsListData));
							loadAppliancePage('authentication', {
								query: {
									orderId: params.orderId,
									goodsLogistics:goodsLogistics,
									orderStatus:chooseGoodsDisplay.orderStatus,
									orderDetailData:chooseGoodsDisplay
								}			
							});
							f7.hideIndicator();
							f7.hideToolbar('#toolbar');
						},
						errorCallback: function(err) {}
					});
				}

			}else{
				
				var createParams = {
					userId: loginStatus.userId,
					userName: userName,
					orderTypeCode:'002002',
					
					storeUserId: storeUserId,
					storeUserName: storeUserName,
					storeId: storeId,
					storeName: storeName,
					
					supplierId: supplierId,
					operatorId: operatorId,
					goodsSellId: goodsSellId,
					
					goodsSellName: goodsSellName,
					goodsSuiteLeverPrice:goodsSuiteLeverPrice,
					orderProductPrice: parseInt($$('#goodsPrice').val()).toString(),
					
					goodsItemColor: $$('#storeGoodsColor').val(),
					goodsItemConfigure: $$('#storeGoodsConfig').val(),
					
					goodsProductId: goodsProductId,			// 分期产品id
					goodsProductName: goodsProductName,		// 分期产品名称
					
					goodsPlanId: goodsPlanId,				// 套餐id
					goodsPlanName: goodsPlanName,			// 套餐名称
					
					goodsPeriodKey: goodsPeriodKey,			// 方案id  分期期数id
					goodsPeriod: goodsPeriod,				// 方案名称    分期期数
					
					orderPlanId: orderPlanId,				// 贴息id
					discountAmt:discountAmt,
					
					goodsSuitePayFirstPrice: goodsSuitePayFirstPrice,
					goodsSuitePayInitialPrice: goodsSuitePayInitialPrice,
					goodsSuiteStageNumber: goodsPeriod,		// 方案名称   分期期数
					goodsSuiteTotalAmount: goodsSuiteTotalAmount,
					goodsSuiteStagePrice: goodsSuiteStagePrice,
					goodsSuitePoundage: goodsSuitePoundage,
					goodsSuiteServiceCharges: goodsSuiteServiceCharges,
					
					orderAddress: '',
					orderAddressLongitude: '',		// 下单经度
					orderAddressLatitude: '',		// 下单纬度
					orderDeviceId: orderDeviceId,	// 设备id	
					
					storeUserAddressLongitude: storeUserAddressLongitude,					// 店员二维码经度
					storeUserAddressLatitude: storeUserAddressLatitude,						// 店员二维码纬度
					
					planAmount: planAmount,			// 套餐金额
					planReceivableAmount: planReceivableAmount, 	// 套餐应收金额
					planRechargeAmount: planRechargeAmount,	// 套餐充值金额
					singleGoodsModel :$$("#storeGoodsModelLast").val(),//输入的型号
				};
				
				
				var createOrderStatus = false;
				
				getLngAndLat(function(position) {
					
					createParams.orderAddressLongitude = position.lng;
					createParams.orderAddressLatitude = position.lat;
					
					if (createOrderStatus == false) {
						createOrderStatus = true;
						createFunc();
					}

				}, function(error) {
					
					createParams.orderAddressLongitude = '';
					createParams.orderAddressLatitude = '';
					
					if (createOrderStatus == false) {
						createOrderStatus = true;
						createFunc();
					}
				});
				
				function createFunc() {
					callAppApi({
						url: '/app/createOrder',
						type: 'POST',
						params: createParams,
						successCallback: function(data) {
							sendPadApplianceChooseGoods(data.orderId);
							locatiionChooseGoodsListData.orderId =data.orderId; //lisai 2017年4月28日13:51:05 订单ID保存到本地
							localStorage.setItem('locatiionChooseGoodsListData' + '_' + data.orderId, JSON.stringify(locatiionChooseGoodsListData));
							loadAppliancePage('authentication', {
								query: {
									orderId: data.orderId,
									goodsLogistics:goodsLogistics,
									reCheckOrder: params.fromPage == 'applianceCheckInfo' ? true : false,
								}
							});
							f7.hideIndicator();
							f7.hideToolbar('#toolbar');
							isAddressCheck=false;
							TalkingData.onPageEnd("选择商品_填写时间");
						},
						errorCallback: function(err) {}
					});
				}

			}					
		});	
	}	

	return {
		render : render
	}
});
