define([
	'js/utilities',
	'js/uploadImg',
	'jquery',
	'applianceContainers/applianceUploadEvidence/applianceUploadEvidenceHelper',
	'hbs!applianceContainers/applianceUploadEvidence/applianceUploadEvidence',
	'hbs!applianceComponents/common/button/button'
], function(
	utilities,
	uploadImg,
	$$,
	uploadEvidenceHelper,
	uploadEvidenceTemplate,
	buttonTemplate
) {
	var callAppApi = utilities.callAppApi;
	
	var takePicture = uploadImg.takePicture;
	var choosePhoto = uploadImg.choosePhoto;
	var drawImageCanvas = uploadImg.drawImageCanvas;
	
	var getEvidencePicId = uploadEvidenceHelper.getEvidencePicId;
	var getEvidencePicIndex = uploadEvidenceHelper.getEvidencePicIndex;
	var getEvidencePicName = uploadEvidenceHelper.getEvidencePicName;
	var getEvidenceType = uploadEvidenceHelper.getEvidenceType;
	var EvidenceArea = uploadEvidenceHelper.EvidenceArea;
	
	function render(params) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));

		if (params.evidenceKey === 'evidenceIdCard') {
			var evidenceFrontIdCardArr = JSON.parse(localStorage.getItem('evidenceFrontIdCardArr'));
			var evidenceBackIdCardArr = JSON.parse(localStorage.getItem('evidenceBackIdCardArr'));
		} else {
			var evidenceArr = JSON.parse(localStorage.getItem(params.evidenceKey + 'Arr'));
		}
		
		if (params.evidenceKey === 'evidenceIdCard') {
			TalkingData.onPage('身份资料上传页面');
			TalkingData.onPageBegin('身份资料上传页面');
		} else if (params.evidenceKey === 'evidenceQualification') {
			TalkingData.onPage('资质上传页面');
			TalkingData.onPageBegin('资质上传页面');
		} else if (params.evidenceKey === 'evidenceWork') {
			TalkingData.onPage('工作收入证明材料上传页面');
			TalkingData.onPageBegin('工作收入证明材料上传页面');
		} else if (params.evidenceKey === 'evidenceDwelling') {
			TalkingData.onPage('居住证证明上传页面');
			TalkingData.onPageBegin('居住证证明上传页面');
		} else if (params.evidenceKey === 'evidenceOther') {
			TalkingData.onPage('其他材料上传页面');
			TalkingData.onPageBegin('其他材料上传页面');
		}
		

		// 上传资料实例数组
		var evidenceInstanceArr = [];
		
		var evidenceBrowserArr = [];		// 创建一个数组用来存放不同实例的f7的图片浏览器
		var evidencePhotoArr = [];			// 创建一个二维数组用来存储不同实例的图片，以初始化不同实例的f7图片浏览器

		// 渲染navbar
		loadApplianceComponent('navbar', 'common', {
			container: '#uploadEvidenceNavbar',
			title: '证件上传',
			backId: 'uploadEvidenceBackBtn',
			isBackIcon: true,
			isBack: false
		});
		
		// 点击返回按钮
		var timeEvidenceBack = setTimeout(function() {
			$$('#uploadEvidenceBackBtn').on('click', function() {
				if (params.evidenceKey === 'evidenceIdCard') {
					TalkingData.onEventWithLabel('身份资料上传页面', '返回');
				} else if (params.evidenceKey === 'evidenceQualification') {
					TalkingData.onEventWithLabel('资质上传页面', '返回');
				} else if (params.evidenceKey === 'evidenceWork') {
					TalkingData.onEventWithLabel('工作收入证明材料上传页面', '返回');
				} else if (params.evidenceKey === 'evidenceDwelling') {
					TalkingData.onEventWithLabel('居住证证明上传页面', '返回');
				} else if (params.evidenceKey === 'evidenceOther') {
					TalkingData.onEventWithLabel('其他材料上传页面', '返回');
				}
				mainView.router.back({
					url: 'applianceTemplate/checkInfo.html',
					force: true,
					query: {
						orderId: params.orderId,
						fromPage: 'uploadEvidence'
					},
				})
//				mainView.router.back({
//					url: 'checkInfo.html',
//					force: true,
//					query: {
//						orderId: params.orderId,
//						fromPage: 'uploadEvidence'
//					},
//				})
			});
		}, 100);

		// 身份证正反面类型
		if (params.evidenceKey === 'evidenceIdCard') {
			// 渲染身份证明材料内容

			$$('#uploadEvidenceContent').html(uploadEvidenceTemplate({
				evidenceKey: params.evidenceKey,
				evidenceFrontIdCardKey: 'evidenceFrontIdCard',
				evidenceBackIdCardKey: 'evidenceBackIdCard',
				evidenceTitle: getEvidencePicName(params.evidenceKey),
				evidencePrompt: [
					'请确保本人证件拍摄完整、字迹清晰'
				]
			}));
			
			// 如果localStorage中已经存储了身份证正反面信息，则回显在canvas上
			if (evidenceFrontIdCardArr.length > 0) {
				var idCardFrontImg = document.getElementById('hiddenloadimg');
				idCardFrontImg.src = evidenceFrontIdCardArr[0].cloudUrl;
				var canvas = document.getElementById('idCardFront_img');
			    var H = $(canvas).parent().height();
			    var W = $(canvas).parent().width();
				idCardFrontImg.onload = function() {
					drawImageCanvas('idCardFront_img', this, W, H);
					$$('#idCardFront_img').removeClass('hide');
					idCardFrontImg.src = '';
				}
			}

			if (evidenceBackIdCardArr.length > 0) {
				var idCardBackImg = document.getElementById('hiddenloadimg2');
				idCardBackImg.src = evidenceBackIdCardArr[0].cloudUrl;
				var canvas = document.getElementById('idCardBack_img');
			    var H = $(canvas).parent().height();
			    var W = $(canvas).parent().width();
				idCardBackImg.onload = function() {
					drawImageCanvas('idCardBack_img', this, W, H);
					$$("#idCardBack_img").removeClass('hide');
					idCardBackImg.src = '';
				}
			}
			
			$$('#idCardFront').on('click', function() {
				uploadPhoto({type: 'idCardFront', picId: getEvidencePicIndex()});
			});
			
			$$('#idCardBack').on('click', function() {
				uploadPhoto({type: 'idCardBack', picId: getEvidencePicIndex()});
			});
			
			$$('#eivdenceIdCardPreviewBtn').on('click', function() {
				if (evidenceFrontIdCardArr.length === 0 || evidenceFrontIdCardArr[0].cloudKey === '' || evidenceFrontIdCardArr[0].cloudUrl === '') {
					f7.alert('请上传身份证正面照');
				} else if (evidenceBackIdCardArr.length === 0 || evidenceBackIdCardArr[0].cloudKey === '' || evidenceBackIdCardArr[0].cloudUrl === '') {
					f7.alert('请上传身份证背面照');
				} else {
					var myPhotoBrowser = f7.photoBrowser({
						zoom: 400,
						photos: [evidenceFrontIdCardArr[0].cloudUrl, evidenceBackIdCardArr[0].cloudUrl]
					});
					
					utilities.clickDelay('myPhotoBrowser', function(){
						myPhotoBrowser.open();
					}, 500)
				}
			});
			
		// 其他上传材料类型
		} else {
			
			// 渲染uploadEvidence内容
			$$('#uploadEvidenceContent').html(uploadEvidenceTemplate({
				evidenceKey: params.evidenceKey,
				evidenceTitle: getEvidencePicName(params.evidenceKey),
				evidencePrompt: getEvidenceType(params.evidenceKey).promptText,
				evidenceInstance: getEvidenceType(params.evidenceKey).evidenceInstance
			}));
			
			var evidenceInstanceDataArr = getEvidenceType(params.evidenceKey).evidenceInstance;
			if (evidenceInstanceDataArr.length > 0) {
				evidenceInstanceArr = evidenceInstanceDataArr.map(function(item, index) {
					return new EvidenceArea(item.key, evidenceArr, {
						limitNum: 50,
						// 上传图片方法
						uploadPhoto: uploadPhoto,
						// 超过上传限制次数方法
						limitCallback: function(e) {
							f7.alert('最多只能上传五十张')
						},
						// 预览方法
						previewCallback: function(e) {
							var evidenceIndex=''
							if ($$(e.target)[0].tagName === 'LI') {
								evidenceIndex = $$(e.target).index();
							} else if ($$(e.target)[0].tagName === 'IMG') {
								evidenceIndex = $$(e.target).parent().index();
							}
							evidenceBrowserArr[item.key.slice(-1) - 1].open(evidenceIndex)
						},
						removeCallback: function(e) {
							
							// 获取实例的索引为   item.key.slice(-1) - 1	/  index
							evidencePhotoArr[item.key.slice(-1) - 1].splice($$(e.target).index(), 1);
							
							evidenceBrowserArr[item.key.slice(-1) - 1] = f7.photoBrowser({
								zoom: 400,
								photos: evidencePhotoArr[item.key.slice(-1) - 1]
							});
						}
					});
				});

				// 存储初始化f7图片浏览器实例的图片数组的数组
				evidencePhotoArr = evidenceInstanceDataArr.map(function(item) {
					return [];
				});
				
				// 存储f7图片浏览器的实例
				evidenceBrowserArr = evidenceInstanceDataArr.map(function(item, index) {
					return f7.photoBrowser({
						zoom: 400,
						photos: evidencePhotoArr[index]
					});
				});
			}
			
			if (evidenceArr.length > 0) {
				evidenceArr.forEach(function(item, index) {
					// 获取实例的索引 	item.picType
					evidencePhotoArr[item.picType - 1].push(item.cloudUrl);
					
					evidenceBrowserArr[item.picType - 1] = f7.photoBrowser({
						zoom: 400,
						photos: evidencePhotoArr[item.picType - 1]
					});

					evidenceInstanceArr[item.picType - 1].addSuccessEvent(item.picId, item.cloudUrl);
				});
			}
		}
		
		
		// 渲染底部按钮
		$$('#uploadEvidenceBtnBox').html(buttonTemplate({
			id : 'uploadEvidenceConfirmBtn',
			value : '完成',
			disabled : false,
		}));

		function uploadPhoto(uploadConfig){
			
			
			
			 var buttons1 = 
			    [
			        {
			            text: '拍摄',
			            onClick: function () {
//			            	takePicture('', '', params.evidenceKey, omUploadSuccess, '', '');
			            	takePicture('', uploadConfig.picId, uploadConfig.type, omUploadSuccess, '', '');
			            }
			        },
			        {
			            text: '从相册选择',
			            onClick: function () {
//			            	choosePhoto('', '', params.evidenceKey, omUploadSuccess, '', '');
			            	choosePhoto('', uploadConfig.picId, uploadConfig.type, omUploadSuccess, '', '');
			            }
			        }
			    ];
			 var buttons2 = 
			    [
			         {
			             text: '取消',
			             color: 'red'
			         }
			     ];
			 var groups = [buttons1, buttons2];
			 
			 f7.actions(groups);
		}

		// 成功回调函数
		function omUploadSuccess(token,i,u,t,data,imgId) {
			
			// 成功回调函数区分身份证明材料和其他材料
			if (params.evidenceKey === 'evidenceIdCard') {
				if (t === 'idCardFront') {
					evidenceFrontIdCardArr = [];
					evidenceFrontIdCardArr.push({
						picId: u,
						picType: '1',
						picName: getEvidencePicName('evidenceFrontIdCard'),
						cloudKey: imgId,
						cloudUrl: token.iobsCloudUrl,
						mIsCheck: false,
						checkResult: false,
						checkResultArray: [],
						otherContent: ''
					});
				} else if (t === 'idCardBack') {
					evidenceBackIdCardArr = [];
					evidenceBackIdCardArr.push({
						picId: u,
						picType: '1',
						picName: getEvidencePicName('evidenceBackIdCard'),
						cloudKey: imgId,
						cloudUrl: token.iobsCloudUrl,
						mIsCheck: false,
						checkResult: false,
						checkResultArray: [],
						otherContent: ''
					});
				}
				
				// 张晖修改于2017-03-10，手持身份证图片在此隐藏indicator
				f7.hideIndicator();
			} else {
				var evidencePicIndex = getEvidencePicIndex(evidenceArr.length + 1);
				
				// 实例在实例数组中的index
				var evidenceInstanceArrIndex = t.slice(t.length - 1) - 1;
				// 实例：evidenceInstanceArr[evidenceInstanceArrIndex]

				evidenceArr.push({
					picId: u,
					picType: t.slice(t.length - 1),
					picName: getEvidenceType(t.slice(0, -1)).evidenceInstance[t.slice(t.length - 1) - 1].header,
					cloudKey: imgId,
					cloudUrl: token.iobsCloudUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: ''
				});
				
				evidencePhotoArr[evidenceInstanceArrIndex].push(token.iobsCloudUrl);
				
				evidenceBrowserArr[evidenceInstanceArrIndex] = f7.photoBrowser({
					zoom: 400,
					photos: evidencePhotoArr[evidenceInstanceArrIndex]
				});
				
				evidenceInstanceArr[evidenceInstanceArrIndex].addSuccessEvent(u, token.iobsCloudUrl);
			}
		}
		
		
		// 完成事件绑定
		$$('#uploadEvidenceConfirmBtn').on('click', function() {
			
			if (params.evidenceKey === 'evidenceIdCard') {
				if (evidenceFrontIdCardArr.length === 0 || evidenceBackIdCardArr.length === 0) {
					f7.alert('请按要求上传身份证明材料');
					return false;
				}
			}
			
			if (params.evidenceKey === 'evidenceQualification') {
//				var evidenceQualificationStatus = false;
				var evidenceQualification1Status = false;
				var evidenceQualification2Status = false;
				var evidenceQualification3Status = false;
				
				evidenceArr.map(function(item) {
					if (item.picType === '1' && item.cloudKey !== '' && item.cloudUrl !== '') {
						evidenceQualification1Status = true;
					}
					if (item.picType === '2' && item.cloudKey !== '' && item.cloudUrl !== '') {
						evidenceQualification2Status = true;
					}
					if (item.picType === '3' && item.cloudKey !== '' && item.cloudUrl !== '') {
						evidenceQualification2Status = true;
					}
				});
				
				if (evidenceQualification1Status === false && evidenceQualification2Status === false && evidenceQualification3Status === false) {
					f7.alert('请按要求上传资质证明材料');
					return false;
				}
			}
			
			if (params.evidenceKey === 'evidenceIdCard') {
				localStorage.setItem('evidenceFrontIdCardArr', JSON.stringify(evidenceFrontIdCardArr));
				localStorage.setItem('evidenceBackIdCardArr', JSON.stringify(evidenceBackIdCardArr));
			} else {
				localStorage.setItem(params.evidenceKey + 'Arr', JSON.stringify(evidenceArr));
			}
			
			
			if (params.evidenceKey === 'evidenceIdCard') {
				TalkingData.onPageEnd('身份资料上传页面');
				TalkingData.onEventWithLabel('身份资料上传页面', '确认');
			} else if (params.evidenceKey === 'evidenceQualification') {
				TalkingData.onPageEnd('资质上传页面');
				TalkingData.onEventWithLabel('资质上传页面', '确认');
			} else if (params.evidenceKey === 'evidenceWork') {
				TalkingData.onPageEnd('工作收入证明材料上传页面');
				TalkingData.onEventWithLabel('工作收入证明材料上传页面', '确认');
			} else if (params.evidenceKey === 'evidenceDwelling') {
				TalkingData.onPageEnd('居住证证明上传页面');
				TalkingData.onEventWithLabel('居住证证明上传页面', '确认');
			} else if (params.evidenceKey === 'evidenceOther') {
				TalkingData.onPageEnd('其他材料上传页面');
				TalkingData.onEventWithLabel('其他材料上传页面', '确认');
			}
			
			loadAppliancePage('checkInfo', {
				query: {
					orderId: params.orderId,
					fromPage: 'uploadEvidence'
				}
			});
//			mainView.router.load({
//				url: 'checkInfo.html',
//				query: {
//					orderId: params.orderId,
//					fromPage: 'uploadEvidence'
//				}
//			});
		})
	}
	
	return {
		render : render
	}
});