define([
	'js/utilities',
	'applianceContainers/applianceUploadIDCard/applianceUploadIDCardView'
], function(
	utilities,
	applianceUploadIDCardView
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	 var isOwnEmpty = utilities.isOwnEmpty;
	
	function init(query) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  // 隐藏底部工具栏
	  if (mainView.activePage.name === 'applianceUploadIDCard') {
	      f7.hideToolbar('#toolbar');
	  }
	  
	  // 请求用户信息
	  callAppApi({
		  url: '/app/userInfo',
		  type: 'POST',
		  params: {
			  userId: loginStatus.userId,
			  isOldUser: loginStatus.oldUser,
			  oldId: loginStatus.oldId,
			  userSession: loginStatus.userSession
		  },
		  successCallback: function(response) {
//			  	var responseData = response.data || {};
			  	var responseData = response || {};
			  	
				if(!isOwnEmpty(query.orderId)&&query.orderId !== ''){
					  callAppApi({
						  url: '/app/orderDetail',
						  type: 'POST',
						  params: {
							  orderId: query.orderId,
							  userId: loginStatus.userId,
							  baseBusinessType: "002002"
						  },
						  successCallback: function(data) {
							  applianceUploadIDCardView.render({
									 userName: responseData.userName,
									 goodsLogistics:query.goodsLogistics,
									 orderId: query.orderId,
									 reCheckOrder: query.reCheckOrder,
									 orderStatus:query.orderStatus,
									 orderDetailData:data
							  });
						  },
						  errorCallback: function(err) {
							  applianceUploadIDCardView.render({
									 userName: responseData.userName,
									 goodsLogistics:query.goodsLogistics,
									 orderId: query.orderId,
									 reCheckOrder: query.reCheckOrder,
									 orderStatus:query.orderStatus,
									 orderDetailData:query.orderDetailData
								  });
						  }
					  });
				 }else{
					  applianceUploadIDCardView.render({
						 userName: responseData.userName,
						 goodsLogistics:query.goodsLogistics,
						 orderId: query.orderId,
						 reCheckOrder: query.reCheckOrder,
						 orderStatus:query.orderStatus,
						 orderDetailData:query.orderDetailData
					  });
				 }
			  
			  
			  

		  },
		  errorCallback: function(err) {}
	  });
}
	return {
		init: init
	}
});
