define([
	'js/utilities',
	'js/uploadImg',
	'jquery',
	'applianceContainers/applianceUploadIDCard/applianceUploadIDCardHelper',
	'applianceContainers/applianceUploadIDCard/applianceUploadIDCardPad',
	'hbs!applianceContainers/applianceUploadIDCard/applianceUploadIDCard',
	'hbs!applianceComponents/common/button/button'
], function(
	utilities,
	uploadImg,
	$$,
	uploadEvidenceHelper,
	applianceUploadIDCardPad,
	applianceUploadIDCardTemplate,
	buttonTemplate
) {
	var callAppApi = utilities.callAppApi;
	
	var takePicture = uploadImg.takePicture;
	var choosePhoto = uploadImg.choosePhoto;
	var drawImageCanvas = uploadImg.drawImageCanvas;
	
	var getEvidencePicId = uploadEvidenceHelper.getEvidencePicId;
	var getEvidencePicIndex = uploadEvidenceHelper.getEvidencePicIndex;
	var getEvidencePicName = uploadEvidenceHelper.getEvidencePicName;
	var getEvidenceType = uploadEvidenceHelper.getEvidenceType;
	var EvidenceArea = uploadEvidenceHelper.EvidenceArea;
	  //埋点需求
    var bindPadApplianceUploadIDCard = applianceUploadIDCardPad.bindPadApplianceUploadIDCard;
    var sendPadApplianceUploadIDCard = applianceUploadIDCardPad.sendPadApplianceUploadIDCard;
	
	function render(params) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var userInfo = JSON.parse(localStorage.getItem('userInfo'));
		
		// 存入localStorage中的值
		var evidenceFrontIdCardArr = [];
		var evidenceBackIdCardArr = [];
		
		
		if (params.fromPage === 'checkFace' || params.fromPage === 'checkUserIdCard') {
			localStorage.setItem('evidenceFrontIdCardArr', JSON.stringify(evidenceFrontIdCardArr));
			localStorage.setItem('evidenceBackIdCardArr', JSON.stringify(evidenceBackIdCardArr));
		}

//		if (params.evidenceKey === 'evidenceIdCard') {
//			var evidenceFrontIdCardArr = JSON.parse(localStorage.getItem('evidenceFrontIdCardArr'));
//			var evidenceBackIdCardArr = JSON.parse(localStorage.getItem('evidenceBackIdCardArr'));
//		} else {
//			var evidenceArr = JSON.parse(localStorage.getItem(params.evidenceKey + 'Arr'));
//		}	

		// 上传资料实例数组
		var evidenceInstanceArr = [];
		
		var evidenceBrowserArr = [];		// 创建一个数组用来存放不同实例的f7的图片浏览器
		var evidencePhotoArr = [];			// 创建一个二维数组用来存储不同实例的图片，以初始化不同实例的f7图片浏览器

		// 渲染navbar
		loadApplianceComponent('navbar', 'common', {
			container: '#uploadIDCardNavbar',
			title: '证件上传',
			backClass: 'placeOrderBackBtn',
//			backId: 'uploadEvidenceBackBtn',
			isBackIcon: true,
			isBack: false,
			orderId: params.orderId,
			goodsLogistics: params.goodsLogistics,
			orderStatus:params.orderStatus,
			orderDetailData:params.orderDetailData
		});
		
		// 点击返回按钮
		var timeEvidenceBack = setTimeout(function() {
			$$('#uploadEvidenceBackBtn').on('click', function() {
				loadAppliancePage('checkFace', {
						query: {
							orderId: params.orderId,
							fromPage: 'applianceUploadIDCard',
							goodsLogistics:params.goodsLogistics,
							orderStatus:params.orderStatus,
							orderDetailData:params.orderDetailData
						}
					});
			});
		}, 100);
		
		// 渲染头部状态栏
		loadComponent('placeOrderTabbar', 'placeOrder', {
			container: '#checkUserIDCardTabbar',
			tabIndex: 3
		});
//		if(orderEvidenceFrontIdCardJson.length>0 && orderEvidenceBackIdCardJson.length>0){}
		// 身份证正反面类型
			$$('#uploadIDCardContent').html(applianceUploadIDCardTemplate({
				evidenceKey: 'evidenceIdCard',
				evidenceFrontIdCardKey: 'evidenceFrontIdCard',
				evidenceBackIdCardKey: 'evidenceBackIdCard',
//				evidenceTitle: getEvidencePicName(params.evidenceKey),
				evidencePrompt: ['请确保本人证件拍摄完整、字迹清晰'],			
			}));
			
			
			if(typeof params.orderDetailData !=='undefined' && typeof params.orderDetailData !==undefined){
				var orderEvidenceFrontIdCardJson = params.orderDetailData.orderEvidenceFrontIdCard !== '' ? JSON.parse(params.orderDetailData.orderEvidenceFrontIdCard) : [];
				var orderEvidenceBackIdCardJson = params.orderDetailData.orderEvidenceBackIdCard !== '' ? JSON.parse(params.orderDetailData.orderEvidenceBackIdCard) : [];
				// 如果订单详情返回已经存储了身份证正反面信息，则回显在canvas上
				if (params.orderDetailData.orderEvidenceFrontIdCard.length > 0) {
					var idCardFrontImg = document.getElementById('hiddenloadimg');
					idCardFrontImg.src = orderEvidenceFrontIdCardJson[0].cloudUrl;
					var canvas = document.getElementById('idCardFront_img');
				    var H = $(canvas).parent().height();
				    var W = $(canvas).parent().width();
					idCardFrontImg.onload = function() {
						drawImageCanvas('idCardFront_img', this, W, H);
						$$('#idCardFront_img').removeClass('hide');
						idCardFrontImg.src = '';
					}
					evidenceFrontIdCardArr = [];
					evidenceFrontIdCardArr.push({
						picId: orderEvidenceFrontIdCardJson[0].picId,
						picType:orderEvidenceFrontIdCardJson[0].picType,
						picName: orderEvidenceFrontIdCardJson[0].picName,
						cloudKey: orderEvidenceFrontIdCardJson[0].cloudKey,
						cloudUrl: orderEvidenceFrontIdCardJson[0].cloudUrl,
						mIsCheck: orderEvidenceFrontIdCardJson[0].mIsCheck,
						checkResult: orderEvidenceFrontIdCardJson[0].checkResult,
						checkResultArray: orderEvidenceFrontIdCardJson[0].checkResultArray,
						otherContent: orderEvidenceFrontIdCardJson[0].otherContent
					});
				}

				if (params.orderDetailData.orderEvidenceBackIdCard.length > 0) {
					var idCardBackImg = document.getElementById('hiddenloadimg2');
					idCardBackImg.src = orderEvidenceBackIdCardJson[0].cloudUrl;
					var canvas = document.getElementById('idCardBack_img');
				    var H = $(canvas).parent().height();
				    var W = $(canvas).parent().width();
					idCardBackImg.onload = function() {
						drawImageCanvas('idCardBack_img', this, W, H);
						$$("#idCardBack_img").removeClass('hide');
						idCardBackImg.src = '';
					}
					evidenceBackIdCardArr = [];
					evidenceBackIdCardArr.push({
						picId: orderEvidenceBackIdCardJson[0].picId,
						picType:orderEvidenceBackIdCardJson[0].picType,
						picName: orderEvidenceBackIdCardJson[0].picName,
						cloudKey: orderEvidenceBackIdCardJson[0].cloudKey,
						cloudUrl: orderEvidenceBackIdCardJson[0].cloudUrl,
						mIsCheck: orderEvidenceBackIdCardJson[0].mIsCheck,
						checkResult: orderEvidenceBackIdCardJson[0].checkResult,
						checkResultArray: orderEvidenceBackIdCardJson[0].checkResultArray,
						otherContent: orderEvidenceBackIdCardJson[0].otherContent
					});
				}
			}
			
			
			$$('#idCardFront').on('click', function() {
				uploadPhoto({type: 'idCardFront', picId: getEvidencePicIndex()});
			});
			
			$$('#idCardBack').on('click', function() {
				uploadPhoto({type: 'idCardBack', picId: getEvidencePicIndex()});
			});
			
			$$('#eivdenceIdCardPreviewBtn').on('click', function() {
				if (evidenceFrontIdCardArr.length === 0 || evidenceFrontIdCardArr[0].cloudKey === '' || evidenceFrontIdCardArr[0].cloudUrl === '') {
					f7.alert('请上传身份证正面照');
				} else if (evidenceBackIdCardArr.length === 0 || evidenceBackIdCardArr[0].cloudKey === '' || evidenceBackIdCardArr[0].cloudUrl === '') {
					f7.alert('请上传身份证背面照');
				} else {
					var myPhotoBrowser = f7.photoBrowser({
						zoom: 400,
						photos: [evidenceFrontIdCardArr[0].cloudUrl, evidenceBackIdCardArr[0].cloudUrl]
					});
					
					utilities.clickDelay('myPhotoBrowser', function(){
						myPhotoBrowser.open();
					}, 500)
				}
			});
		
		
		// 渲染底部按钮
		$$('#uploadEvidenceBtnBox').html(buttonTemplate({
			id : 'uploadEvidenceConfirmBtn',
			value : '提交审核',
			disabled : false,
		}));

		function uploadPhoto(uploadConfig){
			 var buttons1 = 
			    [
			        {
			            text: '拍摄',
			            onClick: function () {
			            	takePicture('', uploadConfig.picId, uploadConfig.type, omUploadSuccess, '', '');
			            }
			        },
			        {
			            text: '从相册选择',
			            onClick: function () {
			            	choosePhoto('', uploadConfig.picId, uploadConfig.type, omUploadSuccess, '', '');
			            }
			        }
			    ];
			 var buttons2 = 
			    [
			         {
			             text: '取消',
			             color: 'red'
			         }
			     ];
			 var groups = [buttons1, buttons2];
			 
			 f7.actions(groups);
		}

		// 成功回调函数
		var frontIDCardUpdate=false;
		var backIDCardUpdate=false;
		function omUploadSuccess(token,i,u,t,data,imgId) {
			// 成功回调函数区分身份证明材料和其他材料
				if (t === 'idCardFront') {
					evidenceFrontIdCardArr = [];
					evidenceFrontIdCardArr.push({
						picId: u,
						picType: '1',
						picName: getEvidencePicName('evidenceFrontIdCard'),
						cloudKey: imgId,
						cloudUrl: token.iobsCloudUrl,
						mIsCheck: false,
						checkResult: false,
						checkResultArray: [],
						otherContent: ''
					});
					 frontIDCardUpdate=true;					
				} else if (t === 'idCardBack') {
					evidenceBackIdCardArr = [];
					evidenceBackIdCardArr.push({
						picId: u,
						picType: '1',
						picName: getEvidencePicName('evidenceBackIdCard'),
						cloudKey: imgId,
						cloudUrl: token.iobsCloudUrl,
						mIsCheck: false,
						checkResult: false,
						checkResultArray: [],
						otherContent: ''
					});
					backIDCardUpdate=true;
				}
				
				// 张晖修改于2017-03-10，手持身份证图片在此隐藏indicator
				f7.hideIndicator();
		}
		
		//上传照片执行函数
		var placeOrderInfoFunc = function() {
			//skapp数据收集：提交审核
			TalkingData.onPageEnd('完善资料完成上传所需时间')
			
			if (evidenceFrontIdCardArr.length < 1) { f7.alert('请上传身份证正面照片'); return false; }
			if (evidenceBackIdCardArr.length < 1) { f7.alert('请上传身份证背面照片'); return false; }
			
			var evidenceFrontIdCardData = evidenceFrontIdCardArr.map(function(item, index) {
				return {
//					picId: getEvidencePicId('evidenceFrontIdCard') + evidencePicIndex,
					picId: item.picId,
					picType: '1',
					picName: getEvidencePicName('evidenceFrontIdCard'),
					cloudKey: item.cloudKey,
					cloudUrl: item.cloudUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: ''
				}
			});
			
			var evidenceBackIdCardData = evidenceBackIdCardArr.map(function(item, index) {				
				return {
//					picId: getEvidencePicId('evidenceBackIdCard') + evidencePicIndex,
					picId: item.picId,
					picType: '1',
					picName: getEvidencePicName('evidenceBackIdCard'),
					cloudKey: item.cloudKey,
					cloudUrl: item.cloudUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: ''
				}
			});	
			callAppApi({
				url: '/app/orderUpdate',
				type: 'POST',
				params: {
					orderId: params.orderId,
					userId: loginStatus.userId,
					userName:params.userName,
					//orderStatus: '13',
					orderEvidenceFrontIdCard: JSON.stringify(evidenceFrontIdCardData) !== '[]' ? JSON.stringify(evidenceFrontIdCardData) : '',
					orderEvidenceBackIdCard: JSON.stringify(evidenceBackIdCardData) !== '[]' ? JSON.stringify(evidenceBackIdCardData) : '',
				},
				successCallback: function(response) {					
					// zhh - 2017-04-12 - 0420版本，增加身份认证信息七天有效期
					callAppApi({
						url : '/api/checkCredit',
						type : 'POST',
						params: {
							userId : loginStatus.userId,
							baseBusinessType : '002002',
							isOldUser : loginStatus.oldUser,
							orderId:params.orderId,
						},
						successCallback: function(creditRes) {
							if (creditRes.userIsCredit !== true) {
								//skapp数据收集：提交审核
								TalkingData.onEventWithLabel('完善资料', '提交审核');
//								mainView.router.load({
//									url : 'orderDetail.html',
//									query : {
//										orderId: params.orderId,
//									}
								//});
								mainView.router.load({
									url: 'index.html'
								});
							} else {
								confirm()
							}
						},
						errorCallback: function(err) {}
					});
				},
				errorCallback: function(err) {}
			});
		}
		
		function confirm() {
			callAppApi({
				url: '/app/orderDetail',
				type: 'POST',
				params: {
					orderId: params.orderId,
					userId: loginStatus.userId
				},
				successCallback: function(response) {
					
					var goodsPlanNameHtml = '';
					if (response.goodsPlanId !== '') {
						goodsPlanNameHtml = 
							'<li class="model-list">'+
				               '<div class="model-inner authStep2-model-inner">'+
					               	'<span class="model-title">套餐名称</span>'+
					                '<span class="model-con">' + response.goodsPlanName +'</span>'+
				               '</div>'+
				            '</li>'
							;
					}
					
					f7.modal({
			  			title: '<div id="checkInfoModelTitle" class="model-top">'+
						  	      '<div class="model-top-first"><span class="model-notice"></span>订单提交审核后将无法修改，是否确认提交审核？</div>'+
					  	       '</div>',
			  			text:  '<div class="model-block">'+
						  	      '<ul>'+
							          '<li class="model-list">'+
							               '<div class="model-inner authStep2-model-inner">'+
								               	'<span class="model-title">商品信息</span>'+
								                '<span class="model-con">' + response.goodsName + '&nbsp;' + response.goodsItemColor + '&nbsp;' + response.goodsItemConfigure + '</span>'+
							               '</div>'+
							         '</li>'+
							         '<li class="model-list">'+
						               '<div class="model-inner authStep2-model-inner">'+
							               	'<span class="model-title">商品价格</span>'+
							                '<span class="model-con">' + response.orderProductPrice +'元</span>'+
						               '</div>'+
						             '</li>'+
							         '<li class="model-list">'+
						               '<div class="model-inner authStep2-model-inner">'+
							               	'<span class="model-title">分期产品</span>'+
							                '<span class="model-con">' +response.goodsProductName +'</span>'+
						               '</div>'+
					                 '</li>'+
					                 goodsPlanNameHtml +
					                 '<li class="model-list">'+
						               '<div class="model-inner authStep2-model-inner">'+
							               	'<span class="model-title">期数</span>'+
							                '<span class="model-con">' +response.goodsSuiteStageNumber +'期</span>'+
						               '</div>'+
					                 '</li>'+ 
					                 '<li class="model-list">'+
						               '<div class="model-inner authStep2-model-inner">'+
							               	'<span class="model-title">期初支付</span>'+
							                '<span class="model-con">' +response.goodsSuitePayFirstPrice +'元</span>'+
						               '</div>'+
						             '</li>'+
					                 '<li class="model-list">'+
						               '<div class="model-inner authStep2-model-inner">'+
							               	'<span class="model-title">自付金额</span>'+
							                '<span class="model-con">' +response.goodsSuitePayInitialPrice +'元</span>'+
						               '</div>'+
						             '</li>'+
					                 '<li class="model-list">'+
						               '<div class="model-inner authStep2-model-inner">'+
							               	'<span class="model-title">每期还款</span>'+
							                '<span class="model-con">' +response.goodsSuiteStagePrice +'元</span>'+
						               '</div>'+
						             '</li>'+
						         '</ul>'+
						     '</div>',
			  			
			  			buttons: [
			  				{
			  					text: '<span class="model-back">返回修改</span>',
			  					onClick: function(){
			  						loadAppliancePage('chooseGoods', {
			  							query : {
			  								orderId: params.orderId,
			  								fromPage: 'applianceUploadIDCard',
			  								orderStatus:params.orderStatus,
			  								goodsLogistics:params.goodsLogistics,
			  								orderDetailData:params.orderDetailData
			  							}
			  						});
			  					}
			  				},
			  				{
			  					text:'<span id="goContiun">确认无误</span>',
			  					onClick: function(){
			  						callAppApi({
			  							url: '/app/orderUpdate',
			  							type: 'POST',
			  							params: {
			  								orderId: params.orderId,
			  								userId: loginStatus.userId,
			  								orderStatus: '13',
			  							},
			  							successCallback: function(response) {
			  								localStorage.removeItem('authStep1Data'  + '_' + params.orderId);
			  								localStorage.removeItem('authStep2Data'  + '_' + params.orderId);
			  								localStorage.removeItem('locatiionChooseGoodsListData' + '_' + params.orderId);
	  											mainView.router.load({
	  												url : 'orderDetail.html',
	  												query : {
	  													orderId: params.orderId,
	  													baseBusinessType:"002002"
	  												}
	  											});
	  											//埋点信息
	  											sendPadApplianceUploadIDCard(params.orderId);
			  							},
			  							errorCallback: function(err) {}
			  						});
			  					}
			  				}
			  			]
			  		});
					
					$('#checkInfoModelTitle').parent().parent().parent().css({
						position: 'absolute',
						top: '50%',
						left: '5%',
						display: 'block',
						width: '90%',
						margin: '-242px 5% 0 0'
					});
				},
				errorCallback: function(err) {}
			});
		}
		
		// 完成事件绑定
		bindPadApplianceUploadIDCard()
		$$('#uploadEvidenceConfirmBtn').on('click', function() {
			
			if (frontIDCardUpdate === false && backIDCardUpdate === false) {
				if (evidenceFrontIdCardArr.length < 1) { f7.alert('请上传身份证正面照片'); return false; }
				
				if (evidenceBackIdCardArr.length < 1) { f7.alert('请上传身份证反面照片'); return false; }
				
				confirm()
			} else if (frontIDCardUpdate === true || backIDCardUpdate === true) {
				placeOrderInfoFunc();
				localStorage.setItem('evidenceFrontIdCardArr', JSON.stringify(evidenceFrontIdCardArr));
				localStorage.setItem('evidenceBackIdCardArr', JSON.stringify(evidenceBackIdCardArr));
			}

		})
	}
	
	return {
		render : render
	}
});