define([
  'js/config',
  'js/utilities',
  'hbs!containers/about/about'
], function(
	config,
	utilities,
	aboutTemplate
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var buildNumber = config.buildNumber;
  var SKIP = config.SKIP;
  var logout = utilities.logout;
  
  function render(params) {
	  // 渲染导航栏
	  loadComponent('navbar', 'common', {
		  container: '#aboutNavbar',
		  title: '关于我们',
		  backClass: 'settingBackBtn',
		  isBackIcon: true,
		  isBack: false
	  });
	
	  var versionNumber = '';
	  if (!SKIP.cordova_version) {
		  versionNumber = device.versionNumber;
	  }
	  
	  // 渲染页面
	  $('#aboutContent').html(aboutTemplate({
		  versionNumber: versionNumber,
		  buildNumber: buildNumber
	  }));
  }  	  

  return {
	render: render
  }
});