define([
	'js/utilities',
	'containers/addressDetail/addressDetailView'
], function(
	utilities,
	addressDetailView
) {
	var callAppApi = utilities.callAppApi;
	function init(query) {
		
		if (query.operateType === 'add') {
			addressDetailView.render({
				addressDetailData: {},
				operateType: query.operateType,
				fromPage: query.fromPage,
				addressPage: query.addressPage
			});
		} else if (query.operateType === 'edit') {
			callAppApi({
				url: '/app/getAddressDetail',
				type: 'POST',
				params: {
					addressId: query.addressId,
				},
				successCallback: function(addressRes) {
					addressDetailView.render({
						addressDetailData: addressRes,
						operateType: query.operateType,
						fromPage: query.fromPage,
						addressPage: query.addressPage
					});
				},
				errorCallback: function(err) {}
			})
		}
	}
	
	return {
		init: init
	}
})