define([
	'js/utilities',
	'js/validator',
	'hbs!containers/addressDetail/addressDetail'
], function(
	utilities,
	validator,
	addressDetailTemplate
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	function render(params) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var addressLabel = '';
		
		var navbarTitle = '';
		var iconRightStatus = false;
		if (params.operateType == 'add') {
			navbarTitle = '新增地址';
			iconRightStatus = false;
		} else if (params.operateType == 'edit') {
			navbarTitle = '编辑地址';
			iconRightStatus = true;
		}
		
		loadComponent('navbar', 'common', {
			container: '#addressDetailNavbar',
			title: navbarTitle,
			isBack: false,
			isBackIcon: true,
			backId: 'addressDetailBackBtn',
			iconRightId: 'addressDetailDeleteBtn',
			iconRightStatus: iconRightStatus,
			iconRight:'删除',
			iconRightClass: '',
			callback: function() {
				$('#addressDetailBackBtn').on('click', function() {
					if (params.addressPage == 'employeeBuyFillOrder') {
						loadEmployeeBuyPage('fillOrder', {
							query: {
								fromPage: 'addressDetail'
							}
						});
					} else {
						mainView.router.load({
							url: 'addressList.html',
							force: true,
							query: {
								fromPage: params.fromPage
							}
						});
					}
				});
				if (iconRightStatus == true) {
					$('#addressDetailDeleteBtn').on('click', function() {
						f7.modal({
							title: '平安租赁',
				  			text:  '是否删除该地址',
				  			buttons: [
				  				{
				  					text: '取消',
				  					onClick: function(){
	
				  					}
				  				},
				  				{
				  					text:'删除',
				  					onClick: function(){
				  						callAppApi({
											url: '/app/deleteAddress',
											type: 'POST',
											params: {
												addressId: params.addressDetailData.addressId
											},
											successCallback: function(deleteAddressRes) {
												mainView.router.load({
													url: 'addressList.html',
													query: {
														fromPage: params.fromPage
													}
												});
											},
											errorCallback: function(err) {}
										})
				  					}
				  				}
				  			]
				  		});
						
					});
				}
			}
		});
		
		
		$('#addressDetailContent').html(addressDetailTemplate({
			addressDetailData: params.addressDetailData
		}));
		
		// 渲染城市选择框
		var defaultProValueList = [];
		var defaultProViewList = [];

		for (var o in PrivinceD) {
		  defaultProValueList.push(o);
		  defaultProViewList.push(PrivinceD[o].name);
		}

		var defaultCityValueList = [];
		var defaultCityViewList = [];

		for (var p in Areadata['110000']['city']) {
		  defaultCityValueList.push(p);
		  defaultCityViewList.push(Areadata['110000']['city'][p].name);
		}

		var defaultAreaValueList = [];
		var defaultAreaViewList = [];

		for (var q in Areadata['110000']['city'][defaultCityValueList[0]]['area']) {
		  defaultAreaValueList.push(q);
		  defaultAreaViewList.push(Areadata['110000']['city'][defaultCityValueList[0]]['area'][q]);
		}

		var PickerLocation = f7.picker({
		    input: '#receiverLocation',
		    rotateEffect: true,
		    toolbarCloseText: '完成',
		    formatValue: function (picker, values, displayValues) {
	//			  if(values.length === 3 && displayValues.length === 0 && values[2]===' '){
		    	 if(values.length === 2 && displayValues.length === 0){
					  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + '  ';
				  }else if (values.length === 3 && displayValues.length === 0) {
					  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['area'][values[2]];
				  }else {
					  return displayValues[0] + ' ' + displayValues[1] + ' ' + displayValues[2];
				  }
		    },
		    cols: [
		        {
		            textAlign: 'left',
		            values: defaultProValueList,
		            displayValues: defaultProViewList,
		            onChange: function (picker, value, displayValue) {
		            	
		                if(picker.cols[1].replaceValues){
		                	var cityValueArr = [];
		                	var cityViewArr = [];
		                	for (var i in Areadata[value]) {
		                		if (i === 'city') {
		                			for (var j in Areadata[value][i]) {
		                				cityValueArr.push(j);
		                				cityViewArr.push(Areadata[value][i][j].name)
		                			}
		                		}
		                	}
		                	
		            		var areaValueArr = [];
		            		var areaViewArr = [];
		            		if(Areadata[value]['city'][cityValueArr[0]]['area']===null){
		  						  areaValueArr.push(' ');
								  areaViewArr.push(' ');
		            		}else{
		            			for (var k in Areadata[value]['city'][cityValueArr[0]]['area']) {	
			            			areaValueArr.push(k);
			            			areaViewArr.push(Areadata[value]['city'][cityValueArr[0]]['area'][k])
			            		}
		            		}
	    		
		                	picker.cols[1].replaceValues(cityValueArr, cityViewArr);
		                	picker.cols[2].replaceValues(areaValueArr, areaViewArr);
		                }
		            }
		        },
		        {
		            values: defaultCityValueList,
		            displayValues: defaultCityViewList,
		            width: 160,
		            onChange: function(picker, value, displayValue) {
		            	if (picker.cols[2].replaceValues) {
		            		var areaValueArr = [];
		            		var areaViewArr = [];
		            		
		            		var cityDataArr = Areadata[picker.cols[0].value]['city'][value];
		            		  for (var x in cityDataArr) {
		            			  if (x === 'area') {
		            				  if(cityDataArr[x]===null){
	            						  areaValueArr.push(' ');
	            						  areaViewArr.push(' ');
	            					  }else{
	            						  for (var y in cityDataArr[x]) {
			            						  areaValueArr.push(y);
				            					  areaViewArr.push(cityDataArr[x][y]);
		            					  }
		            				  }
		            			  }
		            		  }
		            		picker.cols[2].replaceValues(areaValueArr, areaViewArr);
		            	}
		            }
		        },
		        {
		        	textAlign: 'center',
		        	values:	defaultAreaValueList,
					displayValues: defaultAreaViewList,
		        	width: 160
		        }
		    ],
		    onOpen: function(picker) {
		  //   	if (pickerLocationValue!=="") {
				// 	pickerLocation.setValue(pickerLocationValue);
				// }
		    },
		});
		
		if (params.addressDetailData.addressProvinceCode !== '' && params.addressDetailData.addressCityCode !== '' && params.addressDetailData.addressAreaCode !== '') {
			PickerLocation.setValue([params.addressDetailData.addressProvinceCode, params.addressDetailData.addressCityCode, params.addressDetailData.addressAreaCode]);
		}
		
		// 地址标签初始化值
		$('#addressLabelList .receiver-label-item').each(function(index, item) {
			if ($(item).hasClass('active')) {
				addressLabel = $(item).data('value');
			}
		});
		
		// 更新地址标签值
		$('#addressLabelList .receiver-label-item').on('click', function(e) {
			$('#addressLabelList .receiver-label-item').removeClass('active');
			$(e.currentTarget).addClass('active');
			addressLabel = $(e.currentTarget).data('value');
		})
			
		$('#addressSaveBtn').on('click', function() {
			var addressId = params.addressDetailData.addressId || '';
			var receiverName = $("#receiverName").val();
			var receiverTele = $("#receiverTele").val();
			var receiverLocation = $("#receiverLocation").val();
			var receiverLocationDetail = $("#receiverLocationDetail").val();
			var addressIsCommon = document.getElementById("addressIsCommon").checked === true ? '1' : '0';
			var addressCode = PickerLocation.value;
			if (validator.isNull(receiverName)){ f7.alert('请填写收货人'); return false; }
			if (validator.isNull(receiverTele)){ f7.alert('请填写联系电话'); return false; }
			if (!validator.checkTel(receiverTele)){ f7.alert('请填写本人联系电话'); return false; }
			if (validator.isNull(receiverLocation)){ f7.alert('请选择所在地区'); return false; }
			if (validator.isNull(receiverLocationDetail)){ f7.alert('请填写详细地址'); return false; }
			if (receiverLocationDetail.length < 4) { f7.alert('请填写完整的详细地址'); return false; }

			if (params.operateType === 'add') {
				callAppApi({
					url: '/app/saveAddress',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						contactName: receiverName,								// 联系人姓名
						contactPhoneNumber: receiverTele,						// 联系人手机号码
						addressAliasName: addressLabel,							// 别名
						addressIsCommon: addressIsCommon,						// 是否常用地址
						addressType: '',										// 地址类型
						addressPostCode: '',									// 邮编
						addressProvinceName: receiverLocation.split(' ')[0],	// 省名称
						addressProvinceCode: addressCode[0],					// 省code
						addressCityName: receiverLocation.split(' ')[1],		// 市名称
						addressCityCode: addressCode[1],						// 市code
						addressAreaName: receiverLocation.split(' ')[2],		// 区名称
						addressAreaCode: addressCode[2],						// 区code
						addressStreet: '',										// 街道
						addressDetailed: receiverLocationDetail,				// 详细地址	
					},
					successCallback: function(saveAddressRes) {

						if (params.addressPage == 'employeeBuyFillOrder') {
							loadEmployeeBuyPage('fillOrder', {
								query: {
									fromPage: 'addressDetail',
									
									employeeBuyChooseAddressId: saveAddressRes.addressId		// 员工购特有字段
								}
							});
						} else {
							mainView.router.load({
								url: 'addressList.html',
								query: {
									fromPage: params.fromPage
								}
							});
						}
					},
					errorCallback: function(err) {}
				})
			} else if (params.operateType === 'edit') {
				callAppApi({
					url: '/app/updateAddress',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						addressId: addressId,									// 地址id
						contactName: receiverName,								// 联系人姓名
						contactPhoneNumber: receiverTele,						// 联系人手机号码
						addressAliasName: addressLabel,							// 别名
						addressIsCommon: addressIsCommon,						// 是否常用地址
						addressType: '',										// 地址类型
						addressPostCode: '',									// 邮编
						addressProvinceName: receiverLocation.split(' ')[0],	// 省名称
						addressProvinceCode: addressCode[0],					// 省code
						addressCityName: receiverLocation.split(' ')[1],		// 市名称
						addressCityCode: addressCode[1],						// 市code
						addressAreaName: receiverLocation.split(' ')[2],		// 区名称
						addressAreaCode: addressCode[2],						// 区code
						addressStreet: '',										// 街道
						addressDetailed: receiverLocationDetail,				// 详细地址	
					},
					successCallback: function(saveAddressRes) {

						mainView.router.load({
							url: 'addressList.html',
							query: {
								fromPage: params.fromPage
							}
						});
					},
					errorCallback: function(err) {}
				})
			}
		});
	}
	
	return {
		render: render
	}
})