define([
	'js/utilities',
	'containers/addressList/addressListView',
], function(
	utilities,
	addressListView
) {
	var callAppApi = utilities.callAppApi;
	
	function init(query) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		function getAddressList() {
			callAppApi({
				url: '/app/getAddressList',
				type: 'POST',
				params: {
					userId: loginStatus.userId
				},
				successCallback: function(addressListRes) {
					addressListView.render({
						addressListData: addressListRes,
						fromPage: query.fromPage
					});
					
					f7.pullToRefreshDone();
				},
				errorCallback: function(err) {
					f7.pullToRefreshDone();
				},
				completeCallback: function() {
					f7.pullToRefreshDone();
				}
			});
		}
		
		getAddressList();
		
		var ptrOrderContent = $('#addressListRefreshContent');
		  
		ptrOrderContent.on('refresh', function() {
			getAddressList();
		});

	}
	
	return {
		init: init
	}
})