define([
	'jquery',
	'js/utilities',
	'hbs!containers/addressList/addressList'
], function(
	$$,
	utilities,
	addressListTemplate
) {
	var callAppApi = utilities.callAppApi;
	
	function render(params) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		loadComponent('navbar', 'common', {
			container: '#addressListNavbar',
			title: '收货地址',
			isBack: true,
			isBackIcon: true,
			backId: 'addressListBackBtn',
			iconRightId: 'addressListManageBtn',
			iconRightStatus: true,
			iconRight: '管理',
			iconRightClass: '',
			callback: function() {
				$$('#addressListBackBtn').on('click', function() {
					if (params.fromPage === 'employeeBuyFillOrder') {
						loadEmployeeBuyPage('fillOrder', {
							query: {
								fromPage: 'addressList'
							}
						});
					}
				});
				
				$$('#addressListManageBtn').on('click', function(e) {

					if ($$(e.currentTarget).children(0).text() == '管理') {
						if ($('#addressListContent .default-address-radio').length > 0) {
							$$('.addressList-item-add-area').removeClass('hide');
							$$(e.currentTarget).children(0).text('完成');
							$$(".addressList-item").addClass("open");
						}
					} else {
						var updateAddressId = '';
						$('#addressListContent .default-address-radio').each(function(index, item) {
							if ($(item).hasClass('checked')) {
								updateAddressId = $(item).val();
							}
						});
						
						if (updateAddressId !== '') {

							// 发请求更新默认地址
							callAppApi({
								url: '/app/updateAddress',
								type: 'POST',
								params: {
									userId: loginStatus.userId,
									addressId: updateAddressId,
									addressIsCommon: '1'
								},
								successCallback: function(updateAddressRes) {
									$$('.addressList-item-add-area').addClass('hide');
									$$(e.currentTarget).children(0).text('管理');
									$$(".addressList-item").removeClass("open");
									
									f7.pullToRefreshTrigger($('#addressListRefreshContent'));
								},
								errorCallback: function(err) {}
							})
						} else {
							$$('.addressList-item-add-area').addClass('hide');
							$$(e.currentTarget).children(0).text('管理');
							$$(".addressList-item").removeClass("open");
						}
					}
				})
			}
		});
		
		$$('#addressListContent').html(addressListTemplate({
			addressListData: params.addressListData
		}));
		
		$$('.addressList-item .addressList-item-area').on('click', function(e) {
			loadEmployeeBuyPage('fillOrder', {
				query: {
					fromPage: 'addressList',
					
					employeeBuyChooseAddressId: $$(e.currentTarget).parent().prop('id')		// 员工购特有字段
				}
			});
		});
		
		
		
		// 默认地址 单选样式 
		$$('.addressList-item .addressList-item-add-area .default-address-label').on('click', function(e) {
			$$('.addressList-item .addressList-item-add-area .radio-style').removeClass('checked');
			$$(e.currentTarget).children(1).addClass('checked');
		});
		
		// 删除地址
		$$('.addressList-item .addressList-item-add-area .delete-area').on('click', function(e) {
			
			f7.modal({
				title: '',
				text: '是否删除地址',
				buttons: [
					{
						text: '<span style="color: #000;">取消</span>',
					},
					{
						text: '删除',
						onClick: function() {
							// 删除地址id
							 callAppApi({
								 url: '/app/deleteAddress',
								 type: 'POST',
								 params: {
									 addressId: $(e.currentTarget).parent().parent().prop('id')
								 },
								 successCallback: function() {
									 $$(e.currentTarget).parent().parent().remove();
									 
									 if ($('#addressListContent .default-address-radio').length == 0) {
										 $('#addressListManageBtn span').text('管理');
									 }
									 
								 },
								 errorCallback: function(err) {}
							 });
						}
					}
				]
			})
		});
		
		// 编辑地址
		$$('.addressList-item .addressList-item-add-area .edit-area').on('click', function(e) {
			// 编辑地址id
			// callAppApi();
			mainView.router.loadPage({
				url: 'addressDetail.html',
				query: {
					fromPage: params.fromPage,
					addressPage: 'addressList',
					operateType: 'edit',
					addressId: $$(e.currentTarget).parent().parent().prop('id')
				}
			})
		});
		
		// 新增地址按钮
		$$('#addAddressItemBtn').on('click', function() {
			mainView.router.loadPage({
				url: 'addressDetail.html',
				query: {
					fromPage: params.fromPage,
					addressPage: 'addressList',
					operateType: 'add'
				}
			})
		})
	}
	
	return {
		render: render
	}
})