define([
  'js/utilities',
  'containers/bankcard/bankcardView'
], function(
  utilities,
  bankcardView
) {
  
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  function init(query) {
	
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  
	  // 请求银行卡列表
	  function getBankcardList() {
		  callAppApi({
			  url: '/app/bankCardList',
			  type: 'POST',
			  params: {
				  userId: loginStatus.userId,
			  },
			  successCallback: function(response) {
				  
				  var bankcardList = [];
				  
				  for (var i = 0; i < response.length; i++) {
					  if (response[i].bankIsBatchCard === '1') {
						  bankcardList.unshift(response[i]);
					  } else if (response[i].bankIsBatchCard === '0') {
						  bankcardList.push(response[i]);
					  }
				  }
				  
				  bankcardView.render({
					  bankcardList: bankcardList
				  });
				  
				  f7.pullToRefreshDone();
			  },
			  errorCallback: function(err) {
				  f7.pullToRefreshDone();
			  },
			  completeCallback: function() {
				  f7.pullToRefreshDone();
			  }
		  });
	  }
	  
	  // 页面逻辑判断
	  if (loginStatus.userSession === '') {
		  mainView.router.loadPage('login.html');
	  } else {
		  getBankcardList();
	  }
	  
	  var ptrContent = $('.pull-to-refresh-content');
	  
	  ptrContent.on('refresh', function() {
		  getBankcardList();
	  });
  }
  
  return {
	init: init,
  };
});