define([
  'jquery',
  'js/utilities',
  'hbs!containers/bankcard/bankcard',
  'hbs!components/common/protocolArea/protocolItem3',
  'hbs!components/common/protocolArea/protocolFrame'
], function(
	$$,
	utilities,
	bankcardTemplate,
	protocolItem3Template,
	protocolFrame
) {
  var $ = Framework7.$;
  var callWebHtml = utilities.callWebHtml;
  var callAppApi = utilities.callAppApi;
  var logout = utilities.logout;
  var getDay = utilities.getDay;
  
  function render(params) {
	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	var bankcardList = params.bankcardList;
	  
	TalkingData.onPage('银行卡管理');
	
	// 渲染navbar
	loadComponent('navbar', 'common', {
		container: '#bankcardNavbar',
		title: '我的银行卡',
		backClass: 'meBackBtn',
		isBackIcon: true,
		isBack: false,
		iconRightStatus: true,
		iconRightClass: 'iconfont icon-add1 font-xxl',
		iconRightId: 'addBankcardBtn',
		callback: function() {
			$("#addBankcardBtn").on('click', function() {
				TalkingData.onEventWithLabel('银行卡管理', '新增银行卡');
				
				mainView.router.load({
					url: 'bindBankcard.html',
					query: {
						orderId: '',
						fromPage: 'bankcard'
					}
				});
			});
		}
	});
	
	$('#bankcardContent').html(bankcardTemplate({
		bankcardList: bankcardList,
		bankcardLength: bankcardList.length
	}));
	
//	var timeA = setTimeout(function() {
//		$("#addBankcardBtn").on('click', function() {
//			
//			
////			if (bankcardList.length === 0) {
////				f7.alertMessage('请您先选择需办理业务，进行身份认证后再绑定银行卡');
////
////				var timeBankcard = setTimeout(function() {
////					mainView.router.load({
////						url: 'index.html'
////					});
////					clearTimeout(timeBankcard);
////				}, 3000);
////			} else {
//				
//				TalkingData.onEventWithLabel('银行卡管理', '新增银行卡');
//				
//				mainView.router.load({
//					url: 'bindBankcard.html',
//					query: {
//						orderId: '',
//						fromPage: 'bankcard'
//					}
//				});
////			}
//		});
//		clearTimeout(timeA);
//	}, 300);
	var that;
	$('.bindBankcardBtn').on('click', function() {
	
		 that = $(this);
		
		f7.modal({
			title : '是否绑定该卡为还款账户',
			afterText: '<label class="label-checkbox item-content bankcard-agree-btn"><input type="checkbox"  id="bankcardAgreeBtn" name="agree" value="" checked value="yes"><div class="item-media"><i class="icon icon-form-checkbox"></i></div></label>' +
				'<p id="bankcardProtocol" class="bankcard-protocol">同意《扣款授权书》</p>' +
				'<p>关联卡用于自动扣除每期还款金额</p>',
			buttons : [{
				text : '取消',
			}, {
				text : '确定',
				onClick : function() {
					if ($('#bankcardAgreeBtn')[0].checked === true) {
						callAppApi({
							url: '/module/bankcard/replaceBatchCard',
							type: 'POST',
							params: {
								userId: loginStatus.userId,
								bankCardNumber: that.data('bankcardId'),
							},
							successCallback: function(response) {
								
								TalkingData.onEventWithLabel('银行卡管理', '更换关联卡');
								
								f7.pullToRefreshTrigger($('.pull-to-refresh-content'));
							},
							errorCallback: function(err) {}
						});
					} else {
						f7.alertMessage('请阅读并同意协议');
					}
				}
			}]
		});
		
		$('#bankcardProtocol').on('click', function() {
//			callAppApi({
//				url: '/app/agrTemplateAutoBatchBank',
//				type: 'POST',
//				params: {				
//					userId: loginStatus.userId,
//					 orderId: params.orderId,
//				},
//				successCallback: function(response) {					
//					$('#bankcardPopup').html(protocolItem3Template({
//						 contractNo :response.contractNo ,
//						 chargedName :response.chargedName,
//						 chargedCertType  :response.chargedCertType ,
//						 chargedCertIDNo  :response.chargedCertIDNo ,
//						 chargedAccountName  :response.chargedAccountName ,
//						 chargedAccountNo  :response.chargedAccountNo ,
//						//没有分行
//						 chargedBank  :response.chargedBank ,
//						 chargedSubbranchBank  :response.chargedSubbranchBank ,
//						 chargedBankProvince  :response.chargedBankProvince ,
//						 chargedBankCity  :response.chargedBankCity ,
//						 signature :response.signature ,
//						 signYear:response.signYear,
//						 signMonth:response.signMonth,
//						 signDay:response.signDay
//					}));
//					 f7.popup('#bankcardPopup');
//				},
//				errorCallback: function(err) {
//					f7.alertMessage(err);
//				}
//			});
			
			var bankCardNumber=$(that).attr("data-bankcardId");
			var bankName=$(that).attr("value");
			callWebHtml({
        		url: '/agreement/agrTemplateAutoPayment',
        		type: 'POST',
        		params: {
        			userId: loginStatus.userId,
        			orderId: "",
        			baseBusinessType:"",
        			templateId:'3',
        			bankCardNumber:bankCardNumber,
        			chargedBankProvince:"",
        			chargedBankCity:"",
        			bankName:bankName
        		},
        		successCallback: function(response) {
        			
					$('#bankcardPopup').html(protocolFrame({
						protocolId: "agreementAutoPayment",
						protocolName: "《扣款授权书》",
						protocolWidth: $('body').width(),
						protocolHeight: $('body').height() - 56
					}));
					
//					jQuery("#agreementAutoPayment").contents().find("html").html(response);
					$$("#agreementAutoPayment").contents().find("html")[0].innerHTML = response;
					f7.popup('#bankcardPopup');
        		},
        		errorCallback: function(err) {}
        	});
		});
	});

	

	$('.bankcardDeleteBtn').on('click', function() {
		var bankcardId = $(this).data('bankcardId');
		var that = $(this);
		callAppApi({
			url: '/app/bankCardDelete',
			type: 'POST',
			params: {
				userId: loginStatus.userId,
				bankCardNumber: bankcardId,
			},
			successCallback: function(response) {
				that.parent().next().remove();
				that.parent().remove();
			},
			errorCallback: function(err) {}
		})
		
	})
  }  	  

  return {
	render: render
  }
});