define([
  'js/utilities',
  'js/swiper.min',
  'hbs!components/common/navbar/navbar',
  'hbs!containers/billList/billList',
  'components/common/toolbar/toolbarView'
], function(
  utilities,
  swiper,
  navbarTemplate,
  billListTemplate,
  toolbarView
 
) {
  var $ = Framework7.$;
  var changeToolbarStatus = toolbarView.changeToolbarStatus;
  var getDay = utilities.getDay;
  
  /**
   * 格式化数字
   * @param number 待格式化数字
   * @param decimals 保留的小数位
   * @param dec_point 小数点符号
   * @param thousands_sep 千分位符号
   */
  function numberFormat(number, decimals, dec_point, thousands_sep) {
	    number = (number + '').replace(/[^0-9+-Ee.]/g, '');
	    var n = !isFinite(+number) ? 0 : +number,
	        prec = !isFinite(+decimals) ? 0 : Math.abs(decimals),
	        sep = (typeof thousands_sep === 'undefined') ? ',' : thousands_sep,
	        dec = (typeof dec_point === 'undefined') ? '.' : dec_point,
	        s = '',
	        toFixedFix = function (n, prec) {
	            var k = Math.pow(10, prec);
	            return '' + Math.ceil(n * k) / k;
	        };
	 
	    s = (prec ? toFixedFix(n, prec) : '' + Math.round(n)).split('.');
	    var re = /(-?\d+)(\d{3})/;
	    while (re.test(s[0])) {
	        s[0] = s[0].replace(re, "$1" + sep + "$2");
	    }
	 
	    if ((s[1] || '').length < prec) {
	        s[1] = s[1] || '';
	        s[1] += new Array(prec - s[1].length + 1).join('0');
	    }
	    return s.join(dec);
  }

  function render(params) {  
	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	TalkingData.onPage('订单管理');
	  
     loadComponent('navbar', 'common', {
		container: '#billListNavbar',
		title: '我的账单',
		isBack: true,
		isBackIcon: true
     });
    

     var billListStatus=false;//是否展示数据标识
     var rePaymentStatus=false;//未还数据标识
     var hasPaymentStatus=false;//已还数据标识
//	 if (params.repaymentListData.length === 0) {
//		  billListDataObj = {
//		      billListStatus: false,
//		  }
//		$('#billListContent').html(billListTemplate({billListData:billListDataObj}));
//		$('#billListEmpty').on('click', function() {
//			mainView.loadPage('index.html');
//			changeToolbarStatus('#toolbarBtn1');
//		});
//	} 	 if (params.hasRepaymentsListData.length === 0) {
////		  $('#billListPage').css({
////			  background: '#f8f8f8'
////		  });
//		  billListDataObj = {
//		      billListStatus: false,
//		  }
//		$('#billListContent').html(billListTemplate({billListData:billListDataObj}));

//	} else {
		if(params.repayment.payingBillList&&params.repayment.payingBillList.length > 0){
		    rePaymentStatus=true;									//未还数据标识
			var repaymentData = params.repayment.payingBillList.map(function(item) {//未还款数据渲染
				return {
					baseBusinessType: item.baseBusinessType,		//业务类型
					orderId: item.orderId,							//订单编号
					goodsName: item.goodsName,						//商品名称
					billCurrentPeriodNo: item.billCurrentPeriodNo,  //当前应还期数
					billDueAmount:numberFormat(item.billDueAmount,2),			    //当前应还金额
					billLeaseTime:item.billLeaseTime			    //总期数
				}
			});
		}
		
		if(params.repayment.historyBillList&&params.repayment.historyBillList.length > 0){
			 hasPaymentStatus=true;									//已还数据标识
			var hasrepaymentData = params.repayment.historyBillList.map(function(item) {//已还款数据渲染
				return {
					baseBusinessType: item.baseBusinessType,		//业务类型
					orderId: item.orderId,							//订单编号
					goodsName: item.goodsName,						//商品名称
					billCurrentPeriodNo: item.billCurrentPeriodNo,  //当前应还期数
					billDueAmount:numberFormat(item.billDueAmount,2),			    //当前应还金额
					billLeaseTime:item.billLeaseTime			    //总期数
				}
			});
		}

		if(params.repayment.billPayDate){//处理还款时间
			billPayDate=params.repayment.billPayDate.split("/")[1]+"月"
						+params.repayment.billPayDate.split("/")[2]+"日";
		}else{
			billPayDate="";
		}
		
		
		$('#billListContent').html(billListTemplate({
			billPayDate:billPayDate,						//当前还款时间
			billPayAmt:numberFormat(params.repayment.billPayAmt,2),			//当前还款金额
			billHavePayAmt:numberFormat(params.repayment.billHavePayAmt,2), //已还款金额
			rePaymentStatus:rePaymentStatus,				//未还数据标识
			repaymentData:repaymentData,					//未还款数据
			hasPaymentStatus:hasPaymentStatus,				//已还数据标识			
			hasrepaymentData:hasrepaymentData,				//已还数据
		}));
		
		//点击跳转到账单详情
		$('.card-new-item').on('click', function() {
			TalkingData.onEventWithLabel('订单管理', '查看订单详情');
			mainView.router.load({
				url : 'billing.html',
				query : {
					fromPage: 'info',
					orderId: $(this).attr('orderid'),
					baseBusinessType: $(this).attr('baseBusinessType'),
				}
			});
		})
		$('#billListEmpty').on('click', function() {
//			mainView.loadPage('index.html');
			mainView.router.load({
				url: 'index.html',
				animatePages: false
			});
			changeToolbarStatus('#toolbarBtn1');
		});
		$('#billListEmpty2').on('click', function() {
//			mainView.loadPage('index.html');
			mainView.router.load({
				url: 'index.html',
				animatePages: false
			});
			changeToolbarStatus('#toolbarBtn1');
		});	
	//seiper相关
   var tabsSwiper = new Swiper('#tabs-container',{
     speed:200,
     onSlideChangeStart: function(){
       $(".tabs .active").removeClass('active')
       $(".tabs a").eq(tabsSwiper.activeIndex).addClass('active')  
     }
   })
   $(".tabs a").on('touchstart mousedown',function(e){
     e.preventDefault()
     $(".tabs .active").removeClass('active')
     $(this).addClass('active')
     tabsSwiper.slideTo( $(this).index() )
   })
   $(".tabs a").click(function(e){
     e.preventDefault()
   })
	   
  }

  return {
	render: render
  }
});
