define([
  'js/utilities',
  'containers/billing/billingView'
], function(
  utilities,
  billingView
) {
 
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  
  function init(query) {
	  if (mainView.activePage.name === 'billing') {
		  f7.hideToolbar('#toolbar');
	  }
	  
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  function getBill() {
		  callAppApi({
			  url: '/app/bill/detail',
			  type: 'POST',
			  params: {
				  oldId: loginStatus.oldId,
				  orderId: query.orderId,
				  userId: loginStatus.userId,
				  baseBusinessType: query.baseBusinessType
			  },
			  successCallback: function(response) {
				  if(response.orderStatus === '821'){
				      if (query.baseBusinessType == '004003') {
							callAppApi({
								url: '/api/checkOrderTimeOut',
								type: 'POST',
								apiVersion: '2.0',
								params: {
									baseBusinessType: query.baseBusinessType,
									orderId: response.orderId,
									userId: loginStatus.userId,
									orderTimeOutType: '5'
								},
								successCallback: function(data) {
									  billingView.render({
										  billingData: response,
										  checkReturnTime: data.checkResult,
									  });
								},
								errorCallback: function(err) {
								}
							});
				      } else {
							callAppApi({
								url: '/api/checkOrderTimeOut',
								type: 'POST',
								params: {
									orderId: response.orderId,
									userId: loginStatus.userId,
									orderTimeOutType: '5'
								},
								successCallback: function(data) {
									  billingView.render({
										  billingData: response,
										  checkReturnTime: data.checkResult,
									  });
								},
								errorCallback: function(err) {
								}
							}); 
				      }

				  }else{
					  billingView.render({
						  billingData: response
					  });
				  }

				  f7.pullToRefreshDone();
			  },
			  errorCallback: function(err) {
				  f7.pullToRefreshDone();
			  },
			  completeCallback: function() {
				  f7.pullToRefreshDone();
			  }
		  });
	  }

	  getBill();
	  
	  var ptrBillContent = $('.pull-to-refresh-content');
	  
	  ptrBillContent.on('refresh', function() {
		  getBill();
	  });
  }
  
  return {
	init: init,
  };
});
