define([
  'js/utilities',
  'js/config',
  'jquery',
  'containers/order/orderHelper',
  'hbs!containers/billing/billing',
  'hbs!components/order/payPopup/payPopup'
], function(
	utilities,
	config,
	$$,
	orderHelper,
	billingTemplate,
	payPopupTemplate
) {
  var callAppApi = utilities.callAppApi;
  var isOwnEmpty = utilities.isOwnEmpty;
  var getPayWay = orderHelper.getPayWay;
  var getDay = utilities.getDay;
  var getFormatPrice = utilities.getFormatPrice;
  
  var SKIP = config.SKIP;

  function render(params) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  var billingData = params.billingData;
	  // 记录选择要还款的账单列表
	  var billPayIndexList = [];
	  // 多期还款要发送给服务器的多期数组
	  var billPayIndexList2 = [];
	  
	  // 是否提前结清
	  var isEarlySettleStatus = false;
	  // 提前结清流水号
	  var earlySettlementSerialno = '';
	  // 原剩余还款总金额
	  var payAmt = '';
	  // 提前结清后支付总金额
	  var remainPayAmt = '';
	  // 逾期违约金
	  var payPenalyAmt = '';
	  //退货提示标识
	  var returnGoogsNotice='';
	  
	  var interestDiscount=""; //利息优惠
	  
	  var depositeAmount=""; //押金
	  
	  var penaltyAmount =""; //违约金
	  
	  // 判断是否存在正在还款的账单
	  var repayingBill = false;
	  
	  //退货支付剩余款项标识 //lisai  2017年5月11日15:08:48 
     var checkReturnTime=false
	 if (!isOwnEmpty(params.billingData) &&  params.checkReturnTime!==undefined) {
			if(billingData.orderStatus==='821' &&  params.checkReturnTime===false ){//
				checkReturnTime=true
			}
	 }

	  // 渲染导航栏
	  loadComponent('navbar', 'common', {
			container: '#billingNavbar',
			title: '我的账单',
			backClass: 'billBackBtn',
			isBackIcon: true,
			isBack: false
	  });
	  
	  function fmoney(s, n) {
		  	if(n){
		  		n = n > 0 && n <= 20 ? n : 2;
				s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";
		  	}else{
		  		s = parseFloat((s + "").replace(/[^\d\.-]/g, ""))+"";
		  	}
			var l = s.split(".")[0].split("").reverse(), r = s.split(".")[1];
			t = "";
			for (i = 0; i < l.length; i++) {
				t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");
			}
			if(n){
				return t.split("").reverse().join("") + "." + r;
			}else {
				return t.split("").reverse().join("")
			}
		}
	  
	  var billingDataObj = {};

//	  // 返回值统一改造，默认返回{}
//	  if (billingData == null || billingData=='') {
	  if (isOwnEmpty(billingData)) {
		  $$('#billingToolbar').hide();
		  $$('#billingPage').css({
			  background: '#f8f8f8'
		  });
		  billingDataObj = {
		      stagingKey: false,
		      billingHeaderListKey: false,
		      billingPrompt: '您还没有账单'
		  }
	  } else if (billingData.orderTypeCode === '001001') {
//		  $$('#billingToolbar').hide();
		  var contractStartDate = billingData.billList[0].billPayDate.split('-');
		  var contractEndDate = billingData.billList[billingData.billList.length - 1].billPayDate.split('-');
		  
		  billingDataObj = {
		      stagingKey: false,
		      billingHeaderListKey: true,
		      orderTitle: [
		    	  {
		    		  visibleStatus: true,
		    		  key: '订单编号',
		    		  value: billingData.orderId,
		    		  id:"orderID"
		    	  },
		    	  {
		    		  visibleStatus: true,
		    		  key: '合约期',
		    		  value: contractStartDate[0] + '年' + contractStartDate[1] + '月' + ' -- ' + contractEndDate[0] + '年' + contractEndDate[1] + '月'
		    	  }
		      ],
		      orderInfo: [
		    	  {
		    		  key: '套餐',
		    		  value: billingData.goodsSuiteName
		    	  },
		    	  {
		    		  key: '套餐id',
		    		  value: billingData.goodsSuiteId
		    	  }
		      ],
		      billingPrompt: '合约期间，请您每月按时向运营商缴纳足额话费，确保合约号码正常在网使用。'
		      
		  };
	  } else if (billingData.orderTypeCode === '001002') {
//		  $$('#billingToolbar').hide();
		  $('#billingPrice').text(0);
		  var billingDataArr = billingData.billList.map(function(item, index) {
			  var alreadyPayKey = true;
			  var overdue = true;//判断违约金标识 lisai 2017年3月1日15:31:58
			 // var payPenaltyAmt=parseFloat(item.billPayPenaltyAmt) - parseFloat(item.billActualPayPenaltyAmt);//计算违约金 lisai 2017年3月1日15:31:58
			  var payPenaltyAmt=parseFloat(item.billPayPenaltyAmt);//计算违约金2017年3月14日10:38:46
			 // if ((parseFloat(item.billPayAmt) - parseFloat(item.billPayActualAmt)) > 0) {
			  if (parseFloat((parseFloat(item.billPayAmt) * 100 - parseFloat(item.billPayActualAmt) * 100).toFixed(0)) / 100 > 0) {
				  alreadyPayKey = false;
			  } else {
				  alreadyPayKey = true;
			  }
			  
			  //lisai 2017年3月1日15:31:58  判断违约金标识判断
			  if (payPenaltyAmt> 0) {
				  overdue = true;
			  } else {
				  overdue = false;
			  }
			  
			  // 防止小数计算错误
			  var restPrice = parseFloat((parseFloat(item.billPayAmt) * 100 - parseFloat(item.billPayActualAmt) * 100).toFixed(0)) / 100;
			  
			  var stagingTextResult = '';
			  if (alreadyPayKey === true && parseFloat(item.billPayAmt) != 0) {
				  stagingTextResult = item.billPayFinishDate.slice(5,10).replace('-','/')+'已还';
			  } else {
				  stagingTextResult = '还款日' + item.billPayDate.slice(5,10).replace('-','/')
			  }
			  
			  return {			  
					index: index + 1,
					disabled: alreadyPayKey,
					stagingPrice: getFormatPrice(item.billPayAmt),
					restPrice: restPrice,
					stagingText: stagingTextResult,
					billPayStatus:item.billPayStatus == "1"?true:false,
				    //stagingText: alreadyPayKey === true ? item.billPayFinishDate.slice(5,10).replace('-','/')+'已还' : '还款日' + item.billPayDate.slice(5,10).replace('-','/'),//lisai 2017年3月1日15:31:58
					//overdueDays: overdue === true ?'已逾期'+item.billOverdueDays+'天' : '',//lisai 2017年3月1日15:31:58
					//overdueDays: item.billOverdueDays>3 ?'已逾期'+item.billOverdueDays+'天' : '',//lisai 2017年3月1日15:31:58
					//overdueDays:alreadyPayKey === true ?'': overdue === true ?'已逾期'+item.billOverdueDays+'天' : '',//lisai 2017年3月1日15:31:58
					payPenaltyAmt: overdue === true ? '含逾期违约金'+getFormatPrice(payPenaltyAmt.toString())+'元':'',//lisai 2017年3月1日15:31:58
					overdueStatus: overdue //lisai 2017年3月1日15:31:58 违约金状态标识 用来控制样式
			  }
		  });
		  
		  // 通过订单状态判断账单是否已经结清
		  var isAlreadySettle = billingData.orderStatus.slice(0, 1) === '6' ? true : false;

		  billingDataObj = {
			  stagingKey: billingData.billList.length > 0 ? true : false,
		      billingHeaderListKey: true,
		      orderTitle: [
		    	  {
		    		  visibleStatus: true,
		    		  key: '订单编号',
		    		  value: billingData.orderId,
		    	  },
		    	  {
		    		  visibleStatus: true,
		    		  key: '已开通自动还款',
		    		  value: billingData.bankCardNumber.slice(0, 3) + ' **** **** ' + billingData.bankCardNumber.slice(-4),
		    		  promptStatus: true,
		    	  }
		      ],
		      orderInfo: [
		    	  {
		    		  key: '期&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;数',
		    		  value: billingData.goodsSuiteStageNumber + '期'
		    	  },
		    	  {
		    		  key: '每期还款',
		    		  value: getFormatPrice(billingData.goodsSuiteStagePrice) + '元'
		    	  },
		    	  {
		    		  key: '还款日',
		    		  value: billingData.billList.length > 0 ? billingData.billList[0].billPayDate : ''
		    	  }
		      ],
		      billingData: billingDataArr,
		      billingPrompt: '广电用户跳转至订单详情中查看账单信息'
		  }
	  } else if (billingData.orderStatus!=='821' && (billingData.orderTypeCode === '002001' || billingData.orderTypeCode === '002002' || billingData.orderTypeCode === '003001' || billingData.orderTypeCode === '003002' || billingData.orderTypeCode === '004001' || billingData.orderTypeCode === '004002' || billingData.orderTypeCode === '004003' || billingData.orderTypeCode === '005001')  ) {
		  $('#billingPrice').text(0);
		  
		  var billingDataArr = billingData.billList.map(function(item, index) {
			  var alreadyPayKey = true;
			  var overdue = true;//判断违约金标识 lisai 2017年3月1日15:31:58
			 // var payPenaltyAmt=parseFloat(item.billPayPenaltyAmt) - parseFloat(item.billActualPayPenaltyAmt);//计算违约金 lisai 2017年3月1日15:31:58
			  var payPenaltyAmt=parseFloat(item.billPayPenaltyAmt);//计算违约金2017年3月14日10:38:46
			 // if ((parseFloat(item.billPayAmt) - parseFloat(item.billPayActualAmt)) > 0) {
			  if (parseFloat((parseFloat(item.billPayAmt) * 100 - parseFloat(item.billPayActualAmt) * 100).toFixed(0)) / 100 > 0) {
				  alreadyPayKey = false;
			  } else {
				  alreadyPayKey = true;
			  }
			  
			  //lisai 2017年3月1日15:31:58  判断违约金标识判断
			  if (payPenaltyAmt> 0) {
				  overdue = true;
			  } else {
				  overdue = false;
			  }
			  
			  // 防止小数计算错误
			  var restPrice = parseFloat((parseFloat(item.billPayAmt) * 100 - parseFloat(item.billPayActualAmt) * 100).toFixed(0)) / 100;
			  
			  var stagingTextResult = '';
			  if (alreadyPayKey === true && parseFloat(item.billPayAmt) != 0) {
				  stagingTextResult = item.billPayFinishDate.slice(5,10).replace('-','/')+'已还';
			  } else {
				  stagingTextResult = '还款日' + item.billPayDate.slice(5,10).replace('-','/')
			  }
			  
			  return {			  
					index: index + 1,
					disabled: alreadyPayKey,
					stagingPrice: getFormatPrice(item.billPayAmt),
					restPrice: restPrice,
					stagingText: stagingTextResult,
					billPayStatus:item.billPayStatus == "1"?true:false,
				    //stagingText: alreadyPayKey === true ? item.billPayFinishDate.slice(5,10).replace('-','/')+'已还' : '还款日' + item.billPayDate.slice(5,10).replace('-','/'),//lisai 2017年3月1日15:31:58
					//overdueDays: overdue === true ?'已逾期'+item.billOverdueDays+'天' : '',//lisai 2017年3月1日15:31:58
					//overdueDays: item.billOverdueDays>3 ?'已逾期'+item.billOverdueDays+'天' : '',//lisai 2017年3月1日15:31:58
					//overdueDays:alreadyPayKey === true ?'': overdue === true ?'已逾期'+item.billOverdueDays+'天' : '',//lisai 2017年3月1日15:31:58
					payPenaltyAmt: overdue === true ? '含逾期违约金'+getFormatPrice(payPenaltyAmt.toString())+'元':'',//lisai 2017年3月1日15:31:58
					overdueStatus: overdue //lisai 2017年3月1日15:31:58 违约金状态标识 用来控制样式
			  }
		  });
		  
		  // 通过订单状态判断账单是否已经结清
		  var isAlreadySettle = billingData.orderStatus.slice(0, 1) === '6' ? true : false;

		  billingDataObj = {
			  stagingKey: billingData.billList.length > 0 ? true : false,
			  billingHeaderListKey: true,
			  returnGoogsNotice:false,
		      orderTitle: [
		    	  {
		    		  visibleStatus: true,
		    		  key: '订单编号',
		    		  value: billingData.orderId,		// 品牌+型号+颜色+配置
		    		  id:"orderID"
		    	  },
//		    	  {
//		    		  visibleStatus: billingData.goodsNumber !== '' && billingData.orderTypeCode!=='003001' && billingData.orderTypeCode !== '004001' && billingData.orderTypeCode !== '004002' ? true : false,
//		    		  key: '商品串号',
//		    		  value: billingData.goodsNumber
//		    	  },
		    	  {
		    		  visibleStatus: true,
		    		  key: '已开通自动还款',
		    		  value: billingData.bankCardNumber.slice(0, 4) + ' **** **** ' + billingData.bankCardNumber.slice(-4),
		    		  promptStatus: true,
		    	  }
		      ],
		      orderInfo: [
		    	  {
		    		  key: '期&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;数',
		    		  value: billingData.goodsSuiteStageNumber + '期',
		    		  noticeStatus:false,
		    	  },
		    	  {
		    		  key: '还款总额',
		    		  value: getFormatPrice(billingData.goodsSuiteTotalAmount) + '元 ',
		    		  noticeStatus:true,
		    		  noticeText:'(不包含逾期违约金)',
		    		  
		    	  },
		    	  {
		    		  key: '还款日',
		    		  value: '每月20号',		// 从业务系统拿字段
			    	  noticeStatus:false,
		    	  }
		      ],
		      billingData: billingDataArr,
		      isAlreadySettle: isAlreadySettle,
		      billingPrompt: '订单办理完成后，即可查询详细账单'
		  }
		  
		  if (isAlreadySettle) {
			  // 账单如果已经结清，隐藏掉支付栏
			  $$('#billingToolbar').addClass('hide');
		  }
	  }else if(billingData.orderTypeCode === '006001'){
		  $('#billingPrice').text(0);
		  
		  var billingDataArr = billingData.billList.map(function(item, index) {
			  var alreadyPayKey = true;
			  var overdue = true;//判断违约金标识 
			  var payPenaltyAmt=parseFloat(item.billPayPenaltyAmt);//计算违约金
			  if (parseFloat((parseFloat(item.billPayAmt) * 100 - parseFloat(item.billPayActualAmt) * 100).toFixed(0)) / 100 > 0) {
				  alreadyPayKey = false;
			  } else {
				  alreadyPayKey = true;
			  }
			 //  判断违约金标识判断
			  if (payPenaltyAmt> 0) {
				  overdue = true;
			  } else {
				  overdue = false;
			  }
			  
			  // 防止小数计算错误
			  var restPrice = parseFloat((parseFloat(item.billPayAmt) * 100 - parseFloat(item.billPayActualAmt) * 100).toFixed(0)) / 100;
			  
			  var stagingTextResult = '';
			  if (alreadyPayKey === true && parseFloat(item.billPayAmt) != 0) {
				  stagingTextResult = item.billPayFinishDate.slice(5,10).replace('-','/')+'已还';
			  } else {
				  stagingTextResult = '还款日' + item.billPayDate.slice(5,10).replace('-','/')
			  }
			  
			  return {			  
					index: index + 1,
					disabled: alreadyPayKey,
					stagingPrice: getFormatPrice(item.billPayAmt),
					restPrice: restPrice,
					stagingText: stagingTextResult,
					billPayStatus:item.billPayStatus == "1"?true:false,
					payPenaltyAmt: overdue === true ? '含逾期违约金'+getFormatPrice(payPenaltyAmt.toString())+'元':'',//lisai 2017年3月1日15:31:58
					overdueStatus: overdue 
			  }
		  });
		  
		  // 通过订单状态判断账单是否已经结清
		  var isAlreadySettle = billingData.orderStatus.slice(0, 1) === '6' ? true : false;

		  billingDataObj = {
			  stagingKey: billingData.billList.length > 0 ? true : false,
			  billingHeaderListKey: true,
			  returnGoogsNotice:false,
		      orderTitle: [
		    	  {
		    		  visibleStatus: true,
		    		  key: '订单编号',
		    		  value: billingData.orderId,		// 品牌+型号+颜色+配置
		    		  id:"orderID"
		    	  },
//		    	  {
//		    		  visibleStatus: billingData.goodsNumber !== '' && billingData.orderTypeCode!=='003001' && billingData.orderTypeCode !== '004001' && billingData.orderTypeCode !== '004002' ? true : false,
//		    		  key: '商品串号',
//		    		  value: billingData.goodsNumber
//		    	  },
		    	  {
		    		  visibleStatus: true,
		    		  key: '已开通自动还款',
		    		  value: billingData.bankCardNumber.slice(0, 4) + ' **** **** ' + billingData.bankCardNumber.slice(-4),
		    		  promptStatus: true,
		    	  }
		      ],
		      orderInfo: [
				  {
					   key: '还款总额(不包含违约金)',
					   value: getFormatPrice(billingData.goodsSuiteTotalAmount),
					   noticeStatus:false,
						  
				  },
		    	  {
		    		  key: '期数',
		    		  value: billingData.goodsSuiteStageNumber + '期',
		    		  noticeStatus:false,
		    	  },
		    	  {
		    		  key: '押金总额',
					  value: getFormatPrice(billingData.guaranteeMoney),
					  noticeStatus:false,
					  promptStatus:true
		    	  }
		  
		      ],
		      billingData: billingDataArr,
		      isAlreadySettle: isAlreadySettle,
		      billingPrompt: '订单办理完成后，即可查询详细账单'
		  }
		  
		  if (isAlreadySettle) {
			  // 账单如果已经结清，隐藏掉支付栏
			  $$('#billingToolbar').addClass('hide');
		  }
	  }else if(checkReturnTime===true){//退货结清剩余款项支付页面
		  $$('#billingToolbar').addClass('hide');
		  $$('#returnBillingToolbar').removeClass('hide');
		  $$('#returnBillingPrice').text(getFormatPrice(billingData.payAmount));
		  billingDataObj = {
				  stagingKey: false,
				  billingHeaderListKey: true,
				  returnGoogsNotice:true,
			      orderTitle: [
			    	  {
			    		  visibleStatus: true,
			    		  key: '订单编号',
			    		  value: billingData.orderId,
			    		  id:"orderID"
			    	  },
			    	  {
			    		  visibleStatus: billingData.goodsNumber !== '' ? true : false,
			    		  key: '商品串号',
			    		  value: billingData.goodsNumber
			    	  },
			    	  {
			    		  visibleStatus: true,
			    		  key: '已开通自动还款',
			    		  value: billingData.bankCardNumber.slice(0, 4) + ' **** **** ' + billingData.bankCardNumber.slice(-4),
			    		  promptStatus: true,
			    	  }
			      ],
			      orderInfo: [
			    	  {
			    		  key: '期&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;数',
			    		  value: billingData.goodsSuiteStageNumber + '期'
			    	  },
			    	  {
			    		  key: '每期还款',
			    		  value: getFormatPrice(billingData.goodsSuiteStagePrice) + '元'
			    	  },
			    	  {
			    		  key: '还款日',
			    		  value: '每月20号'		// 从业务系统拿字段
			    	  }
			      ],
			      returnGoogsNoticeText:'如您需取消分期业务，请您先结清剩余款项，在进行线下手续办理。您原申请金额'+billingData.creditAmount+'元，已向我司支付'+billingData.actualPayAmount+'元，还需支付'+billingData.payAmount+'元',
			  }
	  }
	  
	  // 遍历账单是否存在还款中
	  function repayingFunc(billingData) {
		  var billList = billingData.billList
		  return billList.some(function(item) {
			  if(item.billPayStatus == "1"){
				  return true;
			  }
		  })
	  }
	  repayingBill = repayingFunc(params.billingData)	
	  billingDataObj.repayingBill = repayingBill;	//如果存在正在还款中账单 则全选按钮不能点击
	  
	  $$('#billingContent').html(billingTemplate(billingDataObj));
	  $$('#billPopup').html(payPopupTemplate());
		TalkingData.onPageBegin("我的账单");
		TalkingData.onPage("我的账单_日期",true);
		TalkingData.onPage("我的账单_页面浏览量",true);
		TalkingData.onPage("我的账单_进入页面",true);
	  var totalPrice = 0;
	  $$("#billingHeaderList .billing-header-item .model-notice").on('click', function() {
		  f7.alert('系统将于每月20日自动从您已绑定的银行卡中扣除每个月应还款项，请您在每月20日前确保卡内余额充足');
	  });
	  
	  $$("#billingHorizontalList").on('click', function() {
		  f7.modal({
			text:'押金作为您履行合同的保证，将抵扣您最后的数期租金',
			buttons:[{
				text:"我知道了",
				onClick:function(){}
			}]
		  });
	  });
	  // 全选提示icon隐藏
	  $$('#billDataAllPromptBtn').addClass('hide');
	  
	  $$("#orderID").on("click",function(){
	  
			if (billingData.orderTypeCode == '005001') {
			  mainView.router.load({
				  url: 'order.html',
				  query: {
					  fromPage: 'billing'
				  }
			  });
		  } else {
			  mainView.router.load({
				  url : 'orderDetail.html',
				  query : {
					  fromPage: 'billing',
					  orderId: billingData.orderId,
					  baseBusinessType: billingData.orderTypeCode,
				  }
			  });
		  }
	  })
	  
	  // 提前结清 调用方法
	  function beforeheadSettle() {
		  
		  // 提前结清 返回值 重置
		  earlySettlementSerialno = '';
		  payAmt = '';
		  remainPayAmt = '';
		  payPenalyAmt = '';
		  
		  // 更新 提前结清 状态值
		  isEarlySettleStatus = true;
		  
		  callAppApi({
			  url: '/app/getEarlySettlementData',
			  type: 'POST',
			  params: {
				  userId: loginStatus.userId,
				  orderId: billingData.orderId,
				  orderType: billingData.orderTypeCode
			  },
			  successCallback: function(response) {
				  // 提前结清流水号
//				  earlySettlementSerialno = response.earlySettlementSerialno;
				  if(response.funds.length>0){
					  earlySettlementSerialno=response.funds[0].objectNo;
				  }
				  // 原剩余还款总金额
//				  payAmt = response.payAmt;
				  payAmt=response.payAmount;
				  // 提前结清后支付总金额
//				  remainPayAmt = response.remainPayAmt;
				  remainPayAmt = response.dueAmount;
				  // 逾期违约金
//				  payPenalyAmt = response.payPenalyAmt;
				  payPenalyAmt = response.penaltyAmount;
				  
				  interestDiscount=response.interestDiscount; //利息优惠
				  
				  depositeAmount=response.depositeAmount; //押金
				  
				  penaltyAmount =response.penaltyAmount; //违约金
				  
				  billPayIndexList2 = [{
					  objectType: 'JBO.app.earlysettlement',
					  objectNo: earlySettlementSerialno
				  }];

				  // 全选提示icon显示
				  $$('#billDataAllPromptBtn').removeClass('hide');

				  $$('#billingPrice').text(getFormatPrice(remainPayAmt));
			  },
			  errorCallback: function(err) {}
		  });
	  };
	  
	  // 全选按钮事件绑定
	  $$('#billing-data-all label').off('click').on('click', function() {
		  var _this = this;
		  var timeAll = setTimeout(function() {
			  if (_this.children[0].checked === true) {
				  
				  billPayIndexList = [];
				  
				  // 账单各期样式勾选
				  for (var k = 0; k < $$('.billing-data-item').length; k++) {
					  if (!$$('.billing-data-item')[k].hasAttribute('disabled')) {
						  billPayIndexList.push(k);
						  
						  $$('.billing-data-item')[k].children[0].children[0].checked = true;
					  }
				  }
				  
				  // 账单数据数组在beforeheadSettle方法中
				  
				  beforeheadSettle();
			  } else {
				  billPayIndexList = [];
				  billPayIndexList2 = [];
				  
				  for (var l = 0; l < $$('.billing-data-item').length; l++) {
					  if (!$$('.billing-data-item')[l].hasAttribute('disabled')) {
						  
						  $$('.billing-data-item')[l].children[0].children[0].checked = false;
					  }
				  }

				  // 更新 提前结清 状态值
				  isEarlySettleStatus = false;
				  
				  // 提前结清 返回值 重置
				  earlySettlementSerialno = '';
				  payAmt = '';
				  remainPayAmt = '';
				  payPenalyAmt = '';
				  
				  // 全选提示icon隐藏
				  $$('#billDataAllPromptBtn').addClass('hide');
				  
				  // 支付金额还原
				  $$('#billingPrice').text('0');
			  }
		  }, 10);
	  });
	  
	  // 全选提示icon事件绑定
	  $$('#billDataAllPromptBtn').off('click').on('click', function() {
		  var beforeheadSettlePrompt = '';
		  
		  // 业务系统返回值不确定，枚举可能的情况
		  if (payPenalyAmt === '0' || payPenalyAmt === 0 || payPenalyAmt === '0.0' || payPenalyAmt === '0.00') {
			  beforeheadSettlePrompt = '如您需提前结清分期账单，我司将对剩余还款额中利息部分予以优惠，原剩余还款金额' + getFormatPrice(payAmt) + '元，现提前结清只需支付' + getFormatPrice(remainPayAmt) + '元';
		  } else {
			  var tempRestPrice = parseFloat((parseFloat(remainPayAmt) * 100 - parseFloat(payPenalyAmt) * 100).toFixed(0)) / 100;
			  beforeheadSettlePrompt = '如您需提前结清分期账单，您需支付金额' + getFormatPrice(remainPayAmt) + '元，包含剩余还款金额' + getFormatPrice(tempRestPrice) + '元，逾期违约金' + getFormatPrice(payPenalyAmt) + '元';
		  }
		  
		f7.modal({
			text : beforeheadSettlePrompt,
			buttons : [{
				text : '确认无误'
			}]
		});
	  });
	  
	  $$('.billing-data-item label').off('click').on('click', function() {
		  totalPrice = 0;
		  
		  for (var k = 0; k < $$('.billing-data-item').length; k++) {
			  $$('.billing-data-item')[k].children[0].children[0].checked = false;
		  }
		  
		  var clickIndex = $$(this).parent().index() - 1;

		  var timeA = setTimeout(function() {
	
			  billPayIndexList = [];

			  
			  
			  // 判断点击的是否为账单的最后一期，用来区分“多期还款”和“提前结清”的逻辑
			  if (clickIndex === $$('.billing-data-item').length - 1 && !repayingBill) {//增加正在还款中校验，如果有则不进入提前结清
				  for (var j = 0; j < clickIndex; j++) {
					  
					  if (!$$('.billing-data-item')[j].hasAttribute('disabled')) {
						  billPayIndexList.push(j);
						  
						  if ($$('.billing-data-item')[clickIndex].children[0].children[0].checked === true) {
							  $$('.billing-data-item')[j].children[0].children[0].checked = true;
						  }
					  }
				  }
				  
//				  if (billPayIndexList.length === 0) {
//					  billPayIndexList.push(clickIndex);
//				  } else {
//					  billPayIndexList.push(billPayIndexList[billPayIndexList.length - 1] + 1);
//				  }
				  billPayIndexList.push(clickIndex);
				  
				  // 全选按钮的样式联动改变
				  $$('#billing-data-all label')[0].children[0].checked = true;
				  
				// 账单数据数组在beforeheadSettle方法中
				  
				  beforeheadSettle();
			  } else {
				  // 更新 提前结清 状态值
				  isEarlySettleStatus = false;
				  
				  for (var i = 0; i < clickIndex; i++) {
					  
					  if (!$$('.billing-data-item')[i].hasAttribute('disabled')) {
						  billPayIndexList.push(i);

						  var stepPrice = $$('.billing-data-item')[i].getAttribute('data-restPrice');

						  if ($$('.billing-data-item')[clickIndex].children[0].children[0].checked === true) {
							  $$('.billing-data-item')[i].children[0].children[0].checked = true;

							  // totalPrice += stepPrice;
							  // 不能简单相加，防止js小数加减操作
							  totalPrice = parseFloat((parseFloat(totalPrice) * 100 + parseFloat(stepPrice) * 100).toFixed(0)) / 100;
						  }
					  }
				  }

//				  if (billPayIndexList.length === 0) {
//					  billPayIndexList.push(clickIndex);
//				  } else {
//					  billPayIndexList.push(billPayIndexList[billPayIndexList.length - 1] + 1);
//				  }
				  billPayIndexList.push(clickIndex);
				  
				  //lisai 数组为传值数组
				  billPayIndexList2 = billPayIndexList.map(function(item) {
					  
					  return {
						  objectType: 'JBO.app.acct_payment_schedule',
						  objectNo: billingData.billList[item].billPsSerialNo
					  };
				  });
				  
				  var curPrice = $$('.billing-data-item')[clickIndex].getAttribute('data-restPrice');
				  
				  if ($$('.billing-data-item')[clickIndex].children[0].children[0].checked === true) {
					  // totalPrice += curPrice;
					  // 防止js加减操作
					  totalPrice = parseFloat((parseFloat(totalPrice) * 100 + parseFloat(curPrice) * 100).toFixed(0)) / 100;
				  }
				  
				  // 全选按钮的样式联动改变
				  $$('#billing-data-all label')[0].children[0].checked = false;
				  
				  // 全选提示icon隐藏
				  $$('#billDataAllPromptBtn').addClass('hide');

				  $$('#billingPrice').text(totalPrice);
			  }

			  clearTimeout(timeA);
		  }, 10);
		  
		  if(totalPrice != 0){
			TalkingData.onPage("我的账单_勾选",true);
		  }
	  });
	  
	  $$('#payBillBtn').off('click').on('click', function() {

		  // 通过页面的样式计算已还的期数
		  var limitNum = 0;
		  for (var i = 0; i < $$('.billing-data-item').length; i++) {
			  if ($$('.billing-data-item')[i].hasAttribute('disabled')) {
				  limitNum++;
			  }
		  }

		  // 通过页面的样式计算“提前结清”的总期数
		  var totalNum = $$('.billing-data-item').length - limitNum;

		  if (billPayIndexList2.length === 0) {
			  f7.alert('请选择要还款的期数');
		  } else if (isEarlySettleStatus === false) {
			  TalkingData.onPage("我的账单_还款",true);
			  billingPopup();
		  } else if (isEarlySettleStatus === true) {
			  callAppApi({
				  url: '/app/getEarlySettlementCheck',
				  type: 'POST',
				  params: {
					  userId: loginStatus.userId,
					  orderId: params.billingData.orderId,
					  orderType: billingData.orderTypeCode,
					  earlySettlementSerialno: earlySettlementSerialno
				  },
				  successCallback: function(response) {
					  
					  if (response.dataStatus === '01') {
						  TalkingData.onPage("我的账单_提前结清",true);
						  if(remainPayAmt !=payAmt ){
							  	payAmount = fmoney(payAmt,2); //应付金额
							  	dueAmount = fmoney(remainPayAmt,2); //实付金额
								interestDiscount = fmoney(interestDiscount ,2); //利息优惠
								depositeAmount = fmoney(depositeAmount ,2); //押金
								penaltyAmount = fmoney(penaltyAmount ,2); //违约金
									
								f7.modal({
									 title:"",
									 text: '<div>'+
									        	'<div class="model-header" id="modelHeader">'+
									        		'<div class="model-inner authStep2-model-inner">'+
									        			'<span class="model-title model-header-title">实付金额</span>'+
									        			'<span class="model-con model-header-title model-header-span">' + dueAmount +'元</span>'+
									        		 '</div>'+
									        	'</div>'+
									        '<ul>'+
									        '<li class="model-list">'+
									               '<div class="model-inner authStep2-model-inner">'+
										               	'<span class="model-title">应付金额</span>'+
										                '<span class="model-con">' + payAmount +'元</span>'+
									               '</div>'+
									         '</li>'+
									         '<li class="model-list">'+
									               '<div class="model-inner authStep2-model-inner">'+
										               	'<span class="model-title">利息优惠</span>'+
										                '<span class="model-con">-'+interestDiscount+'元</span>'+
									               '</div>'+
								             '</li>'+ 
											 '<li class="model-list">'+
								               '<div class="model-inner authStep2-model-inner">'+
									               	'<span class="model-title">押金</span>'+
									                '<span class="model-con">-' +depositeAmount+'元</span>'+
								               '</div>'+
							                  '</li>'+
							                  '<li class="model-list">'+
								               '<div class="model-inner authStep2-model-inner">'+
									               	'<span class="model-title">违约金</span>'+
									                '<span class="model-con">' +penaltyAmount+'元</span>'+
								               '</div>'+
							                  '</li>'+
						                  '</ul>'+
						                  '<span class="close"></span>'+
						                  '<span class="notice"></span>'+
							        '</div>',
											buttons: [
											    {
											    	text:'<span class="model-back">取消</span>',
											    },      
												{
													text: '确认支付',
													onClick:function(){
														f7.popup('#billPopup');
													}
												}
											]
										});
								$("#modelHeader").parent().parent().parent().css({
									padding:0
								})
								  }else{
									  f7.popup('#billPopup');
								  }
						  
					  } else if (response.dataStatus === '02') {
						  f7.alertMessage('很抱歉，您的还款账单发生变化，请重新查看');
					  
						  var timeEarlySettle = setTimeout(function() {
							  f7.pullToRefreshTrigger($('.pull-to-refresh-content'));
							  
							  clearTimeout(timeEarlySettle);
						  }, 3000);  
					  }
				  },
				  errorCallback: function(err) {}
			  });
		  }
	  });
	  
	  function billingPopup(){//账单支付弹框
		  callAppApi({
			  url: '/app/bill/dueInfo',
			  type: 'POST',
			  params: {
				  orderId: params.billingData.orderId,
				  funds: billPayIndexList2
			  },
			  successCallback: function(response) {
					if(response.dueAmount !=response.payAmount ){
						var dueAmount = fmoney(response.dueAmount ,2); //实付金额
						var payAmount = fmoney(response.payAmount ,2); //应付金额
						var interestDiscount = fmoney(response.interestDiscount ,2); //利息优惠
						var depositeAmount = fmoney(response.depositeAmount ,2); //押金
						var penaltyAmount = fmoney(response.penaltyAmount ,2); //违约金
							
						f7.modal({
							 title:"",
							 text: '<div>'+
							        	'<div class="model-header" id="modelHeader">'+
							        		'<div class="model-inner authStep2-model-inner">'+
							        			'<span class="model-title model-header-title">实付金额</span>'+
							        			'<span class="model-con model-header-title model-header-span">' +dueAmount +'元</span>'+
							        		 '</div>'+
							        	'</div>'+
							        '<ul>'+
							        '<li class="model-list">'+
							               '<div class="model-inner authStep2-model-inner">'+
								               	'<span class="model-title">应付金额</span>'+
								                '<span class="model-con">' + payAmount +'元</span>'+
							               '</div>'+
							         '</li>'+
							         '<li class="model-list">'+
							               '<div class="model-inner authStep2-model-inner">'+
								               	'<span class="model-title">利息优惠</span>'+
								                '<span class="model-con">-'+interestDiscount+'元</span>'+
							               '</div>'+
						             '</li>'+ 
									 '<li class="model-list">'+
						               '<div class="model-inner authStep2-model-inner">'+
							               	'<span class="model-title">押金</span>'+
							                '<span class="model-con">-' +depositeAmount+'元</span>'+
						               '</div>'+
					                  '</li>'+
					                  '<li class="model-list">'+
						               '<div class="model-inner authStep2-model-inner">'+
							               	'<span class="model-title">违约金</span>'+
							                '<span class="model-con">' +penaltyAmount+'元</span>'+
						               '</div>'+
					                  '</li>'+
				                  '</ul>'+
				                  '<span class="close"></span>'+
				                  '<span class="notice"></span>'+
					        '</div>',
									buttons: [
									    {
									    	text:'<span class="model-back">取消</span>',
									    },      
										{
											text: '确认支付',
											onClick:function(){
												f7.popup('#billPopup');
											}
										}
									]
								});
						$("#modelHeader").parent().parent().parent().css({
							padding:0
						})
						  }else{
							  f7.popup('#billPopup');
						  }
			  },
			  errorCallback: function(err) {}
		  });
	  }
	  $$('#payWayCancleBtn').on('click', function() {
		  f7.closeModal('#billPopup');
	  });
	  
	  var payWayKey = '01';
	  $$('#payWayConfirmBtn').on('click', function() {
		  
		  f7.closeModal('#billPopup');
		  
		  if ($$('#weixinFlag')[0].checked) {
			  payWayKey = '01';
		  } else if ($$('#alipayFlag')[0].checked) {
			  payWayKey = '02';
		  }
		  
		  var repayType = '';
		  // 判断是否“提前结清”
		  if (isEarlySettleStatus === true) {
			  repayType = '03';
		  } else if (isEarlySettleStatus === false && checkReturnTime!==true) {
			  repayType = '02';
		  }else if(checkReturnTime===true){
			  repayType = '04';
			  billPayIndexList2 = [{
				  objectType:billingData.objectType,
				  objectNo: billingData.objectNo
			  }];
		  }
		  
		  callAppApi({
			  url: '/api/payParams',
			  type: 'POST',
			  params: {
				  userId: loginStatus.userId,
				  orderId: billingData.orderId,
				  orderType: billingData.orderTypeCode,
				  payTitle: billingData.goodsSellName,
				  payType: payWayKey,
                  repayType: repayType, //还款类型  首付款01 还租金02 提前结清03
                  payFunds: billPayIndexList2
			  },
			  successCallback: function(response) {
				  
				  if (response.code === '07001001') {
      				f7.pullToRefreshTrigger($('.pull-to-refresh-content'))
    				TalkingData.onPageEnd("我的账单");
				  } else {
					  var payParam = response.payParam;
					  var paymentOrderNo = response.paymentOrderNo;

					  if (!SKIP.cordova_pay) {
						  if (payWayKey === '01') {
							  wxpay.payment(JSON.parse(payParam), function(msg) {

								  paySuccess(msg, paymentOrderNo);

							  }, function(msg) {
								  payFailure(msg, paymentOrderNo);
							  });
						  } else if (payWayKey === '02') {
							  cordova.plugins.AliPay.aliPayReq(function(msg) {
								  paySuccess(msg, paymentOrderNo)
							  }, function(msg) {
							      payFailure(msg, paymentOrderNo);
							  }, payParam);
						  }
					  } else {
						  paySuccess('');
					  }
				  }
			  },
			  errorCallback: function(err) {}
		  })
	  });
	  
		// 支付成功回调函数
		function paySuccess(msg, paymentOrderNo) {
//			f7.showIndicator();
//
//			var timeBill = setTimeout(function() {
//				f7.pullToRefreshTrigger($('.pull-to-refresh-content'))
//				TalkingData.onPageEnd("我的账单");
//				f7.hideIndicator();
//				
//				clearTimeout(timeBill);
//			}, 3000);
			
			callAppApi({
				url: '/api/paymentStatusQuery',
				type: 'POST',
        		params: {
        			userId: loginStatus.userId,
        			orderId: params.orderId,
        			paymentOrderNo: paymentOrderNo
        		},
        		successCallback: function(paymentStatusQueryRes) {
        			if (paymentStatusQueryRes.paymentStatus === '1') {
        				f7.pullToRefreshTrigger($('.pull-to-refresh-content'))
        				 $$('#returnBillingToolbar').addClass('hide');
        				TalkingData.onPageEnd("我的账单");
        			} else if(paymentStatusQueryRes.paymentStatus === '0') {
        				f7.alertMessage(paymentStatusQueryRes.paymentMsg);
        			}
        		},
        		errorCallback: function(err) {}
			});
		}
		
		// 支付失败回调函数
		function payFailure(err, paymentOrderNo) {
			// 广电支付
			if (err === '未安装微信') {
				f7.alert('未安装微信');
			} else {
//				f7.alert('支付失败，请重新支付');
				callAppApi({
					url: '/api/paymentStatusQuery',
					type: 'POST',
	        		params: {
	        			userId: loginStatus.userId,
	        			orderId: params.orderId,
	        			paymentOrderNo: paymentOrderNo
	        		},
	        		successCallback: function(paymentStatusQueryRes) {
	        			if (paymentStatusQueryRes.paymentStatus === '1') {
	        				 f7.alertMessage('还款成功！');
	        				f7.pullToRefreshTrigger($('.pull-to-refresh-content'))
	        				$$('#returnBillingToolbar').addClass('hide');
	        				TalkingData.onPageEnd("我的账单");
	        			} else if(paymentStatusQueryRes.paymentStatus === '0') {
	        				f7.alertMessage(paymentStatusQueryRes.paymentMsg);
	        			}
	        		},
	        		errorCallback: function(err) {}
				});
			}
		}
		//----------------------------------------------------------------------------------------------------------------//		
		//7天保质期内不允许选择“全选”、“多期”，除了第一期，其他期数勾选框灰显不可操作 lisai 2017年5月10日14:49:17
		if (!isOwnEmpty(billingData)&& (billingData.orderTypeCode === '002001' || billingData.orderTypeCode === '002002')) {
			if(billingData.orderStatus.slice(0, 1) === '4' || billingData.orderStatus==='35'  || billingData.orderStatus==='801' ){
				callAppApi({
					url: '/api/checkOrderTimeOut',
					type: 'POST',
					params: {
						orderId: billingData.orderId,
						userId: loginStatus.userId,
						orderTimeOutType: '3'
					},
					successCallback: function(response) {
						if(response.checkResult===false){
						      $$('#billing-data-all label').attr('disabled', true);
							  if($$('.billing-data-item')[0].hasAttribute("disabled")){//七天内若是还了一期不允许多还
								  $$('.billing-data-item').attr('disabled', true);
							  }else{
								  $$('.billing-data-item').attr('disabled', true);
								  $$('.billing-data-item')[0].removeAttribute('disabled', false);
							  }
						}
					},
					errorCallback: function(err) {
					}
				});
			}
			
			if(checkReturnTime===true){//
				$$(".billing-prompt-pic").hide()
			}
			
		}

		//退货时付款
		$$('#payReturnGoodsBtn').off('click').on('click', function() {
			 f7.popup('#billPopup');
		})
  }
  
  return {
	render: render
  }
});