define([
  'js/utilities',
  'containers/bindBankcard/bindBankcardView'
], function(
	utilities,
	bindBankcardView
) {
  
    var $ = Framework7.$;
    var callAppApi = utilities.callAppApi;
  
	var setParam = utilities.setParam;
	var callAction = utilities.callAction;
  
  function init(query) {
	  
	  if (mainView.activePage.name === 'bindBankcard') {
		  f7.hideToolbar('#toolbar');
	  }
	  
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  
	  var bankList = [];
	  callAppApi({
		   url: '/module/bankcard/bankCardList',
		   type: 'POST',
		   params: {
			   userId: loginStatus.userId
		   },
		   successCallback: function(response) {
				
				var resBankList = response.bankList;
				for (var i in resBankList) {
					bankList.push({
						default: false,
						view: resBankList[i].bankName,
						value: resBankList[i].bankId
					});
				}
	
				bankList.unshift({
					default: true,
					value: "",
					view: '请选择银行'
				});
	
				bindBankcardView.render({
					orderId: query.orderId,
					fromPage: query.fromPage,
					bankList: bankList,
					baseBusinessType: query.baseBusinessType,
					
					// 预授信字段
					evidenceKey: query.evidenceKey,
					creditAuditId:query.creditAuditId,
					//员工购字段
					firstPayPrice:query.firstPayPrice,
                    goodsName:query.goodsName
				});
		     }
		});
  }
  
  return {
	init: init,
  };
});