define([
'jquery',
  'js/utilities',
  'js/validator',
  'containers/bindBankcard/bindBankcardPad',
  'hbs!containers/bindBankcard/bindBankcard',
  'hbs!components/placeOrder/placeOrderGoods/chooseGoodsItem',
  'hbs!advanceCredit/advanceCreditComponents/common/protocolArea/protocolArea',
  'hbs!components/common/protocolArea/protocolItem3',
  'hbs!components/common/button/button',
  'hbs!components/common/protocolArea/protocolFrame'
], function(
	$$,
	utilities,
	validator,
	bindBankcardPad,
	bindBankcardTemplate,
	chooseGoodsItemTemplate,
	protocolAreaTemplate,
	protocolItem3Template,
	buttonTemplate,
    protocolFrame
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var countDown = utilities.countDown;
  var getDay = utilities.getDay;
  var callWebHtml = utilities.callWebHtml;
  var infoQueryRouter = utilities.infoQueryRouter;
  
//  var bindPadEventBindBankcard = bindBankcardPad.bindPadEventBindBankcard;
  var jumpPageEventBindBankcard = bindBankcardPad.jumpPageEventBindBankcard;

  function render(params) {

	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	var bankList = params.bankList;
//	var bindBankcardTimeCount; 
	var bankcardIdCard = '';
	
//	f7.onPageBeforeAnimation('bankcard', function() {
//		clearInterval(bindBankcardTimeCount);
//	});
//	f7.onPageBeforeAnimation('orderConfirm', function() {
//		clearInterval(bindBankcardTimeCount);
//	});
	TalkingData.onPage('银行卡绑定页');
	
	// 渲染页面
	$('#bindBankcardContent').html(bindBankcardTemplate({}));
	
	// 回显姓名和身份证号
	callAppApi({
		url: '/app/userInfo',
		type: 'POST',
		params: {
			userId: loginStatus.userId,
			isOldUser: loginStatus.oldUser,
			oldId: loginStatus.oldId,
			userSession: loginStatus.userSession
		},
		successCallback: function(response) {
			bankcardIdCard = response.userIdentityCardNumber;
			$('#bindBankcardName').val(response.userName);
			$('#bindBankcardIdCard').val(response.userIdentityCardNumber.replace(/(\d{3})\d{12}(\d{3})/, '$1************$2'));
			$('#bindBankcardPhone').val(response.userPhoneNumber);
		},
		errorCallback: function(err) {}
	});
	
	// 渲染银行卡下拉框
	$('#chooseBank').html(chooseGoodsItemTemplate({optionsList: bankList}));
	
	  // 渲染城市选择框
	  var defaultProValueList = [];
	  var defaultProViewList = [];
	  
	  for (var o in PrivinceD) {
		  defaultProValueList.push(o);
		  defaultProViewList.push(PrivinceD[o].name);
	  }

	  var defaultCityValueList = [];
	  var defaultCityViewList = [];
	  
	  for (var p in Areadata['110000']['city']) {
		  defaultCityValueList.push(p);
		  defaultCityViewList.push(Areadata['110000']['city'][p].name);
	  }
	
	var pickerBankLocation = f7.picker({
		input: '#bankCardLocation',
	    rotateEffect: true,
	    toolbarCloseText: '完成',
	    formatValue: function (picker, values, displayValues) {	    	
	    	return displayValues[0] + ' ' + displayValues[1];
	    },
	    cols: [
	    	{
	    		textAlign: 'center',
	    		values: defaultProValueList,
	    		displayValues: defaultProViewList,
	            onChange: function (picker, value, displayValue) {
	                if(picker.cols[1].replaceValues){
	                	var proValueArr = [];
	                	var proViewArr = [];
	                	for (var i in Areadata[value]) {
	                		if (i === 'city') {
	                			for (var j in Areadata[value][i]) {
	                				proValueArr.push(j);
	                				proViewArr.push(Areadata[value][i][j].name)
	                			}
	                		}
	                	}
	                	
	                	picker.cols[1].replaceValues(proValueArr, proViewArr);
	                }
	            }
	    	},
	    	{
	    		textAlign: 'center',
	    		values: defaultCityValueList,
	            displayValues: defaultCityViewList,
	            width: 160
	    	}
	    ]
	});
	
	
	// 渲染navbar
	if(
	    params.fromPage === 'orderConfirm' ||
	    params.fromPage ==='bankcard' ||
	    params.fromPage == 'employeeBuyPayOrder' ||
	    params.fromPage === 'adultEducationOrderDetail'||
	    params.fromPage === 'firstPay' ||
	    params.fromPage === 'familyDecorationOnlineOrderDetail'
	){
		  loadComponent('navbar', 'common', {
				container: '#bindbankcardNavbar',
				title: '绑定银行卡',
				backId: 'bindBankcardBackBtn',
				isBackIcon: true,
				isBack: true,
				callback: function() {
					$('#bindBankcardBackBtn').on('click', function() {
//						// 清除倒计时
//		      			clearInterval(bindBankcardTimeCount);
//		      			$$('#bindBankcardVeriCodeBtn').text('获取验证码');
//		      			$$('#bindBankcardVeriCodeBtn').removeAttr('disabled');
		    			if (params.fromPage === 'bankcard') {				
		    				TalkingData.onEventWithLabel('银行卡绑定页', '返回首页');
		    				mainView.router.load({
		    					url: 'index.html',
		    					query: {
		    						orderId: params.orderId,
		    						baseBusinessType:params.baseBusinessType
		    					}
		    				});
		    				f7.showToolbar('#toolbar');
		    			}else if(params.fromPage === 'firstPay'){
		    				loadEmployeeBuyPage('firstPay', {
						    	query: {
									fromPage: 'bindBankcard',
									orderId: params.orderId,
									firstPayPrice:params.firstPayPrice,
				                    goodsName:params.goodsName
								}
						    });
		    			}
					})
				}
		 });
	}else if(
			   params.fromPage === 'perfectData' 
			|| params.fromPage === 'advanceCreditUploadIDCard'
			|| params.fromPage === 'dispathchAdress' 
			|| params.fromPage === "advanceCreditFamily" 
			|| params.fromPage === "medicalCareUploadEvidence"
			|| params.fromPage === 'adultEducationChooseGoods'
			|| params.fromPage === 'adultEducationOrderConfirm'
			|| params.fromPage === 'orderDetail'
			|| params.fromPage === 'familyDecorationOnlineChooseGoods'
			|| params.fromPage === 'familyDecorationOnlineOrderConfirm'
	){
	      loadComponent('navbar', 'common', {
	          container: '#bindbankcardNavbar',
	          title: '绑定银行卡',
	          backId: 'bindBankcardBackBtn',
	          isBackIcon: true,
	          isBack: true,
	          iconRightId: 'skipBindBankcardBtn',
	          iconRightStatus: true,
	          iconRight:'跳过',
	          iconRightClass: 'skipBindBankcardSkipBtn',
	          callback: function() {
	      		$('#bindBankcardBackBtn').on('click', function() {
	      			
//	      			// 清除倒计时
//	      			clearInterval(bindBankcardTimeCount);
//	      			$$('#bindBankcardVeriCodeBtn').text('获取验证码');
//	      			$$('#bindBankcardVeriCodeBtn').removeAttr('disabled');
	      			
	    			if (params.fromPage === 'orderConfirm') {				
	    				TalkingData.onEventWithLabel('银行卡绑定页', '返回确认下单页');
	    				mainView.router.load({
	    					url: 'orderConfirm.html',
	    					query: {
	    						orderId: params.orderId,
	    						 baseBusinessType:params.baseBusinessType
	    					}
	    				});
	    			} else if (params.fromPage === 'bankcard') {
//	    				clearInterval(bindBankcardTimeCount);
//	    				$$('#bindBankcardVeriCodeBtn').text('获取验证码');
//		      			$$('#bindBankcardVeriCodeBtn').removeAttr('disabled');
		      			
	    				//skapp数据收集
	    				TalkingData.onEventWithLabel('银行卡绑定页', '返回银行卡列表页');				
	    				mainView.router.back({
	    					url: 'bankcard.html',
	    				});				
	    				f7.showToolbar('#toolbar');
	    			} else if (params.fromPage === 'perfectData') {
//	    				clearInterval(bindBankcardTimeCount);
//	    				$$('#bindBankcardVeriCodeBtn').text('获取验证码');
//		      			$$('#bindBankcardVeriCodeBtn').removeAttr('disabled');
		      			
	    				//skapp数据收集
	    				TalkingData.onEventWithLabel('银行卡绑定页', '返回额度管理页面');
	    				 loadAdvanceCreditPage('creditManage', {
	    					  query: {
	    						  fromPage: 'me',
	    					  }
	    				  });
	    			}else if (params.fromPage === 'advanceCreditUploadIDCard') {
//	    				clearInterval(bindBankcardTimeCount);
//	    				$$('#bindBankcardVeriCodeBtn').text('获取验证码');
//		      			$$('#bindBankcardVeriCodeBtn').removeAttr('disabled');
		      			
	    				//skapp数据收集
	    				TalkingData.onEventWithLabel('银行卡绑定页', '返回银行卡列表页');
	    				loadAdvanceCreditPage('uploadIDCard', {
	    					query: {
	    						fromPage: 'bindBankcard',
	    						userId: loginStatus.userId,
	    						evidenceKey: params.evidenceKey,
	    						creditAuditId: params.creditAuditId
	    					}
	    				});
	    			}else if(params.fromPage === 'dispathchAdress'){
//	    				clearInterval(bindBankcardTimeCount);
//	    				$$('#bindBankcardVeriCodeBtn').text('获取验证码');
//		      			$$('#bindBankcardVeriCodeBtn').removeAttr('disabled');
		      			
	    				//skapp数据收集
	    				TalkingData.onEventWithLabel('银行卡绑定页', '返回银行卡列表页');
	    				loadFamilyDecorationPage('dispathchAdress', {
	    					query: {
	    						fromPage: 'bindBankcard',
	    						userId: loginStatus.userId,
	    						evidenceKey: params.evidenceKey,
	    						creditAuditId: params.creditAuditId
	    					}
	    				});
	    			} else if (params.fromPage === 'employeeBuyPayOrder') {
//	    				// 员工购支付订单页面绑卡引导绑卡成功
//	    				clearInterval(bindBankcardTimeCount);
//	    				$$('#bindBankcardVeriCodeBtn').text('获取验证码');
//		      			$$('#bindBankcardVeriCodeBtn').removeAttr('disabled');
		      			
	    				loadEmployeeBuyPage('payOrder', {
	    					query: {
	    						fromPage: 'bindBankcard'
	    					}
	    				});
	    			} else if (params.fromPage === 'medicalCareUploadEvidence' || params.fromPage === 'advanceCreditFamily') {
//	    				clearInterval(bindBankcardTimeCount);
//	    				$$('#bindBankcardVeriCodeBtn').text('获取验证码');
//		      			$$('#bindBankcardVeriCodeBtn').removeAttr('disabled');
		      			
	    				//skapp数据收集
	    				TalkingData.onEventWithLabel('银行卡绑定页', '返回额度管理页面');
	    				 loadAdvanceCreditPage('creditManage', {
	    					  query: {
	    						  fromPage: 'me',
	    					  }
	    				  });
	    			} else if (params.fromPage === 'adultEducationChooseGoods') {
//	    				clearInterval(bindBankcardTimeCount);
//	    				$$('#bindBankcardVeriCodeBtn').text('获取验证码');
//		      			$$('#bindBankcardVeriCodeBtn').removeAttr('disabled');
		      			
	    				mainView.router.back({
	    					url: 'index.html',
	    					force: true
	    				});
	    				f7.showToolbar('#toolbar');
	    			} else if(params.fromPage === 'adultEducationOrderConfirm'){
						loadAdultEducationPage('orderConfirm', {
							query: {
								fromPage: 'adultEducationOrderConfirm',
								baseBusinessType:"003002",
								orderId: params.orderId,
							}
						});
					} else if(params.fromPage === 'setPassword'){
//						clearInterval(bindBankcardTimeCount);
	    				mainView.router.back({
	    					url: 'index.html',
	    					force: true
	    				});
	    				f7.showToolbar('#toolbar');
					} else if (params.fromPage === 'familyDecorationOnlineChooseGoods') {
//                        clearInterval(bindBankcardTimeCount);
//                        $$('#bindBankcardVeriCodeBtn').text('获取验证码');
//                        $$('#bindBankcardVeriCodeBtn').removeAttr('disabled');
                        
                        mainView.router.back({
                            url: 'index.html',
                            force: true
                        });
                        f7.showToolbar('#toolbar');
                    } else if(params.fromPage === 'familyDecorationOnlineOrderConfirm') {
                        loadFamilyDecorationOnlinePage('orderConfirm', {
                            query: {
                                fromPage: 'familyDecorationOnlineOrderConfirm',
                                baseBusinessType:"004003",
                                orderId: params.orderId,
                            }
                        });
                    }
	    		});
	    		
	      		//跳过按钮点击事件		
	    		if(		   params.fromPage === 'perfectData'
	    				|| params.fromPage === 'dispathchAdress' 
	    				|| params.fromPage === "advanceCreditFamily"
	    				|| params.fromPage === "medicalCareUploadEvidence"){
	    			$('#skipBindBankcardBtn').on('click', function() {
	    	            loadAdvanceCreditPage('creditManage', {
	    	                query: {
	    	                	status:"10"
	    	                }
	    	            });
	    			})
	    		}else if(params.fromPage === 'advanceCreditUploadIDCard'){
	    			$('#skipBindBankcardBtn').on('click', function() {
	    	            loadAdvanceCreditPage('creditManage', {
	    	                query: {
	    	                	status:"10"
	    	                }
	    	            });
	    			})
	    		}else if(params.fromPage === 'adultEducationChooseGoods') {
	    			$('#skipBindBankcardBtn').on('click', function() {
	    				
	    				
	    				localStorage.removeItem('adultEducationSkipBindBankcard_' + params.orderId);
	    				
	    				loadAdultEducationPage('uploadEvidence', {
	    					query: {
	    						fromPage: 'bindBankcard',
	    					}
	    				});
	    			});
	    		}else if(params.fromPage === 'orderDetail'){
	    			$('#skipBindBankcardBtn').on('click', function() {
	    				mainView.router.load({
	    					url : 'orderDetail.html',
	    					query : {
	    						fromPage: 'bindBankcard',
	    						orderId: params.orderId,
	    						baseBusinessType: "003002",
	    					}
	    				});
	    			});
	    		} else if(params.fromPage === 'familyDecorationOnlineChooseGoods') {
                    $('#skipBindBankcardBtn').on('click', function() {
//                        loadFamilyDecorationOnlinePage('materialUpload', {
//                            query: {
//                                fromPage: 'bindBankcard',
//                            }
//                        });
                        infoQueryRouter('004003', {
                            query:{
                                fromPage: 'bindBankcard'
                            }
                        }, loadFamilyDecorationOnlinePage);
                    });
                }
	          }
	      });
	}

	// 渲染按钮
	$('#bankcardBtn').html(buttonTemplate({
		id : 'bankcardConfirmBtn',
		value : '确认',
		disabled : false,
	}));
	var winHeight = $(window).height();
	$(window).resize(function(){
		if($(window).height() < winHeight){
			$$('#bankcardBtn').hide();
			$$('#bankcardProtocol').hide();
		}else{
			$$('#bankcardBtn').show();
			$$('#bankcardProtocol').show();
		}
	})
	if(
			params.fromPage === 'perfectData' ||
			params.fromPage === 'advanceCreditUploadIDCard'||
			params.fromPage === 'dispathchAdress' || 
			params.fromPage === 'employeeBuyPayOrder'||
			params.fromPage === 'advanceCreditFamily'||
			params.fromPage === 'medicalCareUploadEvidence' ||
			params.fromPage === 'adultEducationChooseGoods' ||
			params.fromPage === 'setPassword'||
			params.fromPage === 'adultEducationOrderConfirm' ||
			params.fromPage === 'adultEducationOrderDetail'  ||
			params.fromPage === 'firstPay' ||
			params.fromPage === 'familyDecorationOnlineChooseGoods' ||
			params.fromPage === 'familyDecorationOnlineOrderConfirm' ||
			params.fromPage === 'familyDecorationOnlineOrderDetail'
			
	){
    	$$('#bankcardProtocol').html(protocolAreaTemplate({
        	protocolItem1: {
        		id: 'bankcardProtocol1',
        		title: '《自动扣款协议》'
        	}
        }));
    	$$('#bankcardProtocol input').attr('checked',true);
    	
        $$('#bankcardProtocol1').on('click', function() {
        	var chargedArr=$$("#bankCardLocation").val().split(" ");
        	callWebHtml({
        		url: '/agreement/agrTemplateAutoPayment',
        		type: 'POST',
        		params: {
        			userId: loginStatus.userId,
        			orderId: '',
        			baseBusinessType: params.baseBusinessType || '',
        			templateId:'3',
        			bankCardNumber:$$("#bindBankcardNumber").val(),
        			chargedBankProvince:chargedArr[0],
        			chargedBankCity:chargedArr[1] || "",
        			bankName:$("#chooseBank")[0].selectedOptions[0].innerHTML
        			
        		},
        		successCallback: function(response) {
        			
    				$('#popupBindBankcardItem1').html(protocolFrame({
    					protocolId: "agreementAutoPayment",
    					protocolName: "《扣款授权书》",
    					protocolWidth: $('body').width(),
    					protocolHeight: $('body').height() - 56
    				}));
//    				$$("#agreementAutoPayment").contents().find("html").html(response);
    				$$("#agreementAutoPayment").contents().find("html")[0].innerHTML = response;
    				f7.popup('#popupBindBankcardItem1');
        		},
        		errorCallback: function(err) {}
        	});
        });
	}	
	

	
//	if (params.fromPage === 'orderConfirm') {
//		// Pad埋点事件绑定
//		bindPadEventBindBankcard();
//	}

	if (params.fromPage === 'orderConfirm') {
//		jumpPageEventStartBindBankcard();
		jumpPageEventBindBankcard();
	}
	
	// 中国银行特殊逻辑
	$('#chooseBank').on('change', function() {
		
		if ($(this).children()[0].selected === true) {
			f7.alert('请选择银行');
		}
		
		for (var i = 0; i < $(this).children().length; i++) {
			if ($(this).children()[i].selected === true) {
				if ($(this).children()[i].value === '104') {
					$('#specialBankItem').removeClass('hide');
				} else {
					$('#specialBankItem').addClass('hide');
				}
			}
		}
	});
	
//	// 获取验证码
//	var serialNo = '';
//	var txSNBinding = '';
//	$('#bindBankcardVeriCodeBtn').on('click', function() {
//
//		if ($('#chooseBank').children()[0].selected === true) {
//			f7.alert('请选择银行');
//			return false;
//		}
//		
//		if (!validator.checkBankNo($('#bindBankcardNumber').val())) {
//			f7.alert('请输入正确的银行卡号');
//			return false;
//		}
//		
//		if (validator.isNull($('#bindBankcardName').val())) {
//			f7.alert('请输入姓名');
//			return false;
//		}
//		
//		if (!validator.checkPersonId(bankcardIdCard)) {
//			f7.alert('请输入身份证号');
//			return false;
//		}
//		
//		if (!validator.checkTel($('#bindBankcardPhone').val())) {
//			f7.alert('请输入正确手机号');
//			return;
//		}
//		
//		var bankName = '';
//		var bankId = '';
//		
//		for (var i = 0; i < $('#chooseBank').children().length; i++) {
//			if ($('#chooseBank').children()[i].selected === true) {
//				bankId = $('#chooseBank').children()[i].value;
//				bankName = $('#chooseBank').children()[i].innerHTML;
//			}
//		}
//		
//		callAppApi({
//			url: '/module/bankcard/bankCardCheck',
//			type: 'POST',
//			params: {
//				userId: loginStatus.userId,
//				bankName: bankName,
//				bankId: bankId,
//				bankCardNumber: $('#bindBankcardNumber').val(),
//				bankUserName: $('#bindBankcardName').val(),
//				bankUserIdentityCard: bankcardIdCard,
//				bankUserReservedPhone : $('#bindBankcardPhone').val(),
//				bankType: '2'
//			},
//			successCallback: function(response) {
//				serialNo = response.serialNo;
//				txSNBinding = response.txSNBinding;
//				
//				$('#bankcardConfirmBtn').removeAttr('disabled');
//				$('#bankcardConfirmBtn').css({
//					color: '#fff',
//					background: '#f4610b'
//				});
//			},
//			errorCallback: function(err) {}
//		});
//		
//		bindBankcardTimeCount=countDown('#bindBankcardVeriCodeBtn', 60, '获取验证码');
//	});
	
	// 按钮点击事件
	$('#bankcardConfirmBtn').on('click', function() {
		var bankName = '';
		var bankId = '';
	
		for (var i = 0; i < $('#chooseBank').children().length; i++) {
			if ($('#chooseBank').children()[i].selected === true) {
				bankName = bankList[i].view;
				bankId = bankList[i].value;
			}
		}
		
		if (validator.isNull(bankName) || validator.isNull(bankId)) {
			f7.alert('请选择银行');
			return false;
		}
		
		if (!validator.checkBankNo($('#bindBankcardNumber').val())) {
			f7.alert('请输入正确的银行卡');
			return false;
		}
		if (validator.isNull($('#bindBankcardName').val())) {
			f7.alert('请输入姓名');
			return false;
		}
		if (!validator.checkPersonId(bankcardIdCard)) {
			f7.alert('请输入正确的身份证号');
			return false;
		}
		if (!validator.checkTel($('#bindBankcardPhone').val())) {
			f7.alert('请输入正确的预留手机号');
			return false;
		}
		if(
				params.fromPage === 'perfectData' ||
				params.fromPage === 'advanceCreditUploadIDCard' ||
				params.fromPage === 'dispathchAdress' ||
				params.fromPage === 'employeeBuyPayOrder' ||
				params.fromPage === 'medicalCareUploadEvidence' ||
				params.fromPage === 'advanceCreditFamily' ||
				params.fromPage === 'adultEducationChooseGoods' ||
				params.fromPage === 'setPassword' ||
				params.fromPage === 'adultEducationOrderConfirm' ||
				params.fromPage === 'adultEducationOrderDetail' ||
				params.fromPage === 'firstPay' ||
				params.fromPage === 'familyDecorationOnlineChooseGoods' ||
	            params.fromPage === 'familyDecorationOnlineOrderConfirm' ||
	            params.fromPage === 'familyDecorationOnlineOrderDetail'
				
		){
			if (!$('#bankcardProtocol input')[0].checked) { f7.alert('请阅读并同意协议'); return false; }
		}
			
//		if (txSNBinding === '') {
//			f7.alert('请发送验证码');
//			return false;
//		}
//		if (validator.isNull($('#bindBankcardVeriCode').val())) {
//			f7.alert('请输入验证码');
//			return false;
//		}
//		if (!/^\d{6}$/.test($('#bindBankcardVeriCode').val())) {
//			f7.alert('请输入6位验证码');
//			$('#bindBankcardVeriCode').val('');
//			return false;
//		}
		
		
		var bankProvince = '';
		var bankCity = '';

		if (pickerBankLocation.displayValue && bankId === '104') {
			bankProvince = pickerBankLocation.displayValue[0];
			bankCity = pickerBankLocation.displayValue[1];
		}

		callAppApi({
			url: '/module/bankcard/bankCardVerify',
			type: 'POST',
			params: {
				userId: loginStatus.userId,
				bankName: bankName,//银行名称
				bankId: bankId,//银行对应id
				bankCardNumber : $('#bindBankcardNumber').val(),//银行卡号
				bankUserName: $('#bindBankcardName').val(),//用户名称
				bankUserIdentityCard: bankcardIdCard,//身份证号
				bankUserReservedPhone: $('#bindBankcardPhone').val(),//预留手机号码
				bankType: "2",// 卡类型，预留字段 1 额度激活卡，2 绑定银行卡，3 批扣卡
//		    	SMSValidationCode: $('#bindBankcardVeriCode').val(),// 用户输入的验证码
//		    	txSNBinding: txSNBinding//短信验证码发送id
			},
			successCallback: function() {
				if (params.fromPage === 'bankcard') {
					mainView.router.loadPage('bankcard.html');
					f7.showToolbar('#toolbar');
				} else if (
					params.fromPage === 'orderConfirm' || 
					params.fromPage === 'advanceCreditUploadIDCard' ||
					params.fromPage === 'perfectData' ||
					params.fromPage === 'dispathchAdress' || 
					params.fromPage === 'employeeBuyPayOrder' ||
					params.fromPage === 'medicalCareUploadEvidence' ||
					params.fromPage === 'advanceCreditFamily' ||
					params.fromPage === 'adultEducationChooseGoods' ||
					params.fromPage === 'adultEducationOrderConfirm' ||
					params.fromPage === 'adultEducationOrderDetail' ||
					params.fromPage === 'orderDetail' ||
					params.fromPage === 'firstPay' ||
					params.fromPage === 'familyDecorationOnlineChooseGoods' ||
		            params.fromPage === 'familyDecorationOnlineOrderConfirm' ||
		            params.fromPage === 'familyDecorationOnlineOrderDetail'
				) {
					callAppApi({
						url: '/module/bankcard/replaceBatchCard',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							bankCardNumber: $('#bindBankcardNumber').val()
						},
						successCallback: function() {
							f7.alert('绑卡成功，该卡将用于每期自动还款');

							TalkingData.onEventWithLabel('银行卡绑定页', '绑卡成功');
							
							if (params.fromPage === 'orderConfirm') {
							  	mainView.router.load({
							  		url: 'orderConfirm.html',
							  		query: {
							  			orderId: params.orderId,
							  			baseBusinessType: params.baseBusinessType
							  		}
							  	});
							} else if (params.fromPage === 'advanceCreditUploadIDCard' ) {
	                            loadAdvanceCreditPage('creditManage', {
	                                query: {
	                                	status:"10"
	                                }
	                            });
							}else if(params.fromPage === 'perfectData'||params.fromPage === 'dispathchAdress' || params.fromPage === 'medicalCareUploadEvidence' || params.fromPage === 'advanceCreditFamily'){
								loadAdvanceCreditPage('creditManage', {
					                query: {
					                	status:"10"
					                }
					            })
							} else if (params.fromPage === 'employeeBuyPayOrder') {
								loadEmployeeBuyPage('payOrder', {
									query: {
										fromPage: 'bindBankcard'
									}
								});
							} else if (params.fromPage === 'adultEducationChooseGoods') {
								
								localStorage.removeItem('adultEducationSkipBindBankcard_' + params.orderId);
								
			    				loadAdultEducationPage('uploadEvidence', {
			    					query: {
			    						fromPage: 'bindBankcard',
			    					}
			    				});
							}else if(params.fromPage === 'adultEducationOrderConfirm'){
								loadAdultEducationPage('orderConfirm', {
									query: {
										fromPage: 'bindBankcard',
										baseBusinessType:"003002",
										orderId: params.orderId,
									}
								});
							}else if(params.fromPage === 'adultEducationOrderDetail'){
								mainView.router.load({
									url : 'orderDetail.html',
									query : {
										fromPage: 'bindBankcard',
										orderId: params.orderId,
										baseBusinessType:"003002",
									}
								});
							}else if(params.fromPage ==="firstPay"){
								loadEmployeeBuyPage('firstPay', {
							    	query: {
										fromPage: 'bindBankcard',
										orderId: params.orderId,
										firstPayPrice:params.firstPayPrice,
					                    goodsName:params.goodsName
									}
							    });
							} else if (params.fromPage === 'familyDecorationOnlineChooseGoods') {
							    loadFamilyDecorationOnlinePage('materialUpload', {
							        query: {
							            fromPage: 'bindBankcard'
							        }
							    });
							} else if (params.fromPage === 'familyDecorationOnlineOrderConfirm') {
                                loadFamilyDecorationOnlinePage('orderConfirm', {
                                    query: {
                                        fromPage: 'bindBankcard',
                                        baseBusinessType:"004003",
                                        orderId: params.orderId,
                                    }
                                });
                            } else if (params.fromPage === 'familyDecorationOnlineOrderDetail') {
                                mainView.router.load({
                                    url : 'orderDetail.html',
                                    query : {
                                        fromPage: 'bindBankcard',
                                        orderId: params.orderId,
                                        baseBusinessType:"004003",
                                    }
                                });
                            }
						},
						errorCallback: function(err) {
							TalkingData.onEventWithLabel('银行卡绑定页', '绑卡失败');
						}
					})
				}
//				clearInterval(bindBankcardTimeCount);
			},
			errorCallback: function(err) {}
		});
	});
	
  }

  return {
	render: render
  }
});
