define([
  'js/config',
  'js/plugins',
  'js/utilities',
  'containers/checkFace/checkFaceView'
], function(
  config,
  plugins,
  utilities,
  checkFaceView
) {
  
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var detectFrontCamera = plugins.detectFrontCamera;
	
  function init(query) {
	  
	// 隐藏底部工具栏
	if (mainView.activePage.name === 'checkFace') {
		f7.hideToolbar('#toolbar');
	}
	
	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	
	if (typeof query.faceTimes === 'undefined') {
		// 默认剩余次数
		query.faceTimes = 3;
	}
	
	callAppApi({
		url: '/app/userInfo',
		type: 'POST',
		params: {
			userId: loginStatus.userId,
			userSession: loginStatus.userSession
		},
		successCallback: function(response) {
			
			var frontCameraStatus = true;
			
			/**
			 * 检测是否有前置摄像头，如果有设置为true，没有设置为false
			 */
			detectFrontCamera(function(res) {
				frontCameraStatus = true;
				viewRender()
			}, function(err) {
				frontCameraStatus = false;
				viewRender()
			});
			function viewRender(){
				checkFaceView.render({
					userName: response.userName,
					userIdentityCardNumber: response.userIdentityCardNumber,
					orderId: query.orderId,
					userAreaCode: response.userAreaCode,
					userPhoneNumber: response.userPhoneNumber,
					faceTimes: query.faceTimes,
					frontCameraStatus: frontCameraStatus
				});
			}
			
		},
		errorCallback: function(err) {}
	});

  }

  return {
	init: init
  };
});
