define([
	'js/utilities',
	'js/uploadImg',
	'jquery',
	'containers/uploadEvidence/uploadEvidenceHelper',
	'hbs!containers/checkInfo/checkInfo',
	'hbs!components/common/button/button',
	'hbs!components/checkInfo/evidenceTabBox/evidenceTabBox'
], function(
	utilities,
	uploadImg,
	$$,
	uploadEvidenceHelper,
	checkInfoTemplate,
	buttonTemplate,
	evidenceTabBoxTemplate
) {
	var callAppApi = utilities.callAppApi;
	var getDay = utilities.getDay;
	
	var getEvidencePicId = uploadEvidenceHelper.getEvidencePicId;
	var getEvidencePicIndex = uploadEvidenceHelper.getEvidencePicIndex;
	var getEvidencePicName = uploadEvidenceHelper.getEvidencePicName;
	
	function render(params) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));

		// 存入localStorage中的值
		var evidenceFrontIdCardArr = [];
		var evidenceBackIdCardArr = [];
//		var evidenceHoldIdCardArr = [];
		
		var evidenceWorkArr = [];
		var evidenceDwellingArr = [];
		var evidenceQualificationArr = [];
		var evidenceOtherArr = [];
		
		if (params.fromPage === 'checkFace' || params.fromPage === 'checkUserIdCard') {
			localStorage.setItem('evidenceFrontIdCardArr', JSON.stringify(evidenceFrontIdCardArr));
			localStorage.setItem('evidenceBackIdCardArr', JSON.stringify(evidenceBackIdCardArr));
//			localStorage.setItem('evidenceHoldIdCard', JSON.stringify(evidenceHoldIdCardArr));
			localStorage.setItem('evidenceWorkArr', JSON.stringify(evidenceWorkArr));
			localStorage.setItem('evidenceDwellingArr', JSON.stringify(evidenceDwellingArr));
			localStorage.setItem('evidenceQualificationArr', JSON.stringify(evidenceQualificationArr));
			localStorage.setItem('evidenceOtherArr', JSON.stringify(evidenceOtherArr));
		} else if (params.fromPage === 'uploadEvidence') {
			evidenceFrontIdCardArr = JSON.parse(localStorage.getItem('evidenceFrontIdCardArr'));
			evidenceBackIdCardArr = JSON.parse(localStorage.getItem('evidenceBackIdCardArr'));
//			evidenceHoldIdCardArr = JSON.parse(localStorage.getItem('evidenceHoldIdCard'));
			evidenceWorkArr = JSON.parse(localStorage.getItem('evidenceWorkArr'));
			evidenceDwellingArr = JSON.parse(localStorage.getItem('evidenceDwellingArr'));
			evidenceQualificationArr = JSON.parse(localStorage.getItem('evidenceQualificationArr'));
			evidenceOtherArr = JSON.parse(localStorage.getItem('evidenceOtherArr'));
		}
		
		TalkingData.onPage('完善资料');
		TalkingData.onPageBegin('完善资料完成上传所需时间');
		
		// 渲染navbar
		loadComponent('navbar', 'common', {
			container: '#checkInfoNavbar',
			title: '完善资料',
			backClass: 'placeOrderBackBtn',
			isBackIcon: true,
			isBack: false
		});
		
		// 渲染上传资料主内容
		$$('#checkInfoContent').html(checkInfoTemplate({
			checkInfoHeader: '身份证明材料',
			previewText: '请确保本人证件拍摄完整，字迹清晰'
		}));
		
		// 渲染头部状态栏
		loadComponent('placeOrderTabbar', 'placeOrder', {
			container: '#checkInfoTabbar',
			tabIndex: 3
		});
		$$('#checkInfoContent').html(checkInfoTemplate({}));
		
		$$('#placeOrderInfoBtnBox').html(buttonTemplate({
			id : 'placeOrderInfoBtn',
			value : '提交审核',
		}));

		$$('#evidenceBox').html(checkInfoTemplate({
			evidenceTabList: [
				{
					evidenceKey: 'evidenceIdCard',
					tabTitle: getEvidencePicName('evidenceIdCard'),
					mustStatus: true,
					tabStatus: (function() {
						var frontIdCardStatus = false;
						var backIdCardStatus = false;
						
						if (evidenceFrontIdCardArr.length > 0 && evidenceFrontIdCardArr[0].cloudKey !== '' && evidenceFrontIdCardArr[0].cloudUrl !== '') {
							frontIdCardStatus = true;
						}
						if (evidenceBackIdCardArr.length > 0 && evidenceBackIdCardArr[0].cloudKey !== '' && evidenceBackIdCardArr[0].cloudUrl !== '') {
							backIdCardStatus = true;
						}

						if (frontIdCardStatus === true && backIdCardStatus === true) {
							return true;
						} else {
							return false;
						}
					})()
				},
//				{
//					evidenceKey: 'evidenceFrontIdCard',
//					tabTitle: getEvidencePicName('evidenceFrontIdCard'),
//					mustStatus: true,
//					tabStatus: evidenceFrontIdCardArr.length >= 1 ? true : false
//				},
//				{
//					evidenceKey: 'evidenceBackIdCard',
//					tabTitle: getEvidencePicName('evidenceBackIdCard'),
//					mustStatus: true,
//					tabStatus: evidenceBackIdCardArr.length >= 1 ? true : false
//				},
				{
					evidenceKey: 'evidenceQualification',
					tabTitle: getEvidencePicName('evidenceQualification'),
					promptText: '（请按要求上传两项材料）',
					mustStatus: true,
//					tabStatus: evidenceQualificationArr.length >= 2 ? true : false
					tabStatus: (function() {
						var tabStatusKey1 = evidenceQualificationArr.some(function(item) {
							return item.picType === '1';
						});
						var tabStatusKey2 = evidenceQualificationArr.some(function(item) {
							return item.picType === '2';
						});
						
						if (tabStatusKey1 === true && tabStatusKey2 === true) {
							return true;
						} else {
							return false;
						}
					})()
				},
				// 可选材料提示状态栏
				{
					otherPromptBar: true,
					otherPromptBarText: '以下为可选材料，可帮助您更快通过审核'
				},
				{
					evidenceKey: 'evidenceWork',
					tabTitle: getEvidencePicName('evidenceWork'),
					mustStatus: false,
					tabStatus: evidenceWorkArr.length >= 1 ? true : false
				},
				{
					evidenceKey: 'evidenceDwelling',
					tabTitle: getEvidencePicName('evidenceDwelling'),
					mustStatus: false,
					tabStatus: evidenceDwellingArr.length >= 1 ? true : false
				},
				{
					evidenceKey: 'evidenceOther',
					tabTitle: getEvidencePicName('evidenceOther'),
					mustStatus: false,
					tabStatus: evidenceOtherArr.length >= 1 ? true : false
				}
			]
		}));
		
		// 跳转上传证件页面
		$$('.evidence-tab-item').on('click', function() {
			mainView.router.load({
				url: 'uploadEvidence.html',
				query: {
					orderId: params.orderId,
					fromPage: 'checkInfo',
					evidenceKey: $$(this).attr('data-evidenceKey')
				}			
			})
			if($$(this).attr('data-evidenceKey')=='evidenceQualification'){
				TalkingData.onEventWithLabel('完善资料', '上传资质证明材料');
			}			
			if($$(this).attr('data-evidenceKey')=='evidenceWork'){
				TalkingData.onEventWithLabel('完善资料', '上传工作收入证明材料');
			}
			if($$(this).attr('data-evidenceKey')=='evidenceDwelling'){
				TalkingData.onEventWithLabel('完善资料', '上传居住证明材料');
			}
			if($$(this).attr('data-evidenceKey')=='evidenceOther'){
				TalkingData.onEventWithLabel('上传其他材料');
			}
		})
		
		$$('#placeOrderInfoBtn').on('click', function() {
			//skapp数据收集：提交审核
			TalkingData.onPageEnd('完善资料完成上传所需时间')
			
			if (evidenceFrontIdCardArr.length < 1) { f7.alert('请上传身份证正面照片'); return false; }
			if (evidenceBackIdCardArr.length < 1) { f7.alert('请上传身份证背面照片'); return false; }
			if (evidenceQualificationArr.length < 2) { f7.alert('请上传至少两张资质证明材料'); return false; }
			
			var evidenceFrontIdCardData = evidenceFrontIdCardArr.map(function(item, index) {
//				var evidencePicIndex = getEvidencePicIndex(index + 1);
				
				return {
//					picId: getEvidencePicId('evidenceFrontIdCard') + evidencePicIndex,
					picId: item.picId,
					picType: '1',
					picName: getEvidencePicName('evidenceFrontIdCard'),
					cloudKey: item.cloudKey,
					cloudUrl: item.cloudUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: ''
				}
			});
			
			var evidenceBackIdCardData = evidenceBackIdCardArr.map(function(item, index) {
//				var evidencePicIndex = getEvidencePicIndex(index + 1);
				
				return {
//					picId: getEvidencePicId('evidenceBackIdCard') + evidencePicIndex,
					picId: item.picId,
					picType: '1',
					picName: getEvidencePicName('evidenceBackIdCard'),
					cloudKey: item.cloudKey,
					cloudUrl: item.cloudUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: ''
				}
			});
			
			// 资质证明材料
			var evidenceQualificationData = evidenceQualificationArr.map(function(item, index) {
//				var evidencePicIndex = getEvidencePicIndex(index + 1);

				return {
//					picId: getEvidencePicId('evidenceQualification') + evidencePicIndex,
					picId: item.picId,
					picType: item.picType,
					picName: item.picName,
					cloudKey: item.cloudKey,
					cloudUrl: item.cloudUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: ''
				}
			});
			var evidenceWorkData = evidenceWorkArr.map(function(item, index) {
//				var evidencePicIndex = getEvidencePicIndex(index + 1);
				
				return {
//					picId: getEvidencePicId('evidenceWork') + evidencePicIndex,
					picId: item.picId,
					picType: '1',
					picName: getEvidencePicName('evidenceWork'),
					cloudKey: item.cloudKey,
					cloudUrl: item.cloudUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: ''
				}
			});
			var evidenceDwellingData = evidenceDwellingArr.map(function(item, index) {
//				var evidencePicIndex = getEvidencePicIndex(index + 1);
				
				return {
//					picId: getEvidencePicId('evidenceDwelling') + evidencePicIndex,
					picId: item.picId,
					picType: '1',
					picName: getEvidencePicName('evidenceDwelling'),
					cloudKey: item.cloudKey,
					cloudUrl: item.cloudUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: ''
				}
			});
			
			var evidenceOtherData = evidenceOtherArr.map(function(item, index) {
//				var evidencePicIndex = getEvidencePicIndex(index + 1);
				
				return {
//					picId: getEvidencePicId('evidenceOther') + evidencePicIndex,
					picId: item.picId,
					picType: '1',
					picName: getEvidencePicName('evidenceOther'),
					cloudKey: item.cloudKey,
					cloudUrl: item.cloudUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: ''
				}
			});
			
			callAppApi({
				url: '/app/order/update',
				type: 'POST',
				params: {
					orderId: params.orderId,
					userId: loginStatus.userId,
					orderStatus: '13',
					orderEvidenceFrontIdCard: JSON.stringify(evidenceFrontIdCardData) !== '[]' ? JSON.stringify(evidenceFrontIdCardData) : '',
					orderEvidenceBackIdCard: JSON.stringify(evidenceBackIdCardData) !== '[]' ? JSON.stringify(evidenceBackIdCardData) : '',
					orderEvidenceHoldIdCard: '',
					orderEvidenceQualification: JSON.stringify(evidenceQualificationData) !== '[]' ? JSON.stringify(evidenceQualificationData) : '',
					orderEvidenceWork: JSON.stringify(evidenceWorkData) !== '[]' ? JSON.stringify(evidenceWorkData) : '',
					orderEvidenceDwelling: JSON.stringify(evidenceDwellingData) !== '[]' ? JSON.stringify(evidenceDwellingData) : '',
					orderEvidenceOther: JSON.stringify(evidenceOtherData) !== '[]' ? JSON.stringify(evidenceOtherData) : '',
				},
				successCallback: function(response) {
					
					//skapp数据收集：提交审核
					TalkingData.onEventWithLabel('完善资料', '提交审核');
					
					mainView.router.load({
						url : 'orderDetail.html',
						query : {
							orderId: params.orderId,
							baseBusinessType:"002001"
						}
					});
				},
				errorCallback: function(err) {}
			});
		});
	}

	return {
		render : render
	}
});
