define([
	'js/config',
	'js/utilities',
	'js/uploadImg',
	'containers/uploadEvidence/uploadEvidenceHelper',
    'containers/checkUserIdCard/checkUserIdCardPad',
	'hbs!components/common/button/button',
	'hbs!containers/checkUserIdCard/checkUserIdCard'
], function(
	config,
	utilities,
	uploadImg,
	uploadEvidenceHelper,
	checkUserIdCardPad,
	buttonTemplate,
	checkUserIdCardTemplate
) {
	var $ = Framework7.$;
	var baseHost = config.baseHost;
	
	var callAppApi = utilities.callAppApi;
	
	var takePicture = uploadImg.takePicture;
	var choosePhoto = uploadImg.choosePhoto;
	var getDay = utilities.getDay;
	
	var getEvidencePicId = uploadEvidenceHelper.getEvidencePicId;
	var getEvidencePicIndex = uploadEvidenceHelper.getEvidencePicIndex;
	var getEvidencePicName = uploadEvidenceHelper.getEvidencePicName;
	  //埋点需求
   	 var bindPadCheckUserIdCard = checkUserIdCardPad.bindPadCheckUserIdCard;
   	 var sendPadCheckUserIdCard = checkUserIdCardPad.sendPadCheckUserIdCard;
	function render(params) {
		
		TalkingData.onPage("其他认证方式（上传资料）页");		
		TalkingData.onPageBegin("其他认证方式（上传资料）页");	
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		var userIdCardImgId = '';
		var userIdCardUrl = '';
		
		// 渲染navbar
		loadComponent('navbar', 'common', {
			container: '#checkUserIdCardNavbar',
			title: '上传手持身份证',
			backClass: 'placeOrderBackBtn',
			isBackIcon: true,
			isBack: false
		});
		
		// 渲染上传手持身份证照片主内容
		$('#checkUserIdCardContent').html(checkUserIdCardTemplate());
		
		
		// 渲染头部状态栏
		loadComponent('placeOrderTabbar', 'placeOrder', {
			container: '#checkUserIdCardTabbar',
			tabIndex: 2
		});
		
		// 渲染底部按钮
		$('#checkUserIdButton').html(buttonTemplate({
			id: 'checkUserIdCardUploadBtn',
			value: '点击上传',
			disabled: false,
			color: '#FFF',
			bgColor: '#69adef'
		}));
		
		$('#checkUserIdNextButton').html(buttonTemplate({
			id: 'checkUserIdNextBtn',
			value: '下一步',
			disabled: true,
			color: '#FFF',
			bgColor: '#69adef'
		}));
		
		// 成功回调函数
		function uploadUserIdCardSuccess(token,i,u,t,data,imgId) {
			f7.hideIndicator();
			
			userIdCardImgId = imgId;
			userIdCardUrl = token.iobsCloudUrl;

        	$('#checkUserIdNextBtn').removeAttr('disabled');
        	$('#checkUserIdNextBtn').css({
        		backgroundColor: '#69adef'
        	})
        	$('.user-idCard-pic').hide();
        	sendPadCheckUserIdCard( params.orderId)
		}
		
		function uploadUserIdCard(params){
			 var buttons1 = 
			    [
			        {
			            text: '拍摄',
			            onClick: function () {

			            	takePicture('','','userIdCard',uploadUserIdCardSuccess,'','');
			            	
//			            	if (params.type === 'idCardFront') {
//			            		takePicture('uploadcertid','Order','certFront',OmUploadSuccess,'Upload','OrderUpload');
//			            	} else if (params.type === 'idCardBack') {
//			            		takePicture('uploadcertid','Order','certBack',OmUploadSuccess,'Upload','OrderUpload');
//			            	}
			            }
			        },
			        {
			            text: '从相册选择',
			            onClick: function () {
			            	choosePhoto('','','userIdCard',uploadUserIdCardSuccess,'','');
//			            	if (params.type === 'idCardFront') {
//			            		choosePhoto('uploadcertid','Order','certFront',OmUploadSuccess,'Upload','OrderUpload');
//			            	} else if (params.type === 'idCardBack') {
//			            		choosePhoto('uploadcertid','Order','certBack',OmUploadSuccess,'Upload','OrderUpload');
//			            	}
			            }
			        }
			    ];
			 var buttons2 = 
			    [
			         {
			             text: '取消',
			             color: 'red'
			         }
			     ];
			 var groups = [buttons1, buttons2];
			 
			 f7.actions(groups);
		}
		
		bindPadCheckUserIdCard()
		// 点击上传按钮事件绑定
		$('#checkUserIdCardUploadBtn').on('click', function() {
			uploadUserIdCard();
		});
		
		// 下一步按钮事件绑定
		$('#checkUserIdNextBtn').on('click', function() {
			TalkingData.onEventWithLabel('其他认证方式（上传资料）页', '下一步');
			var orderEvidenceHoldIdCardItem = {
				picId: getEvidencePicIndex(),
				picType: '1',
				picName: getEvidencePicName('evidenceHoldIdCard'),
				cloudKey: userIdCardImgId,
				cloudUrl: userIdCardUrl,
				mIsCheck: false,
				checkResult: false,
				checkResultArray: [],
				otherContent: ''
			};
			
			var orderEvidenceHoldIdCard = [orderEvidenceHoldIdCardItem];
			var orderEvidenceHoldIdCardStr = JSON.stringify(orderEvidenceHoldIdCard);
			
			callAppApi({
				url: '/app/orderUpdate',
				type: 'POST',
				params: {
					orderId: params.orderId,
					userId: loginStatus.userId,
					orderStatus: '12',
//					orderAuthenticationKey: userIdCardImgId,
//					orderAuthenticationUrl: userIdCardUrl
					orderEvidenceHoldIdCard: orderEvidenceHoldIdCardStr,
				},
				successCallback: function(response) {

					userIdCardImgId = '';
					userIdCardUrl = '';
					
//					mainView.router.load({uploadIDCard
//						url : 'checkInfo.html',
//						query : {
//							orderId: params.orderId,
//							fromPage: 'checkUserIdCard'
//						}
//					});
					mainView.router.load({
						url : 'uploadIDCard.html',
						query : {
							orderId: params.orderId,
							fromPage: 'checkUserIdCard',
							evidenceKey: 'evidenceIdCard'
						}
					});
					TalkingData.onPageEnd("其他认证方式（上传资料）页");
				},
				errorCallback: function(err) {}
			});
		});
		
		if (params.faceTimes > 0) {
			// 返回人脸识别按钮事件绑定
			$('#returnCheckFaceBtn').on('click', function() {
					TalkingData.onEventWithLabel('其他认证方式（上传资料）页', '返回人脸识别');
				mainView.router.load({
					url: 'checkFace.html',
					force: true,
					query: {
						from: 'checkUserIdCard',
						orderId: params.orderId,
						faceTimes: params.faceTimes
					}
				});
			});
		} else {
			$('#returnCheckFaceBtn').hide();
		}

		
		// 预览图片按钮事件绑定
		$('#previewUserIdCardBtn').on('click', function() {
			if (userIdCardImgId === '' || userIdCardUrl === '') {
				f7.alert('请上传手持身份证图片');
				return false;
			} else {
				var myUserIdCardBrowser = f7.photoBrowser({
					zoom: 400,
					photos: [userIdCardUrl]
				});
				utilities.clickDelay('myPhotoBrowser', function(){
					myUserIdCardBrowser.open();
				}, 500)
				
			}
		});
	}

	return {
		render : render
	}
});
