define([
  'js/utilities',
  'containers/chooseGoods/chooseGoodsView'
], function(
  utilities,
  chooseGoodsView
) {
  
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var isOwnEmpty = utilities.isOwnEmpty;
	
  function init(query) {
	  
	// 隐藏底部工具栏
	if (mainView.activePage.name === 'chooseGoods') {
		f7.hideToolbar('#toolbar');
	}

	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	
	callAppApi({
		url: '/app/userInfo',
		type: 'POST',
		params: {
			userId: loginStatus.userId,
			userSession: loginStatus.userSession
		},
		successCallback: function(response) {
			
			// 返回值统一修改
//			if (response == null || typeof response.userName === 'undefined') {
			if (isOwnEmpty(response) || typeof response.userName === 'undefined') {
				// 脏数据问题
				// 身份认证已通过，但是没有用户信息
				f7.alertMessage('用户信息不合法，请重新登录');
				
				var timeChooseGoods = setTimeout(function() {
					mainView.loadPage('index.html');
					
					clearTimeout(timeChooseGoods);
				}, 3000);
			}
			
			chooseGoodsView.render({
				userName: response.userName,
			});
		},
		errorCallback: function(err) {}
	});
  }

  return {
	init: init
  };
});
