define([
	'jquery',
	'hbs!components/chooseGoods/chooseGoodsList',
	'hbs!components/chooseGoods/chooseGoodsItem',
	'hbs!components/chooseGoods/chooseGoodsPrice',
	'hbs!components/chooseGoods/chooseGoodsResult',
], function(
	$$,
	chooseGoodsListTemplate,
	chooseGoodsItemTemplate,
	chooseGoodsPriceTemplate,
	chooseGoodsResultTemplate
) {

	/**
	 *	@desc: 重置方法组
	 */
	function resetGoodsBrand() {
		chooseGoodsBrandList = [];
		chooseGoodsBrandList.unshift({
			default: true,
			value: '',
			view: '品牌'
		});
		
		$$('#storeGoodsBrand').html(chooseGoodsItemTemplate({optionsList: chooseGoodsBrandList}));
		$$('#storeGoodsBrand').attr('disabled', true);
	}
	
	function resetGoodsModel() {
		chooseGoodsModelList = [];
		chooseGoodsModelList.unshift({
			default: true,
			value: '',
			view: '型号'
		});
		
		$$('#storeGoodsModel').html(chooseGoodsItemTemplate({optionsList: chooseGoodsModelList}));
		$$('#storeGoodsModel').attr('disabled', true);
	}

	function resetGoodsConfig() {
		chooseGoodsConfigList = [];
		chooseGoodsConfigList.unshift({
			default: true,
			value: '',
			view: '配置'
		});
		
		$$('#storeGoodsConfig').html(chooseGoodsItemTemplate({optionsList: chooseGoodsConfigList}));
		$$('#storeGoodsConfig').attr('disabled', true);
	}
	
	function resetGoodsColor() {
		chooseGoodsColorList = [];
		chooseGoodsColorList.unshift({
			default: true,
			value: '',
			view: '颜色'
		});
		
		$$('#storeGoodsColor').html(chooseGoodsItemTemplate({optionsList: chooseGoodsColorList}));
		$$('#storeGoodsColor').attr('disabled', true);
	}
	
	function resetGoodsPrice() {
		$$('#goodsPrice').val('');
		$$('#goodsPrice').attr('disabled', true);
	}
	
	function resetgoodsProduct() {
		var defaultGoodsProductList = [{
			default: true,
			value: '',
			view: '请选择分期产品'
		}];
		
		$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: defaultGoodsProductList}));
		$$('#goodsProduct').attr('disabled', true);
	}
	
	function resetgoodsSuite() {
		var defaultgoodsSuiteList = [{
			default: true,
			value: '',
			view: '请选择套餐名称'
		}];
		
		$$('#goodsSuite').html(chooseGoodsItemTemplate({optionsList: defaultgoodsSuiteList}));
		$$('#goodsSuite').attr('disabled', true);
	}
	
	function resetGoodsStageNum() {
		var defaultGoodsStageNumList = [{
			default: true,
			value: '',
			view: '请选择期数'
		}];
		
		$$('#goodsStageNum').html(chooseGoodsItemTemplate({optionsList: defaultGoodsStageNumList}));
		$$('#goodsStageNum').attr('disabled', true);
	}
	
	function resetGoodsPay() {
		$$('#firstPayment').val('0元');
		$$('#selfPayment').val('0元     请联系工作人员现场缴纳');
		$$('#eachPayment').val('0元');
	}
	
	function initGoodsResult() {
		var chooseGoodsResultData = {
			resultKey: '已选商品',
			resultValue: '无'
		};
		
		$$('#chooseGoodsResult').html(chooseGoodsResultTemplate(chooseGoodsResultData));
	}

	/**
	 * @二维码扫描 通用字段
	 */
	function getRealString(str) {
		var s = '';
		for (var i = 0; i < str.length; i++) {
		    if (i % 5 != 0) {
		      s += str[i];
		    }
		}
		return s;
	}
	
    function doWithQRCode(s, callback) {
    	if (!s || s.indexOf("|") < 0) {
    		f7.alert("亲，二维码没看清，请再试一下哦");
    		return;
    	}
    	
    	// 二维码规则调整
    	s = s.replace(/\*/g, '');
    	
    	var actionType = s.split("|")[0];
    	var viewType = s.split("|")[1];
    	var objectID = s.split("|")[2];
    	var startTimestamp = s.split("|")[3];
    	var lngAndLat = s.split("|")[4];
    	
    	var nowTimestamp = Date.now();
    	var validStatus = false;
    	
    	// 判断时间戳
    	if (typeof startTimestamp == 'string' && parseInt(startTimestamp) > 0 && parseInt(nowTimestamp) - parseInt(startTimestamp) <= 1800000) {
    		validStatus = true;
    	} else {
    		f7.alert("请扫描有效的二维码信息");
    		return;
    	}
    	
    	var lngAndLatObj = null;
    	if (lngAndLat && lngAndLat.indexOf('#') >= 0 && lngAndLat !== '#') {
    		lngAndLatObj = {
    			lng: lngAndLat.split('#')[0],
    			lat: lngAndLat.split('#')[1]
    		}
    	}
    	
    	if (validStatus && actionType == "V" && viewType == "M" && objectID) {

    		callback(objectID, lngAndLatObj);
    	} else {
    		f7.alert("请扫描有效的二维码信息");
    		return;
    	}
    	return objectID;
    }
	
	return {
		// 二维码通用方法
		getRealString: getRealString,
		doWithQRCode: doWithQRCode,
		
		// 重置方法组
		resetGoodsBrand: resetGoodsBrand,
		resetGoodsModel: resetGoodsModel,
		resetGoodsConfig: resetGoodsConfig,
		resetGoodsColor: resetGoodsColor,
		resetGoodsPrice: resetGoodsPrice,
		initGoodsResult: initGoodsResult,
		resetgoodsProduct: resetgoodsProduct,
		resetgoodsSuite: resetgoodsSuite,
		resetGoodsStageNum: resetGoodsStageNum,
		resetGoodsPay: resetGoodsPay,
	}
});