define([
	'js/utilities',
	'js/validator',
	'js/config',
	'js/datas',
	'containers/chooseGoods/chooseGoodsHelper',
	'containers/chooseGoods/chooseGoodsPad',
	'hbs!containers/chooseGoods/chooseGoods',
	'hbs!components/chooseGoods/chooseGoodsList',
	'hbs!components/chooseGoods/chooseGoodsItem',
	'hbs!components/chooseGoods/chooseGoodsPrice',
	'hbs!components/chooseGoods/chooseGoodsResult',
	'hbs!components/common/button/button',
	'hbs!components/shippingAddress/chooseAddressArea',
	'jquery',
], function(
	utilities,
	validator,
	config,
	Datas,
	chooseGoodsHelper,
	chooseGoodsPad,
	chooseGoodsTemplate,
	chooseGoodsListTemplate,
	chooseGoodsItemTemplate,
	chooseGoodsPriceTemplate,
	chooseGoodsResultTemplate,
	buttonTemplate,
	chooseAddressAreaTemplate,
	$$
) {
/**
 * @warn 此页面所有$$为jQuery的$$
 */
//	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var getDay = utilities.getDay;
	var getLngAndLat = utilities.getLngAndLat;
	var dictData = Datas.dictData;
	var getFormatPrice = utilities.getFormatPrice;
	
	// 二维码通用方法组
//	var getRealString = chooseGoodsHelper.getRealString;
	var doWithQRCode = chooseGoodsHelper.doWithQRCode;

	// 重置方法组
	var	resetGoodsBrand = chooseGoodsHelper.resetGoodsBrand;
	var	resetGoodsModel = chooseGoodsHelper.resetGoodsModel;
	var	resetGoodsConfig = chooseGoodsHelper.resetGoodsConfig;
	var	resetGoodsColor = chooseGoodsHelper.resetGoodsColor;
	var	resetGoodsPrice = chooseGoodsHelper.resetGoodsPrice;
	var	initGoodsResult = chooseGoodsHelper.initGoodsResult;
	var	resetgoodsProduct = chooseGoodsHelper.resetgoodsProduct;
	var	resetgoodsSuite = chooseGoodsHelper.resetgoodsSuite;
	var	resetGoodsStageNum = chooseGoodsHelper.resetGoodsStageNum;
	var	resetGoodsPay = chooseGoodsHelper.resetGoodsPay;
	
	var SKIP = config.SKIP;
	  //埋点需求
	  var bindPadChooseGoods = chooseGoodsPad.bindPadChooseGoods;
	  var sendPadChooseGoods = chooseGoodsPad.sendPadChooseGoods;
	
	// 选择商品默认数据
	var chooseGoodsListData = {
		goodsTypeList: [
			{
				id: 'storeGoodsType',
				label: '类型',
				type: 'widen',
				disabled: true,
				optionsList: [
					{
						default: true,
						value: '',
						view: ''
					},
					{
						default: false,
						value: '3C电子',
						view: '3C电子'
					}
				]
				
			},
			{
				id: 'storeGoodsBrand',
				disabled: true,
				optionsList: [
					{
						default: true,
						value: '',
						view: '品牌'
					}
				]
				
			},
			{
				id: 'storeGoodsModel',
				disabled: true,
				optionsList: [
					{
						default: true,
						value: '',
						view: '型号'
					}
				]
			},
			{
				id: 'storeGoodsConfig',
				disabled: true,
				optionsList: [
					{
						default: true,
						value: '',
						view: '配置'
					}
				]
			},
			{
				id: 'storeGoodsColor',
				disabled: true,
				optionsList: [
					{
						default: true,
						value: '',
						view: '颜色'
					}
				]
			}
		]
	};

	// 商品结果默认数据
	var chooseGoodsResultData = {
		resultKey: '已选商品',
		resultValue: '无'
	};

	// 商品价格及套餐默认数据
	var chooseGoodsPriceData = {
		formId: 'chooseGoodsPriceForm',
		priceInputList: [
			{
				id: 'goodsPrice',
				type: 'suffixText',
				visibleStatus: true,
				disabled: true,
				label: '商品价格',
				placeholder: '请输入商品价格',
				value: '',
				suffix: '元'
			},
			{
				id: 'goodsProduct',
				type: 'select',
				visibleStatus: true,
				disabled: true,
				label: '分期产品',
				selectList: [
					{
						value: '',
						view: '请选择分期产品'
					}
				]
			},
			{
				id: 'goodsSuite',
				type: 'select',
				visibleStatus: false,
				disabled: true,
				label: '套餐名称',
				selectList: [
					{
						value: '',
						view: '请选择套餐名称'
					}
				]
			},
			{
				id: 'goodsStageNum',
				type: 'select',
				visibleStatus: true,
				disabled: true,
				label: '期数',
				selectList: [
					{
						value: '',
						view: '请选择期数',
					}
				]
			},
			{
				id: 'firstPayment',
				type: 'text',
				visibleStatus: true,
				disabled: true,
				label: '期初支付',
				placeholder: '0元',
				value: '',
				extraButton: {
					buttonId: 'goodsExtraCost',
				}
			},
			{
				id: 'selfPayment',
				type: 'text',
				visibleStatus: true,
				disabled: true,
				label: '自付金额',
				placeholder: '0元 ',
				value: ''
			},
			{
				id: 'eachPayment',
				type: 'text',
				visibleStatus: true,
				disabled: true,
				label: '每期还款',
				placeholder: '0元',
				value: ''
			}
		]
	}

	function render(params) {
		TalkingData.onPage("选择商品");		
		TalkingData.onPageBegin("选择商品_填写时间");	
		  $("#chooseGoodsNavbar .placeOrderBackBtn").on('click', function() {
			  TalkingData.onEventWithLabel('选择商品', '返回');
		 });	
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		var userName = params.userName;
		var storeUserId = '';		// 店员id
		var storeUserName = '';		// 店员名称
		var storeId = '';			// 门店id
		var storeName = '';			// 门店名称
		var goodsSellId = '';		// 售品id
		var goodsSellName = '';		// 售品名称
		
		var goodsProductId = '';	// 分期产品id
		var goodsProductName = ''; 	// 分期产品名称

		var goodsPlanStatus = true;	// 套餐是否显示状态
		var goodsPlanId = '';		// 套餐id
		var goodsPlanName = '';		// 套餐名称

		var goodsPeriodKey = '';	// 分期期数id
		var goodsPeriod = '';		// 分期期数
		
		var orderPlanId = '';		// 贴息id
		
		var planAmount = '';			// 套餐金额
		var planReceivableAmount = ''; 	// 套餐应收金额
		var planRechargeAmount = '';	// 套餐充值金额
		
		var supplierId = '';		// 供应商id
		var operatorId = '';		// 运营商id
		
		// 判断套餐是否计算成功的key
		var goodsSuiteKey = false;
		// 存储套餐方案
		var goodsProductArr = [];
		
		// 租金总额
		var goodsSuiteTotalAmount = '';
		// 手续费
		var goodsSuitePoundage = '';
		// 服务费
		var goodsSuiteServiceCharges = '';
		// 设备杠杆
		var goodsSuiteLeverPrice = '';
		// 自付金额
		var goodsSuitePayInitialPrice = '';
		// 期初支付
		var goodsSuitePayFirstPrice = '';
		// 每期租金
		var goodsSuiteStagePrice = '';
		//贴息款
		var discountAmt='';
		
		var storeUserAddressLongitude = '';						// 店员二维码经度
		var storeUserAddressLatitude = '';						// 店员二维码纬度		
		
		var goodsBrandId = '';
		var chooseGoodsTypeList = [];
		var chooseGoodsBrandList = [];
		var chooseGoodsModelList = [];
		var chooseGoodsConfigList = [];
		var chooseGoodsColorList = [];
		
		// 渲染navbar
		loadComponent('navbar', 'common', {
			container: '#chooseGoodsNavbar',
			title: '选择商品',
			backClass: 'placeOrderBackBtn',
			isBackIcon: true,
			isBack: false
		});
		
		// 渲染选择商品主内容
		$$('#chooseGoodsContent').html(chooseGoodsTemplate({}));

		// 渲染头部状态栏
		loadComponent('placeOrderTabbar', 'placeOrder', {
			container: '#chooseGoodsTabbar',
			tabIndex: 1
		});

		// 渲染条件选择框
		$$('#chooseGoodsList').html(chooseGoodsListTemplate(chooseGoodsListData));
		// 渲染选择的商品结果
		$$('#chooseGoodsResult').html(chooseGoodsResultTemplate(chooseGoodsResultData));
		
		// 渲染商品价格列表
		$$('#choosePriceArea').html(chooseGoodsPriceTemplate(chooseGoodsPriceData));
		
		$$('#selfPayment').attr('placeholder', '0元    请联系工作人员现场缴纳');
		
		// 渲染底部按钮
		$$('#placeOrderGoodsBtnBox').html(buttonTemplate({
			id : 'placeOrderGoodsBtn',
			value : '下一步',
			disabled : false,
		}));
		bindPadChooseGoods();
		// 为底部按钮绑定事件
		$$('#placeOrderGoodsBtn').off('click.chooseGoods').on('click.chooseGoods', function() {
			var chooseAddressData = JSON.parse(localStorage.getItem('chooseAddressData'));
			TalkingData.onEventWithLabel('选择商品', '下一页');
			if ($$('#ORCodeInput').val() === '') {
				f7.alert('请扫描店员二维码');
				return false;
			}
			if ($$('#storeGoodsType').val() === '') {
				f7.alert('请先选择商品类型');
				return false;
			}
			if ($$('#storeGoodsBrand').val() === '') {
				f7.alert('请先选择商品品牌');
				return false;
			}
			if ($$('#storeGoodsModel').val() === '') {
				f7.alert('请选择商品型号');
				return false;
			}
			if ($$('#storeGoodsConfig').val() === '') {
				f7.alert('请选择商品配置');
				return false;
			}
			if ($$('#storeGoodsColor').val() === '') {
				f7.alert('请选择商品颜色');
				return false;
			}

			if (!validator.isNumber($$('#goodsPrice').val())) {
				f7.alert('请输入商品价格');
				return false;
			}
			
			if (validator.isNull($$('#goodsProduct').val())) {
				f7.alert('请选择分期产品');
				return false;
			}
			// zhh - 20170405 - 20170406版本  - 如果没有套餐，则不判断套餐是否为空
			if (goodsPlanStatus === true && validator.isNull($$('#goodsSuite').val())) {
				f7.alert('请选择套餐名称');
				return false;
			}
			if (validator.isNull($$('#goodsStageNum').val())) {
				f7.alert('请选择期数');
				return false;
			}
			if (goodsSuiteKey === false) {
				f7.alert('套餐明细计算失败！');
				return false;
			}

			// 是否跳过cordova的device.uuid
			var orderDeviceId = '';
	
			if (!SKIP.cordova_uuid) {
				orderDeviceId = device.uuid;
			}
			
			f7.showIndicator();
		
			var baseParams = {
				userId: loginStatus.userId,
				userName: userName,
				orderTypeCode: '002001',
				
				storeUserId: storeUserId,
				storeUserName: storeUserName,
				storeId: storeId,
				storeName: storeName,
				
				supplierId: supplierId,
				operatorId: operatorId,
				goodsSellId: goodsSellId,
				
				goodsSellName: goodsSellName,
				goodsSuiteLeverPrice:goodsSuiteLeverPrice,
				orderProductPrice: parseInt($$('#goodsPrice').val()).toString(),
				
				goodsItemColor: $$('#storeGoodsColor').val(),
				goodsItemConfigure: $$('#storeGoodsConfig').val(),
				
				goodsProductId: goodsProductId,			// 分期产品id
				goodsProductName: goodsProductName,		// 分期产品名称
				
				goodsPlanId: goodsPlanId,				// 套餐id
				goodsPlanName: goodsPlanName,			// 套餐名称
				
				goodsPeriodKey: goodsPeriodKey,			// 方案id  分期期数id
				goodsPeriod: goodsPeriod,				// 方案名称    分期期数
				
				orderPlanId: orderPlanId,				// 贴息id
				discountAmt:discountAmt,			//贴息款
				
				planAmount: planAmount,			// 套餐金额
				planReceivableAmount: planReceivableAmount, 	// 套餐应收金额
				planRechargeAmount: planRechargeAmount,	// 套餐充值金额
				
				goodsSuitePayFirstPrice: goodsSuitePayFirstPrice,
				goodsSuitePayInitialPrice: goodsSuitePayInitialPrice,
				goodsSuiteStageNumber: goodsPeriod,		// 方案名称   分期期数
				goodsSuiteTotalAmount: goodsSuiteTotalAmount,
				goodsSuiteStagePrice: goodsSuiteStagePrice,
				goodsSuitePoundage: goodsSuitePoundage,
				goodsSuiteServiceCharges: goodsSuiteServiceCharges,
				
				orderAddress: '',
				orderAddressLongitude: '',							// 下单经度
				orderAddressLatitude: '',							// 下单纬度
				
				storeUserAddressLongitude: storeUserAddressLongitude,					// 二维码经度
				storeUserAddressLatitude: storeUserAddressLatitude,						// 二维码纬度
				
				orderDeviceId: orderDeviceId	// 设备id
			};
			
			var createOrderStatus = false;
			
			getLngAndLat(function(position) {
				
				baseParams.orderAddressLongitude = position.lng;
				baseParams.orderAddressLatitude = position.lat;
				
				if (createOrderStatus == false) {
					createOrderStatus = true;
					creditActivationFunc();
				}
				
			}, function(error) {
				
				baseParams.orderAddressLongitude = '';
				baseParams.orderAddressLatitude = '';
				
				if (createOrderStatus == false) {
					createOrderStatus = true;
					creditActivationFunc();
				}
			});
			
			function creditActivationFunc() {
				callAppApi({
					url: '/app/createOrder',
					type: 'POST',
					params: baseParams,
					hideIndicatorStatus: false,
					successCallback: function(data) {
						sendPadChooseGoods(data.orderId);
						mainView.router.load({
							url : 'checkFace.html',
							query : {
								orderId: data.orderId
							}
						});
						f7.hideIndicator();
						localStorage.setItem('chooseAddressData', JSON.stringify({
							addressUserName: '',
							addressType: '',
							addressPostcode: [],
							addressArea: '',
							userFullAddress:'',
							addressUserPhone: '',
							isAddressCheck:false
						}));
						isAddressCheck=false;
						TalkingData.onPageEnd("选择商品_填写时间");
					},
					errorCallback: function(err) {}
				});
			}
		});


		  
		// 店员二维码识别
		$$('#QRcodeBtn').off('click').on('click', function() {
			
			// 是否跳过二维码扫描
			if (!SKIP.cordova_QRCode) {
				cordova.plugins.HrToolsPlugin.QrCodePlugin(scanCallbackStore, scanQrCodeError);
			} else {
				// scanCallbackStore('*V|M|*47');
				console.log(Date.now());
				scanCallbackStore('*V|M|*354|'+Date.now()+'|123#321');
			}
			
			function scanQrCodeError (error){
			    f7.alertMessage("二维码扫描失败，请重试！");
			};
			function scanCallbackStore(result) {
//				var s = getRealString(result);

			    var objectID = doWithQRCode(result, getStoreUserStoreInfo);
			    return objectID;
			};

			// 通过门店id获取门店信息
			function getStoreUserStoreInfo(objectId, lngAndLat) {
				  storeUserId = objectId;
				  if (lngAndLat !== null) {
					  storeUserAddressLongitude = lngAndLat.lng;					// 二维码经度
					  storeUserAddressLatitude = lngAndLat.lat;					// 二维码纬度
				  }
				  
				  // 根据店员id查询门店商品信息
				  callAppApi({
					  url: '/app/storeUserStoreInfo',
					  type: 'POST',
					  params: {
						  storeUserId: objectId,
						  businessType: '002001'
					  },
					  successCallback: getStoreInfoSuccess,
					  errorCallback: function() {
						  initGoodsResult();
						  resetGoodsBrand();
						  resetGoodsModel();
						  resetGoodsConfig();
						  resetGoodsColor();
						  var chooseGoodsTypeList = [{default: false,view: '请选择',value: ''}];
						  $$('#chooseGoodsList').html(chooseGoodsListTemplate(chooseGoodsListData));
					  }
				  });
			}
		});
		
		// 获取门店的所有类型
		function getStoreInfoSuccess(data) {
			storeUserName = data.storeUserName;
			storeId = data.storeId;
			storeName = data.storeName;

			$$('#ORCodeInput').val(data.storeName);
			
			var chooseGoodsTypeList = [
				{
					default: false,
					view: '请选择',
					value: ''
				},
				{
					default: false,
					view: '3C电子',
					value: '3C电子'
				}
			];
			
			chooseGoodsListData.goodsTypeList[0].optionsList = chooseGoodsTypeList;
			
			$$('#chooseGoodsList').html(chooseGoodsListTemplate(chooseGoodsListData));
			$$('#storeGoodsType').removeAttr('disabled');
			
			initGoodsResult();		// 初始化已选商品
			
			resetGoodsPrice();		// 重置商品价格
			resetgoodsProduct();	// 重置分期产品
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			
			// 门店类型绑定事件
			$$('#storeGoodsType').off('change').on('change', function(e) {
				
				
				resetGoodsBrand();		// 重置品牌
				resetGoodsModel();		// 重置型号
				resetGoodsConfig();		// 重置配置
				resetGoodsColor();		// 重置颜色
				
				initGoodsResult();		// 初始化已选商品
				
				resetGoodsPrice();		// 重置商品价格
				resetgoodsProduct();	// 重置分期产品
				resetgoodsSuite();		// 重置套餐名称
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
				
				if (e.target.children[0].selected) {
					f7.alert('请选择商品类型');
				} else {
					callAppApi({
						url: '/app/productBrandAll',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							storeUserId: storeUserId,   // 品牌查询时传入店员id，更新于20170308
							businessType: '002001'  //xjn 更新于20170321
						},
						successCallback: getBrandSuccess,
						errorCallback: function() {}
					})
				}
			});
		}
		
		// 获取门店所有品牌
		function getBrandSuccess(data) {
			
			chooseGoodsBrandList = data.map(function(item, index) {
				return {
					default: false,
					value: item.productBrandId,
					view: item.productBrandName
				};
			});
			
			chooseGoodsBrandList.unshift({
				default: true,
				value: '',
				view: '品牌'
			});


			$$('#storeGoodsBrand').removeAttr('disabled');
			$$('#storeGoodsBrand').html(chooseGoodsItemTemplate({optionsList: chooseGoodsBrandList}));
			
			initGoodsResult();		// 初始化已选商品
			
			resetGoodsPrice();		// 重置商品价格
			resetgoodsProduct();	// 重置分期产品
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			
			// 商品品牌 添加 点击事件
			$$('#storeGoodsBrand').off('change').on('change', function(e) {
				
				resetGoodsModel();		// 重置型号
				resetGoodsConfig();		// 重置配置
				resetGoodsColor();		// 重置颜色

				initGoodsResult();		// 初始化已选商品
				
				resetGoodsPrice();		// 重置商品价格
				resetgoodsProduct();	// 重置分期产品
				resetgoodsSuite();		// 重置套餐名称
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
				
				if (e.target.children[0].selected) {
					f7.alert('请先选择商品品牌');
				} else {
					goodsBrandId = e.target.value;
					
					callAppApi({
						url: '/app/goodsAll',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							productBrandId: goodsBrandId,
							storeUserId: storeUserId,  //xjn 更新于20170321
							businessType: '002001'  //xjn 更新于20170321
						},
						successCallback: getModelSuccess,
						errorCallback: function(err) {}
					});
				}
			});
		}
	
		// 获取门店所有型号
		function getModelSuccess(data) {

			chooseGoodsModelList = data.map(function(item, index) {
				return {
					default: false,
					value: item.goodsId,
					view: item.goodsName
				};
			});

			
			chooseGoodsModelList.unshift({
				default: true,
				value: '',
				view: '型号'
			});
			
			$$('#storeGoodsModel').removeAttr('disabled');
			$$('#storeGoodsModel').html(chooseGoodsItemTemplate({optionsList: chooseGoodsModelList}));
			
			resetGoodsConfig();		// 重置配置
			resetGoodsColor();		// 重置颜色

			initGoodsResult();		// 初始化已选商品
			
			resetGoodsPrice();		// 重置商品价格
			resetgoodsProduct();	// 重置分期产品
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			
			// 商品型号绑定事件
			$$('#storeGoodsModel').off('change').on('change', function(e) {
				
				resetGoodsConfig();		// 重置配置
				resetGoodsColor();		// 重置颜色

				initGoodsResult();		// 初始化已选商品
				
				resetGoodsPrice();		// 重置商品价格
				resetgoodsProduct();	// 重置分期产品
				resetgoodsSuite();		// 重置套餐名称
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
				
				if (e.target.children[0].selected) {
					f7.alert('请选择商品型号');
				} else {

					var modelId = e.target.value;
					var goodsSellId = e.target.value;
					
					callAppApi({
						url: '/app/goodsItemAll',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							goodsId: modelId,
							storeUserId: storeUserId,  //xjn 更新于20170321
							businessType: '002001',  //xjn 更新于20170321
							productBrandId: goodsBrandId,  //xjn 更新于20170321
						},
						successCallback: getInfoSuccess,
						errorCallback: function(err) {
							resetGoodsConfig();		// 重置配置
							resetGoodsColor();		// 重置颜色

							initGoodsResult();		// 初始化已选商品
							
							resetGoodsPrice();		// 重置商品价格
							resetgoodsProduct();	// 重置分期产品
							resetgoodsSuite();		// 重置套餐名称
							resetGoodsStageNum();	// 重置期数
							resetGoodsPay();		// 重置支付金额
						}
					})
				}
			});
		}
		
		// 获取商品所有配置
		function getInfoSuccess(data) {
			getInfoSuccessData = data;
			
			chooseGoodsConfigList = data.goodsItemConfigureSet.map(function(item) {
				return {
					default: false,
					value: item,
					view: item
				}
			});
			
			if (chooseGoodsConfigList.length === 0) {
				chooseGoodsConfigList.push({
					default: false,
					value: '',
					view: '官方标配'
				});
			}
			
			chooseGoodsConfigList.unshift({
				default: true,
				value: '',
				view: '配置'
			});
			
			$$('#storeGoodsConfig').removeAttr('disabled');
			$$('#storeGoodsConfig').html(chooseGoodsItemTemplate({optionsList: chooseGoodsConfigList}));
			
			resetGoodsColor();		// 重置颜色

			initGoodsResult();		// 初始化已选商品
			
			resetGoodsPrice();		// 重置商品价格
			resetgoodsProduct();	// 重置分期产品
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			
			// 商品配置绑定事件		
			$$('#storeGoodsConfig').off('change').on('change', function(e) {
				
				resetGoodsColor();		// 重置颜色

				initGoodsResult();		// 初始化已选商品
				
				resetGoodsPrice();		// 重置商品价格
				resetgoodsProduct();	// 重置分期产品
				resetgoodsSuite();		// 重置套餐名称
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
				
				if (e.target.children[0].selected) {
					f7.alert('请选择商品配置');
				} else {

					chooseGoodsColorList = getInfoSuccessData.goodsItemColorSet.map(function(item) {
						return {
							default: false,
							value: item,
							view: item
						};
					});
					
					chooseGoodsColorList.unshift({
						default: true,
						value: '',
						view: '颜色'
					});
					
					$$('#storeGoodsColor').removeAttr('disabled');
					$$('#storeGoodsColor').html(chooseGoodsItemTemplate({optionsList: chooseGoodsColorList}));
				}
			});

			// 商品颜色绑定事件
			$$('#storeGoodsColor').off('change').on('change', function(e) {
				
				initGoodsResult();		// 初始化已选商品
				
				resetGoodsPrice();		// 重置商品价格
				resetgoodsProduct();	// 重置分期产品
				resetgoodsSuite();		// 重置套餐名称
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
				
				if (e.target.children[0].selected) {
					f7.alert('请选择颜色');
				} else {
					
					var goodsModelId = $$('#storeGoodsModel').val();
					var goodsConfigInfo = $$('#storeGoodsConfig').val();
					var goodsColorInfo = $$('#storeGoodsColor').val();
					
					callAppApi({
						url: '/app/goodsSell',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							goodsId: goodsModelId,
							goodsItemColor: goodsColorInfo,
							goodsItemConfigure: goodsConfigInfo,
							storeUserId: storeUserId,
							businessType: '002001' //xjn 更新于20170321
						},
						successCallback: getGoodsSellSuccess,
						errorCallback: function(err) {}
					})
				}
			});
		}




		// 获取售品成功
		function getGoodsSellSuccess(data) {
			
			goodsSellId = data.goodsSellId;
			operatorId = data.operatorId;
			supplierId = data.supplierId;
			goodsSellName = data.goodsSellName;
			
			var storeGoodsTypeVal = '';
			for (var i = 0; i < $$('#storeGoodsType').children().length; i++) {
				if ($$('#storeGoodsType').children()[i].selected === true) {
					storeGoodsTypeVal = $$('#storeGoodsType').children()[i].innerHTML;
				}
			}
			
			var storeGoodsModelVal = '';
			for (var k = 0; k < $$('#storeGoodsModel').children().length; k++) {
				if ($$('#storeGoodsModel').children()[k].selected === true) {
					storeGoodsModelVal = $$('#storeGoodsModel').children()[k].innerHTML;
				}
			}
			
			var storeGoodsConfigVal = '';
			for (var l = 0; l < $$('#storeGoodsConfig').children().length; l++) {
				if ($$('#storeGoodsConfig').children()[l].selected === true) {
					storeGoodsConfigVal = $$('#storeGoodsConfig').children()[l].innerHTML;
				}
			}
			
			var storeGoodsColorVal = '';
			for (var m = 0; m < $$('#storeGoodsColor').children().length; m++) {
				if ($$('#storeGoodsColor').children()[m].selected === true) {
					storeGoodsColorVal = $$('#storeGoodsColor').children()[m].innerHTML;
				}
			}

			
			var chooseGoodsResultData2 = {
				resultKey: '已选商品',
				resultValue: storeGoodsTypeVal + ' ' + storeGoodsModelVal + ' ' + storeGoodsConfigVal + ' ' + storeGoodsColorVal
			}

			$$('#chooseGoodsResult').html(chooseGoodsResultTemplate(chooseGoodsResultData2));

			// 解锁商品价格栏
			$$('#goodsPrice').removeAttr('disabled');
			if (typeof $$._data($$('#goodsPrice')[0], 'events') === 'undefined' || $$._data($$('#goodsPrice')[0], 'events').blur.length < 0) {
				$$('#goodsPrice').off('blur').on('blur', function(e) {
					

					if (!/^[1-9][0-9]*$$/.test($$(this).val())) {
						$$(this).val('');
						
						resetgoodsProduct();	// 重置分期产品
						resetgoodsSuite();		// 重置套餐名称
						resetGoodsStageNum();	// 重置期数
						resetGoodsPay();		// 重置支付金额
						
						return false;
					}

					callAppApi({
						url: '/app/suitePlanList',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							businessType: '002001',
							storeId: storeId,
						},
						successCallback: getGoodsProductSuccess,
						errorCallback: function(err) {}
					})
				});
			}

		}
		
		// 获取分期产品数据成功
		function getGoodsProductSuccess(data) {
			
			var chooseGoodsProductList = data.map(function(item) {
				return {
					default: false,
					value: item.productId,
					view: item.productName,
					planList: item.planList
				}
			});
			
			chooseGoodsProductList.unshift({
				default: true,
				value: '',
				view: '请选择分期产品',
				planList: []
			});
			

			$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: chooseGoodsProductList}));
			$$('#goodsProduct').removeAttr('disabled');
			
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			
			$$('#goodsProduct').off('change').on('change', function(e) {
				
				resetgoodsSuite();		// 重置套餐名称
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
				
				if (e.target.children[0].selected) {
					f7.alert('请选择分期产品');
				} else {

					for (var i = 0; i < e.target.children.length; i++) {
						if (e.target.children[i].selected === true) {
							
							// zhh - 20170405 - 20170406版本  - 根据所选产品的planId是否为空来判断是否显示套餐名称
							if (chooseGoodsProductList[i].planList[0].planId === '') {
								goodsPlanStatus = false;
							} else {
								goodsPlanStatus = true;
							}
							
							goodsProductId = chooseGoodsProductList[i].value;	// 分期产品id
							goodsProductName = chooseGoodsProductList[i].view;	// 分期产品名称
							
							if (goodsPlanStatus === true) {
								
								$('#goodsSuite').parent().removeClass('hide');
								getGoodsPlanSuccess(chooseGoodsProductList[i].planList);
							} else if (goodsPlanStatus === false) {
								
								goodsPlanId = '';
								goodsPlanName = '';
								$('#goodsSuite').parent().addClass('hide');
								getGoodsPeriodSuccess(chooseGoodsProductList[i].planList[0].periodList);
							}
							
						}
					}
				}
			})
		}
		
		// 分期产品绑定事件
		function getGoodsPlanSuccess(data) {

			var chooseGoodsPlanList = data.map(function(item) {
				return {
					default: false,
					value: item.planId,
					view: item.planName,
					periodList: item.periodList
				}
			});
			
			chooseGoodsPlanList.unshift({
				default: false,
				value: '',
				view: '请选择套餐名称',
				periodList: []
			});

			$$('#goodsSuite').html(chooseGoodsItemTemplate({optionsList: chooseGoodsPlanList}));
			$$('#goodsSuite').removeAttr('disabled');
			
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			
			$$('#goodsSuite').off('change').on('change', function(e) {
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
				
				if (e.target.children[0].selected) {
					f7.alert('请选择套餐名称');
				} else {
					
					for (var i = 0; i < e.target.children.length; i++) {
						if (e.target.children[i].selected === true) {
							goodsPlanId = chooseGoodsPlanList[i].value;		// 套餐id
							goodsPlanName = chooseGoodsPlanList[i].view;		// 套餐名称
							
							getGoodsPeriodSuccess(chooseGoodsPlanList[i].periodList);
						}
					}
 				}
			})
		}
		
		// 获取分期期数成功
		function getGoodsPeriodSuccess(data) {
			
			var chooseGoodsPeriodList = data.map(function(item) {
				return {
					default: false,
					value: item.periodKey,
					view: item.period
				};
			});
			
			chooseGoodsPeriodList.unshift({
				default: false,
				value: '',
				view: '请选择期数'
			})

			$$('#goodsStageNum').html(chooseGoodsItemTemplate({optionsList: chooseGoodsPeriodList}));
			$$('#goodsStageNum').removeAttr('disabled');

			$$('#goodsStageNum').off('change').on('change', function(e) {
				
				resetGoodsPay();		// 重置支付金额
				
				if (e.target.children[0].selected) {
					f7.alert('请选择期数');
				} else {
					
					for (var i = 0; i < e.target.children.length; i++) {
						if (e.target.children[i].selected === true) {
							
							goodsPeriodKey = e.target.children[i].value;
							goodsPeriod = parseInt(e.target.children[i].innerHTML).toString();
						}
					}
					
					callAppApi({
						url: '/app/suitePlanDetail',
						type: 'POST',
						params: {
								userId: loginStatus.userId,
								orderProductPrice: $$('#goodsPrice').val(),
								periodKey: goodsPeriodKey,
								planId: goodsPlanId,
								goodsSellId:goodsSellId,
								businessType: '002001'					
						},
						successCallback: getSuitePlanDetailSuccess,
						errorCallback: function(err) {}
					});
				}
			});
		}

		// 获取详细分期计划成功回调
		function getSuitePlanDetailSuccess(data) {
			// 更新套餐计算key值，从而可以进行下一步
			goodsSuiteKey = true;
			// 期初支付
			goodsSuitePayFirstPrice = data.downPayment;
			// 自付金额
			goodsSuitePayInitialPrice = data.selfPayAmount;
			// 每期租金
			goodsSuiteStagePrice = data.stagePrice;
			// 手续费
			goodsSuitePoundage = data.handlingCharge;
			// 服务费
			goodsSuiteServiceCharges = data.serviceCharge;
			// 租金总额
			goodsSuiteTotalAmount = data.totalAmount;
			//设备杠杆
			goodsSuiteLeverPrice = data.leverPrice;
			
			// 贴息id
			orderPlanId = data.orderPlanId;
			//贴息款
			discountAmt=data.discountAmt;
						
			// 套餐金额
			planAmount = data.planAmount;
			// 套餐应收金额
			planReceivableAmount = data.planReceivableAmount;
			// 套餐充值金额
			planRechargeAmount = data.planRechargeAmount;		
			
//			var planReceivableAmount = ''; 	// 套餐应收金额
//			var planRechargeAmount = '';	// 套餐充值金额
			
			$$('#firstPayment').val(getFormatPrice(data.downPayment) + '元');
			$$('#selfPayment').val(getFormatPrice(data.selfPayAmount) + '元    请联系工作人员现场缴纳');
			$$('#eachPayment').val(getFormatPrice(data.stagePrice) + '元');
		}	  
		
		
		// 提示信息
		$('#goodsExtraCost').on('click', function() {
			if (goodsSuiteServiceCharges === '' && goodsSuitePoundage === '' && goodsSuiteLeverPrice === '') {
//				f7.alert('请选择要购买的商品');
			} else {
				f7.modal({
					title: '期初支付',
					// 样式写在choooseGoods。hbs中
					afterText: '<div class="chooseGoodsModalItem"><span class="key">设备服务费</span><span class="value">' + getFormatPrice(goodsSuiteLeverPrice) + '元</span></div>' +
								'<div class="chooseGoodsModalItem"><span class="key">平台服务费</span><span class="value">' + getFormatPrice(goodsSuiteServiceCharges) + '元</span></div>' +
								'<div class="chooseGoodsModalItem"><span class="key">平台交易手续费</span><span class="value">' + getFormatPrice(goodsSuitePoundage) + '元</span></div>',
					buttons: [
						{
							text: '确认',
						}
					]
				});
			}

		});
	}

	return {
		render : render
	}
});
