define([
  'js/utilities',
  'js/lib/md5.min',
  'js/validator',
  'containers/login/loginView'
], function(
  utilities,
  md5,
  validator,
  loginView
) {
  var $ = Framework7.$;
  var getDeviceType = getDeviceType;
  var login = loginView.login;
  var callAppApi = utilities.callAppApi;
  var countDown = utilities.countDown;
  var renderVerifyImgCode = utilities.renderVerifyImgCode;

  function render(params) {
	var verifyCodeId = '';
	var verifyCodeType = '';
	var smsId = '';
	var forgetPwdTimeCount; 
	
	$('.navbar-outerHolder').css({'position':'absolute','top':'0','width':'100%','height':'14px','background':'#f4610b'});
	$('.navbar-inner').css({'top':'12px','background-color': '#f4610b'});
	
	function renderVerifyImgCodeFunc() {
		// 渲染图片验证码
		renderVerifyImgCode({
			imgSelector: '#verifyCodeImg',
			canvasSelector: '#forgetPwdVerifyCodeImgCanvas',
			canvasWidth: 144,
			canvasHeight: 48,
			successCallback: function(res) {
				verifyCodeId = res.verifyCodeId;
				verifyCodeType = res.verifyCodeType;
			},
			errorCallback: function(err) {}
		});
	}
	
	renderVerifyImgCodeFunc();
	
	$('#forgetPwdVerifyCodeImgChangeBtn').on('click', function() {
		renderVerifyImgCodeFunc();
	})

	f7.onPageBeforeAnimation('login', function() {
		clearInterval(forgetPwdTimeCount);
	});
	$('#getVeriCodeBtn').on('click', function() {
		var userName = $('#fg_phone').val();

		if (!validator.checkTel(userName)) {
			f7.alert('信息填写错误');
			return;
		}

		callAppApi({
			url: '/api/sendSms',
			type: 'POST',
			accountId: userName,
			params: {
				smsPhone: userName,
				smsType: '1',
				appName: 'APP_USER',
				smsBusinessType: '2'
			},
			successCallback: function(data) {
				smsId = data.smsId;
				forgetPwdTimeCount=countDown('#getVeriCodeBtn', 60, '获取验证码');
			},
			errorCallback: function(err) {}
		});
		
		
	});
	  
	$('#forgetPwdCompleteBtn').on('click', function() {
		var userName = $('#fg_phone').val();
		var veriCode = $('#verf2_code').val();
		var userPwd = $('#fg_pwd').val();
		var userConfirmPwd = $('#confirm_pwd').val();
		var forgetPwdVerifyCode = $('#forgetPwdVerifyCode').val();

		var fromPage = mainView.activePage.query.from;

		if (!validator.checkTel(userName)) {
			f7.alert('信息填写错误');
			return false;
		}
		if (smsId === '') {
			f7.alert('信息填写错误');
			return false;
		}
		if (validator.isNull(veriCode)) {
			f7.alert('信息填写错误');
			return false;
		}
		if (!/^\d{6,10}$/.test(veriCode)) {
			f7.alert('信息填写错误');
			return false;
		}
		if (!validator.checkPwd(userPwd)) {
			f7.alert('信息填写错误');
			return false;
		}
		if (userPwd !== userConfirmPwd) {
			f7.alert('信息填写错误');
			return false;
		}
		if (validator.isNull(forgetPwdVerifyCode)) {
			f7.alert('信息填写错误');
			return;
		}
		
		var rePwdUrl = '/app/rePwd?verifyCodeId=' + verifyCodeId + '&verifyCodeValue=' + forgetPwdVerifyCode + '&verifyCodeType=' + verifyCodeType;
		
		callAppApi({
//			url: '/app/rePwd',
			url: rePwdUrl,
			type: 'POST',
			params: {
				rePwdPhone: userName,
				rePwdNewPwd: md5(userPwd).toUpperCase(),
				rePwdConfirmPwd: md5(userConfirmPwd).toUpperCase(),
				smsId: smsId,
				smsCode: veriCode
			},
			successCallback: function(response) {
				f7.alert('密码修改成功');
				clearInterval(forgetPwdTimeCount);
				mainView.router.loadPage('login.html');
			},
			errorCallback: function(err) {
				renderVerifyImgCodeFunc();
			}
		});
	});

	// 清除前一个input元素的值。
	$('.login-clear').on('click', function() {
	  $(this).prev('input').val('');
	});

	// 表单元素获取焦点后隐藏工具栏
	$('input').on('focus', function() {
	  $('#toolbar').hide();
	});
	
	// 表单元素失去焦点后显示工具栏
	$('input').on('blur', function() {
	  $('#toolbar').show();
	});
  }

  return {
	render: render
  }
});
