define([
	'js/utilities',
	'containers/index/indexView',
	'components/common/toolbar/toolbarView'
], function(
	utilities,
	indexView,
	toolbarView
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var changeToolbarStatus = toolbarView.changeToolbarStatus;

	var defaultBannerData = [ {
		key : 'BANNER_ONE',
		src : 'img/index/banner-1.jpg'
	}, {
		key : 'BANNER_TWO',
		src : 'img/index/banner-2.png'
	} ];

	var defaultNoticeData = [ {
		key : 'NOTICE_ONE',
		value : '指尖租赁新版本上线啦'
	}];

	function init(query) {
		
		if (mainView.activePage.name === 'index') {
			f7.showToolbar('#toolbar');
			changeToolbarStatus('#toolbarBtn1');
		}

		var go = sessionStorage.getItem('go');
		if (typeof go === 'string' && go !== '' && go !== 'index') {

			mainView.loadPage(go + '.html');
			sessionStorage.setItem('go', '');
			loadComponent('toolbar', 'common');
		} else if (typeof go === 'string' && go === 'index') {
			sessionStorage.setItem('go', '');
		}
		
		var bannerData = [];
		var noticeData = [];
		var toolbarIconData = [];

		// 配置信息请求
		if (mainView.activePage.name === 'index') {
			callAppApi({
				url : '/app/config',
				type : 'POST',
				params : {
					pageName : 'HOME',
				},
				successCallback : function(data) {
					data.forEach(function(item, key) {
	
						if (item.modelName === 'BANNER') {
							bannerData.push({
								key : item.modelKey,
								src : item.imgValueUrl,
								version : item.configVersion,
								status : item.configStatus,
							});
						} else if (item.modelName === 'NOTICE') {
							noticeData.push({
								key : item.modelKey,
								value : item.textValue,
								version : item.configVersion,
								status : item.configStatus,
							});
						} else if (item.modelName = 'TOOLBAR') {
							toolbarIconData.push({
								key : item.modelKey,
								src : item.imgValueUrl,
								version : item.configVersion,
								status : item.configStatus,
							});
						}
					});
					
					indexView.render({
						bannerData : bannerData.length > 0 ? bannerData
								: defaultBannerData,
						noticeData : noticeData.length > 0 ? noticeData
								: defaultNoticeData,
						toolbarIconData : toolbarIconData
					});
				}
			});
			
			indexView.render({
				bannerData : bannerData.length > 0 ? bannerData
						: defaultBannerData,
				noticeData : noticeData.length > 0 ? noticeData
						: defaultNoticeData,
				toolbarIconData : toolbarIconData
			});
		}
	}

	return {
		init : init
	}
});
