define([
  'js/utilities',
  'components/common/toolbar/toolbarView',
  'js/datas',
  'hbs!containers/index/index',
  'hbs!components/index/banner/banner',
  'hbs!components/index/notice/notice'
], function(
  utilities,
  toolbarView,
  Datas,
  indexTemplate,
  bannerTemplate,
  noticeTemplate
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var changeToolbarStatus = toolbarView.changeToolbarStatus;
  var getDay = utilities.getDay;
  var dictData = Datas.dictData;

  var infoQueryRouter = utilities.infoQueryRouter; //入口路由跳转判断
  
  function render(params) {

		$('#banner .swiper-wrapper').html(bannerTemplate({
			bannerData: params.bannerData
		}));
	
		$('#notice .swiper-wrapper').html(noticeTemplate({
			noticeData: params.noticeData
		}));
	
		$('#business-list').html(indexTemplate({}));
	
		TalkingData.onPage("首页");

		// 更新toolbar
		if (mainView.activePage.name === 'index') {
			loadComponent('toolbar', 'common');
		}

		// banner初始化
		var myBanner = f7.swiper('#banner', {
		  autoplay: 3000,
		  loop: true,
		  pagination:'.swiper-pagination',
		  onTouchEnd: function(swiper){
			  swiper.startAutoplay();
		  }
		});

		$('#banner').css({'height': parseInt($(window).width() * 0.7146) + 'px'});
	
		$('.banner-item').on('click', function() {
			if (this.getAttribute('data-key') === 'BANNER_ONE') {
				TalkingData.onEventWithLabel('首页', 'BANNER_ONE');
			} else if (this.getAttribute('data-key') === 'BANNER_TWO') {
				TalkingData.onEventWithLabel('首页', 'BANNER_TWO');
			} else if (this.getAttribute('data-key') === 'BANNER_THREE') {
				TalkingData.onEventWithLabel('首页', 'BANNER_THREE');
			}
		});
	
		// notice初始化
		var myNotice = f7.swiper('#notice', {
		  autoplay: 5000,
		  loop: true,
		  direction: 'vertical',
		});

		$('#notice .swiper-slide').on('click', function() {
			TalkingData.onEventWithLabel('首页', '消息');
		});
		// 首页分期入口检查
		var goodsLogistics = '';
		var orderStatus = '';
		var orderDetailData = '';
		var chooseGoodsCheck = function(chooseBusinessType){
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
			// 检车是否登录
			if (loginStatus.userSession === '') {
				f7.alertMessage('您尚未登录，去注册登录');
				var timeIndex = setTimeout(function() {
					mainView.router.load({
						url : 'login.html',
						query : {
							from : 'index'
						}
					});
					changeToolbarStatus('#toolbarBtn3');
					clearTimeout(timeIndex);
				}, 3000);
			} else {
				// 员工购存在订单可以浏览员工购首页
				if (chooseBusinessType == '005001') {
					chooseGoodsCheckEmployeeBuy();
				} 
				else if (chooseBusinessType == '003001' || chooseBusinessType == '003002') {		// 学生教育和成人教育业务线
					checkAdultOrStudents(checkPlaceOrderSuccess);
				}
				else if (chooseBusinessType == '004003'){											// 家居家装， 参考成人教育流程
					// 家居家装和家居家装线上化，两个业务线入口合并，都只传入 004003 业务类型，在此方法中统一判断
					checkDecorationOnline(chooseBusinessType);
				}
				else {
					// 其他业务线需要发送检查订单请求
					// 检查能否下单
					callAppApi({
						url: '/app/checkPlaceOrder',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							userIsOld: loginStatus.oldUser,
							oldId: loginStatus.oldId,
							businessType: chooseBusinessType
						},
						successCallback: checkPlaceOrderSuccess,
						errorCallback: function(err) {}
					});
				}

				function checkPlaceOrderSuccess(response) {
					var orderId = response.data.orderId,
						orderTypeCode = response.data.orderTypeCode,
						orderStatus = response.data.orderStatus,
						code = response.code,
						message = response.message,
						businessTitle = '';
					var detailUrl='';
					// 弹出框标题
					if (orderTypeCode === '002001'){
						businessTitle = '手机通讯';
						detailUrl = '/app/orderDetail';
					} else if (orderTypeCode === '002002'){
						businessTitle = '家电家居';
						detailUrl = '/app/orderDetail';
					} else if (orderTypeCode === '003001'){
						businessTitle = '教育培训';
						detailUrl =  '/app/order/detail';
					} else if (orderTypeCode === '003002') {
						businessTitle = '成人教育';
						detailUrl = '/app/order/detail';
					} else if (orderTypeCode === '004001'){
						businessTitle = '家居家装';
						detailUrl = '/app/orderDetail';
					} else if (orderTypeCode === '005001') {
						businessTitle = '员工购';
						detailUrl = '/app/order/detail';
					} else if (orderTypeCode === '006001'){
						businessTitle = '健康医疗';
						detailUrl = '/app/order/detail';
					}
					
					// 检查是否为黑名单
					callAppApi({
						url : '/api/blackList',
						type : 'POST',
						params : {
							userId : loginStatus.userId,
							userPhoneNumber : loginStatus.accountName,
							userIdentityCardNumber : '',
							userBankCardNumber : ''
						},
						successCallback: function(data) {
							// 如果为黑名单
							if (data && data.blackList === true) {
								f7.alert('很抱歉，您暂时无法办理该业务，感谢关注！');
							} else {
								
								// 非家装分期、非家电套购业务线有订单
								if (orderTypeCode !== '004001' && orderTypeCode !== '004002' && orderId) {
									// 根据订单id获取订单详情信息
									callAppApi({
										url: detailUrl,
										type: 'POST',
										params: {
											userId: loginStatus.userId,
											baseBusinessType: orderTypeCode,
											orderId: orderId
										},
										successCallback: function(response){
	  										//页面跳转标识 lisai 2017年5月9日14:24:21
	  										var orderFaceCount = response.orderFaceCount;
	  										var orderFaceErrorCount = response.orderFaceErrorCount;
	  										
	  										if (!orderFaceCount){
	  											orderFaceCount = '0';
	  										}
	  										if (!orderFaceErrorCount){
	  											orderFaceErrorCount = '0';
	  										}
	  										orderFaceCount = parseInt(orderFaceCount);
	  										orderFaceErrorCount = parseInt(orderFaceErrorCount);
	  										var orderFaceSuccessCount = parseInt(orderFaceCount - orderFaceErrorCount);
	  										var orderEvidenceHoldIdCard = response.orderEvidenceHoldIdCard;
	  										
	  										// 如果状态在13以后，则弹出提示信息
											if( orderStatus === '13' || 
											    orderStatus === '14' || 
											    orderStatus === '15' || 
											    orderStatus === '16' || 
											    orderStatus.slice(0,1) === '2' || 
											    orderStatus.slice(0,1) === '3' || 
											    orderStatus.slice(0,1) === '4' || 
											    orderStatus.slice(0,1) === '6' || 
											    orderStatus.slice(0,1) === '7') {
												
												var dictValue = '';
				  								dictData.message.forEach(function(item) {
				  									if (item.dictSerialNo === code) {
				  										dictValue = item.dictValue;
				  									}
				  								});
				  								
				  								f7.alertMessage(dictValue);
				  							} else {
				  								// 如果订单状态为 10 || 11 || 12， 则弹出订单信息提示框
				  								var goodsPlanNameHtml = '';
				  								var cancelUrl = '';
				  								var cancelParams = {};
				  								var goodsName='';
				  								var goodsPayNameHtml='';
//				  								if ( orderTypeCode === '003001' || orderTypeCode === '006001' ) {		// 教育移入二级页面
				  								if (orderTypeCode === '003001' || orderTypeCode === '003002' || orderTypeCode === '006001') {
//				  									cancelUrl = educationHelper.educationAppUrl.cancelUrl;
				  									cancelUrl = '/app/order/cancel';
				  									cancelParams = {
				  									  orderId: orderId,
				  									  userId: loginStatus.userId,
				  									  cancelType: '',
				  									  baseBusinessType: orderTypeCode
				  								  }
				  								} else {
				  									cancelUrl = '/app/orderUpdate';
				  									cancelParams = {
														orderId: orderId,
														userId: loginStatus.userId,
														orderStatus: '50'
													};
				  								}
				  								if (response.goodsPlanId !== '') {
													goodsPlanNameHtml = 
														'<li class="model-list">'+
											               '<div class="model-inner authStep2-model-inner">'+
												               	'<span class="model-title">套餐名称</span>'+
												                '<span class="model-con">' + response.goodsPlanName +'</span>'+
											               '</div>'+
											            '</li>';
												}
				  								var goodsPrice=''
				  								var leseBusinessTypeTitlt='';
				  								var leseBusinessTypeCon='';
				  								if (orderTypeCode !== '003001' ) {
				  									leseBusinessTypeTitlt='每期还款'
					  								leseBusinessTypeCon=response.goodsSuiteStagePrice;
				  									goodsPrice=response.orderProductPrice
				  									goodsName=response.goodsName+'&nbsp;'+response.goodsItemConfigure+'&nbsp;'+response.goodsItemColor;
												} else{
													goodsName=response.courseName;
													goodsPrice=response.coursePrice;
				  									leseBusinessTypeTitlt='还款总额'
						  							leseBusinessTypeCon=response.goodsSuiteTotalAmount;
												}
				  								// 健康业务字段重新赋值
				  								if (orderTypeCode === '006001') {
				  									response = response.orderInfo;
				  									goodsName = response.goodsSellName;
				  									goodsPrice = response.orderProductPrice;
				  									leseBusinessTypeTitlt='每期还款'
						  							leseBusinessTypeCon=response.goodsSuiteStagePrice;
				  								}
				  								f7.modal({
										  			title: '<div id="appliance-pop" class="model-top" style="position: absolute;top: 0; left: 0; width: 100%;background: #e6e6e6;padding: 10px 0;border-radius: 13px 13px 0 0;">'+
														  	      '<div class="model-top-first">您已存在一个尚未完成的'+businessTitle+'业务订单，重新下单将会自动取消该订单</div>'+
													  	      '</div>',
										  			text:  '<div class="model-block">'+
														  	      '<ul>'+
															          '<li class="model-list">'+
															               '<div class="model-inner authStep2-model-inner">'+
																               	'<span class="model-title">商品信息</span>'+
																                '<span class="model-con">' +goodsName +'</span>'+
															               '</div>'+
															         '</li>'+
															         '<li class="model-list">'+
															               '<div class="model-inner authStep2-model-inner">'+
																               	'<span class="model-title">商品价格</span>'+
																                '<span class="model-con">' + goodsPrice +'元</span>'+
															               '</div>'+
															         '</li>'+
															         '<li class="model-list">'+
															               '<div class="model-inner authStep2-model-inner">'+
																               	'<span class="model-title">分期产品</span>'+
																                '<span class="model-con">'+response.goodsProductName+'</span>'+
															               '</div>'+
														             '</li>'+ 
																	 '<li class="model-list">'+
														               '<div class="model-inner authStep2-model-inner">'+
															               	'<span class="model-title">初期支付</span>'+
															                '<span class="model-con">' +response.goodsSuitePayFirstPrice+'元</span>'+
														               '</div>'+
													                  '</li>'+
													                  '<li class="model-list">'+
														               '<div class="model-inner authStep2-model-inner">'+
															               	'<span class="model-title">自付金额</span>'+
															                '<span class="model-con">' +response.goodsSuitePayInitialPrice+'元</span>'+
														               '</div>'+
													                  '</li>'+
															         '<li class="model-list">'+
														               '<div class="model-inner authStep2-model-inner">'+
															               	'<span class="model-title">期数</span>'+
															                '<span class="model-con">' + response.goodsSuiteStageNumber +'期</span>'+
														               '</div>'+
													             '</li>'+
														         goodsPayNameHtml
														         +
												                  '<li class="model-list">'+
													               '<div class="model-inner authStep2-model-inner">'+
														               	'<span class="model-title">'+leseBusinessTypeTitlt+'</span>'+
														                '<span class="model-con">' +leseBusinessTypeCon+'元</span>'+
													               '</div>'+
												                  '</li></ul>'+
												                  '<span class="close"></span>'+
												                  '<span class="notice"></span>'+
													        '</div>',
	
										  			buttons: [
										  				{
										  					text: '<span class="model-back">重新下单</span>',
										  					onClick: function(){
										  						// 用户选择重新下单
										  						if (orderTypeCode === '003001' || orderTypeCode === '003002' || orderTypeCode === '004003') {
										  						  callAppApi({
	                                                                    url: cancelUrl,
	                                                                    type: 'POST',
	                                                                    apiVersion: '2.0',
	                                                                    params: cancelParams,
	                                                                    successCallback: function(response) {
	                                                                        // 如果为教育业务，则需检查身份认证信息是否被清空
	                                                                        if (orderTypeCode === '003001') {
                                                                                // 检查额度信息
                                                                                callAppApi({
                                                                                    url: '/app/credit/audit/infoQuery',
                                                                                    type: 'POST',
                                                                                    params: {
                                                                                        userId: loginStatus.userId,
                                                                                        baseBusinessType: '003001',
                                                                                    },
                                                                                    successCallback: function(creditRes) {
                                                                                        var creditStatus = creditRes.creditStatus;
																						var auditInfoStatus = creditRes.auditInfoStatus;
																						var baseOrderId = creditRes.baseOrderId;
                                                                                        
                                                                                        if (creditStatus === '0' || creditStatus === '1' || creditStatus === '3' || creditStatus === '5') {
                                                                                            loadEducationPage('authentication', {
                                                                                                query: {
                                                                                                    fromPage: 'index'
                                                                                                }
                                                                                            });
                                                                                        } else if (creditStatus === '2') {
                                                                                            f7.alert('很抱歉，您暂时无法办理该业务，感谢关注！');
                                                                                        } else if (creditStatus === '4') {
                                                                                            
                                                                                            if (auditInfoStatus.slice(0, 1) === '1') {
                                                                                                if (baseOrderId) {
                                                                                                    loadEducationPage('checkFace', {
                                                                                                        query: {
                                                                                                            fromPage: 'index'
                                                                                                        }
                                                                                                    });
                                                                                                } else {
                                                                                                    loadEducationPage('chooseGoods', {
                                                                                                        query: {
                                                                                                            fromPage: 'index'
                                                                                                        }
                                                                                                    });
                                                                                                }
                                                                                            } else if (auditInfoStatus.slice(0, 1) === '2') {
                                                                                                loadEducationPage('checkInfo', {
                                                                                                    query: {
                                                                                                        fromPage: 'index'
                                                                                                    }
                                                                                                });
                                                                                            } else if (auditInfoStatus.slice(0, 1) === '4') {
                                                                                                
                                                                                                if (baseOrderId) {
                                                                                                    mainView.router.load({
                                                                                                        url: 'order.html',
                                                                                                        query: {
                                                                                                            fromPage: 'index'
                                                                                                        }
                                                                                                    });
                                                                                                } else {
                                                                                                    loadEducationPage('chooseGoods', {
                                                                                                        query: {
                                                                                                            fromPage: 'index'
                                                                                                        }
                                                                                                    });
                                                                                                }
                                                                                            }
                                                                                        } else if (creditStatus === '6') {
                                                                                            if (auditInfoStatus === '501') {
																								mainView.router.load({
																									url: 'order.html',
																									query: {
																										fromPage: 'index'
																									}
																								});
																							}
                                                                                        }
                                                                                    },
                                                                                    errorCallback: function(err) {}
                                                                                });
                                                                            }
	                                                                    }
										  						  });
										  						} else {
    										  						callAppApi({
    																	url: cancelUrl,
    																	type: 'POST',
    																	params: cancelParams,
    																	successCallback: function(response) {
    																		
    																		// 如果为手机通讯业务，则需检查身份认证信息是否被清空
    																		if (orderTypeCode === '002001') {
    																			// 检查额度信息
    																			callAppApi({
    																				url: '/api/checkCredit',
    																				type: 'POST',
    																				params: {
    																					userId: loginStatus.userId,
    																					baseBusinessType: orderTypeCode,
    																					orderId: orderId
    																				},
    																				successCallback: function(creditRes) {
    																					
    																					if (creditRes.userIsCredit === true) {
    																						// 身份认证检测成功，跳转到选择商品页面
    																						mainView.router.load({
    																							url: 'chooseGoods.html',
    																							animatePages: false
    																						});
    																					} else {
    																						// 身份认证检测失败， 跳转到身份认证页面
    												  										f7.alertMessage('办理此业务，请先进行身份认证');
    												  										var creditTime = setTimeout(function() {
    												  											
    												  											mainView.router.load({
    												  												url: 'authentication.html',
    												  												query: {
    												  													fromPage: 'index'
    												  												}
    												  											});
    												  											
    												  											clearTimeout(creditTime);
    												  										}, 3000);
    																					}
    																				},
    																				errorCallback: function(err) {}
    																			})
    																		} else if (orderTypeCode === '002002') {
    																			// 家电业务，重新下单后直接进入下单页面
    																			loadAppliancePage('chooseGoods', {
    																				query: {
    																					fromPage: 'index',
    																				}
    																			});
    																		}else if (orderTypeCode === '006001') {
    																			// 健康业务，重新下单后直接进入下单页面
    																			loadMedicalCarePage('medicalCareChooseGoods', {
    																				query: {
    																					fromPage:'index',
    																				}
    																			});
    																		}
    																	},
    																	errorCallback: function(err) {}
    																});
										  						}
										  					}
										  				},
										  				{
										  					text: '继续下单',
										  					onClick: function() {
										  						if(orderTypeCode === '002001'){
//										  							if (orderStatus === '10' || orderStatus === '11' || orderStatus === '12'){
										  								// 手机通讯业务，继续下单前首先检查身份认证信息是否存在
										  								callAppApi({
										  									url: '/api/checkCredit',
										  									type: 'POST',
										  									params: {
										  										userId: loginStatus.userId,
										  										baseBusinessType: '002001',
										  										orderId: orderId
										  									},
										  									successCallback: function(creditRes) {
										  										if (creditRes.userIsCredit === true) {
										  											// 存在身份认证信息，跳转到人脸识别页面
													  								mainView.router.load({
																						url: 'checkFace.html',
																						query: {
																							orderId: orderId
																						}
																					});
										  										} else {
										  											// 不存在身份认证信息，跳转到身份认证页面
											  										f7.alertMessage('办理此业务，请先进行身份认证');
											  										var creditTime = setTimeout(function() {
											  											
											  											mainView.router.load({
											  												url: 'authentication.html',
											  												query: {
											  													fromPage: 'index'
											  												}
											  											});
											  											
											  											clearTimeout(creditTime);
											  										}, 3000);
										  										}
										  									},
										  									errorCallback: function(err) {}
										  								})
//										  							}
										  						} else if (orderTypeCode === '002002') {
										  							goodsLogistics = response.goodsLogistics;
										  							orderStatus = response.orderStatus;
										  							orderDetailData = response;
										  							
										  							// 如果是家电家装业务线
										  							if (orderStatus === '10') {
										  								// 如果当前订单状态为10
										  								callAppApi({
										  									url: '/api/checkCredit',
										  									type: 'POST',
										  									params: {
										  										userId: loginStatus.userId,
										  										baseBusinessType: '002002',
										  										isOldUser: loginStatus.oldUser,
										  										orderId: orderId
										  									},
										  									successCallback: checkCreditSuccess,
										  									errorCallback: function(err) {}
										  								});
										
										  								function checkCreditSuccess(creditRes) {
										  									if (creditRes.userIsCredit === true) {
										  										if (orderFaceSuccessCount === 1) {
										  											loadAppliancePage('uploadIdCard', {
										  												query: {
										  													orderId: params.orderId,
										  													fromPage: 'index',
										  													evidenceKey: 'evidenceIdCard',
										  													goodsLogistics: params.goodsLogistics,
										  													orderStatus: params.orderStatus,
										  													orderDetailData: params.orderDetailData
										  												}
										  											});
										  										} else if (orderFaceSuccessCount !== 1) {
										  											if (orderFaceCount >= 3) {
											  			  								loadAppliancePage('checkUserIdCard', {//其他情况跳转至上传手持身份证
													  			  							query: {
													  			  								fromPage: 'index',
														  			  							orderId: orderId,
														  			  							orderStatus:orderDetailData.orderStatus,
													  			  								goodsLogistics:orderDetailData.goodsLogistics,
													  			  								orderDetailData:orderDetailData
													  			  							}
													  			  						});
										  											} else if (orderFaceCount < 3){
										  												if (orderEvidenceHoldIdCard === ''){
												  			  								loadAppliancePage('checkFace', {
														  			  							query: {
														  			  								fromPage: 'index',
															  			  							orderId: orderId,
															  			  							orderStatus: orderDetailData.orderStatus,
														  			  								goodsLogistics: orderDetailData.goodsLogistics,
														  			  								orderDetailData: orderDetailData
														  			  							}
														  			  						});
										  												}else{
												  			  								loadAppliancePage('checkUserIdCard', {//其他情况跳转至上传手持身份证
														  			  							query: {
														  			  								fromPage: 'index',
															  			  							orderId: orderId,
															  			  							orderStatus: orderDetailData.orderStatus,
														  			  								goodsLogistics: orderDetailData.goodsLogistics,
														  			  								orderDetailData: orderDetailData
														  			  							}
														  			  						});
										  												}
										  											}
										  										}
										  									} else {
											  									f7.alertMessage('办理此业务，请先进行身份认证');
											  									
										  										var timeIndex = setTimeout(function() {
										  											
										  											loadAppliancePage('authentication', {
																	    				query: {
																	    					fromPage:'index',
																	    					orderId: orderId,
																	    					goodsLogistics: goodsLogistics,
																	    					orderStatus: orderStatus,
																	    					orderDetailData: orderDetailData
																	    				}
																	    			});
										  											clearTimeout(timeIndex);
										  										}, 3000);
										  									}
										  								}
										  							} else if (orderStatus === '11' || orderStatus === '12') {
										  								callAppApi({
										  									url: '/api/checkCredit',
										  									type: 'POST',
										  									params: {
										  										userId: loginStatus.userId,
										  										baseBusinessType: '002002',
										  										isOldUser: loginStatus.oldUser,
										  										orderId: orderId
										  									},
										  									successCallback: function(creditRes) {
										  										if (creditRes.userIsCredit === true) {
													  								loadAppliancePage('uploadIDCard', {
													  									query: {
													  										fromPage: 'index',
													  										orderId: orderId,
													  										goodsLogistics: goodsLogistics,
													  										orderStatus: orderStatus,
													  										orderDetailData: orderDetailData
													  									}
													  								})
										  										} else {
										  											loadAppliancePage('authentication', {
																	    				query: {
																	    					fromPage:'index',
																	    					orderId: orderId,
																	    					goodsLogistics: goodsLogistics,
																	    					orderStatus: orderStatus,
																	    					orderDetailData: orderDetailData
																	    				}
																	    			});
										  										}
										  									},
										  									errorCallback: function(err) {}
										  								});
										  							}
										  						} else if(orderTypeCode === '003001') {
										  							if (orderStatus === '10' || orderStatus === '11' || orderStatus === '12') {
									  								// 教育业务，继续下单前首先检查身份认证信息是否存在
										  							callAppApi({
										  							    url: '/app/credit/audit/infoQuery',
										  							    type: 'POST',
									                                    params: {
									                                        userId: loginStatus.userId,
									                                        baseBusinessType: '003001',
									                                    },
									                                    successCallback: function(creditRes) {
									                                        var creditStatus = creditRes.creditStatus;
									                                        var auditInfoStatus = creditRes.auditInfoStatus;
																			var baseOrderId = creditRes.baseOrderId;
																													
									                                        if (creditStatus === '0' || creditStatus === '1' || creditStatus === '3' || creditStatus === '5') {
									                                            loadEducationPage('authentication', {
                                                                                    query: {
                                                                                        fromPage: 'index'
                                                                                    }
                                                                                });
																			} else if (creditStatus === '2') {
																				f7.alert('很抱歉，您暂时无法办理该业务，感谢关注！');
																			} else if (creditStatus === '4') {
																			    if (auditInfoStatus.slice(0, 1) === '1') {
                                                                                    if (baseOrderId) {
                                                                                        loadEducationPage('checkFace', {
                                                                                            query: {
                                                                                                fromPage: 'index'
                                                                                            }
                                                                                        });
                                                                                    } else {
                                                                                        loadEducationPage('chooseGoods', {
                                                                                            query: {
                                                                                                fromPage: 'index'
                                                                                            }
                                                                                        });
                                                                                    }
                                                                                } else if (auditInfoStatus.slice(0, 1) === '2') {
                                                                                	loadEducationPage('checkInfo', {
                                                                                        query: {
                                                                                            fromPage: 'index'
                                                                                        }
                                                                                    });
                                                                                } else if (auditInfoStatus.slice(0, 1) === '4') {
                                                                                    
                                                                                    if (baseOrderId) {
                                                                                        mainView.router.load({
                                                                                            url: 'order.html',
                                                                                            query: {
                                                                                                fromPage: 'index'
                                                                                            }
                                                                                        });
                                                                                    } else {
                                                                                        loadEducationPage('chooseGoods', {
                                                                                            query: {
                                                                                                fromPage: 'index'
                                                                                            }
                                                                                        });
                                                                                    }
                                                                                }
																			} else if (creditStatus === '6') {
																				if (auditInfoStatus === '501') {
																					mainView.router.load({
																						url: 'order.html',
																						query: {
																							fromPage: 'index'
																						}
																					});
																				}
																			}
									                                    },
									                                    errorCallback: function(err) {}
										  							});
									  							}
									  						} else if (orderTypeCode === '003002'){
									  							callAppApi({
									  								url: '/app/checkPlaceOrder',
									  								type: 'POST',
									  								params: {
									  									userId: loginStatus.userId,
									  									userIsOld: loginStatus.oldUser,
									  									oldId: loginStatus.oldId,
									  									businessType: '003002'
									  								},
									  								successCallback: function(checkPlaceOrderRes) {

									  									if (checkPlaceOrderRes.code == '14501001' || checkPlaceOrderRes.code == '14506101') {
									  										loadAdultEducationPage('chooseGoods', {
									  											query: {
									  												fromPage: 'index'
									  											}
									  										});
									  									} else if (checkPlaceOrderRes.code == '14506100') {
									  										var adultEducationPrompt = '请在运维平台配置14506100对应提示信息';
									  										dictData.message.forEach(function(item) {
									  											if (item.dictSerialNo === checkPlaceOrderRes.code) {
									  												adultEducationPrompt = item.dictValue;
									  											}
									  										});
									  										
									  										f7.modal({
									  											text: adultEducationPrompt,
									  											buttons: [
									  												{
									  													text: '取消'
									  												},
									  												{
									  													text: '确认',
									  													onClick: function() {
									  														mainView.router.load({
									  			  												url: 'orderList.html',
									  			  												query: {
									  			  													fromPage: 'index'
									  			  												}
									  			  											});
									  													}
									  												}
									  											]
									  										});
									  									}
									  								},
									  								errorCallback: function(err) {}
									  							});
									  						} else if(orderTypeCode === '006001'){
									  							callAppApi({
									  							  url: '/app/credit/audit/query',
									  							  type: 'POST',
									  							  params: {
									  								  userId: loginStatus.userId
									  							  },
									  							  successCallback: function(auditQueryRes) {
									  								  if ( auditQueryRes.creditAuditStatus == '450' ) {
									  										//检测是否设置交易密码
									  										callAppApi({
									  											url: '/module/transactionPwd/find',
									  											type: 'POST',
									  											params: {
									  												userId:loginStatus.userId,
									  												findType:"01"
									  											},
									  											successCallback: function(pwdRes) {
									  												//判断是否设置过交易密码 没设则跳转至交易密码页面
									  												if(pwdRes.transactionPwdExist){
									  													//if (orderStatus === '10'){
									  														loadMedicalCarePage('medicalCareUploadEvidence', {
										  														query: {
										  															fromPage:'index',
									  																orderId: orderId,
									  																baseBusinessType: '006001',
										  														}
										  													});
									  													/*}else if(orderStatus === '11' || orderStatus === '12'){
									  														mainView.router.load({
									  															url : 'orderDetail.html',
									  															query : {
									  																fromPage: 'index',
									  																orderId: orderId,
									  																baseBusinessType: '006001',
									  															}
									  														});
									  													}*/
									  													
									  												} else if(!pwdRes.transactionPwdExist){
									  													f7.modal({
									  														 text:'为了保障您账户的安全，请先设置交易密码。',
									  														 buttons:[
									  															 {
									  																 text:"取消",
									  																 onClick:function(){}
									  															 },
									  															 {
									  																 text:"设置密码",
									  																 onClick:function(){
									  																	 mainView.loadPage({
									  																		url: 'setPassword.html',
									  																		query: {
									  																			fromPage :"index"
									  																		}
									  																	}) 
									  																 }
									  															 },
									  														 ]
									  													 });
									  												}
									  											}
									  										})
									  								  }else if(auditQueryRes.creditAuditStatus == '2' || auditQueryRes.creditAuditStatus == '350'){
									  									  f7.alert('很抱歉，您暂时无法办理该业务，感谢关注！')
									  								  }else{
									  									  f7.modal({
									  											 text:'您尚未申请授信额度，请申请通过后再继续操作。',
									  											 buttons:[
									  												 {
									  													 text:"取消",
									  													 onClick:function(){}
									  												 },
									  												 {
									  													 text:"去申请",
									  													 onClick:function(){
									  														 if (
									  																  auditQueryRes.creditAuditStatus == '1' || 
									  																  auditQueryRes.creditAuditStatus == '5' || 
									  																  auditQueryRes.creditAuditStatus == '110'
									  															  ) {
									  																  // 跳转选择职业页面
									  																  loadAdvanceCreditPage('chooseProfession', {
									  																	  query: {
									  																		  fromPage: 'index',
									  																	  }
									  																  });
									  															  } else if ( 
									  																  auditQueryRes.creditAuditStatus == '302' || 
									  																  auditQueryRes.creditAuditStatus == '140' ||
									  																  auditQueryRes.creditAuditStatus == '141'
									  															  ) {
									  																  // 跳转额度管理页面
									  																  loadAdvanceCreditPage('creditManage', {
									  																	  query: {
									  																		  fromPage: 'index',
									  																	  }
									  																  });
									  															  } else if (
									  																  auditQueryRes.creditAuditStatus == '420' ||
									  																  auditQueryRes.creditAuditStatus == '301'
									  															  ) {
									  																  // 跳转人脸识别，身份证正反面页面
									  															  	  loadAdvanceCreditPage('uploadIDCard', {
									  															  		  query: {
									  															  			  fromPage: 'index',
									  															  		  }
									  															  	  });
									  															  } else if (auditQueryRes.creditAuditStatus == '120') {
									  																  // 跳转专案基本信息
									  														  		  loadAdvanceCreditPage('housingLoan', {
									  																	  query: {
									  																		  fromPage:'index',
									  																	  }
									  																  });
									  															  } else if (auditQueryRes.creditAuditStatus == '131' || auditQueryRes.creditAuditStatus == '132') {
									  																  loadAdvanceCreditPage('uploadEvidence', {
									  																	  query: {
									  																		  fromPage:'index',
									  																	  }
									  																  })
									  															  } else if (auditQueryRes.creditAuditStatus == '130') {
									  															  	  loadAdvanceCreditPage('chooseFamily', {
									  															  		  query: {
									  															  			  fromPage:'index',
									  															  			  difference: 'advanceCreditUploadEvidence'
									  															  		  }
									  															  	  });
									  															  } else if (auditQueryRes.creditAuditStatus == '340') {
									  																  if (auditQueryRes.userMaterialsCheckResult == '0') {
									  																	  loadAdvanceCreditPage('uploadIDCard', {
									  																		  query: {
									  																			  fromPage: 'index',
									  																			  fromStatus: auditQueryRes.creditAuditStatus,
									  																			  orderId: auditQueryRes.baseOrderId
									  																		  }
									  																	  });
									  																  } else if (auditQueryRes.caseMaterialsCheckResult == '0') {
									  																	  loadAdvanceCreditPage('uploadEvidence', {
									  																		  query: {
									  																			  fromPage: 'index',
									  																			  fromStatus: auditQueryRes.creditAuditStatus,
									  																			  orderId: auditQueryRes.baseOrderId
									  																		  }
									  																	  });
									  																  } else if (auditQueryRes.decorationMaterialsCheckResult == '0') {
									  																	  loadFamilyDecorationPage('perfectDataResult', {
									  																		  query: {
									  																			  fromPage: 'index',
									  																			  orderId: auditQueryRes.baseOrderId,
									  																			  difference: 'index',
									  																			  fromStatus: auditQueryRes.creditAuditStatus
									  																		  }
									  																	  });
									  																  }
									  															  } 
									  													 }
									  												 },
									  											 ]
									  										 });
									  								  }
									  								 },
									  							  errorCallback: function(err) {}
									  						  });
									  						}
										  					}
										  				}
										  			]
										  		});
												$('#appliance-pop').parents('.modal').css({
													'overflow': 'visible',
													'width': '90%',
													'margin-left': '-45%'
												})
												$('.close').click(function(){
													f7.closeModal();
												});
				  							}
											
										},
										errorCallback: function(err) {}
									})
								} else {
									// 不存在订单，跳转到二级首页
									linkPageCheck(chooseBusinessType);
								}
							}
						}
					});
				}
			}
		}
		
		var checkDecorationOnline = function(chooseBusinessType) {
			var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
			
			callAppApi({
				url: '/app/checkPlaceOrder',
				type: 'POST',
				params: {
					userId: loginStatus.userId,
					userIsOld: loginStatus.oldUser,
					oldId: loginStatus.oldId,
					businessType: chooseBusinessType
				},
				successCallback: function(response) {
					// 检查订单接口拿到订单id和业务类型
					var responseCode = response.code;
					var orderId = response.data.orderId;
					var orderTypeCode = response.data.orderTypeCode;
					var orderStatus = response.data.orderStatus;
					
					// 检查订单可以下单
					if (responseCode !== '14507600') {
						// 走家装线上化逻辑
						infoQueryRouter(chooseBusinessType, {
							query:{
								fromPage: 'index'
							}
						}, loadFamilyDecorationOnlinePage);
						
					// 检查订单不可以下单
					} else if (responseCode == '14507600') {
//						// 这里不会返回旧家装的订单，不需要判断业务类型，返回的订单为家装线上化订单。
//						if (orderTypeCode == '004002') {
//							f7.alertMessage('您已提交该业务的申请，请至个人中心＂我的额度＂查看详情。')
//						} else if (orderTypeCode == '004003') {
						if (orderStatus == '10' || orderStatus == '12') {
					    
					    callAppApi({
								url: '/app/order/detail',
								type: 'POST',
								apiVersion: '2.0',
								params: {
									orderId: orderId,
									userId: loginStatus.userId,
									baseBusinessType: orderTypeCode
								},
								successCallback: function(detailRes) {
									var businessTitle = '家装分期';
									var goodsPlanNameHtml = '';
									var goodsPayNameHtml = '';
									
									var leseBusinessTypeTitlt = '每期还款';
									var leseBusinessTypeCon = detailRes.detailCacheData.planStagePrice;
									
									if (detailRes.detailCacheData.planId !== '') {
										goodsPlanNameHtml = 
											'<li class="model-list">'+
								               '<div class="model-inner authStep2-model-inner">'+
									               	'<span class="model-title">套餐名称</span>'+
									                '<span class="model-con">' + detailRes.planName +'</span>'+
								               '</div>'+
								            '</li>';
									}
									
									f7.modal({
							  			title: '<div id="familyDecorationOnline-pop" class="model-top" style="position: absolute;top: 0; left: 0; width: 100%;background: #e6e6e6;padding: 10px 0;border-radius: 13px 13px 0 0;">'+
											  	      '<div class="model-top-first"><span style="display: inline-block; margin: 2px 2px 0 0; width: 15px; height: 15px; background-size: 100%; background-image: url(img/notice.png);"></span>您已存在一个尚未完成的'+businessTitle+'业务订单，重新下单将会自动取消该订单</div>'+
										  	      '</div>',
							  			text:  '<div class="model-block">'+
											  	      '<ul>'+
												          '<li class="model-list">'+
												               '<div class="model-inner authStep2-model-inner">'+
													               	'<span class="model-title">商品信息</span>'+
													                '<span class="model-con">' + detailRes.productDataList[0].productName +'</span>'+
												               '</div>'+
												         '</li>'+
												         '<li class="model-list">'+
												               '<div class="model-inner authStep2-model-inner">'+
													               	'<span class="model-title">商品价格</span>'+
													                '<span class="model-con">' + detailRes.productDataList[0].productPrice +'元</span>'+
												               '</div>'+
												         '</li>'+
												         '<li class="model-list">'+
												               '<div class="model-inner authStep2-model-inner">'+
													               	'<span class="model-title">分期产品</span>'+
													                '<span class="model-con">'+detailRes.detailCacheData.planProductName+'</span>'+
												               '</div>'+
											             '</li>'+ 
														 '<li class="model-list">'+
											               '<div class="model-inner authStep2-model-inner">'+
												               	'<span class="model-title">初期支付</span>'+
												                '<span class="model-con">' +detailRes.detailCacheData.planPayFirstPrice+'元</span>'+
											               '</div>'+
										                  '</li>'+
										                  '<li class="model-list">'+
											               '<div class="model-inner authStep2-model-inner">'+
												               	'<span class="model-title">自付金额</span>'+
												                '<span class="model-con">' +detailRes.detailCacheData.planPayInitialPrice+'元</span>'+
											               '</div>'+
										                  '</li>'+
												         '<li class="model-list">'+
											               '<div class="model-inner authStep2-model-inner">'+
												               	'<span class="model-title">期数</span>'+
												                '<span class="model-con">' + detailRes.detailCacheData.planStageNumber +'期</span>'+
											               '</div>'+
										             '</li>'+
											         goodsPayNameHtml
											         +
									                  '<li class="model-list">'+
										               '<div class="model-inner authStep2-model-inner">'+
											               	'<span class="model-title">'+leseBusinessTypeTitlt+'</span>'+
											                '<span class="model-con">' +leseBusinessTypeCon+'元</span>'+
										               '</div>'+
									                  '</li></ul>'+
									                  '<span class="close"></span>'+
										        '</div>',

							  			buttons: [
											{
												text: '<span class="model-back">重新下单</span>',
												onClick: function() {
													
													callAppApi({
														url:'/app/order/cancel',
														apiVersion: '2.0',
														type: 'POST',
														params: {
															orderId: detailRes.orderId,
															userId: loginStatus.userId,
															cancelType: '',
															baseBusinessType: orderTypeCode
														},
														successCallback: function(response) {
															loadFamilyDecorationOnlinePage('chooseGoods', {
																query: {
																	fromPage: 'index'
																}
															});
														},
														errorCallback: function(err) {}
													});
												}
											},
											{
												text: '继续下单',
												onClick: function() {
													infoQueryRouter(chooseBusinessType, {
														query:{
															fromPage: 'index'
														}
													}, loadFamilyDecorationOnlinePage);
												}
											}
										]
									});
									$('#familyDecorationOnline-pop').parents('.modal').css({
										'overflow': 'visible',
										'width': '90%',
										'margin-left': '-45%'
									})
									$('.close').click(function(){
										f7.closeModal();
									});
								},
								errorCallback: function(err) {}
							})
						} else {
							
		    				var alertMessageText = '';
							// 这里接口返回新的码表配置信息
							dictData.message.forEach(function(item) {
								if (item.dictSerialNo === responseCode) {
									alertMessageText = item.dictValue;
								}
							});
							
							f7.alertMessage(alertMessageText);
//						    f7.alertMessage('您已存在家装业务订单，请至订单页查看订单最新状态');
						}
					}
				},
				errorCallback: function(err) {}
			});
		}
		
		//小均件下单检测
		var PhonechooseGoodsCheck=function(){
			var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
			callAppApi({
				url : '/api/checkCredit',
				type : 'POST',
				params : {
					userId : loginStatus.userId,
					baseBusinessType : '002001',
					isOldUser : loginStatus.oldUser,
					orderId:'',
				},
				successCallback : checkCreditSuccess,
				errorCallback: function(err) {}
			});
			function checkCreditSuccess(response) {
				if (response.userIsCredit === true) {
					mainView.router.load({
						url: 'chooseGoods.html'
					});
				} else {
					f7.alertMessage('办理此业务，请先进行身份认证');
					var timeIndex = setTimeout(function() {
						mainView.loadPage('authentication.html');
						clearTimeout(timeIndex);
					}, 3000);
				}			
			}
		}
		
		//家电下单检测
		var chooseGoodsCheckAppliance=function(){
			loadAppliancePage('chooseGoods', {
				query: {
					fromPage: 'stagingProducts',
					orderId: '',
					orderStatus:'',
					orderDetailData:''
				}
			});	
		}
		
		// 辨别学生教育与成人教育是否存在订单且未提交审核
		var checkAdultOrStudents = function(callBack){
			var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
			
			// 检查学生教育是否有订单
			callAppApi({
				url: '/app/checkPlaceOrder',
				type: 'POST',
				params: {
					userId: loginStatus.userId,
					userIsOld: loginStatus.oldUser,
					oldId: loginStatus.oldId,
					businessType: '003001'
				},
				successCallback: function(studentEducationRes){
					if (studentEducationRes.data.orderTypeCode=="003001") {
						// 检查订单请求，判断出来有学生教育的订单
					    chooseGoodsCheckStudentEducation('003001');
					} else {
						
						// 检查成人教育是否有订单
						callAppApi({
							url: '/app/checkPlaceOrder',
							type: 'POST',
							params: {
								userId: loginStatus.userId,
								userIsOld: loginStatus.oldUser,
								oldId: loginStatus.oldId,
								businessType: '003002'
							},
							successCallback: function(adultEducationRes) {
								if (adultEducationRes.data.orderTypeCode == '003002') {
									// 检查订单请求，判断出来有成人教育的订单
									chooseGoodsCheckEducationAll('003002');
								} else {
									// 检查结果没有订单 -- 返送反欺诈检查请求
									callAppApi({
										url: '/app/check/risk/education',
										type: 'POST',
										params: {
											userId: loginStatus.userId,
											businessType: '003'
										},
										successCallback: function(creditQueryRes) {
											if (
													creditQueryRes.result.creditStatus == '1' || 
													creditQueryRes.result.creditStatus == '3' ||
													creditQueryRes.result.creditStatus == '5'
											) {
												// 用户没有做过反欺诈或者反欺诈失效
												// 用户反欺诈未通过且非禁闭期
												// 用户反欺诈通过但状态失效
												infoQueryRouter('003002', {
													query:{
														fromPage: 'index'
													}
												}, loadAdultEducationPage);
												
											} else if (creditQueryRes.result.creditStatus == '2') {
												// 反欺诈不通过且在禁闭期
												f7.alertMessage('很抱歉，您暂时无法办理该业务，感谢关注！');
											} else if (
												creditQueryRes.result.creditStatus == '4' ||
												creditQueryRes.result.creditStatus == '6'
											) {
												// 用户完成了反欺诈且反欺诈有效，则继续判断业务类型，进行对应的教育逻辑
												if (creditQueryRes.businessType == '003001') {
													// 检查订单请求，判断出来有学生教育的订单
												    // chooseGoodsCheckStudentEducation('003001');
													// 不用再检查订单，直接调用学生教育路由方法
													infoQueryRouter('003001', {
														query:{
															fromPage: 'index'
														}
													}, loadEducationPage);
												} else if (creditQueryRes.businessType == '003002') {
													// 检查订单请求，判断出来有成人教育的订单
													// chooseGoodsCheckEducationAll('003002')
													// 不用再检查订单，直接调用成人教育路由方法
													infoQueryRouter('003002', {
														query:{
															fromPage: 'index'
														}
													}, loadAdultEducationPage);
												}
											}
										},
										errorCallback: function(err) {}
									})
								}
							},
							errorCallback: function(err) {}
						})
					}
				},
				errorCallback: function(err) {}
			});
		}
		
		var chooseGoodsCheckEducationAll = function(chooseBusinessType) {
			var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
			
			callAppApi({
				url: '/app/checkPlaceOrder',
				type: 'POST',
				params: {
					userId: loginStatus.userId,
					userIsOld: loginStatus.oldUser,
					oldId: loginStatus.oldId,
					businessType: chooseBusinessType
				},
				successCallback: function(response) {
					// 检查订单接口拿到订单id和业务类型
					var responseCode = response.code;
					var orderId = response.data.orderId;
					var orderTypeCode = response.data.orderTypeCode;
					var orderStatus = response.data.orderStatus;
					
					// 检查订单可以下单
					if (responseCode !== '14506100') {
						// 走成人教育逻辑
						infoQueryRouter(chooseBusinessType, {
							query:{
								fromPage: 'index'
							}
						}, loadAdultEducationPage);
						
					// 检查订单不可下单
					} else if (responseCode == '14506100') {
					    if (orderStatus == '10') {

						callAppApi({
							url: '/app/order/detail',
							type: 'POST',
							apiVersion:'2.0',
							params: {
								orderId: orderId,
								userId: loginStatus.userId,
								baseBusinessType: orderTypeCode
							},
							successCallback: function(detailRes) {
								var data = detailRes.orderInfo;

                                f7.modal({
                                    title: '<div id="adultEducation-pop" class="model-top" style="position: absolute;top: 0; left: 0; width: 100%;background: #e6e6e6;padding: 10px 0;border-radius: 13px 13px 0 0;">'+
                                                  '<div class="model-top-first"><span style="display: inline-block; margin: 2px 2px 0 0; width: 15px; height: 15px; background-size: 100%; background-image: url(img/notice.png);"></span>您已存在一个尚未完成的成人教育业务订单，重新下单将会自动取消该订单</div>'+
                                              '</div>',
                                    text:  '<div class="model-block">'+
                                                  '<ul>'+
                                                      '<li class="model-list">'+
                                                           '<div class="model-inner authStep2-model-inner">'+
                                                                '<span class="model-title">商品名称</span>'+
                                                                '<span class="model-con">' +data.goodsSellName +'</span>'+
                                                           '</div>'+
                                                     '</li>'+
                                                     '<li class="model-list">'+
                                                           '<div class="model-inner authStep2-model-inner">'+
                                                                '<span class="model-title">商品价格</span>'+
                                                                '<span class="model-con">' + data.orderProductPrice +'元</span>'+
                                                           '</div>'+
                                                     '</li>'+
                                                     '<li class="model-list">'+
                                                           '<div class="model-inner authStep2-model-inner">'+
                                                                '<span class="model-title">分期产品</span>'+
                                                                '<span class="model-con">'+data.goodsProductName+'</span>'+
                                                           '</div>'+
                                                     '</li>'+ 
                                                     '<li class="model-list">'+
                                                       '<div class="model-inner authStep2-model-inner">'+
                                                            '<span class="model-title">期初支付</span>'+
                                                            '<span class="model-con">' +data.goodsSuitePayFirstPrice+'元</span>'+
                                                       '</div>'+
                                                      '</li>'+
                                                      '<li class="model-list">'+
                                                       '<div class="model-inner authStep2-model-inner">'+
                                                            '<span class="model-title">线下支付</span>'+
                                                            '<span class="model-con">' +data.goodsSuitePayInitialPrice+'元</span>'+
                                                       '</div>'+
                                                      '</li>'+
                                                     '<li class="model-list">'+
                                                       '<div class="model-inner authStep2-model-inner">'+
                                                            '<span class="model-title">期数</span>'+
                                                            '<span class="model-con">' + data.goodsSuiteStageNumber +'期</span>'+
                                                       '</div>'+
                                                 '</li>'+
                                                  '<li class="model-list">'+
                                                   '<div class="model-inner authStep2-model-inner">'+
                                                        '<span class="model-title">'+'租金总额'+'</span>'+
                                                        '<span class="model-con">' +data.goodsSuiteTotalAmount+'元</span>'+
                                                   '</div>'+
                                                  '</li></ul>'+
                                                  '<span class="close"></span>'+
                                            '</div>',
                                    buttons: [
                                        {
                                            text: '重新下单',
                                            onClick:function(){
                                                callAppApi({
                                                    url:'/app/order/cancel',
                                                    apiVersion: '2.0',
                                                    type: 'POST',
                                                    params: {
                                                        orderId: orderId,
                                                        userId: loginStatus.userId,
                                                        cancelType: '',
                                                        baseBusinessType: chooseBusinessType
                                                    },
                                                    successCallback: function(response) {
														loadAdultEducationPage('chooseGoods', {
															query: {
																fromPage: 'index'
															}
														});
                                                    },
                                                    errorCallback: function(err) {}
                                                });
                                            }
                                        },
                                        {
                                            text: '继续下单',
                                            onClick: function() {
												infoQueryRouter(chooseBusinessType, {
													query:{
														fromPage: 'index'
													}
												}, loadAdultEducationPage);
                                            }
                                        }
                                    ]
                                });
                                $('#adultEducation-pop').parents('.modal').css({
                                    'overflow': 'visible',
                                    'width': '90%',
                                    'margin-left': '-45%'
                                })
                                $('.close').click(function(){
                                    f7.closeModal();
                                });
							},
							errorCallback: function(err) {}
						});
					  } else {
					      var alertMessageText = '';
                          // 这里接口返回新的码表配置信息
                          dictData.message.forEach(function(item) {
                              if (item.dictSerialNo === responseCode) {
                                  alertMessageText = item.dictValue;
                              }
                          });
                          
                          f7.alertMessage(alertMessageText);
//                          f7.alertMessage('您已存在成人教育业务订单，请至订单页查看订单最新状态');
                      }
					}
					
				},
				errorCallback: function(err) {}
			})
		}
		
		// 学生教育下单检查
		var chooseGoodsCheckStudentEducation = function(chooseBusinessType) {
		    var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		    callAppApi({
                url: '/app/checkPlaceOrder',
                type: 'POST',
                params: {
                    userId: loginStatus.userId,
                    userIsOld: loginStatus.oldUser,
                    oldId: loginStatus.oldId,
                    businessType: chooseBusinessType
                },
                successCallback: function(response) {
                    // 检查订单接口拿到订单id和业务类型
                    var responseCode = response.code;
                    var orderId = response.data.orderId;
                    var orderTypeCode = response.data.orderTypeCode;
                    var orderStatus = response.data.orderStatus;
                    
                    // 检查订单可以下单
                    if (responseCode !== '14506000') {
                        // 走教育逻辑
                        infoQueryRouter(chooseBusinessType, {
                            query:{
                                fromPage: 'index'
                            }
                        }, loadEducationPage);
                        
                    // 检查订单不可下单
                    } else if (responseCode == '14506000') {
                        if (orderStatus == '10' || orderStatus == '11' || orderStatus == '12') {
                        callAppApi({
                            url: '/app/order/detail',
                            apiVersion: '2.0',
                            type: 'POST',
                            params: {
                                orderId: orderId,
                                userId: loginStatus.userId,
                                baseBusinessType: orderTypeCode
                            },
                            successCallback: function(detailRes) {
                            	var data = detailRes;

                                f7.modal({
                                    title: '<div id="adultEducation-pop" class="model-top" style="position: absolute;top: 0; left: 0; width: 100%;background: #e6e6e6;padding: 10px 0;border-radius: 13px 13px 0 0;">'+
                                                  '<div class="model-top-first"><span style="display: inline-block; margin: 2px 2px 0 0; width: 15px; height: 15px; background-size: 100%; background-image: url(img/notice.png);"></span>您已存在一个尚未完成的教育业务订单，重新下单将会自动取消该订单</div>'+
                                              '</div>',
                                    text:  '<div class="model-block">'+
                                                  '<ul>'+
                                                      '<li class="model-list">'+
                                                           '<div class="model-inner authStep2-model-inner">'+
                                                                '<span class="model-title">商品名称</span>'+
                                                                '<span class="model-con">' +data.courseName +'</span>'+
//                                                                '<span class="model-con">' +data.goodsSellName +'</span>'+
                                                           '</div>'+
                                                     '</li>'+
                                                     '<li class="model-list">'+
                                                           '<div class="model-inner authStep2-model-inner">'+
                                                                '<span class="model-title">商品价格</span>'+
                                                                '<span class="model-con">' + data.coursePrice +'元</span>'+
//                                                                '<span class="model-con">' + data.orderProductPrice +'元</span>'+
                                                           '</div>'+
                                                     '</li>'+
                                                     '<li class="model-list">'+
                                                           '<div class="model-inner authStep2-model-inner">'+
                                                                '<span class="model-title">分期产品</span>'+
                                                                '<span class="model-con">'+data.goodsProductName+'</span>'+
                                                           '</div>'+
                                                     '</li>'+ 
                                                     '<li class="model-list">'+
                                                       '<div class="model-inner authStep2-model-inner">'+
                                                            '<span class="model-title">期初支付</span>'+
                                                            '<span class="model-con">' +data.goodsSuitePayFirstPrice+'元</span>'+
                                                       '</div>'+
                                                      '</li>'+
                                                      '<li class="model-list">'+
                                                       '<div class="model-inner authStep2-model-inner">'+
                                                            '<span class="model-title">线下支付</span>'+
                                                            '<span class="model-con">' +data.goodsSuitePayInitialPrice+'元</span>'+
                                                       '</div>'+
                                                      '</li>'+
                                                     '<li class="model-list">'+
                                                       '<div class="model-inner authStep2-model-inner">'+
                                                            '<span class="model-title">期数</span>'+
                                                            '<span class="model-con">' + data.goodsSuiteStageNumber +'期</span>'+
                                                       '</div>'+
                                                 '</li>'+
                                                  '<li class="model-list">'+
                                                   '<div class="model-inner authStep2-model-inner">'+
                                                        '<span class="model-title">'+'租金总额'+'</span>'+
                                                        '<span class="model-con">' +data.goodsSuiteTotalAmount+'元</span>'+
                                                   '</div>'+
                                                  '</li></ul>'+
                                                  '<span class="close"></span>'+
                                            '</div>',
                                    buttons: [
                                        {
                                            text: '重新下单',
                                            onClick:function(){
                                                callAppApi({
                                                    url:'/app/order/cancel',
                                                    apiVersion: '2.0',
                                                    type: 'POST',
                                                    params: {
                                                        orderId: orderId,
                                                        userId: loginStatus.userId,
                                                        cancelType: '',
                                                        baseBusinessType: chooseBusinessType
                                                    },
                                                    successCallback: function(response) {
                                                        loadEducationPage('chooseGoods', {
                                                            query: {
                                                                fromPage: 'index'
                                                            }
                                                        });
                                                    },
                                                    errorCallback: function(err) {}
                                                });
                                            }
                                        },
                                        {
                                            text: '继续下单',
                                            onClick: function() {
                                                infoQueryRouter(chooseBusinessType, {
                                                    query:{
                                                        fromPage: 'index'
                                                    }
                                                }, loadEducationPage);
                                            }
                                        }
                                    ]
                                });
                                $('#adultEducation-pop').parents('.modal').css({
                                    'overflow': 'visible',
                                    'width': '90%',
                                    'margin-left': '-45%'
                                })
                                $('.close').click(function(){
                                    f7.closeModal();
                                });
                            },
                            errorCallback: function(err) {}
                        })
                      } else {
                          var alertMessageText = '';
                          // 这里接口返回新的码表配置信息
                          dictData.message.forEach(function(item) {
                              if (item.dictSerialNo === responseCode) {
                                  alertMessageText = item.dictValue;
                              }
                          });
                          
                          f7.alertMessage(alertMessageText);
//                          f7.alertMessage('您已存在教育业务订单，请至订单页查看订单最新状态');
                      }
                    }
                    
                },
                errorCallback: function(err) {}
            })
		}
		
		// 教育业务下单检测
//		var chooseGoodsCheckEducationAll = function() {
//			var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
//			var basicInfoData = JSON.parse(localStorage.getItem('basicInfoData'+ '_' + loginStatus.userId));
//			
//			callAppApi({
//				url: '/app/credit/audit/infoQuery',
//				type: 'POST',
//				params: {
//					baseBusinessType: '003002',
//					userId: loginStatus.userId
//				},
//				successCallback: function(adultCreditRes) {
//				    var creditStatus = adultCreditRes.creditStatus;
//		            var auditInfoStatus = adultCreditRes.auditInfoStatus;
//		            var baseOrderId = adultCreditRes.baseOrderId;
//				    
//		            if (creditStatus === '0' || creditStatus === '1' || creditStatus === '3' || creditStatus === '5') {
//			            loadAdultEducationPage('chooseProfession', {
//                            query: {
//                                fromPage: 'index',
//                                adultCreditRes: adultCreditRes
//                            }
//                        });
//				    } else if (creditStatus == '2') {
//			            f7.alertMessage('很抱歉，您暂时无法办理该业务，感谢关注！');
//			        } else if (creditStatus == '4') {
//			            
//			            if (auditInfoStatus.slice(0, 1) === '1') {
//                            loadAdultEducationPage('uploadIdCard', {
//                                query: {
//                                    fromPage: 'index'
//                                }
//                            });
//                        } else if (auditInfoStatus.slice(0, 1) === '2') {
//                            
//                            if (baseOrderId) {
//                                callAppApi({
//                                    url:'/app/order/detail',
//                                    type: 'POST',
//                                    params: {
//                                        orderId: baseOrderId,
//                                        userId: loginStatus.userId,
//                                        baseBusinessType: '003002'
//                                  },
//                                  successCallback: function(data) {
//                                      data = data.orderInfo;
//                                      f7.modal({
//                                          title: '<div id="appliance-pop" class="model-top" style="position: absolute;top: 0; left: 0; width: 100%;background: #e6e6e6;padding: 10px 0;border-radius: 13px 13px 0 0;">'+
//                                                        '<div class="model-top-first">您已存在一个尚未完成的成人教育业务订单，重新下单将会自动取消该订单</div>'+
//                                                    '</div>',
//                                          text:  '<div class="model-block">'+
//                                                        '<ul>'+
//                                                            '<li class="model-list">'+
//                                                                 '<div class="model-inner authStep2-model-inner">'+
//                                                                      '<span class="model-title">商品名称</span>'+
//                                                                      '<span class="model-con">' +data.goodsSellName +'</span>'+
//                                                                 '</div>'+
//                                                           '</li>'+
//                                                           '<li class="model-list">'+
//                                                                 '<div class="model-inner authStep2-model-inner">'+
//                                                                      '<span class="model-title">商品价格</span>'+
//                                                                      '<span class="model-con">' + data.orderProductPrice +'元</span>'+
//                                                                 '</div>'+
//                                                           '</li>'+
//                                                           '<li class="model-list">'+
//                                                                 '<div class="model-inner authStep2-model-inner">'+
//                                                                      '<span class="model-title">分期产品</span>'+
//                                                                      '<span class="model-con">'+data.goodsProductName+'</span>'+
//                                                                 '</div>'+
//                                                           '</li>'+ 
//                                                           '<li class="model-list">'+
//                                                             '<div class="model-inner authStep2-model-inner">'+
//                                                                  '<span class="model-title">期初支付</span>'+
//                                                                  '<span class="model-con">' +data.goodsSuitePayFirstPrice+'元</span>'+
//                                                             '</div>'+
//                                                            '</li>'+
//                                                            '<li class="model-list">'+
//                                                             '<div class="model-inner authStep2-model-inner">'+
//                                                                  '<span class="model-title">线下支付</span>'+
//                                                                  '<span class="model-con">' +data.goodsSuitePayInitialPrice+'元</span>'+
//                                                             '</div>'+
//                                                            '</li>'+
//                                                           '<li class="model-list">'+
//                                                             '<div class="model-inner authStep2-model-inner">'+
//                                                                  '<span class="model-title">期数</span>'+
//                                                                  '<span class="model-con">' + data.goodsSuiteStageNumber +'期</span>'+
//                                                             '</div>'+
//                                                       '</li>'+
//                                                        '<li class="model-list">'+
//                                                         '<div class="model-inner authStep2-model-inner">'+
//                                                              '<span class="model-title">'+'租金总额'+'</span>'+
//                                                              '<span class="model-con">' +data.goodsSuiteTotalAmount+'元</span>'+
//                                                         '</div>'+
//                                                        '</li></ul>'+
//                                                        '<span class="close"></span>'+
//                                                        '<span class="notice"></span>'+
//                                                  '</div>',
//                                          buttons: [
//                                              {
//                                                  text: '重新下单',
//                                                  onClick:function(){
//                                                      callAppApi({
//                                                          url:'/app/order/cancel',
//                                                          apiVersion: '2.0',
//                                                          type: 'POST',
//                                                          params: {
//                                                                orderId: baseOrderId,
//                                                                userId: loginStatus.userId,
//                                                                cancelType: '',
//                                                                baseBusinessType: '003002'
//                                                            },
//                                                          successCallback: function(response) {
//                                                              loadAdultEducationPage('chooseGoods', {
//                                                                  query: {
//                                                                      fromPage: 'index',
//                                                                      creditStatus: creditStatus,
//                                                                      auditInfoStatus: auditInfoStatus,
//                                                                      orderId: baseOrderId
//                                                                  }
//                                                              });
//                                                          },
//                                                          errorCallback: function(err) {}
//                                                      });
//                                                  }
//                                              },
//                                              {
//                                                  text: '继续下单',
//                                                  onClick: function() {
//                                                      loadAdultEducationPage('uploadEvidence', {
//                                                          query: {
//                                                              fromPage: 'index'
//                                                          }
//                                                      });
//                                                  }
//                                              }
//                                          ]
//                                      });
//                                      $('#appliance-pop').parents('.modal').css({
//                                          'overflow': 'visible',
//                                          'width': '90%',
//                                          'margin-left': '-45%'
//                                      })
//                                      $('.close').click(function(){
//                                          f7.closeModal();
//                                      });
//                                  },
//                                  errorCallback: function(err) {}
//                              });
//                            } else {
//                                loadAdultEducationPage('chooseGoods', {
//                                    fromPage: 'index'
//                                });
//                            }
//                        } else if (auditInfoStatus.slice(0, 1) === '4') {
//                            
//                            if (baseOrderId) {
//                                callAppApi({
//                                    url: '/app/checkPlaceOrder',
//                                    type: 'POST',
//                                    params: {
//                                        userId: loginStatus.userId,
//                                        businessType: '003002'
//                                    },
//                                    successCallback: function(checkPlaceOrderRes) {
//                                        if (checkPlaceOrderRes.code == '14501001' || checkPlaceOrderRes.code == '14506101') {
//                                            loadAdultEducationPage('chooseGoods', {
//                                                query: {
//                                                  fromPage: 'index'
//                                                }
//                                            });
//                                        } else if (checkPlaceOrderRes.code == '14506100') {
//                                            var adultEducationPrompt = '请在运维平台配置14506100对应提示信息';
//                                            dictData.message.forEach(function(item) {
//                                                if (item.dictSerialNo === checkPlaceOrderRes.code) {
//                                                    adultEducationPrompt = item.dictValue;
//                                                }
//                                            });
//                                            f7.modal({
//                                                text: adultEducationPrompt,
//                                                buttons: [
//                                                    {
//                                                        text: '取消'
//                                                    },
//                                                    {
//                                                        text: '确认',
//                                                        onClick: function() {
//                                                            mainView.router.load({
//                                                                url: 'order.html',
//                                                                query: {
//                                                                    fromPage: 'index'
//                                                                }
//                                                            });
//                                                        }
//                                                    }
//                                                ]
//                                            });
//                                            mainView.router.load({
//                                                url: 'order.html',
//                                                query: {
//                                                    fromPage: 'index'
//                                                }
//                                            });
//                                        } else {
//                                            loadAdultEducationPage('chooseGoods', {
//                                                query: {
//                                                    fromPage: 'index'
//                                                }
//                                            });
//                                        }
//                                    },
//                                    errorCallback: function(err) {}
//                                });
//                            } else {
//                                loadAdultEducationPage('chooseGoods', {
//                                    query: {
//                                        fromPage: 'index'
//                                    }
//                                });
//                            }
//                        }
//			        } else if (creditStatus === '6') {
//			            if (auditInfoStatus === '501') {
//			                if (baseOrderId) {
//			                    mainView.router.load({
//			                        url: 'orderDetail.html',
//			                        query: {
//			                            baseBusinessType: '003002',
//			                            orderId: baseOrderId,
//			                            fromPage: 'index'
//			                        }
//			                    });
//			                } else {
//			                    loadAdultEducationPage('chooseGoods', {
//			                        query: {
//			                            fromPage: 'index',
//			                            creditStatus: creditStatus,
//                                        auditInfoStatus: auditInfoStatus,
//			                        }
//			                    });
//			                }
//			            }
//			        }
//				},
//				errorCallback: function(err) {}
//			});
//		}
		
		// 教育业务下单检测
		var chooseGoodsCheckEducation=function(){
			var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
			callAppApi({
				url : '/api/checkCredit',
				type : 'POST',
				params : {
					userId : loginStatus.userId,
					baseBusinessType : '003001',
					isOldUser : loginStatus.oldUser,
					orderId:'',
				},
				successCallback : checkCreditSuccess,
				errorCallback: function(err) {}
			});
			function checkCreditSuccess(response) {
				if (response.userIsCredit === true) {
					loadEducationPage('chooseGoods', {
	    				query: {}
	    			});
				} else {
					f7.alertMessage('办理此业务，请先进行身份认证');
					var timeIndex = setTimeout(function() {
						loadEducationPage('authentication', {
		    				query: {}
		    			});
						clearTimeout(timeIndex);
					}, 3000);
				}			
			}
		}
		
		// 家装，家电套购下单检测
		var chooseGoodsCheckFamily = function(baseBusinessType){
			var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
//			  callAppApi({
//				  url: '/service/check/fraud/lockDown',
//				  type: 'POST',
//				  params: {
//					  baseBusinessType: baseBusinessType || '',
//					  userId: loginStatus.userId,
//				  },
//				  successCallback: function(res) {
					  
					  callAppApi({
						  url: '/app/credit/audit/query',
						  type: 'POST',
						  params: {
							  userId: loginStatus.userId
						  },
						  successCallback: function(auditQueryRes) {
							  
							  // 您尚未申请授信额度
							  if (
									  auditQueryRes.creditAuditStatus == '1' || 
									  auditQueryRes.creditAuditStatus == '3' ||
									  auditQueryRes.creditAuditStatus == '5' || 
									  auditQueryRes.creditAuditStatus == '110'
//									  auditQueryRes.creditAuditStatus == '140' || 
//										auditQueryRes.creditAuditStatus == '141'
									  
								) {
								  f7.modal({
									  title: '',
									  text: '您尚未申请授信额度，请申请通过后再继续操作',
									  buttons: [
										  {
											  text: '<span color="gray">取消</span>',
											  onClick: function() {}
										  },
										  {
											  text: '<span color="#f4610b">去申请</span>',
											  onClick: function() {
												  loadAdvanceCreditPage('chooseProfession', {
													  query: {
														  fromPage: 'index',
													  }
												  });
											  }
										  }
									  ]
								  });
							  } 
//							  else if (
//								  auditQueryRes.creditAuditStatus == '5' || 
//								  auditQueryRes.creditAuditStatus == '110'
//							  ) {
//								  // 跳转选择职业页面
//								  f7.modal({
//									  title: '',
//									  text: '您尚未申请授信额度，请申请通过后再继续操作',
//									  buttons: [
//										  {
//											  text: '<span color="gray">取消</span>',
//											  onClick: function() {}
//										  },
//										  {
//											  text: '<span color="#f4610b">去申请</span>',
//											  onClick: function() {
//												  loadAdvanceCreditPage('chooseProfession', {
//													  query: {
//														  fromPage: 'index',
//													  }
//												  });
//											  }
//										  }
//									  ]
//								  });
//							  } 
							  else if (auditQueryRes.creditAuditStatus == '2' || auditQueryRes.creditAuditStatus == '350') {
								  // 禁闭期
								  f7.alertMessage('很抱歉，您暂时无法办理该业务，感谢关注！');
						  	  } 
//							  else if (
//						  		auditQueryRes.creditAuditStatus == '140' || 
//								auditQueryRes.creditAuditStatus == '141'
//							  ) {
//								  f7.modal({
//									  title: '',
//									  text: '您尚未申请授信额度，请申请通过后再继续操作',
//									  buttons: [
//										  {
//											  text: '<span color="gray">取消</span>',
//											  onClick: function() {}
//										  },
//										  {
//											  text: '<span color="#f4610b">去申请</span>',
//											  onClick: function() {
//												  loadAdvanceCreditPage('creditManage', {
//													  query: {
//														  fromPage: 'index',
//													  }
//												  });
//											  }
//										  }
//									  ]
//								  })
//						      } 
						  else if (
								  auditQueryRes.creditAuditStatus == '302' 
							  ) {
								  // 跳转额度管理页面
								  loadAdvanceCreditPage('creditManage', {
									  query: {
										  fromPage: 'index',
									  }
								  });
							  } else if (auditQueryRes.creditAuditStatus == '450') {
								  // 可用额度
								  f7.alertMessage('您可用额度' + auditQueryRes.creditAvailableAmount + '，赶快去门店办理分期业务吧！')
						  	  } else if (
								  auditQueryRes.creditAuditStatus == '420' ||
								  auditQueryRes.creditAuditStatus == '301'
							  ) {
								  // 跳转人脸识别，身份证正反面页面
							  	  loadAdvanceCreditPage('uploadIDCard', {
							  		  query: {
							  			  fromPage: 'index',
							  		  }
							  	  });
							  } else if (auditQueryRes.creditAuditStatus == '120') {
								  // 跳转专案基本信息
						  		  loadAdvanceCreditPage('housingLoan', {
									  query: {
										  fromPage:'index',
									  }
								  });
							  } else if (auditQueryRes.creditAuditStatus == '131' || auditQueryRes.creditAuditStatus == '132') {
								  loadAdvanceCreditPage('uploadEvidence', {
									  query: {
										  fromPage:'index',
									  }
								  })
							  } else if (auditQueryRes.creditAuditStatus == '130') {
							  	  loadAdvanceCreditPage('chooseFamily', {
							  		  query: {
							  			  fromPage:'index',
							  		  }
							  	  });
							  } else if (auditQueryRes.creditAuditStatus == '340') {
								  if (auditQueryRes.userMaterialsCheckResult == '0') {
									  loadAdvanceCreditPage('uploadIDCard', {
										  query: {
											  fromPage: 'index',
											  fromStatus: auditQueryRes.creditAuditStatus,
											  orderId: auditQueryRes.baseOrderId,
											  baseBusinessType:auditQueryRes.baseBusinessType,
											  userMaterialsCheckResult: auditQueryRes.userMaterialsCheckResult,
											  caseMaterialsCheckResult: auditQueryRes.caseMaterialsCheckResult,
											  decorationMaterialsCheckResult: auditQueryRes.decorationMaterialsCheckResult
										  }
									  });
								  } else if (auditQueryRes.caseMaterialsCheckResult == '0') {
									  loadAdvanceCreditPage('uploadEvidence', {
										  query: {
											  fromPage: 'index',
											  fromStatus: auditQueryRes.creditAuditStatus,
											  orderId: auditQueryRes.baseOrderId,
											  baseBusinessType:auditQueryRes.baseBusinessType,
											  userMaterialsCheckResult: auditQueryRes.userMaterialsCheckResult,
											  caseMaterialsCheckResult: auditQueryRes.caseMaterialsCheckResult,
											  decorationMaterialsCheckResult: auditQueryRes.decorationMaterialsCheckResult
										  }
									  });
								  } else if (auditQueryRes.decorationMaterialsCheckResult == '0') {
									  loadFamilyDecorationPage('perfectDataResult', {
										  query: {
											  fromPage: 'index',
											  orderId: auditQueryRes.baseOrderId,
											  difference: 'index',
											  fromStatus: auditQueryRes.creditAuditStatus
										  }
									  });
								  }
							  }
							  
//							  if (auditQueryRes.creditAuditStatus == '2') {
//								  f7.alertMessage('很抱歉，您暂时无法办理该业务，感谢关注！');
//							  } else if (auditQueryRes.creditAuditStatus == '450') {
//								  f7.alertMessage('您可用额度' + auditQueryRes.creditAvailableAmount + '，赶快去门店办理分期业务吧！')
//							  } else {
//								  f7.modal({
//									  title: '',
//									  text: '您尚未申请授信额度，请申请通过后再继续操作',
//									  buttons: [
//										  {
//											  text: '<span color="gray">取消</span>',
//											  onClick: function() {}
//										  },
//										  {
//											  text: '<span color="#f4610b">去申请</span>',
//											  onClick: function() {
////												  mainView.router.load({
////													  url: 'me.html'
////												  });
//											  }
//										  }
//									  ]
//								  })
//							  }
						  },
						  errorCallback: function(err) {}
					  });
//				  },
//				  errorCallback: function(err) {}
//			  });
		};
		
		//健康医疗业务
		var chooseGoodsCheckMedicalcare = function(){
			var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
			  callAppApi({
				  url: '/app/credit/audit/query',
				  type: 'POST',
				  params: {
					  userId: loginStatus.userId
				  },
				  successCallback: function(auditQueryRes) {
					  if ( auditQueryRes.creditAuditStatus == '450' ) {
							//检测是否设置交易密码
							callAppApi({
								url: '/module/transactionPwd/find',
								type: 'POST',
								params: {
									userId:loginStatus.userId,
									findType:"01"
								},
								successCallback: function(pwdRes) {
									//判断是否设置过交易密码 没设则跳转至交易密码页面
									if(pwdRes.transactionPwdExist){
										f7.alertMessage('您可用额度' + auditQueryRes.creditAvailableAmount + '，赶快去门店办理分期业务吧！')
										setTimeout(function(){
											loadMedicalCarePage('medicalCareChooseGoods', {
												query: {
													fromPage:'index',
												}
											});
										},3500);
									} else if(!pwdRes.transactionPwdExist){
										f7.modal({
											 text:'为了保障您账户的安全，请先设置交易密码。',
											 buttons:[
												 {
													 text:"取消",
													 onClick:function(){}
												 },
												 {
													 text:"设置密码",
													 onClick:function(){
														 mainView.loadPage({
															url: 'setPassword.html',
															query: {
																fromPage :"index"
															}
														}) 
													 }
												 },
											 ]
										 });
									}
								}
							})
					  }else if(auditQueryRes.creditAuditStatus == '2' || auditQueryRes.creditAuditStatus == '350'){
						  f7.alert('很抱歉，您暂时无法办理该业务，感谢关注！')
					  }else{
						  f7.modal({
								 text:'您尚未申请授信额度，请申请通过后再继续操作。',
								 buttons:[
									 {
										 text:"取消",
										 onClick:function(){}
									 },
									 {
										 text:"去申请",
										 onClick:function(){
											 if (
													  auditQueryRes.creditAuditStatus == '1' ||
													  auditQueryRes.creditAuditStatus == '5' || 
													  auditQueryRes.creditAuditStatus == '110'
												  ) {
													  // 跳转选择职业页面
													  loadAdvanceCreditPage('chooseProfession', {
														  query: {
															  fromPage: 'index',
														  }
													  });
												  } else if ( 
													  auditQueryRes.creditAuditStatus == '302' || 
													  auditQueryRes.creditAuditStatus == '140' ||
													  auditQueryRes.creditAuditStatus == '141'
												  ) {
													  // 跳转额度管理页面
													  loadAdvanceCreditPage('creditManage', {
														  query: {
															  fromPage: 'index',
														  }
													  });
												  } else if (
													  auditQueryRes.creditAuditStatus == '420' ||
													  auditQueryRes.creditAuditStatus == '301'
												  ) {
													  // 跳转人脸识别，身份证正反面页面
												  	  loadAdvanceCreditPage('uploadIDCard', {
												  		  query: {
												  			  fromPage: 'index',
												  		  }
												  	  });
												  } else if (auditQueryRes.creditAuditStatus == '120') {
													  // 跳转专案基本信息
											  		  loadAdvanceCreditPage('housingLoan', {
														  query: {
															  fromPage:'index',
														  }
													  });
												  } else if (auditQueryRes.creditAuditStatus == '131' || auditQueryRes.creditAuditStatus == '132') {
													  loadAdvanceCreditPage('uploadEvidence', {
														  query: {
															  fromPage:'index',
														  }
													  })
												  } else if (auditQueryRes.creditAuditStatus == '130') {
												  	  loadAdvanceCreditPage('chooseFamily', {
												  		  query: {
												  			  fromPage:'index',
												  			  difference: 'advanceCreditUploadEvidence'
												  		  }
												  	  });
												  } else if (auditQueryRes.creditAuditStatus == '340') {
													  if (auditQueryRes.userMaterialsCheckResult == '0') {
														  loadAdvanceCreditPage('uploadIDCard', {
															  query: {
																  fromPage: 'index',
																  fromStatus: auditQueryRes.creditAuditStatus,
																  orderId: auditQueryRes.baseOrderId
															  }
														  });
													  } else if (auditQueryRes.caseMaterialsCheckResult == '0') {
														  loadAdvanceCreditPage('uploadEvidence', {
															  query: {
																  fromPage: 'index',
																  fromStatus: auditQueryRes.creditAuditStatus,
																  orderId: auditQueryRes.baseOrderId
															  }
														  });
													  } else if (auditQueryRes.decorationMaterialsCheckResult == '0') {
														  loadFamilyDecorationPage('perfectDataResult', {
															  query: {
																  fromPage: 'index',
																  orderId: auditQueryRes.baseOrderId,
																  difference: 'index',
																  fromStatus: auditQueryRes.creditAuditStatus
															  }
														  });
													  }
												  } 
										 }
									 },
								 ]
							 });
					  }
					 },
				  errorCallback: function(err) {}
			  });
	}
		


		$('#stagingProducts').on('click', function(ev) {
			var chooseBusinessType=$(ev.target).parent().parent().attr("chooseBusinessType")
			if(chooseBusinessType){
				chooseGoodsCheck(chooseBusinessType)
			}
		});
		//员工购点击事件
		$('#staffShopping').on('click', function(){
			chooseGoodsCheck('005001');
		})
		
		
		function linkPageCheck(chooseBusinessType){
			if (chooseBusinessType==='002001') {			//3C产品
				PhonechooseGoodsCheck();
			} else if (chooseBusinessType==='002002') {		//家电单品
				chooseGoodsCheckAppliance();
			} else if (chooseBusinessType==='003001') {		//教育
				chooseGoodsCheckEducation();
			} else if (chooseBusinessType == '004001') {	// 家电套购
				chooseGoodsCheckFamily(chooseBusinessType);
			} else if (chooseBusinessType == '004002') {	// 家居装修			作废
				chooseGoodsCheckFamily(chooseBusinessType);
			} else if (chooseBusinessType == '005001') {	// 员工购
				chooseGoodsCheckEmployeeBuy();
			} else if(chooseBusinessType==='006001'){//医疗
				chooseGoodsCheckMedicalcare();
			} else {
				f7.alertMessage('此业务暂无开放，敬请期待！');
			}
		}
		
//		// 合约机业务跳转旧的app
//		$('#contractBtn').on('click', function() {
//			TalkingData.onEventWithLabel('首页', '合约机业务');
////			location.href = 'old.html';
//		});
	
//		// 小件均业务点击事件
//		$('#littleStagingBtn').on('click', function() {
//			chooseGoodsCheck();
//		});
		
//		// 员工购页面入口
		function chooseGoodsCheckEmployeeBuy() {
			TalkingData.onEvent("03001首页-员工购按钮");
			
			var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
			callAppApi({
				url: '/app/ebuyEntry/isNeedAuth',
				type: 'POST',
				params: {
					userId: loginStatus.userId
				},
				successCallback: function(res){

					if (res.isNeedAuth === '1') {
						loadEmployeeBuyPage('chooseAuthType', {})
					} else if (res.isNeedAuth === '0') {
						loadEmployeeBuyPage('employeeBuyIndex', {
							query:{
								fromPage: 'index'
							}
						});
					}
				},
				errorCallback: function(err) {}
			});
		}
  }
  
  return {
		render: render
  }
});
