define([
  'js/utilities',
  'containers/info/infoView'
], function(
  utilities,
  infoView
) {
 
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var isOwnEmpty = utilities.isOwnEmpty;

  function init(query) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  callAppApi({
		  url: '/app/userInfo',
		  type: 'POST',
		  params: {
			  userId: loginStatus.userId,
			  isOldUser: loginStatus.oldUser,
			  oldId: loginStatus.oldId,
			  userSession: loginStatus.userSession
		  },
		  successCallback: function(response) {

			  // 返回值统一修改
//			  if (response === null) {
			  if (isOwnEmpty(response)) {
				  f7.alertMessage('请您先选择需办理业务，再进行身份认证');
			  } else {
				  infoView.render({userInfo: response});
			  }
		  }
	  })
  }
  
  return {
	init: init,
  };
});
