define([
  'js/utilities',
  'hbs!containers/info/info'
], function(
	utilities,
	infoTemplate
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var logout = utilities.logout;
  var getDay = utilities.getDay;
  
  function render(params) {
	  TalkingData.onPage('个人信息');
	  
	  // 渲染导航栏
		loadComponent('navbar', 'common', {
			container: '#infoNavbar',
			title: '个人信息',
			backClass: 'meBackBtn',
			isBackIcon: true,
			isBack: false
		});
	  
		// 信息加密通用方法（中间替换*****）
		function plusXing (str,frontLen,endLen) { 
		    var len = str.length-frontLen-endLen;
		    var xing = '';
		    for (var i=0;i<len;i++) {
		        xing+='*';
		    }
		    return str.substr(0,frontLen)+xing+str.substr(str.length-endLen);
		}
		//身份证号加密替换
		var userIdentityCardNumber=params.userInfo.userIdentityCardNumber
		userIdentityCardNumber = plusXing(userIdentityCardNumber,6,4)
		//银行卡号加密替换
		var userBankCardNumber= params.userInfo.userBankCardNumber;
		userBankCardNumber = plusXing(userBankCardNumber,4,4);
		//每4位替换一个空格
		userBankCardNumber = userBankCardNumber.replace(/....(?!$)/g, '$& '); 
	
		var contactsname1 = '',
			contactsPhoneNumber1 = '',
			contactsUserRelation1 = '',
			contactsname2 = '',
			contactsPhoneNumber2 = '',
			contactsUserRelation2 = '';
		
		if (Array.isArray(params.userInfo.contactsList) && params.userInfo.contactsList.length == 1) {
			contactsname1 = params.userInfo.contactsList[0].contactsName;
			contactsPhoneNumber1 = params.userInfo.contactsList[0].contactsPhoneNumber;
			contactsUserRelation1 = params.userInfo.contactsList[0].contactsUserRelation;
		} else if (Array.isArray(params.userInfo.contactsList) && params.userInfo.contactsList.length > 1) {
			contactsname1 = params.userInfo.contactsList[0].contactsName;
			contactsPhoneNumber1 = params.userInfo.contactsList[0].contactsPhoneNumber;
			contactsUserRelation1 = params.userInfo.contactsList[0].contactsUserRelation;
			
			contactsname2 = params.userInfo.contactsList[1].contactsName;
			contactsPhoneNumber2 = params.userInfo.contactsList[1].contactsPhoneNumber;
			contactsUserRelation2 = params.userInfo.contactsList[1].contactsUserRelation;
		}
		
		$('#infoContent').html(infoTemplate({
			username: params.userInfo.userName || '',
			userIdentityCardNumber: userIdentityCardNumber || '',
			userBankCardNumber: userBankCardNumber || '',
			contactsname1: contactsname1,
			contactsPhoneNumber1: contactsPhoneNumber1,
			contactsUserRelation1: contactsUserRelation1,
			contactsname2: contactsname2,
			contactsPhoneNumber2: contactsPhoneNumber2,
			contactsUserRelation2: contactsUserRelation2
		}));
  }
  
  return {
	render: render
  }
});