define([
    'js/config',
    'js/utilities',
    'js/validator',
    'js/sha256',
    'hbs!containers/inputPrePwd/inputPrePwd',
    'hbs!components/common/button/button'
], function(
    config,
    utilities,
    validator,
    SHA256,
    InputPrePwdTemplate,
    buttonTemplate
) {
    var $ = Framework7.$;
    var callAppApi = utilities.callAppApi;
    var getDeviceType = utilities.getDeviceType;
    var buildNumber = config.buildNumber;
    var SKIP = config.SKIP;
    var logout = utilities.logout;

    function render(params) {
    	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
    	loadComponent('navbar', 'common', {
            container: '#inputPrePwdNavbar',
            title: '修改交易密码',
            backId: 'inputPrePwdBackBtn',
            isBackIcon: true,
            isBack: true,
//            iconRightId: 'skipInputPrePwdBtn',
//            iconRightStatus: true,
//            iconRight:'跳过',
//            iconRightClass: 'skipInputPrePwdSkipBtn'
        });


        // 渲染页面
        $('#inputPrePwdContent').html(InputPrePwdTemplate({
        	deviceType: getDeviceType()
        }));

        // 渲染底部按钮
        $('#inputPrePwdBtnBox').html(buttonTemplate({
            id : 'inputPrePwdBtn',
            value : '下一步',
            disabled : false,
        }));
        

        var inputPrePwdContainer = document.getElementById("inputPrePwdContainer");
		var inputPrePwdObj = {
			maxLength:"",
			realInput:"",
			bogusInput:"",
			bogusInputArr:"",
			callback:"",
			init:function(fun){
				var that = this;
				this.callback = fun;
				that.realInput = inputPrePwdContainer.children[0];
				that.bogusInput = inputPrePwdContainer.children[1];
				that.bogusInputArr = that.bogusInput.children;
				that.maxLength = that.bogusInputArr[0].getAttribute("maxlength");
				that.realInput.oninput = function(){
					that.setValue();
				}
				that.realInput.onpropertychange = function(){
					that.setValue();
				}
			},
			setValue:function(){
				this.realInput.value = this.realInput.value.replace(/\D/g,"");
				var real_str = this.realInput.value;
				for(var i = 0 ; i < this.maxLength ; i++){
					this.bogusInputArr[i].value = real_str[i]?real_str[i]:"";
				}
				if(real_str.length >= this.maxLength){
					this.realInput.value = real_str.substring(0,6);
					this.callback();
				}
			},
			getBoxInputValue:function(){
				var realValue = "";
				for(var i in this.bogusInputArr){
					if(!this.bogusInputArr[i].value){
						break;
					}
					realValue += this.bogusInputArr[i].value;
				}
				return realValue;
			}
		};
		inputPrePwdObj.init(function() {});
     
     //点击下一步按钮
      $("#inputPrePwdBtnBox").on("click",function () {
    	  
    	var pwdStr = inputPrePwdObj.getBoxInputValue();
    	var telRegExp = /^\d{6}$/;
    	if(pwdStr==""){
    		f7.alert('请输入交易密码'); return false; 
    	}
    	if(!telRegExp.test(pwdStr)){f7.alert('密码格式不正确'); return false; }
    	callAppApi({
		   url: '/module/transactionPwd/find',
		   type: 'POST',
		   params: {
			   userId: loginStatus.userId,
			   transactionPwd: SHA256(pwdStr).toString(),
			   findType: "03"
		   },
		   successCallback: function(response) {
			   if(response.transactionPwdExist){			   
					mainView.router.load({
						url : 'setPassword.html',
						query : {
							 fromPage:'inputPrePwd',
						  	 inputPrePwd: SHA256(pwdStr).toString()
						}
					});  
			   }else{
				   f7.alert('旧密码不正确'); return false;
			   }
					
		   },
		   errorCallback: function(err) {}
		})
    	  
      });
      //点击忘记密码按钮  进入发送验证码页面
      $("#inputPrePwd-fgtPwdBtn").on("click",function(){
    	  mainView.router.load({
				url : 'tradePwd.html',
				query : {
					fromPage : 'forgetTrade'
				}
			});
      })

    }

    return {
        render: render
    }
});