define([
  'app',
  'js/utilities',
  'js/config',
  'js/lib/md5.min',
  'js/validator',
  'containers/inputUserIdenId/inputUserIdenIdView',
  'hbs!containers/inputUserIdenId/inputUserIdenId',
], function(
  myApp,
  utilities,
  config,
  md5,
  validator,
  inputUserIdenIdView,
  inputUserIdenIdTemplate
) {
  var $ = Framework7.$;
  var getDeviceType = myApp.getDeviceType;
//  var login = inputUserIdenIdView.login;
  var callAppApi = utilities.callAppApi;
  var countDown = utilities.countDown;
  var getDay = utilities.getDay;
  
  // 跳过cordova插件
  var SKIP = config.SKIP;
  
  function render(params) {
	  
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  var userName = params.userName;
	  var phoneNumber = loginStatus.userPhoneNumber;
	  var userId = loginStatus.userId;

		loadComponent('navbar', 'common', {
	        container: '#inputUserIdenIdNavbar',
	        title: '设置交易密码',
	        backId: 'inputUserIdenIdBackBtn',
	        isBackIcon: true,
	        isBack: false,
	        fromPage:params.fromPage
	        
	    });
//渲染页面
	  var inputUserIdenIdHtml = inputUserIdenIdTemplate({
		  userName:userName
	  });
	
	$('#inputUserIdenIdContent').html(inputUserIdenIdHtml);
	

	TalkingData.onPage("填写身份证号码");
	TalkingData.onPageBegin("填写身份证号码所需时间");
	// 点击下一步按钮
	$('#inputUserIdenIdBtn').on('click', function() {
		var userIdenId = $("#userIdenId").val();
		if (validator.isNull(userIdenId)) {
			f7.alert('身份证号不能为空');
			return;
		}
		if (!validator.checkPersonId(userIdenId)) {
			f7.alert('您输入的是一个无效的身份证号');
			return;
		}
		//验证身份证号
		callAppApi({
			   url: '/module/transactionPwd/verifyIdCard',
			   type: 'POST',
			   params: {
				   userId: userId,
				   phoneNumber:phoneNumber,
				   idCard:userIdenId
				     },
				successCallback: function(response) {
				   //成功：2000，失败：4000
					if(params.fromPage){//如果是来自忘记密码路径传参
						mainView.router.load({
							url : 'setPassword.html',
							query : {
								fromPage : params.fromPage,
								pwdRouterStatus: params.pwdRouterStatus,
								idCard:userIdenId//身份证号码
							}
						});
					}else{
						mainView.router.load({
							url : 'setPassword.html',
							query : {
								fromPage : 'inputUserIdenId'
							}
						});
					}
//					mainView.loadPage('setPassword.html')
			     },
				     errorCallback: function(err) {
//				    	 alert("4000")
//				    	 f7.alert("身份证校验失败")
				     }
			})
		 
	});

	// 表单元素获取焦点后隐藏工具栏
	$('input').on('focus', function() {
	  $('#toolbar').hide();
	});
	// 表单元素失去焦点后显示工具栏
	$('input').on('blur', function() {
	  $('#toolbar').show();
	});
  }
  
  return {
	render: render
  }
});
