define([
	'js/utilities',
	'js/config',
	'js/lib/md5.min',
	'js/validator'
], function(
	utilities,
	config,
	md5,
	validator
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var getDay = utilities.getDay;
	var getLngAndLat = utilities.getLngAndLat;
	var renderVerifyImgCode = utilities.renderVerifyImgCode;
	
	var SKIP = config.SKIP;
	var deviceInfo = '';
	if (!SKIP.cordova_uuid) {
		deviceInfo = device.uuid;
	}

	// 登录请求
//	function login(userName, userPwd, targetPage) {
	function login(options) {
		var userName = options.userName;
		var userPwd = options.userPwd;
		var targetPage = options.targetPage;
		var verifyCodeId = options.verifyCodeId;
		var verifyCodeValue = options.verifyCodeValue;
		var verifyCodeType = options.verifyCodeType;
		
		var url = '/api/login?verifyCodeId=' + verifyCodeId + '&verifyCodeValue=' + verifyCodeValue + '&verifyCodeType=' + verifyCodeType;
		
		var targetUrl = '';
		if (typeof targetPage === 'undefined') {
			targetUrl = 'index.html';
		} else {
			targetUrl = targetPage + '.html';
		}
		
		var baseParams = {
			accountName : userName,
			accountPwd : md5(userPwd).toUpperCase(),
			appName:'APP_USER',
			loginLongitude: '',
			loginLatitude: '',
			deviceInfo:deviceInfo
		};
		
//		// 注释登陆经纬度
//		getLngAndLat(function(position) {
//			baseParams.loginLongitude = position.lng;
//			baseParams.loginLatitude = position.lat;
//			
//			loginFunc();
//		}, function(error) {
//			loginFunc();
//		});

		function loginFunc() {
			callAppApi({
				url : url,
				type : 'POST',
				accountId: userName,
				params : baseParams,
				successCallback : function(data) {
					localStorage.setItem('loginStatus', JSON.stringify(data));
					//lisai  2017年3月23日14:17:56 登陆改造  若用户从小件均登录可获取到用户信息 
					var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
					
					TalkingData.onEventWithExtraData('用户登录', '登录成功', {
						 userId: loginStatus.userId,
						 mmo:userName,
						 eventtype:'03',
						 businesstype:'09',
					}) 
					callAppApi({
						  url: '/app/userInfo',
						  type: 'POST',
						  params: {
							  userId: loginStatus.userId,
							  isOldUser: loginStatus.oldUser,
							  oldId: loginStatus.oldId,
							  userSession: loginStatus.userSession
						  },
						  successCallback: function(response) {
							  
							  loginStatus.userPhoneNumber = response.userPhoneNumber;
							  
							  localStorage.setItem('loginStatus', JSON.stringify(loginStatus));
							  
							  localStorage.setItem('userInfo', JSON.stringify(response));//lisai
						  },
						  errorCallback: function(err) {}
					  });
//					mainView.loadPage(targetUrl);
					  mainView.router.load({
						  url: targetUrl,
						  animatePages: false
					  });
				},
				errorCallback: function() {
					
					if (options.errorCallback) { options.errorCallback() }
					
					TalkingData.onEventWithExtraData('用户登录', '登录失败', {
						 userId: '无',
						 mmo:userName,
						 eventtype:'03',
						 businesstype:'09',
					}) 
				}
			});
		}
		
		loginFunc();
	}
	
	function render(params) {
		
		var verifyCodeId = '';
		var verifyCodeType = '';
		
		TalkingData.onPage("登录");
		TalkingData.onPageBegin("登录时间");
		var fromPage = mainView.activePage.query.from;
		
		// 登陆成功后如果要跳转到二级首页，则修改为首页
		if (fromPage === 'stagingProducts') {
			fromPage = 'index';
		}
		
		// 渲染页面
		// 从首页点击跳到登陆，登陆后腰跳回首页
//		if (typeof mainView.activePage.query.from !== 'undefined') {
//			$('#goRegister').attr('href', 'register.html?from=' + fromPage);
//		}
		
		function renderVerifyImgCodeFunc() {
			// 渲染图片验证码
			renderVerifyImgCode({
				imgSelector: '#verifyCodeImg',
				canvasSelector: '#loginVerifyCodeImgCanvas',
				canvasWidth: 144,
				canvasHeight: 48,
				successCallback: function(res) {
					verifyCodeId = res.verifyCodeId;
					verifyCodeType = res.verifyCodeType;
				},
				errorCallback: function(err) {}
			});
		}

		renderVerifyImgCodeFunc();
		
		$('#loginVerifyCodeImgChangeBtn').on('click', function() {
			renderVerifyImgCodeFunc();
		})
		
		// 跳转注册页面
		$('#goRegister').on('click', function() {
			mainView.router.load({
				url: 'register.html',
				query: {
					from: fromPage
				}
			});
			TalkingData.onEventWithLabel('登录', '注册');
			TalkingData.onEvent("01005登录页-注册");
		});
		// 跳转忘记密码页面
		$('#goForgetPwd').on('click', function() {
			TalkingData.onEventWithLabel('登录', '忘记密码');
			TalkingData.onEvent("01004登录页-忘记密码");
			
			mainView.router.load({
				url: 'forgetPwd.html',
				query: {
					from: fromPage
				}
			});
		});
		
		// 登录按钮点击事件
		$('#loginBtn').on('click', function() {
			var userName = $('#login_username').val();
			var userPwd = $('#login_pwd').val();
			var loginVerifyCode = $('#loginVerifyCode').val();

			if (!validator.checkTel(userName)) {
				f7.alert('信息填写错误');
				return;
			}
			if (!validator.checkPwd(userPwd)) {
				f7.alert('信息填写错误');
				return;
			}
			if (validator.isNull(loginVerifyCode)) {
				f7.alert('信息填写错误');
				return;
			}
			
//			login(userName, userPwd, fromPage);
			login({
				userName: userName,
				userPwd: userPwd,
				fromPage: fromPage,
				
				verifyCodeId: verifyCodeId,
				verifyCodeValue: loginVerifyCode,
				verifyCodeType: verifyCodeType,
				
				errorCallback: function() {
					// 登陆失败重新渲染图片二维码
					renderVerifyImgCodeFunc();
				}
			});
			TalkingData.onEvent("01003登录页-登录按钮");
			TalkingData.onPageEnd("登录时间");
		});

		// 清除前一个input元素的值。
		$('.login-clear').on('click', function() {
			$(this).prev('input').val('');
		});

		// 表单元素获取焦点后隐藏工具栏
		$('input').on('focus', function() {
			$('#toolbar').hide();
		});

		// 表单元素失去焦点后显示工具栏
		$('input').on('blur', function() {
			$('#toolbar').show();
		});
		
		// 手机号码埋点
		$('#login_username').on('focus', function() {
			TalkingData.onEvent("01001登录页-手机号输入");
		});
		
		// 密码埋点
		$('#login_pwd').on('focus', function() {
			TalkingData.onEvent("01002登录页-密码输入");
		});
	}

	return {
		render : render,
		login: login
	}
});
