define([
  'js/utilities',
  'js/config',
  'js/datas',
  'hbs!containers/me/me'
], function(
	utilities,
	config,
	Datas,
	meTemplate
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var isOwnEmpty = utilities.isOwnEmpty;
  
  var getDictData = Datas.getDictData;

  var logout = utilities.logout;
  var getDeviceType = utilities.getDeviceType;
  
  var SKIP = config.SKIP;

  function render(params) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  var userInfo = params.userInfo;
	  var tel = getDictData('CUSTOMER_SERVICE_PHONE_NUMBER', 'system');
	  // 渲染me页面
	  // 可以额度字段判断渲染
	  var creditAvailableAmount=''
	  if(params.creditAvailableAmount!==''){
		  creditAvailableAmount='可用额度'+params.creditAvailableAmount+'元';
	  }
	  $('#mePage').html(meTemplate({
		  userPhoneNumber: userInfo.userPhoneNumber.substring(0, 3)+"****"+userInfo.userPhoneNumber.substring(7, 11),
		  userCredit: userInfo.userCredit || '',
		  creditAuditStatus: params.creditAuditStatus,
		  creditAvailableAmount: creditAvailableAmount,
		  tel: tel
	  }));
	  
	  // 认证按钮点击事件
	  $('#meHeaderName').on('click', function() {
		  if ($(this).data('authentication') === 'false') {
			  f7.alertMessage('请您先选择需办理业务，再进行身份认证');
			  var timeLink = setTimeout(function() {
				  mainView.router.load({
					  url: 'index.html',
					  animatePages: false
				  }); 
				  clearTimeout(timeLink);
			  }, 3000);
		  }
	  });
	  
	  // 我的账单页面跳转
	  $('#meBillingBtn').on('click', function() {
		  mainView.loadPage('billList.html');
	  });
	
	  // 业务资料页面跳转
	  $('#meMaterialBtn').on('click', function() {
		  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		  callAppApi({
			  url: '/app/credit/audit/query',
			  type: 'POST',
			  params: {
				  userId: loginStatus.userId
			  },
			  successCallback: function(auditQueryRes) {
				  if ( auditQueryRes.creditAuditStatus == '450') {
					  loadAdvanceCreditPage('chooseFamily', {
				  		  query: {
				  			  fromPage:'me',
				  			  difference: 'me',
				  		  }
				  	  });
				  }else if(auditQueryRes.creditAuditStatus == '140' || auditQueryRes.creditAuditStatus == '141' || auditQueryRes.creditAuditStatus == '340'){
					  f7.alert('您的授信申请正在审核，请审核通过后再进行业务资料提交。')
				  }else if(auditQueryRes.creditAuditStatus == '2' || auditQueryRes.creditAuditStatus == '350'){
					  f7.alert('很抱歉，您暂时无法办理该业务，感谢关注！')
				  }else{
					  f7.modal({
							 text:'您尚未申请授信额度，请申请通过后再继续操作。',
							 buttons:[
								 {
									 text:"取消",
									 onClick:function(){}
								 },
								 {
									 text:"去申请",
									 onClick:function(){
										 if (
												  auditQueryRes.creditAuditStatus == '1' || 
												  auditQueryRes.creditAuditStatus == '5' ||
												  auditQueryRes.creditAuditStatus == '3' ||
												  auditQueryRes.creditAuditStatus == '110' ||
												  auditQueryRes.creditAuditStatus == '340'
											  ) {
												  // 跳转选择职业页面
												  loadAdvanceCreditPage('chooseProfession', {
													  query: {
														  fromPage: 'me',
													  }
												  });
											  } 
//										 else if ( 
//												  auditQueryRes.creditAuditStatus == '302'
//											  ) {
//												  // 跳转额度管理页面
//												  loadAdvanceCreditPage('creditManage', {
//													  query: {
//														  fromPage: 'me',
//													  }
//												  });
//											  } 
										 else if (
												  auditQueryRes.creditAuditStatus == '420' ||
												  auditQueryRes.creditAuditStatus == '301'
											  ) {
												  // 跳转人脸识别，身份证正反面页面
											  	  loadAdvanceCreditPage('uploadIDCard', {
											  		  query: {
											  			  fromPage: 'me',
											  		  }
											  	  });
											  } else if (auditQueryRes.creditAuditStatus == '120') {
												  // 跳转专案基本信息
										  		  loadAdvanceCreditPage('housingLoan', {
													  query: {
														  fromPage:'me',
													  }
												  });
											  } else if (auditQueryRes.creditAuditStatus == '131' || auditQueryRes.creditAuditStatus == '132') {
												  loadAdvanceCreditPage('uploadEvidence', {
													  query: {
														  fromPage:'me',
													  }
												  })
											  } else if (auditQueryRes.creditAuditStatus == '130') {
											  	  loadAdvanceCreditPage('chooseFamily', {
											  		  query: {
											  			  fromPage:'me',
											  			  difference: 'me'
											  		  }
											  	  });
											  } else {
												  loadAdvanceCreditPage('chooseProfession', {
													  query: {
														  fromPage: 'me',
													  }
												  });
											  }
									 }
								 },
							 ]
						 });
				  }
				 },
			  errorCallback: function(err) {}
		  });
	  });
	  
	  // 我的额度页面跳转
	  $('#meCreditBtn').on('click', function() {
		  	// 2017-06-29 15:37 zhh跟何如确认， 黑名单请求已经没有效果。在此先注释，避免发送无用请求。
//			callAppApi({
//				url : '/api/blackList',
//				type : 'POST',
//				params : {
//					userId : loginStatus.userId,
//					userPhoneNumber : loginStatus.accountName,
//					userIdentityCardNumber : '',
//					userBankCardNumber : ''
//				},
//				successCallback: function(data) {
//					// 如果为黑名单
//					if (data && data.blackList === true) {
//						f7.alert('很抱歉，您暂时无法办理该业务，感谢关注！');
//					} else {
//
//					}	
//				}
//			})
		  
		  callAppApi({
			  url: '/service/check/fraud/lockDown',
			  type: 'POST',
			  params: {
				  baseBusinessType: '',
				  userId: loginStatus.userId,
			  },
			  successCallback: function(res) {
				  
				  callAppApi({
					  url: '/app/credit/audit/query',
					  type: 'POST',
					  params: {
						  userId: loginStatus.userId
					  },
					  successCallback: function(auditQueryRes) {
						  if (
							  auditQueryRes.creditAuditStatus == '1' || 
							  auditQueryRes.creditAuditStatus == '5' || 
							  auditQueryRes.creditAuditStatus == '110'
						  ) {
							  // 跳转选择职业页面
							  loadAdvanceCreditPage('chooseProfession', {
								  query: {
									  fromPage: 'me',
								  }
							  });
						  } else if (
							  auditQueryRes.creditAuditStatus == '2' || 
							  auditQueryRes.creditAuditStatus == '302' || 
							  auditQueryRes.creditAuditStatus == '450' ||
							  auditQueryRes.creditAuditStatus == '140' ||
							  auditQueryRes.creditAuditStatus == '141'
						  ) {
							  // 跳转额度管理页面
							  loadAdvanceCreditPage('creditManage', {
								  query: {
									  fromPage: 'me',
								  }
							  });
						  } else if (
							  auditQueryRes.creditAuditStatus == '420' ||
							  auditQueryRes.creditAuditStatus == '301'
						  ) {
							  // 跳转人脸识别，身份证正反面页面
						  	  loadAdvanceCreditPage('uploadIDCard', {
						  		  query: {
						  			  fromPage: 'me',
						  		  }
						  	  });
						  } else if (auditQueryRes.creditAuditStatus == '120') {
							  // 跳转专案基本信息
					  		  loadAdvanceCreditPage('housingLoan', {
								  query: {
									  fromPage:'me',
								  }
							  });
						  } else if (auditQueryRes.creditAuditStatus == '131' || auditQueryRes.creditAuditStatus == '132') {
							  loadAdvanceCreditPage('uploadEvidence', {
								  query: {
									  fromPage:'me',
								  }
							  })
						  } else if (auditQueryRes.creditAuditStatus == '130') {
						  	  loadAdvanceCreditPage('chooseFamily', {
						  		  query: {
						  			  fromPage:'me',
						  			  difference: 'me'
						  		  }
						  	  });
						  } else if (auditQueryRes.creditAuditStatus == '340') {
							  if (auditQueryRes.userMaterialsCheckResult == '0') {
								  loadAdvanceCreditPage('uploadIDCard', {
									  query: {
										  fromPage: 'me',
										  fromStatus: auditQueryRes.creditAuditStatus,
										  orderId: auditQueryRes.baseOrderId,
										  baseBusinessType:auditQueryRes.baseBusinessType,
										  userMaterialsCheckResult: auditQueryRes.userMaterialsCheckResult,
										  caseMaterialsCheckResult: auditQueryRes.caseMaterialsCheckResult,
										  decorationMaterialsCheckResult: auditQueryRes.decorationMaterialsCheckResult
									  }
								  });
							  } else if (auditQueryRes.caseMaterialsCheckResult == '0') {
								  loadAdvanceCreditPage('uploadEvidence', {
									  query: {
										  fromPage: 'me',
										  fromStatus: auditQueryRes.creditAuditStatus,
										  orderId: auditQueryRes.baseOrderId,
										  baseBusinessType:auditQueryRes.baseBusinessType,
										  userMaterialsCheckResult: auditQueryRes.userMaterialsCheckResult,
										  caseMaterialsCheckResult: auditQueryRes.caseMaterialsCheckResult,
										  decorationMaterialsCheckResult: auditQueryRes.decorationMaterialsCheckResult
									  }
								  });
							  } else if (auditQueryRes.decorationMaterialsCheckResult == '0') {
								  loadFamilyDecorationPage('perfectDataResult', {
									  query: {
										  fromPage: 'me',
										  orderId: auditQueryRes.baseOrderId,
										  difference: 'me',
										  fromStatus: auditQueryRes.creditAuditStatus,
									  }
								  });
							  }
						  }
					  },
					  errorCallback: function(err) {}
				  });
			  },
			  errorCallback: function(err) {
				  if (err.code === '14501000') {
					  // 停留在me页面
				  } else {
					  var creditManageTimeout = setTimeout(function() {
					  		loadAdvanceCreditPage('creditManage', {
								query: {
									fromPage: 'me'
								}
							});
					  		
					  		clearTimeout(creditManageTimeout);
					  }, 4000);
				  }
			  }
		  });
	  });
	  
	  $('#meEmployeeBuyBtn').on('click', function() {
			var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
			callAppApi({
				url: '/app/ebuyEntry/isNeedAuth',
				type: 'POST',
				params: {
					userId: loginStatus.userId
				},
				successCallback: function(isNeedAuthRes){

					if (isNeedAuthRes.isNeedAuth === '1') {
						loadEmployeeBuyPage('chooseAuthType', {})
					} else if (isNeedAuthRes.isNeedAuth === '0') {
						loadEmployeeBuyPage('employeeBuyIndex', {
							query:{
								fromPage: 'index'
							}
						});
					}
				},
				errorCallback: function(err) {}
			});
	  });

	  $('#meInfoBtn').on('click', function() {		 
		  callAppApi({
			  url: '/app/userInfo',
			  type: 'POST',
			  params: {
				  userId: loginStatus.userId,
				  isOldUser: loginStatus.userIsOld,
				  userSession: loginStatus.userSession
			  },
			  successCallback: function(response) {
				  
				  // 返回值统一修改
//				  if (response === null || response=='') {
				  if (isOwnEmpty(response)) {
					  f7.alertMessage('请您先进行身份认证');
					  return false;
				  } else {
					  mainView.loadPage('info.html');
				  }
			  }
		  })
	  });
	  $('#meBankcardBtn').on('click', function() {
		  callAppApi({
			  url: '/app/bankCardList',
			  type: 'POST',
			  params: {
				  userId: loginStatus.userId,
			  },
			  successCallback: function(response) {
				  
				  var bankcardList = [];
				  
				  for (var i = 0; i < response.length; i++) {
					  if (response[i].bankIsBatchCard === '1') {
						  bankcardList.unshift(response[i]);
					  } else if (response[i].bankIsBatchCard === '0') {
						  bankcardList.push(response[i]);
					  }
				  }
				  if(bankcardList.length===0){
					  callAppApi({
						  url: '/app/credit/audit/query',
						  type: 'POST',
						  params: {
							  userId:loginStatus.userId,
						  },
						  successCallback: function(response) {
							  if(response.creditAuditStatus==1||response.creditAuditStatus==5){
								  f7.modal({
										title : '',
										text:  '<div class="model-titles" style="font-size:16px">为保障您的账户安全，请完成信息认证后再绑定银行卡</div>',
										buttons : [ {
											text : '<span class="model-back">取消</span>'
										}, {
											text : '去认证',
											onClick : function() {
												loadAdvanceCreditPage('chooseProfession', {
													  query: {
														  fromPage: 'me',
													  }
												  });
											}
										}]
									});
							  }else{
								  mainView.loadPage('bankcard.html');
							  }
							
						  },
						  errorCallback: function(err) {
							  
						  }
					  })
					  
				  }else{
					  mainView.loadPage('bankcard.html');
				  }
				  
			  },
		  });
			  
		
	  });
	  $('#meSettingBtn').on('click', function() {
		  mainView.loadPage('setting.html');
	  });
	  
	  // 客服电话点击
	  $('#meContactBtn').on('click', function() {

		 if (SKIP.cordova_tel) {
//			 console.log(tel);
		 } else {
			 totel.open(tel, function(res) {
//				 console.log(res);
			 }, function(err) {
//				 console.log(err);
			 });
		 }
	  });
  }
  
  return {
	render: render
  }
});
