define([
  'containers/order/orderView',
  'js/utilities',
  'components/common/toolbar/toolbarView'
], function(
  orderView,
  utilities,
  toolbarView
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var changeToolbarStatus = toolbarView.changeToolbarStatus;
  
  function init(query) {
	if (mainView.activePage.name === 'order') {
		f7.showToolbar('#toolbar');
		changeToolbarStatus('#toolbarBtn2');
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		if (loginStatus.userSession === '') {
			orderView.render({
				loginStatus: false,
				orderListData: []
			});
		} else if (loginStatus.userSession !== '') {
			if(!loginStatus.oldId){
				oldId = '';
			}else{
				oldId = loginStatus.oldId;
			}
			
			function getOrder() {
				callAppApi({
					url: '/app/orderList',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						oldId: loginStatus.oldId
					},
					successCallback: function(orderListRes) {
						
						orderView.render({
							loginStatus: true,
							orderListData: orderListRes
						});
						
//						if (Array.isArray(orderListRes) && orderListRes.length > 0) {
//							orderListRes.forEach(function(item) {
//								var orderId = item.orderId;
//							
//								if (item.orderTypeCode == '005001' && item.orderStatus == '20') {
//									callAppApi({
//										url: '/api/checkOrderTimeOut',
//										type: 'POST',
//										params: {
//											orderId: orderId,
//											userId: loginStatus.userId,
//											orderTimeOutType: '1'
//										},
//										successCallback: function(checkOrderTimeOutRes) {
//											if(checkOrderTimeOutRes.checkResult === false && checkOrderTimeOutRes.timeOutValue > 0){//δ��ʱ
//												orderView.render({
//													loginStatus: true,
//													orderListData: orderListRes
//												});
//											} else {
//												callAppApi({
//													url: '/app/order/cancel',
//													type: 'POST',
//													params: {
//														userId: loginStatus.userId,
//														orderId: orderId,
//														baseBusinessType: '005001',
//														cancelType: '',
//														orderStatus: '50'
//													},
//													successCallback: function(cancelRes) {
//														f7.pullToRefreshTrigger('#orderListRefreshContent');
//													},
//													errorCallback: function(err) {}
//												})
//											}
//										},
//										errorCallback: function(err) {}
//									});
//								} else {
//									orderView.render({
//										loginStatus: true,
//										orderListData: orderListRes
//									});
//								}
//							});
//						} else {
//							orderView.render({
//								loginStatus: true,
//								orderListData: orderListRes
//							});					
//						}

						
						f7.pullToRefreshDone();
					},
					errorCallback: function(err) {
						f7.pullToRefreshDone();
					},
					completeCallback: function() {
						f7.pullToRefreshDone();
					}
				});
			}
			
			getOrder();
			
			var ptrOrderContent = $('.pull-to-refresh-content');
			  
			ptrOrderContent.on('refresh', function() {
				getOrder();
			});

		}
	}
  }

  return {
	init: init,
  };
});