define(function() {
   /**
   * @desc: 根据订单状态码显示不同的订单状态
   * @param orderStatus
   * @returns
   */
  function getOrderView(orderStatus) {
	  
	  var viewConfig = {
	      orderStep1: '待审核',
		  orderStep2: '待付款',
		  orderStep3: '待确认',
		  orderStep4: '已完成',
		  orderStep5: '已取消',
		  orderStep6: '已结清',
		  orderStep7: '待提交'
	  };
  
	  if (/^1\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep1;
	  } else if (/^2\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep2;
	  } else if ((/^3\d+$/.test(orderStatus) && orderStatus !== '35') || orderStatus === '701') {
		  return viewConfig.orderStep3;
	  } else if (/^4\d+$/.test(orderStatus) || orderStatus === '35') {
		  return viewConfig.orderStep4;
	  } else if (/^5\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep5;
	  } else if (/^6\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep6;
	  }else if (/^7\d+$/.test(orderStatus) && orderStatus !== '701') {
		  return viewConfig.orderStep5;
	  }else if (/^8\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep4;
	  }
  }
  
function familyDecorationOnlineGetOrderView(orderStatus) {
	  
	  var viewConfig = {
		  orderStep0: '待提交',
	      orderStep1: '待审核',
		  orderStep2: '待签约',
		  orderStep3: '待商户确认',
		  orderStep4: '已完成',
		  orderStep5: '已取消',
		  orderStep6: '已结清'
	  };
	  if(orderStatus == "10" || orderStatus == "12"){
		  return viewConfig.orderStep0;
	  }else if (/^1\d+$/.test(orderStatus) || orderStatus == "15") {
		  return viewConfig.orderStep1;
	  } else if (/^2\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep2;
	  } else if ((/^3\d+$/.test(orderStatus) && orderStatus !== '35') || orderStatus === '701') {
		  return viewConfig.orderStep3;
	  } else if (/^4\d+$/.test(orderStatus) || orderStatus === '35') {
		  return viewConfig.orderStep4;
	  } else if (/^5\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep5;
	  } else if (/^6\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep6;
	  }else if (/^7\d+$/.test(orderStatus) && orderStatus !== '701') {
		  return viewConfig.orderStep5;
	  }else if (/^8\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep4;
	  }
  }

function educationGetOrderView(orderStatus) {
	  
	  var viewConfig = {
		  orderStep0: '待提交',
	      orderStep1: '待审核',
		  orderStep2: '待付款',
		  orderStep3: '待确认',
		  orderStep4: '已完成',
		  orderStep5: '已取消',
		  orderStep6: '已结清'
	  };
	  if(orderStatus == "10" || orderStatus == "11" || orderStatus == "12"){
		  return viewConfig.orderStep0;
	  }else if (/^1\d+$/.test(orderStatus) || orderStatus == "15") {
		  return viewConfig.orderStep1;
	  } else if (/^2\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep2;
	  } else if ((/^3\d+$/.test(orderStatus) && orderStatus !== '35') || orderStatus === '701') {
		  return viewConfig.orderStep3;
	  } else if (/^4\d+$/.test(orderStatus) || orderStatus === '35') {
		  return viewConfig.orderStep4;
	  } else if (/^5\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep5;
	  } else if (/^6\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep6;
	  }else if (/^7\d+$/.test(orderStatus) && orderStatus !== '701') {
		  return viewConfig.orderStep5;
	  }else if (/^8\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep4;
	  }
  }

function adultEducationGetOrderView(orderStatus) {
	  
	  var viewConfig = {
		  orderStep0: '待提交',
	      orderStep1: '待审核',
		  orderStep2: '待付款',
		  orderStep3: '待确认',
		  orderStep4: '已完成',
		  orderStep5: '已取消',
		  orderStep6: '已结清'
	  };
	  if(orderStatus == "10"){
		  return viewConfig.orderStep0;
	  }else if (/^1\d+$/.test(orderStatus) || orderStatus == "15") {
		  return viewConfig.orderStep1;
	  } else if (/^2\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep2;
	  } else if ((/^3\d+$/.test(orderStatus) && orderStatus !== '35') || orderStatus === '701') {
		  return viewConfig.orderStep3;
	  } else if (/^4\d+$/.test(orderStatus) || orderStatus === '35') {
		  return viewConfig.orderStep4;
	  } else if (/^5\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep5;
	  } else if (/^6\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep6;
	  }else if (/^7\d+$/.test(orderStatus) && orderStatus !== '701') {
		  return viewConfig.orderStep5;
	  }else if (/^8\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep4;
	  }
}

  function getEmployeeBuyOrderView(orderStatus) {
	  
	  var viewConfig = {
	      orderStep1: '待支付',
		  orderStep2: '待支付',
		  orderStep3: '待发货',
		  orderStep4: '已完成',
		  orderStep5: '已取消',
		  orderStep6: '已结清'
	  };
  
	  if (/^1\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep1;
	  } else if (/^2\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep2;
	  } else if ((/^3\d+$/.test(orderStatus) && orderStatus !== '35') || orderStatus === '701') {
		  return viewConfig.orderStep3;
	  } else if (/^4\d+$/.test(orderStatus) || orderStatus === '35') {
		  return viewConfig.orderStep4;
	  } else if (/^5\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep5;
	  } else if (/^6\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep6;
	  }else if (/^7\d+$/.test(orderStatus) && orderStatus !== '701') {
		  return viewConfig.orderStep5;
	  }else if (/^8\d+$/.test(orderStatus)) {
		  return viewConfig.orderStep4;
	  }
  }
  
  
  function getPayWay(payWayNo) {
	  switch (payWayNo) {
	  	  case '01':
	  		  return '微信';
	  		  break;
	  	  case '02':
	  		  return '支付宝';
	  		  break;
	  	  case '03':
	  		  return '中金支付';
	  		  break;
	  	  case '04':
	  		  return '公众号';
	  		  break;
	  	  case '05':
	  		  return '中金代扣';
	  		  break;
	  	  default:
	  		  return '';
	  	      break;
	  }
  }
  
	// 资料上传页面倒计时
	function checkInfoCountDown(selector, changeTime, countDownMin, callback) {
		// 倒计时
		var orderChangeTime = Date.parse(changeTime.slice(0, 19).replace(/-/g, '/'));
		
		var orderNowTime = Date.now();
		var timeLimit = countDownMin * 60 * 1000;
		var timeDiff = orderNowTime - orderChangeTime;
		
		var intervalName = '';

		if (timeDiff < timeLimit) {
			var countDownTime = Math.floor(timeLimit / 1000 - timeDiff / 1000);

			intervalName = setInterval(function() {
				countDownTime -= 1;
				if (countDownTime > 0) {
					
					var min = Math.floor(countDownTime / 60) < 10 ? '0' + Math.floor(countDownTime / 60) : Math.floor(countDownTime / 60);
					var sec = Math.floor(countDownTime - min * 60) < 10 ? '0' + Math.floor(countDownTime - min * 60) : Math.floor(countDownTime - min * 60);
					
					var countDownStr = '00:' + min + ':' + sec;
					$(selector).text(countDownStr);
				} else {
					clearInterval(intervalName);
					
					callback();
				}
			}, 1000);
		} else {
			callback();
		}
		
		return intervalName;
	}
  
  
  
  return {
	  getOrderView: getOrderView,
	  getEmployeeBuyOrderView: getEmployeeBuyOrderView,
	  getPayWay: getPayWay,
	  checkInfoCountDown: checkInfoCountDown,
	  educationGetOrderView: educationGetOrderView,
	  adultEducationGetOrderView: adultEducationGetOrderView,
	  familyDecorationOnlineGetOrderView: familyDecorationOnlineGetOrderView
  }
});

