define([
  'jquery',
  'js/utilities',
  'hbs!components/common/navbar/navbar',
  'hbs!components/order/orderList/orderList',
  'hbs!components/order/defaultArea/defaultArea',
  'components/common/toolbar/toolbarView',
  'containers/order/orderHelper',
  'hbs!components/common/protocolArea/protocolFrame'
], function(
  $$,
  utilities,
  navbarTemplate,
  orderListTemplate,
  defaultAreaTemplate,
  toolbarView,
  orderHelper,
  protocolFrame
) {
  var $ = Framework7.$;
  var changeToolbarStatus = toolbarView.changeToolbarStatus;
  var getOrderView = orderHelper.getOrderView;
  var adultEducationGetOrderView = orderHelper.adultEducationGetOrderView;
  var getEmployeeBuyOrderView = orderHelper.getEmployeeBuyOrderView;
  var educationGetOrderView = orderHelper.educationGetOrderView;
  var familyDecorationOnlineGetOrderView = orderHelper.familyDecorationOnlineGetOrderView;
  var getEmployeeBuyOrderView = orderHelper.getEmployeeBuyOrderView;
  var callAppApi = utilities.callAppApi;
  var callWebHtml = utilities.callWebHtml;
  var getDay = utilities.getDay;
  
  function render(params) {
	TalkingData.onPage('订单管理');
	  
	loadComponent('navbar', 'common', {
		container: '#orderNavbar',
		title: '订单列表',
		isBack: false,
		isBackIcon: false
	});
	
	f7.showToolbar('#toolbar');
	
	var orderListData = params.orderListData.map(function(item) {
		if(item.orderTypeCode == "003001"){
			return {
				orderId: item.orderId,
				orderLimitType: item.orderTypeCode.slice(0, 3),
				orderType: item.orderTypeCode,
				orderStatus: item.orderStatus,
				orderStatusText: educationGetOrderView(item.orderStatus),
				storeName: item.storeName,
				goodsItemName: item.goodsItemName,
				goodsSuiteName: item.goodsSuiteName,
				goodsSuiteTotalAmount: item.goodsSuiteTotalAmount,
				orderCreateTime: item.orderCreateTime.slice(0, 10),
				
				employeeBuyOrderStatusText: getEmployeeBuyOrderView(item.orderStatus),
				goodsSellId: item.goodsSellId,
				goodsSellName: item.goodsSellName,
				details: item.details
			}
		}else if(item.orderTypeCode == "003002" || item.orderTypeCode == "004002"){
			return {
				orderId: item.orderId,
				orderLimitType: item.orderTypeCode.slice(0, 3),
				orderType: item.orderTypeCode,
				orderStatus: item.orderStatus,
				orderStatusText: adultEducationGetOrderView(item.orderStatus),
				storeName: item.storeName,
				goodsItemName: item.goodsItemName,
				goodsSuiteName: item.goodsSuiteName,
				goodsSuiteTotalAmount: item.goodsSuiteTotalAmount,
				orderCreateTime: item.orderCreateTime.slice(0, 10),
				
				employeeBuyOrderStatusText: getEmployeeBuyOrderView(item.orderStatus),
				goodsSellId: item.goodsSellId,
				goodsSellName: item.goodsSellName,
				details: item.details
			}
		}else if(item.orderTypeCode == "004003"){
			return {
				orderId: item.orderId,
				orderLimitType: item.orderTypeCode.slice(0, 3),
				orderType: item.orderTypeCode,
				orderStatus: item.orderStatus,
				orderStatusText: familyDecorationOnlineGetOrderView(item.orderStatus),
				storeName: item.storeName,
				goodsItemName: item.goodsItemName,
				goodsSuiteName: item.goodsSuiteName,
				goodsSuiteTotalAmount: item.goodsSuiteTotalAmount,
				orderCreateTime: item.orderCreateTime.slice(0, 10),
				
				employeeBuyOrderStatusText: getEmployeeBuyOrderView(item.orderStatus),
				goodsSellId: item.goodsSellId,
				goodsSellName: item.goodsSellName,
				details: item.details
			}
		} else if (item.orderTypeCode == "005001") {
			return {
				orderId: item.orderId,
				orderLimitType: item.orderTypeCode.slice(0, 3),
				orderType: item.orderTypeCode,
				orderStatus: item.orderStatus,
				orderStatusText: getEmployeeBuyOrderView(item.orderStatus),
				storeName: item.storeName,
				goodsItemName: item.goodsItemName,
				goodsSellName: item.goodsSellName,
				goodsSuiteName: item.goodsSuiteName,
				goodsSuiteTotalAmount: item.goodsSuiteTotalAmount,
				orderCreateTime: item.orderCreateTime.slice(0, 10),
			}
		} else {
			return {
				orderId: item.orderId,
				orderLimitType: item.orderTypeCode.slice(0, 3),
				orderType: item.orderTypeCode,
				orderStatus: item.orderStatus,
				orderStatusText: getOrderView(item.orderStatus),
				storeName: item.storeName,
				goodsItemName: item.goodsItemName,
				goodsSuiteName: item.goodsSuiteName,
				goodsSuiteTotalAmount: item.goodsSuiteTotalAmount,
				orderCreateTime: item.orderCreateTime.slice(0, 10),
				
				employeeBuyOrderStatusText: getEmployeeBuyOrderView(item.orderStatus),
				goodsSellId: item.goodsSellId,
				goodsSellName: item.goodsSellName,
				details: item.details
			}
		}
	});
	
	orderListData = orderListData.filter(function(item) {
		if (item.orderLimitType === '004' && item.orderType !== '004003' && item.orderStatus !== '35' && item.orderStatus !== '36' && item.orderStatus !== '40' && item.orderStatus !== '61') {
			return false;
		} else {
			return true;
		}
	});

	if (params.loginStatus === false) {
		$('#orderContent').html(defaultAreaTemplate({
			promptInfo: '您还没有登录～',
			buttonTitle: '去登录',
			buttonId: 'orderListLoginBtn'
		}));
		
		$('#orderListLoginBtn').on('click', function() {
			mainView.router.load({
				url : 'login.html',
				query : {
					from : 'order'
				}
			});
			
			changeToolbarStatus('#toolbarBtn3');
		});
	} else if (orderListData.length === 0) {
		$('#orderContent').html(defaultAreaTemplate({
			promptInfo: '您还没有订单',
			buttonTitle: '去首页',
			buttonId: 'orderListIndexBtn'
		}));
		
		$('#orderListIndexBtn').on('click', function() {
//			mainView.loadPage('index.html');
			mainView.router.load({
				url: 'index.html',
				animatePages: false
			});
			
			changeToolbarStatus('#toolbarBtn1');
		});
	} else {

		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		$('#orderContent').html(orderListTemplate({orderListData:orderListData}));

// 		// 注释合约机订单
//		$('.card-old-item').on('click', function() {
//			var oldUrl = 'old.html?orderId=' + $(this).attr('orderid') + '&orderType=' + $(this).attr('ordertype');
//			location.href = oldUrl;
//		});
		$('.card-old-item').on('click', function() {
			mainView.router.load({
				url : 'oldOrderDetail.html',
				query : {
					fromPage: 'order',
					data: params.orderListData
				}
			});
		});
		
		$('.card-new-item').on('click', function() {
		
			TalkingData.onEventWithLabel('订单管理', '查看订单详情');

			mainView.router.load({
				url : 'orderDetail.html',
				query : {
					fromPage: 'order',
					orderId: $(this).attr('orderid'),
					baseBusinessType: $(this).attr('ordertype'),
				}
			});
		});
		
//		// 员工购订单点击事件
//		$('.employeeBuy-orderList-confirm-button').on('click', function() {
//			if ($(this).parent().data('orderStatus') == '10') {
//				loadEmployeeBuyPage('payOrder', {
//					query: {
//						fromPage: 'order',
//						orderId: $(this).parent().data('orderId'),
//						goodsId: $(this).parent().data('goodsId')
//					}
//				});
//			} else if ($(this).parent().data('orderStatus') == '20') {
//			    loadEmployeeBuyPage('firstPay', {
//			    	query: {
//						fromPage: 'order',
//						orderId: $(this).parent().data('orderId'),
//						goodsName: $(this).parent().data('goodsName'),
//						firstPayPrice: $(this).parent().data('goodsFirstPay')
//					}
//			    });
//			}
//		});
		
//		$('.employeeBuy-orderList-cancle-button').on('click', function() {
//			
//			var orderId = $(this).parent().data('orderId');
//			f7.modal({
//				title : '',
//				text : '是否确认取消订单',
//				buttons : [ {
//					text : '取消'
//				}, {
//					text : '确定',
//					onClick : function() {
//						callAppApi({
//							url: '/app/order/cancel',
//							type: 'POST',
//							params: {
//								userId: loginStatus.userId,
//								orderId: orderId,
//								baseBusinessType: '005001',
//								cancelType: '',
//								orderStatus: '50'
//							},
//							successCallback: function(cancelRes) {
//								f7.pullToRefreshTrigger('#orderListRefreshContent');
//							},
//							errorCallback: function(err) {}
//						})
//					}
//				}]
//			});
//		});
		
//		// 员工购查看退换货说明
//		$('.return-goods-button').on('click', function(e) {
//			e.stopPropagation();
//			
//			callWebHtml({
//				url: '/agreement/agrEbuyReturnGoods',
//				type: 'POST',
//				params: {
//					baseBusinessType: '005001'
//				},
//				successCallback: function(response) {
//					$$('#returnGoodsHelpPage').html(protocolFrame({
//						protocolId: "returnGoodsHelpContent",
//						protocolName: "退换货说明",
//						protocolWidth: $('body').width(),
//						protocolHeight: $('body').height() - 56
//					}));
//
//					$$("#returnGoodsHelpContent").contents().find("html")[0].innerHTML = response;
//					
//					f7.popup('#returnGoodsHelpPage');
//				},
//				errorCallback: function(err) {}
//			});
//		})
	}
  }

  return {
	render: render
  }
});
