define([
  'containers/orderConfirm/orderConfirmView',
  'js/utilities'
], function(
  orderConfirmView,
  utilities
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  function init(query) {

	if (mainView.activePage.name === 'orderConfirm') {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		f7.hideToolbar('#toolbar');

		  // 请求是否绑定批扣卡
		  callAppApi({
			  url: '/app/bankBatchCard',
			  type: 'POST',
			  params: {
				  userId: loginStatus.userId
			  },
			  successCallback: function(data) {
				  if (query.baseBusinessType === '003001' || query.baseBusinessType === '006001'){
					  detailUrl = '/app/order/detail';
				  } else {
					  detailUrl = '/app/orderDetail';
				  }
				  callAppApi({
					  url: detailUrl,
					  type: 'POST',
					  params: {
						  orderId: query.orderId,
						  userId: loginStatus.userId,
						  baseBusinessType: query.baseBusinessType
					  },
					  successCallback: function(response) {
						  if(query.baseBusinessType === '003001'){
								callAppApi({
									url: '/module/suite/suitePlanDetail',
									apiVersion: '2.0',
									type: 'POST',
									params: {
											userId: loginStatus.userId,
											orderProductPrice: response.orderProductPrice,
											periodKey: response.goodsPeriodKey,
											goodsSellId:'',
											baseBusinessType: query.baseBusinessType
									},
									successCallback: function(res){
										var stagePlanData = res;
										orderConfirmView.render(Object.assign(response, {
											  batchCardData: data,
											  orderId: query.orderId,
											  baseBusinessType: query.baseBusinessType,
											  stagePlanData:stagePlanData
										  }));
									},
									errorCallback: function(err) {}
								});
							}else{
								orderConfirmView.render(Object.assign(response, {
									  batchCardData: data,
									  orderId: query.orderId,
									  baseBusinessType: query.baseBusinessType,
								  }));
							}
					  },
					  errorCallback: function(err) {}
				  });
			  },
			  errorCallback: function(err) {}
		  });
	}
  }
  
  return {
	init: init,
  };
});