define([
	'jquery',
	'js/pad'
], function(
	$$,
	pad
) {
	var bindPadClickEvent = pad.bindPadClickEvent;
	var sendRecord = pad.sendRecord;
	var jumpPagePadEventEnd = pad.jumpPagePadEventEnd;
	
	var orderConfirmRecordDataStr = JSON.stringify([]);
	var orderConfirmBindBankcardDataStr = localStorage.getItem('orderConfirmBindBankcard') || JSON.stringify([]);
	
	function jumpPageEventOrderConfirm() {
	
		$$('#placeOrderConfirmBtn').off('click.orderConfirmPad').on('click.orderConfirmPad', function() {
			orderConfirmBindBankcardDataStr = localStorage.getItem('orderConfirmBindBankcard') || JSON.stringify([]);
			
			var orderConfirmBindBankcardData = JSON.parse(orderConfirmBindBankcardDataStr);
			
			// 拿到最近的record
			if (orderConfirmBindBankcardData.length > 0) {

				var curRecord = orderConfirmBindBankcardData[orderConfirmBindBankcardData.length - 1];
				
				jumpPagePadEventEnd({
					record: curRecord
				}, function(recordRes) {

					orderConfirmBindBankcardData[orderConfirmBindBankcardData.length - 1] = recordRes;
					
					orderConfirmBindBankcardDataStr = JSON.stringify(orderConfirmBindBankcardData);

					localStorage.removeItem('orderConfirmBindBankcard');
					
				});
			}
		})
	}
	
	function bindPadEventOrderConfirm(baseBusinessType) {

		var orderConfirmList = [
			{
				selector: '#placeOrderConfirmBtn',
				type: '',
				bindType: 'click'
			}
		];
		
		orderConfirmList.forEach(function(item) {
			if (item.bindType === 'click') {
//				bindPadClickEvent(item.selector, item.type, function(record) {
				bindPadClickEvent({
					tar: item.selector,
					type: item.type,
					baseBusinessType: baseBusinessType
				}, function(record) {
					var orderConfirmRecordData = JSON.parse(orderConfirmRecordDataStr);
					orderConfirmRecordData.push(record);
					orderConfirmRecordDataStr = JSON.stringify(orderConfirmRecordData);
				});
			}
		})
	}
	
	function sendPadDataOrderConfirm(orderId) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var orderConfirmBindBankcardData = JSON.parse(orderConfirmBindBankcardDataStr);
		
		// 拼接   绑卡跳转到订单确认页面的记录  和  订单确认页面的记录 
		var resultOrderConfirmRecordData = orderConfirmBindBankcardData.concat(JSON.parse(orderConfirmRecordDataStr));
		
		var params = {
			userId: loginStatus.userId,
			orderId: orderId,
			mList: resultOrderConfirmRecordData
		};
		
		sendRecord(params, function(res) {
			// 还原两个值
			orderConfirmBindBankcardDataStr = JSON.stringify([]);
			orderConfirmRecordDataStr = JSON.stringify([]);
		}, function(err) {
//			console.log(err);
		});
	}
	
	return {
		bindPadEventOrderConfirm: bindPadEventOrderConfirm,
		sendPadDataOrderConfirm: sendPadDataOrderConfirm,
		
		jumpPageEventOrderConfirm: jumpPageEventOrderConfirm
	}
})