define([
  'containers/orderDetail/orderDetailView',
  'js/utilities',
  'containers/orderDetail/educationHelper',
  'containers/orderDetail/orderDetailEducationView',
  'containers/orderDetail/orderDetailFamilyDecorationOnlineView',
  'containers/orderDetail/orderDetailEmployeeBuyView'
], function(
	orderDetailView, 
	utilities,
	educationHelper,
	orderDetailEducationView,
	orderDetailFamilyDecorationOnlineView,
	orderDetailEmployeeBuyView
) {
  
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  function init(query) {
	  var stagePlanData="";  
	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	 // 注册显示事件
	if (mainView.activePage.name === 'orderDetail') {
		// 隐藏工具栏
		f7.hideToolbar('#toolbar');
		
		// 注册显示事件
		f7.onPageBack('orderDetail', function() {
			f7.showToolbar('#toolbar');
		});
	
	 function getOrderDetail(orderId) {
		  var detailUrl = '';
		  var detailParams = {};
		  if (query.baseBusinessType === '003001'){
			  detailUrl = educationHelper.educationAppUrl.detailUrl;
			  detailParams = {
					  orderId: orderId,
					  userId: loginStatus.userId,
					  baseBusinessType: '003001'
			  }
			  //家庭分期和家庭套购请求参数
		  } else if (query.baseBusinessType === '003002') {
			  detailUrl = '/app/order/detail';
			  
//			  if (!orderId) {
//				  orderId = localStorage.getItem('adultEducationOrderDetail_' + loginStatus.userId);
//			  }
			  
			  detailParams = {
			      orderId: orderId,
			      userId: loginStatus.userId,
			      baseBusinessType: '003002'
			  }
		  }else if(query.baseBusinessType === '004002'){
			  detailUrl='/app/order/detail';
			  detailParams={
					  orderId: orderId,
					  userId: loginStatus.userId,
					  baseBusinessType: '004002'
			  }
		  }else if(query.baseBusinessType === '004001'){
			  detailUrl = '/app/order/detail';
			  detailParams={
					  orderId: orderId,
					  userId: loginStatus.userId,
					  baseBusinessType: '004001'
			  }
		  }else if(query.baseBusinessType === '004003'){
			  detailUrl = '/app/order/detail';
			  detailParams={
					  orderId: orderId,
					  userId: loginStatus.userId,
					  baseBusinessType: '004003'
			  }
		  }else if (query.baseBusinessType === '005001') {
			  detailUrl = '/app/order/detail';
			  detailParams = {
					  orderId: orderId,
					  userId: loginStatus.userId,
					  baseBusinessType: '005001'
			  }
		  } else if(query.baseBusinessType === '006001'){
			  detailUrl = '/app/order/detail';
			  detailParams={
					  orderId: orderId,
					  userId: loginStatus.userId,
					  baseBusinessType: '006001'
			  }
		  } else {
			  detailUrl = '/app/orderDetail';
			  detailParams = {
					  orderId: orderId,
					  userId: loginStatus.userId
				  }
		  }
		  if(query.baseBusinessType === '003002'){
			  callAppApi({
				  url: detailUrl,
				  type: 'POST',
				  apiVersion: '2.0',
				  params: detailParams,
				  successCallback: function(response) {
					  callAppApi({
							url: '/app/credit/audit/infoQuery',
							type: 'POST',
							params: {
								baseBusinessType: '003002',
								userId: loginStatus.userId
							},
							successCallback: function(auditInfoRes) {
								callAppApi({
									url: '/module/suite/suitePlanDetail',
									apiVersion: '2.0',
									type: 'POST',
									params: {
											userId: loginStatus.userId,
											orderProductPrice: response.orderInfo.goodsSellPrice,
											periodKey:response.orderInfo.goodsPeriodKey,
											goodsSellId:response.orderInfo.goodsSellId,
											planId:response.orderInfo.goodsPlanId,
											baseBusinessType:"003002",
											stagePlanAmt:response.orderInfo.goodsSuiteStagePrice
									},
									successCallback: function(data){
										orderDetailEducationView.render({
											fromPage: query.fromPage,
											orderDetailData:response,
											orderId:query.orderId,
											baseBusinessType:"003002",
											stagePlanData:data,
											auditInfoRes: auditInfoRes
										});
									},
									errorCallback: function(err) {}
								});
							},
							errorCallback: function(err) {}
						});
					  f7.pullToRefreshDone();
				  },
				  errorCallback: function(err) {
					  f7.pullToRefreshDone();
				  },
				  completeCallback: function() {
					  
					  f7.pullToRefreshDone();
				  }
			});
			  
		  }else if(query.baseBusinessType === '004003'){
			  callAppApi({
				  url: detailUrl,
				  type: 'POST',
				  apiVersion: '2.0',
				  params: detailParams,
				  successCallback: function(response) {
					  callAppApi({
							url: '/app/credit/audit/infoQuery',
							type: 'POST',
							params: {
								baseBusinessType: '004003',
								userId: loginStatus.userId
							},
							successCallback: function(auditInfoRes) {
							    
								callAppApi({
									url: '/module/suite/suitePlanDetail',
									apiVersion: '2.0',
									type: 'POST',
									params: {
		                              userId: loginStatus.userId,
		                              orderProductPrice: response.productDataList[0].productPrice,
		                              periodKey:response.detailCacheData.planPeriodKey,
		                              goodsSellId:response.productDataList[0].productId,
		                              planId:response.detailCacheData.planId,
		                              baseBusinessType:"004003",
		                              stagePlanAmt:response.detailCacheData.planStagePrice
									},
									successCallback: function(data){
										orderDetailFamilyDecorationOnlineView.render({
											fromPage: query.fromPage,
											orderDetailData:response,
											orderId:query.orderId,
											baseBusinessType:"004003",
											stagePlanData:data,
											auditInfoRes: auditInfoRes
										});
									},
									errorCallback: function(err) {}
								});
							},
							errorCallback: function(err) {}
						});
					  f7.pullToRefreshDone();
				  },
				  errorCallback: function(err) {
					  f7.pullToRefreshDone();
				  },
				  completeCallback: function() {
					  
					  f7.pullToRefreshDone();
				  }
			  });
		  } else {
			  callAppApi({
				  url: detailUrl,
				  type: 'POST',
				  params: detailParams,
				  successCallback: function(response) {
			
					if(query.baseBusinessType === '003001'){
						callAppApi({
							url: '/app/credit/audit/infoQuery',
							type: 'POST',
							apiVersion: '2.0',
							params: {
								baseBusinessType: '003001',
								userId: loginStatus.userId
							},
							successCallback: function(auditInfoRes) {
								callAppApi({
									url: '/module/suite/suitePlanDetail',
									apiVersion: '2.0',
									type: 'POST',
									params: {
											userId: loginStatus.userId,
											orderProductPrice: response.orderProductPrice,
											stagePlanAmt: response.goodsSuiteStagePrice,						// 学生教育
											periodKey: response.goodsPeriodKey,
											goodsSellId:'',
											baseBusinessType: query.baseBusinessType
									},
									successCallback: function(data){
										stagePlanData = data;
										orderDetailView.render(Object.assign({}, response, {
											fromPage: query.fromPage,
											goodsLogistics:response.goodsLogistics,
											orderDetailData:response,
											orderId:query.orderId,
											baseBusinessType:query.baseBusinessType,
											stagePlanData:stagePlanData,
											auditInfoRes: auditInfoRes
										}));
									},
									errorCallback: function(err) {}
								});
							},
							errorCallback: function(err) {}
						});
					} else if(query.baseBusinessType === '004001' || query.baseBusinessType === '004002'){
						callAppApi({
							url: '/module/suite/suitePlanDetail',
							type: 'POST',
							params: {
									userId: loginStatus.userId,
									orderProductPrice: response.goodsPrice,
									periodKey: response.stagePlanList[0].periodKey,
									goodsSellId:'',
									discountRate: response.stagePlanList[0].discountRate,
									stagePlanAmt: response.stagePlanList[0].goodsSuiteStagePrice,
									paidAmount: response.stagePlanList[0].paidAmount,
									baseBusinessType: query.baseBusinessType
							},
							successCallback: function(data){
								stagePlanData = data;
								orderDetailView.render(Object.assign({}, response, {
									fromPage: query.fromPage,
									goodsLogistics:response.goodsLogistics,
									orderDetailData:response,
									orderId:query.orderId,
									baseBusinessType:query.baseBusinessType,
									stagePlanData:stagePlanData
								}));
							},
							errorCallback: function(err) {}
						});
					} else if (query.baseBusinessType == '005001') {
						
						orderDetailEmployeeBuyView.render(Object.assign({}, response, {
							fromPage: query.fromPage,
							baseBusinessType: query.baseBusinessType
						}));
				  	} else if(query.baseBusinessType === '006001'){
						
						callAppApi({
							  url: '/app/userInfo',
							  type: 'POST',
							  params: {
								  userId: loginStatus.userId,
								  isOldUser: loginStatus.userIsOld,
								  userSession: loginStatus.userSession
							  },
							  successCallback: function(data) {
								  orderDetailView.renderMedical(Object.assign({}, response, {
										fromPage: query.fromPage,
										orderDetailId: response.orderDetailId,
										orderDetailData:response,
										baseBusinessType:query.baseBusinessType,
										orderId:query.orderId,
										consigneeName:data.userName,
										consigneePhone:data.userPhoneNumber
									}));
							  },
							  errorCallback: function(err) {}
						});
					} else {
						orderDetailView.render(Object.assign({}, response, {
							fromPage: query.fromPage,
							goodsLogistics:response.goodsLogistics,
							orderDetailData:response,
							orderId:query.orderId,
							baseBusinessType:query.baseBusinessType,
							stagePlanData:stagePlanData,
							fromPage:query.fromPage
						}));
					}
					
					f7.pullToRefreshDone();
				  },
				  errorCallback: function(err) {
					  f7.pullToRefreshDone();
				  },
				  completeCallback: function() {
					  
					  f7.pullToRefreshDone();
				  }
			  });
		  }
		  
	  }
	 
	  getOrderDetail(query.orderId);
	  
	  var ptrContent = $('.pull-to-refresh-content');
	  
	  ptrContent.on('refresh', function() {
		  getOrderDetail(query.orderId);
	  });
	}
  }
  
  return {
	init: init,
  };
});