define([
  'js/utilities',
  'js/config',
  'jquery',
  'js/sha256',
  'js/uploadImg',
  'js/uploadEvidenceFunc',
  'containers/order/orderHelper',
  'containers/orderDetail/orderDetailPad',
  'adultEducation/adultEducationContainers/orderConfirm/orderConfirmHelper',
  'hbs!components/order/orderAdultEducation/orderAdultEducation',
  'hbs!components/order/orderAdultEducation/uploadEvidence',
  'hbs!containers/orderDetail/orderDetailEducation',
  'hbs!components/order/orderStatus/adultEducationOrderStatus',
  'hbs!components/order/orderInfo/adultEducationOrderInfo',
  'hbs!components/common/protocolArea/protocolFrame',
  'hbs!components/common/protocolArea/protocolArea',
], function(
    utilities,
    config,
    $$,
    SHA256,
    uploadImg,
    uploadEvidence,
    orderHelper,
	orderDetailPad,
	orderConfirmHelper,
	orderAdultEducationTemplate,
	orderAdultEducationAddTemplate,
	orderDetailTemplate,
	orderStatusTemplate,
	orderInfoTemplate,
	protocolFrame,
	protocolAreaTemplate
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var callWebHtml = utilities.callWebHtml;
  var getDay = utilities.getDay;
  var isOwnEmpty = utilities.isOwnEmpty;
  var getDeviceType = utilities.getDeviceType;
  var formatSecondsTime = utilities.formatSecondsTime;
  var infoQueryRouter = utilities.infoQueryRouter; //入口路由跳转判断
  var getFormatPrice = utilities.getFormatPrice;						// 格式化金额

  var takePicture = uploadImg.takePicture;
  var choosePhoto = uploadImg.choosePhoto;
  
  var preOrderConfirm = orderConfirmHelper.preOrderConfirm;				// 
  
  var UploadEvidence = uploadEvidence.UploadEvidence;
  
  var bindPadorderDetail=orderDetailPad.bindPadorderDetail;
  var sendPadorderDetail=orderDetailPad.sendPadorderDetail;
  var adultEducationGetOrderView = orderHelper.adultEducationGetOrderView;
  var checkInfoCountDown = orderHelper.checkInfoCountDown;
  var intervalOrderDetail;
  var orderConfirmPayTimeAgain;
  var intervalReConfirm;
  function render(params) {
	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	params.orderStatus=params.orderDetailData.orderInfo.orderStatus;
	var picDataArr = [];
	var addPicDataArr = [];//回退补充的图片数组
	var otherEvidenceShow = true;//是否补充其他材料
	if(params.auditInfoRes && params.auditInfoRes.picList != null && params.auditInfoRes.picList.length > 0 && params.auditInfoRes.picList){
		picDataArr = params.auditInfoRes.picList;
	}
	
	if(mainView.activePage.name === 'orderDetail'){
		f7.hideToolbar("#toolbar");
	}
	// 声明页面定时器
	clearInterval(intervalOrderDetail);
	clearInterval(orderConfirmPayTimeAgain);
	var pwdErrorCount = 1;						// 交易密码错误次数
	var orderDetailPwdStatus = true;			// 记录密码是否可用
	if (
			typeof localStorage.getItem('orderDetailPwdErrorTime') == 'string' &&
			localStorage.getItem('orderDetailPwdErrorTime') !== '' &&
			localStorage.getItem('orderDetailPwdErrorTime') - Date.now() > 0
	) {
		pwdErrorCount = 5;
		orderDetailPwdStatus = false;
	}
	
	var orderDetailInputPwdStatus = false;					// 是否正在发送验证交易密码请求
	//渲染navbar
	loadComponent('navbar', 'common', {
		container: '#orderDetailNavbar',
		title: '订单详情',
		backId: 'orderDetailBackBtn',
		isBackIcon: true,
		isBack: false
	});
	//渲染页面
	$('#orderDetailContent').html(orderDetailTemplate({
		orderStatus:params.orderDetailData.orderInfo.orderStatus,
		orderStatusView: adultEducationGetOrderView(params.orderDetailData.orderInfo.orderStatus),
		baseBusinessType:params.baseBusinessType,
		auditInfoStatus:params.auditInfoRes.auditInfoStatus
	}));
	
	if(params.orderStatus == "13"){
		$$('#adultEducationOrderConfirmBtn').click(function(){
			infoQueryRouter('003002',{
				query:{
					fromPage: 'orderDetail'
				}
			},loadAdultEducationPage)
			
		})
	}
	
	var isUpdate = $('.order-check-status-item').text();
	if(isUpdate == '待付款' && !orderCancel){
		TalkingData.onPage('待付款订单详情页');
	}else if(isUpdate == '待审核' && !orderCancel){
		TalkingData.onPage('等待审核订单详情页');
	}
	var backTime = setTimeout(function() {
		$('#orderDetailBackBtn').off('click').on('click', function() {
			if(params.orderStatus =="20"){
				f7.modal({
					title : '',
					text : '超过操作时效后订单将被取消，请尽快完成付款操作',
					buttons : [ {
						text : '取消'
					}, {
						text : '确定',
						onClick : function() {
							clearInterval(intervalOrderDetail);
							clearInterval(orderConfirmPayTimeAgain);
							mainView.router.back({
					  			url: 'order.html',
					  			force: true
					  		});
						}
					}]
				});
			}else{
				clearInterval(intervalOrderDetail);
				clearInterval(orderConfirmPayTimeAgain);
				if(params.fromPage=="billing"){
					mainView.router.load({
						url : 'billing.html',
						query : {
							fromPage: 'orderDetail',
							orderId:params.orderId,
							baseBusinessType: params.baseBusinessType,
						}
					});
				}else{
					//skapp数据收集：返回
					if(isUpdate == '待付款' && !orderCancel){
						TalkingData.onEventWithLabel('待付款订单详情页', '返回');
					}else if(isUpdate == '待审核' && !orderCancel){
						TalkingData.onEventWithLabel('等待审核订单详情页', '返回');
					}
			  		mainView.router.back({
			  			url: 'order.html',
			  			force: true
			  		});
			  		
				}
			}
			
		});
		clearTimeout(backTime);
	}, 500);
	
	function fmoney(s, n , p) {	//格式化金额 s为转化的金额 n为保留几位小数 p为隔开的标点符号 不传默认为","
		if(p === undefined){
			p =",";
		}
		
	  	if(n){
	  		n = n > 0 && n <= 20 ? n : 2;
			s = parseFloat((s +"").replace(/[^\d\.-]/g,"")).toFixed(n) +"";
	  	}else{
	  		s = parseFloat((s +"").replace(/[^\d\.-]/g,""))+"";
	  	}
		var l = s.split(".")[0].split("").reverse(), r = s.split(".")[1];
		t ="";
		for (i = 0; i < l.length; i++) {
			t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? p :"");
		}
		if(n){
			return t.split("").reverse().join("") +"." + r;
		}else {
			return t.split("").reverse().join("")
		}
	}
	var orderInfoData = {
			goodsInfo: {
				name: params.orderDetailData.orderInfo.goodsSellName,
				config: params.orderDetailData.orderInfo.goodsItemConfigure,
				color: params.orderDetailData.orderInfo.goodsItemColor,
				price: fmoney(params.orderDetailData.orderInfo.orderProductPrice,2,"") + '元',
				orderStatus: params.orderDetailData.orderInfo.orderStatus,
				product: {
					key: '分期产品',
					value: params.orderDetailData.orderInfo.goodsSellName
				},
				stagingNum: {
					key: '期数',
					value: params.orderDetailData.orderInfo.goodsSuiteStageNumber + '期'
				},
				orderProductPrice: {
					key: '分期金额',
					value: fmoney(params.orderDetailData.orderInfo.goodsSuiteStagePrice,2,"") + '元'
				},
				firstPay: {
					key: '期初支付',
					value: fmoney(params.orderDetailData.orderInfo.goodsSuitePayFirstPrice,2,"") + '元'
				},
				selfPay: {
					key: '线下支付',
					value: fmoney(params.orderDetailData.orderInfo.goodsSuitePayInitialPrice,2,"") + '元'
				},
				payInfo: {
					key: '分期明细',
					value: '查看详情>'
				},
				protocolName: {
					key: '课程协议名称',
					value:  params.orderDetailData.orderDetailInfo.contractTitle
				},
				protocolTime: {
					key: '协议签订时间',
					value: params.orderDetailData.orderDetailInfo.contractSignDate
				}
			}
		};
	
	$('#orderDetailInfoArea').html(orderInfoTemplate(orderInfoData));
	//订单编号
	var orderStatusPrompt='';
	if(params.orderStatus==='821'&& params.returnGoodsAgreeTime!==undefined){
			if(params.returnGoodsAgreeTime!==''){
				var orderCancelTime1=params.returnGoodsAgreeTime.split(' ')[0]
		 		var orderCancelTime2=params.returnGoodsAgreeTime.split(' ')[1]
		 		var orderCancelTimeYear=orderCancelTime1.split('-')[0];
		 		var orderCancelTimeMonth= orderCancelTime1.split('-')[1];
		 		var orderCancelTimeDay=orderCancelTime1.split('-')[2];
		 		var orderCancelTimeHour=orderCancelTime2.split(':')[0];
		 		var orderCancelTimeMinute=orderCancelTime2.split(':')[1];
		 		var ReturnGoodsTimes=orderCancelTimeYear+'年'+orderCancelTimeMonth+'月'+orderCancelTimeDay+'日'+orderCancelTimeHour+'时'+orderCancelTimeMinute+'分'
		 		var ReturnGoodsTimesText='取消时间:'+ ReturnGoodsTimes + '<br>您提交的“取消分期”申请已通过审核，请您在24小时内至我的账单页进行款项结清，超时未结清将导致本次申请失效。结清账单后请联系办理店员进行线下手续办理。';
		 		orderStatusPrompt=ReturnGoodsTimesText;
			}		 		
		}else{
			orderStatusPrompt=params.orderDetailData.orderInfo.orderStateChangeNotes
		}
	$('#orderDetailStatusArea').html(orderStatusTemplate({
		orderId: params.orderId,
		orderStatus:params.orderDetailData.orderInfo.orderStatus,
		orderStatusView: adultEducationGetOrderView(params.orderDetailData.orderInfo.orderStatus),
		orderStatusPrompt: orderStatusPrompt,//拒绝退款原因展示
		baseBusinessType:params.baseBusinessType,
	}));
	 /*params.auditInfoRes.creditStatus = '6';
	 params.auditInfoRes.auditInfoStatus = '501';*/
	//渲染资料上传页面材料图片
	if(params.auditInfoRes && params.orderStatus && params.auditInfoRes.creditStatus == '6'){
		if(params.orderStatus =="15" && params.auditInfoRes.auditInfoStatus == '501'){
			if(params.baseBusinessType ==="003002"){
				$('#orderDetailEvidence').html(orderAdultEducationTemplate({
					picList: picDataArr
				}));
				activeReloadInfoButtonOne();
			}
		}
	}
	
	var isNotChecked = true;
	var orderDetailFamilyStatus = localStorage.getItem('orderDetailEducation' + '-' + params.orderId);
	
	if(orderDetailFamilyStatus){
		isNotChecked = false;
	}else{
		isNotChecked = true;
	}
	
	if(params.baseBusinessType ==="003002" && params.orderStatus =="20"){
		$$('#adultOrderProtocol').html(protocolAreaTemplate({
			isNotChecked: isNotChecked,
        	protocolItem1: {
        		id: 'adultorderProtocolBtn',
        		title: '《应收账款转让确认及保理费承担协议》'
        	}
        }));
		
		
	}
	// 资料上传倒计时
	if (mainView.activePage.name === 'orderDetail' && params.orderDetailData.orderInfo.orderStateChangeTime && params.orderStatus === '15') {
		
    	var orderChangeTime = Date.parse(params.orderDetailData.orderInfo.orderStateChangeTime.slice(0, 19).replace(/-/g, '/'));
    	var orderNowTime = Date.now();
    	if(params.orderStatus === '15'){
    		var timeLimit = 7 * 24 *60 * 60 * 1000;
    	}
    	
    	var timeDiff = orderNowTime - orderChangeTime;
		var upderUrl = ''//订单更新地址
		var upderParams = {};//订单更新需要传输参数
		if(params.baseBusinessType==="003002") {
			upderUrl='/app/order/update',
			upderParams.orderId= params.orderId,
			upderParams.userId= loginStatus.userId,
			upderParams.orderStatus='52',
			upderParams.baseBusinessType = params.baseBusinessType
		}
		if (timeDiff <= timeLimit) {
			var countDownTime = Math.floor(timeLimit / 1000 - timeDiff / 1000);
			
			clearInterval(intervalOrderDetail);
			
			if(params.orderStatus === '15'){
				$(".adultOrder-check-status-item").css("font-size","14px")
			}
			intervalOrderDetail = setInterval(function() {
				countDownTime -= 1;
				
				if (countDownTime > 0) {
					if(params.orderStatus === '15'){
						var day = Math.floor(countDownTime / 60 / 60 /24)< 1 ? '0' : Math.floor(countDownTime / 60 / 60 /24);
						var hour= Math.floor((countDownTime- day * 24 * 60 * 60)/ 60 / 60) < 10 ? 
								'0'+ Math.floor((countDownTime-day * 24 * 60 * 60)/ 60 / 60):Math.floor((countDownTime-day * 24 * 60 * 60)/ 60 / 60);
        				var min = Math.floor((countDownTime - day * 24 * 60 * 60 - hour * 60 * 60)/ 60) < 10 ? 
        						'0' + Math.floor((countDownTime - day * 24 * 60 * 60 - hour * 60 * 60) / 60) : Math.floor((countDownTime - day * 24 * 60 * 60 - hour * 60 * 60) / 60);
        				var sec = Math.floor(countDownTime - day * 24 * 60 * 60 - hour * 60 * 60 - min * 60) < 10 ? 
        						'0' + Math.floor(countDownTime - day * 24 * 60 * 60 - hour * 60 * 60 - min * 60) : Math.floor(countDownTime - day * 24 * 60 * 60 - hour * 60 * 60 - min * 60);
						var firstHour = Math.floor(hour/10);
						var secondHour = hour % 10;
        				var firstMin = Math.floor(min/10);
        				var secondMin = min % 10;
        				var firstSec = Math.floor(sec/10);
        				var secondSec = sec % 10;
//        				var countDownStr = day+"天"+hour+":" + min + ':' + sec;
						var countDownStr ="<span>"+day+"</span>"+"<span>天</span>"+"<span>"+firstHour+"</span>"+"<span>"+secondHour+"</span>"+" :"+"<span>"+firstMin+"</span>"+"<span>"+secondMin+"</span>"+" :"
						+"<span>"+firstSec+"</span>"+"<span>"+secondSec+"</span>";
					}
    				$('#orderDetailTime').html(countDownStr);
				} else {
					clearInterval(intervalOrderDetail);
					if (params.baseBusinessType==="003002") {
					    callAppApi({
	                        url:upderUrl,
	                        apiVersion: '2.0',
	                        type: 'POST',
	                        params: upderParams,
	                        successCallback: function(response) {
	                            f7.alertMessage('订单已超时取消，请重新下单');
	                            localStorage.removeItem('adultEducationOrderId_' + loginStatus.userId);
	                            var timeCancle = setTimeout(function() {
	                                mainView.loadPage('order.html');
	                            }, 3000);
	                            
	                        },
	                        errorCallback: function(err) {}
	                    });
					} else {
					    callAppApi({
	                        url:upderUrl,
	                        type: 'POST',
	                        params: upderParams,
	                        successCallback: function(response) {
	                            f7.alertMessage('订单已超时取消，请重新下单');
	                            localStorage.removeItem('adultEducationOrderId_' + loginStatus.userId);
	                            var timeCancle = setTimeout(function() {
	                                mainView.loadPage('order.html');
	                            }, 3000);
	                            
	                        },
	                        errorCallback: function(err) {}
	                    });
					}
					
				}
			}, 1000);
			
		} else {
			clearInterval(intervalOrderDetail);
			if (params.baseBusinessType==="003002") {
			    callAppApi({
                    url:upderUrl,
                    apiVersion: '2.0',
                    type: 'POST',
                    params:upderParams,
                    successCallback: function(response) {
                        f7.alertMessage('订单已超时取消，请重新下单');
                        localStorage.removeItem('adultEducationOrderId_' + loginStatus.userId);
                        var timeCancle = setTimeout(function() {
                            mainView.loadPage('order.html');
                        }, 3000);
                        
                    },
                    errorCallback: function(err) {}
                });
			} else {
			    callAppApi({
	                url:upderUrl,
	                type: 'POST',
	                params:upderParams,
	                successCallback: function(response) {
	                    f7.alertMessage('订单已超时取消，请重新下单');
	                    localStorage.removeItem('adultEducationOrderId_' + loginStatus.userId);
	                    var timeCancle = setTimeout(function() {
	                        mainView.loadPage('order.html');
	                    }, 3000);
	                    
	                },
	                errorCallback: function(err) {}
	            });
			}
		}
	}
	if(params.orderStatus =="20"){
		callAppApi({
			url: '/api/checkOrderTimeOut',
			type: 'POST',
			params: {
				orderId: params.orderId,
				userId: loginStatus.userId,
				orderTimeOutType: '1'
			},
			successCallback: function(response) {
				var countDownTime = response.timeOutValue//获取到倒计时时间
				if(response.checkResult === false && countDownTime > 0){//未超时
		           orderConfirmPayTimeAgain = setInterval(function() {
		        	   	countDownTime--;
		            	 var payTimeAgain = formatSecondsTime(countDownTime, 'sec');
		            	 var minutesAgain = payTimeAgain.minutes;
		            	 var secondsAgain = payTimeAgain.seconds;
		            	 
	        				var firstMin = Math.floor(minutesAgain/10);
	        				var secondMin = minutesAgain % 10;
	        				var firstSec = Math.floor(secondsAgain/10);
	        				var secondSec = secondsAgain % 10;
	        				var countDownStr ="剩余时间"+"<span>0</span>"+"<span>0</span>"+" :"+"<span>"+firstMin+"</span>"+"<span>"+secondMin+"</span>"+" :"
	        									+"<span>"+firstSec+"</span>"+"<span>"+secondSec+"</span>";
	        				$('#orderDetailTime').html(countDownStr);
	        				
		            	 if(minutesAgain === '00' && secondsAgain === '00'){
	            		 	clearInterval(orderConfirmPayTimeAgain);
	            		 	// 支付超时
	    					f7.alertMessage('很抱歉，您的订单操作超时已被取消，感谢关注');
	    					var timeCancle = setTimeout(function() {
	    						callAppApi({
	    							url: '/api/checkOrderTimeOut',
	    							type: 'POST',
	    							params: {
	    								orderId: params.orderId,
	    								userId: loginStatus.userId,
	    								orderTimeOutType: '1'
	    							},
	    							successCallback: function(response) {
	    								localStorage.removeItem('adultEducationOrderId_' + loginStatus.userId);
	    								mainView.loadPage('order.html');
	    							},
	    							errorCallback: function(err) {}
	    						});
							}, 3000);
		            	 }
		            }, 1000) 
				} else {//后台返回超时
					// 支付超时
					f7.alertMessage('很抱歉，您的订单操作超时已被取消，感谢关注');
					localStorage.removeItem('adultEducationOrderId_' + loginStatus.userId);
					var timeCancle = setTimeout(function() {
						mainView.loadPage('order.html');
					}, 3000);
				}
			},
			errorCallback: function(err) {}
		});
	}
	// 预览图片按钮事件绑定
//	$('.preview-photo').on('click', function() {
//		if ($(this).hasClass('success') || $(this).parent().hasClass('success')){
//			var cloudUrl = $(this).find('img').attr('src');
//			if (cloudUrl === '' || !cloudUrl) {
//				f7.alert('请上传照片');
//				return false;
//			} else {
//				var myUserIdCardBrowser = f7.photoBrowser({
//					zoom: 400,
//					photos: [cloudUrl]
//				});
//				utilities.clickDelay('myPhotoBrowser', function(){
//					myUserIdCardBrowser.open();
//				}, 500)
//				
//			}
//		}
//	});
	
	//默认隐藏方法调用
//	defaultHide(orderEvidenceFrontIdCardJson,"orderEvidenceFrontIdCardJson");
//	defaultHide(orderEvidenceBackIdCardJson,"orderEvidenceBackIdCardJson");
//	defaultHide(orderEvidenceHoldIdCardJson,"orderEvidenceHoldIdCardJson");
//	defaultHide(orderEvidenceIncomeJson,"orderEvidenceIncomeJson");
//	defaultHide(orderEvidenceHouseJson,"orderEvidenceHouseJson");
//	defaultHide(orderEvidenceWorkJson,"orderEvidenceWorkJson");
//	defaultHide(orderEvidenceDwellingJson,"orderEvidenceDwellingJson");
//	defaultHide(orderEvidenceOtherJson,"orderEvidenceOtherJson");
	
	/*picDataArr.map(function(item, index){
		if(item.picType == '1'){
			item.picDataArray.map(function(items, indexs){
				var id = 'picArr' + item.picType + items.picSubType;
				defaultHide(items.picSubDataArray, id);
			})
		}else{
			var id = 'picArr' + item.picType;
			var picTypeArr = [];
			item.picDataArray.map(function(items, indexs){
				items.picSubDataArray.map(function(itemss, indexss){
					picTypeArr.push(itemss);
				})
			})
//			console.log(picTypeArr);
			defaultHide(picTypeArr, id);
		}
	})
	//默认隐藏方法
	function defaultHide(arr,str){
		if(arr){
			var isHide = arr.every(function(item, index) {
				if (item.checkResult === true) {
					return true;
				}else{
					return false;
				}
			});
			var str="#"+str
			if (isHide === false) {
					$$(str).addClass("hide-show");
					$$(str).find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailHide.png)");
					showHideCheck(str,$$(str).next())//绑定详情点击事件
			}else{
					$$(str).parent().hide();
			}
		}
	}
	//详情点击事件（ID为点击的的ID，dom为JQ对象，收缩的部分）
	function showHideCheck(ID,dom){
		$(ID).on('click',function(){
			$(ID).toggleClass('hide-show');
			if($(ID).hasClass('hide-show')){
				dom.slideDown(100);
				$$(ID).find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailHide.png)");
				$$(ID).css('border-bottom','0px')
			}else{
				dom.slideUp(100);
				$$(ID).find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailShow.png)");
				$$(ID).css('border-bottom','1px solid #dfdfdf')
			}
		})
		
	}
	//瑕疵点查看事件
	
	var timer=setTimeout(function(){
		$$(".upload-education-item").off('click').on('click', function() {
			var checkResultArrayValue=$(this).data('value');
			var otherContent=$(this).data('other');
			
			if(checkResultArrayValue){
				var checkResultArray = checkResultArrayValue.split('|');
			}
			
			var checkResultContent = '审核结果：<br>';
			if (checkResultArray.length > 0){
				for (var i = 0;i < checkResultArray.length;i++ ){
					checkResultContent += i + 1 + '.' + checkResultArray[i] + '<br>';
				}
			}
			if(otherContent){
				checkResultContent += '其他：' + otherContent;
			}
			
			f7.modal({
	  			title: '',
	  			text:  '<div class="model-title">'+checkResultContent+'</div>',
	  			buttons: [
	  				{
	  					text: '<span>确定</span>',
	  					onClick: function(){
	  						f7.closeModal();  						
	  					}
	  				}
	  			]
	  		});
			window.event? window.event.cancelBubble = true : e.stopPropagation();
		})
	},500)*/
	
	picDataArr.map(function(item, index){
		if(item.picType == '1'){
			item.picDataArray.map(function(items, indexs){
//				var id = 'picArr' + item.picType + items.picSubType;
				var picType = item.picType;
				var picSubType = items.picSubType;
				defaultHide(items.picSubDataArray, picType, picSubType);
			})
		}else{
//			var id = 'picArr' + item.picType;
			var picType = item.picType;
			var picSubType = '';
			var picTypeArr = [];
			item.picDataArray.map(function(items, indexs){
				items.picSubDataArray.map(function(itemss, indexss){
					picTypeArr.push(itemss);
				})
			})
			defaultHide(picTypeArr, picType, picSubType);
		}
	})
	//默认隐藏方法
	function defaultHide(arr,picType,picSubType){
		if(arr.length > 0 && picType == '5'){
			otherEvidenceShow = arr.every(function(item, index) {
				if(item.checkResult == '0'){
					return false;
				}else{
					return true;
				}
			});
		}
	}
	if(otherEvidenceShow){
		addPicDataArr = [{
            "picType": "5",
            "picName":"其他证明材料",
            "picDataArray": []
       }]
	}else{
		addPicDataArr = []
	}
	
	//数据合并
	if(picDataArr.length>0 && addPicDataArr.length>0){
		for(var i = 0;i < picDataArr.length;i++){
			if(picDataArr[i].picType == '5'){
				addPicDataArr[0].picDataArray = picDataArr[i].picDataArray;
			}
		}
	}
	
	//获取图片列表
	var picDataList = $$('.upload-evidence-adult-wrap-list');
	
	//创建图片列表实例
	var picEvidenceList = picDataList.map(function(index, item){
		var evidenceType = $$(item).data('key');
		var picType = $$(item).data('type');
		//无暇回退隐藏
		if($$(item).find('.failure').length == 0){
			$$(item).hide();
			$$(item).prev().hide();
		}
		
		return new UploadEvidence(evidenceType,[],{
			addSelector: "add" + evidenceType + "Btn",
			operateSelector: "edit" + evidenceType + "Btn",
			updateSelector: 'uploadEvidenceAdultList' + evidenceType,
			uploadEvidenceList: $$('#uploadEvidenceAdultList' + evidenceType),
			limitNum: '50',
			infoData: params.auditInfoRes.infoData,
			baseBusinessType: '003002',
			picType: picType,
			isNew: '.upload-evidence-item-new',
			activeReloadBtn: activeReloadInfoButtonOne
		})
	})
	
	//渲染补充图片
	if(params.auditInfoRes && params.orderStatus && params.auditInfoRes.creditStatus == '6'){
		if(params.orderStatus =="15" && params.auditInfoRes.auditInfoStatus == '501'){
			if(params.baseBusinessType ==="003002"){
				$('#orderDetailEvidenceAdultEducationAdd').html(orderAdultEducationAddTemplate({
					picAddList: addPicDataArr
				}));
			}
		}
	}
	
	//获取主列表
	var picMainList = $$('.upload-evidence-adult-add-wrap-list');
	
	//创建主列表实例
	evidenceMainList = picMainList.map(function(index, item){
		var evidenceType = $$(item).data('key');
		var picType = $$(item).data('type');
		return new UploadEvidence(evidenceType, [], {
			addSelector: "addPic" + evidenceType + "Btn",
			operateSelector: "editPic" + evidenceType + "Btn",
			uploadEvidenceList: $$('#uploadEvidenceAdultAddList' + evidenceType),
			limitNum: '50',
			infoData: params.auditInfoRes.infoData,
			baseBusinessType: '003002',
			isNew: '.upload-evidence-item-new',
			picType: picType
		})
	})
	
	// 身份证材料重新上传点击事件
//	$('.order-detail-evidence-item1').on('click', function() {
//		if ($(this).hasClass('failure') && $(this).attr('data-tarKey') === 'orderEvidenceFrontIdCardJson') {
//			reloadInfo({type: 'orderEvidenceFrontIdCardJson', picId: $(this).attr('data-picId')});
//		} else if ($(this).hasClass('failure') && $(this).attr('data-tarKey') === 'orderEvidenceBackIdCardJson') {
//			reloadInfo({type: 'orderEvidenceBackIdCardJson', picId: $(this).attr('data-picId')});
//		} else if ($(this).hasClass('failure') && $(this).attr('data-tarKey') === 'orderEvidenceHoldIdCardJson') {
//			reloadInfo({type: 'orderEvidenceHoldIdCardJson', picId: $(this).attr('data-picId')});
//		}else if($(this).hasClass('failure') && $(this).attr('data-tarKey') === 'orderEvidenceIncomeJson'){
//			reloadInfo({type: 'orderEvidenceIncomeJson', picId: $(this).attr('data-picId')});
//		}
//		else if($(this).hasClass('failure') && $(this).attr('data-tarKey') === 'orderEvidenceHouseJson'){
//			reloadInfo({type: 'orderEvidenceHouseJson', picId: $(this).attr('data-picId')});
//		}
//		else if($(this).hasClass('failure') && $(this).attr('data-tarKey') === 'orderEvidenceWorkJson'){
//			reloadInfo({type: 'orderEvidenceWorkJson', picId: $(this).attr('data-picId')});
//		}
//		else if($(this).hasClass('failure') && $(this).attr('data-tarKey') === 'orderEvidenceDwellingJson'){
//			reloadInfo({type: 'orderEvidenceDwellingJson', picId: $(this).attr('data-picId')});
//		}
//		else if($(this).hasClass('failure') && $(this).attr('data-tarKey') === 'orderEvidenceOtherJson'){
//			reloadInfo({type: 'orderEvidenceOtherJson', picId: $(this).attr('data-picId')});
//		}
//	})
	// 重新上传action
//	function reloadInfo(params){
//		 var buttons1 = 
//		    [
//		        {
//		            text: '拍摄',
//		            onClick: function () {
//		            	
//		            	if (params.type === 'orderEvidenceFrontIdCardJson') {
//		            		takePicture('', params.picId, 'orderEvidenceFrontIdCardJson', reloadInfoSuccess, '', '');
//		            	} else if (params.type === 'orderEvidenceBackIdCardJson') {
//		            		takePicture('', params.picId, 'orderEvidenceBackIdCardJson', reloadInfoSuccess, '', '');
//		            	} else if (params.type === 'orderEvidenceHoldIdCardJson') {
//		            		takePicture('', params.picId, 'orderEvidenceHoldIdCardJson', reloadInfoSuccess, '', '');
//		            	}else if (params.type === 'orderEvidenceIncomeJson') {
//		            		takePicture('', params.picId, 'orderEvidenceIncomeJson', reloadInfoSuccess, '', '');
//		            	}else if (params.type === 'orderEvidenceHouseJson') {
//		            		takePicture('', params.picId, 'orderEvidenceHouseJson', reloadInfoSuccess, '', '');
//		            	}else if (params.type === 'orderEvidenceWorkJson') {
//		            		takePicture('', params.picId, 'orderEvidenceWorkJson', reloadInfoSuccess, '', '');
//		            	}else if (params.type === 'orderEvidenceDwellingJson') {
//		            		takePicture('', params.picId, 'orderEvidenceDwellingJson', reloadInfoSuccess, '', '');
//		            	}else if (params.type === 'orderEvidenceOtherJson') {
//		            		takePicture('', params.picId, 'orderEvidenceOtherJson', reloadInfoSuccess, '', '');
//		            	}
//		            }
//		        },
//		        {
//		            text: '从相册选择',
//		            onClick: function () {
//		            	
//		            	if (params.type === 'orderEvidenceFrontIdCardJson') {
//		            		choosePhoto('', params.picId, 'orderEvidenceFrontIdCardJson', reloadInfoSuccess, '', '');
//		            	} else if (params.type === 'orderEvidenceBackIdCardJson') {
//		            		choosePhoto('', params.picId, 'orderEvidenceBackIdCardJson', reloadInfoSuccess, '', '');
//		            	} else if (params.type === 'orderEvidenceHoldIdCardJson') {
//		            		choosePhoto('', params.picId , 'orderEvidenceHoldIdCardJson', reloadInfoSuccess, '', '');
//		            	}else if (params.type === 'orderEvidenceIncomeJson') {
//		            		choosePhoto('', params.picId, 'orderEvidenceIncomeJson', reloadInfoSuccess, '', '');
//		            	}else if (params.type === 'orderEvidenceHouseJson') {
//		            		choosePhoto('', params.picId, 'orderEvidenceHouseJson', reloadInfoSuccess, '', '');
//		            	}else if (params.type === 'orderEvidenceWorkJson') {
//		            		choosePhoto('', params.picId, 'orderEvidenceWorkJson', reloadInfoSuccess, '', '');
//		            	}else if (params.type === 'orderEvidenceDwellingJson') {
//		            		choosePhoto('', params.picId, 'orderEvidenceDwellingJson', reloadInfoSuccess, '', '');
//		            	}else if (params.type === 'orderEvidenceOtherJson') {
//		            		choosePhoto('', params.picId, 'orderEvidenceOtherJson', reloadInfoSuccess, '', '');
//		            	}
//		            }
//		        }
//		    ];
//		 var buttons2 = 
//		    [
//		         {
//		             text: '取消',
//		             color: 'red'
//		         }
//		     ];
//		 var groups = [buttons1, buttons2];
//		 
//		 f7.actions(groups);
//	}
	
	// 上传成功
//	function reloadInfoSuccess(token,i,u,t,data,imgId) {
//		
//		f7.hideIndicator();
//		
//		var picId = u;
//		
//		if (t === 'orderEvidenceFrontIdCardJson') {
//			$('.order-detail-evidence-item1').each(function(index, item) {
//				if (item.getAttribute('data-picId') === picId) {
//					item.classList.remove('failure');
//					item.classList.add('success');
//					$(item).children("div:last-child").hide();//隐藏瑕疵点
//						$(this).find('img').attr('src',token.iobsCloudUrl);
//						orderEvidenceFrontIdCardJson.map(function(item) {
//						if (item.picId === picId) {
//							item.cloudKey = imgId;
//							item.cloudUrl = token.iobsCloudUrl;
//						}
//					})
//				}
//			})
//		} else if (t === 'orderEvidenceBackIdCardJson') {
//			$('.order-detail-evidence-item1').each(function(index, item) {
//				if (item.getAttribute('data-picId') === picId) {
//					item.classList.remove('failure');
//					item.classList.add('success');
//					$(item).children("div:last-child").hide();//隐藏瑕疵点
//						$(this).find('img').attr('src',token.iobsCloudUrl);
//						orderEvidenceBackIdCardJson.map(function(item) {
//						if (item.picId === picId) {
//							item.cloudKey = imgId;
//							item.cloudUrl = token.iobsCloudUrl;
//						}
//					})
//				}
//			})
//		} else if (t === 'orderEvidenceHoldIdCardJson') {
//			$('.order-detail-evidence-item1').each(function(index, item) {
//				if (item.getAttribute('data-picId') === picId) {
//					item.classList.remove('failure');
//					item.classList.add('success');
//					$(item).children("div:last-child").hide();//隐藏瑕疵点
//						$(this).find('img').attr('src',token.iobsCloudUrl);
//						orderEvidenceHoldIdCardJson.map(function(item) {
//						if (item.picId === picId) {
//							item.cloudKey = imgId;
//							item.cloudUrl = token.iobsCloudUrl;
//						}
//					})
//				}
//			})
//		}else if (t === 'orderEvidenceIncomeJson') {
//			$('.order-detail-evidence-item1').each(function(index, item) {
//				
//				if (item.getAttribute('data-picId') === picId) {
//					item.classList.remove('failure');
//					item.classList.add('success');
//					$(item).children("div:last-child").hide();//隐藏瑕疵点
//						$(this).find('img').attr('src',token.iobsCloudUrl);
//						orderEvidenceIncomeJson.map(function(item) {
//						if (item.picId === picId) {
//							item.cloudKey = imgId;
//							item.cloudUrl = token.iobsCloudUrl;
//						}
//					})
//				}
//			})
//		}else if (t === 'orderEvidenceHouseJson') {
//			$('.order-detail-evidence-item1').each(function(index, item) {
//				
//				if (item.getAttribute('data-picId') === picId) {
//					item.classList.remove('failure');
//					item.classList.add('success');
//					$(item).children("div:last-child").hide();//隐藏瑕疵点
//						$(this).find('img').attr('src',token.iobsCloudUrl);
//						orderEvidenceHouseJson.map(function(item) {
//						if (item.picId === picId) {
//							item.cloudKey = imgId;
//							item.cloudUrl = token.iobsCloudUrl;
//						}
//					})
//				}
//			})
//		}else if (t === 'orderEvidenceWorkJson') {
//			$('.order-detail-evidence-item1').each(function(index, item) {
//				
//				if (item.getAttribute('data-picId') === picId) {
//					item.classList.remove('failure');
//					item.classList.add('success');
//					$(item).children("div:last-child").hide();//隐藏瑕疵点
//						$(this).find('img').attr('src',token.iobsCloudUrl);
//						orderEvidenceWorkJson.map(function(item) {
//						if (item.picId === picId) {
//							item.cloudKey = imgId;
//							item.cloudUrl = token.iobsCloudUrl;
//						}
//					})
//				}
//			})
//		}else if (t === 'orderEvidenceDwellingJson') {
//			$('.order-detail-evidence-item1').each(function(index, item) {
//				
//				if (item.getAttribute('data-picId') === picId) {
//					item.classList.remove('failure');
//					item.classList.add('success');
//					$(item).children("div:last-child").hide();//隐藏瑕疵点
//						$(this).find('img').attr('src',token.iobsCloudUrl);
//						orderEvidenceDwellingJson.map(function(item) {
//						if (item.picId === picId) {
//							item.cloudKey = imgId;
//							item.cloudUrl = token.iobsCloudUrl;
//						}
//					})
//				}
//			})
//		}else if (t === 'orderEvidenceOtherJson') {
//			$('.order-detail-evidence-item1').each(function(index, item) {
//				
//				if (item.getAttribute('data-picId') === picId) {
//					item.classList.remove('failure');
//					item.classList.add('success');
//					$(item).children("div:last-child").hide();//隐藏瑕疵点
//						$(this).find('img').attr('src',token.iobsCloudUrl);
//						orderEvidenceOtherJson.map(function(item) {
//						if (item.picId === picId) {
//							item.cloudKey = imgId;
//							item.cloudUrl = token.iobsCloudUrl;
//						}
//					})
//				}
//			})
//		}
//		activeReloadInfoButtonOne();
//		sendPadorderDetail(params.orderId);
//	}
	
	//解锁提交审核
	function activeReloadInfoButtonOne() {
		if($(".evidence-item-boxOne .failure").length==0){
			$("#orderDetailAuditBtn").removeAttr("disabled");
			$("#orderDetailAuditBtn").removeClass("false");
		}
			
	}
	// 重新提交审核按钮点击事件
	$('#orderDetailAuditBtn').on('click', function() {
		var updateUrl = '';
		var updateParams = {};
		if (params.baseBusinessType == '003002') {
			updateUrl = '/app/credit/audit/infoBackSubmit';
		}
		callAppApi({
			url: updateUrl,
			type: 'POST',
			apiVersion: '2.0',
			params: {
				userId: loginStatus.userId,
				baseBusinessType:"003002",
//				auditInfoStatus:"410",
				auditInfoId: params.auditInfoRes.infoData.auditInfoId
//				auditInfoId: '324121'
				},
			successCallback: function(response) {
				f7.pullToRefreshTrigger($('#orderDetailRefresh'));
				clearInterval(intervalOrderDetail);
				clearInterval(orderConfirmPayTimeAgain);
				 mainView.router.load({
					  url: 'order.html',
					  animatePages: false
				  });
			},
			errorCallback: function(err) {}
		});
	});
	
	
	//继续下单
	if(params.orderDetailData.orderInfo.orderStatus==20){

		// 成人教育跳转确认下单页面
		$('#orderConfirmBtn').on('click', function() {preceedOrder()});
		
		
//		$("#orderConfirmBtn").on("click",function(){
//			
//			loadAdultEducationPage('orderConfirm', {
//				query: {
//					fromPage: 'orderDetail',
//					orderId:params.orderId,
//					baseBusinessType:"003002"
//				}
//			});
//		})
		
	}else if(params.orderDetailData.orderInfo.orderStatus==10){
		$('#orderConfirmBtn').removeAttr("disabled").removeClass("false");
		
		$('#orderConfirmBtn').on('click', function() {
			loadAdultEducationPage('uploadEvidence', {
				query: {
					fromPage: 'orderDetail',
					orderId:params.orderId,
					baseBusinessType: '003002'
				}
			})
			
		})
		
	}
	
	var preceedOrder = function(){

//		if(!$("#creditCheckBox2").prop("checked")){
//			f7.alert("请阅读并同意协议")
//			return false;
//		}
		if (!$('#adultOrderProtocol input')[0].checked) { f7.alert('请阅读并同意协议'); return false; }
		
		localStorage.setItem('orderDetailEducation' + '-' + params.orderId,true);
		
		callAppApi({
			  url: '/app/bankBatchCard',
			  type: 'POST',
			  params: {
				  userId: loginStatus.userId
			  },
			  successCallback: function(batchCardData) {
				  if (batchCardData === null || isOwnEmpty(batchCardData) || batchCardData === '' || typeof batchCardData === 'undefined') {
		                f7.alert('您还未进行银行卡绑定，请先绑卡');
		                mainView.router.load({
							url: 'bindBankcard.html',
							query: {
								fromPage: 'adultEducationOrderDetail',
								baseBusinessType: '003002',
								orderId:params.orderId
							}
						});
		                return false;
		            }else{
		            	var setPasswordObj;
		    			alertPassword();
		    			function alertPassword(){
		    				
		    				orderDetailInputPwdStatus = false;
		    				
		    				var inputStyle = '';
		    				if (getDeviceType() == 'IOS') {
		    					inputStyle = 'style="font-size: 0 !important;"';
		    				}
		    				
		    				//弹框输入交易密码
		    				f7.modal({
		    					title: '<div id="setPwdTitle" class="setPwdTitle">请输入交易密码</div>',
		    					text: '<div class="setPassword-type">'+
		    							'<div class="wrap">'+
		    								'<div class="inputBoxContainer" id="adultEducationOrderDetailContainer">'+
		    									'<input type="number" class="realInput"' + inputStyle + '/>'+
		    									'<div class="bogusInput">'+
		    										'<input type="password" maxlength="6" disabled/>'+
		    										'<input type="password" maxlength="6" disabled/>'+
		    										'<input type="password" maxlength="6" disabled/>'+
		    										'<input type="password" maxlength="6" disabled/>'+
		    										'<input type="password" maxlength="6" disabled/>'+
		    										'<input type="password" maxlength="6" disabled/>'+
		    									'</div>'+
		    								'</div>'+
		    							'</div>'+
		    							'<div class="clearFix fgtPwd-box" id="forgetPwdBtnBox">'+
		    							  '<a id="inputPrePwd-fgtPwdBtn" class="inputPrePwdFgtPwdBtn font-fff font-m container align-r">忘记密码？</a>'+
		    							'</div>'+
		    							'<span class="close">×</span>'+
		    					    '</div>',
		    				})
		    				
		    			$('#adultEducationOrderDetailContainer').parents('.modal').css({
		    				'overflow': 'visible'
		    			});
		    			$$('.close').on('click', function(){
		    				f7.closeModal();
		    			})
		    			//点击忘记密码按钮  进入发送验证码页面
		    		      $("#inputPrePwd-fgtPwdBtn").on("click",function(){
		    		    	  f7.closeModal();
		    		    	  //
		    		    	  mainView.router.load({
		    						url : 'tradePwd.html',
		    						query : {
		    							fromPage:"adultEducationOrderDetail",
		    							pwdRouterStatus: 'forgetPassword'
		    						}
		    					});
		    		      })
		    				//交易密码输入
		    				var setPasswordContainer = document.getElementById("adultEducationOrderDetailContainer");
		    				setPasswordObj = {
		    					maxLength:"",
		    					realInput:"",
		    					bogusInput:"",
		    					bogusInputArr:"",
		    					callback:"",
		    					init:function(fun){
		    						var that = this;
		    						this.callback = fun;
		    						that.realInput = setPasswordContainer.children[0];
		    						that.bogusInput = setPasswordContainer.children[1];
		    						that.bogusInputArr = that.bogusInput.children;
		    						that.maxLength = that.bogusInputArr[0].getAttribute("maxlength");
		    						that.realInput.oninput = function(){
		    							that.setValue();
		    						}
//		    						that.realInput.addEventListener('change', function() {
//		    							that.setValue();
//		    						});
		    						that.realInput.onpropertychange = function(){
		    							that.setValue();
		    						}
		    					},
		    					setValue:function(){
		    						this.realInput.value = this.realInput.value.replace(/\D/g,"");
		    						var real_str = this.realInput.value;
		    						for(var i = 0 ; i < this.maxLength ; i++){
		    							this.bogusInputArr[i].value = real_str[i]?real_str[i]:"";
		    						}
		    						if(real_str.length >= this.maxLength){
		    							this.realInput.value = real_str.substring(0,6);
		    							this.callback();
		    							checkPasswordIsTrue();
		    						}
		    					},
		    					getBoxInputValue:function(){
		    						var realValue ="";
		    						for(var i in this.bogusInputArr){
		    							if(!this.bogusInputArr[i].value){
		    								break;
		    							}
		    							realValue += this.bogusInputArr[i].value;
		    						}
		    						return realValue;
		    					}
		    				};
		    				setPasswordObj.init(function() {});
		    			}
		    			
		    			function checkPasswordIsTrue(){
		    				// 输入6位交易密码
		    				if($('.realInput').val().length == 6){
		    					
		    					// 允许校验验证码状态为true
		    					if (orderDetailPwdStatus == true) {
		    						
		    						if (orderDetailInputPwdStatus == false) {
		    							orderDetailInputPwdStatus = true;
		    					    	  var pwdStr = setPasswordObj.getBoxInputValue();
		    						      var telRegExp = /^\d{6}$/;
		    						      if(pwdStr==""){
		    						    	 f7.alert('请输入交易密码'); return false; 
		    						      }
		    						      if(!telRegExp.test(pwdStr)){f7.alert('密码格式不正确'); return false; }
		    						      callAppApi({
		    							   url: '/module/transactionPwd/find',
		    							   type: 'POST',
		    							   params: {
		    								   userId: loginStatus.userId,
		    								   transactionPwd: SHA256(pwdStr).toString(),
		    								   findType:"03"
		    							   },
		    							   successCallback: function(response) {
		    								   orderDetailInputPwdStatus = false;
		    								   
		    								   if (response.transactionPwdExist) {
		    									    f7.closeModal();
		    									    
		    									    var planPayFirstPrice = '';
		    									    
		    									    if (params.orderDetailData && params.orderDetailData.orderInfo && params.orderDetailData.orderInfo.goodsSuitePayFirstPrice) {
		    									    	planPayFirstPrice = params.orderDetailData.orderInfo.goodsSuitePayFirstPrice;
		    									    } else {
		    									    	f7.alert('orderDetailData.orderInfo.goodsSuitePayFirstPrice： 成人教育订单详情未获取到商品首付款')
		    									    }
		    									    
		    									    var goodsSellName = '';
		    									    
		    									    if (params.orderDetailData && params.orderDetailData.orderInfo && params.orderDetailData.orderInfo.goodsSellName) {
		    									    	goodsSellName = params.orderDetailData.orderInfo.goodsSellName;
		    									    } else {
		    									    	f7.alert('orderDetailData.orderInfo.goodsSellName: 成人教育订单详情未获取到商品名称')
		    									    }
		    									    
		    									    localStorage.removeItem('adultEducationOrderId_' + loginStatus.userId);
		    									    
		    									    if (planPayFirstPrice == '0') {
		    									    	preOrderConfirm({
		    									    		orderId: params.orderId,
		    									    		goodsSellName: goodsSellName
		    									    	});
		    									    } else {
			    									    loadAdultEducationPage('orderConfirm', {
			    									    	query: {
			    									    		fromPage: 'adultEducationOrderDetail',
			    									    		orderId: params.orderId,
			    												baseBusinessType: params.baseBusinessType,
			    									    	}
			    									    });
		    									    }
		    								   } else {
		    									   dealwithPwdError();
		    								   }
		    							   },
		    							   errorCallback: function(err) {}
		    							})
		    						}
		    					} else {
		    						dealwithPwdError();
		    					}
		    					
		    					
		    					// 处理密码输入错误的情况
		    					function dealwithPwdError() {
		    					   f7.closeModal();
		    					   var pwdPromptText = '';
		    					   
		    					   // 输入验证码次数超过五次
		    					   if (pwdErrorCount >= 5) {
		    						   orderDetailPwdStatus = false;
		    						   
		    						   // 是否存储过再次允许校验验证码时间
		    						   if (typeof localStorage.getItem('orderDetailPwdErrorTime') == 'string' && localStorage.getItem('orderDetailPwdErrorTime') == 'string' !== '') {
		    							   // 允许校验验证码时间是否大于当前时间
		    							   if (localStorage.getItem('orderDetailPwdErrorTime') - Date.now() > 0) {
		    								   
		    								   var pwdCountTime = Math.ceil((localStorage.getItem('orderDetailPwdErrorTime') - Date.now()) / 1000 / 60);
		    								   
		    								   pwdPromptText = '交易密码输入错误过多账户已被锁定，请点击忘记密码进行找回或' + pwdCountTime + '分钟后重试';
		    							   } else {
		    								   // 允许校验验证码时间小与当前时间，重置条件
		    								   pwdErrorCount = 1;
		    								   orderDetailPwdStatus = true;
		    								   localStorage.removeItem('orderDetailPwdErrorTime');
		    							   }
		    						   } else {
		    							   // 存储允许再次校验验证码时间
		    							   localStorage.setItem('orderDetailPwdErrorTime', Date.now() + 10 * 60 * 1000);
		    							   pwdPromptText = '交易密码输入错误过多账户已被锁定，请点击忘记密码进行找回或10分钟后重试';
		    						   }
		    						   
		    						   pwdModal(pwdPromptText);
		    					   } else {
		    						   // 错误验证码次数未超过五次
		    						   pwdErrorCount++;
		    						   pwdPromptText = '密码错误，请重新尝试';
		    						   pwdModal(pwdPromptText);
		    					   }
		    					   
		    					   function pwdModal(pwdPromptText) {
		    						   f7.modal({
		    								title: '平安租赁',
		    					  			text: pwdPromptText,
		    					  			buttons: [
		    					  				{
		    					  					text: '忘记密码',
		    					  					onClick: function(){
		    					  						
//		    					  						localStorage.setItem('adultEducationOrderDetail_' + loginStatus.userId, params.orderId);
		    					  						
		    					  						mainView.router.load({
		    												url : 'tradePwd.html',
		    												query : {
		    													fromPage : 'adultEducationOrderDetail',
		    													pwdRouterStatus: 'forgetPassword'
		    												}
		    											});
		    					  					}
		    					  				},
		    					  				{
		    					  					text: '重试',
		    					  					onClick: function(){
		    					  						alertPassword();
		    					  					}
		    					  				}
		    					  			]
		    					  		});
		    						   
		    					   }
		    					}
		    			    }
		    		    }
		    			
		    			
		    			
		    			//点击忘记密码按钮  进入发送验证码页面
		    		      $("#inputPrePwd-fgtPwdBtn").on("click",function(){
		    		    	  f7.closeModal();
		    		    	  mainView.router.load({
		    						url : 'tradePwd.html',
		    						query : {
		    							fromPage:"adultEducationOrderDetail",
		    							pwdRouterStatus: 'forgetPassword'
		    						}
		    					});
		    		      })
		    		
		            }
			  },
			  errorCallback: function(err) {}
		  });
	
	}
	
	//绑卡成功后自动执行继续下单操作
	if(params.fromPage === 'bindBankcard'){
		preceedOrder();
	}
	
	// 取消订单
	$('#orderCancleBtn').on('click', function() {
		// 清除定时器
		clearInterval(intervalOrderDetail);
		clearInterval(orderConfirmPayTimeAgain);
		var cancelUrl = '/app/order/cancel';
		var cancelParams = {
			  orderId: params.orderId,
			  userId: loginStatus.userId,
			  cancelType: '',
			  baseBusinessType: '003002',
			  orderStatus: '50'
		  }
		f7.modal({
			title : '',
			text : '是否确认取消订单',
			buttons : [ {
				text : '取消'
			}, {
				text : '确定',
				onClick : function() {
					callAppApi({
						url: cancelUrl,
						type: 'POST',
						apiVersion: '2.0',
						params: cancelParams,
						successCallback: function(response) {
							orderCancel = true;
							if(isUpdate == '待审核'){  //未审核
								TalkingData.onEventWithLabel('待付款订单详情页', '取消订单');
							}
							localStorage.removeItem('adultEducationOrderId_' + loginStatus.userId);
							f7.pullToRefreshTrigger($('.pull-to-refresh-content'))
						},
						errorCallback: function(err) {}
					});
				}
			}]
		});
	});
	//默认隐藏
	$$('.upload-evidence-adult-list').each(function(i,v){
		if($$(v).children('.failSign').length <= 4 ){
			$$(v).children('.order-detail-more').hide();
		}else{
			$$(v).children('.failSign').each(function(index,value){
				if(index >= 4){
					$$(value).hide();
				}
			})
		}
		
	})
	//点击更多事件
	$(".order-detail-more").on("click",function(){
		var that = this;
		$(that).parent().children('.failSign').each(function(i,v){
			if(i >= 4){
				if($$(v).css("display") !=="none"){									
					$$(that).removeClass("hide-show-more");
					$$(that).find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailShow.png)")
					$$(v).slideUp(200);
				}else{
					$$(that).addClass("hide-show-more");
					$$(v).slideDown(200);
					$$(that).find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailHide.png)")
				}
				
			}
		})
		
	})
	
//	取消分期
//	家装线上化版本暂时没有退货需求，不需要发送退货检查
	/*var ReturnValidity=false;//是否在退货有效期内判断标识
	if(params.orderStatus.slice(0, 1) =="4" || params.orderStatus==="35" || params.orderStatus==="801" || params.orderStatus==="821"){
		callAppApi({
			url: '/api/checkOrderTimeOut',
			type: 'POST',
			params: {
				orderId: params.orderId,
				userId: loginStatus.userId,
				orderTimeOutType: '3'
			},
			successCallback: function(response) {
				if(response.checkResult===false){
					ReturnValidity=true;
					$$('#userRefundBtn').removeClass('hide');
					//系统未反馈本次申请处理结果前，无法再次点击“取消分期”按钮进行再次申请
					if (params.orderStatus==='801' || params.orderStatus==='821'){
						$$('#userRefundBtn').attr('disabled', true);
					}
				}
			},
			errorCallback: function(err) {
			}
		});
	}*/
	
//	  -------------------------------------取消订单--------------------------------------------
	  //用户取消(退款)订单状态说明
		  //7X-退款状态: 
			//701-支付完成用户发起取消订单，
			//702-用户发起退款申请，
			//703-上传发票超时系统发起退款申请，
			//704-复核不通过系统发起退款申请，
	        //721-用户取消发起退款申请通过，
			//722-用户发起退款申请通过，
			//723-上传发票超时系统发起退款申请通过，
			//724-复核不通过系统发起退款申请通过
	        //740-退款申请不通过

		  $('#userRefundBtn').on('click', function() {
				f7.modal({
					title : '',
					text:  '<div class="model-block">'+
						  	      '<div id="refundBlock">'+
							          '<p class="refund-notice">您的取消订单申请将提交至办理店员处进行审核，是否确认取消订单？</p>'+
							           '<textarea placeholder="请输入取消订单原因"  class="refund-reason" id="refundReason"></textarea>'+
							      '</div>'+
							      '<div id="canclePrompt" class="hide" style="color: red">* 取消订单原因不能为空</div>' +
					        '</div>',
					buttons : [ {
						text : '取消'
					}, {
						text : '确定',
						close: false,
						onClick : function() {
							if ($('#refundBlock .refund-reason').val()==="") {$('#canclePrompt').removeClass("hide"); return false};
							var refundReason=$('#refundReason').val()
							
							callAppApi({
								url: '/app/updateOrderRefundMsg',
								type: 'POST',
								params: {
									orderId: params.orderId,
									userId: loginStatus.userId,
									orderStatus: '701',
									lastStatus:'',//回滚前状态记录
									refundReason:refundReason,//退款原因
									rejectRefundReason:''//店员拒绝退款原因
									
								},
								successCallback: function(response) {
									f7.closeModal('.modal');
									f7.pullToRefreshTrigger($('#orderDetailRefresh'));
									var timeCancle = setTimeout(function() {
										mainView.loadPage('order.html');
									}, 3000);
								},
								errorCallback: function(err) {}
							});
						}
					}]
				});
				$('#refundBlock').parent().parent().parent().parent().css({
					position: 'absolute',
					top: '50%',
					left: '5%',
					display: 'block',
					width: '90%',
					margin: '-242px 5% 0 0'
				});
				$('#refundReason').on('keyup', function() {
					if ($('#refundBlock .refund-reason').val()!=="") {
						$('#canclePrompt').addClass("hide");
					}else{
						$('#canclePrompt').removeClass("hide")
					};
				})
		  })
	  
//----------------------------------------------点击产看详情/分期账单-----------------------------------------------------------
	  var goodPaymentDetailHtml='';
	  goodPaymentDetail=params.stagePlanData.paymentDetail;
	  if (goodPaymentDetail){
			goodPaymentDetail.map(function(item,index){
				goodPaymentDetailHtml = goodPaymentDetailHtml +
					'<div class="model-list-item">'+
						'<div class="model-list-number model-list-content">第'+item.periodNo+'期</div>' +
						'<div class="model-list-pay model-list-content">'+ getFormatPrice(item.payAmount) +'元</div>' +
					'</div>' 
			})
	  }
	  $$("#adultEducationPayInfo").off("click").on("click",function(){
		  if(params.orderStatus.slice(0,1) == '5' || (params.orderStatus.slice(0,1) == '7' && params.orderStatus != '701')){
			  return false;
		  }
			f7.modal({
				title: '<span class="model-billing">分期账单<span>',
				afterText: '<div class="model-block-chooseGoods">'+
									'<div class="model-head">'+
										'<div class="adultEducationModalItem" style="width: 100%">' +
											'<span class="key">课程名称</span><span class="value" >' + params.orderDetailData.orderInfo.goodsSellName + '</span>' +
										'</div>' +
										'<div class="adultEducationModalItem">'+
												'<span class="key">还款金额</span><span class="value">' + getFormatPrice(params.orderDetailData.orderInfo.goodsSuiteTotalAmount) + '元</span>'+
										'</div>' +
										'<div class="adultEducationModalItem">'+
												'<span class="key">还款方式</span><span class="value">月还</span>'+
										'</div>' +
										'<div class="adultEducationModalItem">'+
												'<span class="key">期数</span><span class="value">' + params.orderDetailData.orderInfo.goodsSuiteStageNumber + '期</span>'+
										'</div>' +	
									'</div>' +
									'<div class="model-list-item item-title">'+
										'<div class="model-list-number model-list-content">期数</div>' +
										'<div class="model-list-pay model-list-content">每期还款</div>' +
									'</div>' +
									'<div class="model-list">'+
										goodPaymentDetailHtml +
									'</div>' +
								 '</div>',
				buttons: [
					{
						text: '我知道了',
					}
				]
			});
			$(".model-block-chooseGoods .model-head")[0].addEventListener('touchmove', function (event) { 
				event.preventDefault();
			}, false);
			$(".modal-button")[0].addEventListener('touchmove', function (event) { 
				event.preventDefault();
			}, false);
			$(".modal-title")[0].addEventListener('touchmove', function (event) { 
				event.preventDefault();
			}, false);
			$('.model-list-item')[0].addEventListener('touchmove', function (event) { 
				event.stopPropagation();
			}, false);
			$('.model-list')[0].addEventListener('touchmove', function (event) { 
				event.stopPropagation();
			}, false);
			$('.model-block-chooseGoods').parent().parent().css({
				position: 'absolute',
				top: '40%',
				left: '5%',
				display: 'block',
				width: '90%',
				margin: '-210px 5% 0 0',
				background: 'rgba(255,255,255,1)'
			});
			$('.model-block-chooseGoods').parent().find('.modal-title').css({
				'margin': '0 10px',
				'padding': '15px 0',
		    	'border-bottom': '1px dashed #e5e5e5',
		    	'font-size': '18px',
		    	'color': '#333',
		    	'font-weight': 'nomarl',
			});
			$('.model-block-chooseGoods .model-head').css({
				padding: '15px 25px',
				background: 'none',
				border: 'none',
				margin: 0
			});
			$('.model-block-chooseGoods').parent().css({
				padding:0,
				background: 'rgba(255,255,255,1)'
			});
			$(".model-billing").parent().css({
				padding:"20px"
			});
			$(".adultEducationModalItem").css({
				"text-align":"left",
				"margin-bottom":"5px",
				'font-size': '0'
			});
			$(".adultEducationModalItem .key").css({
			    'display': 'inline-block',
			    'width': '30%',
		    	'margin-right': '5%',
		    	'padding': '0',
				'font-size': '14px',
				'color': '#333',
			});
			$(".adultEducationModalItem .value").css({
				'display': 'inline-block',
				'width': '60%',
				'vertical-align': 'top',
				'font-size': '14px',
				'color': '#333'
			});
			$('.model-list').css({
				'margin-top': '0'
			});
			$('.model-list-item').css({
				'padding-left': '25px',
				'border-bottom': '1px solid #e5e5e5',
				'height': '35px',
				'line-height': '35px',
				'box-sizing':'border-box'
			});
			$('.model-list-content').css({
				'float': 'left'
			})
			$('.model-list-item.item-title').css({
				'height': '40px',
				'background': '#f5f5f5',
				'boder': 'none',
				'color': '#333',
				'border': '0px'
			});
			$('.model-list-number, .model-list-pay').css({
				'height': '35px',
				'line-height': '35px',
				'font-size': '14px',
				'color': '#333',
				'text-align': 'left'
			});
			$('.model-list-number').css({
				'margin-right': '5%',
				'width': '24%'
			});
			$('.model-list-pay').css({
				'width': '65%'
			});
			$('.model-list-item.item-title .model-list-number, .model-list-item.item-title .model-list-pay').css({
				'height': '40px',
				'line-height': '40px',
				'font-size': '14px',
				'color': '#333'
			});
		});
//---------------------------------------------------------协议点击--------------------------------------------------
	    $('#orderProtocolBtn').on('click', function() {
	    	callAppApi({
				url: '/service/agreement/getUrl',
				type: 'POST',
				params: {
					userId: loginStatus.userId,
					orderId: params.orderId,
					agreementType:"12"
				},
				successCallback: function(response) {
					var protocolPicArr = response.picCloudUrls;
					
					if ($.isArray(protocolPicArr) && protocolPicArr.length > 0) {
						utilities.clickDelay('myPhotoBrowser', function(){
							f7.photoBrowser({
								zoom: true,
								swiperToClose: false,
								lazyLoading: true,
								photos: protocolPicArr
							}).open();
						}, 500)
					} else {
						f7.alert('暂时没有生成协议展示。')
					}
				},
				errorCallback: function() {}
			});
	    });	
	    
	    $('#adultorderProtocolBtn').on('click', function() {
	    	callWebHtml({
	    		url: '/agreement/agrTemplateDebtTransfer',
	    		type: 'POST',
	    		params: {
				 userId: loginStatus.userId,
				 orderId: params.orderId,
				  templateId :'12',
				  baseBusinessType:"003002"
	    		},
	    		successCallback: function(response) {
					$('#orderDetailPopup').html(protocolFrame({
						protocolId:"agreementAssignmentDebtEducation",
						protocolName:"《债权转让确认协议》",
						protocolWidth: $('body').width(),
						protocolHeight: $('body').height() - 56
					}));
					$$("#agreementAssignmentDebtEducation").contents().find("html").html(response);
					f7.popup('#orderDetailPopup');
	    		},
	    		errorCallback: function(err) {}
	    	}); 
	    });
	    
 }
  return {
	render: render
  }
});
