define([
  'js/utilities',
  'js/config',
  'jquery',
  'js/sha256',
  'js/uploadImg',
  'js/familyUploadEvidenceFunc.js',
  'containers/order/orderHelper',
  'containers/orderDetail/orderDetailPad',
  'familyDecorationOnline/familyDecorationOnlineContainers/orderConfirm/orderConfirmHelper',
  'hbs!components/order/orderFamilyDecorationOnline/orderFamilyDecorationOnline',
  'hbs!components/order/orderFamilyDecorationOnline/uploadEvidence',
  'hbs!containers/orderDetail/orderDetailFamilyDecorationOnline',
  'hbs!components/order/orderStatus/familyDecorationOnlineStatus',
  'hbs!components/order/orderInfo/familyDecorationOnlineOrderInfo',
  'hbs!components/order/orderInfo/familyDecorationOnlineEditOrderInfo',
  'hbs!components/common/protocolArea/protocolFrame',
  'hbs!components/common/protocolArea/protocolArea',
  'familyDecorationOnline/familyDecorationOnlineContainers/chooseGoods/chooseGoodsHelper',
  'familyDecorationOnline/familyDecorationOnlineContainers/orderConfirm/orderConfirmHelper',
  'hbs!components/chooseGoods/chooseGoodsItem',
  'js/validator',
], function(
    utilities,
    config,
    $$,
    SHA256,
    uploadImg,
    uploadEvidence,
    orderHelper,
	orderDetailPad,
	orderConfirmHelper,
	orderFamilyDecorationOnlineTemplate,
	orderFamilyDecorationOnlineAddTemplate,
	orderDetailTemplate,
	orderStatusTemplate,
	orderInfoTemplate,
	editOrderInfoTemplate,
	protocolFrame,
	protocolAreaTemplate,
	chooseGoodsHelper,
	orderConfirmHelper,
	chooseGoodsItemTemplate,
	validator
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var callWebHtml = utilities.callWebHtml;
  var getDay = utilities.getDay;
  var isOwnEmpty = utilities.isOwnEmpty;
  var getDeviceType = utilities.getDeviceType;
  var formatSecondsTime = utilities.formatSecondsTime

  var takePicture = uploadImg.takePicture;
  var choosePhoto = uploadImg.choosePhoto;

  var UploadEvidence = uploadEvidence.UploadEvidence;

  var infoQueryRouter = utilities.infoQueryRouter; //入口路由跳转判断
  var preOrderConfirm = orderConfirmHelper.preOrderConfirm //起初支付为零跳过支付页面

  var bindPadorderDetail=orderDetailPad.bindPadorderDetail;
  var sendPadorderDetail=orderDetailPad.sendPadorderDetail;
  var familyDecorationOnlineGetOrderView = orderHelper.familyDecorationOnlineGetOrderView;
  var checkInfoCountDown = orderHelper.checkInfoCountDown;
  var intervalOrderDetail;
  var orderConfirmPayTimeAgain;
  var intervalReConfirm;


	// 字段栏重置方法
	var resetGoodsPrice = chooseGoodsHelper.resetGoodsPrice;
	var resetCredit = chooseGoodsHelper.resetCredit;
	var resetGoodsProduct = chooseGoodsHelper.resetGoodsProduct;
	var resetGoodsStageNum = chooseGoodsHelper.resetGoodsStageNum;
	var resetProtocolName = chooseGoodsHelper.resetProtocolName;
	var resetProtocolNum = chooseGoodsHelper.resetProtocolNum;
	var resetProtocolTime = chooseGoodsHelper.resetProtocolTime;
	var resetFirstPayment = chooseGoodsHelper.resetFirstPayment;
	var resetLinedownPayment = chooseGoodsHelper.resetLinedownPayment;
	var resetEachPayment = chooseGoodsHelper.resetEachPayment;

	// 回显事件绑定方法
	var chooseStoreGoodeChange = chooseGoodsHelper.chooseStoreGoodeChange;
	var changeProductPriceOnOrder = chooseGoodsHelper.changeProductPriceOnOrder;
	var goodsProductChange = chooseGoodsHelper.goodsProductChange;
	var goodsStageNumChange = chooseGoodsHelper.goodsStageNumChange;
	var goodsSuitePlanDetailChange = chooseGoodsHelper.goodsSuitePlanDetailChange;
	var getGoodsPriceChange = chooseGoodsHelper.getGoodsPriceChange;
	var getGoodsPriceChangeOnOrder = chooseGoodsHelper.getGoodsPriceChangeOnOrder;

  function render(params) {
	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	var contractTitle = '';			// 家装协议名称

	params.orderStatus=params.orderDetailData.orderStatus;

	var productData = params.orderDetailData.productDataList[0];
	var detailCacheData = params.orderDetailData.detailCacheData;

	var picDataArr = [];//返回的图片数组
	var addPicDataArr = [];//回退补充的图片数组

	var otherEvidenceShow = true;//是否补充其他材料
	var firstPaymentShow = false; // 是否显示期初支付
	
	//提示话术显示
	var infoTipStatus = localStorage.getItem('showinfoTip_' + loginStatus.userId);
	var isShowinfoTip = infoTipStatus == null ? false : true;

//	params.auditInfoRes.creditStatus = '6'; 回退测试

	//传参变量
	var goodsPlanId,
		goodsPlanName,
		goodsPeriodKey,//方案ID
		goodsPeriod, //方案内容
		goodsProductId, //产品ID
		goodsProductName,//产品名称
		goodsSuitePayFirstPrice, //期初支付
		goodsSuitePayInitialPrice,//线下支付
		goodsSuiteStageNumber,//分期期数
		goodsSuiteTotalAmount, //套餐总金额
		goodsSuiteStagePrice, //每期金额
		goodsSuitePoundage, //手续费
		goodsSuiteServiceCharges, //服务费
		goodsSuiteLeverPrice, //设备杠杆费用
		discountAmt, //贴息款
		orderPlanId;//套餐试算ID


	if(params.auditInfoRes && params.auditInfoRes.picList != null && params.auditInfoRes.picList.length > 0 && params.auditInfoRes.picList){
		picDataArr = params.auditInfoRes.picList;
	}

	if(params.auditInfoRes && params.auditInfoRes.decorationMaterialsList != null && params.auditInfoRes.decorationMaterialsList.length > 0 && params.auditInfoRes.decorationMaterialsList){
		picDataArr.push(params.auditInfoRes.decorationMaterialsList[0]);
	}

	if(mainView.activePage.name === 'orderDetail'){
		f7.hideToolbar("#toolbar");
	}
	// 声明页面定时器
	clearInterval(intervalOrderDetail);
	clearInterval(orderConfirmPayTimeAgain);
	var pwdErrorCount = 1;						// 交易密码错误次数
	var orderDetailPwdStatus = true;			// 记录密码是否可用
	if (
			typeof localStorage.getItem('orderDetailPwdErrorTime') == 'string' &&
			localStorage.getItem('orderDetailPwdErrorTime') !== '' &&
			localStorage.getItem('orderDetailPwdErrorTime') - Date.now() > 0
	) {
		pwdErrorCount = 5;
		orderDetailPwdStatus = false;
	}

	var orderDetailInputPwdStatus = false;					// 是否正在发送验证交易密码请求
	//渲染navbar
	if(params.orderStatus =="15"){
		loadComponent('navbar', 'common', {
			container: '#orderDetailNavbar',
			title: '订单详情',
			backId: 'orderDetailBackBtn',
			isBackIcon: true,
			isBack: false,
			iconRightStatus: true,
			iconRight: '帮助',
			iconRightId: 'orderDetailFamilyHelpBtn',
			callback:function(){
				// 点击帮助按钮
				$$('#orderDetailFamilyHelpBtn').on('click', function() {
					callWebHtml({
						url: '/application/show/uploadFileHelp',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							baseBusinessType:"004003"
						},
						successCallback: function(response) {
							$('#orderDetailPopup').html(protocolFrame({
								protocolId: "agreementAssignmentDebtEducation",
								protocolName: "上传材料说明",
								protocolWidth: $('body').width(),
								protocolHeight: $('body').height() - 56
							}));

							$$("#agreementAssignmentDebtEducation").contents().find("html")[0].innerHTML = response;

							f7.popup('#orderDetailPopup');
						},
						errorCallback: function(err) {}
					});
				});
			}
		});
	}else{
		loadComponent('navbar', 'common', {
			container: '#orderDetailNavbar',
			title: '订单详情',
			backId: 'orderDetailBackBtn',
			isBackIcon: true,
			isBack: false,
		});
	}
	
	//渲染页面
	$('#orderDetailContent').html(orderDetailTemplate({
		orderStatus:params.orderStatus,
		orderStatusView: familyDecorationOnlineGetOrderView(params.orderStatus),
		baseBusinessType:params.baseBusinessType,
	}));

	var isUpdate = $('.order-check-status-item').text();
	if(isUpdate == '待付款' && !orderCancel){
		TalkingData.onPage('待付款订单详情页');
	}else if(isUpdate == '待审核' && !orderCancel){
		TalkingData.onPage('等待审核订单详情页');
	}
	var backTime = setTimeout(function() {
		$('#orderDetailBackBtn').off('click').on('click', function() {
			if(params.orderStatus =="20"){
				f7.modal({
					title : '',
					text : '是否退出？',
					buttons : [ {
						text : '取消'
					}, {
						text : '确定',
						onClick : function() {
							clearInterval(intervalOrderDetail);
							clearInterval(orderConfirmPayTimeAgain);
							mainView.router.load({
					  			url: 'order.html',
					  			force: true
					  		});
						}
					}]
				});
			}else{
				clearInterval(intervalOrderDetail);
				clearInterval(orderConfirmPayTimeAgain);
				if(params.fromPage=="billing"){
					mainView.router.load({
						url : 'billing.html',
						query : {
							fromPage: 'orderDetail',
							orderId:params.orderId,
							baseBusinessType: params.baseBusinessType,
						}
					});
				}else{
					//skapp数据收集：返回
					if(isUpdate == '待付款' && !orderCancel){
						TalkingData.onEventWithLabel('待付款订单详情页', '返回');
					}else if(isUpdate == '待审核' && !orderCancel){
						TalkingData.onEventWithLabel('等待审核订单详情页', '返回');
					}
			  		mainView.router.load({
			  			url: 'order.html',
			  			force: true
			  		});

				}
			}

		});
		clearTimeout(backTime);
	}, 500);

	function fmoney(s, n , p) {	//格式化金额 s为转化的金额 n为保留几位小数 p为隔开的标点符号 不传默认为","
		if(p === undefined){
			p =",";
		}

	  	if(n){
	  		n = n > 0 && n <= 20 ? n : 2;
			s = parseFloat((s +"").replace(/[^\d\.-]/g,"")).toFixed(n) +"";
	  	}else{
	  		s = parseFloat((s +"").replace(/[^\d\.-]/g,""))+"";
	  	}
		var l = s.split(".")[0].split("").reverse(), r = s.split(".")[1];
		t ="";
		for (i = 0; i < l.length; i++) {
			t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? p :"");
		}
		if(n){
			return t.split("").reverse().join("") +"." + r;
		}else {
			return t.split("").reverse().join("")
		}
	}

	if (parseInt(detailCacheData.planPayFirstPrice) != 0) {
	    firstPaymentShow = true;
	}
	var orderInfoData = {
			goodsInfo: {
				name: productData.productName,
				config: productData.productConfiguration,
				color: productData.productColor,
				price:fmoney(productData.productPrice,2,"") + '元',
				orderStatus: params.orderDetailData.orderStatus,
				product: {
					key: '分期产品',
					value: detailCacheData.planProductName
				},
				stagingNum: {
					key: '期数',
					value: detailCacheData.planStageNumber + '期'
				},
				orderProductPrice: {
					key: '分期金额',
					value:fmoney(detailCacheData.planStagePrice,2,"") + '元'
				},
				firstPay: {
					key: '期初支付',
					value:fmoney(detailCacheData.planPayFirstPrice,2,"") + '元'
				},
				selfPay: {
					key: '线下支付',
					value:fmoney(detailCacheData.planPayInitialPrice,2,"") + '元'
				},
				payInfo: {
					key: '分期明细',
					value: '查看详情>'
				},
				protocolName: {
					key: '装修合同名称',
					value:  productData.contractName
				},
				protocolTime: {
					key: '合同签订时间',
					value: productData.contractSignTime
				}
			},
			firstPaymentShow: firstPaymentShow,
			orderStatus: params.orderStatus
		};

		//暂时隐藏
	// $('#orderDetailInfoArea').html(orderInfoTemplate(orderInfoData));

	//------------我是分期编辑分割线 S-------------------//
	//待付款订单详情列表
	var editOrderInfoData = {
		goodsInfo:{
			name: productData.productName,
			config: productData.productConfiguration,
			color: productData.productColor,
			price:fmoney(productData.productPrice,2,""),
			orderStatus: params.orderDetailData.orderStatus,
			dataList: [
					{
						id: 'familyDecorationOnlineCredit',
						type: 'suffixText',
						visibleStatus: true,
						disabled: true,
						widthen: true,
						label: '分期金额',
						placeholder: '请输入期望申请的金额',
						value: '',
						suffix: '元'
					},
					{
						id: 'goodsProduct',
						type: 'select',
						visibleStatus: true,
						disabled: true,
						label: '分期产品',
						selectList: [
							{
								value:'请选择分期产品',
								view: '请选择分期产品'
							}
						]
					},
					{
						id: 'goodsStageNum',
						type: 'select',
						visibleStatus: true,
						disabled: true,
						label: '期数',
						selectList: [
							{
								value: '请选择期数',
								view:  '请选择期数',
							}
						]
					},
					{
						id: 'firstPayment',
						type: 'text',
						visibleStatus: true,
						disabled: true,
						label: '期初支付',
						placeholder: '0',
						value:  '',
						view:  '',
						suffix: '元'
					},
					{
						id: 'linedownPayment',
						type: 'text',
						visibleStatus: true,
						disabled: true,
						label: '线下支付',
						placeholder: '0',
						value:  '',
						view:  '',
						suffix: '元'
					},
					{
						id: 'eachPayment',
						type: 'link',
						visibleStatus: true,
						disabled: true,
						label: '分期明细',
						placeholder: '',
						value: ''
					},
					{
							id: 'protocolName',
							type: 'select',
							visibleStatus: true,
							disabled: true,
							label: '装修合同名称',
							selectList: [
								{
									value: '请选择合同名称',
									view: '请选择合同名称',
								}
							]
						},
						{
							id: 'protocolTime',
							type: 'text',
							visibleStatus: true,
							disabled: true,
							placeholder: '请选择时间',
							label: '合同签订时间',
							value:  ''
						}
				]
		},
		isShowinfoTip: isShowinfoTip
	}

	//如果是待支付则跳编辑模版
	if(params.baseBusinessType ==="004003" && params.orderStatus =="20"){
		$('#orderDetailInfoArea').html(editOrderInfoTemplate(editOrderInfoData));

		// 初始化时间组件
		var today = new Date();
		var protocolTimeDate = f7.picker({
			input: '#protocolTime',
			rotateEffect: true,
			toolbarCloseText: '完成',
			value:'',	//[today.getFullYear(), today.getMonth(), today.getDate()]
			onChange: function (picker, values, displayValues) {
				var daysInMonth = new Date(picker.value[0], picker.value[1]*1 + 1, 0).getDate();
				if (values[2] > daysInMonth) {
					picker.cols[3].setValue(daysInMonth);
				}
			},
			formatValue: function (p, values, displayValues) {
				var displayYear = values[0];
				var displayMonth = (parseInt(values[1]) + 1) < 10 ? '0' + (parseInt(values[1]) + 1) : (parseInt(values[1]) + 1).toString();
				var displayDay = (parseInt(values[2])) < 10 ? '0' + (parseInt(values[2])) : (parseInt(values[2])).toString();
				return displayYear + '-' + displayMonth + '-' + displayDay;
			},
			cols: [
				// year
				{
					values: (function() {
						var arr = [];
						var curYear = today.getFullYear();
						for (var i = 1950; i <= curYear; i++) { arr.push(i); }
						return arr;
					})()
				},
				{
					divider: true,
					content: '  '
				},
				// month
				{
					values: ('0 1 2 3 4 5 6 7 8 9 10 11').split(' '),
					displayValues: ('01 02 03 04 05 06 07 08 09 10 11 12').split(' '),
				},
				// day
				{
					values: [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31],
				}
			],
			onOpen: function (picker) {
				protocolTimeDate.setValue([today.getFullYear(), today.getMonth(),today.getDate()]);
			}

		});
		
		var creditAvailableAmount = 0;//授信可用额度
		var creditAmount = 0; //授信额度
		var creditUsedAmount = 0;//已使用额度
		if (params.auditInfoRes.serviceRespData) {
			creditAmount = params.auditInfoRes.serviceRespData.creditAmount;
			creditAvailableAmount = params.auditInfoRes.serviceRespData.creditAvailableAmount;//可用额度
			creditUsedAmount = params.auditInfoRes.serviceRespData.creditUsedAmount;
		}

		var orderCounts = params.auditInfoRes.infoData.orderCounts == 1 ? true: false; //1-首单

		initDisplayValueFn();
	}else{
		$('#orderDetailInfoArea').html(orderInfoTemplate(orderInfoData));
	}


	//初始化回显Fn
	function initDisplayValueFn(){
		//获取storeUserId
		var storeUserId = detailCacheData.partnerStoreUserId;
		//获取storeId
		var storeId = detailCacheData.partnerStoreId;
		//当前产品/服务id
		var productId = productData.productId;
		//当前产品/服务名称
		var productName = productData.productName;
		//装修价格
		var productPrice = $$('#goodsSellPrice').val();
		//期望分期金额
		var planStagePrice = detailCacheData.planStagePrice;
		//期初支付金额
		var planPayFirstPrice = detailCacheData.planPayFirstPrice;
		//线下支付
		var planPayInitialPrice = detailCacheData.planPayInitialPrice;
		//获取分期产品planProductId
		var planProductId = detailCacheData.planProductId;
		//获取期数planPeriodKey， planPeriod
		var planPeriodKey = detailCacheData.planPeriodKey;//?????
		//获取合同名称
		var contractName = contractTitle = productData.contractName;
		//获取合同时间
		var contractSignTime = productData.contractSignTime;
		
		if (contractSignTime!=="") {
			var year = contractSignTime.split("-")[0];
			var month = (parseInt(contractSignTime.split("-")[1]) - 1).toString();
			var day = contractSignTime.split("-")[2];
			protocolTimeDate.setValue([year, month, day]);
		}
		// 根据店员id查询门店商品信息,获取协议
		callAppApi({
			url: '/app/order/getGoods',
			type: 'POST',
			params: {
				userId: loginStatus.userId,
				storeUserId: storeUserId,
				baseBusinessType:'004003'
			},
			successCallback: function(data){
				data.forEach(function(item) {
					if (item.goodsItemId == productId) {
						contractTitle = item.contractTitle;
					}
				});

				if(contractTitle){
					var contractTitleList = contractTitle.split('|');
				}else{
					var contractTitleList = [];
				}
				var contractTitleTempList = contractTitleList.map(function(item) {
					return {
						default: false,
						value: item,
						view: item
					};
				});

				contractTitleTempList.unshift({
					default: true,
					value: '',
					view: '请选择合同名称'
				})

				var defaultContractTitleTempList = contractTitleTempList.map(function(item, index) {

					var defaultVal = item.value===contractName ? true : false;
					return {
						default: defaultVal,
						value: item.value,
						view: item.view
					};
				});

				$$('#protocolName').html(chooseGoodsItemTemplate({optionsList: defaultContractTitleTempList}));
				$$('#protocolName').removeAttr('disabled');
				$$('#protocolTime').removeAttr('disabled');

				//获取分期产品列表
				callAppApi({
					url: '/module/suite/suitePlanList',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						baseBusinessType: '004003',
						storeId: storeId
					},
					successCallback: function(data){
						//当前选中分期产品
						var curProduct;
						var chooseGoodsProductList = data.map(function(item) {
							return {
								default: false,
								value: item.productId,
								view: item.productName,
								planList: item.planList,
								periodList: item.periodList
							}
						});

						chooseGoodsProductList.unshift({
							default: true,
							value: '',
							view: '请选择分期产品',
							planList: []
						});

						//1.分期产品
						var defaultGoodsProductList = chooseGoodsProductList.map(function(item, index) {
							item.default=false
							if( item.value===planProductId){
								item.default=true;
								curProduct = item;
								goodsProductId = item.value;
								goodsProductName = item.view;
							};
							return {
								default: item.default,
								value: item.value,
								view: item.view
							};
						});

						$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: defaultGoodsProductList}));
						$$('#goodsProduct').attr('disabled', false);

						//2.分期期数
						var chooseGoodsPeriodList = curProduct.periodList.map(function(item) {
							return {
								default: false,
								value: item.periodKey,
								view: item.period
							};
						});

						chooseGoodsPeriodList.unshift({
							default: true,
							value: '',
							view: '请选择期数'
						})

						//期数回显
						var defaultGoodsStageNumList = chooseGoodsPeriodList.map(function(item, index) {
							item.default=false;
							if( item.value===planPeriodKey){
								item.default=true;

								goodsPeriodKey = item.value;
								goodsPeriod = item.view;
							};
							return {
								default: item.default,
								value: item.value,
								view: item.view
							};
						});
						$$('#goodsStageNum').html(chooseGoodsItemTemplate({optionsList: defaultGoodsStageNumList}));
						$$('#goodsStageNum').attr('disabled', false);

						//期初支付
						if (planPayFirstPrice > 0) {
//							$$('#firstPayment').parent().show();
							$$('#firstPayment').val( planPayFirstPrice + '元');
							
							$$('#firstPayment').parent().addClass('firstpayment-show');
							$$('#firstPayment').parent().removeClass('firstpayment-hidden');
/*							$$('#lineDownText').removeClass('line-down-text-init');
							$$('#goodsDetials').removeClass('goods-detials-init');*/
						}else{
//							$$('#firstPayment').parent().hide();
							$$('#firstPayment').parent().removeClass('firstpayment-show');
							$$('#firstPayment').parent().addClass('firstpayment-hidden');
						}
						goodsSuitePayFirstPrice = planPayFirstPrice;
						getGoodsPriceChangeOnOrder(modifyCreditAmount);
						//分期金额输入事件,isFirstOrder ? 是否为首单怎么判断
						//var isFirstOrder = true;//暂时设置为true
						$$('#familyDecorationOnlineCredit').on('blur', function() {
							changeProductPriceOnOrder(productPrice,planStagePrice,planPayInitialPrice,storeId,getProductList,modifyCreditAmount,true,creditAmount,false);
						})

						//分期产品事件
						goodsProductChange(chooseGoodsProductList,getGoodsPeriodSuccess,false);

						//期数绑定事件
						goodsStageNumChange(productPrice,planStagePrice,'',productId,getSuitePlanDetailSuccess,false);

						//分期账单
						//goodsSuitePlanDetailChangegoodsSuitePlanDetailChange(goodPaymentDetail,planPayFirstPrice,productName,goodsSuiteTotalAmount,goodsSuiteStageNumber);
						$$('#goodsDetials').addClass('plan-detail');
						var goodPaymentDetailHtml='';
						goodPaymentDetail=params.stagePlanData.paymentDetail;
						//默认初始值
						goodsSuiteStageNumber = params.stagePlanData.instalPeriod;		//分期期数
						goodsSuiteTotalAmount = params.stagePlanData.totalAmount; //套餐总金额
						goodsSuiteStagePrice = detailCacheData.planStagePrice//params.stagePlanData.stagePrice; //分期金额
						goodsSuitePoundage = params.stagePlanData.handlingCharge;//手续费
						goodsSuiteServiceCharges  = params.stagePlanData.serviceCharge;//服务费
						goodsSuiteLeverPrice = params.stagePlanData.leverPrice;////设备杠杆费用
						discountAmt = params.stagePlanData.discountAmt;//贴息款
						orderPlanId = params.stagePlanData.orderPlanId;//套餐试算ID

						if (goodPaymentDetail){
								goodPaymentDetail.map(function(item,index){
									goodPaymentDetailHtml = goodPaymentDetailHtml +
										'<div class="model-list-item">'+
											'<div class="model-list-number model-list-content">第'+item.periodNo+'期</div>' +
											'<div class="model-list-pay model-list-content">'+item.payAmount+'元</div>' +
										'</div>'
								})
						}
						$$("#goodsDetials").off("click").on("click",function(){
							if(params.orderStatus.slice(0,1) == '5' || (params.orderStatus.slice(0,1) == '7' && params.orderStatus != '701')){
								return false;
							}
								f7.modal({
									title: '<span class="model-billing">分期账单<span>',
									afterText: '<div class="model-block-chooseGoods">'+
														'<div class="model-head">'+
															'<div class="adultEducationModalItem" style="width: 100%">' +
																'<span class="key">商品名称</span><span class="value" >' + productData.productName + '</span>' +
															'</div>' +
															'<div class="adultEducationModalItem">'+
																	'<span class="key">还款金额</span><span class="value">' + detailCacheData.planTotalAmount + '</span>'+
															'</div>' +
															'<div class="adultEducationModalItem">'+
																	'<span class="key">还款方式</span><span class="value">月还</span>'+
															'</div>' +
															'<div class="adultEducationModalItem">'+
																	'<span class="key">期数</span><span class="value">' + detailCacheData.planStageNumber + '期</span>'+
															'</div>' +
														'</div>' +
														'<div class="model-list-item item-title">'+
															'<div class="model-list-number model-list-content">期数</div>' +
															'<div class="model-list-pay model-list-content">每期还款</div>' +
														'</div>' +
														'<div class="model-list">'+
															goodPaymentDetailHtml +
														'</div>' +
													'</div>',
									buttons: [
										{
											text: '我知道了',
										}
									]
								});
								$(".model-block-chooseGoods .model-head")[0].addEventListener('touchmove', function (event) {
									event.preventDefault();
								}, false);
								$(".modal-button")[0].addEventListener('touchmove', function (event) {
									event.preventDefault();
								}, false);
								$(".modal-title")[0].addEventListener('touchmove', function (event) {
									event.preventDefault();
								}, false);
								$('.model-list-item')[0].addEventListener('touchmove', function (event) {
									event.stopPropagation();
								}, false);
								$('.model-list')[0].addEventListener('touchmove', function (event) {
									event.stopPropagation();
								}, false);
								$('.model-block-chooseGoods').parent().parent().css({
									position: 'absolute',
									top: '40%',
									left: '5%',
									display: 'block',
									width: '90%',
									margin: '-210px 5% 0 0',
									background: 'rgba(255,255,255,1)'
								});
								$('.model-block-chooseGoods').parent().find('.modal-title').css({
									'margin': '0 10px',
									'padding': '15px 0',
									'border-bottom': '1px dashed #e5e5e5',
									'font-size': '18px',
									'color': '#333',
									'font-weight': 'nomarl',
								});
								$('.model-block-chooseGoods .model-head').css({
									padding: '15px 25px',
									background: 'none',
									border: 'none',
									margin: 0
								});
								$('.model-block-chooseGoods').parent().css({
									padding:0,
									background: 'rgba(255,255,255,1)'
								});
								$(".model-billing").parent().css({
									padding:"20px"
								});
								$(".adultEducationModalItem").css({
									"text-align":"left",
									"margin-bottom":"5px",
									'font-size': '0'
								});
								$(".adultEducationModalItem .key").css({
									'display': 'inline-block',
									'width': '30%',
									'margin-right': '5%',
									'padding': '0',
									'font-size': '14px',
									'color': '#333',
								});
								$(".adultEducationModalItem .value").css({
									'display': 'inline-block',
									'width': '60%',
									'vertical-align': 'top',
									'font-size': '14px',
									'color': '#333'
								});
								$('.model-list').css({
									'margin-top': '0'
								});
								$('.model-list-item').css({
									'padding-left': '25px',
									'border-bottom': '1px solid #e5e5e5',
									'height': '35px',
									'line-height': '35px',
									'box-sizing':'border-box'
								});
								$('.model-list-content').css({
									'float': 'left'
								})
								$('.model-list-item.item-title').css({
									'height': '40px',
									'background': '#f5f5f5',
									'boder': 'none',
									'color': '#333',
									'border': '0px'
								});
								$('.model-list-number, .model-list-pay').css({
									'height': '35px',
									'line-height': '35px',
									'font-size': '14px',
									'color': '#333',
									'text-align': 'left'
								});
								$('.model-list-number').css({
									'margin-right': '5%',
									'width': '24%'
								});
								$('.model-list-pay').css({
									'width': '65%'
								});
								$('.model-list-item.item-title .model-list-number, .model-list-item.item-title .model-list-pay').css({
									'height': '40px',
									'line-height': '40px',
									'font-size': '14px',
									'color': '#333'
								});
							});


						//线下支付
						var planPayInitialPrice = detailCacheData.planPayInitialPrice;
						$$('#linedownPayment').val( planPayInitialPrice + '元');
						goodsSuitePayInitialPrice = planPayInitialPrice;
						
						//如果首单分期金额大于授信额度，重置分期产品，期数，分期明细
						/*if(orderCounts){//是首单
							if(Number(planStagePrice) > Number(creditAmount)){ 
								changeProductPriceOnOrder(productPrice,planStagePrice,planPayInitialPrice,storeId,getProductList,orderCounts);
							}
						}*/
						
						//分期金额默认值
//						if(orderCounts){//是首单
							if(Number(planStagePrice) > Number(creditAmount)){ //之前填写的分期金额> 授信额度， 有变化，显示
								$$('#familyDecorationOnlineCredit').attr('disabled',false).val(creditAmount); //分期金额
								modifyCreditAmount();
							}else{
								$$('#familyDecorationOnlineCredit').attr('disabled',false).val(planStagePrice); //分期金额
							}
//						}else{
//							$$('#familyDecorationOnlineCredit').attr('disabled',false).val(planStagePrice); //分期金额
//						}
					},
					errorCallback: function(err) {}
				});
			},
			errorCallback: function() {}
		});




	}

	function getProductList(data){

		var chooseGoodsProductList = data.map(function(item) {
			return {
				default: false,
				value: item.productId,
				view: item.productName,
				planList: item.planList,
				periodList: item.periodList
			}
		});

		chooseGoodsProductList.unshift({
			default: true,
			value: '',
			view: '请选择分期产品',
			planList: []
		});
		$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: chooseGoodsProductList}));
		$$('#goodsProduct').removeAttr('disabled');

		// locatiionChooseGoodsListData.chooseGoodsProductList = chooseGoodsProductList; // 分期产品存储本地

		$$('#goodsProduct').off('change.familyDecorationOnlineChooseGoods').on('change.familyDecorationOnlineChooseGoods', function(e) {

			if (e.target.children[0].selected) {
				f7.alert('请选择分期产品');
				resetGoodsStageNum();
				resetFirstPayment();
				resetEachPayment();
				// resetProtocolName();
				// resetProtocolTime();
			} else {

				for (var i = 0; i < e.target.children.length; i++) {
					if (e.target.children[i].selected === true) {

						// 根据所选产品的planId是否为空来判断是否显示套餐名称
						if (!chooseGoodsProductList[i].planList || chooseGoodsProductList[i].planList[0].planId === '') {
							goodsPlanStatus = false;
						} else {
							goodsPlanStatus = true;
						}

						goodsProductId = chooseGoodsProductList[i].value;	// 分期产品id
						goodsProductName = chooseGoodsProductList[i].view;	// 分期产品名称

						if (goodsPlanStatus === true) {
							$('#goodsSuite').parent().removeClass('hide');
							getGoodsPlanSuccess(chooseGoodsProductList[i].planList);
						} else if (goodsPlanStatus === false) {

							goodsPlanId = '';
							goodsPlanName = '';
							$('#goodsSuite').parent().addClass('hide');
							getGoodsPeriodSuccess(chooseGoodsProductList[i].periodList);
						}
					}
				}
				resetFirstPayment();
				resetEachPayment();
				
				// resetProtocolName();
				// resetProtocolTime();
			}
		});
	}
	
	//修改分期金额后
	function modifyCreditAmount(){
		//重置线下支付
		var offlinePay = parseInt($$('#goodsSellPrice').val()) - parseInt($$('#familyDecorationOnlineCredit').val());
		$$('#linedownPayment').val(offlinePay + '元');
		
		//重置分期账单
		var goodsPeriodKey = $$('#goodsStageNum').val();
		
		creditPrice = $$("#familyDecorationOnlineCredit").val();
		callAppApi({
			url: '/module/suite/suitePlanDetail',
			apiVersion: '2.0',
			type: 'POST',
			params: {
				userId: loginStatus.userId,
				orderProductPrice: $$('#goodsSellPrice').val(),
				stagePlanAmt: creditPrice,
				periodKey: goodsPeriodKey,
				planId: '',
				goodsSellId:productData.productId,
				baseBusinessType: '004003'
			},
			successCallback: getSuitePlanDetailSuccess,
			errorCallback: function(err) {}
		});
		
		if(!isShowinfoTip){
			$$('.adult-goods-info-tips').removeClass('hide');
			isShowinfoTip = true;
			localStorage.setItem('showinfoTip_' + loginStatus.userId, JSON.stringify(isShowinfoTip));
		}
		
		resetFirstPayment();
		resetEachPayment();
	}

	// 获取分期期数成功
	function getGoodsPeriodSuccess(data,id,name) {
		goodsProductId = id;
		goodsProductName = name;
		var chooseGoodsPeriodList = data.map(function(item) {
			return {
				default: false,
				value: item.periodKey,
				view: item.period
			};
		});

		chooseGoodsPeriodList.unshift({
			default: true,
			value: '',
			view: '请选择期数'
		})
		
		if(chooseGoodsPeriodList.length == '2'){
			chooseGoodsPeriodList[0].default = false;
			chooseGoodsPeriodList[1].default = true;
			
			goodsPeriodKey = chooseGoodsPeriodList[1].value;
			goodsPeriod = chooseGoodsPeriodList[1].view;
			
			creditPrice = $$("#familyDecorationOnlineCredit").val();
			callAppApi({
				url: '/module/suite/suitePlanDetail',
				apiVersion: '2.0',
				type: 'POST',
				params: {
					userId: loginStatus.userId,
					orderProductPrice: $$('#goodsSellPrice').val(),
					stagePlanAmt: creditPrice,
					periodKey: goodsPeriodKey,
					planId: goodsPlanId,
					goodsSellId:productData.productId,
					baseBusinessType: '004003'
				},
				successCallback: getSuitePlanDetailSuccess,
				errorCallback: function(err) {}
			});
		}else{
			chooseGoodsPeriodList[0].default = false;
		}
		
		$$('#goodsStageNum').html(chooseGoodsItemTemplate({optionsList: chooseGoodsPeriodList}));
		$$('#goodsStageNum').removeAttr('disabled');

		// locatiionChooseGoodsListData.chooseGoodsPeriodList = chooseGoodsPeriodList;

		$$('#goodsStageNum').off('change.familyDecorationOnlineChooseGoods').on('change.familyDecorationOnlineChooseGoods', function(e) {

			if (e.target.children[0].selected) {
				f7.alert('请选择期数');
				resetFirstPayment();
				resetEachPayment();
				// resetProtocolName();
				// resetProtocolNum();
				// resetProtocolTime();
				$$('#linedownPayment').attr('disabled',true);
			} else {
				for (var i = 0; i < e.target.children.length; i++) {
					if (e.target.children[i].selected === true) {
						goodsPeriodKey = e.target.children[i].value;
						goodsPeriod = parseInt(e.target.children[i].innerHTML).toString();
					}
				}
				creditPrice = $$("#familyDecorationOnlineCredit").val();
				callAppApi({
					url: '/module/suite/suitePlanDetail',
					apiVersion: '2.0',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						orderProductPrice: $$('#goodsSellPrice').val(),
						stagePlanAmt: creditPrice,
						periodKey: goodsPeriodKey,
						planId: goodsPlanId,
						goodsSellId:productData.productId,
						baseBusinessType: '004003'
					},
					successCallback: getSuitePlanDetailSuccess,
					errorCallback: function(err) {}
				});
			}
		});
	}

	// 获取详细分期计划成功回调
	function getSuitePlanDetailSuccess(data,key,value) {
		goodsPeriodKey = key;
		goodsPeriod = value;
		$$('#protocolName').removeAttr('disabled');
		$$('#protocolTime').removeAttr('disabled');
		$$('#goodsDetials').addClass('plan-detail');
		$$('#goodsDetials').removeAttr('disabled');
		
		//提示话术显示
		if(!isShowinfoTip){
			$$('.adult-goods-info-tips').removeClass('hide');
			isShowinfoTip = true;
			localStorage.setItem('showinfoTip_' + loginStatus.userId, JSON.stringify(isShowinfoTip));
		}
		
		//课程协议名称数据处理
		/*if(!contractTitle){
			contractTitle = contractTitle;
		}
		if(contractTitle){
			var contractTitleList = contractTitle.split('|');
		}else{
			var contractTitleList = [];
		}
		var contractTitleTempList = contractTitleList.map(function(item) {
			return {
				default: false,
				value: item,
				view: item
			};
		});

		contractTitleTempList.unshift({
			default: true,
			value: '',
			view: '请选择合同名称'
		})
		$$('#protocolName').html(chooseGoodsItemTemplate({optionsList: contractTitleTempList}));
		$$('#protocolName').removeAttr('disabled');
		if(contractTitleList.length == 1){
			$$('#protocolName').val(contractTitleList[0]);
		}*/

		// locatiionChooseGoodsListData.contractTitleTempList = contractTitleTempList;
		// if(data==undefined){
		// 	data = locatiionChooseGoodsListData.suitePlanDetailData;
		// } else {
		// 	locatiionChooseGoodsListData.suitePlanDetailData = data;
		// }
		courseName = productData.productName;
		orderPlanId=data.orderPlanId;
		goodsSuiteTotalAmount = data.totalAmount;		//租金总额
		interestRental=data.interestRental;				//利息期每期租金
		principalRental=data.principalRental;			//本金期每期租金
		interestTimes=data.interestTimes				//利息期数
		principalTimes=data.principalTimes				//本金期数
		goodsSuitePayFirstPrice=data.downPayment;		//首付金额
		goodsSuiteStagePrice=data.stagePrice;			//每期金额
		goodsSuitePoundage=data.handlingCharge;			//手续费
		goodsSuiteServiceCharges=data.serviceCharge;	//服务费
		goodsSuiteLeverPrice=data.leverPrice;			//设备杠杆费用
		goodsSuitePayInitialPrice=data.selfPayAmount;	//自付金额
		goodsSuiteStageNumber=data.instalPeriod;		//分期期数

		discountAmt = data.discountAmt; //贴息款


		goodPaymentDetail=data.paymentDetail;
		// locatiionChooseGoodsListData.goodPaymentDetail = goodPaymentDetail;
		var goodPaymentDetailHtml='';
		if (goodPaymentDetail){
			goodPaymentDetail.map(function(item,index){
				goodPaymentDetailHtml = goodPaymentDetailHtml +
					'<div class="model-list-item">'+
						'<div class="model-list-number model-list-content">第'+item.periodNo+'期</div>' +
						'<div class="model-list-pay model-list-content">'+item.payAmount+'元</div>' +
					'</div>'
			})
		}

		// 设置期初支付，期初支付不为0时显示
		$$('#firstPayment').val(data.downPayment + '元');
		if (parseInt(data.downPayment) > 0) {
			$$('#firstPayment').parent().removeClass('firstpayment-hidden');
			$$('#firstPayment').parent().addClass('firstpayment-show');
			/*$$('#lineDownText').removeClass('line-down-text-init');
			$$('#goodsDetials').removeClass('goods-detials-init');*/
		}else{
			$$('#firstPayment').parent().addClass('firstpayment-hidden');
			$$('#firstPayment').parent().removeClass('firstpayment-show');
		}
	
		$$("#goodsDetials").off("click").on("click",function(){
			f7.modal({
				title: '分期账单',
				afterText: '<div class="model-block-chooseGoods">'+
									'<div class="model-head">'+
										'<div class="chooseGoodsModalItem" style="width: 100%">' +
											'<span class="key">商品名称</span><span class="value">' + courseName + '</span>' +
										'</div>' +
										'<div class="chooseGoodsModalItem">'+
											'<span class="key">还款金额</span><span class="value">' + goodsSuiteTotalAmount + '</span>'+
										'</div>' +
										'<div class="chooseGoodsModalItem">'+
											'<span class="key">还款方式</span><span class="value">月还</span>'+
										'</div>' +
										'<div class="chooseGoodsModalItem">'+
												'<span class="key">期数</span><span class="value">' + goodsSuiteStageNumber + '期</span>'+
										'</div>' +
									'</div>' +
									'<div class="model-list-item item-title">'+
										'<div class="model-list-number model-list-content">期数</div>' +
										'<div class="model-list-pay model-list-content">每期还款</div>' +
									'</div>' +
									'<div class="model-list">'+
										goodPaymentDetailHtml +
									'</div>' +
									'</div>',
				buttons: [
					{
						text: '确认',
						onClick: function(){}
					}
				]
			});
			$(".model-block-chooseGoods .model-head")[0].addEventListener('touchmove', function (event) {
				event.preventDefault();
			}, false);
			$(".modal-button")[0].addEventListener('touchmove', function (event) {
				event.preventDefault();
			}, false);
			$(".modal-title")[0].addEventListener('touchmove', function (event) {
				event.preventDefault();
			}, false);
			$('.model-list-item')[0].addEventListener('touchmove', function (event) {
				event.stopPropagation();
			}, false);
			$('.model-list')[0].addEventListener('touchmove', function (event) {
				event.stopPropagation();
			}, false);
			$('.model-block-chooseGoods').parent().parent().css({
				position: 'absolute',
				top: '40%',
				left: '5%',
				display: 'block',
				width: '90%',
				margin: '-210px 5% 0 0',
				background: 'rgba(255,255,255,1)'
			});
			$('.model-block-chooseGoods').parent().find('.modal-title').css({
				'margin': '0 10px',
				'padding': '15px 0',
				'border-bottom': '1px dashed #e5e5e5',
				'font-size': '18px',
				'color': '#333',
				'font-weight': 'nomarl',
			});
			$('.model-block-chooseGoods .model-head').css({
				padding: '15px 25px',
				background: 'none',
				border: 'none'
			});
			$('.model-block-chooseGoods').parent().css({
				padding:0,
				background: 'rgba(255,255,255,1)'
			});
			$(".model-billing").parent().css({
				padding:"20px"
			});
			$(".chooseGoodsModalItem").css({
				"text-align":"left",
				"margin-bottom":"5px",
				'font-size': '0'
			});
			$(".chooseGoodsModalItem .key").css({
				'display': 'inline-block',
				'width': '30%',
				'margin-right': '5%',
				'font-size': '14px',
				'color': '#333'
			});
			$(".chooseGoodsModalItem .value").css({
				'display': 'inline-block',
				'width': '60%',
				'vertical-align': 'top',
				'font-size': '14px',
				'color': '#333'
			});
			$('.model-list').css({
				'margin-top': '0'
			});
			$('.model-list-item').css({
				'padding-left': '25px',
				'border-bottom': '1px solid #e5e5e5',
				'height': '35px',
				'line-height': '35px',
				'box-sizing':'border-box'
			});
			$('.model-list-content').css({
				'float': 'left'
			})
			$('.model-list-item.item-title').css({
				'height': '40px',
				'background': '#f5f5f5',
				'boder': 'none',
				'color': '#333',
				'border': '0px'
			});
			$('.model-list-number, .model-list-pay').css({
				'height': '35px',
				'line-height': '35px',
				'font-size': '14px',
				'color': '#333',
				'text-align': 'left'
			});
			$('.model-list-number').css({
				'margin-right': '5%',
				'width': '24%'
			});
			$('.model-list-pay').css({
				'width': '65%'
			});
			$('.model-list-item.item-title .model-list-number, .model-list-item.item-title .model-list-pay').css({
				'height': '40px',
				'line-height': '40px',
				'font-size': '14px',
				'color': '#333'
			});
		});
	}

	//套餐验证,参数
	function validateSuiteParamsFn(){
		if ($$('#goodsSellPrice').val()==='' || $$('#goodsSellPriceEdit').hasClass('header-item-goodsPrice-complete')) {
			f7.alert('请输入装修总金额');
			return false;
		}
		if ($$('#familyDecorationOnlineCredit').val()==='') {
			f7.alert('请输入分期金额');
			return false;
		}
		if (validator.isNull($$('#goodsProduct').val())) {
			f7.alert('请选择分期产品');
			return false;
		}
		if ($$('#goodsStageNum').val()==='') {
			f7.alert('请选择期数');
			return false;
		}
		if ($$('#protocolName').val()==='') {
			f7.alert('请选择合同名称');
			return false;
		}
		if ($$('#protocolTime').val()===''||$$('#protocolTime').val()==='请选择时间') {
			f7.alert('请选择合同签订时间');
			return false;
		}

		goodsSuiteStagePrice = $$('#familyDecorationOnlineCredit').val();

		var baseParams = {
			userId: loginStatus.userId,
			orderId: params.orderId,
			planId: goodsPlanId?goodsPlanId:'#',//套餐ID
			planName: goodsPlanName?goodsPlanName:'#', //套餐名称
					
//			planPeriodKey: goodsPeriodKey?goodsPeriodKey:'#',//方案ID
			planPeriodKey: $$('#goodsStageNum').val()?$$('#goodsStageNum').val():'',//方案ID
					
//			planPeriod: goodsPeriod?goodsPeriod:'#', //方案内容
			planPeriod: $$('#goodsStageNum :selected').text() === '请选择期数'?'':$$('#goodsStageNum :selected').text(), //方案内容
					
//			planProductId: goodsProductId?goodsProductId:'#', //售品ID
			planProductId: $$('#goodsProduct').val()?$('#goodsProduct').val():'',//售品ID
					
//			planProductName: goodsProductName?goodsProductName:'#',//产品名称
			planProductName: $$('#goodsProduct :selected').text() === '请选择分期产品'?'':$$('#goodsProduct :selected').text(),//产品名称

			planPayFirstPrice: goodsSuitePayFirstPrice, //期初支付
			planPayInitialPrice : goodsSuitePayInitialPrice, //自付金额
			planStageNumber : goodsSuiteStageNumber,//分期期数
			planTotalAmount : goodsSuiteTotalAmount, //套餐总金额
			planStagePrice : goodsSuiteStagePrice, //每期金额? 这里有问题，应该是表单输入的期望分期金额
			planPoundage: goodsSuitePoundage, //手续费
			planServiceCharges : goodsSuiteServiceCharges, //服务费
			planLeverPrice : goodsSuiteLeverPrice, //设备杠杆费用
			planDiscountAmount : discountAmt, //贴息款
			planTrialId : orderPlanId,//套餐试算ID
			productId: params.orderDetailData.productDataList[0].productId,//产品ID
			contractName: $$('#protocolName').val(),//合同名称
			contractSignTime: $$('#protocolTime').val(),//合同签订时间
			decorationTotalPrice:$$('#goodsSellPrice').val()
		}

		return baseParams;

	}
	//------------我是分期编辑分割线 E-------------------//



	//订单编号
	var orderStatusPrompt='';
	if(params.orderDetailData.orderStatus==='821'&& params.returnGoodsAgreeTime!==undefined){
			if(params.returnGoodsAgreeTime!==''){
				var orderCancelTime1=params.returnGoodsAgreeTime.split(' ')[0]
		 		var orderCancelTime2=params.returnGoodsAgreeTime.split(' ')[1]
		 		var orderCancelTimeYear=orderCancelTime1.split('-')[0];
		 		var orderCancelTimeMonth= orderCancelTime1.split('-')[1];
		 		var orderCancelTimeDay=orderCancelTime1.split('-')[2];
		 		var orderCancelTimeHour=orderCancelTime2.split(':')[0];
		 		var orderCancelTimeMinute=orderCancelTime2.split(':')[1];
		 		var ReturnGoodsTimes=orderCancelTimeYear+'年'+orderCancelTimeMonth+'月'+orderCancelTimeDay+'日'+orderCancelTimeHour+'时'+orderCancelTimeMinute+'分'
		 		var ReturnGoodsTimesText='取消时间:'+ ReturnGoodsTimes + '<br>您提交的“取消分期”申请已通过审核，请您在24小时内至我的账单页进行款项结清，超时未结清将导致本次申请失效。结清账单后请联系办理店员进行线下手续办理。';
		 		orderStatusPrompt=ReturnGoodsTimesText;
			}
		}else{
			orderStatusPrompt=detailCacheData.hintMessage;
		}
//1.5.7.0 需求去除待付款提示话术
	if(params.orderDetailData.orderStatus == '20'){
		orderStatusPrompt = '';
	}
	
	var creditAmount = parseInt(params.auditInfoRes.serviceRespData.creditAmount);
	var floatPoint = fmoney(params.auditInfoRes.serviceRespData.creditAmount, 2).slice(-2);

	$('#orderDetailStatusArea').html(orderStatusTemplate({
		orderId: params.orderId,
		orderStatus:params.orderDetailData.orderStatus,
		orderStatusView: familyDecorationOnlineGetOrderView(params.orderDetailData.orderStatus),
		orderStatusPrompt: orderStatusPrompt,//拒绝退款原因展示
		baseBusinessType:params.baseBusinessType,
		creditAmount: creditAmount,//授信额度
		floatPoint: floatPoint//小数
	}));

	//渲染资料上传页面材料图片
	if(params.auditInfoRes && params.orderStatus && params.auditInfoRes.creditStatus == '6'){
		if(params.orderStatus =="15" && params.auditInfoRes.auditInfoStatus == '501'){
			if(params.baseBusinessType ==="004003"){
				$('#orderDetailEvidence').html(orderFamilyDecorationOnlineTemplate({
					picList: picDataArr
				}));
				activeReloadInfoButtonOne();
			}
		}
	}
	
	var isNotChecked = true;
	var orderDetailFamilyStatus = localStorage.getItem('orderDetailFamilyDecorationOnline' + '-' + params.orderId);
	
	if(orderDetailFamilyStatus){
		isNotChecked = false;
	}else{
		isNotChecked = true;
	}
	
	if(params.baseBusinessType ==="004003" && params.orderStatus =="20"){
		$$('#adultOrderProtocol').html(protocolAreaTemplate({
			isNotChecked: isNotChecked,
        	protocolItem1: {
        		id: 'adultorderProtocolBtn',
        		title: '《应收账款转让确认及保理费承担协议》',
        	}
        }));


	}
	// 资料上传倒计时
	if (mainView.activePage.name === 'orderDetail' && params.orderDetailData.statusChangeTime && params.orderStatus === '15') {
    	var orderChangeTime = Date.parse(params.orderDetailData.statusChangeTime.slice(0, 19).replace(/-/g, '/'));
    	var orderNowTime = Date.now();
    	if(params.orderStatus === '15'){
    		var timeLimit = 15 * 24 *60 * 60 * 1000;
    	}

    	var timeDiff = orderNowTime - orderChangeTime;
		var upderUrl = ''//订单更新地址
		var upderParams = {};//订单更新需要传输参数
		if(params.baseBusinessType==="004003") {
			upderUrl='/app/order/update',
			upderParams.orderId= params.orderId,
			upderParams.userId= loginStatus.userId,
			upderParams.orderStatus='52',
			upderParams.baseBusinessType = params.baseBusinessType
		}
		if (timeDiff <= timeLimit) {
			var countDownTime = Math.floor(timeLimit / 1000 - timeDiff / 1000);

			clearInterval(intervalOrderDetail);

			if(params.orderStatus === '15'){
				$(".adultOrder-check-status-item").css("font-size","14px")
			}
			intervalOrderDetail = setInterval(function() {
				countDownTime -= 1;

				if (countDownTime > 0) {
					if(params.orderStatus === '15'){
						var day = Math.floor(countDownTime / 60 / 60 /24)< 1 ? '0' : Math.floor(countDownTime / 60 / 60 /24);
						var hour= Math.floor((countDownTime- day * 24 * 60 * 60)/ 60 / 60) < 10 ?
								'0'+ Math.floor((countDownTime-day * 24 * 60 * 60)/ 60 / 60):Math.floor((countDownTime-day * 24 * 60 * 60)/ 60 / 60);
        				var min = Math.floor((countDownTime - day * 24 * 60 * 60 - hour * 60 * 60)/ 60) < 10 ?
        						'0' + Math.floor((countDownTime - day * 24 * 60 * 60 - hour * 60 * 60) / 60) : Math.floor((countDownTime - day * 24 * 60 * 60 - hour * 60 * 60) / 60);
        				var sec = Math.floor(countDownTime - day * 24 * 60 * 60 - hour * 60 * 60 - min * 60) < 10 ?
        						'0' + Math.floor(countDownTime - day * 24 * 60 * 60 - hour * 60 * 60 - min * 60) : Math.floor(countDownTime - day * 24 * 60 * 60 - hour * 60 * 60 - min * 60);
						var firstDay = Math.floor(day/10);
						var secDay = day % 10;
        				var firstHour = Math.floor(hour/10);
						var secondHour = hour % 10;
        				var firstMin = Math.floor(min/10);
        				var secondMin = min % 10;
        				var firstSec = Math.floor(sec/10);
        				var secondSec = sec % 10;
//        				var countDownStr = day+"天"+hour+":" + min + ':' + sec;
						var countDownStr ="<span>"+firstDay+"</span>"+"<span>"+secDay+"</span>"+"<span>天</span>"+"<span>"+firstHour+"</span>"+"<span>"+secondHour+"</span>"+" :"+"<span>"+firstMin+"</span>"+"<span>"+secondMin+"</span>"+" :"
						+"<span>"+firstSec+"</span>"+"<span>"+secondSec+"</span>";
					}
    				$('#orderDetailTime').html(countDownStr);
				} else {
					clearInterval(intervalOrderDetail);
					if (params.baseBusinessType==="004003") {
					    callAppApi({
	                        url:upderUrl,
	                        apiVersion: '2.0',
	                        type: 'POST',
	                        params: upderParams,
	                        successCallback: function(response) {
	                            f7.alertMessage('订单已超时取消，请重新下单');
	                            localStorage.removeItem('familyDecorationOnlineOrderId_' + loginStatus.userId);
	                            localStorage.removeItem('showinfoTip_' + loginStatus.userId);
	                            var timeCancle = setTimeout(function() {
	                                mainView.loadPage('order.html');
	                            }, 3000);

	                        },
	                        errorCallback: function(err) {}
	                    });
					} else {
					    callAppApi({
	                        url:upderUrl,
	                        type: 'POST',
	                        params: upderParams,
	                        successCallback: function(response) {
	                            f7.alertMessage('订单已超时取消，请重新下单');
	                            localStorage.removeItem('familyDecorationOnlineOrderId_' + loginStatus.userId);
	                            localStorage.removeItem('showinfoTip_' + loginStatus.userId);
	                            var timeCancle = setTimeout(function() {
	                                mainView.loadPage('order.html');
	                            }, 3000);

	                        },
	                        errorCallback: function(err) {}
	                    });
					}

				}
			}, 1000);

		} else {
			clearInterval(intervalOrderDetail);
			if (params.baseBusinessType==="004003") {
			    callAppApi({
                    url:upderUrl,
                    apiVersion: '2.0',
                    type: 'POST',
                    params:upderParams,
                    successCallback: function(response) {
                        f7.alertMessage('订单已超时取消，请重新下单');
                        localStorage.removeItem('familyDecorationOnlineOrderId_' + loginStatus.userId);
                        localStorage.removeItem('showinfoTip_' + loginStatus.userId);
                        var timeCancle = setTimeout(function() {
                            mainView.loadPage('order.html');
                        }, 3000);

                    },
                    errorCallback: function(err) {}
                });
			} else {
			    callAppApi({
	                url:upderUrl,
	                type: 'POST',
	                params:upderParams,
	                successCallback: function(response) {
	                    f7.alertMessage('订单已超时取消，请重新下单');
	                    localStorage.removeItem('familyDecorationOnlineOrderId_' + loginStatus.userId);
	                    localStorage.removeItem('showinfoTip_' + loginStatus.userId);
	                    var timeCancle = setTimeout(function() {
	                        mainView.loadPage('order.html');
	                    }, 3000);

	                },
	                errorCallback: function(err) {}
	            });
			}
		}
	}
	//1.5.7.0需求去除待付款倒计时
//	if(params.orderStatus =="20"){
//		callAppApi({
//			url: '/api/checkOrderTimeOut',
//			type: 'POST',
//			apiVersion: '2.0',
//			params: {
//				baseBusinessType: '004003',
//				orderId: params.orderId,
//				userId: loginStatus.userId,
//				orderTimeOutType: '1'
//			},
//			successCallback: function(response) {
//				var countDownTime = response.timeOutValue//获取到倒计时时间
//				if(response.checkResult === false && countDownTime > 0){//未超时
//		           orderConfirmPayTimeAgain = setInterval(function() {
//		        	   	countDownTime--;
//		            	 var payTimeAgain = formatSecondsTime(countDownTime, 'sec');
//		            	 var minutesAgain = payTimeAgain.minutes;
//		            	 var secondsAgain = payTimeAgain.seconds;
//
//	        				var firstMin = Math.floor(minutesAgain/10);
//	        				var secondMin = minutesAgain % 10;
//	        				var firstSec = Math.floor(secondsAgain/10);
//	        				var secondSec = secondsAgain % 10;
//	        				var countDownStr ="剩余时间"+"<span>0</span>"+"<span>0</span>"+" :"+"<span>"+firstMin+"</span>"+"<span>"+secondMin+"</span>"+" :"
//	        									+"<span>"+firstSec+"</span>"+"<span>"+secondSec+"</span>";
//	        				$('#orderDetailTime').html(countDownStr);
//
//		            	 if(minutesAgain === '00' && secondsAgain === '00'){
//	            		 	clearInterval(orderConfirmPayTimeAgain);
//	            		 	// 支付超时
//	    					f7.alertMessage('很抱歉，您的订单操作超时已被取消，感谢关注');
//	    					var timeCancle = setTimeout(function() {
//	    						callAppApi({
//	    							url: '/api/checkOrderTimeOut',
//	    							type: 'POST',
//	    							apiVersion: '2.0',
//	    							params: {
//	    								baseBusinessType: '004003',
//	    								orderId: params.orderId,
//	    								userId: loginStatus.userId,
//	    								orderTimeOutType: '1'
//	    							},
//	    							successCallback: function(response) {
//	    								localStorage.removeItem('familyDecorationOnlineOrderId_' + loginStatus.userId);
//	    								mainView.loadPage('order.html');
//	    							},
//	    							errorCallback: function(err) {}
//	    						});
//							}, 3000);
//		            	 }
//		            }, 1000)
//				} else {//后台返回超时
//					// 支付超时
//					f7.alertMessage('很抱歉，您的订单操作超时已被取消，感谢关注');
//					localStorage.removeItem('familyDecorationOnlineOrderId_' + loginStatus.userId);
//					var timeCancle = setTimeout(function() {
//						mainView.loadPage('order.html');
//					}, 3000);
//				}
//			},
//			errorCallback: function(err) {}
//		});
//	}

	picDataArr.map(function(item, index){
		if(item.picType == '1'){
			item.picDataArray.map(function(items, indexs){
//				var id = 'picArr' + item.picType + items.picSubType;
				var picType = item.picType;
				var picSubType = items.picSubType;
				defaultHide(items.picSubDataArray, picType, picSubType);
			})
		}else{
//			var id = 'picArr' + item.picType;
			var picType = item.picType;
			var picSubType = '';
			var picTypeArr = [];
			item.picDataArray.map(function(items, indexs){
				items.picSubDataArray.map(function(itemss, indexss){
					picTypeArr.push(itemss);
				})
			})
			defaultHide(picTypeArr, picType, picSubType);
		}
	})
	//默认隐藏方法
	function defaultHide(arr,picType,picSubType){
		if(arr.length > 0 && picType == '5'){
			otherEvidenceShow = arr.every(function(item, index) {
				if(item.checkResult == '0' || item.checkResult == ''){
					return false;
				}else{
					return true;
				}
			});
		}
	}
	if(otherEvidenceShow){
		addPicDataArr = [{
            "picType": "5",
            "picName":"其他证明材料",
            "picDataArray": []
       }]
	}else{
		addPicDataArr = []
	}

	//数据合并
	if(picDataArr.length>0 && addPicDataArr.length>0){
		for(var i = 0;i < picDataArr.length;i++){
			if(picDataArr[i].picType == '5'){
				addPicDataArr[0].picDataArray = picDataArr[i].picDataArray;
			}
		}
	}

	//获取图片列表
	var picDataList = $$('.upload-evidence-family-wrap-list');

	//创建图片列表实例
	var picEvidenceList = picDataList.map(function(index, item){
		var evidenceType = $$(item).data('key');
		var picType = $$(item).data('type');
		//无暇回退隐藏
		if($$(item).find('.failure').length == 0 && $$(item).find('.upload-evidence-item-new').length == 0){
			$$(item).hide();
			$$(item).prev().hide();
		}
		return new UploadEvidence(evidenceType,[],{
			addSelector: "add" + evidenceType + "Btn",
			operateSelector: "edit" + evidenceType + "Btn",
			updateSelector: 'uploadEvidenceFamilyList' + evidenceType,
			uploadEvidenceList: $$('#uploadEvidenceFamilyList' + evidenceType),
			limitNum: '50',
			infoData: params.auditInfoRes.infoData,
			baseBusinessType: '004003',
			picType: picType,
//			isNew: '.upload-evidence-item-new',
			activeReloadBtn: activeReloadInfoButtonOne
		})
	})

	//渲染补充图片
	if(params.auditInfoRes && params.orderStatus && params.auditInfoRes.creditStatus == '6'){
		if(params.orderStatus =="15" && params.auditInfoRes.auditInfoStatus == '501'){
			if(params.baseBusinessType ==="004003"){
				$('#orderDetailEvidenceAdd').html(orderFamilyDecorationOnlineAddTemplate({
					picAddList: addPicDataArr
				}));
			}
		}
	}

	//获取添加列表
	var picMainList = $$('.upload-evidence-add-wrap-list');

	//创建添加列表实例
	evidenceMainList = picMainList.map(function(index, item){
		var evidenceType = $$(item).data('key');
		var picType = $$(item).data('type');
		return new UploadEvidence(evidenceType, [], {
			addSelector: "addPic" + evidenceType + "Btn",
			operateSelector: "editPic" + evidenceType + "Btn",
			uploadEvidenceList: $$('#uploadEvidenceAddList' + evidenceType),
			limitNum: '50',
			infoData: params.auditInfoRes.infoData,
			baseBusinessType: '004003',
			isNew: '.upload-evidence-item-new',
			picType: picType
		})
	})

	//解锁提交审核
	function activeReloadInfoButtonOne() {
//		var delDisabled = true;
//		$('.upload-evidence-family-list').each(function(i,v){
//			if($(v).css('display') != 'none'){
//				if($(v).find('img').length == 0){
//					delDisabled = false;
//				}
//			}
//		})
//		if(delDisabled == false){
//			$("#orderDetailAuditBtn").attr("disabled");
//			$("#orderDetailAuditBtn").addClass("false");
//		}
		if($(".evidence-item-boxOne .failure").length==0 && $(".evidence-item-boxOne .editFailure").length == 0){
			$("#orderDetailAuditBtn").removeAttr("disabled");
			$("#orderDetailAuditBtn").removeClass("false");
		}

	}
	// 重新提交审核按钮点击事件
	$('#orderDetailAuditBtn').on('click', function() {
		var updateUrl = '';
		var updateParams = {};
		if (params.baseBusinessType == '004003') {
			updateUrl = '/app/credit/audit/infoBackSubmit';
		}
		callAppApi({
			url: updateUrl,
			type: 'POST',
			apiVersion: '2.0',
			params: {
				userId: loginStatus.userId,
				baseBusinessType:"004003",
				auditInfoId: params.auditInfoRes.infoData.auditInfoId
			},
			successCallback: function(response) {
				f7.pullToRefreshTrigger($('#orderDetailRefresh'));
				clearInterval(intervalOrderDetail);
				clearInterval(orderConfirmPayTimeAgain);
				 mainView.router.load({
					  url: 'order.html',
					  animatePages: false
				  });
			},
			errorCallback: function(err) {}
		});
	});

	// 继续下单
	if(params.orderStatus=="20"){

		// 家装线上跳转确认下单页面
		$('#orderConfirmBtn').on('click', function() {
			//先更新套餐编辑
			var editStatus = validateSuiteParamsFn();
			if(editStatus){//编辑验证
				callAppApi({
					url: '/app/order/update/plan',
					apiVersion: '2.0',
					type: 'POST',
					params: editStatus,
					successCallback: function(response) {
						preceedOrder();
					},
					errorCallback: function(err) {}
				});
			}

		});

	}else{
		$('#orderPreceedBtn').removeAttr("disabled").removeClass("false");

		$('#orderPreceedBtn').on('click', function() {
			infoQueryRouter('004003', {
				query:{
					fromPage: 'familyDecorationOnlineOrderDetail'
				}
			}, loadFamilyDecorationOnlinePage);
		})

	}

	var preceedOrder = function(){

	    var creditAvailableAmount = params.auditInfoRes.serviceRespData.creditAvailableAmount;
	    var minValue = parseInt(creditAvailableAmount) < parseInt($$('#goodsSellPrice').val()) ? parseInt(creditAvailableAmount) : parseInt($$('#goodsSellPrice').val());

	    if (!$('#adultOrderProtocol input')[0].checked) { f7.alert('请阅读并同意协议'); return false; }

//	    if (parseInt(detailCacheData.planStagePrice) > minValue) { f7.alert('分期金额需在可用额度范围内'); return false; }
	    if (parseInt($$("#familyDecorationOnlineCredit").val()) > minValue) {
	    	if (parseInt($$('#goodsSellPrice').val()) < parseInt(creditAvailableAmount)) { f7.alert('分期金额需在商品价格范围内'); return false; }
			if (parseInt($$('#goodsSellPrice').val()) >= parseInt(creditAvailableAmount)) { f7.alert('分期金额需在可用额度范围内'); return false; }
	    }
		
	    localStorage.setItem('orderDetailFamilyDecorationOnline' + '-' + params.orderId,true);
		
	    callAppApi({
			  url: '/app/bankBatchCard',
			  type: 'POST',
			  params: {
				  userId: loginStatus.userId
			  },
			  successCallback: function(batchCardData) {
				  if (batchCardData === null || isOwnEmpty(batchCardData) || batchCardData === '' || typeof batchCardData === 'undefined') {
		                f7.alert('您还未进行银行卡绑定，请先绑卡');
		                mainView.router.load({
							url: 'bindBankcard.html',
							query: {
								fromPage: 'familyDecorationOnlineOrderDetail',
								baseBusinessType: '004003',
								orderId:params.orderId
							}
						});
		                return false;
		            }else{
		            	var setPasswordObj;
		    			alertPassword();
		    			function alertPassword(){

		    				orderDetailInputPwdStatus = false;

		    				var inputStyle = '';
		    				if (getDeviceType() == 'IOS') {
		    					inputStyle = 'style="font-size: 0 !important;"';
		    				}

		    				//弹框输入交易密码
		    				f7.modal({
		    					title: '<div id="setPwdTitle" class="setPwdTitle">请输入交易密码</div>',
		    					text: '<div class="setPassword-type">'+
		    							'<div class="wrap">'+
		    								'<div class="inputBoxContainer" id="adultEducationOrderDetailContainer">'+
		    									'<input type="number" class="realInput"' + inputStyle + '/>'+
		    									'<div class="bogusInput">'+
		    										'<input type="password" maxlength="6" disabled/>'+
		    										'<input type="password" maxlength="6" disabled/>'+
		    										'<input type="password" maxlength="6" disabled/>'+
		    										'<input type="password" maxlength="6" disabled/>'+
		    										'<input type="password" maxlength="6" disabled/>'+
		    										'<input type="password" maxlength="6" disabled/>'+
		    									'</div>'+
		    								'</div>'+
		    							'</div>'+
		    							'<div class="clearFix fgtPwd-box" id="forgetPwdBtnBox">'+
		    							  '<a id="inputPrePwd-fgtPwdBtn" class="inputPrePwdFgtPwdBtn font-fff font-m container align-r">忘记密码？</a>'+
		    							'</div>'+
		    							'<span class="close">×</span>'+
		    					    '</div>',
		    				})

		    			$('#adultEducationOrderDetailContainer').parents('.modal').css({
		    				'overflow': 'visible'
		    			});
		    			$$('.close').on('click', function(){
		    				f7.closeModal();
		    			})
		    			//点击忘记密码按钮  进入发送验证码页面
		    		      $("#inputPrePwd-fgtPwdBtn").on("click",function(){
		    		    	  f7.closeModal();
		    		    	  //
		    		    	  mainView.router.load({
		    						url : 'tradePwd.html',
		    						query : {
		    							fromPage:"familyDecorationOnlineOrderDetail",
		    							pwdRouterStatus: 'forgetPassword'
		    						}
		    					});
		    		      })
		    				//交易密码输入
		    				var setPasswordContainer = document.getElementById("adultEducationOrderDetailContainer");
		    				setPasswordObj = {
		    					maxLength:"",
		    					realInput:"",
		    					bogusInput:"",
		    					bogusInputArr:"",
		    					callback:"",
		    					init:function(fun){
		    						var that = this;
		    						this.callback = fun;
		    						that.realInput = setPasswordContainer.children[0];
		    						that.bogusInput = setPasswordContainer.children[1];
		    						that.bogusInputArr = that.bogusInput.children;
		    						that.maxLength = that.bogusInputArr[0].getAttribute("maxlength");
		    						that.realInput.oninput = function(){
		    							that.setValue();
		    						};
//		    						that.realInput.addEventListener('change', function() {
//		    							that.setValue();
//		    						});
		    						that.realInput.onpropertychange = function(){
		    							that.setValue();
		    						}
		    					},
		    					setValue:function(){
		    						this.realInput.value = this.realInput.value.replace(/\D/g,"");
		    						var real_str = this.realInput.value;
		    						for(var i = 0 ; i < this.maxLength ; i++){
		    							this.bogusInputArr[i].value = real_str[i]?real_str[i]:"";
		    						}
		    						if(real_str.length >= this.maxLength){
		    							this.realInput.value = real_str.substring(0,6);
		    							this.callback();
		    							checkPasswordIsTrue();
		    						}
		    					},
		    					getBoxInputValue:function(){
		    						var realValue ="";
		    						for(var i in this.bogusInputArr){
		    							if(!this.bogusInputArr[i].value){
		    								break;
		    							}
		    							realValue += this.bogusInputArr[i].value;
		    						}
		    						return realValue;
		    					}
		    				};
		    				setPasswordObj.init(function() {});
		    			}

		    			function checkPasswordIsTrue(){
		    				// 输入6位交易密码
		    				if($('.realInput').val().length == 6){

		    					// 允许校验验证码状态为true
		    					if (orderDetailPwdStatus == true) {

		    						if (orderDetailInputPwdStatus == false) {
		    							orderDetailInputPwdStatus = true;
		    					    	  var pwdStr = setPasswordObj.getBoxInputValue();
		    						      var telRegExp = /^\d{6}$/;
		    						      if(pwdStr==""){
		    						    	 f7.alert('请输入交易密码'); return false;
		    						      }
		    						      if(!telRegExp.test(pwdStr)){f7.alert('密码格式不正确'); return false; }
		    						      callAppApi({
		    							   url: '/module/transactionPwd/find',
		    							   type: 'POST',
		    							   params: {
		    								   userId: loginStatus.userId,
		    								   transactionPwd: SHA256(pwdStr).toString(),
		    								   findType:"03"
		    							   },
		    							   successCallback: function(response) {
		    								   orderDetailInputPwdStatus = false;

		    								   if (response.transactionPwdExist) {
		    									    f7.closeModal();

		    									    /*var planPayFirstPrice = '';
		    									    if (params.orderDetailData && params.orderDetailData.detailCacheData && params.orderDetailData.detailCacheData.planPayFirstPrice) {
		    									    	planPayFirstPrice = params.orderDetailData.detailCacheData.planPayFirstPrice;
		    									    } else {
		    									    	f7.alert('orderDetailData.detailCacheData.planPayFirstPrice： 未获取到商品首付款')
		    									    }*/

		    									    var goodsSellName = '';
		    									    if (params.orderDetailData && params.orderDetailData.productDataList && params.orderDetailData.productDataList.length > 0 && params.orderDetailData.productDataList[0].productName) {
		    									    	goodsSellName = params.orderDetailData.productDataList[0].productName;
		    									    } else {
		    									    	f7.alert('orderDetailData.productDataList[0].productName： 未获取到商品名称')
		    									    }

		    									    // @warn 需确认此变量作用
		    									    localStorage.removeItem('familyDecorationOnlineOrderId_' + loginStatus.userId);
		    									    if (goodsSuitePayFirstPrice == '0') {
		    									    	preOrderConfirm({
		    									    		orderId: params.orderId,
		    									    		goodsSellName: goodsSellName
		    									    	});
		    									    } else {
			    									    loadFamilyDecorationOnlinePage('orderConfirm', {
			    									    	query: {
			    									    		fromPage: 'familyDecorationOnlineOrderDetail',
			    									    		orderId: params.orderId,
			    												baseBusinessType: params.baseBusinessType,
			    									    	}
			    									    });
		    									    }

//		    									    localStorage.removeItem('familyDecorationOnlineOrderId_' + loginStatus.userId);
//		    									    loadFamilyDecorationOnlinePage('orderConfirm', {
//		    									    	query: {
//		    									    		fromPage: 'familyDecorationOnlineOrderDetail',
//		    									    		orderId: params.orderId,
//		    												baseBusinessType: params.baseBusinessType,
//		    									    	}
//		    									    });
		    								   } else {
		    									   dealwithPwdError();
		    								   }
		    							   },
		    							   errorCallback: function(err) {}
		    							})
		    						}
		    					} else {
		    						dealwithPwdError();
		    					}


		    					// 处理密码输入错误的情况
		    					function dealwithPwdError() {
		    					   f7.closeModal();
		    					   var pwdPromptText = '';

		    					   // 输入验证码次数超过五次
		    					   if (pwdErrorCount >= 5) {
		    						   orderDetailPwdStatus = false;

		    						   // 是否存储过再次允许校验验证码时间
		    						   if (typeof localStorage.getItem('orderDetailPwdErrorTime') == 'string' && localStorage.getItem('orderDetailPwdErrorTime') == 'string' !== '') {
		    							   // 允许校验验证码时间是否大于当前时间
		    							   if (localStorage.getItem('orderDetailPwdErrorTime') - Date.now() > 0) {

		    								   var pwdCountTime = Math.ceil((localStorage.getItem('orderDetailPwdErrorTime') - Date.now()) / 1000 / 60);

		    								   pwdPromptText = '交易密码输入错误过多账户已被锁定，请点击忘记密码进行找回或' + pwdCountTime + '分钟后重试';
		    							   } else {
		    								   // 允许校验验证码时间小与当前时间，重置条件
		    								   pwdErrorCount = 1;
		    								   orderDetailPwdStatus = true;
		    								   localStorage.removeItem('orderDetailPwdErrorTime');
		    							   }
		    						   } else {
		    							   // 存储允许再次校验验证码时间
		    							   localStorage.setItem('orderDetailPwdErrorTime', Date.now() + 10 * 60 * 1000);
		    							   pwdPromptText = '交易密码输入错误过多账户已被锁定，请点击忘记密码进行找回或10分钟后重试';
		    						   }

		    						   pwdModal(pwdPromptText);
		    					   } else {
		    						   // 错误验证码次数未超过五次
		    						   pwdErrorCount++;
		    						   pwdPromptText = '密码错误，请重新尝试';
		    						   pwdModal(pwdPromptText);
		    					   }

		    					   function pwdModal(pwdPromptText) {
		    						   f7.modal({
		    								title: '平安租赁',
		    					  			text: pwdPromptText,
		    					  			buttons: [
		    					  				{
		    					  					text: '忘记密码',
		    					  					onClick: function(){

//		    					  						localStorage.setItem('adultEducationOrderDetail_' + loginStatus.userId, params.orderId);

		    					  						mainView.router.load({
		    												url : 'tradePwd.html',
		    												query : {
		    													fromPage : 'familyDecorationOnlineOrderDetail',
		    													pwdRouterStatus: 'forgetPassword'
		    												}
		    											});
		    					  					}
		    					  				},
		    					  				{
		    					  					text: '重试',
		    					  					onClick: function(){
		    					  						alertPassword();
		    					  					}
		    					  				}
		    					  			]
		    					  		});

		    					   }
		    					}
		    			    }
		    		    }



		    			//点击忘记密码按钮  进入发送验证码页面
		    		      $("#inputPrePwd-fgtPwdBtn").on("click",function(){
		    		    	  f7.closeModal();
		    		    	  mainView.router.load({
		    						url : 'tradePwd.html',
		    						query : {
		    							fromPage:"familyDecorationOnlineOrderDetail",
		    							pwdRouterStatus: 'forgetPassword'
		    						}
		    					});
		    		      })

		            }
			  },
			  errorCallback: function(err) {}
		  });

	}

	//绑卡成功后自动执行继续下单操作
	if(params.fromPage === 'bindBankcard'){
		preceedOrder();
	}

	// 取消订单
	$('#orderCancleBtn').on('click', function() {
		// 清除定时器
		clearInterval(intervalOrderDetail);
		clearInterval(orderConfirmPayTimeAgain);
		var cancelUrl = '/app/order/cancel';
		var cancelParams = {
			  orderId: params.orderId,
			  userId: loginStatus.userId,
			  cancelType: '',
			  baseBusinessType: '004003',
			  orderStatus: '50'
		  }
		f7.modal({
			title : '',
			text : '是否确认取消订单',
			buttons : [ {
				text : '取消'
			}, {
				text : '确定',
				onClick : function() {
					callAppApi({
						url: cancelUrl,
						apiVersion: '2.0',
						type: 'POST',
						params: cancelParams,
						successCallback: function(response) {
							orderCancel = true;
							if(isUpdate == '待审核'){  //未审核
								TalkingData.onEventWithLabel('待付款订单详情页', '取消订单');
							}
							localStorage.removeItem('familyDecorationOnlineOrderId_' + loginStatus.userId);
							localStorage.removeItem('showinfoTip_' + loginStatus.userId);
							f7.pullToRefreshTrigger($('.pull-to-refresh-content'))
						},
						errorCallback: function(err) {}
					});
				}
			}]
		});
	});
	//默认隐藏
	$$('.upload-evidence-family-list').each(function(i,v){
		if($$(v).children().length <= 5 ){
			$$(v).children('.order-detail-more').hide();
		}else{
			$$(v).children().each(function(index,value){
				if(index >= 4 && !$$(value).hasClass('order-detail-more')){
					$$(value).hide();
				}
			})
		}
		
	})
	//点击更多事件
	$(".order-detail-more").on("click",function(){
		var that = this;
		$(that).parent().children().each(function(i,v){
			if(i >= 4 && !$$(v).hasClass('order-detail-more')){
				if($$(v).css("display") !=="none"){									
					$$(that).removeClass("hide-show-more");
					$$(that).find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailShow.png)")
					$$(v).slideUp(200);
				}else{
					$$(that).addClass("hide-show-more");
					$$(v).slideDown(200);
					$$(that).find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailHide.png)")
				}
				
			}
		})
		
	})
	
//	取消分期
//	家装线上化版本暂时没有退货需求，不需要发送退货检查
	/*var ReturnValidity=false;//是否在退货有效期内判断标识
	if(params.orderStatus.slice(0, 1) =="4" || params.orderStatus==="35" || params.orderStatus==="801" || params.orderStatus==="821"){
		callAppApi({
			url: '/api/checkOrderTimeOut',
			type: 'POST',
			apiVersion: '2.0',
			params: {
				baseBusinessType: '004003',
				orderId: params.orderId,
				userId: loginStatus.userId,
				orderTimeOutType: '3'
			},
			successCallback: function(response) {
				if(response.checkResult===false){
					ReturnValidity=true;
					$$('#userRefundBtn').removeClass('hide');
					//系统未反馈本次申请处理结果前，无法再次点击“取消分期”按钮进行再次申请
					if (params.orderStatus==='801' || params.orderStatus==='821'){
						$$('#userRefundBtn').attr('disabled', true);
					}
				}
			},
			errorCallback: function(err) {
			}
		});
	}*/
	
//	  -------------------------------------取消订单--------------------------------------------
	  //用户取消(退款)订单状态说明
		  //7X-退款状态: 
			//701-支付完成用户发起取消订单，
			//702-用户发起退款申请，
			//703-上传发票超时系统发起退款申请，
			//704-复核不通过系统发起退款申请，
	        //721-用户取消发起退款申请通过，
			//722-用户发起退款申请通过，
			//723-上传发票超时系统发起退款申请通过，
			//724-复核不通过系统发起退款申请通过
	        //740-退款申请不通过

		  $('#userRefundBtn').on('click', function() {
				f7.modal({
					title : '',
					text:  '<div class="model-block">'+
						  	      '<div id="refundBlock">'+
							          '<p class="refund-notice">您的取消订单申请将提交至办理店员处进行审核，是否确认取消订单？</p>'+
							           '<textarea placeholder="请输入取消订单原因"  class="refund-reason" id="refundReason"></textarea>'+
							      '</div>'+
							      '<div id="canclePrompt" class="hide" style="color: red">* 取消订单原因不能为空</div>' +
					        '</div>',
					buttons : [ {
						text : '取消'
					}, {
						text : '确定',
						close: false,
						onClick : function() {
							if ($('#refundBlock .refund-reason').val()==="") {$('#canclePrompt').removeClass("hide"); return false};
							var refundReason=$('#refundReason').val()
							
							callAppApi({
								url: '/app/updateOrderRefundMsg',
								apiVersion: '2.0',
								type: 'POST',
								params: {
									orderId: params.orderId,
									userId: loginStatus.userId,
									orderStatus: '701',
									lastStatus:'',//回滚前状态记录
									refundReason:refundReason,//退款原因
									rejectRefundReason:''//店员拒绝退款原因
									
								},
								successCallback: function(response) {
									f7.closeModal('.modal');
									f7.pullToRefreshTrigger($('#orderDetailRefresh'));
									var timeCancle = setTimeout(function() {
										mainView.loadPage('order.html');
									}, 3000);
								},
								errorCallback: function(err) {}
							});
						}
					}]
				});
				$('#refundBlock').parent().parent().parent().parent().css({
					position: 'absolute',
					top: '50%',
					left: '5%',
					display: 'block',
					width: '90%',
					margin: '-242px 5% 0 0'
				});
				$('#refundReason').on('keyup', function() {
					if ($('#refundBlock .refund-reason').val()!=="") {
						$('#canclePrompt').addClass("hide");
					}else{
						$('#canclePrompt').removeClass("hide")
					};
				})
		  })
	  
//----------------------------------------------点击产看详情/分期账单-----------------------------------------------------------
	  var goodPaymentDetailHtml='';
	  goodPaymentDetail=params.stagePlanData.paymentDetail;
	  if (goodPaymentDetail){
			goodPaymentDetail.map(function(item,index){
				goodPaymentDetailHtml = goodPaymentDetailHtml +
					'<div class="model-list-item">'+
						'<div class="model-list-number model-list-content">第'+item.periodNo+'期</div>' +
						'<div class="model-list-pay model-list-content">'+item.payAmount+'元</div>' +
					'</div>' 
			})
	  }
	  $$("#adultEducationPayInfo").off("click").on("click",function(){
		  if(params.orderStatus.slice(0,1) == '5' || (params.orderStatus.slice(0,1) == '7' && params.orderStatus != '701')){
			  return false;
		  }
			f7.modal({
				title: '<span class="model-billing">分期账单<span>',
				afterText: '<div class="model-block-chooseGoods">'+
									'<div class="model-head">'+
										'<div class="adultEducationModalItem" style="width: 100%">' +
											'<span class="key">商品名称</span><span class="value" >' + productData.productName + '</span>' +
										'</div>' +
										'<div class="adultEducationModalItem">'+
												'<span class="key">还款金额</span><span class="value">' + detailCacheData.planTotalAmount + '</span>'+
										'</div>' +
										'<div class="adultEducationModalItem">'+
												'<span class="key">还款方式</span><span class="value">月还</span>'+
										'</div>' +
										'<div class="adultEducationModalItem">'+
												'<span class="key">期数</span><span class="value">' + detailCacheData.planStageNumber + '期</span>'+
										'</div>' +	
									'</div>' +
									'<div class="model-list-item item-title">'+
										'<div class="model-list-number model-list-content">期数</div>' +
										'<div class="model-list-pay model-list-content">每期还款</div>' +
									'</div>' +
									'<div class="model-list">'+
										goodPaymentDetailHtml +
									'</div>' +
								 '</div>',
				buttons: [
					{
						text: '我知道了',
					}
				]
			});
			$(".model-block-chooseGoods .model-head")[0].addEventListener('touchmove', function (event) { 
				event.preventDefault();
			}, false);
			$(".modal-button")[0].addEventListener('touchmove', function (event) { 
				event.preventDefault();
			}, false);
			$(".modal-title")[0].addEventListener('touchmove', function (event) { 
				event.preventDefault();
			}, false);
			$('.model-list-item')[0].addEventListener('touchmove', function (event) { 
				event.stopPropagation();
			}, false);
			$('.model-list')[0].addEventListener('touchmove', function (event) { 
				event.stopPropagation();
			}, false);
			$('.model-block-chooseGoods').parent().parent().css({
				position: 'absolute',
				top: '40%',
				left: '5%',
				display: 'block',
				width: '90%',
				margin: '-210px 5% 0 0',
				background: 'rgba(255,255,255,1)'
			});
			$('.model-block-chooseGoods').parent().find('.modal-title').css({
				'margin': '0 10px',
				'padding': '15px 0',
		    	'border-bottom': '1px dashed #e5e5e5',
		    	'font-size': '18px',
		    	'color': '#333',
		    	'font-weight': 'nomarl',
			});
			$('.model-block-chooseGoods .model-head').css({
				padding: '15px 25px',
				background: 'none',
				border: 'none',
				margin: 0
			});
			$('.model-block-chooseGoods').parent().css({
				padding:0,
				background: 'rgba(255,255,255,1)'
			});
			$(".model-billing").parent().css({
				padding:"20px"
			});
			$(".adultEducationModalItem").css({
				"text-align":"left",
				"margin-bottom":"5px",
				'font-size': '0'
			});
			$(".adultEducationModalItem .key").css({
			    'display': 'inline-block',
			    'width': '30%',
		    	'margin-right': '5%',
		    	'padding': '0',
				'font-size': '14px',
				'color': '#333',
			});
			$(".adultEducationModalItem .value").css({
				'display': 'inline-block',
				'width': '60%',
				'vertical-align': 'top',
				'font-size': '14px',
				'color': '#333'
			});
			$('.model-list').css({
				'margin-top': '0'
			});
			$('.model-list-item').css({
				'padding-left': '25px',
				'border-bottom': '1px solid #e5e5e5',
				'height': '35px',
				'line-height': '35px',
				'box-sizing':'border-box'
			});
			$('.model-list-content').css({
				'float': 'left'
			})
			$('.model-list-item.item-title').css({
				'height': '40px',
				'background': '#f5f5f5',
				'boder': 'none',
				'color': '#333',
				'border': '0px'
			});
			$('.model-list-number, .model-list-pay').css({
				'height': '35px',
				'line-height': '35px',
				'font-size': '14px',
				'color': '#333',
				'text-align': 'left'
			});
			$('.model-list-number').css({
				'margin-right': '5%',
				'width': '24%'
			});
			$('.model-list-pay').css({
				'width': '65%'
			});
			$('.model-list-item.item-title .model-list-number, .model-list-item.item-title .model-list-pay').css({
				'height': '40px',
				'line-height': '40px',
				'font-size': '14px',
				'color': '#333'
			});
		});
//---------------------------------------------------------协议点击--------------------------------------------------
	    $('#orderProtocolBtn').on('click', function() {
	    	callAppApi({
				url: '/service/agreement/getUrl',
				type: 'POST',
				params: {
					userId: loginStatus.userId,
					orderId: params.orderId,
					agreementType:"10"
				},
				successCallback: function(response) {
					var protocolPicArr = response.picCloudUrls;
					
					if ($.isArray(protocolPicArr) && protocolPicArr.length > 0) {
						utilities.clickDelay('myPhotoBrowser', function(){
							f7.photoBrowser({
								zoom: true,
								swiperToClose: false,
								lazyLoading: true,
								photos: protocolPicArr
							}).open();
						}, 500)
					} else {
						f7.alert('暂时没有生成协议展示。')
					}
				},
				errorCallback: function() {}
			});
	    });	
	    
	    $('#adultorderProtocolBtn').on('click', function() {
	    	callAppApi({
				url: '/app/order/update/plan',
				apiVersion: '2.0',
				type: 'POST',
				params: {
					userId: loginStatus.userId,
					orderId: params.orderId,
					planId: goodsPlanId?goodsPlanId:'#',//套餐ID
					planName: goodsPlanName?goodsPlanName:'#', //套餐名称
							
					planPeriodKey: $$('#goodsStageNum').val()?$$('#goodsStageNum').val():'',//方案ID
							
					planPeriod: $$('#goodsStageNum :selected').text() === '请选择期数'?'':$$('#goodsStageNum :selected').text(), //方案内容
							
					planProductId: $$('#goodsProduct').val()?$('#goodsProduct').val():'',//售品ID
							
					planProductName: $$('#goodsProduct :selected').text() === '请选择分期产品'?'':$$('#goodsProduct :selected').text(),//产品名称
					
					planPayFirstPrice: goodsSuitePayFirstPrice, //期初支付
					planPayInitialPrice : goodsSuitePayInitialPrice, //自付金额
					planStageNumber : goodsSuiteStageNumber,//分期期数
					planTotalAmount : goodsSuiteTotalAmount, //套餐总金额
					planStagePrice : $$('#familyDecorationOnlineCredit').val(), //每期金额? 这里有问题，应该是表单输入的期望分期金额
					planPoundage: goodsSuitePoundage, //手续费
					planServiceCharges : goodsSuiteServiceCharges, //服务费
					planLeverPrice : goodsSuiteLeverPrice, //设备杠杆费用
					planDiscountAmount : discountAmt, //贴息款
					planTrialId : orderPlanId,//套餐试算ID
					productId: params.orderDetailData.productDataList[0].productId,//产品ID
					contractName: $$('#protocolName').val(),//合同名称
					contractSignTime: $$('#protocolTime').val(),//合同签订时间
					decorationTotalPrice:$$('#goodsSellPrice').val()
				},
				successCallback: function(response) {
					callWebHtml({
			    		url: '/agreement/agrTemplateDebtTransfer',
			    		type: 'POST',
			    		params: {
						 userId: loginStatus.userId,
						 orderId: params.orderId,
						  templateId :'12',
						  baseBusinessType:"004003"
			    		},
			    		successCallback: function(response) {
							$('#orderDetailPopup').html(protocolFrame({
								protocolId:"agreementAssignmentDebtEducation",
								protocolName:"《应收账款转让确认及保理费承担协议》",
								protocolWidth: $('body').width(),
								protocolHeight: $('body').height() - 56
							}));
							$$("#agreementAssignmentDebtEducation").contents().find("html").html(response);
							f7.popup('#orderDetailPopup');
			    		},
			    		errorCallback: function(err) {}
			    	});
				},
				errorCallback: function(err) {}
			});
	    });
	    
 }
  return {
	render: render
  }
});
