define([
  'js/utilities',
  'js/config',
  'jquery',
  'js/uploadImg',
  'js/uploadEvidenceFunc.js',
  'containers/order/orderHelper',
  'containers/orderDetail/orderDetailPad',
  'containers/orderDetail/educationHelper',
  'hbs!components/common/navbar/navbar',
  'hbs!containers/orderDetail/orderDetail',
  'hbs!containers/orderDetail/orderDetailMedical',
  'hbs!components/order/orderStatus/commentOrderStatus',
  'hbs!components/order/orderInfo/commentOrderInfo',
//  'hbs!components/order/orderInfo/educationOrderInfo',
//  'hbs!components/order/orderInfo/educationOrderPlanDe',
  'hbs!components/order/idCard/idCard',
  'hbs!components/order/orderEvidence/orderEvidence',
  'hbs!components/order/orderEducation/orderEducation',
  'hbs!components/order/medicalCare/medicalCare',
  'hbs!components/common/protocolArea/protocolFrame',
  'hbs!applianceComponents/order/orderShippingAddress/orderShippingAddress',
  'hbs!components/order/orderInfo/creditOrderInfo',
  'hbs!components/order/orderCredit/orderCredit',
  'hbs!components/order/orderEducation/uploadEvidence'
], function(
    utilities,
    config,
    $$,
    uploadImg,
    uploadEvidence,
	orderHelper,
	orderDetailPad,
	educationHelper,
	navbarTemplate,
	orderDetailTemplate,
	orderDetailMedicalTemplate,
	orderStatusTemplate,
	orderInfoTemplate,
//	educationOrderInfoTemplate,
//	educationOrderPlanDeTemplate,
	idCardTemplate,
	orderEvidenceTemplate,
	orderEducationTemplate,
	orderMedicalCareTemplate,
    protocolFrame,
    orderShippingAddressTemplate,
    creditOrderInfoTemplate,
    orderCreditTemplate,
    orderEducationAddTemplate
) {
  var $ = Framework7.$;
  var getOrderView = orderHelper.getOrderView;
  var getEducationGetOrderView = orderHelper.educationGetOrderView;
  var checkInfoCountDown = orderHelper.checkInfoCountDown;
  var callAppApi = utilities.callAppApi;
  var callWebHtml = utilities.callWebHtml;
  var getDay = utilities.getDay;
  var getDeviceType = utilities.getDeviceType;
  var infoQueryRouter = utilities.infoQueryRouter;
  var getFormatPrice = utilities.getFormatPrice;

  var takePicture = uploadImg.takePicture;
  var choosePhoto = uploadImg.choosePhoto;
  
  var bindPadorderDetail=orderDetailPad.bindPadorderDetail;
  var sendPadorderDetail=orderDetailPad.sendPadorderDetail;
  
  var UploadEvidence = uploadEvidence.UploadEvidence;
  // 声明页面定时器
  var intervalOrderDetail;
  var intervalReConfirm;
  
  //健康render
  function renderMedical(params) {
		clearInterval(intervalOrderDetail);
		 
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		

		
		f7.onPageBack('orderDetail', function() {
			f7.showToolbar('#toolbar');
		});
		
		var isUpdate = $('.order-check-status-item').text();
		if(isUpdate == '待付款' && !orderCancel){
			TalkingData.onPage('待付款订单详情页');
		}else if(isUpdate == '待审核' && !orderCancel){
			TalkingData.onPage('等待审核订单详情页');
		}

		loadComponent('navbar', 'common', {
			container: '#orderDetailNavbar',
			title: '订单详情',
			backId: 'orderDetailBackBtn',
			isBackIcon: true,
			isBack: false
		});
		
		var backTime = setTimeout(function() {
			$('#orderDetailBackBtn').off('click').on('click', function() {
				// 删除注册的setInterval
				clearInterval(intervalOrderDetail);
				
				//skapp数据收集：返回
				if(isUpdate == '待付款' && !orderCancel){
					TalkingData.onEventWithLabel('待付款订单详情页', '返回');
				}else if(isUpdate == '待审核' && !orderCancel){
					TalkingData.onEventWithLabel('等待审核订单详情页', '返回');
				}
				
		  		mainView.router.back({
		  			url: 'order.html',
		  			force: true
		  		});
		  		f7.showToolbar('#toolbar');
			});
			clearTimeout(backTime);
		}, 500);

		//lisai2017年5月8日17:04:42
		var orderStatusPrompt='';
		if(params.orderInfo.orderStatus==='821'&& params.returnGoodsAgreeTime!==undefined){
				if(params.returnGoodsAgreeTime!==''){
					var orderCancelTime1=params.returnGoodsAgreeTime.split(' ')[0]
			 		var orderCancelTime2=params.returnGoodsAgreeTime.split(' ')[1]
			 		var orderCancelTimeYear=orderCancelTime1.split('-')[0];
			 		var orderCancelTimeMonth= orderCancelTime1.split('-')[1];
			 		var orderCancelTimeDay=orderCancelTime1.split('-')[2];
			 		var orderCancelTimeHour=orderCancelTime2.split(':')[0];
			 		var orderCancelTimeMinute=orderCancelTime2.split(':')[1];
			 		var ReturnGoodsTimes=orderCancelTimeYear+'年'+orderCancelTimeMonth+'月'+orderCancelTimeDay+'日'+orderCancelTimeHour+'时'+orderCancelTimeMinute+'分'
			 		var ReturnGoodsTimesText='取消时间:'+ ReturnGoodsTimes + '<br>您提交的“取消分期”申请已通过审核，请您在24小时内至我的账单页进行款项结清，超时未结清将导致本次申请失效。结清账单后请联系办理店员进行线下手续办理。';
			 		orderStatusPrompt=ReturnGoodsTimesText;
				}		 		
			}else{
				orderStatusPrompt=params.orderInfo.orderStateChangeNotes
			}	 
		
		$('#orderDetailContent').html(orderDetailMedicalTemplate({
			orderStatus: params.orderInfo.orderStatus,
			orderStatusView: getOrderView(params.orderInfo.orderStatus),
			// goodsLogistics:params.orderDetailInfo.goodsLogistics, //详情为空的时候报错，影响详情页显示
			baseBusinessType:params.baseBusinessType,
		}));
		
		$('#orderDetailStatusArea').html(orderStatusTemplate({
			orderId: params.baseOrderId,
			orderStatus: params.orderInfo.orderStatus,
			orderStatusView: getOrderView(params.orderInfo.orderStatus),
			orderStatusPrompt: orderStatusPrompt,//拒绝退款原因展示
		}));
		
		//退货7天有限期检测lisai 2017年5月10日10:41:18
		var ReturnValidity=false;//是否在退货有效期内判断标识
		if(params.orderInfo.orderStatus.slice(0, 1) == "4" || params.orderInfo.orderStatus==="35" || params.orderInfo.orderStatus==="801" || params.orderInfo.orderStatus==="821"){
			callAppApi({
				url: '/api/checkOrderTimeOut',
				type: 'POST',
				params: {
					orderId: params.baseOrderId,
					userId: loginStatus.userId,
					orderTimeOutType: '3'
				},
				successCallback: function(response) {
					if(response.checkResult===false){
						ReturnValidity=true;
						$$('#userReturnGoodsBtn').removeClass('hide');
						//系统未反馈本次申请处理结果前，无法再次点击“取消分期”按钮进行再次申请
						if (params.orderInfo.orderStatus==='801' || params.orderInfo.orderStatus==='821'){
							$$('#userReturnGoodsBtn').attr('disabled', true);
						}
					}
				},
				errorCallback: function(err) {
				}
			});
		}
		
		// 订单被审核不通过拉黑提示
		if (params.orderInfo.orderStatus === '58') {
			f7.alert('很抱歉，您暂时无法办理该业务，感谢关注！');
		}
		
		var orderInfoData = {
			goodsInfo: {
				name: params.orderInfo.goodsSellName,
				config: params.orderInfo.goodsItemConfigure,
//				config: "",
				color: params.orderInfo.goodsItemColor,
				price: getFormatPrice(params.orderInfo.orderProductPrice) + '元',
				orderStatus: params.orderInfo.orderStatus,				// 订单状态
				orderGoodsNumber: params.orderInfo.orderGoodsNumber,	    // 商品串号
				contractPhone: params.orderInfo.orderContractNumber,		// 合约号码
//				product: {
//					key: '分期产品',
//					value: params.orderInfo.goodsProductName
//				},
//				plan: {
//					key: '套餐名称',
//					value: params.orderInfo.goodsPlanName
//				},
//				stagingNum: {
//					key: '期数',
//					value: params.orderInfo.goodsSuiteStageNumber + '期'
//				},
//				firstPay: {
//					key: '押金',
//					value: params.orderInfo.guaranteeMoney + '元'
//				},
//				selfPay: {
//					key: '自付金额',
//					value: params.orderInfo.goodsSuitePayInitialPrice + '元'
//				},
//				stagingPay: {
//					key: '租金总额',
//					value: params.orderInfo.goodsSuiteTotalAmount + '元'
//				}
				list:[
						{
							key: '分期产品',
							value: params.orderInfo.goodsProductName
						},
						{
							key: '套餐名称',
							value: params.orderInfo.goodsPlanName
						},
						{
							key: '期数',
							value: params.orderInfo.goodsSuiteStageNumber + '期'
						},
						{
							key: '押金',
							value: getFormatPrice(params.orderInfo.guaranteeMoney) + '元'
						},
						{
							key: '自付金额',
							value: getFormatPrice(params.orderInfo.goodsSuitePayInitialPrice) + '元'
						},
						{
							key: '租金总额',
							value: getFormatPrice(params.orderInfo.goodsSuiteTotalAmount) + '元'
						}
					],
			}
		
		};
	
		$('#orderDetailInfoArea').html(orderInfoTemplate(orderInfoData));
		
		//lisai 定义获取配送地址页面及数据
		var address = '';
		if(params.orderDetailInfo){
			address = params.orderDetailInfo.deliveryAddressProvinceName + params.orderDetailInfo.deliveryAddressCityName + params.orderDetailInfo.deliveryAddressAreaName + params.orderDetailInfo.deliveryDetailAddress;
		}
		var orderAddressData = {
			addressInfo: {
				name: params.orderInfo.goodsSellName,
				config: params.orderInfo.goodsItemConfigure,
				color: params.orderInfo.goodsItemColor,
				price: getFormatPrice(params.orderInfo.orderProductPrice) + '元',
				orderStatus: params.orderInfo.orderStatus,				
				orderGoodsNumber: params.orderInfo.orderGoodsNumber,		
				name: {
					key: '联系人',//未录入相关信息，字段待确认
					value: params.consigneeName
				},
				phone: {
					key: '联系方式',
					value: params.consigneePhone
				},
				address: {
					key: '送货地址',
					value: address
				}
			}
		};

//		$('#orderShippingAddress').html(orderShippingAddressTemplate(orderAddressData));
		
		// 声明APP端是否审核
		var orderCancel = false;
		var orderPatientMaterialsArr = [];
		var orderRelationShipMaterialsArr = [];
		
		if(params.orderDetailInfo){
			orderPatientMaterialsArr = (params.orderDetailInfo.patientMaterials !== '' && params.orderDetailInfo.patientMaterials !== null) ? JSON.parse(params.orderDetailInfo.patientMaterials) : [];
			orderRelationShipMaterialsArr = (params.orderDetailInfo.relationShipMaterials !== '' && params.orderDetailInfo.relationShipMaterials !== null) ? JSON.parse(params.orderDetailInfo.relationShipMaterials) : [];
		}
		
		if (params.orderInfo.orderStatus === '15') {

			activeReloadInfoButton();
			
			$('#orderDetailEvidence').html(orderMedicalCareTemplate({
				orderStatus: params.orderInfo.orderStatus,
				orderPatientMaterialsArr: orderPatientMaterialsArr,
				orderRelationShipMaterialsArr: orderRelationShipMaterialsArr,
				baseBusinessType:params.baseBusinessType,
			}));
			
			// 资料上传倒计时
			if (mainView.activePage.name === 'orderDetail' && params.orderInfo.orderStateChangeTime) {
				
	        	var orderChangeTime = Date.parse(params.orderInfo.orderStateChangeTime.slice(0, 19).replace(/-/g, '/'));
	        	var orderNowTime = Date.now();
	        	var timeLimit = 30 * 60 * 1000;
	        	var timeDiff = orderNowTime - orderChangeTime;
				var	upderUrl = '/app/orderUpdate',//订单更新地址
				upderParams = {}; // 订单更新需要传输参数 
				upderParams.orderId = params.baseOrderId;
				upderParams.userId = loginStatus.userId;
				upderParams.orderStatus = '52';
				
				if (timeDiff < timeLimit) {
					var countDownTime = Math.floor(timeLimit / 1000 - timeDiff / 1000);
					
					clearInterval(intervalOrderDetail);
					
					intervalOrderDetail = setInterval(function() {
						countDownTime -= 1;
						
						if (countDownTime > 0) {
//	        				var min = Math.floor(countDownTime / 60) < 10 ? '0' + Math.floor(countDownTime / 60) : Math.floor(countDownTime / 60);
//	        				var sec = Math.floor(countDownTime - min * 60) < 10 ? '0' + Math.floor(countDownTime - min * 60) : Math.floor(countDownTime - min * 60);
//	        				var countDownStr = '00:' + min + ':' + sec;
	        				
	        				var min = Math.floor(countDownTime / 60) < 10 ? '0' + Math.floor(countDownTime / 60) : Math.floor(countDownTime / 60);
	        				var sec = Math.floor(countDownTime - min * 60) < 10 ? '0' + Math.floor(countDownTime - min * 60) : Math.floor(countDownTime - min * 60);
	        				var firstMin = Math.floor(min/10);
	        				var secondMin = min % 10;
	        				var firstSec = Math.floor(sec/10);
	        				var secondSec = sec % 10;
	        				var countDownStr ="<span>0</span>"+"<span>0</span>"+" :"+"<span>"+firstMin+"</span>"+"<span>"+secondMin+"</span>"+" :"
	        									+"<span>"+firstSec+"</span>"+"<span>"+secondSec+"</span>";
	        				
	        				$('#orderDetailTime').html(countDownStr);
						} else {
							clearInterval(intervalOrderDetail);

							callAppApi({
								url:upderUrl,
								type: 'POST',
								params: upderParams,
								successCallback: function(response) {
									f7.alertMessage('订单已超时取消，请重新下单');
									var timeCancle = setTimeout(function() {
										mainView.loadPage('order.html');
									}, 3000);
									
								},
								errorCallback: function(err) {}
							});
						}
					}, 1000);
					
				} else {
					clearInterval(intervalOrderDetail);
					callAppApi({
						url:upderUrl,
						type: 'POST',
						params:upderParams,
						successCallback: function(response) {
							f7.alertMessage('订单已超时取消，请重新下单');
							var timeCancle = setTimeout(function() {
								mainView.loadPage('order.html');
							}, 3000);
							
						},
						errorCallback: function(err) {}
					});
				}
			}
		} else if (
				(params.orderInfo.orderStatus.slice(0, 1) === '1' && parseInt(params.orderInfo.orderStatus.slice(0, 2)) > 15)  ||
				(params.orderInfo.orderStatus.slice(0, 1) === '2') ||
				(params.orderInfo.orderStatus.slice(0, 1) === '3') ||
				(params.orderInfo.orderStatus.slice(0, 1) === '4') ||
				(params.orderInfo.orderStatus.slice(0, 1) === '6') ||
				(params.orderInfo.orderStatus.slice(0, 1) === '7')
		) {
			$('#orderDetailEvidence').html(orderMedicalCareTemplate({
				orderStatus: params.orderInfo.orderStatus,
				orderPatientMaterialsArr: orderPatientMaterialsArr,
				orderRelationShipMaterialsArr: orderRelationShipMaterialsArr,
				baseBusinessType:params.baseBusinessType,
			}));
		}
	
		bindPadorderDetail();
		//配送地址默认隐藏
		$$(".address-info-box").css("display","none");
		$$(".order-shipingAddress-title").css("border-bottom","none");
		//点击配送地址显示隐藏 
		$(".order-detail-address").on('click',function(){
			var isShowEleTitle=$$(".order-shipingAddress-title");
			var isShowEleBox=$$(".address-info-box");
			showHideCheck(isShowEleTitle,isShowEleBox);
		})
		
		//患者证明材料默认隐藏
		if(orderPatientMaterialsArr !==''){
			var patientMaterialsStatus_show = orderPatientMaterialsArr.every(function(item, index) {
				if (item.checkResult === true) {
					return true;
				}else{
					return false;
				}
			});
			if (patientMaterialsStatus_show === false) {
				$$(".evidence-list-box-title1").addClass("hide-show")
				$$(".evidence-list-box-title1").find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailHide.png)");
			}else{
				$$(".evidence-item-box1").css("display","none");
				$$(".evidence-list-box-title1").css("border-bottom","none");
			}
		}

		//点击患者证明材料显示隐藏  
		$("#orderPatientMaterials").on('click',function(){
			var isShowEleTitle=$$(".evidence-list-box-title1");
			var isShowEleBox=$$(".evidence-item-box1");
			showHideCheck(isShowEleTitle,isShowEleBox);
		})
		
		//关系证明材料默认隐藏
		if(orderRelationShipMaterialsArr !==''){
			var relationShipMaterialsStatus_show = orderRelationShipMaterialsArr.every(function(item, index) {
				if (item.checkResult === true) {
					return true;
				}else{
					return false;
				}
			});
			if (relationShipMaterialsStatus_show === false) {
				$$(".evidence-list-box-title2").addClass("hide-show")
				$$(".evidence-list-box-title2").find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailHide.png)");
			}else{
				$$(".evidence-item-box2").css("display","none");
				$$(".evidence-list-box-title2").css("border-bottom","none");
			}
		}

		//关系证明材料显示隐藏
		$("#orderRelationShipMaterials").on('click',function(){
			var isShowEleTitle=$$(".evidence-list-box-title2");
			var isShowEleBox=$$(".evidence-item-box2");
			showHideCheck(isShowEleTitle,isShowEleBox);
		})
		/**   
		 * @Title: showHideCheck 
		 * @Package app/containers/orderDetail 
		 * @Description: 点击显示隐藏通用方法  
		 * @Description:  //此方法只需把需要隐藏的class或者id传进来
		 * @author lisai   
		 * @date 2017年3月29日15:11:41
		 */
		showHideCheck=function(isShowEleTitle,isShowEleBox){
			isShowEleTitle.toggleClass('hide-show');
			if(isShowEleTitle.hasClass('hide-show')){//找到hideclass
				isShowEleBox.slideDown(100);
				isShowEleTitle.find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailHide.png)");
				isShowEleTitle.css('border-bottom','1px solid #dfdfdf')
			}else{
				isShowEleBox.slideUp(100);
				isShowEleTitle.find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailShow.png)");
				isShowEleTitle.css('border-bottom','0px')
			}
		}
		
		// 预览图片按钮事件绑定
		$('.preview-photo').on('click', function() {
			if ($(this).hasClass('success') || $(this).parent().hasClass('success')){
				var cloudUrl = $(this).find('img').attr('src');
				if (cloudUrl === '' || !cloudUrl) {
					f7.alert('请上传照片');
					return false;
				} else {
					var myUserIdCardBrowser = f7.photoBrowser({
						zoom: 400,
						photos: [cloudUrl]
					});
					utilities.clickDelay('myPhotoBrowser', function(){
						myUserIdCardBrowser.open();
					}, 500)
				}
			}
		});
		
		// 其他资料重新上传
		$('.order-detail-evidence-item').on('click', function() {
			if ($(this).hasClass('failure') && $(this).attr('data-tarKey') === 'orderPatientMaterialsArr') {
				reloadInfo({type: 'patientMaterials', picId: $(this).attr('data-picId')});
			}
			if ($(this).hasClass('failure') && $(this).attr('data-tarKey') === 'orderRelationShipMaterialsArr') {
				reloadInfo({type: 'relationShipMaterials', picId: $(this).attr('data-picId')});
			}
		})
		
		//继续下单按钮
		$('#uploadFilesBtn').off('click').on('click', function(){
			loadMedicalCarePage('medicalCareUploadEvidence', {
				query: {
					fromPage:'orderDetail',
					different: 'orderDetail',
					baseBusinessType: '006001',
					orderId: params.baseOrderId
				}
			});
		})
		
		// 重新提交审核按钮点击事件
		$('#orderDetailAuditBtn').on('click', function() {
			var updateUrl = '';
			var updateParams = {};
			updateUrl = '/app/order/update/health';
			updateParams = {
					orderHealthDetailId: params.orderDetailId,
					userId: loginStatus.userId,
					orderId: params.baseOrderId,
					
					patientMaterials: JSON.stringify(orderPatientMaterialsArr),  // 患者证明,
					patientMaterialsCheckResult: '1', 	// 患者证明材料审核结果 0false 1true
					relationShipMaterials: JSON.stringify(orderRelationShipMaterialsArr),  //关系证明材料
					relationShipMaterialsCheckResult: '1', 	//关系证明材料审核结果
					
					deliveryAddressProvinceName: params.orderDetailInfo.deliveryAddressProvinceName, // 收货地址 省
					deliveryAddressCityName: params.orderDetailInfo.deliveryAddressCityName, // 收货地址市
					deliveryAddressAreaName: params.orderDetailInfo.deliveryAddressAreaName, // 收货地址区
					deliveryAddressProvinceCode: params.orderDetailInfo.deliveryAddressProvinceCode, // 收货地址省
					deliveryAddressCityCode: params.orderDetailInfo.deliveryAddressCityCode, // 收货地址市
					deliveryAddressAreaCode: params.orderDetailInfo.deliveryAddressAreaCode, // 收货地址区
					deliveryDetailAddress: params.orderDetailInfo.deliveryDetailAddress, // 详细地址
			}
			
			callAppApi({
				url: updateUrl,
				type: 'POST',
				params: updateParams,
				successCallback: function(response) {
					// 清除定时器
					clearInterval(intervalOrderDetail);
					
					f7.pullToRefreshTrigger($('#orderDetailRefresh'));
				},
				errorCallback: function(err) {}
			});
		});
		
		// 跳转确认下单支付页面
		$('#orderConfirmBtn').on('click', function() {
			if(params.baseBusinessType === '006001'){
				mainView.router.load({
					url : 'orderConfirm.html',
					query : {
						orderId: params.baseOrderId,
						baseBusinessType: params.baseBusinessType,
					}
				});
			}else{
				callAppApi({
					url: '/api/checkCredit',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						baseBusinessType: params.baseBusinessType,
						isOldUser: loginStatus.oldUser,
						orderId: params.baseOrderId,
					},
					successCallback: function(creditRes) {
						if (creditRes.userIsCredit === true) {
							
							mainView.router.load({
								url : 'orderConfirm.html',
								query : {
									orderId: params.baseOrderId,
									baseBusinessType: params.baseBusinessType,
								}
							});
						} else {
							if (params.baseBusinessType === '002001') {
								f7.alertMessage('办理此业务，请先进行身份认证');
								var creditTime = setTimeout(function() {
									mainView.router.load({
										url: 'authentication.html',
										query: {
											fromPage: 'index'
										}
									});
									clearTimeout(creditTime);
								}, 3000);
							} else if (params.baseBusinessType === '002002') {
								f7.alertMessage('办理此业务，请先进行身份认证');
								var timeIndex = setTimeout(function() {
									loadAppliancePage('authentication', {
					    				query: {
					    					fromPage: 'orderDetail',
					    					orderId: params.baseOrderId,
					    					goodsLogistics: params.goodsLogistics,
					    					orderDetailData: params.orderDetailData
					    				}
					    			});
									clearTimeout(timeIndex);
								}, 3000);
							}else if (params.baseBusinessType === '003001') {
								f7.alertMessage('办理此业务，请先进行身份认证');
								var timeIndex = setTimeout(function() {
									loadEducationPage('authentication', {
					    				query: {
					    					fromPage: 'orderDetail',
					    					orderId: params.baseOrderId,
					    				}
					    			});
									clearTimeout(timeIndex);
								}, 3000);
							}
						}
					},
					errorCallback: function(err) {}
				});
			}
			
			sendPadorderDetail(params.baseOrderId);

			//skapp数据收集：点击“继续下单”	
			TalkingData.onEventWithLabel('待付款订单详情页', '继续下单');
		});
		
		// 取消订单
		$('#orderCancleBtn').on('click', function() {
			// 清除定时器
			clearInterval(intervalOrderDetail);
			var cancelUrl = '/app/order/cancel';
			var cancelParams = {
				  orderId: params.baseOrderId,
				  userId: loginStatus.userId,
				  cancelType: '',
				  baseBusinessType: '006001',
				  orderStatus: '50'
			  }
			f7.modal({
				title : '',
				text : '是否确认取消订单',
				buttons : [ {
					text : '取消'
				}, {
					text : '确定',
					onClick : function() {
						callAppApi({
							url: cancelUrl,
							type: 'POST',
							params: cancelParams,
							successCallback: function(response) {
								orderCancel = true;
								if(isUpdate == '待审核'){  //未审核
									TalkingData.onEventWithLabel('待付款订单详情页', '取消订单');
								}
								
								f7.pullToRefreshTrigger($('.pull-to-refresh-content'))
							},
							errorCallback: function(err) {}
						});
					}
				}]
			});
		});

		  
		// 查看协议按钮
		if (params.orderInfo.orderStatus === '35' || params.orderInfo.orderStatus.slice(0, 1) === '4' || params.orderInfo.orderStatus.slice(0, 1) === '6') {
			
			var agreementType = '';
			if (params.baseBusinessType == '002001') {
				agreementType = '1';
			} else if (params.baseBusinessType == '002002') {
				agreementType = '5';
			} else if (params.baseBusinessType == '004001') {
				agreementType = '8';
			}
		}
	    
		// 重新上传action
		function reloadInfo(params){
			
			 var buttons1 = 
			    [
			        {
			            text: '拍摄',
			            onClick: function () {
			            	
			            	if (params.type === 'evidenceFrontIdCard') {
			            		takePicture('', '', 'evidenceFrontIdCard', reloadInfoSuccess, '', '');
			            	} else if (params.type === 'evidenceBackIdCard') {
			            		takePicture('', '', 'evidenceBackIdCard', reloadInfoSuccess, '', '');
			            	} else if (params.type === 'evidenceHoldIdCard') {
			            		takePicture('', '', 'evidenceHoldIdCard', reloadInfoSuccess, '', '');
			            	} else if (params.type === 'evidenceQualification1') {
			            		takePicture('', params.picId, 'evidenceQualification1', reloadInfoSuccess, '', '');
			            	} else if (params.type === 'evidenceQualification2') {
			            		takePicture('', params.picId, 'evidenceQualification2', reloadInfoSuccess, '', '');
			            	} else if (params.type === 'evidenceEducation') {
			            		takePicture('', params.picId, 'evidenceEducation', reloadInfoSuccess, '', '');
			            	} else if (params.type === 'patientMaterials') {
			            		takePicture('', params.picId, 'patientMaterials', reloadInfoSuccess, '', '');
			            	} else if (params.type === 'relationShipMaterials') {
			            		takePicture('', params.picId, 'relationShipMaterials', reloadInfoSuccess, '', '');
			            	}
			            }
			        },
			        {
			            text: '从相册选择',
			            onClick: function () {
			            	
			            	if (params.type === 'evidenceFrontIdCard') {
			            		choosePhoto('', '', 'evidenceFrontIdCard', reloadInfoSuccess, '', '');
			            	} else if (params.type === 'evidenceBackIdCard') {
			            		choosePhoto('', '', 'evidenceBackIdCard', reloadInfoSuccess, '', '');
			            	} else if (params.type === 'evidenceHoldIdCard') {
			            		choosePhoto('', '', 'evidenceHoldIdCard', reloadInfoSuccess, '', '');
			            	} else if (params.type === 'evidenceQualification1') {
			            		choosePhoto('', params.picId, 'evidenceQualification1', reloadInfoSuccess, '', '');
			            	} else if (params.type === 'evidenceQualification2') {
			            		choosePhoto('', params.picId, 'evidenceQualification2', reloadInfoSuccess, '', '');
			            	} else if (params.type === 'evidenceEducation') {
			            		choosePhoto('', params.picId, 'evidenceEducation', reloadInfoSuccess, '', '');
			            	} else if (params.type === 'patientMaterials') {
			            		choosePhoto('', params.picId, 'patientMaterials', reloadInfoSuccess, '', '');
			            	} else if (params.type === 'relationShipMaterials') {
			            		choosePhoto('', params.picId, 'relationShipMaterials', reloadInfoSuccess, '', '');
			            	}
			            }
			        }
			    ];
			 var buttons2 = 
			    [
			         {
			             text: '取消',
			             color: 'red'
			         }
			     ];
			 var groups = [buttons1, buttons2];
			 
			 f7.actions(groups);
		}
		
		// 上传成功
		function reloadInfoSuccess(token,i,u,t,data,imgId) {
			
			f7.hideIndicator();
			
			var picId = u;
			
			if (t === 'evidenceFrontIdCard') {
				$('#idCardFrontItem').removeClass('failure').addClass('success');
				$('#idCardFrontItem .item-pic img').attr('src',token.iobsCloudUrl);
//				$('#idCardFrontItem .item-pic').css('backgroundImage','url('+token.iobsCloudUrl+')')
				$('#idCardFrontItem .item-status').text('已上传');
				
				orderEvidenceFrontIdCardJson.map(function(item) {
					item.cloudKey = imgId;
					item.cloudUrl = token.iobsCloudUrl;
				});
			} else if (t === 'evidenceBackIdCard') {
				$('#idCardBackItem').removeClass('failure').addClass('success');
				$('#idCardBackItem .item-pic img').attr('src',token.iobsCloudUrl);
//				$('#idCardBackItem .item-pic').css('backgroundImage','url('+token.iobsCloudUrl+')')
				$('#idCardBackItem .item-status').text('已上传');
				
				orderEvidenceBackIdCardJson.map(function(item) {
					item.cloudKey = imgId;
					item.cloudUrl = token.iobsCloudUrl;
				});
			} else if (t === 'evidenceHoldIdCard') {
				$('#userIdCardItem').removeClass('failure').addClass('success');
				$('#userIdCardItem .item-pic img').attr('src',token.iobsCloudUrl);
//				$('#userIdCardItem .item-pic').css('backgroundImage','url('+token.iobsCloudUrl+')')
				$('#userIdCardItem .item-status').text('已上传');
				
				orderEvidenceHoldIdCardJson.map(function(item) {
					item.cloudKey = imgId;
					item.cloudUrl = token.iobsCloudUrl;
				});
			} else if (t === 'evidenceQualification1' || t === 'evidenceQualification2') {
				$('.order-detail-evidence-item').each(function(index, item) {
					
					if (item.getAttribute('data-picId') === picId) {
						item.classList.remove('failure');
						item.classList.add('success');
						
						if(t === 'evidenceQualification1'){
							$(this).find('img').attr('src',token.iobsCloudUrl);
						}else if(t === 'evidenceQualification2'){
							$(this).find('img').attr('src',token.iobsCloudUrl);
						}
						
						orderEvidenceQualificationJson.map(function(item) {
							if (item.picId === picId) {
								item.cloudKey = imgId;
								item.cloudUrl = token.iobsCloudUrl;
							}
						})
					}
				})
			}else if (t === 'evidenceEducation') {
				$('.order-detail-evidence-item').each(function(index, item) {
					
					if (item.getAttribute('data-picId') === picId) {
						item.classList.remove('failure');
						item.classList.add('success');
							$(this).find('img').attr('src',token.iobsCloudUrl);
							orderEvidenceEducationJson.map(function(item) {
							if (item.picId === picId) {
								item.cloudKey = imgId;
								item.cloudUrl = token.iobsCloudUrl;
							}
						})
					}
				})

			}else if (t === 'patientMaterials') {
				$('.order-detail-evidence-item').each(function(index, item) {
					
					if (item.getAttribute('data-picId') === picId) {
						item.classList.remove('failure');
						item.classList.add('success');
						$($(item).children()[1]).hide(); //上传成功隐藏瑕疵点
							$(this).find('img').attr('src',token.iobsCloudUrl);
							orderPatientMaterialsArr.map(function(item) {
							if (item.picId === picId) {
								item.cloudKey = imgId;
								item.cloudUrl = token.iobsCloudUrl;
							}
						})
					}
				})
			}else if (t === 'relationShipMaterials') {
				$('.order-detail-evidence-item').each(function(index, item) {
					
					if (item.getAttribute('data-picId') === picId) {
						item.classList.remove('failure');
						item.classList.add('success');
						$($(item).children()[1]).hide(); //上传成功隐藏瑕疵点
							$(this).find('img').attr('src',token.iobsCloudUrl);
							orderRelationShipMaterialsArr.map(function(item) {
							if (item.picId === picId) {
								item.cloudKey = imgId;
								item.cloudUrl = token.iobsCloudUrl;
							}
						})
					}
				})
			}
			activeReloadInfoButton();
			sendPadorderDetail(params.baseOrderId);
		}
		
		// 解锁提交审核按钮
		function activeReloadInfoButton() {
			
			if(params.orderDetailInfo){
				// 判断患者证明材料是否更新
				if( params.orderDetailInfo.patientMaterials){
					var oldOrderPatientMaterialsArr = JSON.parse(params.orderDetailInfo.patientMaterials);
					var patientMaterialsStatus = oldOrderPatientMaterialsArr.every(function(item, index) {
						if (item.checkResult === false && item.cloudKey !== orderPatientMaterialsArr[index].cloudKey) {
							return true;
						} else if (item.checkResult === true) {
							return true;
						} else {
							return false;
						}
					});
				}
				
				// 判断关系证明材料是否更新
				if( params.orderDetailInfo.relationShipMaterials){
					var oldOrderRelationShipMaterialsArr = JSON.parse(params.orderDetailInfo.relationShipMaterials);
					var relationShipMaterialsStatus = oldOrderRelationShipMaterialsArr.every(function(item, index) {
						if (item.checkResult === false && item.cloudKey !== orderRelationShipMaterialsArr[index].cloudKey) {
							return true;
						} else if (item.checkResult === true) {
							return true;
						} else {
							return false;
						}
					});
				}

				if (
						(params.orderDetailInfo.relationShipMaterials && patientMaterialsStatus === true && relationShipMaterialsStatus === true) ||
						(!params.orderDetailInfo.relationShipMaterials && patientMaterialsStatus === true)
					) {
					$('#orderDetailAuditBtn').removeAttr('disabled').removeClass('false');
				}
			}
			
		
		}
		
		
		//用户重新确认点击事件
		$('#orderReConfirmBtn').on('click',function(){
			
			var alertText = null;
			alertText = '本人确认上述商品证明材料为本人提供的租赁物购买证明'
			callAppApi({
				url: '/app/updateOrderConfirm',
				type: 'POST',
				params: {
					orderId: params.baseOrderId,
					userId: loginStatus.userId,
					orderStatus: '40',
					completionConfirmAlertText:alertText,
					distributionAddressLatitude:'',//配送地址纬度
					distributionAddressLongitude:''//配送地址经度
	
				},
				successCallback: function(response) {
					$('#orderReConfirmBtn').addClass('hide-btn');
	//				if(params.goodsPlanId == ''){  //纯分期、家电
						var reConfirmModel = f7.modal({
				  			title: '<p class="reConfirm-modal-title">信息确认</p>',
				  			text:  '<div class="reConfirm-modal-content">'+
							  	      '<p>'+alertText+'</p>'+
							     	'</div>'
				  		});
	//				}
					setTimeout(function(){
						f7.closeModal(reConfirmModel);
						f7.pullToRefreshTrigger($('#orderDetailRefresh'));
					}, 3000)
				},
				errorCallback: function(err) {}
			});
		
		})
		
		//用户取消(退款)订单状态说明
		  //7X-退款状态: 
			//701-支付完成用户发起取消订单，
			//702-用户发起退款申请，
			//703-上传发票超时系统发起退款申请，
			//704-复核不通过系统发起退款申请，
	        //721-用户取消发起退款申请通过，
			//722-用户发起退款申请通过，
			//723-上传发票超时系统发起退款申请通过，
			//724-复核不通过系统发起退款申请通过
	        //740-退款申请不通过

		  $('#userRefundBtn').on('click', function() {
				f7.modal({
					title : '',
					text:  '<div class="model-block">'+
						  	      '<div id="refundBlock">'+
							          '<p class="refund-notice">您的取消订单申请将提交至办理店员处进行审核，是否确认取消订单？</p>'+
							           '<textarea placeholder="请输入取消订单原因"  class="refund-reason" id="refundReason"></textarea>'+
							      '</div>'+
							      '<div id="canclePrompt" class="hide" style="color: red">* 取消订单原因不能为空</div>' +
					        '</div>',
					buttons : [ {
						text : '取消'
					}, {
						text : '确定',
						close: false,
						onClick : function() {
							if ($('#refundBlock .refund-reason').val()==="") {$('#canclePrompt').removeClass("hide"); return false};
							var refundReason=$('#refundReason').val()
							
							callAppApi({
								url: '/app/updateOrderRefundMsg',
								type: 'POST',
								params: {
									orderId: params.baseOrderId,
									userId: loginStatus.userId,
									orderStatus: '701',
									lastStatus:'',//回滚前状态记录
									refundReason:refundReason,//退款原因
									rejectRefundReason:''//店员拒绝退款原因
									
								},
								successCallback: function(response) {
									f7.closeModal('.modal');
									//f7.pullToRefreshTrigger($('#orderDetailRefresh'));
									var timeCancle = setTimeout(function() {
										mainView.loadPage('order.html');
									}, 3000);
								},
								errorCallback: function(err) {}
							});
						}
					}]
				});
				$('#refundBlock').parent().parent().parent().parent().css({
					position: 'absolute',
					top: '50%',
					left: '5%',
					display: 'block',
					width: '90%',
					margin: '-242px 5% 0 0'
				});
				$('#refundReason').on('keyup', function() {
					if ($('#refundBlock .refund-reason').val()!=="") {
						$('#canclePrompt').addClass("hide");
					}else{
						$('#canclePrompt').removeClass("hide")
					};
				})
		  })
		  
			//用户取消订单执行退款
		  $('#applicationDrawback').on('click', function() {//店员超时未处理 状态702;运维平台订单审核未通过 703
				f7.modal({
					title : '',
					text:  '您的订单退款申请将提交至办理店员处进行处理，是否确认申请退款？',
					buttons : [ {
						text : '取消'
					}, {
						text : '确定',
						close: false,
						onClick : function() {
							callAppApi({
								url: '/app/updateOrderRefundMsg',
								type: 'POST',
								params: {
									orderId: params.baseOrderId,
									userId: loginStatus.userId,
									orderStatus: '702',
									lastStatus:'',//回滚前状态记录
									refundReason:'',//退款原因
									rejectRefundReason:''//店员拒绝退款原因
									
								},
								successCallback: function(response) {
									f7.closeModal('.modal');
									var timeCancle = setTimeout(function() {
										mainView.loadPage('order.html');
									}, 3000);
								},
								errorCallback: function(err) {}
							});
						}
					}]
				});

		  })
			
		// 用户重新确认倒计时
		if (mainView.activePage.name === 'orderDetail' && params.orderInfo.orderStatus == '35'&& params.baseBusinessType !== '004001' && params.baseBusinessType !== '004002') {
			var alertText = null;  //显示的字段，需要存入数据库
			var reConfirmOrderChangeTime = Date.parse(params.orderInfo.orderStateChangeTime.slice(0, 19).replace(/-/g, '/'));
			var reConfirmOrderNowTime = Date.now();
	    	var reConfirmTimeLimit = 10 * 60 * 1000;  //10分钟
	    	var reConfirmTimeDiff = reConfirmOrderNowTime - reConfirmOrderChangeTime;
			
			if (reConfirmTimeDiff < reConfirmTimeLimit) {
				var reConfirmCountDownTime = Math.floor(reConfirmTimeLimit / 1000 - reConfirmTimeDiff / 1000);
				clearInterval(intervalReConfirm);
				
				intervalReConfirm = setInterval(function() {
					reConfirmCountDownTime -= 1;
					
					if (reConfirmCountDownTime > 0) {
	    				var min = Math.floor(reConfirmCountDownTime / 60) < 10 ? '0' + Math.floor(reConfirmCountDownTime / 60) : Math.floor(reConfirmCountDownTime / 60);
	    				var sec = Math.floor(reConfirmCountDownTime - min * 60) < 10 ? '0' + Math.floor(reConfirmCountDownTime - min * 60) : Math.floor(reConfirmCountDownTime - min * 60);
	    				
	    				var countDownStr = min + ' : ' + sec;
	    				
	    				$('#reConfirmTimeLimit').text(countDownStr);
					} else {  //超出10分钟后端处理
						clearInterval(intervalReConfirm);
						$('#orderReConfirmBtn').addClass('hide-btn')
					}
				}, 1000);
			}else{  //超出10分钟后端处理
				clearInterval(intervalReConfirm);
				$('#orderReConfirmBtn').addClass('hide-btn')
			}
		}
		
		  //----------------------------------------------------------------------------退货开始------------------------------------------------------//
		//订单状态为已完成‘4X’用户可以点击“取消分期”（退货）
		  /*$('#userReturnGoodsBtn').on('click', function() {
				f7.modal({
					title : '',
					text:  '<div class="model-block">'+
						  	      '<div id="ReturnGoodsBlock">'+
							          '<p class="refund-notice">您的申请将提交至办理店员处进行审核，若审核通过需先结清账单款项，再进行线下其他手续办理，是否确认提交申请？</p>'+
							           '<textarea placeholder="请输入取消原因"  class="refund-reason" id="ReturnGoodsReason"></textarea>'+
							      '</div>'+
							      '<div id="ReturnGoodsPrompt" class="hide" style="color: red">* 请输入取消原因</div>' +
					        '</div>',
					buttons : [ {
						text : '取消'
					}, {
						text : '确定',
						close: false,
						onClick : function() {
							var returnGoodsReason =$('#ReturnGoodsReason').val()
							returnGoodsReason=returnGoodsReason.trim()
							if (returnGoodsReason==="") {$('#ReturnGoodsPrompt').removeClass("hide"); return false};
							//var returnGoodsReason =$('#ReturnGoodsReason').val()
							
							callAppApi({
								url: '/app/reqApplyReturnGoods',
								type: 'POST',
								params: {
									orderId : params.baseOrderId,
									userId : loginStatus.userId,
									orderStatus :params.orderInfo.orderStatus,
									returnGoodsReason :returnGoodsReason ,//退款原因		
									baseBusinessType:params.baseBusinessType
								},
								successCallback: function(response) {
									f7.closeModal('.modal');
									f7.alert('申请成功，店员将在24小时内进行处理，请您耐心等待');
									$$('#userReturnGoodsBtn').attr('disabled', true);
									var timeCancle = setTimeout(function() {
										mainView.loadPage('order.html');
									}, 3000);
								},
								errorCallback: function(err) {

								}
							});
						}
					}]
				});
				$('#refundBlock').parent().parent().parent().parent().css({
					position: 'absolute',
					top: '50%',
					left: '5%',
					display: 'block',
					width: '90%',
					margin: '-242px 5% 0 0'
				});
				$('#ReturnGoodsReason').on('keyup', function() {
					var returnGoodsReason =$('#ReturnGoodsReason').val()
					returnGoodsReason=returnGoodsReason.trim()
					if (returnGoodsReason!=="") {
						$('#ReturnGoodsPrompt').addClass("hide");
					}else{
						$('#ReturnGoodsPrompt').removeClass("hide")
					};
				})
		  })*/
		  //----------------------------------------------------------------------------退货结束------------------------------------------------------//
		//------------------------------------健康医疗瑕疵点展示-------------------------------------------//
			//瑕疵点查看事件
				var timer=setTimeout(function(){
					$$(".upload-PatientMaterials-item").off('click').on('click', function() {
						var index=$(this).parent().index();
						var id=$(this).parent().parent().attr("id");
						switch (id){
						case 'orderPatientMaterialsArr':var checkResultArray=orderPatientMaterialsArr[index].checkResultArray;
													var checkContent=orderPatientMaterialsArr[index].otherContent;
													break;
						case 'orderRelationShipMaterialsArr':var checkResultArray=orderRelationShipMaterialsArr[index].checkResultArray;
													var checkContent=orderPatientMaterialsArr[index].otherContent;
													break;
						}
						var recheckResult2 = {
								'0':'无瑕疵',
					            '1':'不清晰/不完整',
					            '2':'未显示关键信息',
					            '3':'超出有效期',
					            '4':'疑似造假',
					            '5':'其他'
					        };
						var newArray=checkResultArray.map(function(obj){
							return obj=(obj+'').slice(-1);
						})
						if(newArray[1]!='5'){
							var content="审核结果:"+recheckResult2[newArray[1]];
						}else{
							var content="审核结果:其他:"+checkContent[1];
						}
						f7.modal({
				  			title: '',
				  			text:  '<div class="model-title">'+content+'</div>',
				  			buttons: [
				  				{
				  					text: '<span>确定</span>',
				  					onClick: function(){
				  						f7.closeModal();  						
				  					}
				  				}
				  			]
				  		});
						window.event? window.event.cancelBubble = true : e.stopPropagation();
					})
				},500)
				
		if ((params.orderInfo.orderStatus === '35'|| params.orderInfo.orderStatus.slice(0, 1) === '4' || params.orderInfo.orderStatus.slice(0, 1) === '6' || params.orderInfo.orderStatus === '36') &&  params.baseBusinessType =="006001" ) {
			$('#orderProtocolBtn').on('click', function() {
				if(params.orderInfo.orderStatus == "35" || params.orderInfo.orderStatus == "36"){
					callWebHtml({
						url: '/agreement/agrTemplateLeaseBack',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							orderId: params.orderId,
							templateId: "14",
							baseBusinessType:"006001"
						},
						successCallback: function(response) {
							$('#orderDetailPopup').html(protocolFrame({
								protocolId: "agreementAssignmentDebtEducation",
								protocolName: "《售后回租合同》",
								protocolWidth: $('body').width(),
								protocolHeight: $('body').height() - 56
							}));
							$$("#agreementAssignmentDebtEducation").contents().find("html")[0].innerHTML = response;
							f7.popup('#orderDetailPopup');
						},
						errorCallback: function() {}
					});
				}else{
					callAppApi({
						url: '/service/agreement/getUrl',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							orderId: params.baseOrderId,
							agreementType: "14"
						},
						successCallback: function(response) {
							var protocolPicArr = response.picCloudUrls;
							
							if ($.isArray(protocolPicArr) && protocolPicArr.length > 0) {
								utilities.clickDelay('myPhotoBrowser', function(){
									f7.photoBrowser({
										zoom: true,
										swiperToClose: false,
										lazyLoading: true,
										photos: protocolPicArr
									}).open();
								}, 500)
								
							} else {
								f7.alert('暂时没有生成协议展示。')
							}
						},
						errorCallback: function() {}
					});
				}
					
			});
		}	
	  }
  
  
  function render(params) {
	clearInterval(intervalOrderDetail);
	
	var picDataArr = [];
	
	var addPicDataArr = [];//回退补充的图片数组
	var otherEvidenceShow = true;//是否补充其他材料
	
	
	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	
	if(params.baseBusinessType=="004001"||params.baseBusinessType=="004002"){
//		家庭套购 家装分期分期方案显示
		var goodPaymentDetail=params.stagePlanData.paymentDetail || [];
		var goodFamilyPaymentDetailHtml='';
		goodPaymentDetail.map(function(item,index){
			goodFamilyPaymentDetailHtml = goodFamilyPaymentDetailHtml +
				'<div class="model-list-item">'+
				'<div class="model-list-number model-list-bill">第'+item.periodNo+'期</div>' +
				'<div class="model-list-pay model-list-bill">'+getFormatPrice(item.payAmount)+'元</div>' +
			'</div>' 
		})
	}
	
	//页面跳转标识 lisai 2017年5月9日14:24:21
	var orderFaceCount= params.orderDetailData.orderFaceCount
	var orderFaceErrorCount= params.orderDetailData.orderFaceErrorCount
	if (!orderFaceCount){
		orderFaceCount = '0';
	}
	if (!orderFaceErrorCount){
		orderFaceErrorCount = '0';
	}
	orderFaceCount=parseInt(orderFaceCount);
	orderFaceErrorCount=parseInt(orderFaceErrorCount);
	var orderFaceSuccessCount=parseInt(orderFaceCount-orderFaceErrorCount);
	var orderEvidenceHoldIdCard=params.orderDetailData.orderEvidenceHoldIdCard;

	f7.onPageBack('orderDetail', function() {
		f7.showToolbar('#toolbar');
	});
	
	var isUpdate = $('.order-check-status-item').text();
	if(isUpdate == '待付款' && !orderCancel){
		TalkingData.onPage('待付款订单详情页');
	}else if(isUpdate == '待审核' && !orderCancel){
		TalkingData.onPage('等待审核订单详情页');
	}

	loadComponent('navbar', 'common', {
		container: '#orderDetailNavbar',
		title: '订单详情',
		backId: 'orderDetailBackBtn',
		isBackIcon: true,
		isBack: false
	});
	
	var backTime = setTimeout(function() {
		$('#orderDetailBackBtn').off('click').on('click', function() {
			if(params.fromPage=="billing"){
				mainView.router.load({
					url : 'billing.html',
					query : {
						fromPage: 'orderDetail',
						orderId:params.orderId,
						baseBusinessType: params.baseBusinessType,
					}
				});
			}else{
				// 删除注册的setInterval
				clearInterval(intervalOrderDetail);
				
				//skapp数据收集：返回
				if(isUpdate == '待付款' && !orderCancel){
					TalkingData.onEventWithLabel('待付款订单详情页', '返回');
				}else if(isUpdate == '待审核' && !orderCancel){
					TalkingData.onEventWithLabel('等待审核订单详情页', '返回');
				}
				
		  		mainView.router.back({
		  			url: 'order.html',
		  			force: true
		  		});
		  		f7.showToolbar('#toolbar');
			}
		});
		clearTimeout(backTime);
	}, 500);

	//lisai2017年5月8日17:04:42
	var orderStatusPrompt='';
	if(params.orderStatus==='821'&& params.returnGoodsAgreeTime!==undefined){
			if(params.returnGoodsAgreeTime!==''){
				var orderCancelTime1=params.returnGoodsAgreeTime.split(' ')[0]
		 		var orderCancelTime2=params.returnGoodsAgreeTime.split(' ')[1]
		 		var orderCancelTimeYear=orderCancelTime1.split('-')[0];
		 		var orderCancelTimeMonth= orderCancelTime1.split('-')[1];
		 		var orderCancelTimeDay=orderCancelTime1.split('-')[2];
		 		var orderCancelTimeHour=orderCancelTime2.split(':')[0];
		 		var orderCancelTimeMinute=orderCancelTime2.split(':')[1];
		 		var ReturnGoodsTimes=orderCancelTimeYear+'年'+orderCancelTimeMonth+'月'+orderCancelTimeDay+'日'+orderCancelTimeHour+'时'+orderCancelTimeMinute+'分'
		 		var ReturnGoodsTimesText='取消时间:'+ ReturnGoodsTimes + '<br>您提交的“取消分期”申请已通过审核，请您在24小时内至我的账单页进行款项结清，超时未结清将导致本次申请失效。结清账单后请联系办理店员进行线下手续办理。';
		 		orderStatusPrompt=ReturnGoodsTimesText;
			}		 		
		}else{
			orderStatusPrompt=params.orderStateChangeNotes
		}	 
	var newOrderStatusView = "";
	if(params.baseBusinessType == "003001" || params.baseBusinessType == "004002"){
		 newOrderStatusView = getEducationGetOrderView(params.orderStatus);
	}else{
		 newOrderStatusView = getOrderView(params.orderStatus);
	}
	
	if (params.baseBusinessType === '003001') {
	    $('#orderDetailContent').html(orderDetailTemplate({
	        orderStatus: params.orderStatus,
	        orderStatusView: newOrderStatusView,
	        goodsLogistics:params.goodsLogistics,
	        baseBusinessType:params.baseBusinessType,
	        auditInfoStatus: params.auditInfoRes.auditInfoStatus.slice(0,1)
	        
	    }));
	} else {
	    $('#orderDetailContent').html(orderDetailTemplate({
	        orderStatus: params.orderStatus,
	        orderStatusView: newOrderStatusView,
	        goodsLogistics:params.goodsLogistics,
	        baseBusinessType:params.baseBusinessType,
	        
	    }));
	}
	
	$('#orderDetailStatusArea').html(orderStatusTemplate({
		orderId: params.orderId,
		orderStatus: params.orderStatus,
		orderStatusView: newOrderStatusView,
		orderStatusPrompt: orderStatusPrompt,//拒绝退款原因展示
		orderType: params.baseBusinessType,
	}));
	
	//退货7天有限期检测lisai 2017年5月10日10:41:18
	var ReturnValidity=false;//是否在退货有效期内判断标识
	if(params.orderStatus.slice(0, 1) == "4" || params.orderStatus==="35" || params.orderStatus==="801" || params.orderStatus==="821"){
		callAppApi({
			url: '/api/checkOrderTimeOut',
			type: 'POST',
			params: {
				orderId: params.orderId,
				userId: loginStatus.userId,
				orderTimeOutType: '3'
			},
			successCallback: function(response) {
				if(response.checkResult===false){
					ReturnValidity=true;
					$$('#userReturnGoodsBtn').removeClass('hide');
					//系统未反馈本次申请处理结果前，无法再次点击“取消分期”按钮进行再次申请
					if (params.orderStatus==='801' || params.orderStatus==='821'){
						$$('#userReturnGoodsBtn').attr('disabled', true);
					}
				}
			},
			errorCallback: function(err) {
			}
		});
	}
	
	
	
	// 订单被审核不通过拉黑提示
	if (params.orderStatus === '58') {
		f7.alert('很抱歉，您暂时无法办理该业务，感谢关注！');
	}
	
	//家电特殊处理（不拼配置）
	var goodsConfig = params.goodsItemConfigure;
	if(params.baseBusinessType=="002002" || params.baseBusinessType=="002001"){
		goodsConfig = "";
	}
	var orderInfoData = {
		goodsInfo: {
			name: params.goodsSellName,
			config: goodsConfig,
			color: params.goodsItemColor,
			price: getFormatPrice(params.orderProductPrice) + '元',
			orderStatus: params.orderStatus,				// 订单状态
			orderGoodsNumber: params.orderGoodsNumber,	    // 商品串号
			contractPhone: params.orderContractNumber,		// 合约号码
//			product: {
//				key: '分期产品',
//				value: params.goodsProductName
//			},
//			plan: {
//				key: '套餐名称',
//				value: params.goodsPlanName
//			},
//			stagingNum: {
//				key: '期数',
//				value: params.goodsSuiteStageNumber + '期'
//			},
//			firstPay: {
//				key: '期初支付',
//				value: params.goodsSuitePayFirstPrice + '元'
//			},
//			selfPay: {
//				key: '自付金额',
//				value: params.goodsSuitePayInitialPrice + '元'
//			},
//			stagingPay: {
//				key: '每期还款',
//				value: params.goodsSuiteStagePrice + '元'
//			}
			list:[
					{
						key: '分期产品',
						value: params.goodsProductName
					},
					{
						key: '套餐名称',
						value: params.goodsPlanName
					},
					{
						key: '期数',
						value: params.goodsSuiteStageNumber + '期'
					},
					{
						key: '期初支付',
						value: getFormatPrice(params.goodsSuitePayFirstPrice) + '元'
					},
					{
						key: '自付金额',
						value: getFormatPrice(params.goodsSuitePayInitialPrice) + '元'
					},
					{
						key: '每期还款',
						value: getFormatPrice(params.goodsSuiteStagePrice) + '元'
					}
				],
		}
	};
	
	var educationOrderInfoData = {
			goodsInfo: {
				name: params.courseName,
				price: getFormatPrice(params.orderProductPrice) + '元',
				orderStatus: params.orderStatus,				// 订单状态
				list:[
//						{
//							key: '商品名称',
//							value: params.courseName
//						},
//						{
//							key: '商品价格',
//							value: params.coursePrice + "元"
//						},
//						{
//							key: '课程开始时间',
//							value: params.courseStartDate 
//						},
//						{
//							key: '课程结束时间',
//							value: params.courseEndDate
//						},
						{
							key: '分期产品',
							value: params.goodsProductName
						},
						{
							key: '分期金额',
							value: getFormatPrice(params.goodsSuiteStagePrice) + '元'
						},
						{
							key: '期数',
							value: params.goodsSuiteStageNumber + '期'
						},
						{
							key: '期初支付',
							value: getFormatPrice(params.goodsSuitePayFirstPrice) + '元'
						},
						{
							key: '线下支付',
							value: getFormatPrice(params.goodsSuitePayInitialPrice) + '元'
						},
//						{
//							key: '租金总额',
//							value: params.goodsSuiteTotalAmount + '元'
//						},
						{
							key: '分期明细',
							value: "查看详情>",
							id:"billEducationDetail"
						},
						{
							key: '课程协议名称',
							value: params.contractTitle 
						},
						{
							key: '协议签订时间',
							value: params.contractSignDate 
						},
						
						
				      ],
//				courseName: {
//					key: '课程名称',
//					value: params.courseName
//				},
//				coursePrice: {
//					key: '课程价格',
//					value: params.coursePrice
//				},
//				courseStartDate: {
//					key: '课程开始时间',
//					value: params.courseStartDate 
//				},
//				courseEndDate: {
//					key: '课程结束时间',
//					value: params.courseEndDate
//				},
//				product: {
//					key: '分期产品',
//					value: params.goodsProductName
//				},
//				stagingNum: {
//					key: '期数',
//					value: params.goodsSuiteStageNumber + '期'
//				},				
//				firstPay: {
//					key: '期初支付',
//					value: params.goodsSuitePayFirstPrice + '元'
//				},
//				selfPay: {
//					key: '自付金额',
//					value: params.goodsSuitePayInitialPrice + '元'
//				},
//				totalAmount: {
//					key: '租金总额',
//					value: params.goodsSuiteTotalAmount + '元'
//				},			
			}
		};
	if(params.baseBusinessType=="004001"||params.baseBusinessType=="004002"){
		var stagePlanDescription=params.stagePlanList[0].stagePlanDescription;
		var goodsSuiteStagePrice=params.stagePlanList[0].goodsSuiteStagePrice;
		var goodsSuiteTotalAmount=params.stagePlanList[0].goodsSuiteTotalAmount;
		var goodsSuiteStageNumber=params.stagePlanList[0].goodsSuiteStageNumber;
		var stagePlanProduct= stagePlanDescription.split("；")[0].split("：")[1];
	}
	
	var creditOrderInfoData = {
			goodsInfo:{
				name: params.goodsDescription,
				orderStatus: params.orderStatus,				// 订单状态
				baseBusinessType: params.baseBusinessType,
				product: {
					key: '分期方案',
					value:stagePlanProduct,
					
				},
				price: {
					key: '分期总额',
					value:goodsSuiteStagePrice,
					
				},
				totalAmount: {
					key: '租金总额',
					value:goodsSuiteTotalAmount,
					
				},
				stageNumber: {
					key: '期数',
					value:goodsSuiteStageNumber,					
				},
				deliveryAddress: {
					key: '配送信息',
					value:params.deliveryAddress,
					name:params.userName,
					phone:params.userPhone
				}
			}
		};

	if (params.baseBusinessType==="003001") {
//		$('#orderDetailInfoArea').html(educationOrderInfoTemplate(educationOrderInfoData));
//		$('#orderDetailPlanArea').html(educationOrderPlanDeTemplate(educationOrderInfoData));

		$('#orderDetailPlanArea').html(orderInfoTemplate(educationOrderInfoData));
	} else if(params.baseBusinessType==="004001"||params.baseBusinessType==="004002"){
		$('#orderDetailInfoArea').html(creditOrderInfoTemplate(creditOrderInfoData));
	} else {
		$('#orderDetailInfoArea').html(orderInfoTemplate(orderInfoData));
	}
	
	//lisai 定义获取配送地址页面及数据
	var orderAddressData = {
		addressInfo: {
			name: params.goodsSellName,
			config: params.goodsItemConfigure,
			color: params.goodsItemColor,
			price: params.orderProductPrice + '元',
			orderStatus: params.orderStatus,				
			orderGoodsNumber: params.orderGoodsNumber,		
			name: {
				key: '联系人',
				value: params.consigneeName
			},
			phone: {
				key: '联系方式',
				value: params.consigneePhone
			},
			address: {
				key: '配送地址',
				value: params.deliveryProvinceName+params.deliveryCityName+params.deliveryAreaName+params.deliveryStreet+params.deliveryDetailed
			},
			postCode: {
				key: '邮政编码',
				value: params.deliveryPostCode
			}
		}
	};
	// 家电有物流情况下显示配送信息
	$('#orderShippingAddress').html(orderShippingAddressTemplate(orderAddressData));

		
	// 声明APP端是否审核
	var orderCancel = false;
	
	if(params.baseBusinessType!="004001" && params.baseBusinessType!="004002" && params.baseBusinessType != '005001' && params.baseBusinessType != '003001'){
		var orderEvidenceFrontIdCardJson = params.orderEvidenceFrontIdCard !== '' ? JSON.parse(params.orderEvidenceFrontIdCard) : [];
		var orderEvidenceBackIdCardJson = params.orderEvidenceBackIdCard !== '' ? JSON.parse(params.orderEvidenceBackIdCard) : [];
		
		var orderEvidenceHoldIdCardJson = params.orderEvidenceHoldIdCard !== '' ? JSON.parse(params.orderEvidenceHoldIdCard) : [];
		var orderEvidenceQualificationJson = params.orderEvidenceQualification !== '' ? JSON.parse(params.orderEvidenceQualification) : [];
		var orderEvidenceWorkJson = params.orderEvidenceWork !== '' ? JSON.parse(params.orderEvidenceWork) : [];
		var orderEvidenceDwellingJson = params.orderEvidenceDwelling !== '' ? JSON.parse(params.orderEvidenceDwelling) : [];
		var orderEvidenceOtherJson = params.orderEvidenceOther !== '' ? JSON.parse(params.orderEvidenceOther) : [];
	}else{
		var orderEvidenceFrontIdCardJson =  [];
		var orderEvidenceBackIdCardJson =  [];
		
		var orderEvidenceHoldIdCardJson =  [];
		var orderEvidenceQualificationJson = [];
		var orderEvidenceWorkJson =  [];
		var orderEvidenceDwellingJson =[];
		var orderEvidenceOtherJson =[];
	}
	
	
//	if(params.baseBusinessType==="003001"){
//		var orderEvidenceEducationJson = params.orderEvidenceEducation !== '' ? JSON.parse(params.orderEvidenceEducation) : [];
//	}else{
//		var orderEvidenceEducationJson ='';
//	}
	
	//教育图片数据
	if(params.auditInfoRes && params.auditInfoRes.picList != null && params.auditInfoRes.picList != '[]' && params.auditInfoRes.picList){
		picDataArr = params.auditInfoRes.picList;
	}
	
	//学生教育图片回显
	/*params.auditInfoRes.creditStatus = '6';
	params.auditInfoRes.auditInfoStatus = '501';*/
	if(params.auditInfoRes && params.orderStatus && params.auditInfoRes.creditStatus == '6'){
		if(params.orderStatus =="15" && params.auditInfoRes.auditInfoStatus == '501'){
			if(params.baseBusinessType ==="003001"){
				$('#orderDetailEducation').html(orderEducationTemplate({
					picList: picDataArr
				}));
				activeReloadInfoButton()
			}
		}
	}
	
	//默认隐藏
	$$('.upload-evidence-education-list').each(function(i,v){
		if($$(v).children('.failSign').length <= 4 ){
			$$(v).children('.order-detail-more').hide();
		}else{
			$$(v).children('.failSign').each(function(index,value){
				if(index >= 4){
					$$(value).hide();
				}
			})
		}
		
	})
	//点击更多事件
	$(".order-detail-more").on("click",function(){
		var that = this;
		$(that).parent().children('.failSign').each(function(i,v){
			if(i >= 4){
				if($$(v).css("display") !=="none"){									
					$$(that).removeClass("hide-show-more");
					$$(that).find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailShow.png)")
					$$(v).slideUp(200);
				}else{
					$$(that).addClass("hide-show-more");
					$$(v).slideDown(200);
					$$(that).find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailHide.png)")
				}
				
			}
		})
		
	})
	
	
	
	if(params.baseBusinessType==="004001"||params.baseBusinessType==="004002"){
		//预授信商品发票
//		var orderEvidenceInvoiceCredit=params.orderEvidenceInvoice == '[]'?[]:JSON.parse(params.orderEvidenceInvoice);
		if(params.orderEvidenceInvoice=="[]"||params.orderEvidenceInvoice==""){
			var orderEvidenceInvoiceCredit=[]
		}else{
			var orderEvidenceInvoiceCredit=JSON.parse(params.orderEvidenceInvoice);
		}
		var orderEvidenceInvoiceCreditShow = [];
		orderEvidenceInvoiceCredit.map(function(item){
			if(item.isShow == true){
				orderEvidenceInvoiceCreditShow.push(item)
			}
		})	
		//预授信确认函
		//var goodsCertificationMaterials=params.goodsCertificationMaterials=='[]'?[]:JSON.parse(params.goodsCertificationMaterials);
//		if(params.goodsCertificationMaterials=="[]"||params.goodsCertificationMaterials==""){
//			var goodsCertificationMaterials=[]
//		}else{
//			var goodsCertificationMaterials=JSON.parse(params.goodsCertificationMaterials);
//		}
		
	}
	
	
	if((params.baseBusinessType==="004001" || params.baseBusinessType==="004002" )&& orderEvidenceInvoiceCreditShow.length>0){
		$('#orderDetailEvidence').html(orderCreditTemplate({
			orderStatus: params.orderStatus,
			orderEvidenceInvoiceCredit: orderEvidenceInvoiceCreditShow,
			baseBusinessType:params.baseBusinessType,
		}));
	}
	
	//预与授信确认按钮点击事件
	if(params.baseBusinessType==="004001"||params.baseBusinessType==="004002"){
		if(params.orderStatus=="35"){
			$(".order-check-status-item").html("待确认");
			$(".order-check-status-item").removeClass("icon-order-complete").addClass("icon-order-wait-receive");
		}
		
	}

	//var orderEvidenceInvoiceJson = params.orderEvidenceInvoice !== '' ? JSON.parse(params.orderEvidenceInvoice) : [];
//	var orderGoodsEvidenceJson = params.goodsEvidence !== '' ? JSON.parse(params.goodsEvidence) : [];
	var orderEvidenceInvoiceJson=[];
	
	if (params.goodsLogistics !== undefined)	{
		if(params.goodsLogistics!=='1') {//无物流
			if(params.orderEvidenceInvoice.length > 0){//Array.isArray(params.orderEvidenceInvoice) &&
				orderEvidenceInvoiceJson=JSON.parse(params.orderEvidenceInvoice)
			}
		} else if(params.goodsLogistics==='1') {//有物流
			if(params.goodsEvidence.length > 0){
				orderEvidenceInvoiceJson=JSON.parse(params.goodsEvidence)
			}
		} 
	}else {
		orderEvidenceInvoiceJson=[];
	}


	var orderEvidenceQualification1Arr = [];
	var orderEvidenceQualification2Arr = [];
	var orderEvidenceQualification3Arr = [];
	
	if (params.orderStatus === '15') {
		
		if(params.baseBusinessType!=="003001"){
			activeReloadInfoButton();
			
			if (orderEvidenceHoldIdCardJson.length > 0) {
				$('#orderDetailIdCard').html(idCardTemplate({
					frontIdCardStatus: orderEvidenceFrontIdCardJson[0].checkResult,
					frontIdCardKey: orderEvidenceFrontIdCardJson[0].cloudKey,
					frontIdCardUrl: orderEvidenceFrontIdCardJson[0].cloudUrl,
					backIdCardStatus: orderEvidenceBackIdCardJson[0].checkResult,
					backIdCardKey: orderEvidenceBackIdCardJson[0].cloudKey,
					backIdCardUrl: orderEvidenceBackIdCardJson[0].cloudUrl,
					holdIdCardExist: true,
					holdIdCardStatus: orderEvidenceHoldIdCardJson[0].checkResult,
					holdIdCardKey: orderEvidenceHoldIdCardJson[0].cloudKey,
					holdIdCardUrl: orderEvidenceHoldIdCardJson[0].cloudUrl
				}));
			} else {
				$('#orderDetailIdCard').html(idCardTemplate({
					frontIdCardStatus: orderEvidenceFrontIdCardJson[0].checkResult,
					frontIdCardKey: orderEvidenceFrontIdCardJson[0].cloudKey,
					frontIdCardUrl: orderEvidenceFrontIdCardJson[0].cloudUrl,
					backIdCardStatus: orderEvidenceBackIdCardJson[0].checkResult,
					backIdCardKey: orderEvidenceBackIdCardJson[0].cloudKey,
					backIdCardUrl: orderEvidenceBackIdCardJson[0].cloudUrl,
					holdIdCardExist: false
				}));
			}
		}

		orderEvidenceQualificationJson.forEach(function(item) {
			if (item.picType === '1') {
				orderEvidenceQualification1Arr.push(item);
			} else if (item.picType === '2') {
				orderEvidenceQualification2Arr.push(item);
			}else if (item.picType === '3') {
				orderEvidenceQualification3Arr.push(item);
			}
		});
		$('#orderDetailEvidence').html(orderEvidenceTemplate({
			orderStatus: params.orderStatus,
			evidenceData: orderEvidenceQualificationJson,
			evidenceQualification1:'',
			evidenceQualification2:'',
			evidenceQualification3: orderEvidenceQualification3Arr,
			baseBusinessType:params.baseBusinessType,
		}));
		//学籍证明为教育业务特有
//		if(params.baseBusinessType==="003001" && orderEvidenceEducationJson.length > 0){
//			$('#orderDetailEvidence').html(orderEducationTemplate({
//				orderStatus: params.orderStatus,
//				evidenceEducationData: orderEvidenceEducationJson,
//				evidenceQualification3: orderEvidenceQualification3Arr,
//				baseBusinessType:params.baseBusinessType,
//			}));
//		}
		//学生教育图片回显
//		if(params.baseBusinessType==="003001" && picDataArr.length > 0){
//			$('#orderDetailEducation').html(orderEducationTemplate({
//				orderStatus: params.orderStatus,
//				picList: picDataArr,
//				baseBusinessType:params.baseBusinessType,
//			}));
//		}
		
		// 资料上传倒计时
		if (mainView.activePage.name === 'orderDetail' && params.orderStateChangeTime) {
			
        	var orderChangeTime = Date.parse(params.orderStateChangeTime.slice(0, 19).replace(/-/g, '/'));
        	var orderNowTime = Date.now();
        	var timeLimit = 30 * 60 * 1000;
        	var timeDiff = orderNowTime - orderChangeTime;
			var upderUrl=''//订单更新地址
			var upderParams={};//订单更新需要传输参数
			if(params.baseBusinessType ==="002001" || params.baseBusinessType ==="002002"){
				upderUrl='/app/orderUpdate' 
				upderParams.orderId= params.orderId,
				upderParams.userId= loginStatus.userId,
				upderParams.orderStatus='52'
			}else if(params.baseBusinessType==="003001") {
				upderUrl='/app/order/update',
				upderParams.orderId= params.orderId,
				upderParams.userId= loginStatus.userId,
				upderParams.orderStatus='52',
				upderParams.baseBusinessType = params.baseBusinessType
			}
			if (timeDiff < timeLimit) {
				var countDownTime = Math.floor(timeLimit / 1000 - timeDiff / 1000);
				
				clearInterval(intervalOrderDetail);
				
				intervalOrderDetail = setInterval(function() {
					countDownTime -= 1;
					
					if (countDownTime > 0) {
//        				var min = Math.floor(countDownTime / 60) < 10 ? '0' + Math.floor(countDownTime / 60) : Math.floor(countDownTime / 60);
//        				var sec = Math.floor(countDownTime - min * 60) < 10 ? '0' + Math.floor(countDownTime - min * 60) : Math.floor(countDownTime - min * 60);
//        				var countDownStr = '00:' + min + ':' + sec;
						
						var min = Math.floor(countDownTime / 60) < 10 ? '0' + Math.floor(countDownTime / 60) : Math.floor(countDownTime / 60);
        				var sec = Math.floor(countDownTime - min * 60) < 10 ? '0' + Math.floor(countDownTime - min * 60) : Math.floor(countDownTime - min * 60);
        				var firstMin = Math.floor(min/10);
        				var secondMin = min % 10;
        				var firstSec = Math.floor(sec/10);
        				var secondSec = sec % 10;
        				var countDownStr ="<span>0</span>"+"<span>0</span>"+" :"+"<span>"+firstMin+"</span>"+"<span>"+secondMin+"</span>"+" :"
        									+"<span>"+firstSec+"</span>"+"<span>"+secondSec+"</span>";
        				
        				$('#orderDetailTime').html(countDownStr);
//        				$('#orderDetailTime').text(countDownStr);
					} else {
						clearInterval(intervalOrderDetail);
						if (params.baseBusinessType == '003001') {
						    callAppApi({
	                            url:upderUrl,
	                            apiVersion: '2.0',
	                            type: 'POST',
	                            params: upderParams,
	                            successCallback: function(response) {
	                                f7.alertMessage('订单已超时取消，请重新下单');
	                                var timeCancle = setTimeout(function() {
	                                    mainView.loadPage('order.html');
	                                }, 3000);
	                                
	                            },
	                            errorCallback: function(err) {}
	                        });
						} else {
						    callAppApi({
	                            url:upderUrl,
	                            type: 'POST',
	                            params: upderParams,
	                            successCallback: function(response) {
	                                f7.alertMessage('订单已超时取消，请重新下单');
	                                var timeCancle = setTimeout(function() {
	                                    mainView.loadPage('order.html');
	                                }, 3000);
	                                
	                            },
	                            errorCallback: function(err) {}
	                        });
						}
					}
				}, 1000);
				
			} else {
				clearInterval(intervalOrderDetail);
				if (params.baseBusinessType == '003001') {
				    callAppApi({
	                    url:upderUrl,
	                    apiVersion: '2.0',
	                    type: 'POST',
	                    params:upderParams,
	                    successCallback: function(response) {
	                        f7.alertMessage('订单已超时取消，请重新下单');
	                        var timeCancle = setTimeout(function() {
	                            mainView.loadPage('order.html');
	                        }, 3000);
	                        
	                    },
	                    errorCallback: function(err) {}
	                });
                } else {
                    callAppApi({
                        url:upderUrl,
                        type: 'POST',
                        params:upderParams,
                        successCallback: function(response) {
                            f7.alertMessage('订单已超时取消，请重新下单');
                            var timeCancle = setTimeout(function() {
                                mainView.loadPage('order.html');
                            }, 3000);
                            
                        },
                        errorCallback: function(err) {}
                    });
                }
			}
		}
	} else if (
			(params.orderStatus.slice(0, 1) === '1' && parseInt(params.orderStatus.slice(0, 2)) > 15)  ||
			(params.orderStatus.slice(0, 1) === '2') ||
			(params.orderStatus.slice(0, 1) === '3') ||
			(params.orderStatus.slice(0, 1) === '4') ||
			(params.orderStatus.slice(0, 1) === '6') ||
			(params.orderStatus.slice(0, 1) === '7')
	) {
		if(params.baseBusinessType!=="003001"){
			if (orderEvidenceHoldIdCardJson.length > 0) {
				$('#orderDetailIdCard').html(idCardTemplate({
					frontIdCardStatus: orderEvidenceFrontIdCardJson[0].checkResult,
					frontIdCardKey: orderEvidenceFrontIdCardJson[0].cloudKey,
					frontIdCardUrl: orderEvidenceFrontIdCardJson[0].cloudUrl,
					backIdCardStatus: orderEvidenceBackIdCardJson[0].checkResult,
					backIdCardKey: orderEvidenceBackIdCardJson[0].cloudKey,
					backIdCardUrl: orderEvidenceBackIdCardJson[0].cloudUrl,
					holdIdCardExist: true,
					holdIdCardStatus: orderEvidenceHoldIdCardJson[0].checkResult,
					holdIdCardKey: orderEvidenceHoldIdCardJson[0].cloudKey,
					holdIdCardUrl: orderEvidenceHoldIdCardJson[0].cloudUrl
				}));
			} else if (params.baseBusinessType !=="004001" && params.baseBusinessType !=="004002" && params.baseBusinessType !== "005001" && params.baseBusinessType!="003001"){
				$('#orderDetailIdCard').html(idCardTemplate({
					frontIdCardStatus: orderEvidenceFrontIdCardJson[0].checkResult,
					frontIdCardKey: orderEvidenceFrontIdCardJson[0].cloudKey,
					frontIdCardUrl: orderEvidenceFrontIdCardJson[0].cloudUrl,
					backIdCardStatus: orderEvidenceBackIdCardJson[0].checkResult,
					backIdCardKey: orderEvidenceBackIdCardJson[0].cloudKey,
					backIdCardUrl: orderEvidenceBackIdCardJson[0].cloudUrl,
					holdIdCardExist: false,
				}));
			}
		}
		
		orderEvidenceQualificationJson.forEach(function(item) {
			if(item.picType === '1') {
				orderEvidenceQualification1Arr.push(item);
			}else if (item.picType === '2') {
				orderEvidenceQualification2Arr.push(item);
			}else if(item.picType === '3'){
				orderEvidenceQualification3Arr.push(item);
			}
		});
		if(params.baseBusinessType!="004002" && params.baseBusinessType!="004001" && params.baseBusinessType!="003001"){
			$('#orderDetailEvidence').html(orderEvidenceTemplate({
				orderStatus: params.orderStatus,
				evidenceData: orderEvidenceQualificationJson,
//				evidenceQualification1: orderEvidenceQualification1Arr,
//				evidenceQualification2: orderEvidenceQualification2Arr,
//				evidenceQualification3: orderEvidenceQualification3Arr,
				evidenceQualification1: [],
				evidenceQualification2: [],
				evidenceQualification3: [],
				evidenceInvoice: orderEvidenceInvoiceJson,
				baseBusinessType:params.baseBusinessType,
			}));
		}
		
		
		//学籍证明为教育业务特有
//		if(params.baseBusinessType==="003001" && orderEvidenceEducationJson.length > 0){
//			$('#orderDetailEvidence').html(orderEducationTemplate({
//				orderStatus: params.orderStatus,
//				evidenceEducationData: orderEvidenceEducationJson,
//				evidenceQualification3: orderEvidenceQualification3Arr,
//				baseBusinessType:params.baseBusinessType,
//			}));
//		}
		
	}
	
	


	bindPadorderDetail();
	//配送地址默认隐藏
	$$(".address-info-box").css("display","none");
	$$(".order-shipingAddress-title").css("border-bottom","none");
	//点击配送地址显示隐藏 
	$(".order-detail-address").on('click',function(){
		var isShowEleTitle=$$(".order-shipingAddress-title");
		var isShowEleBox=$$(".address-info-box");
		showHideCheck(isShowEleTitle,isShowEleBox);
	})
	
	
	if(orderEvidenceFrontIdCardJson!=='' &&orderEvidenceBackIdCardJson!==''&& orderEvidenceHoldIdCardJson!==''){
		var orderEvidenceFrontIdCardStatus_show  = orderEvidenceFrontIdCardJson.every(function(item, index) {
			if (item.checkResult === true) {
				return true;
			}else{
				return false;
			}
		});
		var orderEvidenceBackIdCardStatus_show  = orderEvidenceBackIdCardJson.every(function(item, index) {
			if (item.checkResult === true) {
				return true;
			}else{
				return false;
			}
		});
		var orderEvidenceHoldIdCardStatus_show  = orderEvidenceHoldIdCardJson.every(function(item, index) {
			if (item.checkResult === true) {
				return true;
			}else{
				return false;
			}
		});
		if(orderEvidenceFrontIdCardStatus_show === true&&orderEvidenceBackIdCardStatus_show === true &&orderEvidenceHoldIdCardStatus_show === true){
			$$(".id-card-status-list").css("display","none");
			$$(".id-card-status-title").css("border-bottom","none");
		}else{
			$$(".id-card-status-title").addClass("hide-show")
			$$(".id-card-status-title").find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailHide.png)");
		}
	}
	
	
	// 判断学籍证明材料默认隐藏
	/*if(params.baseBusinessType==='003001'){
		if (params.orderEvidenceEducation !== '') {
			var oldOrderEvidenceEducationJson = JSON.parse(params.orderEvidenceEducation);
			var evidenceEducationStatus_show = oldOrderEvidenceEducationJson.every(function(item, index) {
				if (item.checkResult === true) {
					return true;
				}else{
					return false;
				}
			});
			if(evidenceEducationStatus_show ===true){
				$$(".evidence-item-box").css("display","none");
				$$(".evidence-list-box-title").css("border-bottom","none");
			}else {
				$$(".evidence-list-box-title").addClass("hide-show")
				$$(".evidence-list-box-title").find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailHide.png)");
			}
		}
	}*/

	//身份证明材料默认隐藏
	if(params.orderCheckResult!=="审核结论:通过;"){
		$$(".id-card-status-title").addClass("hide-show")
		$$(".id-card-status-title").find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailHide.png)");
		$$(".id-card-status-title").css('border-bottom','1px solid #dfdfdf')
	}else{
		$$(".id-card-status-list").css("display","none");
		$$(".id-card-status-title").css("border-bottom","none");
	}
	//点击商品证明材料显示隐藏  
	$(".evidence-list-box-title").on('click',function(){
		var isShowEleTitle=$$(".evidence-list-box-title");
		var isShowEleBox=$$(".evidence-item-box");
		showHideCheck(isShowEleTitle,isShowEleBox);
	})
	
	//点击身份证明材料显示隐藏 
	$(".id-card-status-title").on('click',function(){
		var isShowEleTitle=$$(".id-card-status-title");
		var isShowEleBox=$$(".id-card-status-list");
		showHideCheck(isShowEleTitle,isShowEleBox);
	})
	
	//商品证明材料默认隐藏
	if(orderEvidenceInvoiceJson!==''){
		orderEvidenceInvoiceJson.forEach(function(item) {
			if (item.checkResult === false) {
				$$(".evidence-list-box-title").addClass("hide-show")
				$$(".evidence-list-box-title").find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailHide.png)");
			}else{
				$$(".evidence-item-box").css("display","none");
				$$(".evidence-list-box-title").css("border-bottom","none");
			}
		});
	}
	
	picDataArr.map(function(item, index){
		if(item.picType == '1'){
			item.picDataArray.map(function(items, indexs){
//				var id = 'picArr' + item.picType + items.picSubType;
				var picType = item.picType;
				var picSubType = items.picSubType;
				defaultHide(items.picSubDataArray, picType, picSubType);
			})
		}else{
//			var id = 'picArr' + item.picType;
			var picType = item.picType;
			var picSubType = '';
			var picTypeArr = [];
			item.picDataArray.map(function(items, indexs){
				items.picSubDataArray.map(function(itemss, indexss){
					picTypeArr.push(itemss);
				})
			})
			defaultHide(picTypeArr, picType, picSubType);
		}
	})
	//默认隐藏方法
	function defaultHide(arr,picType,picSubType){
		if(arr.length > 0 && picType == '5'){
			otherEvidenceShow = arr.every(function(item, index) {
				if(item.checkResult == '0'){
					return false;
				}else{
					return true;
				}
			});
		}
	}
	if(otherEvidenceShow){
		addPicDataArr = [{
            "picType": "5",
            "picName":"其他证明材料",
            "picDataArray": []
       }]
	}else{
		addPicDataArr = []
	}
	
	//数据合并
	if(picDataArr.length>0 && addPicDataArr.length>0){
		for(var i = 0;i < picDataArr.length;i++){
			if(picDataArr[i].picType == '5'){
				addPicDataArr[0].picDataArray = picDataArr[i].picDataArray;
			}
		}
	}
	
	//渲染补充图片
	if(params.auditInfoRes && params.orderStatus && params.auditInfoRes.creditStatus == '6'){
		if(params.orderStatus =="15" && params.auditInfoRes.auditInfoStatus == '501'){
			if(params.baseBusinessType ==="003001"){
				$('#orderDetailEvidenceEducationAdd').html(orderEducationAddTemplate({
					picAddList: addPicDataArr
				}));
			}
		}
	}
	
	//获取填补列表
	var picMainList = $$('.upload-evidence-education-add-wrap-list');
	
	//创建填补实例
	evidenceMainList = picMainList.map(function(index, item){
		var evidenceType = $$(item).data('key');
		var picType = $$(item).data('type');
		return new UploadEvidence(evidenceType, [], {
			addSelector: "addPic" + evidenceType + "Btn",
			operateSelector: "editPic" + evidenceType + "Btn",
			uploadEvidenceList: $$('#uploadEvidenceEducationAddList' + evidenceType),
			limitNum: '50',
			infoData: params.auditInfoRes.infoData,
			baseBusinessType: '003001',
			isNew: '.upload-evidence-item-new',
			picType: picType
		})
	})
	
	//获取图片列表
	var picDataList = $$('.upload-evidence-education-wrap-list');
	
	//创建图片列表实例
	var picEvidenceList = picDataList.map(function(index, item){
		var evidenceType = $$(item).data('key');
		var picType = $$(item).data('type');
		//无暇回退隐藏
		if($$(item).find('.failure').length == 0){
			$$(item).hide();
			$$(item).prev().hide();
		}
		return new UploadEvidence(evidenceType,[],{
			addSelector: "add" + evidenceType + "Btn",
			operateSelector: "edit" + evidenceType + "Btn",
			updateSelector: 'uploadEvidenceEducationList' + evidenceType,
			uploadEvidenceList: $$('#uploadEvidenceEducationList' + evidenceType),
			limitNum: '50',
			infoData: params.auditInfoRes.infoData,
			baseBusinessType: '003001',
			picType: picType,
			isNew: '.upload-evidence-item-new',
			activeReloadBtn: activeReloadInfoButton
		})
	})
	
	/**   
	 * @Title: showHideCheck 
	 * @Package app/containers/orderDetail 
	 * @Description: 点击显示隐藏通用方法  
	 * @Description:  //此方法只需把需要隐藏的class或者id传进来
	 * @author lisai   
	 * @date 2017年3月29日15:11:41
	 */
	showHideCheck=function(isShowEleTitle,isShowEleBox){
		isShowEleTitle.toggleClass('hide-show');
		if(isShowEleTitle.hasClass('hide-show')){//找到hideclass
			isShowEleBox.slideDown(100);
			isShowEleTitle.find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailHide.png)");
			isShowEleTitle.css('border-bottom','1px solid #dfdfdf')
		}else{
			isShowEleBox.slideUp(100);
			isShowEleTitle.find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailShow.png)");
			isShowEleTitle.css('border-bottom','0px')
		}
	}
	
	if(params.baseBusinessType!=='003001'){
		// 预览图片按钮事件绑定
		$('.preview-photo').on('click', function() {
			if ($(this).hasClass('success') || $(this).parent().hasClass('success')){
				var cloudUrl = $(this).find('img').attr('src');
				if (cloudUrl === '' || !cloudUrl) {
					f7.alert('请上传照片');
					return false;
				} else {
					var myUserIdCardBrowser = f7.photoBrowser({
						zoom: 400,
						photos: [cloudUrl]
					});
					utilities.clickDelay('myPhotoBrowser', function(){
						myUserIdCardBrowser.open();
					}, 500)
					
				}
			}
		});
		
		// 身份证材料重新上传点击事件
		$('.id-card-status-item').on('click', function() {
			if ($(this).hasClass('failure') && $(this).attr('id') === 'idCardFrontItem') {
				reloadInfo({type: 'evidenceFrontIdCard'});
			} else if ($(this).hasClass('failure') && $(this).attr('id') === 'idCardBackItem') {
				reloadInfo({type: 'evidenceBackIdCard'});
			} else if ($(this).hasClass('failure') && $(this).attr('id') === 'userIdCardItem') {
				reloadInfo({type: 'evidenceHoldIdCard'});
			}
		})
		
		// 其他资料重新上传
		$('.order-detail-evidence-item').on('click', function() {
			if ($(this).hasClass('failure') && $(this).attr('data-tarKey') === 'evidenceEducationData') {
				reloadInfo({type: 'evidenceEducation', picId: $(this).attr('data-picId')});
			}
			else if($(this).hasClass('failure') && $(this).attr('data-tarKey') === 'orderEvidenceIncomeJson'){
				reloadInfo({type: 'orderEvidenceIncomeJson', picId: $(this).attr('data-picId')});
			}
			else if($(this).hasClass('failure') && $(this).attr('data-tarKey') === 'orderEvidenceHouseJson'){
				reloadInfo({type: 'orderEvidenceHouseJson', picId: $(this).attr('data-picId')});
			}
			else if($(this).hasClass('failure') && $(this).attr('data-tarKey') === 'orderEvidenceWorkJson'){
				reloadInfo({type: 'orderEvidenceWorkJson', picId: $(this).attr('data-picId')});
			}
			else if($(this).hasClass('failure') && $(this).attr('data-tarKey') === 'orderEvidenceDwellingJson'){
				reloadInfo({type: 'orderEvidenceDwellingJson', picId: $(this).attr('data-picId')});
			}
			else if($(this).hasClass('failure') && $(this).attr('data-tarKey') === 'orderEvidenceOtherJson'){
				reloadInfo({type: 'orderEvidenceOtherJson', picId: $(this).attr('data-picId')});
			}
		})
	}
	
	// 重新提交审核按钮点击事件
	$('#orderDetailAuditBtn').on('click', function() {
		var updateUrl = '';
		var updateParams = {};
		if (params.baseBusinessType == '003001') {
			updateUrl = '/app/credit/audit/infoBackSubmit';
			updateParams = {
				userId: loginStatus.userId,
				baseBusinessType:"003001",
//				auditInfoStatus:"410",
				auditInfoId: params.auditInfoRes.infoData.auditInfoId
			}
		} else {
			updateUrl = '/app/orderUpdate';
			updateParams = {
					orderId: params.orderId,
					userId: loginStatus.userId,
					
					orderEvidenceFrontIdCard: JSON.stringify(orderEvidenceFrontIdCardJson) !== '[]' ? JSON.stringify(orderEvidenceFrontIdCardJson) : '',
					orderEvidenceBackIdCard: JSON.stringify(orderEvidenceBackIdCardJson) !== '[]' ? JSON.stringify(orderEvidenceBackIdCardJson) : '',
					orderEvidenceHoldIdCard: JSON.stringify(orderEvidenceHoldIdCardJson) !== '[]' ? JSON.stringify(orderEvidenceHoldIdCardJson) : '',
					orderEvidenceQualification: JSON.stringify(orderEvidenceQualificationJson) !== '[]' ? JSON.stringify(orderEvidenceQualificationJson) : '',
							
					orderStatus: '13'
			}
		}
		callAppApi({
            url: updateUrl,
            type: 'POST',
            params: updateParams,
            successCallback: function(response) {
                // 清除定时器
                clearInterval(intervalOrderDetail);
                
                f7.pullToRefreshTrigger($('#orderDetailRefresh'));
            },
            errorCallback: function(err) {}
        });
	});
	
	//小件均跳转人脸
	// 跳转人脸识别按钮    待审核状态以前的订单都要跳转人脸识别继续进行完善资料
	$('#orderFaceBtn').on('click', function() {
		
		// 跳转下单流程前要进行额度检查，防止额度被清空
		callAppApi({
			url: '/api/checkCredit',
			type: 'POST',
			params: {
				userId: loginStatus.userId,
				baseBusinessType: '002001',
				isOldUser: loginStatus.oldUser,
				orderId: params.orderId
			},
			successCallback: function(creditRes) {
				if (creditRes.userIsCredit === true) {
					
					// 存在身份认证信息，跳转到人脸识别页面
					mainView.router.load({
						url: 'checkFace.html',
						query: {
							orderId: params.orderId
						}
					});
				} else {
					f7.alertMessage('办理此业务，请先进行身份认证');
					
					var creditTime = setTimeout(function() {
							
						mainView.router.load({
							url: 'authentication.html',
							query: {
								fromPage: 'index'
							}
						});
						
						clearTimeout(creditTime);
					}, 3000);
				}
			}
		});
	});
	
	$('#newEductionFaceBtn').on('click', function() {
	    infoQueryRouter('003001', {
            query:{
                fromPage: 'orderDetail',
                orderId: params.orderId
            }
        }, loadEducationPage);
	});
	
	//教育跳转人脸
	// 跳转人脸识别按钮    待审核状态以前的订单都要跳转人脸识别继续进行完善资料
	$('#eductionFaceBtn').on('click', function() {
	    
	    callAppApi({
	        url: '/app/credit/audit/infoQuery',
	        type: 'POST',
	        params: {
	            baseBusinessType: '003001',
	            userId: loginStatus.userId
	        },
	        successCallback: function(creditRes) {
	            
	            var creditStatus = creditRes.creditStatus;
	            var auditInfoStatus = creditRes.auditInfoStatus;
	            
	            if (creditStatus === '4') {
	                loadEducationPage('checkFace', {
                        query: {
                            orderId: params.orderId
                        }
                    });
	            } else {
	                f7.alertMessage('办理此业务，请先进行身份认证');
                    var creditTime = setTimeout(function() {
                        loadEducationPage('authentication', {
                            query: {}
                        });
                        clearTimeout(creditTime);
                    }, 3000);
	            }
	        },
	        errorCallback: function(err) {}
	    });
		
		// 跳转下单流程前要进行额度检查，防止额度被清空
//		callAppApi({
//			url: '/api/checkCredit',
//			type: 'POST',
//			params: {
//				userId: loginStatus.userId,
//				baseBusinessType: '003001',
//				isOldUser: loginStatus.oldUser,
//				orderId: params.orderId
//			},
//			successCallback: function(creditRes) {
//				if (creditRes.userIsCredit === true) {
//					// 存在身份认证信息，跳转到人脸识别页面
//					loadEducationPage('checkFace', {
//	    				query: {
//	    					orderId: params.orderId
//	    				}
//	    			});
//				} else {
//					f7.alertMessage('办理此业务，请先进行身份认证');
//					var creditTime = setTimeout(function() {
//						loadEducationPage('authentication', {
//		    				query: {}
//		    			});
//						clearTimeout(creditTime);
//					}, 3000);
//				}
//			}
//		});
	});
	
	
	//家电跳转人脸识别
	$('#applianceFaceBtn').on('click', function() {
		callAppApi({
			url : '/api/checkCredit',
			type : 'POST',
			params : {
				userId : loginStatus.userId,
				baseBusinessType : '002002',
				isOldUser : loginStatus.oldUser,
				orderId: params.orderId,
			},
			successCallback : checkCreditSuccess,
			errorCallback: function(err) {}
		});
		
		function checkCreditSuccess(response) {
			if (response.userIsCredit === true) {
					if(orderFaceSuccessCount === 1){
						loadAppliancePage('uploadIDCard', {
							query : {
								orderId: params.orderId,
								fromPage: 'orderDetail',
								evidenceKey: 'evidenceIdCard',
								goodsLogistics: params.goodsLogistics,
								orderStatus: params.orderStatus,
								orderDetailData: params.orderDetailData
							}
						});
					} else if (orderFaceSuccessCount !== 1){
						if (orderFaceCount >= 3) {
							loadAppliancePage('checkUserIdCard', {//其他情况跳转至上传手持身份证
	  							query: {
	  								fromPage: 'orderDetail',
		  							orderId: params.orderId,
		  							orderStatus: params.orderStatus,
	  								goodsLogistics: params.goodsLogistics,
	  								orderDetailData: params.orderDetailData
	  							}
	  						});
						} else if (orderFaceCount < 3){
							if(orderEvidenceHoldIdCard === ''){
  								loadAppliancePage('checkFace', {
		  							query: {
				    					fromPage: 'orderDetail',
  			  							orderId: params.orderId,
  			  							orderStatus:params.orderStatus,
		  								goodsLogistics:params.goodsLogistics,
		  								orderDetailData:params.orderDetailData
		  							}
		  						});
							} else {
  								loadAppliancePage('checkUserIdCard', {//其他情况跳转至上传手持身份证
		  							query: {
		  								fromPage: 'orderDetail',
  			  							orderId: params.orderId,
  			  							orderStatus:params.orderStatus,
		  								goodsLogistics:params.goodsLogistics,
		  								orderDetailData:params.orderDetailData
		  							}
		  						});
							}
						}
					}
					sendPadorderDetail(params.orderId);
			} else {
				f7.alertMessage('办理此业务，请先进行身份认证');
				var timeIndex = setTimeout(function() {
					loadAppliancePage('authentication', {
	    				query: {
	    					fromPage:'orderDetail',
	    					orderId: params.orderId,
	    					goodsLogistics: params.goodsLogistics,
	    					orderDetailData: params.orderDetailData
	    				}
	    			});
					clearTimeout(timeIndex);
				}, 3000);
			}
		}
	});
	
	// 家电跳转上传身份证按钮 
	$('#applianceUploadIdCard').on('click', function() {
		callAppApi({
			url : '/api/checkCredit',
			type : 'POST',
			params : {
				userId : loginStatus.userId,
				baseBusinessType : '002002',
				isOldUser : loginStatus.oldUser,
				orderId: params.orderId,
			},
			successCallback : function(creditRes) {
				if (creditRes.userIsCredit === true) {
					loadAppliancePage('uploadIDCard', {
						query: {
							fromPage: 'orderDetail',
							orderId: params.orderId,
							orderStatus: params.orderStatus,
							goodsLogistics: params.goodsLogistics,
							orderDetailData: params.orderDetailData
						}
					});
				} else {
					f7.alertMessage('办理此业务，请先进行身份认证');
					var timeIndex = setTimeout(function() {
						loadAppliancePage('authentication', {
		    				query: {
		    					fromPage: 'orderDetail',
		    					orderId: params.orderId,
		    					goodsLogistics: params.goodsLogistics,
		    					orderDetailData: params.orderDetailData
		    				}
		    			});
						clearTimeout(timeIndex);
					}, 3000);
				}
			},
			errorCallback: function(err) {}
		});
		
		sendPadorderDetail(params.orderId);
	});
	
	// 跳转确认下单支付页面
	$('#orderConfirmBtn').on('click', function() {
		
	    if (params.baseBusinessType === '003001') {
	        callAppApi({
	            url: '/app/credit/audit/infoQuery',
	            type: 'POST',
	            params: {
	                userId: loginStatus.userId,
	                baseBusinessType: '003001',
	            },
	            successCallback: function(creditRes) {
                    if (creditRes.creditStatus === '4') {
                        mainView.router.load({
                            url : 'orderConfirm.html',
                            query : {
                                orderId: creditRes.infoData.orderId,
                                baseBusinessType: '003001',
                            }
                        });
                    } else {
                        f7.alertMessage('办理此业务，请先进行身份认证');
                        var timeIndex = setTimeout(function() {
                            loadEducationPage('authentication', {
                                query: {
                                    fromPage: 'orderDetail',
                                    orderId: params.orderId,
                                }
                            });
                            clearTimeout(timeIndex);
                        }, 3000);
                    }
	            },
	            errorCallback: function(err) {}
	        });
	    } else {
	        callAppApi({
	            url: '/api/checkCredit',
	            type: 'POST',
	            params: {
	                userId: loginStatus.userId,
	                baseBusinessType: params.baseBusinessType,
	                isOldUser: loginStatus.oldUser,
	                orderId: params.orderId,
	            },
	            successCallback: function(creditRes) {
	                if (creditRes.userIsCredit === true) {
	                    
	                    mainView.router.load({
	                        url : 'orderConfirm.html',
	                        query : {
	                            orderId: params.orderId,
	                            baseBusinessType: params.baseBusinessType,
	                        }
	                    });
	                } else {
	                    if (params.baseBusinessType === '002001') {
	                        f7.alertMessage('办理此业务，请先进行身份认证');
	                        var creditTime = setTimeout(function() {
	                            mainView.router.load({
	                                url: 'authentication.html',
	                                query: {
	                                    fromPage: 'index'
	                                }
	                            });
	                            clearTimeout(creditTime);
	                        }, 3000);
	                    } else if (params.baseBusinessType === '002002') {
	                        f7.alertMessage('办理此业务，请先进行身份认证');
	                        var timeIndex = setTimeout(function() {
	                            loadAppliancePage('authentication', {
	                                query: {
	                                    fromPage: 'orderDetail',
	                                    orderId: params.orderId,
	                                    goodsLogistics: params.goodsLogistics,
	                                    orderDetailData: params.orderDetailData
	                                }
	                            });
	                            clearTimeout(timeIndex);
	                        }, 3000);
	                    }
//	                  else if (params.baseBusinessType === '003001') {
//	                      f7.alertMessage('办理此业务，请先进行身份认证');
//	                      var timeIndex = setTimeout(function() {
//	                          loadEducationPage('authentication', {
//	                              query: {
//	                                  fromPage: 'orderDetail',
//	                                  orderId: params.orderId,
//	                              }
//	                          });
//	                          clearTimeout(timeIndex);
//	                      }, 3000);
//	                  }
	                }
	            },
	            errorCallback: function(err) {}
	        });
	    }
	    
		
		
		
		sendPadorderDetail(params.orderId);
//		var goodsPlanNameHtml = '';
//		if (params.goodsPlanId !== '') {
//			goodsPlanNameHtml = 
//							'<li class="model-list">'+
//						        '<div class="model-inner authStep2-model-inner">'+
//						            	'<span class="model-title">套餐类型</span>'+
//						             '<span class="model-con">'+params.goodsPlanName+'</span>'+
//						        '</div>'+
//					        '</li>'
//		}
//		f7.modal({
//  			title: '',
//  			text:  '<div class="model-block">'+
//				  	      '<ul>'+
//					          '<li class="model-list">'+
//					               '<div class="model-inner authStep2-model-inner">'+
//						               	'<span class="model-title">商品信息</span>'+
//						                '<span class="model-con">'+params.goodsSellName+'</span>'+
//					               '</div>'+
//					           '</li>'+
//					           '<li class="model-list">'+
//						               '<div class="model-inner authStep2-model-inner">'+
//							               	'<span class="model-title">商品价格</span>'+
//							                '<span class="model-con">'+params.goodsSuiteTotalAmount+'</span>'+
//						               '</div>'+
//						           '</li>'+
//						           goodsPlanNameHtml +		
//						           '<li class="model-list">'+
//					               '<div class="model-inner authStep2-model-inner">'+
//						               	'<span class="model-title">期数</span>'+
//						                '<span class="model-con">'+params.goodsSuiteStageNumber+'期</span>'+
//					               '</div>'+
//					           '</li>'+							           
//						           '<li class="model-list">'+
//						               '<div class="model-inner authStep2-model-inner">'+
//							               	'<span class="model-title">初期支付</span>'+
//							                '<span class="model-con">'+params.goodsSuitePayFirstPrice+'元</span>'+
//						               '</div>'+
//						           '</li>'+						           
//						           '<li class="model-list">'+
//						               '<div class="model-inner authStep2-model-inner">'+
//							               	'<span class="model-title">自付金额</span>'+
//							                '<span class="model-con">'+params.goodsSuitePayInitialPrice+'元</span>'+
//						               '</div>'+
//						           '</li>'+
//						           '<li class="model-list">'+
//						               '<div class="model-inner authStep2-model-inner">'+
//							               	'<span class="model-title">每期还款</span>'+
//							               	'<span class="model-con">'+params.goodsSuiteStagePrice+'元</span>'+
//						               '</div>'+
//						           '</li>'+			           	           
//					      '</ul>'+
//			        '</div>',
//  			
//  			buttons: [
//  				{
//  					text: '<span class="model-back">返回修改</span>',
//  					onClick: function(){
//  					
//  					}
//  				},
//  				{
//  					text: '确认无误',
//  					onClick: function() {
//  					// 提交数据
//  						// 清除定时器
//  						clearInterval(intervalOrderDetail);
//  						
//  						mainView.router.load({
//  							url : 'orderConfirm.html',
//  							query : {
//  								orderId: params.orderId
//  							}
//  						});
//  					}
//  				}
//  			]
//  		});	
		//skapp数据收集：点击“继续下单”	
		TalkingData.onEventWithLabel('待付款订单详情页', '继续下单');
	});
	
	
	// 取消订单
	$('#orderCancleBtn').on('click', function() {
		// 清除定时器
		clearInterval(intervalOrderDetail);
		var cancelUrl = '',
			cancelParams = {};
		if (params.baseBusinessType == '003001') {
			cancelUrl = educationHelper.educationAppUrl.cancelUrl;
			cancelParams = {
				  orderId: params.orderId,
				  userId: loginStatus.userId,
				  cancelType: '',
				  baseBusinessType: '003001',
				  orderStatus: '50'
			  }
		} else {
			cancelUrl = '/app/orderUpdate';
			cancelParams = {
				orderId: params.orderId,
				userId: loginStatus.userId,
				orderStatus: '50'
			}
		}
		f7.modal({
			title : '',
			text : '是否确认取消订单',
			buttons : [ {
				text : '取消'
			}, {
				text : '确定',
				onClick : function() {
					if (params.baseBusinessType == '003001') {
						callAppApi({
							url: cancelUrl,
							type: 'POST',
							apiVersion: '2.0',
							params: cancelParams,
							successCallback: function(response) {
								orderCancel = true;
								if(isUpdate == '待审核'){  //未审核
									TalkingData.onEventWithLabel('待付款订单详情页', '取消订单');
								}
								
								f7.pullToRefreshTrigger($('.pull-to-refresh-content'))
							},
							errorCallback: function(err) {}
						});
					} else{
						callAppApi({
							url: cancelUrl,
							type: 'POST',
							params: cancelParams,
							successCallback: function(response) {
								orderCancel = true;
								if(isUpdate == '待审核'){  //未审核
									TalkingData.onEventWithLabel('待付款订单详情页', '取消订单');
								}
								
								f7.pullToRefreshTrigger($('.pull-to-refresh-content'))
							},
							errorCallback: function(err) {}
						});
					}
					
				}
			}]
		});
	});

	  
	// 查看协议按钮
	if (params.orderStatus === '35' || params.orderStatus.slice(0, 1) === '4' || params.orderStatus.slice(0, 1) === '6' || params.orderStatus === '36'  ) {
		
		var agreementType = '';
		if (params.baseBusinessType == '002001') {
			agreementType = '1';
		} else if (params.baseBusinessType == '002002') {
			agreementType = '5';
		} else if(params.baseBusinessType == '003001'){
			agreementType = '6';
		} else if (params.baseBusinessType == '004001') {
			agreementType = '8';
		} else if (params.baseBusinessType == '004002') {
			agreementType = '10';
		}
		
		$('#orderProtocolBtn').on('click', function() {
			if(params.orderStatus === '35' && params.baseBusinessType === '004001'){
				callWebHtml({
					url: '/agreement/agrTemplateLeaseBack',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						orderId: params.orderId,
						templateId: "8",
						baseBusinessType:"004001"
					},
					successCallback: function(response) {
//						$("#orderDetailPopup").html(response)
//						f7.popup("#orderDetailPopup");
						
						$('#orderDetailPopup').html(protocolFrame({
							protocolId: "agreementAssignmentDebtEducation",
							protocolName: "《售后回租合同》",
							protocolWidth: $('body').width(),
							protocolHeight: $('body').height() - 56
						}));
//						$$("#agreementAssignmentDebtEducation").contents().find("html").html(response);
						$$("#agreementAssignmentDebtEducation").contents().find("html")[0].innerHTML = response;
						f7.popup('#orderDetailPopup');
					},
					errorCallback: function() {}
				});
			}else if( (params.orderStatus === '35' || params.orderStatus === '36') && params.baseBusinessType === '004002'){
				callWebHtml({
					url: '/agreement/agrTemplateDebtTransfer',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						orderId: params.orderId,
						templateId: "10",
						baseBusinessType:"004002"
					},
					successCallback: function(response) {
//						$("#orderDetailPopup").html(response)
//						f7.popup("#orderDetailPopup");
						
						$('#orderDetailPopup').html(protocolFrame({
							protocolId: "agreementAssignmentDebtEducation",
							protocolName: "《应收账款转让确认与保理函承担协议》",
							protocolWidth: $('body').width(),
							protocolHeight: $('body').height() - 56
						}));
//						$$("#agreementAssignmentDebtEducation").contents().find("html").html(response);
						$$("#agreementAssignmentDebtEducation").contents().find("html")[0].innerHTML = response;
						f7.popup('#orderDetailPopup');
					},
					errorCallback: function() {}
				});
			}else{
				callAppApi({
					url: '/service/agreement/getUrl',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						orderId: params.orderId,
						agreementType: agreementType
					},
					successCallback: function(response) {
						var protocolPicArr = response.picCloudUrls;
						
						if ($.isArray(protocolPicArr) && protocolPicArr.length > 0) {
							utilities.clickDelay('previewPhoto', function(){
								f7.photoBrowser({
									zoom: true,
									swiperToClose: false,
									lazyLoading: true,
									photos: protocolPicArr
								}).open();
							}, 500)
						} else {
							f7.alert('暂时没有生成协议展示。')
						}
					},
					errorCallback: function() {}
				});
			}
			
		});
	}
	
    $('#orderProtocolEducationBtn').on('click', function() {
//    	callWebHtml({
//    		url: '/agreement/agrTemplateDebtTransfer',
//    		type: 'POST',
//    		params: {
//			 userId: loginStatus.userId,
//			 orderId: params.orderId,
//			  templateId :'6',
//			  baseBusinessType:params.baseBusinessType
//    		},
//    		successCallback: function(response) {
//				$('#orderDetailPopup').html(protocolFrame({
//					protocolId: "agreementAssignmentDebtEducation",
//					protocolName: "《债权转让确认协议》",
//					protocolWidth: $('body').width(),
//					protocolHeight: $('body').height() - 56
//				}));
//				$$("#agreementAssignmentDebtEducation").contents().find("html").html(response);
//				f7.popup('#orderDetailPopup');
//    		},
//    		errorCallback: function(err) {}
//    	});  
    	
    	callAppApi({
			url: '/service/agreement/getUrl',
			type: 'POST',
			params: {
				userId: loginStatus.userId,
				orderId: params.orderId,
				agreementType: "6"
			},
			successCallback: function(response) {
				var protocolPicArr = response.picCloudUrls;
				
				if ($.isArray(protocolPicArr) && protocolPicArr.length > 0) {
					utilities.clickDelay('previewPhoto', function(){
						f7.photoBrowser({
							zoom: true,
							swiperToClose: false,
							lazyLoading: true,
							photos: protocolPicArr
						}).open();
					}, 500)
				} else {
					f7.alert('暂时没有生成协议展示。')
				}
			},
			errorCallback: function() {}
		});
    });	
    
	// 重新上传action
	function reloadInfo(params){
		 var buttons1 = 
		    [
		        {
		            text: '拍摄',
		            onClick: function () {
		            	
		            	if (params.type === 'evidenceFrontIdCard') {
		            		takePicture('', '', 'evidenceFrontIdCard', reloadInfoSuccess, '', '');
		            	} else if (params.type === 'evidenceBackIdCard') {
		            		takePicture('', '', 'evidenceBackIdCard', reloadInfoSuccess, '', '');
		            	} else if (params.type === 'evidenceHoldIdCard') {
		            		takePicture('', '', 'evidenceHoldIdCard', reloadInfoSuccess, '', '');
		            	} else if (params.type === 'evidenceQualification1') {
		            		takePicture('', params.picId, 'evidenceQualification1', reloadInfoSuccess, '', '');
		            	} else if (params.type === 'evidenceQualification2') {
		            		takePicture('', params.picId, 'evidenceQualification2', reloadInfoSuccess, '', '');
		            	} else if (params.type === 'evidenceEducation') {
		            		takePicture('', params.picId, 'evidenceEducation', reloadInfoSuccess, '', '');
		            	}else if (params.type === 'orderEvidenceIncomeJson') {
		            		takePicture('', params.picId, 'orderEvidenceIncomeJson', reloadInfoSuccess, '', '');
		            	}else if (params.type === 'orderEvidenceHouseJson') {
		            		takePicture('', params.picId, 'orderEvidenceHouseJson', reloadInfoSuccess, '', '');
		            	}else if (params.type === 'orderEvidenceWorkJson') {
		            		takePicture('', params.picId, 'orderEvidenceWorkJson', reloadInfoSuccess, '', '');
		            	}else if (params.type === 'orderEvidenceDwellingJson') {
		            		takePicture('', params.picId, 'orderEvidenceDwellingJson', reloadInfoSuccess, '', '');
		            	}else if (params.type === 'orderEvidenceOtherJson') {
		            		takePicture('', params.picId, 'orderEvidenceOtherJson', reloadInfoSuccess, '', '');
		            	}
		            }
		        },
		        {
		            text: '从相册选择',
		            onClick: function () {
		            	
		            	if (params.type === 'evidenceFrontIdCard') {
		            		choosePhoto('', '', 'evidenceFrontIdCard', reloadInfoSuccess, '', '');
		            	} else if (params.type === 'evidenceBackIdCard') {
		            		choosePhoto('', '', 'evidenceBackIdCard', reloadInfoSuccess, '', '');
		            	} else if (params.type === 'evidenceHoldIdCard') {
		            		choosePhoto('', '', 'evidenceHoldIdCard', reloadInfoSuccess, '', '');
		            	} else if (params.type === 'evidenceQualification1') {
		            		choosePhoto('', params.picId, 'evidenceQualification1', reloadInfoSuccess, '', '');
		            	} else if (params.type === 'evidenceQualification2') {
		            		choosePhoto('', params.picId, 'evidenceQualification2', reloadInfoSuccess, '', '');
		            	} else if (params.type === 'evidenceEducation') {
		            		choosePhoto('', params.picId, 'evidenceEducation', reloadInfoSuccess, '', '');
		            	}else if (params.type === 'orderEvidenceIncomeJson') {
		            		takePicture('', params.picId, 'orderEvidenceIncomeJson', reloadInfoSuccess, '', '');
		            	}else if (params.type === 'orderEvidenceHouseJson') {
		            		takePicture('', params.picId, 'orderEvidenceHouseJson', reloadInfoSuccess, '', '');
		            	}else if (params.type === 'orderEvidenceWorkJson') {
		            		takePicture('', params.picId, 'orderEvidenceWorkJson', reloadInfoSuccess, '', '');
		            	}else if (params.type === 'orderEvidenceDwellingJson') {
		            		takePicture('', params.picId, 'orderEvidenceDwellingJson', reloadInfoSuccess, '', '');
		            	}else if (params.type === 'orderEvidenceOtherJson') {
		            		takePicture('', params.picId, 'orderEvidenceOtherJson', reloadInfoSuccess, '', '');
		            	}
		            }
		        }
		    ];
		 var buttons2 = 
		    [
		         {
		             text: '取消',
		             color: 'red'
		         }
		     ];
		 var groups = [buttons1, buttons2];
		 
		 f7.actions(groups);
	}
	
	// 上传成功
	function reloadInfoSuccess(token,i,u,t,data,imgId) {
		
		f7.hideIndicator();
		
		var picId = u;
		
		if (t === 'evidenceFrontIdCard') {
			$('#idCardFrontItem').removeClass('failure').addClass('success');
			$('#idCardFrontItem .item-pic img').attr('src',token.iobsCloudUrl);
//			$('#idCardFrontItem .item-pic').css('backgroundImage','url('+token.iobsCloudUrl+')')
			$('#idCardFrontItem .item-status').text('已上传');
			
			orderEvidenceFrontIdCardJson.map(function(item) {
				item.cloudKey = imgId;
				item.cloudUrl = token.iobsCloudUrl;
			});
		} else if (t === 'evidenceBackIdCard') {
			$('#idCardBackItem').removeClass('failure').addClass('success');
			$('#idCardBackItem .item-pic img').attr('src',token.iobsCloudUrl);
//			$('#idCardBackItem .item-pic').css('backgroundImage','url('+token.iobsCloudUrl+')')
			$('#idCardBackItem .item-status').text('已上传');
			
			orderEvidenceBackIdCardJson.map(function(item) {
				item.cloudKey = imgId;
				item.cloudUrl = token.iobsCloudUrl;
			});
		} else if (t === 'evidenceHoldIdCard') {
			$('#userIdCardItem').removeClass('failure').addClass('success');
			$('#userIdCardItem .item-pic img').attr('src',token.iobsCloudUrl);
//			$('#userIdCardItem .item-pic').css('backgroundImage','url('+token.iobsCloudUrl+')')
			$('#userIdCardItem .item-status').text('已上传');
			
			orderEvidenceHoldIdCardJson.map(function(item) {
				item.cloudKey = imgId;
				item.cloudUrl = token.iobsCloudUrl;
			});
		} else if (t === 'evidenceQualification1' || t === 'evidenceQualification2') {
			$('.order-detail-evidence-item').each(function(index, item) {
				
				if (item.getAttribute('data-picId') === picId) {
					item.classList.remove('failure');
					item.classList.add('success');
					
					if(t === 'evidenceQualification1'){
						$(this).find('img').attr('src',token.iobsCloudUrl);
					}else if(t === 'evidenceQualification2'){
						$(this).find('img').attr('src',token.iobsCloudUrl);
					}
					
					orderEvidenceQualificationJson.map(function(item) {
						if (item.picId === picId) {
							item.cloudKey = imgId;
							item.cloudUrl = token.iobsCloudUrl;
						}
					})
				}
			})
		}else if (t === 'evidenceEducation') {
			$('.order-detail-evidence-item').each(function(index, item) {
				
				if (item.getAttribute('data-picId') === picId) {
					item.classList.remove('failure');
					item.classList.add('success');
						$(this).find('img').attr('src',token.iobsCloudUrl);
						orderEvidenceEducationJson.map(function(item) {
						if (item.picId === picId) {
							item.cloudKey = imgId;
							item.cloudUrl = token.iobsCloudUrl;
						}
					})
				}
			})
		}else if (t === 'orderEvidenceIncomeJson') {
			$('.order-detail-evidence-item').each(function(index, item) {
				
				if (item.getAttribute('data-picId') === picId) {
					item.classList.remove('failure');
					item.classList.add('success');
						$(this).find('img').attr('src',token.iobsCloudUrl);
						orderEvidenceIncomeJson.map(function(item) {
						if (item.picId === picId) {
							item.cloudKey = imgId;
							item.cloudUrl = token.iobsCloudUrl;
						}
					})
				}
			})
		}else if (t === 'orderEvidenceHouseJson') {
			$('.order-detail-evidence-item').each(function(index, item) {
				
				if (item.getAttribute('data-picId') === picId) {
					item.classList.remove('failure');
					item.classList.add('success');
						$(this).find('img').attr('src',token.iobsCloudUrl);
						orderEvidenceHouseJson.map(function(item) {
						if (item.picId === picId) {
							item.cloudKey = imgId;
							item.cloudUrl = token.iobsCloudUrl;
						}
					})
				}
			})
		}else if (t === 'orderEvidenceWorkJson') {
			$('.order-detail-evidence-item').each(function(index, item) {
				
				if (item.getAttribute('data-picId') === picId) {
					item.classList.remove('failure');
					item.classList.add('success');
						$(this).find('img').attr('src',token.iobsCloudUrl);
						orderEvidenceWorkJson.map(function(item) {
						if (item.picId === picId) {
							item.cloudKey = imgId;
							item.cloudUrl = token.iobsCloudUrl;
						}
					})
				}
			})
		}else if (t === 'orderEvidenceDwellingJson') {
			$('.order-detail-evidence-item').each(function(index, item) {
				
				if (item.getAttribute('data-picId') === picId) {
					item.classList.remove('failure');
					item.classList.add('success');
						$(this).find('img').attr('src',token.iobsCloudUrl);
						orderEvidenceDwellingJson.map(function(item) {
						if (item.picId === picId) {
							item.cloudKey = imgId;
							item.cloudUrl = token.iobsCloudUrl;
						}
					})
				}
			})
		}else if (t === 'orderEvidenceOtherJson') {
			$('.order-detail-evidence-item').each(function(index, item) {
				
				if (item.getAttribute('data-picId') === picId) {
					item.classList.remove('failure');
					item.classList.add('success');
						$(this).find('img').attr('src',token.iobsCloudUrl);
						orderEvidenceOtherJson.map(function(item) {
						if (item.picId === picId) {
							item.cloudKey = imgId;
							item.cloudUrl = token.iobsCloudUrl;
						}
					})
				}
			})
		}
		activeReloadInfoButton();
		sendPadorderDetail(params.orderId);
	}
	
	// 解锁提交审核按钮
	function activeReloadInfoButton() {
		if(params.baseBusinessType!=='003001'){
			// 判断身份证正面是否更新
			var oldOrderEvidenceFrontIdCardJson = JSON.parse(params.orderEvidenceFrontIdCard);
			var evidenceFrontIdCardStatus = oldOrderEvidenceFrontIdCardJson.every(function(item, index) {
				if (item.checkResult === false && item.cloudKey !== orderEvidenceFrontIdCardJson[index].cloudKey) {
					return true;
				} else if (item.checkResult === true) {
					return true;
				} else {
					return false;
				}
			});

			// 判断身份证正面是否更新
			var oldOrderEvidenceBackIdCardJson = JSON.parse(params.orderEvidenceBackIdCard);
			var evidenceBackIdCardStatus = oldOrderEvidenceBackIdCardJson.every(function(item, index) {
				if (item.checkResult === false && item.cloudKey !== orderEvidenceBackIdCardJson[index].cloudKey) {
					return true;
				} else if (item.checkResult === true) {
					return true;
				} else {
					return false;
				}
			});
			
			// 判断手持身份证是否更新
			if (params.orderEvidenceHoldIdCard !== '') {
				var oldOrderEvidenceHoldIdCardJson = JSON.parse(params.orderEvidenceHoldIdCard);
				var evidenceHoldIdCardStatus = oldOrderEvidenceHoldIdCardJson.every(function(item, index) {
					if (item.checkResult === false && item.cloudKey !== orderEvidenceHoldIdCardJson[index].cloudKey) {
						return true;
					} else if (item.checkResult === true) {
						return true;
					} else {
						return false;
					}
				});
			}
			
			// 判断学籍证明材料是否更新
			/*if(params.baseBusinessType==='003001'&& params.orderEvidenceEducation!==undefined){
				if (params.orderEvidenceEducation !== '') {
					var oldOrderEvidenceEducationJson = JSON.parse(params.orderEvidenceEducation);
					var evidenceEducationStatus = oldOrderEvidenceEducationJson.every(function(item, index) {
						if (item.checkResult === false && item.cloudKey !== orderEvidenceEducationJson[index].cloudKey) {
							return true;
						} else if (item.checkResult === true) {
							return true;
						} else {
							return false;
						}
					});
				}
			}*/

			/*if(params.baseBusinessType==='003001'){
				if (
//						(params.orderEvidenceHoldIdCard === '' && evidenceFrontIdCardStatus === true && evidenceBackIdCardStatus === true && evidenceQualificationStatus === true) ||
//						(params.orderEvidenceHoldIdCard !== '' && evidenceFrontIdCardStatus === true && evidenceBackIdCardStatus === true && evidenceHoldIdCardStatus === true && evidenceQualificationStatus === true)
						(params.orderEvidenceHoldIdCard === '' && evidenceFrontIdCardStatus === true && evidenceBackIdCardStatus === true && evidenceEducationStatus === true) ||
						(params.orderEvidenceHoldIdCard !== '' && evidenceFrontIdCardStatus === true && evidenceBackIdCardStatus === true && evidenceHoldIdCardStatus === true && evidenceEducationStatus === true )
					) {
					
					$('#orderDetailAuditBtn').removeAttr('disabled').removeClass('false');
				}
			}else */if(params.baseBusinessType==='002001' || params.baseBusinessType==='002002'){
				if (
//						(params.orderEvidenceHoldIdCard === '' && evidenceFrontIdCardStatus === true && evidenceBackIdCardStatus === true && evidenceQualificationStatus === true) ||
//						(params.orderEvidenceHoldIdCard !== '' && evidenceFrontIdCardStatus === true && evidenceBackIdCardStatus === true && evidenceHoldIdCardStatus === true && evidenceQualificationStatus === true)
						(params.orderEvidenceHoldIdCard === '' && evidenceFrontIdCardStatus === true && evidenceBackIdCardStatus === true) ||
						(params.orderEvidenceHoldIdCard !== '' && evidenceFrontIdCardStatus === true && evidenceBackIdCardStatus === true && evidenceHoldIdCardStatus === true )
					) {
					$('#orderDetailAuditBtn').removeAttr('disabled').removeClass('false');
				}
			}
		}else{
			if($("#orderDetailEducation .failure").length==0){
				$("#orderDetailAuditBtn").removeAttr("disabled");
				$("#orderDetailAuditBtn").removeClass("false");
			}
		}
	}
	
	
	//用户重新确认点击事件
	$('#orderReConfirmBtn').on('click',function(){
		
		if(params.baseBusinessType!=='004001'&&params.baseBusinessType!=='004002'){
			var alertText = null;
			if(params.goodsPlanId == ''){
				alertText = '本人确认上述商品证明材料为本人提供的租赁物购买证明'
			}else{
				alertText = '1.本人确认上述商品证明材料为本人提供的租赁物购买证明<br>2.本人确认'+ params.orderContractNumber +'为本人提供的合约号码'
			}
			callAppApi({
				url: '/app/updateOrderConfirm',
				type: 'POST',
				params: {
					orderId: params.orderId,
					userId: loginStatus.userId,
					orderStatus: '40',
					completionConfirmAlertText:alertText,
					distributionAddressLatitude:'',//配送地址纬度
					distributionAddressLongitude:''//配送地址经度
	
				},
				successCallback: function(response) {
					$('#orderReConfirmBtn').addClass('hide-btn');
	//				if(params.goodsPlanId == ''){  //纯分期、家电
						var reConfirmModel = f7.modal({
				  			title: '<p class="reConfirm-modal-title">信息确认</p>',
				  			text:  '<div class="reConfirm-modal-content">'+
							  	      '<p>'+alertText+'</p>'+
							     	'</div>'
				  		});
	//				}
					setTimeout(function(){
						f7.closeModal(reConfirmModel)
					}, 3000)
				},
				errorCallback: function(err) {}
			});
		}else if(params.baseBusinessType==='004001'){
			//确认签约按钮点击事件
			if(!$("#creditCheckBox").prop("checked")){
				f7.alert("请阅读售后回租合同");
			}else{
				var alertText="是否确认签约？";
				
				f7.modal({
					title : '',
					text:  '<div class="model-titles" style="font-size:16px">本人确认以上订单信息为本人操作</div>',
					buttons : [ {
						text : '<span class="model-back">取消</span>'
					}, {
						text : '确定',
						onClick : function() {
							callAppApi({
								url: '/app/updateOrderConfirm',
								type: 'POST',
								params: {
									orderId: params.orderId,
									userId: loginStatus.userId,
									orderStatus: '40',
									completionConfirmAlertText:alertText,
									distributionAddressLatitude:'',//配送地址纬度
									distributionAddressLongitude:'',//配送地址经度
									baseBusinessType:params.baseBusinessType
								},
								successCallback: function(response) {
									$('#orderReConfirmBtn').addClass('hide-btn');
									mainView.router.load({
										  url: 'order.html',
										  animatePages: false
									  });
								},
								errorCallback: function(err) {}
							});
						}
					}]
				});
			}
		}else if(params.baseBusinessType==='004002'){
			//确认签约按钮点击事件
			if(!$("#creditCheckBox2").prop("checked")){
				f7.alert("请阅读应收账款转让确认与保理函承担协议");
			}else{
				var alertText="是否确认签约？";
				
				f7.modal({
					title : '',
					text:  '<div class="model-titles" style="font-size:16px">本人确认以上订单信息为本人操作,自付金额由本人与店员进行结算</div>',
					buttons : [ {
						text : '<span class="model-back">取消</span>'
					}, {
						text : '确定',
						onClick : function() {
							callAppApi({
								url: '/app/updateOrderConfirm',
								type: 'POST',
								params: {
									orderId: params.orderId,
									userId: loginStatus.userId,
									orderStatus: '36',
									completionConfirmAlertText:alertText,
									distributionAddressLatitude:'',//配送地址纬度
									distributionAddressLongitude:'',//配送地址经度
									baseBusinessType:params.baseBusinessType
								},
								successCallback: function(response) {
									$('#orderReConfirmBtn').addClass('hide-btn');
									mainView.router.load({
										  url: 'order.html',
										  animatePages: false
									  });
								},
								errorCallback: function(err) {}
							});
						}
					}]
				});
			}
		}
	})
	
	//用户取消(退款)订单状态说明
	  //7X-退款状态: 
		//701-支付完成用户发起取消订单，
		//702-用户发起退款申请，
		//703-上传发票超时系统发起退款申请，
		//704-复核不通过系统发起退款申请，
        //721-用户取消发起退款申请通过，
		//722-用户发起退款申请通过，
		//723-上传发票超时系统发起退款申请通过，
		//724-复核不通过系统发起退款申请通过
        //740-退款申请不通过

	  $('#userRefundBtn').on('click', function() {
			f7.modal({
				title : '',
				text:  '<div class="model-block">'+
					  	      '<div id="refundBlock">'+
						          '<p class="refund-notice">您的取消订单申请将提交至办理店员处进行审核，是否确认取消订单？</p>'+
						           '<textarea placeholder="请输入取消订单原因"  class="refund-reason" id="refundReason"></textarea>'+
						      '</div>'+
						      '<div id="canclePrompt" class="hide" style="color: red">* 取消订单原因不能为空</div>' +
				        '</div>',
				buttons : [ {
					text : '取消'
				}, {
					text : '确定',
					close: false,
					onClick : function() {
						if ($('#refundBlock .refund-reason').val()==="") {$('#canclePrompt').removeClass("hide"); return false};
						var refundReason=$('#refundReason').val()
						
						callAppApi({
							url: '/app/updateOrderRefundMsg',
							type: 'POST',
							params: {
								orderId: params.orderId,
								userId: loginStatus.userId,
								orderStatus: '701',
								lastStatus:'',//回滚前状态记录
								refundReason:refundReason,//退款原因
								rejectRefundReason:''//店员拒绝退款原因
								
							},
							successCallback: function(response) {
								f7.closeModal('.modal');
								//f7.pullToRefreshTrigger($('#orderDetailRefresh'));
								var timeCancle = setTimeout(function() {
									mainView.loadPage('order.html');
								}, 3000);
							},
							errorCallback: function(err) {}
						});
					}
				}]
			});
			$('#refundBlock').parent().parent().parent().parent().css({
				position: 'absolute',
				top: '50%',
				left: '5%',
				display: 'block',
				width: '90%',
				margin: '-242px 5% 0 0'
			});
			$('#refundReason').on('keyup', function() {
				if ($('#refundBlock .refund-reason').val()!=="") {
					$('#canclePrompt').addClass("hide");
				}else{
					$('#canclePrompt').removeClass("hide")
				};
			})
	  })
	  
		//用户取消订单执行退款
	  $('#applicationDrawback').on('click', function() {//店员超时未处理 状态702;运维平台订单审核未通过 703
			f7.modal({
				title : '',
				text:  '您的订单退款申请将提交至办理店员处进行处理，是否确认申请退款？',
				buttons : [ {
					text : '取消'
				}, {
					text : '确定',
					close: false,
					onClick : function() {
						callAppApi({
							url: '/app/updateOrderRefundMsg',
							type: 'POST',
							params: {
								orderId: params.orderId,
								userId: loginStatus.userId,
								orderStatus: '702',
								lastStatus:'',//回滚前状态记录
								refundReason:'',//退款原因
								rejectRefundReason:''//店员拒绝退款原因
								
							},
							successCallback: function(response) {
								f7.closeModal('.modal');
								var timeCancle = setTimeout(function() {
									mainView.loadPage('order.html');
								}, 3000);
							},
							errorCallback: function(err) {}
						});
					}
				}]
			});

	  })
		
	// 用户重新确认倒计时
	if (mainView.activePage.name === 'orderDetail' && params.orderStatus == '35'&& params.baseBusinessType !== '004001' && params.baseBusinessType !== '004002') {
		var alertText = null;  //显示的字段，需要存入数据库
		var reConfirmOrderChangeTime = Date.parse(params.orderStateChangeTime.slice(0, 19).replace(/-/g, '/'));
		var reConfirmOrderNowTime = Date.now();
    	var reConfirmTimeLimit = 10 * 60 * 1000;  //10分钟
    	var reConfirmTimeDiff = reConfirmOrderNowTime - reConfirmOrderChangeTime;
		
		if (reConfirmTimeDiff < reConfirmTimeLimit) {
			var reConfirmCountDownTime = Math.floor(reConfirmTimeLimit / 1000 - reConfirmTimeDiff / 1000);
			clearInterval(intervalReConfirm);
			
			intervalReConfirm = setInterval(function() {
				reConfirmCountDownTime -= 1;
				
				if (reConfirmCountDownTime > 0) {
    				var min = Math.floor(reConfirmCountDownTime / 60) < 10 ? '0' + Math.floor(reConfirmCountDownTime / 60) : Math.floor(reConfirmCountDownTime / 60);
    				var sec = Math.floor(reConfirmCountDownTime - min * 60) < 10 ? '0' + Math.floor(reConfirmCountDownTime - min * 60) : Math.floor(reConfirmCountDownTime - min * 60);
    				
    				var countDownStr = min + ' : ' + sec;
    				
    				$('#reConfirmTimeLimit').text(countDownStr);
				} else {  //超出10分钟后端处理
					clearInterval(intervalReConfirm);
					$('#orderReConfirmBtn').addClass('hide-btn')
				}
			}, 1000);
		}else{  //超出10分钟后端处理
			clearInterval(intervalReConfirm);
			$('#orderReConfirmBtn').addClass('hide-btn')
		}
	}
	
	  //----------------------------------------------------------------------------退货开始------------------------------------------------------//
	//订单状态为已完成‘4X’用户可以点击“取消分期”（退货）
	  $('#userReturnGoodsBtn').on('click', function() {
			f7.modal({
				title : '',
				text:  '<div class="model-block">'+
					  	      '<div id="ReturnGoodsBlock">'+
						          '<p class="refund-notice">您的申请将提交至办理店员处进行审核，若审核通过需先结清账单款项，再进行线下其他手续办理，是否确认提交申请？</p>'+
						           '<textarea placeholder="请输入取消原因"  class="refund-reason" id="ReturnGoodsReason"></textarea>'+
						      '</div>'+
						      '<div id="ReturnGoodsPrompt" class="hide" style="color: red">* 请输入取消原因</div>' +
				        '</div>',
				buttons : [ {
					text : '取消'
				}, {
					text : '确定',
					close: false,
					onClick : function() {
						var returnGoodsReason =$('#ReturnGoodsReason').val()
						returnGoodsReason=returnGoodsReason.trim()
						if (returnGoodsReason==="") {$('#ReturnGoodsPrompt').removeClass("hide"); return false};
						//var returnGoodsReason =$('#ReturnGoodsReason').val()
						
						callAppApi({
							url: '/app/reqApplyReturnGoods',
							type: 'POST',
							params: {
								orderId : params.orderId,
								userId : loginStatus.userId,
								orderStatus :params.orderStatus,
								returnGoodsReason :returnGoodsReason ,//退款原因		
								baseBusinessType:params.baseBusinessType
							},
							successCallback: function(response) {
								f7.closeModal('.modal');
								f7.alert('申请成功，店员将在24小时内进行处理，请您耐心等待');
								$$('#userReturnGoodsBtn').attr('disabled', true);
								var timeCancle = setTimeout(function() {
									mainView.loadPage('order.html');
								}, 3000);
							},
							errorCallback: function(err) {

							}
						});
					}
				}]
			});
			$('#refundBlock').parent().parent().parent().parent().css({
				position: 'absolute',
				top: '50%',
				left: '5%',
				display: 'block',
				width: '90%',
				margin: '-242px 5% 0 0'
			});
			$('#ReturnGoodsReason').on('keyup', function() {
				var returnGoodsReason =$('#ReturnGoodsReason').val()
				returnGoodsReason=returnGoodsReason.trim()
				if (returnGoodsReason!=="") {
					$('#ReturnGoodsPrompt').addClass("hide");
				}else{
					$('#ReturnGoodsPrompt').removeClass("hide")
				};
			})
	  })
	  //----------------------------------------------------------------------------退货结束------------------------------------------------------//
	
	  //----------------------------------------------------------------家庭分期相关代码-----------------------------------------------------------------------------//
	  $("#familyDetail").on("click",function(){
		  if(params.baseBusinessType==='004001'){
			    var goodPaymentDetail=params.goodsList;
				var goodPaymentDetailHtml='';
				var goodsConfigureHtmlModel="";
				var goodsColorHtmlModel="";
				var goodsConfigureStatus = goodPaymentDetail.every(function(item) {
					return item.goodsConfigure === '';
				});
				
				var goodsColorStatus = goodPaymentDetail.every(function(item){
					return item.goodsColor === '';
				})
				
				goodPaymentDetail.map(function(item,index){
					if(!goodsConfigureStatus){
						var goodsConfigureHtml='<div class="model-list-pay model-list-content">'+item.goodsConfigure+'</div>';
						 goodsConfigureHtmlModel='<div class="model-list-pay model-list-content">配置</div>';
					}else{
						var goodsConfigureHtml="";
						 goodsConfigureHtmlModel='';
					}
					if(!goodsColorStatus){
						var goodsColorHtml='<div class="model-list-pay model-list-content">'+item.goodsColor+'</div>';
						 goodsColorHtmlModel='<div class="model-list-pay model-list-content">颜色</div>'
					}else{
						var goodsColorHtml="";
						 goodsColorHtmlModel="";
					}			
					
					goodPaymentDetailHtml = goodPaymentDetailHtml +
						'<div class="model-list-item">'+
						'<div class="model-list-number model-list-content">'+item.goodsName+'</div>' +
						'<div class="model-list-pay model-list-content">'+item.goodsModule+'</div>' +
						goodsColorHtml+
						goodsConfigureHtml+
						'<div class="model-list-pay model-list-content">'+item.goodsPrice+'</div>' +
					'</div>' 
				})
					f7.modal({
						title: '商品清单',
						afterText: '<div class="model-block-detail">'+
											'<div class="model-head">'+
											'</div>' +
											'<div class="model-list">'+
												'<div class="model-list-item">'+
												'<div class="model-list-number model-list-content">商品名称</div>' +
												'<div class="model-list-pay model-list-content">型号</div>' +
												goodsColorHtmlModel +
												goodsConfigureHtmlModel +
												'<div class="model-list-pay model-list-content">价格(元)</div>' +
												'</div>' +goodPaymentDetailHtml+
											'</div>' +
										 '</div>',
						buttons: [
							{
								text: '确认',
							}
						]
					});
				
		  }
		  
		  
		  if(params.baseBusinessType==='004002'){
			    var goodPaymentDetail=params.goodsList;
				var goodPaymentDetailHtml='';
				goodPaymentDetail.map(function(item,index){
					goodPaymentDetailHtml = goodPaymentDetailHtml +
						'<div class="model-list-item">'+
						'<div class="model-list-number model-list-content2">'+item.goodsName+'</div>' +
						'<div class="model-list-pay model-list-content2">'+item.goodsNum+'</div>' +
						'<div class="model-list-pay model-list-content2">'+item.goodsPrice+'</div>' +
					'</div>' 
				})
				f7.modal({
					title: '商品清单',
					afterText: '<div class="model-block-detail">'+
										'<div class="model-head">'+
										'</div>' +
										'<div class="model-list">'+
											'<div class="model-list-item">'+
											'<div class="model-list-number model-list-content2">商品名称</div>' +
											'<div class="model-list-pay model-list-content2">数量</div>' +
											'<div class="model-list-pay model-list-content2">价格(元)</div>' +
											'</div>' +goodPaymentDetailHtml+
										'</div>' +
									 '</div>',
					buttons: [
						{
							text: '确认',
						}
					]
				});
		  }
		  
			$('.model-block-detail').parent().parent().css({
				position: 'absolute',
				top: '50%',
				left: '5%',
				display: 'block',
				width: '90%',
				margin: '-210px 5% 0 0'
			});
	  })
	  //----------------------------------------------------------------预授信分期账单相关代码-----------------------------------------------------------------------------// 
	  $$(".billDetail").off("click").on("click",function(){
			f7.modal({
				title: '分期账单',
				afterText: '<div class="model-block-chooseGoods">'+
									'<div class="model-head bill-model">'+
										'<div class="billDetailItem">' +
											'<span class="key">分期金额</span><span class="value">' + params.orderDetailData.stagePlanList[0].goodsSuiteStagePrice + '元</span>' +
										'</div>' +
										'<div class="billDetailItem">'+
												'<span class="key">期数</span><span class="value">' + params.stagePlanData.totalPeriod + '</span>'+
										'</div>' +
										'<div class="billDetailItem">'+
											'<span class="key">还款总额</span><span class="value">' + params.stagePlanData.totalAmount+ '元</span>'+
									'</div>' +											
										'<div class="billDetailItem">'+
												'<span class="key">还款方式</span><span class="value">月还</span>'+
										'</div>' +
									'</div>' +
									
									'<div class="model-list">'+
										'<div class="model-list-item">'+
											'<div class="model-list-number model-list-bill">期数</div>' +
											'<div class="model-list-pay model-list-bill">每期还款</div>' +
										'</div>' +goodFamilyPaymentDetailHtml+
									'</div>' +
								 '</div>',
				buttons: [
					{
						text: '知道了',
					}
				]
			});
			$('.model-block-chooseGoods').parent().parent().css({
				position: 'absolute',
				top: '50%',
				left: '5%',
				display: 'block',
				width: '90%',
				margin: '-210px 5% 0 0'
			});
		});
	
	  
	//----------------------------------------------------------------教育分期账单相关代码-----------------------------------------------------------------------------// 
	  if(params.baseBusinessType=="003001"){
		  	var goodEducationPaymentDetail = params.stagePlanData.paymentDetail;
			var goodEducationPaymentDetailHtml='';
			goodEducationPaymentDetail.map(function(item,index){
				goodEducationPaymentDetailHtml = goodEducationPaymentDetailHtml +
					'<div class="model-list-item">'+
					'<div class="model-list-number model-list-content">第'+item.periodNo+'期</div>' +
					'<div class="model-list-pay model-list-content">'+ getFormatPrice(item.payAmount) +'元</div>' +
				'</div>' 
			})
	  }
	  $$("#billEducationDetail").off("click").on("click",function(){
			f7.modal({
				title: '分期账单',
				afterText: '<div class="model-block-chooseGoods" id="educationStage">'+
								'<div class="model-head">'+
								'<div class="chooseGoodsModalItem" style="width: 100%">' +
									'<span class="key" style="width:23%">课程详情</span><span class="value" style="width:75%">'  +params.courseName + " "+ getFormatPrice(params.orderProductPrice) + '元</span>' +
								'</div>' +
								'<div class="chooseGoodsModalItem">'+
										'<span class="key" >期<span style="display: inline-block; width: 2em"></span>数</span><span class="value">' + params.goodsSuiteStageNumber + '</span>'+
								'</div>' +
								'<div class="chooseGoodsModalItem">'+
									'<span class="key">还款总额</span><span class="value">' + getFormatPrice(params.goodsSuiteTotalAmount) + '元</span>'+
							'</div>' +											
								'<div class="chooseGoodsModalItem">'+
										'<span class="key">还款方式</span><span class="value">月还</span>'+
								'</div>' +
								'<div class="chooseGoodsModalItem">'+
										'<span class="key"></span><span class="value"></span>'+
								'</div>' +											
							'</div>' +
							
							'<div class="model-list">'+
								'<div class="model-list-item">'+
									'<div class="model-list-number model-list-content">期数</div>' +
									'<div class="model-list-pay model-list-content">每期还款</div>' +
								'</div>' +goodEducationPaymentDetailHtml+
							'</div>' +
						 '</div>',
				buttons: [
					{
						text: '知道了',
					}
				]
			});
//			if($$("#rentDetailBox").css("display")=="none"){
//			$$("#rentDetailBox").css("display","block");
//			$$(".orderDetail-show-icon").css("background-image","url(img/order/orderDetailHide.png)");
//		}else{
//			$$("#rentDetailBox").css("display","none");
//			$$(".orderDetail-show-icon").css("background-image","url(img/order/orderDetailShow.png)");
//		}
			$('.model-block-chooseGoods').parent().parent().css({
				position: 'absolute',
				top: '50%',
				left: '5%',
				display: 'block',
				width: '90%',
				margin: '-210px 5% 0 0'
			});
		});
	
  }
  return {
	renderMedical: renderMedical,
	render: render
  }
});
