define([
  'app',
  'js/utilities',
  'js/config',
  'js/lib/md5.min',
  'js/validator',
  'containers/login/loginView'
], function(
  myApp,
  utilities,
  config,
  md5,
  validator,
  loginView	
) {
  var $ = Framework7.$;
  var getDeviceType = myApp.getDeviceType;
  var login = loginView.login;
  var callAppApi = utilities.callAppApi;
  var countDown = utilities.countDown;
  var getDay = utilities.getDay;
  var renderVerifyImgCode = utilities.renderVerifyImgCode;
  
  // 跳过cordova插件
  var SKIP = config.SKIP;
  
  function render(params) {
	var verifyCodeId = '';
	var verifyCodeType = '';
	  
	var smsId = '';
	var registerTimeCount;

	function renderVerifyImgCodeFunc() {
		// 渲染图片验证码
		renderVerifyImgCode({
			imgSelector: '#verifyCodeImg',
			canvasSelector: '#registerVerifyCodeImgCanvas',
			canvasWidth: 144,
			canvasHeight: 48,
			successCallback: function(res) {
				verifyCodeId = res.verifyCodeId;
				verifyCodeType = res.verifyCodeType;
			},
			errorCallback: function(err) {}
		});
	}
	
	renderVerifyImgCodeFunc();
	
	$('#registerVerifyCodeImgChangeBtn').on('click', function() {
		renderVerifyImgCodeFunc();
	})
//	 style="position:absolute;top:0;width:100%;height:12px;background:#f4610b;"
	$('.navbar-outerHolder').css({'position':'absolute','top':'0','width':'100%','height':'14px','background':'#f4610b'});
	$('.navbar-inner').css({'top':'12px','background-color': '#f4610b'});

	TalkingData.onPage("注册");
	TalkingData.onPageBegin("注册成功所需时间");
	// 注册页面变化事件，返回时清除定时器
	f7.onPageBeforeAnimation('login', function() {
		clearInterval(registerTimeCount);
	});
	clearInterval(registerTimeCount)
	$('#veriCodeBtn').on('click', function() {
		var userName = $('#register_username').val();
		
		if (!validator.checkTel(userName)) {
			f7.alert('信息填写错误');
			return;
		}
		
		TalkingData.onEvent("02003注册页-发送验证码");
		
		callAppApi({
			url: '/api/sendSms',
			type: 'POST',
			params: {
				smsPhone: userName,
				smsType: '1',
				appName: 'APP_USER',
				smsBusinessType: '1'
			},
			successCallback: function(data) {
				smsId = data.smsId;
				
				registerTimeCount=countDown('#veriCodeBtn', 60, '获取验证码');
			},
			errorCallback: function(err) {}
		});
	});

	$('#registerBtn').on('click', function() {
		var userName = $('#register_username').val();
		var veriCode = $('#register_code').val();
		var userPwd = $('#register_pwd').val();
		var registerVerifyCode = $('#registerVerifyCode').val();
		
		var fromPage = mainView.activePage.query.from;
		
		if (!validator.checkTel(userName)) {
			f7.alert('信息填写错误');
			return false;
		}
		if (smsId === '') {
			f7.alert('信息填写错误');
			return false;
		}
		if (validator.isNull(veriCode)) {
			f7.alert('信息填写错误');
			return false;
		}
		if (!/^\d{6,10}$/.test(veriCode)) {
			f7.alert('信息填写错误');
			return false;
		}
		if (!validator.checkPwd(userPwd)) {
			f7.alert('信息填写错误');
			return false;
		}
		if (validator.isNull(registerVerifyCode)) {
			f7.alert('信息填写错误');
			return;
		}
		
		var registerUrl = '/app/register?verifyCodeId=' + verifyCodeId + '&verifyCodeValue=' + registerVerifyCode + '&verifyCodeType=' + verifyCodeType;

		// 是否跳过cordova的device.uuid
		var deviceInfo = '';
		if (!SKIP.cordova_uuid) {
			deviceInfo = device.uuid;
		}
		
		TalkingData.onEvent("02006注册页-注册按钮");
		
		// 注册请求  
		callAppApi({
//		  url: '/app/register',
		  url: registerUrl,
		  type: 'POST',
		  accountId: userName,
		  params: {
			accountName: userName,
			accountPwd: md5(userPwd).toUpperCase(),
			deviceInfo: deviceInfo,
			smsCode: veriCode,
			smsId: smsId
		  },
		  successCallback: function(data) {
			  // 注册成功清除定时器
			  clearInterval(registerTimeCount);
//			  	login(userName, userPwd, fromPage);
//			  	login({
//			  		userName:userName,
//			  		userPwd:userPwd,
//			  		fromPage:fromPage
//			  	})
			  	
			  	f7.alertMessage('注册成功');
			  	
			  	var timeA = setTimeout(function() {
				  	// 跳转登陆页面
					mainView.router.load({
						url: 'login.html',
						query: {
							from: fromPage
						}
					});
			  	}, 3000)

			  
				TalkingData.onPageEnd("注册成功所需时间");
				TalkingData.onEventWithLabel('注册', '点击注册，并成功');
				TalkingData.onEventWithExtraData('用户注册', '注册成功', {
					 userId: '无',
					 mmo:userName,
					 eventtype:'03',
					 businesstype:'09',
				});
				
		  },
		  errorCallback: function(errMsg) {
			// 注册失败清除定时器
			//clearInterval(registerTimeCount);
			  	renderVerifyImgCodeFunc();
				TalkingData.onEventWithExtraData('用户注册', '注册失败', {
					 userId: '无',
					 mmo:userName,
					 eventtype:'03',
					 businesstype:'09',
				}) 
		  }
		});
	});
	
	$('#registerLoginBtn').on('click', function() {
		// 跳转到登陆页清除定时器
		clearInterval(registerTimeCount);
		
		mainView.loadPage('login.html');

		TalkingData.onEventWithLabel('注册', '已有账号请登录');
		TalkingData.onEvent("02007注册页-已有账号、请登录");
	});
	
	// 清除前一个input元素的值。
	$('.login-clear').on('click', function() {
	  $(this).prev('input').val('');
	});

	// 表单元素获取焦点后隐藏工具栏
	$('input').on('focus', function() {
	  $('#toolbar').hide();
	});

	// 表单元素失去焦点后显示工具栏
	$('input').on('blur', function() {
	  $('#toolbar').show();
	});
	
	// 注册页面手机号输入埋点
	$('#register_username').on('focus', function() {
		TalkingData.onEvent("02002注册页-手机号输入");
	});
	
	// 验证码输入埋点
	$('#register_code').on('focus', function() {
		TalkingData.onEvent("02004注册页-验证码输入");
	});
	
	// 密码输入埋点
	$('#register_pwd').on('focus', function() {
		TalkingData.onEvent("02005注册页-密码输入");
	});
	
  
  $("#registerPage .navbar .left .back").on('click', function() {
	// 跳转到登陆页清除定时器
		clearInterval(registerTimeCount);
		TalkingData.onEventWithLabel('注册', '返回');
		TalkingData.onEvent("02001注册页-返回按钮");
	});
  }
  
  return {
	render: render
  }
});
