define([
    'js/config',
    'js/utilities',
    'js/validator',
    'js/sha256',
    'hbs!containers/setPassword/setPassword',
    'hbs!components/common/button/button'
], function(
    config,
    utilities,
    validator,
    SHA256,
    setPasswordTemplate,
    buttonTemplate
) {
    var $ = Framework7.$;
    var callAppApi = utilities.callAppApi;
    var getDeviceType = utilities.getDeviceType;
    var infoQueryRouter = utilities.infoQueryRouter;
    var SKIP = config.SKIP;
    var checkBankNo = validator.checkBankNo;
    var checkBankId = validator.checkBankId;
    

    function render(params) {
        var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
        var defaultGoodsInfo = JSON.parse(localStorage.getItem('defaultGoodsInfo_' + loginStatus.userId));
    	var defaultDecorationGoodsInfo = JSON.parse(localStorage.getItem('defaultDecorationGoodsInfo_' + loginStatus.userId));
        //接受上个页面传来的参数
		 var fromPage=params.fromPage;
		 var inputPrePwd=params.inputPrePwd;
		 
		 if(fromPage == "advanceCreditUploadIDCard"){
		      loadAdvanceCreditComponent('navbar', 'common', {
		          container: '#setPasswordNavbar',
		          title: '设置交易密码',
		          backId: 'bindBankcardBackBtn',
		          isBackIcon: true,
		          isBack: true,
//		          iconRightId: 'skipSetPasswordBtn',
//		          iconRightStatus: true,
//		          iconRight:'跳过',
//		          iconRightClass: 'skipSetPasswordSkipBtn'
		      });
		 }else{
		    	loadComponent('navbar', 'common', {
		            container: '#setPasswordNavbar',
		            title: '设置交易密码',
		            backId: 'setPasswordBackBtn',
		            isBackIcon: true,
		            isBack: true,
//		            iconRightId: 'skipSetPasswordBtn',
//		            iconRightStatus: true,
//		            iconRight:'跳过',
//		            iconRightClass: 'skipSetPasswordSkipBtn'
		        });
		 }
		 

		 if(fromPage == "employeeBuyUploadIdCard"){
		 	// 渲染员工购状态栏 
			loadEmployeeBuyComponent('placeOrderTabbar', 'placeOrder', {
				container: '#checkUserIDCardTabbar',
				tabIndex: 2
			});
		 }

        // 渲染页面
        $('#setPasswordContent').html(setPasswordTemplate({
        	deviceType: getDeviceType()
        }));
        
        // 渲染底部按钮
        $('#setPasswordBtnBox').html(buttonTemplate({
            id : 'setPasswordBtn',
            value : '下一步',
            disabled : false,
        }));
        
    	//交易密码设置跳过
        setTimeout(function(){
    		$('#skipSetPasswordBtn').on('click', function() {
    			houseLoginCheck();
    		})
        },500)

        var setPasswordContainer = document.getElementById("setPasswordContainer");
		var setPasswordObj = {
			maxLength:"",
			realInput:"",
			bogusInput:"",
			bogusInputArr:"",
			callback:"",
			init:function(fun){
				var that = this;
				this.callback = fun;
				that.realInput = setPasswordContainer.children[0];
				that.bogusInput = setPasswordContainer.children[1];
				that.bogusInputArr = that.bogusInput.children;
				that.maxLength = that.bogusInputArr[0].getAttribute("maxlength");
				that.realInput.oninput = function(){
					that.setValue();
				}
				that.realInput.onpropertychange = function(){
					that.setValue();
				}
			},
			setValue:function(){
				this.realInput.value = this.realInput.value.replace(/\D/g,"");
				var real_str = this.realInput.value;
				for(var i = 0 ; i < this.maxLength ; i++){
					this.bogusInputArr[i].value = real_str[i]?real_str[i]:"";
				}
				if(real_str.length >= this.maxLength){
					this.realInput.value = real_str.substring(0,6);
					this.callback();
				}
			},
			getBoxInputValue:function(){
				var realValue = "";
				for(var i in this.bogusInputArr){
					if(!this.bogusInputArr[i].value){
						break;
					}
					realValue += this.bogusInputArr[i].value;
				}
				return realValue;
			}
		};
		setPasswordObj.init(function() {});
		
		function adultEducationCreateOrder() {
			callAppApi({
				url: '/app/order/create/educationAdult',
				apiVersion: '2.0',
				params: defaultGoodsInfo,
				successCallback: function(createOrderRes) {
					
					
					localStorage.removeItem('defaultGoodsInfo_'+loginStatus.userId);
					localStorage.setItem('adultEducationOrderId_' + loginStatus.userId, createOrderRes.baseOrderId);//成人教育创建订单保存orderId
					localStorage.setItem('adultEducationSkipBindBankcard_' + createOrderRes.baseOrderId, '1');
					
					checkBatchBankcard();
					function checkBatchBankcard() {
						// 判断是否绑卡
						callAppApi({
							url: '/app/bankBatchCard',
							type: 'POST',
							params: {
								userId: loginStatus.userId
							},
							successCallback: function(bankBatchCardRes) {
								
								if (bankBatchCardRes && (checkBankNo(bankBatchCardRes.bankCardNumber) && checkBankId(bankBatchCardRes.bankId))) {
//									loadAdultEducationPage('uploadEvidence', {
//										query: {
//											fromPage: 'chooseGoods'
//										}
//									})
									
									infoQueryRouter('003002', {
                                        query:{
                                            fromPage: 'chooseGoods'
                                        }
                                    }, loadAdultEducationPage);
								} else {
			  						mainView.router.load({
										url: 'bindBankcard.html',
										query: {
											fromPage: 'adultEducationChooseGoods',
											baseBusinessType: '003002'
										}
									});
								}
							},
							errorCallback: function(err) {}
						});
					}
					
				},
				errorCallback: function(err) {}
			});
		}

		function familyDecorationOnlineCreateOrder() {
			callAppApi({
				url: '/app/order/create/decoration',
				params: defaultDecorationGoodsInfo,
				successCallback: function(createOrderRes) {
					
					checkBatchBankcard();
					localStorage.removeItem('defaultDecorationGoodsInfo_'+loginStatus.userId);
					localStorage.setItem('familyDecorationOnlineOrderId_' + loginStatus.userId, createOrderRes.baseOrderId);
					function checkBatchBankcard() {	
						// 判断是否绑卡
						callAppApi({
							url: '/app/bankBatchCard',
							type: 'POST',
							params: {
								userId: loginStatus.userId
							},
							successCallback: function(bankBatchCardRes) {
								
								if (bankBatchCardRes && (checkBankNo(bankBatchCardRes.bankCardNumber) && checkBankId(bankBatchCardRes.bankId))) {
//									loadFamilyDecorationOnlinePage('materialUpload', {
//										query: {
//											fromPage: 'chooseGoods'
//										}
//									})
									infoQueryRouter('004003', {
			                            query:{
			                                fromPage: 'familyDecorationOnlineChooseGoods'
			                            }
			                        }, loadFamilyDecorationOnlinePage);
								} else {
			  						mainView.router.load({
										url: 'bindBankcard.html',
										query: {
											fromPage: 'familyDecorationOnlineChooseGoods',
											baseBusinessType: '004003'
										}
									});
								}
							},
							errorCallback: function(err) {}
						});
					}
					
				},
				errorCallback: function(err) {}
			});
		}

      var houseLoginCheck=function(){
			callAppApi({
				url : '/app/credit/loanPage',
				type : 'POST',
				params: {
					userId : loginStatus.userId,
				},
				successCallback: function(pageRes) {
					if (pageRes.haveLoanPage !== true) {
						//!=003 >10000 检测是否绑卡
						  callAppApi({
							  url: '/app/bankCardList',
							  type: 'POST',
							  params: {
//								  fromPage:"advanceCreditUploadIDCard",
								  userId: loginStatus.userId,
							  },
							  successCallback: function(response) {									  
								  var bankcardList =[];
								  for (var i = 0; i < response.length; i++) {
									  if (response[i].bankIsBatchCard === '1') {
										  bankcardList.push(response[i]);
									  }
								  }							  
								  if(bankcardList.length > 0){ 
									    loadAdvanceCreditPage('creditManage', {
											  query: {
												fromPage: 'advanceCreditUploadIDCard',
											  	creditAuditId: params.creditAuditId || sessionStorage.getItem("creditAuditId")
											  }
										 });
								  }else if(bankcardList.length===0){
										mainView.router.load({
											url: 'bindBankcard.html',
											query: {
												 fromPage:'advanceCreditUploadIDCard',
												 creditAuditId: params.creditAuditId,
												 orderId: '',
												 baseBusinessType: '',
												 evidenceKey: '',
											}
										});
								  } 
							  },
							  errorCallback: function(err) {
							  },
						  });
					} else {
					    loadAdvanceCreditPage('housingLoan', {
							  query: {
									 fromPage:'advanceCreditUploadIDCard',
									 creditAuditId: params.creditAuditId,
//									 status:response.status
							  }
						   });
					}
				},
				errorCallback: function(err) {}
		});
      } 
     //点击下一步按钮
      $("#setPasswordBtnBox").on("click",function () {

    	var pwdStr = setPasswordObj.getBoxInputValue();
    	var telRegExp = /^\d{6}$/;
    	if(pwdStr==""){
    		f7.alert('请输入交易密码'); return false;
    	}
    	if (!telRegExp.test(pwdStr)) {f7.alert('密码格式不正确'); return false; }
    	//点击下一步按钮，判断上个页面，如果是输入原交易密码页面请求修改密码接口，传参，如果是输入身份证号接口请求设置密码接口，传参
    	if (fromPage=="inputPrePwd") {
    		//上个页面是输入原密码页面，请求修改密码接口，参数原交易密码inputPrePwd 新交易密码arr.join("")    userId
    		callAppApi({
	    		//成功：2000，失败：4000
			   url: '/module/transactionPwd/update',
			   type: 'POST',
			   params: {
				   userId: loginStatus.userId,
				   oldTransactionPwd: inputPrePwd,
				   newTransactionPwd: SHA256(pwdStr).toString()
			   },
			   successCallback: function(response) {
						//成功：2000，失败：4000
					mainView.loadPage('setting.html');
			   },
			   errorCallback: function(err) {}
			})
    	} else if (fromPage=="inputUserIdenId") {
    		//上个页面是输入身份证页面，请求设置密码接口
    		callAppApi({
	    		//成功：2000，失败：4000
			   url: '/module/transactionPwd/set',
			   type: 'POST',
			   params: {
				   userId:loginStatus.userId,
				   transactionPwd: SHA256(pwdStr).toString()
			   },
			   successCallback: function(response) {
				   f7.alertMessage("设置交易密码成功");
				   mainView.loadPage('setting.html');
			   },
			   errorCallback: function(err) {}
			})
    	} else if (fromPage=="forgetTrade" || fromPage=="medicalCareChooseGoods") {
    		//上个页面是忘记密码路径过来的，请求忘记密码接口
    		callAppApi({
	    		//成功：2000，失败：4000
			   url: '/module/transactionPwd/forget',
			   type: 'POST',
			   params: {
				   userId: loginStatus.userId,
				   phoneNumber: loginStatus.userPhoneNumber,
				   idCard: params.idCard,
				   transactionPwd: SHA256(pwdStr).toString()
			   },
			   successCallback: function(response) {
					f7.alertMessage("设置交易密码成功")
					if(fromPage=="medicalCareChooseGoods"){
						loadMedicalCarePage('medicalCareChooseGoods', {
							query: {
								fromPage:'setPassword',
							}
						});
					}else{
						mainView.loadPage('setting.html');
					}
					
			   },
			   errorCallback: function(err) {}
			})
    	}else if(fromPage == "advanceCreditUploadIDCard"){

    		//上个页面是输入身份证页面，请求设置密码接口
    		callAppApi({
	    		//成功：2000，失败：4000
			   url: '/module/transactionPwd/set',
			   type: 'POST',
			   params: {
				   userId:loginStatus.userId,
				   transactionPwd: SHA256(pwdStr).toString()
			   },
			   successCallback: function(response) {
				   f7.alertMessage("设置交易密码成功")
					//请求跳转数据并决定跳转到那个页面
				   houseLoginCheck();
			   },
			   errorCallback: function(err) {}
			})
    	} else if (fromPage == 'employeeBuyUploadIdCard') {
    		
    		callAppApi({
    			url: '/module/transactionPwd/set',
    			type: 'POST',
    			params: {
    				userId: loginStatus.userId,
    				transactionPwd: SHA256(pwdStr).toString()
    			},
    			successCallback: function(setPwdRes) {
    				TalkingData.onEventWithLabel('06001设置交易密码', '成功');
    				
    				callAppApi({
    					url: '/app/credit/updateCreditInfoStatus',
    					type: 'POST',
    					params: {
    						userId: loginStatus.userId
    					},
    					successCallback: function(res) {
    						loadEmployeeBuyPage('employeeBuyIndex', {
    							query:{
    								fromPage: 'setPassword'
    							}
    						});
    					},
    					errorCallback: function(err) {}
    				});
    			},
    			errorCallback: function(err) {
    				TalkingData.onEventWithLabel('06001设置交易密码', '失败');
    			}
    		})
    	} else if (fromPage == 'employeeBuyPayOrder') {
    		
    		if (params.pwdRouterStatus == 'forgetPassword') {
    			callAppApi({
    				url: '/module/transactionPwd/forget',
    				type: 'POST',
    				params: {
    					userId: loginStatus.userId,
    					phoneNumber: loginStatus.userPhoneNumber,
    					idCard: params.idCard,
    					transactionPwd: SHA256(pwdStr).toString()
    				},
    				successCallback: function(response) {
    					f7.alertMessage("设置交易密码成功");
    					
    					TalkingData.onEventWithLabel('06001设置交易密码', '成功');
    					
    					localStorage.removeItem('employeeBuyPwdErrorTime');
    					
        				loadEmployeeBuyPage('payOrder', {
        					query: {
        						fromPage: 'setPassword'
        					}
        				})
    				},
    				errorCallback: function(err) {
    					TalkingData.onEventWithLabel('06001设置交易密码', '失败');
    				}
    			})
    		} else {
        		callAppApi({
        			url: '/module/transactionPwd/set',
        			type: 'POST',
        			params: {
        				userId: loginStatus.userId,
        				transactionPwd: SHA256(pwdStr).toString()
        			},
        			successCallback: function(setPwdRes) {
        				f7.alertMessage("设置交易密码成功");
        				
        				TalkingData.onEventWithLabel('06001设置交易密码', '成功');
        				
        				loadEmployeeBuyPage('payOrder', {
        					query: {
        						fromPage: 'setPassword'
        					}
        				})
        			},
        			errorCallback: function(err) {
        				TalkingData.onEventWithLabel('06001设置交易密码', '失败');
        			}
        		});
    		}
    	}else if (fromPage == "index"){
    		callAppApi({
	    		//成功：2000，失败：4000
			   url: '/module/transactionPwd/set',
			   type: 'POST',
			   params: {
				   userId:loginStatus.userId,
				   transactionPwd: SHA256(pwdStr).toString()
			   },
			   successCallback: function(response) {
				   f7.alertMessage("设置交易密码成功");
				   mainView.router.back({
						url: 'index.html',
						force: true,
						query: {
							fromPage :"setPassword"
						}
					})
			   },
			   errorCallback: function(err) {}
			})
    	} else if (fromPage == 'adultEducationChooseGoods') {
    		callAppApi({
    			url: '/module/transactionPwd/set',
    			type: 'POST',
    			params: {
    				userId: loginStatus.userId,
    				transactionPwd: SHA256(pwdStr).toString()
    			},
    			successCallback: function(response) {
    				f7.alertMessage('设置交易密码成功');
    				
    				adultEducationCreateOrder();
//					loadAdultEducationPage('chooseGoods', {
//						query: {
//							fromPage: 'adultEducationChooseGoods'
//						}
//					});
    			},
    			errorCallback: function(err) {}
    		});
    	} else if (fromPage == 'adultEducationOrderDetail') {
    		
    		if (params.pwdRouterStatus == 'forgetPassword') {
    			callAppApi({
    				url: '/module/transactionPwd/forget',
    				type: 'POST',
    				params: {
    					userId: loginStatus.userId,
    					phoneNumber: loginStatus.userPhoneNumber,
    					idCard: params.idCard,
    					transactionPwd: SHA256(pwdStr).toString()
    				},
    				successCallback: function(response) {
    					f7.alertMessage("设置交易密码成功");
    					
    					TalkingData.onEventWithLabel('03002设置交易密码', '成功');
    					
    					localStorage.removeItem('orderDetailPwdErrorTime');
    					
        				loadAdultEducationPage('orderConfirm', {
	    					query: {
	    						fromPage: 'setPassword',
	    						baseBusinessType: '003002'
	    					}
	    				});
    				},
    				errorCallback: function(err) {
    					TalkingData.onEventWithLabel('06001设置交易密码', '失败');
    				}
    			})
    			
    		} else {
        		callAppApi({
	    			url: '/module/transactionPwd/set',
	    			type: 'POST',
	    			params: {
	    				userId: loginStatus.userId,
	    				transactionPwd: SHA256(pwdStr).toString()
	    			},
	    			successCallback: function(response) {
	    				f7.alertMessage('设置交易密码成功');
	    				
	    				loadAdultEducationPage('orderConfirm', {
	    					query: {
	    						fromPage: 'adultEducationOrderDetail',
	    						baseBusinessType: '003002'
	    					}
	    				});
	    			},
	    			errorCallback: function(err) {}
	    		});
    		}
    	} else if (fromPage == 'familyDecorationOnlineChooseGoods') {
    		callAppApi({
    			url: '/module/transactionPwd/set',
    			type: 'POST',
    			params: {
    				userId: loginStatus.userId,
    				transactionPwd: SHA256(pwdStr).toString()
    			},
    			successCallback: function(response) {
    				f7.alertMessage('设置交易密码成功');
    				
    				familyDecorationOnlineCreateOrder();
    			},
    			errorCallback: function(err) {}
    		});
    	} else if (fromPage == 'familyDecorationOnlineOrderDetail') {
    		
    		if (params.pwdRouterStatus == 'forgetPassword') {
    			callAppApi({
    				url: '/module/transactionPwd/forget',
    				type: 'POST',
    				params: {
    					userId: loginStatus.userId,
    					phoneNumber: loginStatus.userPhoneNumber,
    					idCard: params.idCard,
    					transactionPwd: SHA256(pwdStr).toString()
    				},
    				successCallback: function(response) {
    					f7.alertMessage("设置交易密码成功");
    					
    					TalkingData.onEventWithLabel('04003设置交易密码', '成功');
    					
    					localStorage.removeItem('orderDetailPwdErrorTime');
    					
        				loadFamilyDecorationOnlinePage('orderConfirm', {
	    					query: {
	    						fromPage: 'setPassword',
	    						baseBusinessType: '004003'
	    					}
	    				});
    				},
    				errorCallback: function(err) {
    					TalkingData.onEventWithLabel('04003设置交易密码', '失败');
    				}
    			})
    			
    		} else {
        		callAppApi({
	    			url: '/module/transactionPwd/set',
	    			type: 'POST',
	    			params: {
	    				userId: loginStatus.userId,
	    				transactionPwd: SHA256(pwdStr).toString()
	    			},
	    			successCallback: function(response) {
	    				f7.alertMessage('设置交易密码成功');
	    				
	    				loadFamilyDecorationOnlinePage('orderConfirm', {
	    					query: {
	    						fromPage: 'familyDecorationOnlineOrderDetail',
	    						baseBusinessType: '004003'
	    					}
	    				});
	    			},
	    			errorCallback: function(err) {}
	    		});
    		}
    	} 
      })
    }

    return {
        render: render
    }
});