define([
  'app',
  'js/utilities',
  'containers/setting/settingView'
], function(
  myApp,
  utilities,
  settingView
) {
 
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  var getDeviceType = myApp.getDeviceType;

  function init(query) {
	  
	  var version = JSON.parse(localStorage.getItem('version'));
	  callAppApi({
		  url: '/api/checkVersion',
		  type: 'POST',
		  apiVersion: '1.1',
		  params: {
			appName: 'APP_USER',
			deviceType: getDeviceType(),
			appVersionName: "未定义",
			appVersionCode: version.appVersionCode,
		  },
		  successCallback: function(response) {
			  settingView.render(Object.assign({
				  isUpdateKey: response.appVersionCode > version.appVersionCode ? true : false
			  }, 
			  {
				  versionData: response
			  }));
		  },
		  errorCallback: function(err) {
			  
		  }
	  })
	  
  }
  
  return {
	init: init,
  };
});
