define([
  'app',
  'js/utilities',
  'js/datas',
  'hbs!containers/setting/setting'
], function(
	myApp,
	utilities,
	Datas,
	settingTemplate
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var logout = utilities.logout;
  var updateVersion = myApp.updateVersion;
  var getDeviceType = myApp.getDeviceType;
  
  var getDictData = Datas.getDictData;
  
  function render(params) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  var isUpdateKey = params.isUpdateKey;
	  var versionData = params.versionData;
	  
	  var tel = getDictData('CUSTOMER_SERVICE_PHONE_NUMBER', 'system');
	  
	  // 渲染导航栏
		loadComponent('navbar', 'common', {
			container: '#settingNavbar',
			title: '个人信息',
			backClass: 'meBackBtn',
			isBackIcon: true,
			isBack: false
		});
	  
	  // 渲染页面
	  if (getDeviceType() === 'IOS') {
		  $('#settingContent').html(settingTemplate({
			  appIsPromptUser: versionData.appIsPromptUser,
			  isUpdateKey: isUpdateKey
		  }));
	  } else if (getDeviceType() === 'ANDROID') {
		  $('#settingContent').html(settingTemplate({
			  appIsPromptUser: true,
			  isUpdateKey: isUpdateKey
		  }));
	  }
//点击交易密码
	  $('#settingTradePwdBtn').on('click', function() {
//		  mainView.loadPage('tradePwd.html')
		  callAppApi({
			  url: '/app/credit/findUserInfo',
			  type: 'POST',
			  params: {
				  userId: loginStatus.userId,
			  },
			  successCallback: function(res) {
//				  	//未认证，走预授信流程
			  	if(res.haveOrNotUserInfo==false){
					f7.modal({
			  			title: '',
			  			text:  '为保障您账号安全，设置交易密码需要先完成信息认证。如有疑问请致电客服：' + tel,
			  			buttons: [
			  				{
			  					text: '取消',
			  					onClick: function(){
			  					
			  					}
			  				},
			  				{
			  					text: '去认证',
			  					onClick: function() {
							  		loadAdvanceCreditPage('chooseProfession', {
										query: {
											fromPage: 'me',
										}
									})
			  					}
			  				}
			  			]
			  		})
			  	}else{
				  callAppApi({
					   url: '/module/transactionPwd/find',
					   type: 'POST',
					   params: {
						   userId:loginStatus.userId,
						   findType:"01"
						     },
						successCallback: function(response) {
							if(response.transactionPwdExist){
								mainView.loadPage('inputPrePwd.html')
							}else if(!response.transactionPwdExist){
								mainView.loadPage('tradePwd.html')
							}
					     }
					})
			  	}
			  },
			  errorCallback: function(err) {
			  		loadAdvanceCreditPage('creditManage', {
						query: {
							fromPage: 'me',
							status: '000001'
						}
					});
			  }
		  });
		  
		  
		  

		  

	  })
	  
	  $('#settingQaBtn').on('click', function() {
		  mainView.loadPage('qa.html')
	  })
	  $('#settingFeedBackBtn').on('click', function() {
		  mainView.loadPage('feedback.html')
	  })
	  $('#settingAboutBtn').on('click', function() {
		  mainView.loadPage('about.html')
	  })
	  $('#settingForgetPwdBtn').on('click', function() {
		  mainView.loadPage('forgetPwd.html')
	  })
	  
      $('#checkVersionBtn').on('click', function() {
    	  if (isUpdateKey === true) {
        	  updateVersion(versionData)
    	  } else {
    		  f7.alert('暂时没有新版本');
    	  }

      });
	  
  	// 退出登陆
	    $('#logoutBtn').on('click', function() {
	        var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));  
	    	  callAppApi({
	    		  url: '/app/logout',
	    		  type: 'POST',
	    		  params: {
	    			  accountName : loginStatus.accountName,
	    			  userSession: loginStatus.userSession
	    		  },
	    		  successCallback: function(data) {
	    			  // 函数定义在utilities.js中
	    			  logout();
						TalkingData.onEventWithExtraData('退出应用', '退出应用', {
							 eventtype: '01',
							 businesstype: '09'
						}) 
	    		  },
	    		  errorCallback: function() {}
	    	  });
	      });
  }
  
  return {
	render: render
  }
});