define([
	'js/utilities',
	'containers/stagingProducts/stagingProductsView',
	'components/common/toolbar/toolbarView'
], function(
	utilities,
	stagingProductsView,
	toolbarView
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var changeToolbarStatus = toolbarView.changeToolbarStatus;
	var defaultBannerData = [
		{
			key : 'BANNER_ONE',
			src : 'img/stagingProducts/stagingBanner1.png'
		},
		{
			key : 'BANNER_TWO',
			src : 'img/stagingProducts/stagingBanner2.png'
		},
		{
			key : 'BANNER_THREE',
			src : 'img/stagingProducts/stagingBanner3.png'
		}
	];

	function init(query) {	
		var bannerData = [];
		// 配置信息请求
		if (mainView.activePage.name === 'stagingProducts') {
			f7.hideToolbar('#toolbar');	
			callAppApi({
				url : '/app/config',
				type : 'POST',
				params : {
					pageName : 'STAGINGPRODUCTS',
				},
				successCallback : function(data) {
					data.forEach(function(item, key) {
	
						if (item.modelName === 'BANNER') {
							bannerData.push({
								key : item.modelKey,
								src : item.imgValueUrl,
								version : item.configVersion,
								status : item.configStatus,
							});
						} 
					});
					
					stagingProductsView.render({
						bannerData : bannerData.length > 0 ? bannerData: defaultBannerData,
					  orderId:query.orderId,
					  fromPage:query.fromPage,
					  orderStatus:query.orderStatus,
					  orderDetailData:query.orderDetailData
					});
				}
			});
			stagingProductsView.render({
				bannerData : bannerData.length > 0 ? bannerData: defaultBannerData,
				  orderId:query.orderId,
				  fromPage:query.fromPage,
				  orderStatus:query.orderStatus,
				  orderDetailData:query.orderDetailData						
			});
		}
	}

	return {
		init : init
	}
});
