define([
  'js/utilities',
  'components/common/toolbar/toolbarView',
  'hbs!containers/stagingProducts/stagingProducts',
  'hbs!components/index/banner/banner',
  'hbs!components/index/notice/notice'
], function(
  utilities,
  toolbarView,
  stagingProductsTemplate,
  bannerTemplate,
  noticeTemplate
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var changeToolbarStatus = toolbarView.changeToolbarStatus;
  var getDay = utilities.getDay;
  function render(params) {
		$('#stagingProductsBanner .swiper-wrapper').html(bannerTemplate({
			bannerData: params.bannerData
		}));
		// banner初始化
		var myBanner = f7.swiper('#stagingProductsBanner', {
		  autoplay: 3000,
		  loop: true,
		  pagination:'.swiper-pagination'/*,
		  autoplayDisableOnInteraction : false*/
		});
		
		$('#stagingProductsBanner').css({'height': parseInt($(window).width() * 0.792) + 'px'});

		$('#stagingProducts-list').html(stagingProductsTemplate({}));
		//小均件下单检测
		var chooseGoodsCheck=function(){
			var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
			callAppApi({
				url : '/api/checkCredit',
				type : 'POST',
				params : {
					userId : loginStatus.userId,
					baseBusinessType : '002001',
					isOldUser : loginStatus.oldUser,
					orderId:'',
				},
				successCallback : checkCreditSuccess,
				errorCallback: function(err) {}
			});
			function checkCreditSuccess(response) {
				if (response.userIsCredit === true) {
					mainView.router.load({
						url: 'chooseGoods.html'
					});	
				} else {
					f7.alertMessage('办理此业务，请先进行身份认证');
					var timeIndex = setTimeout(function() {
						mainView.loadPage('authentication.html');
						clearTimeout(timeIndex);
					}, 3000);
				}			
			}
		}
		
		//家电下单检测
		var chooseGoodsCheckAppliance=function(){
			loadAppliancePage('chooseGoods', {
				query: {
					fromPage: 'stagingProducts',
					orderId: params.orderId,
//					goodsLogistics: params.goodsLogistics,
					orderStatus:params.orderStatus,
					orderDetailData:params.orderDetailData
				}
			});	
		}
		
		//教育业务下单检测
		var chooseGoodsCheckEducation=function(){
			var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
			callAppApi({
				url : '/api/checkCredit',
				type : 'POST',
				params : {
					userId : loginStatus.userId,
					baseBusinessType : '003001',
					isOldUser : loginStatus.oldUser,
					orderId:'',
				},
				successCallback : checkCreditSuccess,
				errorCallback: function(err) {}
			});
			function checkCreditSuccess(response) {
				if (response.userIsCredit === true) {
					loadEducationPage('chooseGoods', {
	    				query: {}
	    			});
				} else {
					f7.alertMessage('办理此业务，请先进行身份认证');
					var timeIndex = setTimeout(function() {
						loadEducationPage('authentication', {
		    				query: {}
		    			});
						clearTimeout(timeIndex);
					}, 3000);
				}			
			}
		}
		
//		var uploadFilesDecoration = function(){
//			var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
//			callAppApi({
//				  url: '/app/credit/reqMyLimit',
//				  type: 'POST',
//				  params: {
//					  userId:loginStatus.userId,
//				  },
//				  successCallback: function(response) {
//					  	//未认证，走预授信流程
//					  	if(response.auditStatus=="000000"){
//					  		loadAdvanceCreditPage('chooseProfession', {
//								query: {
//									from: 'me',
//								}
//							});
//					  	}else if(response.auditStatus=="51"){
//					  		loadFamilyDecorationPage('perfectData', {
//			    				query: {}
//			    			});
//					  	}else if(response.auditStatus=="10"){
//					  		loadAdvanceCreditPage('creditManage', {
//								query: {
//									from: 'me',
//									auditStatus:response.auditStatus,
//									auditLimitMoney:response.auditLimitMoney,
//									sumpayamt:response.sumpayamt
//								}
//							});
//					  	}else{
//					  		loadAdvanceCreditPage('creditManage', {
//								query: {
//									from: 'me',
//									auditStatus:response.auditStatus,
//									auditLimitMoney:response.auditLimitMoney,
//									sumpayamt:response.sumpayamt
//								}
//							});
//					  	}
//				  }
//			  })
//		}

		var stagingProductsTyoe=''
		// 手机业务点击事件
		$('#stagingProducts_phone').on('click', function() {
			TalkingData.onEventWithLabel('首页', '小件均业务');
			chooseGoodsCheck();
		});
		
		// 家电业务业务点击事件
		$('#stagingProducts_household').on('click', function() {
			chooseGoodsCheckAppliance();
		});
		
		// 教育业务点击事件
		$('#stagingProducts_education').on('click', function() {
			chooseGoodsCheckEducation();
		});
		
//		// 家居装修点击事件
//		$('#stagingProducts_decoration').on('click', function() {
//			uploadFilesDecoration();
//		});
		
		$("#backToIndex").on('click',function(){
			mainView.loadPage('index.html');
			f7.showToolbar('#toolbar');
		})
  }
  
  return {
		render: render
  }
});
