define([
  'app',
  'js/utilities',
  'js/config',
  'js/lib/md5.min',
  'js/validator',
  'containers/tradePwd/tradePwdView',
  'hbs!containers/tradePwd/tradePwd',
], function(
  myApp,
  utilities,
  config,
  md5,
  validator,
  tradePwdView,
  tradePwdTemplate
) {
  var $ = Framework7.$;
  var getDeviceType = myApp.getDeviceType;
//  var login = tradePwdView.login;
  var callAppApi = utilities.callAppApi;
  var countDown = utilities.countDown;
  var getDay = utilities.getDay;
  
  // 跳过cordova插件
  var SKIP = config.SKIP;
  
  function render(params) {
	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	var userName = loginStatus.userPhoneNumber;
	  
	var smsId = '';
	var tradePwdTimeCount;
	
	loadComponent('navbar', 'common', {
        container: '#tradPwdNavbar',
        title: '设置交易密码',
        backId: 'tradPwdBackBtn',
        isBackIcon: true,
        isBack: false,
        callback: function() {
        	$('#tradPwdBackBtn').on('click', function() {
        		
        		if (params.fromPage === 'adultEducationChooseGoods') {
        			
        			loadAdultEducationPage('chooseGoods', {
        				query: {
        					fromPage: 'tradePwd'
        				}
        			});
        			
        		}else if(params.fromPage === 'adultEducationOrderDetail'){
        			mainView.router.load({
        				  url: 'order.html',
        				  animatePages: false
        			  });
        		} else if (params.fromPage === 'familyDecorationOnlineChooseGoods') {
        			
        			loadFamilyDecorationOnlinePage('chooseGoods', {
        				query: {
        					fromPage: 'tradePwd'
        				}
        			});
        			
        		} else if(params.fromPage === 'familyDecorationOnlineOrderDetail'){
        			mainView.router.load({
        				  url: 'order.html',
        				  animatePages: false
        			  });
        		} else {
        	  		mainView.router.back({
        	  			url: 'setting.html',
        	  			force: true
        	  		});
        	  		
        	  		f7.showToolbar('#toolbar');
        		}
        	})
        }
    });
	//渲染页面
	  var tradePwdHtml = tradePwdTemplate({
		  userName:userName,
		  titleVal:"验证码已发送到"+userName
	  });
	
		// 设置交易密码页面变化事件，返回时清除定时器
		f7.onPageBeforeAnimation('tradePwd', function() {
			clearInterval(tradePwdTimeCount);
		});
		clearInterval(tradePwdTimeCount)
	  
	$('#tradPwdContent').html(tradePwdHtml);
	

	TalkingData.onPage("设置交易密码");
	TalkingData.onPageBegin("设置交易密码成功所需时间");

	$('#sendVeriCodeBtn').on('click', function() {
		callAppApi({
			url: '/api/sendSms',
			type: 'POST',
			params: {
				smsPhone: userName,//手机号
				smsType: '1',
				appName: 'APP_USER',
				smsBusinessType: '4'
			},
			successCallback: function(data) {
				smsId = data.smsId;
				tradePwdTimeCount=countDown('#sendVeriCodeBtn', 60, '获取验证码');
			},
			errorCallback: function(err) {}
		});
		
	});
//点击下一步按钮
	$('#tradePwdBtn').on('click', function() {
		var veriCode = $('#veri_code').val();	
		var fromPage = mainView.activePage.query.from;
		/*if (smsId === '') {
			f7.alert('请发送验证码');
			return false;
		}*/
		if (validator.isNull(veriCode)) {
			f7.alert('验证码错误或验证码已超时，请重新发送');
			return false;
		}
		if (!/^\d{6,10}$/.test(veriCode)) {
			f7.alert('验证码错误或验证码已超时，请重新发送');
			return false;
		}
		// 是否跳过cordova的device.uuid
		var deviceInfo = '';
		if (!SKIP.cordova_uuid) {
			deviceInfo = device.uuid;
		}
		//校验验证码,发送验证码接口未好，先注释
		callAppApi({
			url: '/service/sms/verifyCode',
			type: 'POST',
			params: {
				smsId:smsId,//短信验证码ID
				smsPhone:userName,//短信验证码接受手机号
				smsCode:$('#veri_code').val()//短信验证码
			},
			successCallback: function(data) {
				//加载输入身份证页面
//				mainView.loadPage('inputUserIdenId.html')
				if(params.fromPage){//判断是否来自忘记密码路径
					mainView.router.load({
						url : 'inputUserIdenId.html',
						query : {
							fromPage : params.fromPage,
							pwdRouterStatus: params.pwdRouterStatus
						}
					});
					clearInterval(tradePwdTimeCount)
				}else{
					mainView.loadPage('inputUserIdenId.html');
					clearInterval(tradePwdTimeCount)
				}
			},
			errorCallback: function(err) {}
		});
		
	});

	/*$('#registerLoginBtn').on('click', function() {
		// 跳转到登陆页清除定时器
		clearInterval(registerTimeCount);
		mainView.loadPage('login.html');
		TalkingData.onEventWithLabel('注册', '已有账号请登录');
	});*/
	// 清除前一个input元素的值。
/*	$('.login-clear').on('click', function() {
	  $(this).prev('input').val('');
	});*/
	// 表单元素获取焦点后隐藏工具栏
	$('input').on('focus', function() {
	  $('#toolbar').hide();
	});
	// 表单元素失去焦点后显示工具栏
	$('input').on('blur', function() {
	  $('#toolbar').show();
	});
  /*$("#registerPage .navbar .left .back").on('click', function() {
	// 跳转到登陆页清除定时器
		clearInterval(registerTimeCount);
		TalkingData.onEventWithLabel('注册', '返回');
	});*/
  }
  
  return {
	render: render
  }
});
