define([
	'js/utilities',
	'js/uploadImg',
	'jquery',
	'containers/uploadIDCard/uploadIDCardHelper',
	'containers/uploadIDCard/uploadIDCardPad',
	'hbs!containers/uploadIDCard/uploadIDCard',
	'hbs!components/common/button/button'
], function(
	utilities,
	uploadImg,
	$$,
	uploadEvidenceHelper,
	uploadIDCardPad,
	uploadIDCardTemplate,
	buttonTemplate
) {
	var callAppApi = utilities.callAppApi;
	
	var takePicture = uploadImg.takePicture;
	var choosePhoto = uploadImg.choosePhoto;
	var drawImageCanvas = uploadImg.drawImageCanvas;
	
	var getEvidencePicId = uploadEvidenceHelper.getEvidencePicId;
	var getEvidencePicIndex = uploadEvidenceHelper.getEvidencePicIndex;
	var getEvidencePicName = uploadEvidenceHelper.getEvidencePicName;
	var getEvidenceType = uploadEvidenceHelper.getEvidenceType;
	var EvidenceArea = uploadEvidenceHelper.EvidenceArea;
	  //埋点需求
    var bindPadUploadIDCard = uploadIDCardPad.bindPadUploadIDCard;
    var sendPadUploadIDCard = uploadIDCardPad.sendPadUploadIDCard;
	
	function render(params) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		// 存入localStorage中的值
		var evidenceFrontIdCardArr = [];
		var evidenceBackIdCardArr = [];
		
		if (params.fromPage === 'checkFace' || params.fromPage === 'checkUserIdCard') {
			localStorage.setItem('evidenceFrontIdCardArr', JSON.stringify(evidenceFrontIdCardArr));
			localStorage.setItem('evidenceBackIdCardArr', JSON.stringify(evidenceBackIdCardArr));
		}

		if (params.evidenceKey === 'evidenceIdCard') {
			var evidenceFrontIdCardArr = JSON.parse(localStorage.getItem('evidenceFrontIdCardArr'));
			var evidenceBackIdCardArr = JSON.parse(localStorage.getItem('evidenceBackIdCardArr'));
		} else {
			var evidenceArr = JSON.parse(localStorage.getItem(params.evidenceKey + 'Arr'));
		}	

		// 上传资料实例数组
		var evidenceInstanceArr = [];
		
		var evidenceBrowserArr = [];		// 创建一个数组用来存放不同实例的f7的图片浏览器
		var evidencePhotoArr = [];			// 创建一个二维数组用来存储不同实例的图片，以初始化不同实例的f7图片浏览器

		// 渲染navbar
		loadComponent('navbar', 'common', {
			container: '#uploadIDCardNavbar',
			title: '证件上传',
			backClass: 'placeOrderBackBtn',
			isBackIcon: true,
			isBack: false
		});
			
		// 渲染头部状态栏
		loadComponent('placeOrderTabbar', 'placeOrder', {
			container: '#checkUserIDCardTabbar',
			tabIndex: 3
		});
		
		// 身份证正反面类型
			$$('#uploadIDCardContent').html(uploadIDCardTemplate({
				evidenceKey: 'evidenceIdCard',
				evidenceFrontIdCardKey: 'evidenceFrontIdCard',
				evidenceBackIdCardKey: 'evidenceBackIdCard',
				evidenceTitle: getEvidencePicName(params.evidenceKey),
				evidencePrompt: [
					'请确保本人证件拍摄完整、字迹清晰'
				]
			}));
			
			// 如果localStorage中已经存储了身份证正反面信息，则回显在canvas上
			if (evidenceFrontIdCardArr.length > 0) {
				var idCardFrontImg = document.getElementById('hiddenloadimg');
				idCardFrontImg.src = evidenceFrontIdCardArr[0].cloudUrl;
				var canvas = document.getElementById('idCardFront_img');
			    var H = $(canvas).parent().height();
			    var W = $(canvas).parent().width();
				idCardFrontImg.onload = function() {
					drawImageCanvas('idCardFront_img', this, W, H);
					$$('#idCardFront_img').removeClass('hide');
					idCardFrontImg.src = '';
				}
			}

			if (evidenceBackIdCardArr.length > 0) {
				var idCardBackImg = document.getElementById('hiddenloadimg2');
				idCardBackImg.src = evidenceBackIdCardArr[0].cloudUrl;
				var canvas = document.getElementById('idCardBack_img');
			    var H = $(canvas).parent().height();
			    var W = $(canvas).parent().width();
				idCardBackImg.onload = function() {
					drawImageCanvas('idCardBack_img', this, W, H);
					$$("#idCardBack_img").removeClass('hide');
					idCardBackImg.src = '';
				}
			}
			
			$$('#idCardFront').on('click', function() {
				uploadPhoto({type: 'idCardFront', picId: getEvidencePicIndex()});
			});
			
			$$('#idCardBack').on('click', function() {
				uploadPhoto({type: 'idCardBack', picId: getEvidencePicIndex()});
			});
			
			$$('#eivdenceIdCardPreviewBtn').on('click', function() {
				if (evidenceFrontIdCardArr.length === 0 || evidenceFrontIdCardArr[0].cloudKey === '' || evidenceFrontIdCardArr[0].cloudUrl === '') {
					f7.alert('请上传身份证正面照');
				} else if (evidenceBackIdCardArr.length === 0 || evidenceBackIdCardArr[0].cloudKey === '' || evidenceBackIdCardArr[0].cloudUrl === '') {
					f7.alert('请上传身份证背面照');
				} else {
					var myPhotoBrowser = f7.photoBrowser({
						zoom: 400,
						photos: [evidenceFrontIdCardArr[0].cloudUrl, evidenceBackIdCardArr[0].cloudUrl]
					});
					
					utilities.clickDelay('myPhotoBrowser', function(){
						myPhotoBrowser.open();
					}, 500)
				}
			});
		
		
		// 渲染底部按钮
		$$('#uploadEvidenceBtnBox').html(buttonTemplate({
			id : 'uploadEvidenceConfirmBtn',
			value : '提交审核',
			disabled : false,
		}));

		function uploadPhoto(uploadConfig){
			 var buttons1 = 
			    [
			        {
			            text: '拍摄',
			            onClick: function () {
			            	takePicture('', uploadConfig.picId, uploadConfig.type, omUploadSuccess, '', '');
			            }
			        },
			        {
			            text: '从相册选择',
			            onClick: function () {
			            	choosePhoto('', uploadConfig.picId, uploadConfig.type, omUploadSuccess, '', '');
			            }
			        }
			    ];
			 var buttons2 = 
			    [
			         {
			             text: '取消',
			             color: 'red'
			         }
			     ];
			 var groups = [buttons1, buttons2];
			 
			 f7.actions(groups);
		}

		// 成功回调函数
		function omUploadSuccess(token,i,u,t,data,imgId) {
			// 成功回调函数区分身份证明材料和其他材料
				if (t === 'idCardFront') {
					evidenceFrontIdCardArr = [];
					evidenceFrontIdCardArr.push({
						picId: u,
						picType: '1',
						picName: getEvidencePicName('evidenceFrontIdCard'),
						cloudKey: imgId,
						cloudUrl: token.iobsCloudUrl,
						mIsCheck: false,
						checkResult: false,
						checkResultArray: [],
						otherContent: ''
					});
				} else if (t === 'idCardBack') {
					evidenceBackIdCardArr = [];
					evidenceBackIdCardArr.push({
						picId: u,
						picType: '1',
						picName: getEvidencePicName('evidenceBackIdCard'),
						cloudKey: imgId,
						cloudUrl: token.iobsCloudUrl,
						mIsCheck: false,
						checkResult: false,
						checkResultArray: [],
						otherContent: ''
					});
				}
				
				// 张晖修改于2017-03-10，手持身份证图片在此隐藏indicator
				f7.hideIndicator();
		}
		
		//上传照片执行函数
		var placeOrderInfoFunc = function() {
			//skapp数据收集：提交审核
			TalkingData.onPageEnd('完善资料完成上传所需时间')
			
//			if (evidenceFrontIdCardArr.length < 1) { f7.alert('请上传身份证正面照片'); return false; }
//			if (evidenceBackIdCardArr.length < 1) { f7.alert('请上传身份证背面照片'); return false; }
//			
			var evidenceFrontIdCardData = evidenceFrontIdCardArr.map(function(item, index) {
				return {
//					picId: getEvidencePicId('evidenceFrontIdCard') + evidencePicIndex,
					picId: item.picId,
					picType: '1',
					picName: getEvidencePicName('evidenceFrontIdCard'),
					cloudKey: item.cloudKey,
					cloudUrl: item.cloudUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: ''
				}
			});
			
			var evidenceBackIdCardData = evidenceBackIdCardArr.map(function(item, index) {				
				return {
//					picId: getEvidencePicId('evidenceBackIdCard') + evidencePicIndex,
					picId: item.picId,
					picType: '1',
					picName: getEvidencePicName('evidenceBackIdCard'),
					cloudKey: item.cloudKey,
					cloudUrl: item.cloudUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: ''
				}
			});			
			callAppApi({
				url: '/app/orderUpdate',
				type: 'POST',
				params: {
					orderId: params.orderId,
					userId: loginStatus.userId,
					orderStatus: '13',
					orderEvidenceFrontIdCard: JSON.stringify(evidenceFrontIdCardData) !== '[]' ? JSON.stringify(evidenceFrontIdCardData) : '',
					orderEvidenceBackIdCard: JSON.stringify(evidenceBackIdCardData) !== '[]' ? JSON.stringify(evidenceBackIdCardData) : '',
				},
				successCallback: function(response) {					
					// zhh - 2017-04-12 - 0420版本，增加身份认证信息七天有效期
					callAppApi({
						url : '/api/checkCredit',
						type : 'POST',
						params: {
							userId : loginStatus.userId,
							baseBusinessType : '002001',
							isOldUser : loginStatus.oldUser,
							orderId: params.orderId,
						},
						successCallback: function(creditRes) {
						sendPadUploadIDCard(params.orderId);
							if (creditRes.userIsCredit === true) {
								//skapp数据收集：提交审核
								TalkingData.onEventWithLabel('完善资料', '提交审核');
								mainView.router.load({
									url : 'orderDetail.html',
									query : {
										orderId: params.orderId,
										baseBusinessType:'002001',
									}
								});
							} else {
								mainView.router.load({
									url: 'index.html'
								});
							}
						},
						errorCallback: function(err) {}
					});
				},
				errorCallback: function(err) {}
			});
		}
		
		// 完成事件绑定
                bindPadUploadIDCard()
		$$('#uploadEvidenceConfirmBtn').on('click', function() {

			if (evidenceFrontIdCardArr.length < 1) { f7.alert('请上传身份证正面照片'); return false; }
			if (evidenceBackIdCardArr.length < 1) { f7.alert('请上传身份证背面照片'); return false; }

			localStorage.setItem('evidenceFrontIdCardArr', JSON.stringify(evidenceFrontIdCardArr));
			localStorage.setItem('evidenceBackIdCardArr', JSON.stringify(evidenceBackIdCardArr));
	
			placeOrderInfoFunc()
		})
		
	}
	
	return {
		render : render
	}
});