define([
	'jquery',
	'js/pad'
], function(
	$$,
	pad
) {
	
	var bindPadInputEvent = pad.bindPadInputEvent;
	var bindPadClickEvent = pad.bindPadClickEvent;
	var sendRecord = pad.sendRecord;
	
	var authStep1RecordDataStr = JSON.stringify([]);
	
	function bindPadEventAuthStep1() {

		var authStep1SelectorList = [
			{
				selector: '#userIdentityCardNumber',
				type: 'text',
				bindType: 'input'
			},
			{
				selector: '#userHighestEducation',
				type: 'select',
				bindType: 'input'
			},
			{
				selector: '#userMaritalStatus',
				type: 'select',
				bindType: 'input'
			},
			{
				selector: '#userDwellingAddress',
				type: 'text',
				bindType: 'input'
			},
			{
				selector: '#authStep1Btn',
				type: '',
				bindType: 'click'
			}
		];

		authStep1SelectorList.forEach(function(item) {
			if (item.bindType === 'input') {
//				bindPadInputEvent(item.selector, item.type, function(record) {
				bindPadInputEvent({
					tar: item.selector,
					type: item.type,
					baseBusinessType: '003001'
				}, function(record) {
					var authStep1RecordData = JSON.parse(authStep1RecordDataStr);
					authStep1RecordData.push(record);
					authStep1RecordDataStr = JSON.stringify(authStep1RecordData);
				});
				
			} else if (item.bindType === 'click') {
				
//				bindPadClickEvent(item.selector, item.type, function(record) {
				bindPadClickEvent({
					tar: item.selector,
					type: item.type,
					baseBusinessType: '003001'
				}, function(record) {
					var authStep1RecordData = JSON.parse(authStep1RecordDataStr);
					authStep1RecordData.push(record);
					authStep1RecordDataStr = JSON.stringify(authStep1RecordData);
				});
			}
		});
	}
	
	function sendPadDataAuthStep1(orderId) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var params = {
			userId: loginStatus.userId,
			orderId: '',
			mList: JSON.parse(authStep1RecordDataStr),
		};
		
		sendRecord(params, function(res) {
			authStep1RecordDataStr = JSON.stringify([]);
//			console.log(res);
		}, function(err) {
//			console.log(err);
		});
	}
	
	return {
		bindPadEventAuthStep1: bindPadEventAuthStep1,
		sendPadDataAuthStep1: sendPadDataAuthStep1
	}
})
