define([
  'jquery',      
  'js/utilities',
  'js/config',
  'js/validator',
  'components/common/popup/popupProtocol',
  'educationComponents/authentication/authStep2/authStep2Pad',
  'hbs!educationComponents/authentication/inputArea',
  'hbs!educationComponents/common/protocolArea/protocolArea',
  'hbs!educationComponents/common/protocolArea/protocolItem1',
  'hbs!educationComponents/common/button/button',
  'hbs!components/common/protocolArea/protocolFrame'
], function(
   $$,
  utilities,
  config,
  validator,
  popupProtocol,
  authStep2Pad,
  inputAreaTemplate,
  protocolAreaTemplate,
  protocolItem1Template,
  buttonTemplate,
  protocolFrame
) {

  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var getDay = utilities.getDay;
  var getLngAndLat = utilities.getLngAndLat;
  var callWebHtml = utilities.callWebHtml;
  var getDeviceSimulator = utilities.getDeviceSimulator;
  
  //埋点需求
  var bindPadEventAuthStep2 = authStep2Pad.bindPadEventAuthStep2;
  var sendPadDataAuthStep2 = authStep2Pad.sendPadDataAuthStep2;
    
  var popupProtocol = popupProtocol.popupProtocol;
  
  var SKIP = config.SKIP;
  var defaultProValueList = [];
  var defaultProViewList = [];
  var defaultCityValueList = [];
  var defaultCityViewList=[];
  var defaultAreaValueList = [];
  var defaultAreaViewList = [];
  var userLocationCode='';
  for (var p in Areadata['110000']['city']) {
	  defaultCityValueList.push(p);
	  defaultCityViewList.push(Areadata['110000']['city'][p].name);
  }
  for (var q in Areadata['110000']['city'][defaultCityValueList[0]]['area']) {
	  defaultAreaValueList.push(q);
	  defaultAreaViewList.push(Areadata['110000']['city'][defaultCityValueList[0]]['area'][q]);
  }

  
  for (var o in PrivinceD) {
	  defaultProValueList.push(o);
	  defaultProViewList.push(PrivinceD[o].name);
  }
  
  // 声明选择地区变量
//  var pickerLocation;

  function trimStr(str, is_global) {
	  var result;
	  result = str.replace(/(^\s+)|(\s+$)/g, "");
	  if (is_global.toLowerCase() == 'g') {
		  result = result.replace(/\s/g, '');
	  }
	  return result;
  }
  
  function render(params) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  var userId=loginStatus.userId;
	  var contact1Key = false;
	  var contact2Key = false;
	  var protocolChecked = localStorage.getItem('authProtocolChecked_' + userId);
      var isNotChecked = protocolChecked == null ? true : false;
	  
	// 重置通讯录长度及是否获取到权限
	  var contactsLength = '';
	  var contactsAuthorization = '';
	  var addressList = [];
	  
		TalkingData.onPage("身份认证2");		
		TalkingData.onPageBegin("身份认证2_填写时间");	
		
	    $("#authNavbar .left #back").on('click', function() {
	    	TalkingData.onEventWithLabel('身份认证2', '返回');
	    });
	    
	  // 登录信息
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  
	  // 额度激活第一步保存数据
	  var authStep1Data = JSON.parse(localStorage.getItem('authStep1Data'));
	  // 额度激活第二步数据声明
	  var defaultUserInfo2 = {};
	  var storageWorkInfo = {}
	  if (typeof localStorage.getItem('authStep2Data') === 'string' && localStorage.getItem('authStep2Data') !== '') {
		  // 判断额度激活localStorage存储的手机号与当前登录的sessionStorage中存储的手机号是否相同
//		  if (loginStatus.accountName === JSON.parse(localStorage.getItem('authStep1Data')).userPhoneNumber) {
			  storageWorkInfo = JSON.parse(localStorage.getItem('authStep2Data'));
//		  }
	  }
	  
	  // 如果之前额度激活过，传入之前的用户信息
	  if (params.userInfo!=={} && params.userInfo.userCredit !== '') {
		  defaultUserInfo2 = params.userInfo;
	  }
	  
	  //工作电话初始化
	  if(typeof defaultUserInfo2.userHomePhone==='string'&&defaultUserInfo2.userHomePhone.indexOf('-') > -1){
		  defaultUserInfo2.userWorkPhone1=defaultUserInfo2.userHomePhone.split("-")[0];
		  defaultUserInfo2.userWorkPhone2=defaultUserInfo2.userHomePhone.split("-")[1];
	  }else{
		  defaultUserInfo2.userWorkPhone1='';
		  defaultUserInfo2.userWorkPhone2='';
	  }	  
	  
	  // 如果没有紧急联系人格式，初始化一个防止报错
	  if (typeof defaultUserInfo2.contactsList === 'undefined' || defaultUserInfo2.contactsList === null) {
		  defaultUserInfo2.contactsList = [
			  {
				  contactsUserRelation: '',
				  contactsName: '',
				  contactsPhoneNumber: ''
			  },
			  {
				  contactsUserRelation: '',
				  contactsName: '',
				  contactsPhoneNumber: ''
			  }
		  ];
	  }
	  
	  // 如果回显了联系人信息，则设置contact1Key和contact2Key为true
	  if (Object.prototype.toString.call(defaultUserInfo2.contactsList) === '[object Array]') {
		  if (!validator.isNull(defaultUserInfo2.contactsList[0].contactsName) && 
				  validator.checkTel(defaultUserInfo2.contactsList[0].contactsPhoneNumber) && 
				  !validator.isNull(defaultUserInfo2.contactsList[0].contactsUserRelation)) {
			  contact1Key = true;
		  }
		  if (!validator.isNull(defaultUserInfo2.contactsList[1].contactsName) && 
				  validator.checkTel(defaultUserInfo2.contactsList[1].contactsPhoneNumber) && 
				  !validator.isNull(defaultUserInfo2.contactsList[1].contactsUserRelation)) {
			  contact2Key = true;
		  }
	  }
	  
	  var authStep2Html = inputAreaTemplate({
		  	formId: 'authStep2Form',
			inputAreaData: [
{
	title: '居住信息',
	inputList: [
		{
			id: 'userWorkPhone',
			type: 'zoneDescription',
			label: '家庭电话',
			id1: 'userWorkPhone1',
			placeholder1: '区号',
			value1: defaultUserInfo2.userWorkPhone1 || storageWorkInfo.userWorkPhone1 || '',
			id2: 'userWorkPhone2',
			placeholder2: '请输入家庭电话',
			value2: defaultUserInfo2.userWorkPhone2  || storageWorkInfo.userWorkPhone2 || ''
			
		},
		{
			type: 'location',
			id: 'userLocation',
			label: '家庭住址',
			placeholder: '请选择城市',
			value: defaultUserInfo2.userLocation || ''
		},
		{
			type: 'textarea',
			id: 'userDwellingAddress',
			placeholder: '请输入家庭地址',
			value: defaultUserInfo2.userDwellingAddress || storageWorkInfo.userDwellingAddress ||''
		},
	]
},
				{
					title: '常用联系人信息',
					inputList: [
						{
							id: 'contact1Relation',
							type: 'select',
							label: '与常用联系人关系',
							widthen: true,
							defaultValue: defaultUserInfo2.contactsList[0].contactsUserRelation || storageWorkInfo.contact1Relation || '',
							selectList: [
								{
									value: '',
									view: '请选择'
								},
								{
									value: '父亲',
									view: '父亲'
								},
								{
									value: '母亲',
									view: '母亲'
								},{
									value:'监护人',
									view:'监护人'
								}
							]
						},
						{
							id: 'contact1Name',
							type: 'text',
							label: '常用联系人姓名',
							placeholder: '常用联系人姓名不为空',
							value: defaultUserInfo2.contactsList[0].contactsName || storageWorkInfo.contact1Name || '',
							widthen: true,
							contactKey: true,
							contactId: 'contact1Btn'
						},
						{
							id: 'contact1Phone',
							type: 'text',
							label: '常用联系人手机号',
							placeholder: '常用联系人手机号不为空',
							value:defaultUserInfo2.contactsList[0].contactsPhoneNumber || storageWorkInfo.contact1Phone || '',
							widthen: true
						},
						{
							id: 'contact2Relation',
							type: 'select',
							label: '与常用联系人关系',
							widthen: true,
							defaultValue: defaultUserInfo2.contactsList[1].contactsUserRelation || storageWorkInfo.contact2Relation  || '',
							selectList: [
								{
									value: '',
									view: '请选择'
								},
								{
									value: '配偶',
									view: '配偶'
								},
								{
									value: '子女',
									view: '子女'
								},
								{
									value: '朋友',
									view: '朋友'
								},
								{
									value: '同事',
									view: '同事'
								},
								{
									value: '其他',
									view: '其他'
								},
							]
						},
						{
							id: 'contact2Name',
							type: 'text',
							label: '常用联系人姓名',
							placeholder: '常用联系人姓名不为空',
							value: defaultUserInfo2.contactsList[1].contactsName || storageWorkInfo.contact2Name|| '',
							widthen: true,
							contactKey: true,
							contactId: 'contact2Btn'
						},
						{
							id: 'contact2Phone',
							type: 'text',
							label: '常用联系人手机号',
							placeholder: '常用联系人手机号不为空',
							value:defaultUserInfo2.contactsList[1].contactsPhoneNumber || storageWorkInfo.contact2Phone || '',
							widthen: true
						}
					]
				}
			]
	  });
	// 渲染底部按钮
		$('#authBtn').html(buttonTemplate({
			id: 'authStep2Btn',
			value: '完成',
			disabled: false
		}));
	  
	  	// 渲染页面
	  	$('#tabAuthStep2Content').html(authStep2Html);

	  	// 渲染协议按钮
		$('#tabAuthStep2Protocol').html(protocolAreaTemplate({
			isNotChecked: isNotChecked,
			protocolItem1: {
				id: 'authStep2Protocol',
				title: '《公民个人信息授权书》'
			}
		}));
		
		// 渲染协议勾选弹出框
        // 取消勾选不弹框，缓存勾选状态
        $$('.icon-form-checkbox').off('click').on('click', function(){
            if ($$('.label-checkbox > input')[0].checked === false && isNotChecked) {
                popupProtocol();
                isNotChecked = false;
                localStorage.setItem('authProtocolChecked_' + userId, JSON.stringify(isNotChecked));
            }
        });
        
		// 渲染底部按钮
		$('#authBtn').html(buttonTemplate({
			id: 'authStep2Btn',
			value: '完成',
			disabled: false
		}));
		
		// 渲染城市选择框
		  var defaultProValueList = [];
		  var defaultProViewList = [];
		  
		  for (var o in PrivinceD) {
			  defaultProValueList.push(o);
			  defaultProViewList.push(PrivinceD[o].name);
		  }
		  
		  var defaultCityValueList = [];
		  var defaultCityViewList = [];
		  
		  for (var p in Areadata['110000']['city']) {
			  defaultCityValueList.push(p);
			  defaultCityViewList.push(Areadata['110000']['city'][p].name);
		  }
		  
		  var defaultAreaValueList = [];
		  var defaultAreaViewList = [];
		  
		  for (var q in Areadata['110000']['city'][defaultCityValueList[0]]['area']) {
			  defaultAreaValueList.push(q);
			  defaultAreaViewList.push(Areadata['110000']['city'][defaultCityValueList[0]]['area'][q]);
		  }

		pickerLocation = f7.picker({
		    input: '#userLocation',
		    rotateEffect: true,
		    toolbarCloseText: '完成',
		    formatValue: function (picker, values, displayValues) {
				  if(values.length === 3 && displayValues.length === 0 && values[2]===' '){
					  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + '  ';
				  }else if (values.length === 3 && displayValues.length === 0) {
					  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['area'][values[2]];
				  }else {
					  return displayValues[0] + ' ' + displayValues[1] + ' ' + displayValues[2];
				  }
		    },
		    cols: [
		        {
		            textAlign: 'left',
		            values: defaultProValueList,
		            displayValues: defaultProViewList,
		            onChange: function (picker, value, displayValue) {
		            	
		                if(picker.cols[1].replaceValues){
		                	var cityValueArr = [];
		                	var cityViewArr = [];
		                	for (var i in Areadata[value]) {
		                		if (i === 'city') {
		                			for (var j in Areadata[value][i]) {
		                				cityValueArr.push(j);
		                				cityViewArr.push(Areadata[value][i][j].name)
		                			}
		                		}
		                	}
		                	
		            		var areaValueArr = [];
		            		var areaViewArr = [];
		            		
		            		
		            		if(Areadata[value]['city'][cityValueArr[0]]['area']===null){
		  						  areaValueArr.push(' ');
								  areaViewArr.push(' ');		            	
		            		}else{
		            			for (var k in Areadata[value]['city'][cityValueArr[0]]['area']) {	
			            			areaValueArr.push(k);
			            			areaViewArr.push(Areadata[value]['city'][cityValueArr[0]]['area'][k])
			            		}
		            		}
		            		
		                	picker.cols[1].replaceValues(cityValueArr, cityViewArr);
		                	picker.cols[2].replaceValues(areaValueArr, areaViewArr);
		                }
		            }
		        },
		        {
		            values: defaultCityValueList,
		            displayValues: defaultCityViewList,
		            width: 160,
		            onChange: function(picker, value, displayValue) {
		            	if (picker.cols[2].replaceValues) {
		            		var areaValueArr = [];
		            		var areaViewArr = [];
		            		
		            		var cityDataArr = Areadata[picker.cols[0].value]['city'][value];
		            		  for (var x in cityDataArr) {
		            			  if (x === 'area') {
		            				  if(cityDataArr[x]===null){
	            						  areaValueArr.push(' ');
	            						  areaViewArr.push(' ');
	            					  }else{
	            						  for (var y in cityDataArr[x]) {
			            						  areaValueArr.push(y);
				            					  areaViewArr.push(cityDataArr[x][y]);
		            					  }
		            				  }
		            			  }
		            		  }
		            		picker.cols[2].replaceValues(areaValueArr, areaViewArr);
		            	}
		            }
		        },
		        {
		        	textAlign: 'center',
		        	values:	defaultAreaValueList,
					displayValues: defaultAreaViewList,
		        	width: 160
		        }
		    ],
		    onOpen: function(picker) {
		    
		    	if ($.isArray(storageWorkInfo.userLocationCode) && storageWorkInfo.userLocationCode.length === 3) {
		    		picker.setValue(storageWorkInfo.userLocationCode)
		    	}
		    	
//		    	picker.container.find('.toolbar .close-picker').on('click', function() {
//		    		picker.setValue(picker.value);
//		    	});
		    },
		});
		
			// 设置城市的默认值
			if (params.userInfo.userProvinceCode !== '' && params.userInfo.userCityCode !== '' && params.userInfo.userAreaCode !== '') {
				pickerLocation.setValue([params.userInfo.userProvinceCode, params.userInfo.userCityCode, params.userInfo.userAreaCode]);
			}
			
	
			if ($.isArray(storageWorkInfo.userLocationCode) && storageWorkInfo.userLocationCode.length === 3) {
				pickerLocation.setValue(storageWorkInfo.userLocationCode);
			}
//			userLocationCode=pickerLocation.value;
		// 渲染协议弹出层
//		$('#popupAuth').html(protocolItem1Template());
		$('#authStep2Protocol').on('click', function() {
			var authStep1Data = JSON.parse(localStorage.getItem('authStep1Data'));
			
        	callWebHtml({
        		url: '/agreement/agrTemplateCredit',
        		type: 'POST',
        		params: {
        			baseBusinessType:'003001',
        			templateId:'2',
					userId: loginStatus.userId,
					orderId: '',	
					userIdCard: authStep1Data.userIdentityCardNumber.toUpperCase(),
					userName: authStep1Data.userName,
					userPhoneNumber: authStep1Data.userPhoneNumber
        		},
        		successCallback: function(response) {
					$('#popupAuth').html(protocolFrame({
						protocolId: "agreementCreditAuthorization",
						protocolName: "《公民个人信息授权书》",
						protocolWidth: $('body').width(),
						protocolHeight: $('body').height() - 56
					}));
//					$$("#agreementCreditAuthorization").contents().find("html").html(response);
					$$("#agreementCreditAuthorization").contents().find("html")[0].innerHTML = response;
					f7.popup('#popupAuth');
        		},
        		errorCallback: function(err) {}
        	});		
		});

		
		//埋点数据
		bindPadEventAuthStep2();
		
		 
		$('#contact1Btn').on('click', function() {
			TalkingData.onEventWithLabel('身份认证2', '通讯录读取第一紧急联系人信息');
			importContact('contact1Name', 'contact1Phone', 'contact1');
		});
		
		$('#contact2Btn').on('click', function() {
			TalkingData.onEventWithLabel('身份认证2', '通讯录读取第二紧急联系人信息');
			importContact('contact2Name', 'contact2Phone', 'contact2');
		});
		
		
		// 验证常用联系人
		$('#contact1Name').on('blur', function() {
			checkContact($('#contact1Name').val(), $('#contact1Phone').val(), $('#contact1Relation').val(), '#contact1Phone', 'contact1');
		});
		$('#contact1Phone').on('blur', function() {
			if (validator.isNull($('#contact1Phone').val())) { f7.alert('常用联系人手机号不为空'); return false; }
			if (!validator.checkTel($('#contact1Phone').val())) { f7.alert('您填写的是一个无效常用联系人手机号码'); $('#contact1Phone').val(''); return false; }
			if ($('#contact1Phone').val() === loginStatus.accountName) { f7.alert('常用联系人手机号码不能是本人手机号码'); return false; }
			checkContact($('#contact1Name').val(), $('#contact1Phone').val(), $('#contact1Relation').val(), '#contact1Phone', 'contact1');
		});
		$('#contact1Relation').on('blur', function() {
			checkContact($('#contact1Name').val(), $('#contact1Phone').val(), $('#contact1Relation').val(), '#contact1Phone', 'contact1');
		});
		
		// 验证紧急联系人
		$('#contact2Name').on('blur', function() {
			checkContact($('#contact2Name').val(), $('#contact2Phone').val(), $('#contact2Relation').val(), '#contact2Phone', 'contact2');
		});
		$('#contact2Phone').on('blur', function() {
			if (validator.isNull($('#contact2Phone').val())) { f7.alert('常用联系人手机号不为空'); return false; }
			if (!validator.checkTel($('#contact2Phone').val())) { f7.alert('您输入的是一个无效联系人手机号码'); return false; }
			if ($('#contact2Phone').val() === loginStatus.accountName) { f7.alert('常用联系人手机号码不能是本人手机号码'); return false; }
			checkContact($('#contact2Name').val(), $('#contact2Phone').val(), $('#contact2Relation').val(), '#contact2Phone', 'contact2');
		});
		$('#contact2Relation').on('blur', function() {
			checkContact($('#contact2Name').val(), $('#contact2Phone').val(), $('#contact2Relation').val(), '#contact2Phone', 'contact2');
		});

		$('#authStep2Btn').on('click', function() {
			TalkingData.onEventWithLabel('身份认证2', '通讯录读取第二紧急联系人信息');
			var authStep1Data = JSON.parse(localStorage.getItem('authStep1Data'));
			var authStep2Data = f7.formToJSON('#authStep2Form');

			if (validator.isNull($('#userCompanyName').val())) { f7.alert('请填写单位名称'); return false; }
			if ($('#userIndustry').val() === 'selected' || validator.isNull($('#userIndustry').val())) { f7.alert('请选择学历'); return false; }
//			if ($('#userDuty').val() === 'selected' || validator.isNull($('#userDuty').val())) { f7.alert('请选择职务职称'); return false; }
			if(!/^[0-9]{3,4}$/.test($("#userWorkPhone1").val())) { f7.alert('请填写正确的区号'); return false; }
			if (!/^[0-9]+$/.test($("#userWorkPhone2").val())) { f7.alert('请填写正确的单位电话'); return false; }
			var userWorkPhone=$("#userWorkPhone1").val()+'-'+$("#userWorkPhone2").val()
			if (validator.isNull($('#userDwellingAddress').val())) { f7.alert('请填写详细地址'); return false; }
			var userDwellingAddressCheck=$('#userDwellingAddress').val()
			if(userDwellingAddressCheck.length<5) { f7.alert('请填写完整的详细地址'); return false; }
			if ($('#contact1Relation').val() === 'selected' || validator.isNull($('#contact1Relation').val())) { f7.alert('与常用联系人关系不为空'); return false; }
			if (validator.isNull($('#contact1Name').val())) { f7.alert('常用联系人姓名不为空'); return false; }
			if (validator.isNull($('#contact1Phone').val())) { f7.alert('常用联系人手机号不为空'); return false; }
			if (!validator.checkTel($('#contact1Phone').val())) { f7.alert('您填写的是一个无效常用联系人手机号码'); return false; }
			if ($('#contact1Phone').val() === loginStatus.accountName) { f7.alert('常用联系人手机号码不能是本人手机号码'); return false; }
			if ($('#contact2Relation').val() === 'selected' || validator.isNull($('#contact2Relation').val())) { f7.alert('与常用联系人关系不为空'); return false; }
			if (validator.isNull($('#contact2Name').val())) { f7.alert('常用联系人姓名不为空'); return false; }
			if (validator.isNull($('#contact2Phone').val())) { f7.alert('常用联系人手机号不为空'); return false; }
			if (!validator.checkTel($('#contact2Phone').val())) { f7.alert('您输入的是一个无效联系人手机号码'); return false; }
			if ($('#contact2Phone').val() === loginStatus.accountName) { f7.alert('常用联系人手机号码不能是本人手机号码'); return false; }
			
			if (!$('#tabAuthStep2Protocol input')[0].checked) { f7.alert('请阅读并同意协议'); return false; }
		
//			if (contact1Key === false) { return false; }
//			if (contact2Key === false) { return false; }
			
			if ($('#contact1Phone').val() == $('#contact2Phone').val()) { f7.alert('常用联系人号码不能相同'); return false; }
			
			var authStep2Data = f7.formToJSON('#authStep2Form');
			authStep2Data.userLocation=$("#userLocation").val();
			authStep1Data.userDwellingAddress = $('#userDwellingAddress').val();
//			authStep2Data.userWorkAddressCode = workAdressLocation.value;
			authStep2Data.userWorkPhone1=$("#userWorkPhone1").val();
			authStep2Data.userWorkPhone2=$("#userWorkPhone2").val();
			authStep2Data.userLocationCode=pickerLocation.value;
			localStorage.setItem('authStep2Data', JSON.stringify(authStep2Data));
			// pad埋点需求
			sendPadDataAuthStep2();
			
			// 判断是否授权通讯录
			// 是否跳过申请通讯录权限
			if (!SKIP.cordova_contacts) {
				cordova.plugins.diagnostic.isContactsAuthorized(function(res) {
	              if(res == '-1'){
	              	     f7.modal({
							 text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
							 buttons: [{
								 text: '确定',
								 onClick: function() {
									 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
								 }
							 }]
						 });

	              }else if(res == '0'){
                      navigator.contacts.requestAuth(function(msg) {
                    	  contactsAuthorization = '1';

	    				  // 获取通讯录数据
	    				  navigator.contacts.contactsList(function(list) {

        					  if (Array.isArray(list)) {
        						  contactsLength = list.length.toString();
        					  } else {
        						  contactsLength = '0';
        					  }

        					  addressList = list;
        					  
        					  openConfirm();
        				  });

	    			  }, function(msg) {

//	    				 if (msg === '-1') {
//	    					 f7.modal({
//	    						 text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
//	    						 buttons: [{
//	    							 text: '确定',
//	    							 onClick: function() {
//	    								 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
//	    							 }
//	    						 }]
//	    					 });
//	    				 } else 
	    				 if (msg === '-2') {
	    					 f7.modal({
	    						 text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
	    						 buttons: [{
	    							 text: '确定',
	    							 onClick: function() {
	    								 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
	    							 }
	    						 }]
	    					 });
	    				 }

        				 contactsAuthorization = '0';
        			  });
		          }else if(res == '1'){
		        	  contactsAuthorization = '1';

    				  // 获取通讯录数据
    				  navigator.contacts.contactsList(function(list) {

    					  if (Array.isArray(list)) {
    						  contactsLength = list.length.toString();
    					  } else {
    						  contactsLength = '0';
    					  }

    					  addressList = list;
    					  
    					  openConfirm();
    				  },function(err) {
    					 f7.modal({
    						 text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
    						 buttons: [{
    							 text: '确定',
    							 onClick: function() {
    								 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
    							 }
    						 }]
    					 });
    				  });
		          }
				}, function(err) {
					 f7.modal({
						 text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
						 buttons: [{
							 text: '确定',
							 onClick: function() {
								 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
							 }
						 }]
					 });
				});
			} else {
				openConfirm();
			}
			


			function openConfirm() {
				
				// 是否跳过cordova的device.uuid
				var deviceId = '';
				if (!SKIP.cordova_uuid) {
					deviceId = device.uuid;
				}
				
				var deviceIsSim = getDeviceSimulator();
//				// 是否跳过cordova的device.isVirtual
//				var deviceIsSim = 'false';
//				if (!SKIP.cordova_isVirtual) {
//					deviceIsSim = device.isVirtual;
//				}
				
				f7.modal({
		  			title: '<div id="authStep2Model" class="model-top" style="position: absolute;top: 0; left: 0; width: 100%;background: #e6e6e6;padding: 10px 0;">'+
						  	      '<div class="model-top-first">请仔细核对，确保准确填写</div>'+
						  	      '<div class="model-top-second"><span class="model-notice"></span><span>一经提交，不可修改</span></div>'+
					  	      '</div>',
		  			text:  '<div class="model-block">'+
						  	      '<ul style="height: 250px; overflow: scroll;">'+
							          '<li class="model-list">'+
							               '<div class="model-inner authStep2-model-inner">'+
								               	'<span class="model-title">姓名</span>'+
								                '<span class="model-con">' + authStep1Data.userName +'</span>'+
							               '</div>'+
							         '</li>'+
							         '<li class="model-list">'+
							               '<div class="model-inner authStep2-model-inner">'+
								               	'<span class="model-title">身份证号</span>'+
								                '<span class="model-con">' + authStep1Data.userIdentityCardNumber.replace(/....(?!$)/g, '$& ') +'</span>'+
							               '</div>'+
							         '</li>'+
							         '<li class="model-list">'+
							               '<div class="model-inner authStep2-model-inner">'+
								               	'<span class="model-title">本人手机号</span>'+
								                '<span class="model-con">' + authStep1Data.userPhoneNumber +'</span>'+
							               '</div>'+
						             '</li>'+					  				
				                  '<li class="model-list">'+
					               '<div class="model-inner authStep2-model-inner">'+
						               	'<span class="model-title">所在院校</span>'+
						                '<span class="model-con">' +authStep1Data.userCompanyName+'</span>'+
					               '</div>'+
				                  '</li>'+		
				                  '<li class="model-list">'+
					               '<div class="model-inner authStep2-model-inner">'+
						               	'<span class="model-title">学校地址</span>'+
						                '<span class="model-con">' +authStep1Data.userWorkAddress.replace(/\s+/g, "")+authStep1Data.userWorkFullAddress+'</span>'+
					               '</div>'+
				                  '</li>'+
				                  '<li class="model-list">'+
					               '<div class="model-inner authStep2-model-inner">'+
						               	'<span class="model-title">居住地址</span>'+
						                '<span class="model-con">' +authStep2Data.userLocation.replace(/\s+/g, "")+authStep2Data.userDwellingAddress+'</span>'+
					               '</div>'+
				                  '</li>'+
				                  '<li class="model-list">'+
					               '<div class="model-inner authStep2-model-inner">'+
						               	'<span class="model-title">联系人信息</span>'+
						                '<span class="model-con">'+
						                     '<div>' +authStep2Data.contact1Relation+"&nbsp;"+authStep2Data.contact1Name+"&nbsp;"+authStep2Data.contact1Phone+'</div>'+
							                '<div>' +authStep2Data.contact2Relation+"&nbsp;"+authStep2Data.contact2Name+"&nbsp;"+authStep2Data.contact2Phone+'</div>'+
							            '</span>'+
					               '</div>'+
				                  '</li>'+					                  
					          '</ul>'+
					        '</div>',
		  			
		  			buttons: [
		  				{
		  					text: '<span class="model-back">返回修改</span>',
		  					onClick: function(){
		  					
		  					}
		  				},
		  				{
		  					text: '确认无误',
		  					onClick: function() {
		  						var baseParams = {
	  								userId: loginStatus.userId,				//userid
	  								baseBusinessType: '003001',				//类型
	  								userName: authStep1Data.userName,		//姓名
	  								userIdentityCardNumber: authStep1Data.userIdentityCardNumber.toUpperCase(), //身份证号码
	  								userBirthday: authStep1Data.userBirthday,					  //生日
	  								userPhoneNumber: authStep1Data.userPhoneNumber,				  //手机号码
//	  								userBankCardNumber: authStep1Data.userBankCardNumber,		  //银行卡号
//	  								userMaritalStatus: authStep1Data.userMaritalStatus,		  
	  								userHighestEducation: authStep1Data.userHighestEducation,     //学历
	  								
//	  								userDwellingCondition: authStep1Data.userDwellingCondition,		
	  								userDwellingAddress: authStep1Data.userDwellingAddress,		//家庭详细地址
//	  								userPostCode: authStep1Data.userPostCode,
	  								userCompanyName: authStep1Data.userCompanyName,				//学校名称
	  								userIndustry: authStep1Data.userIndustry,					//专业名称
//	  								userHomePhone:
//	  								userDuty: authStep2Data.userDuty,
	  								userHomePhone:userWorkPhone,								//家庭电话
	  								userWorkPhone:authStep1Data.teacherNumber,					//老师电话
//	  								userMonthlyIncome: authStep2Data.userMonthlyIncome,
	  								userWorkYears: authStep1Data.userWorkYears,					//入学时间
	  								contactsList: [												//联系人列表
	  									{
	  										userId: loginStatus.userId,				
	  										contactsName: authStep2Data.contact1Name,
	  										contactsPhoneNumber: authStep2Data.contact1Phone,
	  										contactsUserRelation: authStep2Data.contact1Relation,
	  										contactsIdentityCardNumber: '',
	  										contactsAddress: '',
	  										baseBusinessType:"003001",
	  										contactsType:"2"
	  									},
	  									{
	  										userId: loginStatus.userId,
	  										contactsName: authStep2Data.contact2Name,
	  										contactsPhoneNumber: authStep2Data.contact2Phone,
	  										contactsUserRelation: authStep2Data.contact2Relation,
	  										contactsIdentityCardNumber: '',
	  										contactsAddress: '',
	  										baseBusinessType:"003001",
	  										contactsType:"1"
	  									}
	  								],
	  								
	  								userProvinceName: authStep2Data.userLocation.split(' ')[0],	//居住省
	  								userCityName: authStep2Data.userLocation.split(' ')[1],		//居住市
	  								userAreaName: authStep2Data.userLocation.split(' ')[2],		//居住区
	  								userProvinceCode: authStep2Data.userLocationCode[0],		//居住省CODE
	  								userCityCode: authStep2Data.userLocationCode[1],			//居住市CODE
	  								userAreaCode: authStep2Data.userLocationCode[2],			//居住区CODE
	  								
	  								userWorkAddressProvinceName: authStep1Data.userWorkAddress.split(' ')[0],   //学校省
	  								userWorkAddressCityName: authStep1Data.userWorkAddress.split(' ')[1],		//学校市
	  								userWorkAddressAreaName: authStep1Data.userWorkAddress.split(' ')[2],		//学校区
	  								userWorkAddressProvinceCode: authStep1Data.userWorkAddressCode[0],			//学校省CODE
	  								userWorkAddressCityCode: authStep1Data.userWorkAddressCode[1],				//学校市CODE
	  								userWorkAddressAreaCode: authStep1Data.userWorkAddressCode[2],				//学校区CODE
	  								userWorkFullAddress: authStep1Data.userWorkFullAddress,						//学校详细地址
	  								
	  								contactsLength: contactsLength,		//通讯录数量
	  								contactsAuthorization: contactsAuthorization,//用户通讯录权限
	  							   //通讯录内容绑定入参
									addressList : addressList,    //联系人列表
	  								
	  								deviceId: deviceId,			//设备ID
	  								deviceIsSim:deviceIsSim,	
	  								creditLongitude: '',		// 身份认证经度
	  								creditLatitude: ''			// 身份认证纬度
	  							};
		  						
		  						var creditActivationStatus = false;
		  						getLngAndLat(function(position) {
		  							
		  							baseParams.creditLongitude = position.lng;
		  							baseParams.creditLatitude = position.lat;
		  							
		  							if (creditActivationStatus == false) {
		  								creditActivationStatus = true;
		  								creditActivationFunc();
		  							}
		  							
		  						}, function(error) {
		  							
		  							baseParams.creditLongitude = '';
		  							baseParams.creditLatitude = '';
		  							
		  							if (creditActivationStatus == false) {
		  								creditActivationStatus = true;
		  								creditActivationFunc();
		  							}
		  							
		  						});

		  						function creditActivationFunc() {
			  						callAppApi({
			  							url: '/app/credit/activation',
			  							apiVersion: '2.0',
			  							type: 'POST',
			  							params: baseParams,
			  							successCallback: function(response) {
			  								if (response.userIsCredit === true) {
			  									localStorage.removeItem("authStep1Data"); 
			  									localStorage.removeItem("authStep2Data"); 
			  									loadEducationPage('chooseGoods', {
			  					    				query: {}
			  					    			});
			  									TalkingData.onPageEnd("身份认证2_填写时间");	
			  								} else if (response.userIsCredit === false) {}
			  							},
			  							errorCallback: function(msg) {}
			  						});
		  						}
		  					}
		  				}
		  			]
		  		});		
				
				$('#authStep2Model').parent().parent().parent().css({
					position: 'absolute',
					top: '50%',
					left: '5%',
					display: 'block',
					width: '90%',
					margin: '-242px 5% 0 0'
				});
			}
		})
		


		
	  function checkContact(name, phone, relation, selectKey, contactKey) {
		  if (validator.isNull(name)) { return false; }
		  if (!validator.checkTel(phone)) { return false; }
		  if (validator.isNull(relation)) { return false; }
		  
		  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
			// 检查紧急联系人
			callAppApi({
				url: '/app/checkContacts',
				type: 'POST',
				accountId: loginStatus.accountName,
				sessionToken: loginStatus.userSession,
				params: {
					userId: loginStatus.userId,
					contactsPhoneNumber: phone
				},
				successCallback: function(data) {
					
					if (contactKey === 'contact1') {
						contact1Key = true;
					} else if (contactKey === 'contact2') {
						contact2Key = true;
					}
					
				},
				errorCallback: function(data) {
					if (contactKey === 'contact1') {
						contact1Key = false;
					} else if (contactKey === 'contact2') {
						contact2Key = false;
					}
					$(selectKey).val('');
				}
			});
	  }
		
	  function getContactName(c) {
		  var name = c.displayName;
		  if (!name || name === '') {
			  if (c.name.formatted) {
				  return c.name.formatted;
			  }
			  if (c.name.givenName && c.name.familyName) {
				  return c.name.givenName + ' ' + c.name.familyName;
			  }
			  return 'Nameless';
		  }
		  return name;
	  }
		  
	  function importContact (name, phone, contactKey) {
		    try {
		        cordova.plugins.diagnostic.isContactsAuthorized(function(res) {
		            if(res == '-1'){
		                f7.modal({
		                    text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
		                    buttons: [{
		                        text: '确定',
		                        onClick: function() {
		                            cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
		                        }
		                    }]
		                });
		            } else if(res == '0') {
		                navigator.contacts.requestAuth(function(msg) {
		                    navigator.contacts.pickContact(function(contact) {
		                        var phoneNumber = contact.phoneNumbers[0].value;
		                        var username = getContactName(contact);
		                        if(phoneNumber){
		                            phoneNumber = trimStr(phoneNumber.replace(/-/g,""),"g");
		                        }
		                        if(username){
		                            username = trimStr(username,"g");
		                        }
		                        $('#' + name).val(username);
		                        $('#' + phone).val(phoneNumber);
		                        // 调用通讯录更新key值
		                        if (contactKey === 'contact1') {
		                        	checkContact($('#contact1Name').val(), $('#contact1Phone').val(), $('#contact1Relation').val(), '#contact1Phone', 'contact1');
		                        } else if (contactKey === 'contact2') {
		                        	checkContact($('#contact2Name').val(), $('#contact2Phone').val(), $('#contact2Relation').val(), '#contact2Phone', 'contact2');
		                        }
		                    }, function(err) {
		                        if (err == 6) {
		                            return;
		                        } else {
		                            f7.alert('访问通讯录好友失败，请检查是否开启通讯录权限');
		                        }
		                    })
		                }, function(msg) {
//		                    if (msg === '-1') {
//		                        f7.modal({
//		                            text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
//		                            buttons: [{
//		                                text: '确定',
//		                                onClick: function() {
//		                                    cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
//		                                }
//		                            }]
//		                        });
//		                    } else 
		                    if (msg === '-2') {
		                        f7.modal({
		                            text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
		                            buttons: [{
		                                text: '确定',
		                                onClick: function() {
		                                    cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
		                                }
		                            }]
		                        });
		                    }
		                })
		            } else if(res == '1') {
		                navigator.contacts.pickContact(function(contact) {
		                    var phoneNumber = contact.phoneNumbers[0].value;
		                    var username = getContactName(contact);
		                    if(phoneNumber){
		                        phoneNumber = trimStr(phoneNumber.replace(/-/g,""),"g");
		                    }
		                    if(username){
		                        username = trimStr(username,"g");
		                    }
		                    $('#' + name).val(username);
		                    $('#' + phone).val(phoneNumber);
		                    // 调用通讯录更新key值
		                    if (contactKey === 'contact1') {
		                    	checkContact($('#contact1Name').val(), $('#contact1Phone').val(), $('#contact1Relation').val(), '#contact1Phone', 'contact1');
		                    } else if (contactKey === 'contact2') {
		                    	checkContact($('#contact2Name').val(), $('#contact2Phone').val(), $('#contact2Relation').val(), '#contact2Phone', 'contact2');
		                    }
		                }, function(err) {
		                    if (err == 6) {
		                        return;
		                    } else {
		                        f7.alert('访问通讯录好友失败，请检查是否开启通讯录权限');
		                    }
		                });
		            }
		        }, function(err) {
		            f7.modal({
		                text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
		                buttons: [{
		                    text: '确定',
		                    onClick: function() {
		                        cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
		    				}
		    			}]
		    		});
		    	});
		    } catch(e) {
		        f7.alert('访问通讯录好友失败，请检查是否开启通讯录权限');
		    }
		}
  }

  return {
	 render: render,
  }
});