define([
  'educationComponents/authentication/authStep1/authStep1View',
  'hbs!educationComponents/common/button/button',
], function(
  authStep1View,
  buttonTemplate
) {
  var $ = Framework7.$;
  var authStep1BtnClick = authStep1View.authStep1BtnClick;
  
  function render(params) {

	// 渲染顶部导航栏
	  loadComponent('navbar', 'common', {
		container: '#authNavbar',
		title: '身份认证',
		backId: 'back',
		isBackIcon: true,
		isBack: true
	});
	
	  loadEducationComponent('authStep1', 'authentication');
	
	// 调整后退按钮的功能
	$('#tabAuthStep1').on('show', function() {
		var timeBack = setTimeout(function() {
			$('#back').addClass('back');
			
			$('#authBtn').html(buttonTemplate({
				id: 'authStep1Btn',
				value: '下一步',
				status: false,
			}));
			
			$('#authStep1Btn').on('click', authStep1BtnClick);
			
			clearTimeout(timeBack);
		}, 10);
	});
	
	$('#tabAuthStep2').on('show', function() {
		$('#back').removeClass('back');
		$('#back').once('click', function() {
			f7.showTab('#tabAuthStep1');
		});
	});
  }

  return {
	render: render
  }
});
