define([
  'js/utilities',
  'js/plugins',
  'educationContainers/educationCheckFace/educationCheckFaceView'
], function(
  utilities,
  plugins,
  checkFaceView
) {
  
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var detectFrontCamera = plugins.detectFrontCamera;
	
  function init(query) {
	  
	// 隐藏底部工具栏
	if (mainView.activePage.name === 'educationCheckFace') {
		f7.hideToolbar('#toolbar');
	}
	
	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	
	if (typeof query.faceTimes === 'undefined') {
		// 默认剩余次数
		query.faceTimes = 3;
	}
	
	callAppApi({
	    url: '/app/credit/audit/infoQuery',
	    type: 'POST',
	    params: {
	        userId: loginStatus.userId,
	        baseBusinessType: '003001',
	    },
	    successCallback: function(res) {
	        
	        callAppApi({
	            url: '/app/userInfo',
	            type: 'POST',
	            params: {
	                userId: loginStatus.userId,
	                userSession: loginStatus.userSession
	            },
	            successCallback: function(response) {

					var frontCameraStatus = true;
					
					/**
					 * 检测是否有前置摄像头，如果有设置为true，没有设置为false
					 */
					detectFrontCamera(function(response) {
						frontCameraStatus = true;
						viewRender();
					}, function(err) {
						frontCameraStatus = false;
						viewRender();
					});
					
					function viewRender(){
						checkFaceView.render({
							userName: response.userName,
							userIdentityCardNumber: response.userIdentityCardNumber,
		//					orderId: query.orderId,
							userAreaCode: response.userAreaCode,
							userPhoneNumber: response.userPhoneNumber,
							faceTimes: query.faceTimes,
							frontCameraStatus:frontCameraStatus,
							orderId: res.baseOrderId,
			                auditInfoId: res.infoData.auditInfoId,
			                creditRes: res
						});
					}
	            },
	            errorCallback: function(err) {}
	        });
		},
		errorCallback: function(err) {}
	});

  }

  return {
	init: init
  };
});
