define([
	'js/utilities',
	'js/config',
	'js/uuid',
	'js/uploadImg',
	'educationContainers/educationUploadEvidence/educationUploadEvidenceHelper',
	'educationContainers/educationCheckFace/educationCheckFacePad',
	'hbs!educationComponents/common/button/button',
	'hbs!educationContainers/educationCheckFace/educationCheckFace'
], function(
	utilities,
	config,
	Math,
	uploadImg,
	uploadEvidenceHelper,
	checkFacePad,
	buttonTemplate,
	checkFaceTemplate
) {
	var $ = Framework7.$;
	var baseHost = config.baseHost;
	var b64toBlob = uploadImg.b64toBlob;
	var callAppApi = utilities.callAppApi;
	var callAction = utilities.callAction;
	var setParam = utilities.setParam;
	var getDay = utilities.getDay;
	var getFormatDate = utilities.getFormatDate;
	
	var apptoken = config.apptoken;
	var IV = config.IV;
	var SALT = config.SALT;
	var SKIP = config.SKIP;
	
	var jumpPageEventCheckFaceStart = checkFacePad.jumpPageEventCheckFaceStart;
	var jumpPageEventCheckFaceEnd = checkFacePad.jumpPageEventCheckFaceEnd;
    var sendCheckFaceRecord = checkFacePad.sendCheckFaceRecord;
	
	var getEvidencePicId = uploadEvidenceHelper.getEvidencePicId;
	var getEvidencePicIndex = uploadEvidenceHelper.getEvidencePicIndex;
	var getEvidencePicName = uploadEvidenceHelper.getEvidencePicName;

	var addPicAppApi = uploadImg.addPicAppApi;
	
	var aesUtil = new AesUtil(128, 1);
	function encrypt(s, c) {
	    return aesUtil.encrypt(SALT, IV, c, s);
	}
	function decrypt(s, c) {
	    return aesUtil.decrypt(SALT, IV, c, s);
	}	
	
	function render(params) {
		
		TalkingData.onPage("人脸识别页");		
		TalkingData.onPageBegin("人脸识别页_通过步骤2所需时间");	
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		// 渲染navbar
		loadComponent('navbar', 'common', {
			container: '#checkFaceNavbar',
			title: '人脸识别',
			backClass: 'placeOrderBackBtn',
			isBackIcon: true,
			isBack: false,
			color: '#FFF',
			background: '#f4610b'
		});
		
		// 渲染人脸识别主内容
		$('#checkFaceContent').html(checkFaceTemplate({
			userName: '*' + params.userName.slice(1),
		}));
		
		// 渲染头部状态栏
		loadComponent('placeOrderTabbar', 'placeOrder', {
			container: '#checkFaceTabbar',
			tabIndex: 2
		});
		
		// 渲染底部按钮
		$('#faceCheckBtnBox').html(buttonTemplate({
			id: 'faceCheckBtn',
			value: '开始检测',
			disabled: false,
			color: '#FFF',
			bgColor: '#69adef'
		}));
		
		// 底部按钮点击
		// 人脸识别总次数
		var checkFaceTotalTimes = 3;
		var checkFaceTimes = params.faceTimes;
		
		// 人脸识别照片索引
		var checkFacePhotoIndex = 0;
		var checkFacePhotoArr = [];
		
		if (checkFaceTimes === 0 || !params.frontCameraStatus) {
			detectFailureStyle();
		}
		
		
		$('#faceCheckBtn').on('click', function() {
			jumpPageEventCheckFaceStart();
			if (checkFaceTimes > 0) {

				// 是否跳过人脸识别
				if (!SKIP.cordova_detectFace) {
					
					cordova.plugins.diagnostic.isCameraAuthorized(function (exists) {
						if (exists === true) {
							PaPlugin.detectFace('1','2','3',detectSuccess,detectError);
							
							f7.showIndicator();
						} else if (exists === false) {
				        	f7.alertMessage('请在手机设置中，授权允许指尖租赁调用摄像头',3000);
				        	f7.hideIndicator();
				        	return false;		
						} else {
				        	f7.alertMessage('请在手机设置中，授权允许指尖租赁调用摄像头',3000);
				        	f7.hideIndicator();
				        	return false;		
						}
						
					}, function(err) {
						alertMessage("调用相机失败：" + error);
					})
				} else {
					pa = "1,1,1,1,1";
					detectSuccess(pa);
				}
			} else {
				callAppApi({
					url: '/app/orderUpdate',
					type: 'POST',
					params: {
						orderId: params.orderId,
						userId: loginStatus.userId,
						orderFaceErrorCount: (checkFaceTotalTimes - checkFaceTimes).toString(),
						orderFaceCount: (checkFaceTotalTimes - checkFaceTimes).toString(),
						orderEvidenceFace: ''
					},
					successCallback: function(response) {},
					errorCallback: function(err) {}
				});
				
				detectFailureStyle();
			}
		});
		
		// 其他认证方式按钮事件绑定
		$('#otherCheckWay').on('click', function() {
		  	TalkingData.onEventWithLabel('人脸识别页', '其他认证方式');
//			mainView.router.load({
//				url: 'checkUserIdCard.html',
//				query: {
//					from: 'checkFace',
//					orderId: params.orderId,
//					// 记录剩余次数
//					faceTimes: checkFaceTimes,
//				}
//			});
			loadEducationPage('checkUserIdCard', {
				query: {
					from: 'checkFace',
					orderId: params.orderId,
					// 记录剩余次数
					faceTimes: checkFaceTimes,
					auditInfoId: params.auditInfoId,
					creditRes: params.creditRes
				}
			});
		});
		$('#checkFaceFailureBtn').on('click', function() {
			TalkingData.onEventWithLabel('人脸识别页', '刷脸认证');
			loadEducationPage('checkUserIdCard', {
				query: {
					from: 'checkFace',
					orderId: params.orderId,
					// 记录剩余次数
					faceTimes: checkFaceTimes,
					auditInfoId: params.auditInfoId,
                    creditRes: params.creditRes
				}
			});
		})
		
		// 人脸识别失败调用方法
		function detectErrorStyle() {
			$('#checkFacePic').attr('src', 'img/placeOrder/faceDetectFailure.png');
			$('#checkFaceTitle').addClass('face-title-falure').text('刷脸失败');
			$('#faceCheckBtn').text('再试一次');
		}
		
		// 人脸识别认证失败调用方法
		function detectFailureStyle() {
			$('#checkFacePic').attr('src', 'img/placeOrder/faceDetectFailure.png');
			$('#checkFaceTitle').addClass('face-title-falure').text('刷脸失败');
			$('.face-title-content').hide();
			$('#facePromptArea').hide();
			$('#otherCheckWay').hide();
			$('#faceCheckBtn').hide();
			$('.face-title-failure').show();
			// loadEducationPage('checkUserIdCard', {
			// 	query: {
			// 		from: 'checkFace',
			// 		orderId: params.orderId,
			// 		// 记录剩余次数
			// 		faceTimes: checkFaceTimes,
			// 	}
			// });
		}

		// 人脸识别base64格式图片
		var faceBase64 = '';
		
		function detectSuccess(result){
//			  faceBase64 = result[0];
//			  var param=setParam('idNo',params.userIdentityCardNumber)+','+setParam('name',params.userName)+','+
//			  	setParam('mobileNo',params.userPhoneNumber)+','+setParam('areaCode', params.userAreaCode)+','+
//			  	setParam('base64',result[0])+','+setParam('Face_X',result[1])+','+setParam('Face_Y',result[2])
//			    +','+setParam('Face_W',result[3])+','+setParam('Face_H',result[4]);
//			  callAction('Order','detectFace',param,checkDetectSuccess,result[0]);
			  
			  var _data = eval("("+result+")");
			  faceBase64 = _data["Image"];
			  
//              var param=setParam('idNo',params.userIdentityCardNumber)+','+setParam('name',params.userName)+','+
//              		setParam('mobileNo',params.userPhoneNumber)+','+setParam('areaCode', params.userAreaCode)+','+
//              		setParam('base64',_data["Image"])+','+setParam('Face_X',_data["FaceX"])+','+
//              		setParam('Face_Y',_data["	"])+','+setParam('Face_W',_data["FaceW"])+','+
//              		setParam('Face_H',_data["FaceH"]);
//              
//              callAction('Order','detectFace',param,checkDetectSuccess,_data["Image"]);
			  
			  callAppApi({
				  url: '/api/faceDetect',
				  type: 'POST',
				  params: {
					  userId: loginStatus.userId,
					  userName: params.userName,
					  userPhone: params.userPhoneNumber,
					  userIdNo: params.userIdentityCardNumber,
					  photo64: faceBase64,
					  faceDetectType:'1',
					  photoType:'1',
					  photoIsHaveMark:'0',
					  photo_W:_data["FaceW"],
					  photo_H:_data["FaceH"],
					  photoCodnt_X:_data["FaceX"],
					  photoCodnt_Y:_data["FaceY"],
					  
				  },
				  successCallback: checkDetectSuccess,
				  errorCallback: function(err) {}
			  })
		}
		
		
//		function checkDetectSuccess(a,s){//Author_lisai 2016年10月25日11:36:34  人脸识别认证失败，需要手动上传订单照片
		function checkDetectSuccess(res) {
			f7.hideIndicator();
			checkFaceTimes--;
//			var orderFacePhotoKey = '';
//			var orderFacePhotoUrl = '';
			var checkFacePhotoArrResult = '';
			
			function uploadCloudImage (basestr, i, u, t, f, b, c) {
				var imgId = Math.uuid();
				callAppApi({
			    	url: '/api/iobsToken',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						iobsUuid: imgId
					},
					successCallback: function(response) {
						var iden = basestr.indexOf(',');
		                var blob = b64toBlob(basestr.substring(iden + 1), 'image/png');
		                uploadBlob(response, blob, 'test', i, u, t, f, b, c, imgId);
					},
					errorCallback: function(err) {
					},
					completeCallback: function() {
					}
				});
			}
			
			function uploadBlob(token, blob, id, i, u, t, f, a, c, imgId) {
			    var fd = new FormData();
			    fd.append('file', blob, t + '.jpg');
			    fd.append("token", token.iobsToken);
			    var xhr = new XMLHttpRequest();
			    var url = token.iobsUrl + imgId;

			    xhr.open('POST', url, true);
			    xhr.onload = function (e) {
			    	var responseData = this.responseText;
			    	if (typeof f === 'function') {
			    		f(token, i, u, t, responseData, imgId);
			    	}
			    };
			    xhr.send(fd);
			}
			
		    function fillZero(n){
		        return n<10? '0'+n:''+n;
		    };
		    
			uploadCloudImage(faceBase64, '', '0' + checkFacePhotoIndex, 'checkFaceImg', function(token,i,u,t,data,imgId) {
				 var time = new Date();
				 var month = time.getMonth() + 1;
				 var localTime = time.getFullYear() + "-" + fillZero(month) + "-"+ fillZero(time.getDate()) + " " + fillZero(time.getHours()) + ":"+ fillZero(time.getMinutes());// + ":" + time.getSeconds()
				 checkFacePhotoArr.push({
					picId: getEvidencePicIndex(),
					picType: '1',
					picName: getEvidencePicName('evidenceFace'),
					cloudKey: imgId,
					cloudUrl: token.iobsCloudUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: '',
//					successKey: a.r == 1 ? true : false,
					checkFaceSuccessTime:localTime,
					successKey: res.faceDetectResult == '1' ? true : false
				});
				 
				 if(res.faceDetectResult == '1'){//a.r为1是后台返回人脸识别成功状态，进行下一步
						jumpPageEventCheckFaceEnd();
						sendCheckFaceRecord(params.orderId);
						if (checkFacePhotoArr.length > 0) {
							checkFacePhotoArrResult = JSON.stringify(checkFacePhotoArr);
						}
						callAppApi({
							url: '/app/orderUpdate',
							type: 'POST',
							params: {
								orderId: params.orderId,
								userId: loginStatus.userId,
								orderStatus: '11',
								orderFaceErrorCount: (checkFaceTotalTimes - checkFaceTimes - 1).toString(),
								orderFaceCount: (checkFaceTotalTimes - checkFaceTimes).toString(),
								orderEvidenceFace: checkFacePhotoArrResult,
								faceDetectResult: res.faceDetectResult
							},
							successCallback: function(response) {
							
        						educationFaceCheckOptions =  {
        							baseBusinessType: '003001',
        							userId: loginStatus.userId,
        							auditInfoId: params.auditInfoId,
        							picType: '7',
        							picSubType: '71',
        							checkResult: '1',
        							picNameIndex: getEvidencePicIndex(),
        							checkFaceSuccessTime: getFormatDate(Date.now()),
        							cloudKey: imgId,
        							cloudUrl: token.iobsCloudUrl
        						},
        						addPicAppApi('', educationFaceCheckOptions);
							    
        						f7.modal({
        							text: '认证一致',
        							buttons: [{
        								text: '确定',
        								onClick: function() {                                           
        									TalkingData.onPageEnd("人脸识别页_通过步骤2所需时间");
//		                                    mainView.router.load({
//		                                        url: 'uploadIDCard.html',
//		                                        query: {
//		                                 	        orderId: params.orderId,
//		                                            fromPage: 'checkFace',
//		                                            evidenceKey: 'evidenceIdCard'
//		                                        }
//		                                    });
        									loadEducationPage('checkInfo', {
        										query: {
        											orderId: params.orderId,
        											fromPage: 'checkFace',
        											//evidenceKey: 'evidenceIdCard'
        										}
        									});
        									localStorage.setItem('evidenceFaceIndex', '');
        								}
        							}]
        						});
							},
							errorCallback: function(err){}
						})
					}else{
						f7.alertMessage('请重新检测！');
//						checkFacePhotoArrResult='';
						if (checkFacePhotoArr.length > 0) {
							checkFacePhotoArrResult = JSON.stringify(checkFacePhotoArr);
						}
						jumpPageEventCheckFaceEnd();
						sendCheckFaceRecord(params.orderId);
						callAppApi({
							url: '/app/orderUpdate',
							type: 'POST',
							params: {
								orderId: params.orderId,
								userId: loginStatus.userId,
								orderFaceErrorCount: (checkFaceTotalTimes - checkFaceTimes).toString(),
								orderFaceCount: (checkFaceTotalTimes - checkFaceTimes).toString(),
								orderEvidenceFace: checkFacePhotoArrResult,
								faceDetectResult: res.faceDetectResult
							},
							successCallback: function(response) {
							    
							    educationFaceCheckOptions =  {
		                            baseBusinessType: '003001',
		                            userId: loginStatus.userId,
		                            auditInfoId: params.auditInfoId,
		                            picType: '7',
		                            picSubType: '71',
		                            checkResult: '0',
		                            picNameIndex: getEvidencePicIndex(),
		                            checkFaceSuccessTime: getFormatDate(Date.now()),
		                            cloudKey: imgId,
		                            cloudUrl: token.iobsCloudUrl
		                        },
		                        addPicAppApi('', educationFaceCheckOptions);
							    
							},
							errorCallback: function(err) {}
						});
						
						if (checkFaceTimes === 0) {
							detectFailureStyle();
						} else {
							detectErrorStyle();
						}
					}
			}, '', '');

			
//			if (res.faceDetectResult == '1') {
//				jumpPageEventCheckFaceEnd();
//				sendCheckFaceRecord(params.orderId);
//				
//				callAppApi({
//					url: '/app/orderUpdate',
//					type: 'POST',
//					params: {
//						orderId: params.orderId,
//						userId: loginStatus.userId,
//						orderStatus: '11',
//						orderFaceErrorCount: (checkFaceTotalTimes - checkFaceTimes - 1).toString(),
//						orderFaceCount: (checkFaceTotalTimes - checkFaceTimes).toString(),
//						orderEvidenceFace: checkFacePhotoArrResult,
//					},
//					successCallback: function(response) {
//						
//						 f7.modal({
//							 text: '认证一致',
//							 buttons: [{
//								 text: '确定',
//								 onClick: function() {
//									 
//									TalkingData.onPageEnd("人脸识别页_通过步骤2所需时间");
//									
//									mainView.router.load({
//										url: 'uploadIDCard.html',
//										query: {
//											orderId: params.orderId,
//											fromPage: 'checkFace',
//											evidenceKey: 'evidenceIdCard'
//										}
//									});
//									 
//									localStorage.setItem('evidenceFaceIndex', '');
//								 }
//							 }]
//						 });
//					},
//					errorCallback: function(err) {}
//				})
//				
//			} else {
//				jumpPageEventCheckFaceEnd();
//				sendCheckFaceRecord(params.orderId);
//				
//				callAppApi({
//					url: '/app/orderUpdate',
//					type: 'POST',
//					params: {
//						orderId: params.orderId,
//						userId: loginStatus.userId,
//						orderFaceErrorCount: (checkFaceTotalTimes - checkFaceTimes).toString(),
//						orderFaceCount: (checkFaceTotalTimes - checkFaceTimes).toString(),
//						orderEvidenceFace: checkFacePhotoArrResult
//					},
//					successCallback: function(response) {},
//					errorCallback: function(err) {}
//				});
//				
//				if (checkFaceTimes === 0) {
//					detectFailureStyle();
//				} else {
//					detectErrorStyle();
//				}
//			}
			
//			if(a.r==0){//a.r为0是后台返回人脸识别认证失败，需要手动上传订单照片
//				jumpPageEventCheckFaceEnd();
//				sendCheckFaceRecord(params.orderId);
//				f7.alertMessage('很抱歉，您暂时无法办理该业务，感谢关注！');
//				
//				callAppApi({
//					url: '/app/orderUpdate',
//					type: 'POST',
//					params: {
//						orderId: params.orderId,
//						userId: loginStatus.userId,
//						orderFaceErrorCount: (checkFaceTotalTimes - checkFaceTimes).toString(),
//						orderFaceCount: (checkFaceTotalTimes - checkFaceTimes).toString(),
//						orderEvidenceFace: checkFacePhotoArrResult
//					},
//					successCallback: function() {},
//					errorCallback: function(err) {}
//				});
//				
//				detectFailureStyle();
//			}
//			
//			if(a.r==1){//a.r为1是后台返回人脸识别成功状态，进行下一步
//				jumpPageEventCheckFaceEnd();
//				sendCheckFaceRecord(params.orderId);
//				if (checkFacePhotoArr.length > 0) {
//					checkFacePhotoArrResult = JSON.stringify(checkFacePhotoArr);
//				}
//				callAppApi({
//					url: '/app/orderUpdate',
//					type: 'POST',
//					params: {
//						orderId: params.orderId,
//						userId: loginStatus.userId,
//						orderStatus: '11',
//						orderFaceErrorCount: (checkFaceTotalTimes - checkFaceTimes - 1).toString(),
//						orderFaceCount: (checkFaceTotalTimes - checkFaceTimes).toString(),
//						orderEvidenceFace: checkFacePhotoArrResult,
////						orderFacePhotoKey: orderFacePhotoKey,
////						orderFacePhotoUrl: orderFacePhotoUrl
//					},
//					successCallback: function(response) {
//						
//						 f7.modal({
//							 text: '认证一致',
//							 buttons: [{
//								 text: '确定',
//								 onClick: function() {
//									 
//									TalkingData.onPageEnd("人脸识别页_通过步骤2所需时间");
//									 
////									mainView.router.load({
////										url: 'checkInfo.html',
////										query: {
////											orderId: params.orderId,
////											fromPage: 'checkFace'
////										}
////									});
////									mainView.router.load('uploadIDCard', {
////										query : {
////											orderId: params.orderId,
////											fromPage: 'checkFace',
////											evidenceKey: 'evidenceIdCard'
////										}
////									});
//									// 2017-04-26 bug修复，跳转方法错误修正。
//									mainView.router.load({
//										url: 'uploadIDCard.html',
//										query: {
//											orderId: params.orderId,
//											fromPage: 'checkFace',
//											evidenceKey: 'evidenceIdCard'
//										}
//									});
//									 
//									localStorage.setItem('evidenceFaceIndex', '');
//								 }
//							 }]
//						 });
//					},
//					errorCallback: function(err) {}
//				})
//			}
			
//			if(a.r==9){//a.r为9是后台返回人脸识别检测失败，需要重新检测
//				jumpPageEventCheckFaceEnd();
//				sendCheckFaceRecord(params.orderId);
//				callAppApi({
//					url: '/app/orderUpdate',
//					type: 'POST',
//					params: {
//						orderId: params.orderId,
//						userId: loginStatus.userId,
//						orderFaceErrorCount: (checkFaceTotalTimes - checkFaceTimes).toString(),
//						orderFaceCount: (checkFaceTotalTimes - checkFaceTimes).toString(),
//						orderEvidenceFace: checkFacePhotoArrResult
//					},
//					successCallback: function(response) {},
//					errorCallback: function(err) {}
//				});
//				
//				if (checkFaceTimes === 0) {
//					detectFailureStyle();
//				} else {
//					detectErrorStyle();
//				}
//			}
			
		}
		
		function detectError(s){
			f7.hideIndicator();
			
			callAppApi({
				url: '/app/orderUpdate',
				type: 'POST',
				params: {
					orderId: params.orderId,
					userId: loginStatus.userId,
					orderFaceErrorCount: (checkFaceTotalTimes - checkFaceTimes).toString(),
					orderFaceCount: (checkFaceTotalTimes - checkFaceTimes).toString(),
					orderEvidenceFace: ''
				},
				successCallback: function(response) {},
				errorCallback: function(err) {}
			});
			
			detectErrorStyle();
		}
	}

	return {
		render : render
	}
});
