define([
 	'js/utilities',
	'js/uploadImg',
	'js/uploadEvidenceFunc.js',
	'jquery',
	'adultEducation/adultEducationContainers/uploadEvidence/uploadEvidenceHelper',
	'hbs!educationContainers/educationCheckInfo/educationCheckInfo',
	'hbs!components/common/button/button',
	'hbs!components/common/protocolArea/protocolFrame'
], function(
	utilities,
	uploadImg,
	uploadEvidence,
	$$,
	uploadEvidenceHelper,
	educationCheckInfoTemplate,
	buttonTemplate,
	protocolFrame
) {
	var callAppApi = utilities.callAppApi;
	var callWebHtml = utilities.callWebHtml;
	var takePicture = uploadImg.takePicture;
	var choosePhoto = uploadImg.choosePhoto;
	var drawImageCanvas = uploadImg.drawImageCanvas;

	var getEvidencePicId = uploadEvidenceHelper.getEvidencePicId;
	var getEvidencePicIndex = uploadEvidenceHelper.getEvidencePicIndex;
	var getEvidencePicName = uploadEvidenceHelper.getEvidencePicName;
	var getEvidenceType = uploadEvidenceHelper.getEvidenceType;
	var EvidenceArea = uploadEvidenceHelper.EvidenceArea;
	var UploadEvidence = uploadEvidence.UploadEvidence;

	function render(params) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var fromPage = params.fromPage;
		var orderId = params.orderId;
		
		// 上传资料实例数组
		var evidenceMainList = [];
		var evidenceSubList = [];
		
		
		// 渲染navbar
		/*loadComponent('navbar', 'common', {
			container: '#uploadEvidenceNavbar',
			title: '完善资料',
			backId: 'uploadEvidenceBackBtn1',
			isBackIcon: true,
//    			isBack: false,
			iconRightId: 'uploadEvidenceHelpBtn',
			iconRightStatus: true,
			iconRight: '帮助',
			iconRightClass: 'uploadEvidenceHelpBtn',
			callback: function() {
				
				// 点击返回按钮(根据状态值返回到不同页面)
				$$('#uploadEvidenceBackBtn1').on('click', function() { 
					if(fromPage=="orderDetail"){
						 mainView.router.load({
							  url: 'order.html',
							  animatePages: false
						  });
					}else{
						mainView.router.back({
							url: 'index.html',
				  			force: true,
							query: {
								fromPage: 'adultEducationUploadEvidence',
							}
						})
					} 
				});
				
				// 点击帮助按钮
				$$('#uploadEvidenceHelpBtn').on('click', function() {
					callWebHtml({
						url: '/application/show/uploadFileHelp',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							baseBusinessType:"003002"
						},
						successCallback: function(response) {
							$('#uploadEvidence1').html(protocolFrame({
								protocolId: "agreementAutoPayment",
								protocolName: "上传材料说明",
								protocolWidth: $('body').width(),
								protocolHeight: $('body').height() - 56
							}));

							$$("#agreementAutoPayment").contents().find("html")[0].innerHTML = response;

							f7.popup('#uploadEvidence1');
						},
						errorCallback: function(err) {}
					});
				});
			}
		});*/
		
		// 渲染navbar
		loadComponent('navbar', 'common', {
			container: '#checkInfoNavbar',
			title: '完善资料',
			backClass: 'placeOrderBackBtn',
			isBackIcon: true,
			isBack: false,
			color: '#FFF',
			background: '#f4610b'
		});
		
		// 隐藏底部工具栏
		f7.hideToolbar('#toolbar');
		
		//已上传图片回显
		var	picDataArr = [
              {
                  "picType": "1",
                  "picName":"身份证",
                  "picDataArray": [
                      {
                    	  "picSubType": "11",
                    	  "picSubName": "身份证正面",
                    	  "picSubDataArray": [{"cloudUrl": "img/employeeBuy/info-idCard1.png"}]
                      },
                      {
                    	  "picSubType": "12",
                    	  "picSubName": "身份证反面",
                    	  "picSubDataArray": [{"cloudUrl": "img/employeeBuy/info-idCard2.png"}]
                      },
                      {
                    	  "picSubType": "13",
                    	  "picSubName": "手持身份证",
                    	  "picSubDataArray": []
                      }
                  ]
              },
              {
                  "picType": "8",
                  "picName":"学籍证明材料",
                  "picDataArray": []

              },
              {
                  "picType": "5",
                  "picName":"其他证明材料",
                  "picDataArray": []

              }
		]
		if(params.picList && params.picList != null && params.picList.length > 0){
			var picBackArr = params.picList;
			for(var i = 0;i < picBackArr.length;i++){
				if(picBackArr[i].picType == '1'){
					for(var j = 0;j < picBackArr[i].picDataArray.length; j++){
						var item = picBackArr[i].picDataArray[j];
						if(item.picSubType == '11'){
							picDataArr[0].picDataArray[0] = item;
						}else if(item.picSubType == '12'){
							picDataArr[0].picDataArray[1] = item;
						}else if(item.picSubType == '13'){
							picDataArr[0].picDataArray[2] = item;
						}
					}
				}else if(picBackArr[i].picType == '8'){
					picDataArr[1].picDataArray = picBackArr[i].picDataArray;
				}else if(picBackArr[i].picType == '5'){
					picDataArr[2].picDataArray = picBackArr[i].picDataArray;
				}
			}
		}
		// 渲染checkInfoContent内容
		$$('#checkInfoContent').html(educationCheckInfoTemplate({
			picList: picDataArr
		}));
		
		// 渲染头部状态栏
		loadComponent('placeOrderTabbar', 'placeOrder', {
			container: '#checkInfoTabbar',
			tabIndex: 3
		});
		
		//获取身份证正反面
		var idCardList = $$('.id-card-item');
		
		//创建身份证正反面实例
		evidenceIdCardList = idCardList.map(function(index, item){
			var evidenceType = $$(item).data('key');
			var picType = $$(item).data('type');
			var picSubType = $$(item).data('subtype');
			return new UploadEvidence(evidenceType, [], {
				addSelector: "idCard" + evidenceType,
				infoData: params.infoData,
				baseBusinessType: '003001',
				picType: picType,
				picSubType: picSubType
			})
		})
		
		//获取主列表
		var picMainList = $$('.upload-evidence-wrap-list');
		
		//创建主列表实例
		evidenceMainList = picMainList.map(function(index, item){
			var evidenceType = $$(item).data('key');
			var picType = $$(item).data('type');
			return new UploadEvidence(evidenceType, [], {
				addSelector: "add" + evidenceType + "Btn",
				operateSelector: "edit" + evidenceType + "Btn",
				uploadEvidenceList: $$('#uploadEvidenceList' + evidenceType),
				limitNum: '20',
				infoData: params.infoData,
				baseBusinessType: '003001',
				picType: picType
			})
		})
		
		// 渲染底部按钮
		$$('#uploadEvidenceBtnBox1').html(buttonTemplate({
			id: 'uploadEvidenceConfirmBtn1',
			value: '提交',
			disabled: false,
		}));
		
		// 完成事件绑定
		$$('#uploadEvidenceConfirmBtn1').on('click', function() {

			//获取必传项
			var mustArr = $$('.upload-must');
			var commitStatus1 = false;
			var commitStatus2 = false;
			for(var i = 0;i < mustArr.length;i++){
				var type = $$(mustArr[i]).data('key');
				console.log($$(mustArr[i]))
				if(type == '111' || type == '112'){
					if(!$$(mustArr[i]).find('img').data('picid')){
						f7.alert('请上传' + $$(mustArr[i]).find('h3').text() + '!');
						commitStatus1 = false;
						break;
					}else{
						commitStatus1 = true;
					}
				}else{
					if($$(mustArr[i]).children().length <= 1){
						f7.alert('请上传' + $$(mustArr[i]).prev().find('.upload-evidence-header-name').text() + '!');
						commitStatus2 = false;
						break;
					}else{
						commitStatus2 = true;
					}
				}
				
			}
			
			if(commitStatus1 == true && commitStatus2 == true){
				commitEvidence();
			}

			function commitEvidence() {
		
				callAppApi({
					url: '/app/credit/audit/infoSubmit',
					apiVersion: '2.0',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						baseBusinessType:"003001",
						auditInfoId: params.infoData.auditInfoId,
//    					auditInfoId: '342342',
						auditInfoStatus: '410'
					},
					successCallback: function(auditInfoRes) {
						
						mainView.router.load({
							url: 'order.html',
							query: {
								orderId: auditInfoRes.baseOrderId,
								fromPage: 'checkInfo'
							}
						});
					},
					errorCallback: function(err) {}
				});
			}

		})
		
	}

	return {
		render: render
	}
});
