define([
	'js/utilities',
	'js/validator',
	'js/config',
	'js/datas',
	'educationContainers/educationChooseGoods/educationChooseGoodsHelper',
	'educationContainers/educationChooseGoods/educationChooseGoodsPad',
	'hbs!educationContainers/educationChooseGoods/educationChooseGoods',
	'hbs!educationComponents/chooseGoods/chooseGoodsList',
	'hbs!educationComponents/chooseGoods/chooseGoodsItem',
	'hbs!educationComponents/chooseGoods/chooseGoodsPrice',
	'hbs!educationComponents/chooseGoods/chooseGoodsProduct',
	'hbs!educationComponents/common/button/button',//底部按钮渲染模板
	'jquery',
], function(
	utilities,
	validator,
	config,
	Datas,
	chooseGoodsHelper,
	chooseGoodsPad,
	chooseGoodsTemplate,
	chooseGoodsListTemplate,
	chooseGoodsItemTemplate,
	chooseGoodsPriceTemplate,
	chooseGoodsProductTemplate,
	buttonTemplate,
	$$
) {
/**
 * @warn 此页面所有$$为jQuery的$$
 */
//	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var getDay = utilities.getDay;
	var getLngAndLat = utilities.getLngAndLat;
	var dictData = Datas.dictData;
	var infoQueryRouter = utilities.infoQueryRouter;
	var moneyStrToFloat = utilities.moneyStrToFloat;
	
	
	// 二维码通用方法组
	var doWithQRCode = chooseGoodsHelper.doWithQRCode;

	// 重置方法组
	var	resetGoodsPrice = chooseGoodsHelper.resetGoodsPrice;//重置价格
	var resetStartTime =chooseGoodsHelper.resetStartTime;	//重置初始时间
	var resetEndTime   = chooseGoodsHelper.resetEndTime; //重置结束时间
	var resetProduct=chooseGoodsHelper.resetProduct;//重置商品
	
	var	resetgoodsProduct = chooseGoodsHelper.resetgoodsProduct;//重置分期产品
	var	resetgoodsSuite = chooseGoodsHelper.resetgoodsSuite;//重置套餐
	var	resetGoodsStageNum = chooseGoodsHelper.resetGoodsStageNum;//重置期数
	var	resetGoodsPay = chooseGoodsHelper.resetGoodsPay;//重置租金总额
	var resetPayInitialPrice = chooseGoodsHelper.resetPayInitialPrice; // 重置线下支付
	var resetProtocolName = chooseGoodsHelper.resetProtocolName;// 重置服务协议名称
	var resetProtocolTime = chooseGoodsHelper.resetProtocolTime;// 重置服务协议签订时间

	var closePicker = chooseGoodsHelper.closePicker;

	var SKIP = config.SKIP;
	  //埋点需求
	  var bindPadChooseGoods = chooseGoodsPad.bindPadChooseGoods;
	  var sendPadChooseGoods = chooseGoodsPad.sendPadChooseGoods;
	// 课程默认数据
	var chooseGoodsData = {
		formId: 'chooseGoodsPriceForm',
		priceInputList: [
			{
				id: 'goods',
				type: 'select',
				visibleStatus: true,
				disabled: true,
				label: '商品名称',
				selectList: [
					{
						default: true,
						value: '',
						view: '请扫码后选择商品',
					}
				]
			},
			{
				id: 'goodsPrice',
				type: 'text',
				visibleStatus: true,
				disabled: true,
				label: '商品价格',
				placeholder: '',
				value: '0元'
			},
			{
				id: 'creditPrice',
				type: 'suffixText',
				visibleStatus: true,
				disabled: true,
				label: '分期金额',
				placeholder: '请输入分期金额',
				value: '',
				suffix: '元'
			}
//			{
//				id: 'goodsStartTime',
//				type: 'text',
//				visibleStatus: true,
//				disabled: true,
//				label: '课程开始时间',
//				placeholder: '请选择',
//				value: ''
//			},
//			{
//				id: 'goodsEndTime',
//				type: 'text',
//				visibleStatus: true,
//				disabled: true,
//				label: '课程结束时间',
//				placeholder: '请选择',
//				value: ''
//			},
			
		]
	}
	var chooseGoodsPriceData = {
			formId: 'chooseGoodsPriceForm',
			priceInputList:[{
				id: 'goodsProduct',
				type: 'select',
				visibleStatus: true,
				disabled: true,
				label: '分期产品',                         
				selectList: [
					{
						value: '',
						view: '请选择分期产品'
					}
				]
			},
			{
				id: 'goodsSuite',
				type: 'select',
				visibleStatus: false,
				disabled: true,
				label: '套餐名称',
				selectList: [
					{
						value: '',
						view: '请选择套餐名称'
					}
				]
			},
			{
				id: 'goodsStageNum',
				type: 'select',
				visibleStatus: true,
				disabled: true,
				label: '期数',
				selectList: [
					{
						value: '',
						view: '请选择期数',
					}
				]
			},
			{
				id: 'leverPrice',
				type: 'text',
				visibleStatus: true,
				disabled: true,
				label: '期初支付',
				placeholder: '',
				value: '0元'
			},
			{
				id: 'payInitialPrice',
				type: 'text',
				visibleStatus: true,
				disabled: true,
				label: '线下支付',
				placeholder: '',
				value: '0元'
			},					
			{
				id: 'selfPayment',
				type: 'text',
				visibleStatus: true,
				disabled: true,
				label: '分期明细',
				placeholder: '',
				value: '',
				extraButton:false,
			},
			
//			{
//				id: 'serviceAgreementNo',
//				type: 'text',
//				visibleStatus: true,
//				disabled: false,
//				label: '服务协议编号',
//				placeholder: '请输入服务协议编号',
//				value: ''
//			}
			{
		    	formId: 'educationChooseGoodsForm',
		    	dataList: [
					{
						id: 'protocolName',
						type: 'select',
						visibleStatus: true,
						disabled: true,
						label: '课程协议名称',
						selectList: [
							{
								value: '',
								view:  '请选择课程协议名称',
							}
						]
					},
					{
						id: 'protocolTime',
						type: 'text',
						visibleStatus: true,
						disabled: true,
						placeholder:  '请选择时间',
						label: '协议签订时间',
						value:  ''
					},
		    	]
		    }
			
			]
	}			
	
	function render(params) {
		var goodsSuitePayFirstPrice = "";			//首付金额
		var goodsSuitePayInitialPrice = "";			//自付金额
		var goodsSuiteStagePrice = "";				//每期金额
		var goodsSuitePoundage = "";				//手续费
		var goodsSuiteServiceCharges = "";			//服务费
		var goodsSuiteLeverPrice = "";				//设备杠杆费用
		var goodsSuiteTotalAmount ="";				//租金总额
		var goodsSuiteStageNumber ="";				//分期期数
		var contractTitle = '';						//课程协议名称
		
		var payInitialPrice = '';					// 线下支付
		var discountAmt = '';						// 贴息金额
		
		
		TalkingData.onPage("选择商品");		
		  $("#chooseGoodsNavbar .placeOrderBackBtn").on('click', function() {
			  TalkingData.onEventWithLabel('选择商品', '返回');
		 });	
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		var userName = params.userName;
		var storeUserId = '';		// 店员id
		var storeUserName = '';		// 店员名称
		var storeId = '';			// 门店id
		var storeName = '';			// 门店名称
		var goodsSellId = '';		// 售品id
		var goodsSellName = '';		// 售品名称
		
		var goodsProductId = '';	// 分期产品id
		var goodsProductName = ''; 	// 分期产品名称

		var goodsPlanStatus = true;	// 套餐是否显示状态
		var goodsPlanId = '';		// 套餐id
		var goodsPlanName = '';		// 套餐名称

		var goodsPeriodKey = '';	// 分期期数id
		var goodsPeriod = '';		// 分期期数
		
		var orderPlanId = '';		// 贴息id
		var interestTimes='';		//利息期数
		var principalTimes="";		//本金期数
		var interestRental='' ;  	//利息期每期租金
		var principalRental='';		//本金期每期租金
		var orderProductPrice=''; //用户手输入价格
		var planAmount = '';			// 套餐金额
		var planReceivableAmount = ''; 	// 套餐应收金额
		var planRechargeAmount = '';	// 套餐充值金额
		
		var supplierId = '';		// 供应商id
		var operatorId = '';		// 运营商id
		
		// 判断套餐是否计算成功的key
		var goodsSuiteKey = false;
		// 存储套餐方案
		var goodsProductArr = [];		
		
		//课程名称
		var courseName='';	
		var goodsBrandId = '';
		
//		var serviceAgreementNo=''; //服务协议编号
//		
		
  // 课程返回值
		  var goodsPriceList = [];
//		  保存课程数据
		  
		  var currentGoodsId = '';			//保存课程ID
		  var currentGoodsPrice = '';		//课程价格
//		  var currentCourseStartTime = '';	//课程开始时间
//		  var currentCourseEndTime = '';	//课程结束时间
		  
		  
		  
		// 渲染navbar
		loadComponent('navbar', 'common', {
			container: '#chooseGoodsNavbar',
			title: '选择商品',
			backClass: 'placeOrderBackBtn',
			isBackIcon: true,
			isBack: false,
			color: '#FFF',
			background: '#f4610b'
		});
		
		// 渲染选择商品主内容
		$$('#chooseGoodsContent').html(chooseGoodsTemplate({}));

		// 渲染头部状态栏
		loadComponent('placeOrderTabbar', 'placeOrder', {
			container: '#chooseGoodsTabbar',
			tabIndex: 1
		});
		
		// 渲染课程列表
		$$('#chooseDomArea').html(chooseGoodsProductTemplate(chooseGoodsData));
		//渲染分期列表
		$$('#choosePriceArea').html(chooseGoodsPriceTemplate(chooseGoodsPriceData));
		
//		$$('#payInitialPrice').attr('placeholder', '');
//		$$('#selfPayment').attr('placeholder', '');
		
		// 渲染底部按钮
		$$('#placeOrderGoodsBtnBox').html(buttonTemplate({
			id : 'placeOrderGoodsBtn',
			value : '下一步',
			disabled : false,
		}));
		bindPadChooseGoods();
		
		var protocolTimeValue=[];
		// 初始化时间组件
		var today = new Date();
		var protocolTimeDate = f7.picker({
			input: '#protocolTime',
			rotateEffect: true,
			toolbarCloseText: '完成',
			value:'',	//[today.getFullYear(), today.getMonth(), today.getDate()]
			onChange: function (picker, values, displayValues) {
		        var daysInMonth = new Date(picker.value[0], picker.value[1]*1 + 1, 0).getDate();
		        if (values[2] > daysInMonth) {
		            picker.cols[3].setValue(daysInMonth);
		        }
		    },
			formatValue: function (p, values, displayValues) {
				var displayYear = values[0];
				var displayMonth = (parseInt(values[1]) + 1) < 10 ? '0' + (parseInt(values[1]) + 1) : (parseInt(values[1]) + 1).toString();
				var displayDay = (parseInt(values[2])) < 10 ? '0' + (parseInt(values[2])) : (parseInt(values[2])).toString();
				return displayYear + '-' + displayMonth + '-' + displayDay;
			},
			cols: [
				// year
				{
					values: (function() {
						var arr = [];
						var curYear = today.getFullYear();
						for (var i = 1950; i <= curYear; i++) { arr.push(i); }
						return arr;
					})()
				},
				{
					divider: true,
					content: '  '
				},
				// month
				{
					values: ('0 1 2 3 4 5 6 7 8 9 10 11').split(' '),
					displayValues: ('01 02 03 04 05 06 07 08 09 10 11 12').split(' '),
				},
				// day
				{
					values: [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31],
				}
			],
		    onOpen: function (picker) {	 
		    	protocolTimeDate.setValue([today.getFullYear(), today.getMonth(),today.getDate()]);
		    }
			
		});
		
		if (protocolTimeValue!=="" && protocolTimeValue.length>0) {
			var protocolTimeYear = protocolTimeValue.split("-")[0];
			var protocolTimeMonth = (parseInt(protocolTimeValue.split("-")[1]) - 1).toString();
			protocolTimeDate.setValue([protocolTimeYear, protocolTimeMonth]);
		}
		
		$$('select').on('click', closePicker(protocolTimeDate));
	
		
		// 为底部按钮绑定事件
		$$('#placeOrderGoodsBtn').off('click').on('click', function() {
			TalkingData.onEventWithLabel('选择商品', '下一页');
			if ($$('#ORCodeInput').val() === '') {
				f7.alert('请扫描店员二维码');
				return false;
			}
			if (validator.isNull($$('#goods').val())) {
				f7.alert('请选择商品');
				return false;
			}
			if (validator.isNull($$('#goodsProduct').val())) {
				f7.alert('请选择分期产品');
				return false;
			}
			// zhh - 20170405 - 20170406版本  - 如果没有套餐，则不判断套餐是否为空
			if (goodsPlanStatus === true && validator.isNull($$('#goodsSuite').val())) {
				f7.alert('请选择套餐名称');
				return false;
			}
			if ($$('#goodsStageNum').val()==='') {//validator.isNull($$('#goodsStageNum').val())  
				f7.alert('请选择期数');
				return false;
			}
//			if (validator.isNull($$('#serviceAgreementNo').val())) {
//				f7.alert('请输入服务协议编号');
//				return false;
//			}
			if ($$('#protocolName').val()==='') {
				f7.alert('请选择协议名称');
				return false;
			}
			if ($$('#protocolTime').val()===''||$$('#protocolTime').val()==='请选择时间') {
				f7.alert('请选择协议签订时间');
				return false;
			}
			// 是否跳过cordova的device.uuid
			var orderDeviceId = '';

			if (!SKIP.cordova_uuid) {
				orderDeviceId = device.uuid;
			}
			
			f7.showIndicator();
		
			var baseParams= {
				orderDeviceId:orderDeviceId,			//手机设备ID
				userId: loginStatus.userId,				//用户ID
				userName: userName,						//用户名称
				baseBusinessType:'003001',				//业务类型	
				storeUserId: storeUserId,				//店员ID
				storeUserName: storeUserName,			//店员名称
				storeId: storeId,						//门店ID
				storeName: storeName,					//门店名称
				supplierId: supplierId,					//供应商ID（以前的）
				operatorId: operatorId,					//运营商ID（以前的）
				goodsSellId: currentGoodsId,			//课程ID
				goodsSellName: courseName,
				goodsPeriodKey: goodsPeriodKey,			//商品KEY
				goodsPeriod: goodsPeriod,				//售品ID	
				goodsProductId: goodsProductId,			// 分期产品id
				goodsProductName: goodsProductName,		// 分期产品名称
				goodsPlanId: goodsPlanId,				// 套餐id
				goodsPlanName: goodsPlanName,			// 套餐名称
				courseName:courseName,							//课程名称
				courseStartDate:"",			//课程开始时间
				courseEndDate:"",				//课程结束时间
				coursePrice:currentGoodsPrice,					//课程价格
//				principalRental:principalRental ,           	//本金期每期租金
//				interestRental:interestRental,					//利息期每期租金
//				principalTimes:principalTimes,					//本金期数
//				interestTimes:interestTimes,					//利息期数
//				goodsSuitePayInitialPrice:goodsSuitePayInitialPrice,	//自付金额
				goodsSuitePayInitialPrice: payInitialPrice,				// 线下支付
				goodsSuitePayFirstPrice:goodsSuitePayFirstPrice,		//首付金额
//				goodsSuiteStagePrice : goodsSuiteStagePrice,			//每期金额
				goodsSuiteStagePrice: goodsSuiteStagePrice,				//分期金额
				goodsSuitePoundage : goodsSuitePoundage,				//手续费
				goodsSuiteServiceCharges:goodsSuiteServiceCharges,		//服务费
				goodsSuiteLeverPrice:goodsSuiteLeverPrice,				//设备杠杆费用
				goodsSuiteStageNumber:goodsSuiteStageNumber,			//分期期数
				goodsSuiteTotalAmount:goodsSuiteTotalAmount	,			//租金总额
				serviceAgreementNo:"",//服务协议编号
				orderPlanId:orderPlanId,// 贴息id
				orderProductPrice:currentGoodsPrice,
				contractTitle: $$('#protocolName').val(),								// 协议名称
				contractSignDate: $$('#protocolTime').val(),								//协议签订时间
				discountAmt: discountAmt
			};
			
			var createOrderStatus = false;
		
			getLngAndLat(function(position) {
				
				baseParams.orderAddressLongitude = position.lng;
				baseParams.orderAddressLatitude = position.lat;
				
				if (createOrderStatus == false) {
					createOrderStatus = true;
					creditActivationFunc();
				}
				
			}, function(error) {
				
				baseParams.orderAddressLongitude = '';
				baseParams.orderAddressLatitude = '';
				
				if (createOrderStatus == false) {
					createOrderStatus = true;
					creditActivationFunc();
				}
				
			});
			
			function creditActivationFunc() {
				callAppApi({
					url: '/app/order/create',
					type: 'POST',
					apiVersion: '2.0',
					params: baseParams,
					hideIndicatorStatus: false,
					successCallback: function(data) {
						sendPadChooseGoods(data.orderId);

//						loadEducationPage('checkFace', {
//		    				query: {
//		    					orderId: data.baseOrderId
//		    				}
//		    			});
						
						infoQueryRouter('003001', {
                            query:{
                                fromPage: 'index',
                                orderId: data.baseOrderId
                            }
                        }, loadEducationPage);
						
						f7.hideIndicator();
					},
					errorCallback: function(err) {}
				});
			}
		});		

		  
		// 店员二维码识别
		$$('#QRcodeBtn').off('click.educationChooseGoods').on('click.educationChooseGoods', function() {
			//重置信息
			resetGoodsPrice();
//			resetStartTime();
//			resetEndTime ();
			resetgoodsProduct();
			resetgoodsSuite();
			resetGoodsStageNum();
			resetGoodsPay();
			resetPayInitialPrice();
			resetProduct();
			resetProtocolName();
			resetProtocolTime();
		
			// 是否跳过二维码扫描
			if (!SKIP.cordova_QRCode) {
				cordova.plugins.HrToolsPlugin.QrCodePlugin(scanCallbackStore, scanQrCodeError);
			} else {
				 scanCallbackStore('*V|M|*666');
//				scanCallbackStore('*V|M|*12');
			}
			
			function scanQrCodeError (error){
			    f7.alertMessage("二维码扫描失败，请重试！");
			};
			function scanCallbackStore(result) {
			    var objectID = doWithQRCode(result, getStoreUserStoreInfo);
			    return objectID;
			};
			
		
		// 通过店员id获取门店信息
		function getStoreUserStoreInfo(objectId) {
			  storeUserId = objectId;
			  // 根据店员id查询门店商品信息
			  callAppApi({
				  url: '/app/storeUserStoreInfo',
				  type: 'POST',
				  params: {
					  storeUserId: objectId,
					  businessType: '003001'
				  },
				  successCallback:getStoreInfoSuccess ,
				  errorCallback: function() {
					  var chooseGoodsTypeList = [{default: false,view: '请选择',value: ''}];
					  $$('#chooseGoodsList').html(chooseGoodsListTemplate(chooseGoodsListData));
				  }
			  });
		}
//		 通过门店获取产品信息
		function getStoreInfoSuccess(data) {
				$$('#ORCodeInput').val(data.storeName);
				storeUserName = data.storeUserName;
				storeId = data.storeId;
				storeName = data.storeName;	
			  // 根据店员id查询门店商品信息
			  callAppApi({
				  url: '/app/order/getGoods',
				  type: 'POST',
				  params: {
					  userId: loginStatus.userId,
					  storeUserId: storeUserId,
					  baseBusinessType:'003001'
				  },
				  successCallback: getGoodsSuccess,
				  errorCallback: function() {}
			  });
		}
	});
		// 获取门店的商品所有类型
		function getGoodsSuccess(data) {							
			
			goodsPriceList = data;						
			chooseGoodsData.priceInputList[0].selectList = data.map(function(item) {
				return {
					default: false,
					view: item.courseName,
					value: item.courseId
				}
			});
			chooseGoodsData.priceInputList[0].selectList.unshift({
					default: true,
					view: '请选择商品',
					value: ''
			});						
			$$('#chooseDomArea').html(chooseGoodsProductTemplate(chooseGoodsData));
			$$('#goods').removeAttr('disabled');
			
			
			$$('#goods').off('change.educationChooseGoods').on('change.educationChooseGoods', function(e) {
				resetGoodsPrice();
				resetStartTime();
				resetEndTime ();
				resetgoodsProduct();
				resetgoodsSuite();
				resetGoodsStageNum();
				resetGoodsPay();
				resetPayInitialPrice();
				resetProtocolName();	// 重置服务协议名称
				resetProtocolTime();	// 重置服务协议签订时间
				
				currentGoodsId = e.target.value;
				
				goodsPriceList.forEach(function(item) {
					if (item.courseId === currentGoodsId) {
						currentGoodsPrice = item.coursePrice;
//						currentCourseStartTime = item.courseStartDate;
//						currentCourseEndTime = item.courseEndDate;
						courseName = item.courseName;
						supplierId=item.supplierId;
						operatorId=item.operatorId;
						contractTitle=item.contractTitle
					}
				})
				
				$$('#goodsPrice').val(currentGoodsPrice + '元');
				$$('#creditPrice').val(currentGoodsPrice);
				goodsSuiteStagePrice = currentGoodsPrice;					// 更新默认分期金额
//				$$('#goodsStartTime').val(currentCourseStartTime)
//				$$('#goodsEndTime').val(currentCourseEndTime)
				if($$("#goods option")[0].selected==false){
					$$('#goodsProduct').removeAttr('disabled');
					getBrandSuccess()	
				}else{
					resetGoodsPrice();
					resetStartTime();
					resetEndTime ();
					resetgoodsProduct();
					resetgoodsSuite();
					resetGoodsStageNum();
					resetGoodsPay();
					resetPayInitialPrice();
					resetProtocolName();	// 重置服务协议名称
					resetProtocolTime();	// 重置服务协议签订时间
				}												
	});		
		}
//成功后选择分期	
//		// 获取分期信息
		function getBrandSuccess() {
			$$('#creditPrice').removeAttr('disabled');
			
			payInitialPrice = (moneyStrToFloat(currentGoodsPrice) - moneyStrToFloat($$('#creditPrice').val())).toString();
			$$('#payInitialPrice').val(payInitialPrice + '元    请联系工作人员现场缴纳');
			
			callAppApi({
				url: '/module/suite/suitePlanList',
				type: 'POST',
				params: {
					userId: loginStatus.userId,
					baseBusinessType: '003001',
					storeId: storeId
				},
				successCallback: getGoodsProductSuccess,
				errorCallback: function(err) {}
			})
			
			$$('#creditPrice').off('blur').on('blur', function() {
				if (!/^[1-9][0-9]*$$/.test($$('#creditPrice').val())) {
					f7.alert('分期金额必须是数字格式');
					$$("#creditPrice").val(currentGoodsPrice);
					resetgoodsSuite();		// 重置套餐名称
					resetGoodsStageNum();	// 重置期数
					resetGoodsPay();		// 重置支付金额
					resetProtocolName();	// 重置服务协议名称
					resetProtocolTime();	// 重置服务协议签订时间
				}
				if (moneyStrToFloat($$('#creditPrice').val()) <= 0) {
					f7.alert('分期金额不能小于0');
					$$("#creditPrice").val(currentGoodsPrice);
					resetgoodsSuite();		// 重置套餐名称
					resetGoodsStageNum();	// 重置期数
					resetGoodsPay();		// 重置支付金额
					resetProtocolName();	// 重置服务协议名称
					resetProtocolTime();	// 重置服务协议签订时间
				}
				if(moneyStrToFloat($$('#creditPrice').val()) > moneyStrToFloat(currentGoodsPrice)){
					f7.alert('分期金额不能大于商品价格');
					$$("#creditPrice").val(currentGoodsPrice);
					resetgoodsSuite();		// 重置套餐名称
					resetGoodsStageNum();	// 重置期数
					resetGoodsPay();		// 重置支付金额
					resetProtocolName();	// 重置服务协议名称
					resetProtocolTime();	// 重置服务协议签订时间
				}
				
				payInitialPrice = (moneyStrToFloat(currentGoodsPrice) - moneyStrToFloat($$('#creditPrice').val())).toString();
				$$('#payInitialPrice').val(payInitialPrice + '元    请联系工作人员现场缴纳');
				goodsSuiteStagePrice = $$('#creditPrice').val().toString();
				
				callAppApi({
					url: '/module/suite/suitePlanList',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						baseBusinessType: '003001',
						storeId: storeId
					},
					successCallback: getGoodsProductSuccess,
					errorCallback: function(err) {}
				})
			})
			
		}	

		// 获取分期产品数据成功
		function getGoodsProductSuccess(data) {
			
			var chooseGoodsProductList = data.map(function(item) {
				return {
					default: false,
					value: item.productId,
					view: item.productName,
					planList: item.planList
				}
			});
			
			chooseGoodsProductList.unshift({
				default: true,
				value: '',
				view: '请选择分期产品',
				planList: []
			});			
			$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: chooseGoodsProductList}));
			$$('#goodsProduct').removeAttr('disabled');
			
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			resetProtocolName();	// 重置服务协议名称
			resetProtocolTime();	// 重置服务协议签订时间
			
			$$('#goodsProduct').off('change.educationChooseGoods').on('change.educationChooseGoods', function(e) {
				
				resetgoodsSuite();		// 重置套餐名称
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
				resetProtocolName();	// 重置服务协议名称
				resetProtocolTime();	// 重置服务协议签订时间
				
				if (e.target.children[0].selected) {
					f7.alert('请选择分期产品');
				} else {

					for (var i = 0; i < e.target.children.length; i++) {
						if (e.target.children[i].selected === true) {
							
							// 根据所选产品的planId是否为空来判断是否显示套餐名称
							if (chooseGoodsProductList[i].planList[0].planId === '') {
								goodsPlanStatus = false;
							} else {
								goodsPlanStatus = true;
							}
							
							goodsProductId = chooseGoodsProductList[i].value;	// 分期产品id
							goodsProductName = chooseGoodsProductList[i].view;	// 分期产品名称
							
							if (goodsPlanStatus === true) {
								
								$('#goodsSuite').parent().removeClass('hide');
								getGoodsPlanSuccess(chooseGoodsProductList[i].planList);
							} else if (goodsPlanStatus === false) {
								
								goodsPlanId = '';
								goodsPlanName = '';
								$('#goodsSuite').parent().addClass('hide');
								getGoodsPeriodSuccess(chooseGoodsProductList[i].planList[0].periodList);
							}
						}
					}
				}
			})
		}
		
		// 分期产品绑定事件
		function getGoodsPlanSuccess(data) {

			var chooseGoodsPlanList = data.map(function(item) {
				return {
					default: false,
					value: item.planId,
					view: item.planName,
					periodList: item.periodList
				}
			});
			
			chooseGoodsPlanList.unshift({
				default: true,
				value: '',
				view: '请选择套餐名称',
				periodList: []
			});

			$$('#goodsSuite').html(chooseGoodsItemTemplate({optionsList: chooseGoodsPlanList}));
			$$('#goodsSuite').removeAttr('disabled');
			
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			resetProtocolName();	// 重置服务协议名称
			resetProtocolTime();	// 重置服务协议签订时间
			
			$$('#goodsSuite').off('change.educationChooseGoods').on('change.educationChooseGoods', function(e) {
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
				resetProtocolName();	// 重置服务协议名称
				resetProtocolTime();	// 重置服务协议签订时间
				
				if (e.target.children[0].selected) {
					f7.alert('请选择套餐名称');
				} else {
					
					for (var i = 0; i < e.target.children.length; i++) {
						if (e.target.children[i].selected === true) {
							goodsPlanId = chooseGoodsPlanList[i].value;		// 套餐id
							goodsPlanName = chooseGoodsPlanList[i].view;		// 套餐名称
							
							getGoodsPeriodSuccess(chooseGoodsPlanList[i].periodList);
						}
					}
 				}
			})
		}
		
		// 获取分期期数成功
		function getGoodsPeriodSuccess(data) {
			
			var chooseGoodsPeriodList = data.map(function(item) {
				return {
					default: false,
					value: item.periodKey,
					view: item.period
				};
			});
			
			chooseGoodsPeriodList.unshift({
				default: true,
				value: '',
				view: '请选择期数'
			})

			$$('#goodsStageNum').html(chooseGoodsItemTemplate({optionsList: chooseGoodsPeriodList}));
			$$('#goodsStageNum').removeAttr('disabled');

			$$('#goodsStageNum').off('change.educationChooseGoods').on('change.educationChooseGoods', function(e) {
				
				resetGoodsPay();		// 重置支付金额
				resetProtocolName();	// 重置服务协议名称
				resetProtocolTime();	// 重置服务协议签订时间
				
				if (e.target.children[0].selected) {
					f7.alert('请选择期数');
				} else {
					
					for (var i = 0; i < e.target.children.length; i++) {
						if (e.target.children[i].selected === true) {
							
							goodsPeriodKey = e.target.children[i].value;
							goodsPeriod = parseInt(e.target.children[i].innerHTML).toString();
						}
					}
					
					callAppApi({
						url: '/module/suite/suitePlanDetail',
						apiVersion: '2.0',
						type: 'POST',
						params: {
								userId: loginStatus.userId,
								orderProductPrice: currentGoodsPrice,
								stagePlanAmt: $$('#creditPrice').val().toString(),
								periodKey: goodsPeriodKey,
								planId: goodsPlanId,
								goodsSellId:currentGoodsId,
								baseBusinessType: '003001'
						},
						successCallback: getSuitePlanDetailSuccess,
						errorCallback: function(err) {}
					});
				}
			});
		}

		// 获取详细分期计划成功回调
		function getSuitePlanDetailSuccess(data) {
			$$('#goods-detials').removeAttr('disabled');
			
			orderPlanId=data.orderPlanId;
			goodsSuiteTotalAmount = data.totalAmount;		//租金总额
			interestRental=data.interestRental;				//利息期每期租金
			principalRental=data.principalRental;			//本金期每期租金
			interestTimes=data.interestTimes				//利息期数
			principalTimes=data.principalTimes				//本金期数
			goodsSuitePayFirstPrice=data.downPayment;		//首付金额
//			goodsSuiteStagePrice=data.stagePrice;			//每期金额
			goodsSuitePoundage=data.handlingCharge;			//手续费	
			goodsSuiteServiceCharges=data.serviceCharge;	//服务费
			goodsSuiteLeverPrice=data.leverPrice;			//设备杠杆费用
//			goodsSuitePayInitialPrice=data.selfPayAmount;	//自付金额				// 这里更新为线下支付
			goodsSuiteStageNumber=data.instalPeriod;		//分期期数
			discountAmt = data.discountAmt;					//贴息金额
			goodPaymentDetail=data.paymentDetail;
			var goodPaymentDetailHtml='';
			goodPaymentDetail.map(function(item,index){
				goodPaymentDetailHtml = goodPaymentDetailHtml +
					'<div class="model-list-item">'+
					'<div class="model-list-number model-list-content">第'+item.periodNo+'期</div>' +
					'<div class="model-list-pay model-list-content">'+item.payAmount+'元</div>' +
				'</div>' 
			})
			
			//设置租金总额
//			$$("#selfPayment").val(data.totalAmount+'元');
			//设置期初自付
			$$("#leverPrice").val(data.leverPrice+'元');
			//设置自付金额
//			$$("#payInitialPrice").val(data.selfPayAmount+'元     请联系工作人员现场缴纳');
			// 设置线下支付
			$$('#payInitialPrice').val(payInitialPrice + '元     请联系工作人员现场缴纳' );
			
			//设置租金分期前后6期
			$$('#rentDetailStart').html(interestRental);
			$$('#rentDetailEnd').html(principalRental);
			//设置期数
			$$("#interestTimes").html(interestTimes);
			$$("#principalTimes").html(principalTimes);
			$$("#goods-detials").off("click").on("click",function(){
				f7.modal({
					title: '分期账单',
					afterText: '<div class="model-block-chooseGoods">'+
										'<div class="model-head">'+
											'<div class="chooseGoodsModalItem" style="width: 100%">' +
												'<span class="key" style="width: 23%">课程详情</span><span class="value" style="width: 75%">' + courseName + ' '+ currentGoodsPrice + '元</span>' +
											'</div>' +
											'<div class="chooseGoodsModalItem">'+
													'<span class="key">期数</span><span class="value">' + goodsSuiteStageNumber + '</span>'+
											'</div>' +
											'<div class="chooseGoodsModalItem">'+
												'<span class="key">还款总额</span><span class="value">' + goodsSuiteTotalAmount + '元</span>'+
										'</div>' +											
											'<div class="chooseGoodsModalItem">'+
													'<span class="key">还款方式</span><span class="value">月还</span>'+
											'</div>' +
											'<div class="chooseGoodsModalItem">'+
													'<span class="key"></span><span class="value"></span>'+
											'</div>' +											
										'</div>' +
										
										'<div class="model-list">'+
											'<div class="model-list-item">'+
												'<div class="model-list-number model-list-content">期数</div>' +
												'<div class="model-list-pay model-list-content">每期还款</div>' +
											'</div>' +goodPaymentDetailHtml+
										'</div>' +
									 '</div>',
					buttons: [
						{
							text: '确认',
						}
					]
				});
				$('.model-block-chooseGoods').parent().parent().css({
					position: 'absolute',
					top: '50%',
					left: '5%',
					display: 'block',
					width: '90%',
					margin: '-210px 5% 0 0'
				});
				$('.chooseGoodsModalItem .value').css({
				    whiteSpace: 'nowrap',
			        overflow: 'hidden',
			        textOverflow: 'ellipsis'
				})
			});
			
			//课程协议名称数据处理
			$$('#protocolName').removeAttr('disabled');
			$$('#protocolTime').removeAttr('disabled');
			var contractTitleList = contractTitle.split('|');
			var contractTitleTempList = contractTitleList.map(function(item) {
				return {
					default: false,
					value: item,
					view: item
				};
			});
			contractTitleTempList.unshift({
				default: true,
				value: '',
				view: '请选择课程协议名称'
			})
			$$('#protocolName').html(chooseGoodsItemTemplate({optionsList: contractTitleTempList}));
			$$('#protocolName').removeAttr('disabled');
			if(contractTitleList.length == 1){
				$$('#protocolName').val(contractTitleList[0]);
			}
		}						
	};
	


	return {
		render : render
	}
});
