define([
	'jquery',
	'js/pad'
], function(
	$$,
	pad
) {
	
	var bindPadInputEvent = pad.bindPadInputEvent;
	var bindPadClickEvent = pad.bindPadClickEvent;
	var sendRecord = pad.sendRecord;
	
	var uploadIDCardDataStr = JSON.stringify([]);
	
	function bindPadUploadIDCard() {

		var uploadIDCardSelectorList = [
         	{
				selector: '#idCardFront',
				type: '',
				bindType: 'click'
			},
			{
				selector: '#idCardBack',
				type: '',
				bindType: 'click'
			},
			{
				selector: '#uploadEvidenceConfirmBtn',
				type: '',
				bindType: 'click'
			}
		];

		uploadIDCardSelectorList.forEach(function(item) {
			if (item.bindType === 'input') {
//				bindPadInputEvent(item.selector, item.type, function(record) {
				bindPadInputEvent({
					tar: item.selector,
					type: item.type,
					baseBusinessType: '002001'
				}, function(record) {
					var uploadIDCardData = JSON.parse(uploadIDCardDataStr);
					uploadIDCardData.push(record);
					uploadIDCardDataStr = JSON.stringify(uploadIDCardData);
				});
				
			} else if (item.bindType === 'click') {
				
//				bindPadClickEvent(item.selector, item.type, function(record) {
				bindPadClickEvent({
					tar: item.selector,
					type: item.type,
					baseBusinessType: '002001'
				}, function(record) {
					var uploadIDCardData = JSON.parse(uploadIDCardDataStr);
					uploadIDCardData.push(record);
					uploadIDCardDataStr = JSON.stringify(uploadIDCardData);
				});
			}
		});
	}
	
	function sendPadUploadIDCard(orderId) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var params = {
			userId: loginStatus.userId,
			orderId: orderId,
			mList: JSON.parse(uploadIDCardDataStr),
		};
		
		sendRecord(params, function(res) {
			uploadIDCardDataStr = JSON.stringify([]);
//			console.log(res);
		}, function(err) {
//			console.log(err);
		});
	}
	
	return {
		bindPadUploadIDCard: bindPadUploadIDCard,
		sendPadUploadIDCard: sendPadUploadIDCard
	}
})
