define([
	'jquery',
	'hbs!employeeBuy/employeeBuyComponents/common/searchbar/searchbar',
	'hbs!employeeBuy/employeeBuyComponents/common/searchbar/searchbarContent'
], function(
	$$,
	searchbarTemplate,
	searchbarContentTemplate
) {
	
	function render(params) {
		$$(params.container).html(searchbarTemplate(params));
		
		$$(params.contentContainer).html(searchbarContentTemplate(params));
		
		if (params.afterRender) {
			params.afterRender();
		}
		
		if (params.notFoundCallback) {
			$$('.notFoundBtn').on('click', params.notFoundCallback);
		}
		
		if (params.conditionStatus == true) {
			if (params.conditionAreaResetCallback) {
				$('#' + params.searchbarKey + 'ConditionAreaResetBtn').on('click', function(e) {
					params.conditionAreaResetCallback(e);
				})
			}
			
			if (params.conditionBrandResetCallback) {
				$('#' + params.searchbarKey + 'ConditionBrandResetBtn').on('click', function(e) {
					params.conditionBrandResetCallback(e);
				})
			}
			
			if (params.conditionConfirmCallback) {
				$('#' + params.searchbarKey + 'ConditionAreaConfirmBtn').on('click', function(e) {
					params.conditionConfirmCallback(e);
				});
				$('#' + params.searchbarKey + 'ConditionBrandConfirmBtn').on('click', function(e) {
					params.conditionConfirmCallback(e);
				});
			}
		}
	}

	return {
		render: render
	}
})