define([
	'js/utilities',
	'employeeBuy/employeeBuyContainers/authenticationSupplement/authenticationSupplementView'
], function(
	utilities,
	authenticationSupplementView
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	
	function init(query) {
		
		if (mainView.activePage.name === 'employeeBuyAuthenticationSupplement') {
			var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
			
			f7.hideToolbar('#toolbar');
			
			callAppApi({
				url: '/app/userInfo',
				type: 'POST',
				params: {
					userId: loginStatus.userId,
					isOldUser: loginStatus.userIsOld,
					oldId: loginStatus.oldId,
					userSession: loginStatus.userSession
				},
				successCallback: function(userInfoRes) {
					authenticationSupplementView.render({
						creditType: query.creditType,
						fromPage: query.fromPage,
						
						// 个人信息回显
						userName: userInfoRes.userName,
						userIdentityCardNumber: userInfoRes.userIdentityCardNumber
					});
				},
				errorCallback: function(err) {}
			});
		}
		

	}
	
	return {
		init: init
	}
})