define([
	'jquery'
], function(
	$$
) {
	
	function getDefaultUserInfo(userInfo) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var localUserInfoStr = localStorage.getItem('employeeBuyUserInfo_' + loginStatus.userId);
		if (typeof localUserInfoStr == 'string' && localUserInfoStr !== '') {
			userInfo = Object.assign(userInfo, JSON.parse(localUserInfoStr));
		}
		
		return userInfo;
	}
	
	function setDefaultUserInfo(userInfo) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		// 存储用户姓名
		$$('#userName').on('blur', function() {
			userInfo.userName = $$(this).val();
			
			
			localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
		});
		
		// 存储用户身份证号
		$$('#userIdentityCardNumber').on('blur', function() {
			userInfo.userIdentityCardNumber = $$(this).val();
			
			localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
		});
		
		// 存储用户银行卡号
		$$('#userBankcard').on('blur', function() {
			userInfo.userBankcard = $$(this).val();

			localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
		});
		
		// 存储用户婚姻状况
		$$('#userMaritalStatus').on('change', function() {
			userInfo.userMaritalStatus = $$(this).val();
			
			localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
		});
		
		// 存储用户最高学历
		$$('#userHighestEducation').on('change', function() {
			userInfo.userHighestEducation = $$(this).val();
			
			localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
		});
		
		// 存储用户居住状况
		$$('#userDwellingCondition').on('change', function() {
			userInfo.userDwellingCondition = $$(this).val();
			
			localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
		});
		
		// 存储用户居住地址
		$$('#userFamilyAddress').on('change', function() {
			if (Array.isArray($$(this).val()) && $$(this).val().length > 0) {
				userInfo.userFamilyAddressProvinceName = $$(this).val().split(' ')[0];
				userInfo.userFamilyAddressCityName = $$(this).val().split(' ')[1];
				userInfo.userFamilyAddressAreaName = $$(this).val().split(' ')[2];
				
				localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
			}
		});
		
		// 存储用户居住详细地址
		$$('#userDwellingDetailAddress').on('blur', function() {
			userInfo.userDwellingDetailAddress = $$(this).val();
			
			localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
		});
		
		// 存储用户单位地址
		$$('#userWorkAddress').on('change', function() {
			if (Array.isArray($$(this).val()) && $$(this).val().length > 0) {
				userInfo.userWorkAddressProvinceName = $$(this).val().split(' ')[0];
				userInfo.userWorkAddressCityName = $$(this).val().split(' ')[1];
				userInfo.userWorkAddressAreaName = $$(this).val().split(' ')[2];
				
				localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
			}
		});
		
		// 存储用户单位详细地址
		$$('#userWorkDetailAddress').on('blur', function() {
			userInfo.userWorkDetailAddress = $$(this).val();
			
			localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
		});
		
		// 紧急联系人姓名
		$$('#firstContactsName').on('blur', function() {
			userInfo.firstContactsName = $$(this).val();
			
			localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
		});
		
		// 紧急联系人关系
		$$('#firstContactsRelation').on('change', function() {
			userInfo.firstContactsRelation = $$(this).val();
			
			localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
		});
		
		// 紧急联系人手机号
		$$('#firstContactsPhone').on('blur', function() {
			userInfo.firstContactsPhone = $$(this).val();
			
			localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
		});
		
		// 是否有工作
		$$('#hasWorkBtn').on('click.help', function() {
			var that = this;
			var hasWorkTime = setTimeout(function() {
				userInfo.hasWorkStatus = $$(that).hasClass('on') ? 'true' : 'false';

				localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
				clearTimeout(hasWorkTime);
			}, 100);
		});
		
		// 单位名称
		$$('#userWorkName').on('blur', function() {
			userInfo.userWorkName = $$(this).val();
			
			localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
		});
		
		// 单位性质
		$$('#userCompanyType').on('change', function() {
			userInfo.userCompanyType = $$(this).val();
			
			localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
		});
		
		// 所属行业
		$$('#userIndustry').on('change', function() {
			userInfo.userIndustry = $$(this).val();
			
			localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
		});
		
		// 区号
		$$('#userWorkPhone1').on('blur', function() {
			userInfo.userWorkPhone1 = $$(this).val();
			
			localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
		});
		
		// 电话号码
		$$('#userWorkPhone2').on('blur', function() {
			userInfo.userWorkPhone2 = $$(this).val();
			
			localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
		});
		
		// 职称职务
		$$('#userWorkDuty').on('change', function() {
			userInfo.userWorkDuty = $$(this).val();
			
			localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
		});
		
		// 月收入
		$$('#userMonthlyIncome').on('change', function() {
			userInfo.userMonthlyIncome = $$(this).val();
			
			localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(userInfo));
		});
		
		// 入职时间
		
		return userInfo;
	}
	
	return {
		getDefaultUserInfo: getDefaultUserInfo,
		setDefaultUserInfo: setDefaultUserInfo
	}
});
