define([
	'jquery',
	'js/utilities',
	'js/validator',
	'js/config',
	'components/common/popup/popupProtocol',
	'employeeBuy/employeeBuyContainers/authenticationSupplement/authenticationSupplementHelp',
	'employeeBuy/employeeBuyContainers/authenticationSupplement/authenticationSupplementTalkingData',
	'hbs!employeeBuy/employeeBuyContainers/authenticationSupplement/authenticationSupplement',
	'hbs!components/common/protocolArea/protocolFrame'
], function(
	$$,
	utilities,
	validator,
	config,
	popupProtocol,
	authenticationSupplementHelp,
	authenticationSupplementTalkingData,
	authenticationSupplementTemplate,
	protocolFrame
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var callWebHtml = utilities.callWebHtml;
 	var getLngAndLat = utilities.getLngAndLat;
 	var getDeviceSimulator = utilities.getDeviceSimulator;
 	
 	var getDefaultUserInfo = authenticationSupplementHelp.getDefaultUserInfo;
 	var setDefaultUserInfo = authenticationSupplementHelp.setDefaultUserInfo;
 	var talkingDataEvent = authenticationSupplementTalkingData.talkingDataEvent;
	var SKIP = config.SKIP;
  	var popupProtocol = popupProtocol.popupProtocol;
  	
    function trimStr(str, is_global) {
  	  var result;
  	  result = str.replace(/(^\s+)|(\s+$)/g, "");
  	  if (is_global.toLowerCase() == 'g') {
  		  result = result.replace(/\s/g, '');
  	  }
  	  return result;
    }

	function render(params) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var userId = loginStatus.userId;
		var creditType = params.creditType;									// 授信类型，005001 - 员工    005002 - 员工家属
//		var personStatus = params.personStatus;								// 授信类型，员工还是员工家属

		var protocolChecked = localStorage.getItem('authProtocolChecked_'+userId);
	    var isNotChecked = protocolChecked == null ? true : false;
		
	    // 判断紧急联系人状态
		var contact1Key = false;
		// 重置通讯录长度及是否获取到权限。
		var contactsLength = '';
		var contactsAuthorization = '';
		var addressList = [];
		
		// 判断员工是否有工作信息key
		var userHasWorkAddress = false;										// 默认 false(没有工作信息)

		// 渲染导航栏
		loadEmployeeBuyComponent('navbar', 'common', {
			container: '#authenticationSupplementNavbar',
			title: '申请额度',
			backId: 'authenticationSupplementBackBtn',
			isBackIcon: true,
			isBack: true,
			iconRightId: 'skipAuthenticationSupplementBtn',
			iconRightStatus: true,
			iconRight:'跳过',
			iconRightClass: 'skipAuthenticationSupplementBtn',
			callback: authenticationSupplementNavbarCallback
		});
		
		function authenticationSupplementNavbarCallback() {
			// 返回事件
			$('#authenticationSupplementBackBtn').on('click', function() {
				if (params.fromPage == 'employeeBuyIndex') {
					loadEmployeeBuyPage('employeeBuyIndex', {
						query:{
							fromPage: 'employeeBuyAuthenticationSupplement'
						}
					});
				} else {
					mainView.router.back({
						url: 'index.html',
						force: true
					});
				}
			})
			
			
			// 跳过事件
			$('#skipAuthenticationSupplementBtn').on('click', function() {
				f7.modal({
					title: '平安租赁',
		  			text:  '跳过后，您将无法购买商品',
		  			buttons: [
		  				{
		  					text: '跳过',
		  					onClick: function(){
		  						TalkingData.onEventWithLabel('05001申请额度页-跳过', '文本资料页');
		  						
								loadEmployeeBuyPage('employeeBuyIndex', {
									query: {
										fromPage: 'authenticationSupplement',
									}
								});
		  					}
		  				},
		  				{
		  					text:'继续填写',
		  					onClick: function(){}
		  				}
		  			]
		  		});
			})
		}
		
		// 渲染额度激活状态栏
		loadEmployeeBuyComponent('placeOrderTabbar', 'placeOrder', {
			container: '#authSupplementTabbar',
			tabIndex: 1
		});
		
		// 信息回显
		var defaultUserInfo = {
			userName: params.userName || '',
			userIdentityCardNumber: params.userIdentityCardNumber || '',
			userBankcard: '',
			userHighestEducation: '',
			userMaritalStatus: '',
			userDwellingCondition: '',
			
			userFamilyAddressProvinceName: '',
			userFamilyAddressCityName: '',
			userFamilyAddressAreaName: '',
			userFamilyAddressProvinceCode: '',
			userFamilyAddressCityCode: '',
			userFamilyAddressAreaCode: '',
			userFamilyAddressCodeArr: [],
			userDwellingDetailAddress: '',
			
			userWorkAddressProvinceName: '',
			userWorkAddressCityName: '',
			userWorkAddressAreaName: '',
			userWorkAddressProvinceCode: '',
			userWorkAddressCityCode: '',
			userWorkAddressAreaCode: '',
			userWorkAddressCodeArr: [],
			userWorkDetailAddress: '',
			
			firstContactsName: '',
			firstContactsRelation: '',
			firstContactsPhone: '',
			
			hasWorkStatus: '',
			
			userWorkName: '',
			userCompanyType: '',
			userIndustry: '',
			userWorkPhone1: '',
			userWorkPhone2: '',
			userWorkDuty: '',
			userMonthlyIncome: '',
			userWorkYears: ''
		};
		
		defaultUserInfo = getDefaultUserInfo(defaultUserInfo);
		
		var defaultUserNameStatus = 'false';
		var defaultUserIdentityCardNumberStatus = 'false';
		if (typeof params.userName == 'string' && params.userName !== '') { defaultUserNameStatus = 'true'; }
		if (typeof params.userIdentityCardNumber == 'string' && params.userIdentityCardNumber !== '') { defaultUserIdentityCardNumberStatus = 'true'; }
		
		// 页面渲染数据
		if (creditType == '005002') {
			//如果是员工家属
			var authenticationSupplementObj = {
				formId: 'authenticationSupplementForm',
				visibleStatus: true,						// 无用属性，删除请修改对应hbs文件
				inputList: [
					{
						type: 'hearder',
						value:'个人信息'
					},       
					{
						type: 'text',
						domId: 'userName',
						name: 'userName',
						label: '姓名',
						visibleStatus: 'true',
						disabledStatus: 'false',
						readonlyStatus: defaultUserNameStatus,
						placeholder: '请输入姓名',
						defaultValue: params.userName || defaultUserInfo.userName
					},
					{
						type: 'text',
						domId: 'userPhoneNumber',
						name: 'userPhoneNumber',
						label: '手机号',
						visibleStatus: 'true',
						disabledStatus: 'false',
						readonlyStatus: 'true',
						placeholder: '请输入手机号',
						defaultValue: loginStatus.userPhoneNumber
					},
					{
						type: 'text',
						domId: 'userIdentityCardNumber',
						name: 'userIdentityCardNumber',
						label: '身份证号',
						visibleStatus: 'true',
						disabledStatus: 'false',
						readonlyStatus: defaultUserIdentityCardNumberStatus,
						placeholder: '请输入身份证号',
						defaultValue: params.userIdentityCardNumber || defaultUserInfo.userIdentityCardNumber
					},
//					{
//						type: 'text',
//						domId: 'userBankcard',
//						name: 'userBankcard',
//						label: '银行卡号',
//						visibleStatus: 'true',
//						disabledStatus: 'false',
//						placeholder: '请优先输入信用卡号',
//						defaultValue: defaultUserInfo.userBankcard
//					},
					{
						type: 'select',
						domId: 'userMaritalStatus',
						name: 'userMaritalStatus',
						label: '婚姻状况',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.userMaritalStatus,
						selectList: [
							{"value":"","view":"请选择"},
							{"value":"已婚","view":"已婚"},
							{"value":"未婚","view":"未婚"},
							{"value":"离异","view":"离异"},
							{"value":"其他","view":"其他"}
						]
					},
					{
						type: 'select',
						domId: 'userHighestEducation',
						name: 'userHighestEducation',
						label: '最高学历',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.userHighestEducation,
						selectList: [
							{"value":"","view":"请选择"},
							{"value":"博士及以上","view":"博士及以上"},
							{"value":"硕士","view":"硕士"},
							{"value":"本科","view":"本科"},
							{"value":"大专","view":"大专"},
							{"value":"高中","view":"高中"},
							{"value":"初中及以下","view":"初中及以下"}
						]
					},
					{
						type: 'select',
						domId: 'userDwellingCondition',
						name: 'userDwellingCondition',
						label: '居住状况',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.userDwellingCondition,
						selectList: [
							{"value":"","view":"请选择"},
							{"value":"自购无按揭","view":"自购无按揭"},
							{"value":"自购有按揭","view":"自购有按揭"},
							{"value":"与亲属合住","view":"与亲属合住"},
							{"value":"租房","view":"租房"},
							{"value":"集体宿舍","view":"集体宿舍"},
							{"value":"其他","view":"其他"}
						]
					},
					{
						type: "location",
						domId: 'userFamilyAddress',
						name: 'userFamilyAddress',
						label: "居住地址",
						visibleStatus: 'true',
						disabledStatus: 'false',
						placeholder: "请选择城市"
					},
					{
						type: 'textArea',
						domId: 'userDwellingDetailAddress',
						name: 'userDwellingDetailAddress',
						label: '详细地址',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.userDwellingDetailAddress,
						placeholder: '请输入您现在的详细居住地址'
					},
					{
						type: 'hearder',
						value:'联系人信息'
					},
					{
						type: 'phone',
						domId: 'firstContactsName',
						name: 'firstContactsName',
						label: '紧急联系人',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.firstContactsName,
						placeholder: '请输入除员工以外的其他联系人',
						option: [{"contactId":"contact1Btn"}]
					},
					{
						type: 'select',
						domId: 'firstContactsRelation',
						name: 'firstContactsRelation',
						label: '关系',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.firstContactsRelation,
						selectList: [
							{"value":"","view":"请输入您与紧急联系人的关系"},
							{"value":"配偶","view":"配偶"},
							{"value":"父母","view":"父母"},
							{"value":"子女","view":"子女"},
							{"value":"亲属","view":"亲属"},
							{"value":"朋友","view":"朋友"},
							{"value":"其他","view":"其他"}
						]
					},
					{
						type: 'text',
						domId: 'firstContactsPhone',
						name: 'firstContactsPhone',
						label: '手机号',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.firstContactsPhone,
						placeholder: '请输入联系人的手机号'
					},
					{
						type: 'padding'
					},
					{
						type: 'toggle',
						id: 'hasWorkBtn',
						label: '是否有工作单位？',
						defaultValue: defaultUserInfo.hasWorkStatus
					},
					{
						type: 'workBox'
					},
					{
						type: 'text',
						domId: 'userWorkName',
						name: 'userWorkName',
						label: '单位名称',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.userWorkName,
						placeholder: '请输入单位名称'
					},
					{
						type: 'location',
						domId: 'userWorkAddress',
						name: 'userWorkAddress',
						label: '单位地址',
						visibleStatus: 'true',
						disabledStatus: 'false',
						placeholder: '请输入单位地址'
					},
					{
						type: 'textArea',
//						domId: 'userWorkDetailAddress',
//						name: 'userWorkDetailAddress',
						domId: 'userWorkFullAddress',
						name: 'userWorkFullAddress',
						label: '详细地址',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.userWorkDetailAddress,
						placeholder: '请输入详细地址'
					},
					{
						type: 'select',
						domId: 'userCompanyType',
						name: 'userCompanyType',
						label: '单位性质',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.userCompanyType,
						selectList: [
							{"value":"","view":"请选择单位性质"},
							{"value":"政府机关/事业单位","view":"政府机关/事业单位"},
							{"value":"上市公司/世界500强/中国500强","view":"上市公司/世界500强/中国500强"},
							{"value":"国有企业","view":"国有企业"},
							{"value":"外商独资企业","view":"外商独资企业"},
							{"value":"中外合资企业","view":"中外合资企业"},
							{"value":"民营/私营企业","view":"民营/私营企业"},
							{"value":"个体","view":"个体"},
							{"value":"其他","view":"其他"}
						]
					},
					{
						type: 'select',
						domId: 'userIndustry',
						name: 'userIndustry',
						label: '所属行业',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.userIndustry,
						selectList: [
							{"value":"","view":"请选择"},
							{"value":"政府机关/公检法/社会团体","view":"政府机关/公检法/社会团体"},
							{"value":"公用事业单位/国有大型垄断企业","view":"公用事业单位/国有大型垄断企业"},
							{"value":"公立/私立院校/科研机构","view":"公立/私立院校/科研机构"},
							{"value":"其他教育培训机构","view":"其他教育培训机构"},
							{"value":"军队/军事机构","view":"军队/军事机构"},
							{"value":"计算机/信息技术/互联网","view":"计算机/信息技术/互联网"},
							{"value":"百货商场/大型连锁卖场","view":"百货商场/大型连锁卖场"},
							{"value":"进出口公司/中小型批发零售业","view":"进出口公司/中小型批发零售业"},
							{"value":"银行/保险/证券/基金","view":"银行/保险/证券/基金"},
							{"value":"其他金融类机构","view":"其他金融类机构"},
							{"value":"房地产开发/建筑工程业","view":"房地产开发/建筑工程业"},
							{"value":"设计装潢/建材","view":"设计装潢/建材"},
							{"value":"房产中介","view":"房产中介"},
							{"value":"专业性事务所","view":"专业性事务所"},
							{"value":"市场推广/广告/咨询服务/小型商业服务业","view":"市场推广/广告/咨询服务/小型商业服务业"},
							{"value":"高级酒店/连锁宾馆/大型中外连锁餐饮","view":"高级酒店/连锁宾馆/大型中外连锁餐饮"},
							{"value":"中小型餐饮/宾馆/旅行社","view":"中小型餐饮/宾馆/旅行社"},
							{"value":"公立医院/医疗机构","view":"公立医院/医疗机构"},
							{"value":"私人诊所/养老院/康复中心","view":"私人诊所/养老院/康复中心"},
							{"value":"大众传媒/体育运动","view":"大众传媒/体育运动"},
							{"value":"加工制造业","view":"加工制造业"},
							{"value":"交通运输/物流","view":"交通运输/物流"},
							{"value":"个体商铺/娱乐休闲","view":"个体商铺/娱乐休闲"},
							{"value":"农、林、蓄、牧、渔业","view":"农、林、蓄、牧、渔业"},
							{"value":"其他","view":"其他"}
						]
					},
					{
						type: 'zoneDescription',
						domId: 'userWorkPhoneNumber',
						name: 'userWorkPhoneNumber',
						label: '单位电话',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.userWorkPhone1 + '-' + defaultUserInfo.userWorkPhone2,
						placeholder: "区号电话",
						selectList: [
							{
								id1: "userWorkPhone1",
								placeholder1: "区号",
								id2: "userWorkPhone2",
								placeholder2: "电话号码"
							}
						]
					},
					{
						type: 'select',
						domId: 'userWorkDuty',
						name: 'userWorkDuty',
						label: '职务职称',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.userWorkDuty,
						selectList: [
							{"value":"","view":"请选择"},
							{"value":"高层管理人员","view":"高层管理人员"},
							{"value":"中层管理人员","view":"中层管理人员"},
							{"value":"基层管理人员","view":"基层管理人员"},
							{"value":"一般正式员工","view":"一般正式员工"},
							{"value":"一线操作工人","view":"一线操作工人"},
							{"value":"销售人员","view":"销售人员"},
							{"value":"个体经营者","view":"个体经营者"},
							{"value":"兼职/临时工、自由职业者","view":"兼职/临时工、自由职业者"}
						]
					},
					{
						type: 'text',
						domId: 'userMonthlyIncome',
						name: 'userMonthlyIncome',
						label: '月收入',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.userMonthlyIncome,
						placeholder: '请输入月收入金额'
						
					},
					{
						type: 'time',
						domId: 'userWorkYears',
						name: 'userWorkYears',
						label: '入职时间',
						placeholder: '请选择'
					},
					{
						type: 'workBoxEnd'
					}
				]
			};
		} else if (creditType == '005001' || creditType == '005003') {
			//如果是员工
			var authenticationSupplementObj = {
				formId: 'authenticationSupplementForm',
				visibleStatus: true,						// 无用属性，删除请修改对应hbs文件
				inputList: [
//					{
//						type: 'text',
//						domId: 'userName',
//						name: 'userName',
//						label: '姓名',
//						visibleStatus: 'true',
//						disabledStatus: 'false',
//						readonlyStatus: defaultUserNameStatus,
//						placeholder: '请输入姓名',
//						defaultValue: params.userName || defaultUserInfo.userName
//					},
//					{
//						type: 'text',
//						domId: 'userPhoneNumber',
//						name: 'userPhoneNumber',
//						label: '手机号',
//						visibleStatus: 'true',
//						disabledStatus: 'false',
//						readonlyStatus: 'true',
//						placeholder: '请输入手机号',
//						defaultValue: loginStatus.userPhoneNumber
//					},
//					{
//						type: 'text',
//						domId: 'userIdentityCardNumber',
//						name: 'userIdentityCardNumber',
//						label: '身份证号',
//						visibleStatus: 'true',
//						disabledStatus: 'false',
//						readonlyStatus: defaultUserIdentityCardNumberStatus,
//						placeholder: '请输入身份证号',
//						defaultValue: params.userIdentityCardNumber || defaultUserInfo.userIdentityCardNumber
//					},
//					{
//						type: 'text',
//						domId: 'userBankcard',
//						name: 'userBankcard',
//						label: '银行卡号',
//						visibleStatus: 'true',
//						disabledStatus: 'false',
//						placeholder: '请优先输入信用卡号',
//						defaultValue: defaultUserInfo.userBankcard
//					},
					{
						type: 'hearder',
						value:'个人信息'
					},
					{
						type: 'select',
						domId: 'userMaritalStatus',
						name: 'userMaritalStatus',
						label: '婚姻状况',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.userMaritalStatus,
						selectList: [
							{"value":"","view":"请选择"},
							{"value":"已婚","view":"已婚"},
							{"value":"未婚","view":"未婚"},
							{"value":"离异","view":"离异"},
							{"value":"其他","view":"其他"}
						]
					},
					{
						type: 'select',
						domId: 'userHighestEducation',
						name: 'userHighestEducation',
						label: '最高学历',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.userHighestEducation,
						selectList: [
							{"value":"","view":"请选择"},
							{"value":"博士及以上","view":"博士及以上"},
							{"value":"硕士","view":"硕士"},
							{"value":"本科","view":"本科"},
							{"value":"大专","view":"大专"},
							{"value":"高中","view":"高中"},
							{"value":"初中及以下","view":"初中及以下"}
						]
					},
//					{
//						type: 'padding'
//					},
					{
						type: 'select',
						domId: 'userDwellingCondition',
						name: 'userDwellingCondition',
						label: '居住状况',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.userDwellingCondition,
						selectList: [
							{"value":"","view":"请选择"},
							{"value":"自购无按揭","view":"自购无按揭"},
							{"value":"自购有按揭","view":"自购有按揭"},
							{"value":"与亲属合住","view":"与亲属合住"},
							{"value":"租房","view":"租房"},
							{"value":"集体宿舍","view":"集体宿舍"},
							{"value":"其他","view":"其他"}
						]
					},
					{
						type: "location",
						domId: 'userFamilyAddress',
						name: 'userFamilyAddress',
						label: "居住地址",
						visibleStatus: 'true',
						disabledStatus: 'false',
						placeholder: "请选择城市"
					},
					{
						type: 'textArea',
						domId: 'userDwellingDetailAddress',
						name: 'userDwellingDetailAddress',
						label: '详细地址',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.userDwellingDetailAddress,
						placeholder: '请输入详细地址',
					},
					{
						type: "location",
						domId: 'userWorkAddress',
						name: 'userWorkAddress',
						label: "单位地址",
						visibleStatus: 'true',
						disabledStatus: 'false',
						placeholder: "请选择城市"
					},
					{
						type: 'textArea',
//						domId: 'userWorkDetailAddress',
//						name: 'userWorkDetailAddress',
						domId: 'userWorkFullAddress',
						name: 'userWorkFullAddress',
						label: '详细地址',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.userWorkDetailAddress,
						placeholder: '请输入详细地址'
					},
					{
						type: 'hearder',
						value:'联系人信息'
					},
					{
						type: 'phone',
						domId: 'firstContactsName',
						name: 'firstContactsName',
						label: '联系人姓名',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.firstContactsName,
						placeholder: '请输入联系人姓名',
						option: [{"contactId":"contact1Btn"}]
					},
					{
						type: 'select',
						domId: 'firstContactsRelation',
						name: 'firstContactsRelation',
						label: '与联系人关系',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.firstContactsRelation,
						selectList: [
							{"value":"","view":"请输入您与紧急联系人的关系"},
							{"value":"配偶","view":"配偶"},
							{"value":"父母","view":"父母"},
							{"value":"子女","view":"子女"},
							{"value":"亲属","view":"亲属"},
							{"value":"朋友","view":"朋友"},
							{"value":"其他","view":"其他"}
						]
					},
					{
						type: 'text',
						domId: 'firstContactsPhone',
						name: 'firstContactsPhone',
						label: '联系人手机号',
						visibleStatus: 'true',
						disabledStatus: 'false',
						defaultValue: defaultUserInfo.firstContactsPhone,
						placeholder: '请输入联系人的手机号'
					},
				]
			};
		}
		// 渲染主页面
		$('#authenticationSupplementContent').html(authenticationSupplementTemplate(authenticationSupplementObj));
		
		// 回显颜色修正
		function correctStyle(defaultUserInfo) {
			// 员工
			if (defaultUserInfo.userMaritalStatus) { $('#userMaritalStatus').css({'color': '#000'}) }
			if (defaultUserInfo.userHighestEducation) { $('#userHighestEducation').css({'color': '#000'}) }
			if (defaultUserInfo.userDwellingCondition) { $('#userDwellingCondition').css({'color': '#000'}) }
			
			// 员工家属
			if (defaultUserInfo.firstContactsRelation) { $('#firstContactsRelation').css({'color': '#000'}) }
			
			// 员工家属可选信息
			if (defaultUserInfo.userCompanyType) { $('#userCompanyType').css({'color': '#000'}) }
			if (defaultUserInfo.userIndustry) { $('#userIndustry').css({'color': '#000'}) }
			if (defaultUserInfo.userWorkDuty) { $('#userWorkDuty').css({'color': '#000'}) }
		}
		correctStyle(defaultUserInfo);
		
		// 存储用户信息
		setDefaultUserInfo(defaultUserInfo);
		
		// 进入页面渲染协议勾选状态
		if (isNotChecked) {
		    $("#check-authorization-book").removeClass('on');
		} else {
		    $("#check-authorization-book").addClass('on');
		}
		
		
		  // 渲染城市选择框
		  var defaultProValueList = [];
		  var defaultProViewList = [];
		  
		  for (var o in PrivinceD) {
			  defaultProValueList.push(o);
			  defaultProViewList.push(PrivinceD[o].name);
		  }
		  
		  var defaultCityValueList = [];
		  var defaultCityViewList = [];
		  
		  for (var p in Areadata['110000']['city']) {
			  defaultCityValueList.push(p);
			  defaultCityViewList.push(Areadata['110000']['city'][p].name);
		  }
		  
		  var defaultAreaValueList = [];
		  var defaultAreaViewList = [];
		  
		  for (var q in Areadata['110000']['city'][defaultCityValueList[0]]['area']) {
			  defaultAreaValueList.push(q);
			  defaultAreaViewList.push(Areadata['110000']['city'][defaultCityValueList[0]]['area'][q]);
		  }

		var userFamilyAddressLocation;
		var userWorkAddressLocation;
		
		function pickerLocation(inputId){
			var thisPickerLocation = f7.picker({
			    input: '#'+inputId,
			    rotateEffect: true,
			    toolbarCloseText: '完成',
			    formatValue: function (picker, values, displayValues) {
		//			  if(values.length === 3 && displayValues.length === 0 && values[2]===' '){
			    	 if(values.length === 2 && displayValues.length === 0){
						  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + '  ';
					  }else if (values.length === 3 && displayValues.length === 0) {
						  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['area'][values[2]];
					  }else {
						  return displayValues[0] + ' ' + displayValues[1] + ' ' + displayValues[2];
					  }
			    },
			    cols: [
			        {
			            textAlign: 'left',
			            values: defaultProValueList,
			            displayValues: defaultProViewList,
			            onChange: function (picker, value, displayValue) {
			            	
			                if(picker.cols[1].replaceValues){
			                	var cityValueArr = [];
			                	var cityViewArr = [];
			                	for (var i in Areadata[value]) {
			                		if (i === 'city') {
			                			for (var j in Areadata[value][i]) {
			                				cityValueArr.push(j);
			                				cityViewArr.push(Areadata[value][i][j].name)
			                			}
			                		}
			                	}
			                	
			            		var areaValueArr = [];
			            		var areaViewArr = [];
			            		if(Areadata[value]['city'][cityValueArr[0]]['area']===null){
			  						  areaValueArr.push(' ');
									  areaViewArr.push(' ');
			            		}else{
			            			for (var k in Areadata[value]['city'][cityValueArr[0]]['area']) {	
				            			areaValueArr.push(k);
				            			areaViewArr.push(Areadata[value]['city'][cityValueArr[0]]['area'][k])
				            		}
			            		}
		    		
			                	picker.cols[1].replaceValues(cityValueArr, cityViewArr);
			                	picker.cols[2].replaceValues(areaValueArr, areaViewArr);
			                }
			            }
			        },
			        {
			            values: defaultCityValueList,
			            displayValues: defaultCityViewList,
			            width: 160,
			            onChange: function(picker, value, displayValue) {
			            	if (picker.cols[2].replaceValues) {
			            		var areaValueArr = [];
			            		var areaViewArr = [];
			            		
			            		var cityDataArr = Areadata[picker.cols[0].value]['city'][value];
			            		  for (var x in cityDataArr) {
			            			  if (x === 'area') {
			            				  if(cityDataArr[x]===null){
		            						  areaValueArr.push(' ');
		            						  areaViewArr.push(' ');
		            					  }else{
		            						  for (var y in cityDataArr[x]) {
				            						  areaValueArr.push(y);
					            					  areaViewArr.push(cityDataArr[x][y]);
			            					  }
			            				  }
			            			  }
			            		  }
			            		picker.cols[2].replaceValues(areaValueArr, areaViewArr);
			            	}
			            }
			        },
			        {
			        	textAlign: 'center',
			        	values:	defaultAreaValueList,
						displayValues: defaultAreaViewList,
			        	width: 160
			        }
			    ],
			    onOpen: function(picker) {
			    	if (inputId == 'userFamilyAddress') {
			    		if (Array.isArray(defaultUserInfo.userFamilyAddressCodeArr) && defaultUserInfo.userFamilyAddressCodeArr.length > 0) {
			    			picker.setValue(defaultUserInfo.userFamilyAddressCodeArr);
			    		}
			    	} else if (inputId == 'userWorkAddress') {
			    		if (Array.isArray(defaultUserInfo.userWorkAddressCodeArr) && defaultUserInfo.userWorkAddressCodeArr.length > 0) {
			    			picker.setValue(defaultUserInfo.userWorkAddressCodeArr);
			    		}
			    	}
			    },
			    onClose: function(picker) {
			    	if (inputId == 'userFamilyAddress') {
			    		defaultUserInfo.userFamilyAddressProvinceCode = picker.value[0];
			    		defaultUserInfo.userFamilyAddressCityCode = picker.value[1];
			    		defaultUserInfo.userFamilyAddressAreaCode = picker.value[2];
			    		defaultUserInfo.userFamilyAddressCodeArr = picker.value;								// 家庭住址code数组
			    		
			    		localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(defaultUserInfo));
			    		
						if (creditType == '005001' || creditType == '005003') {
							TalkingData.onEventWithLabel('05009申请额度页-居住地址选择', '员工');
						} else if (creditType == '005002') {
							TalkingData.onEventWithLabel('05009申请额度页-居住地址选择', '员工亲属');
						}
			    		
			    	} else if (inputId == 'userWorkAddress') {
			    		defaultUserInfo.userWorkAddressProvinceCode = picker.value[0];
			    		defaultUserInfo.userWorkAddressCityCode = picker.value[1];
			    		defaultUserInfo.userWorkAddressAreaCode = picker.value[2];
			    		defaultUserInfo.userWorkAddressCodeArr = picker.value;								// 工作地址code数组
			    		
			    		localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(defaultUserInfo));
			    	
						if (creditType == '005001' || creditType == '005003') {
							TalkingData.onEventWithLabel('05011申请额度页-员工-单位地址选择', '员工');
						} else if (creditType == '005002') {
							
						}
			    	}
			    }
			});
			
			inputId == 'userFamilyAddress' && (userFamilyAddressLocation = thisPickerLocation);
			inputId == 'userWorkAddress' && (userWorkAddressLocation = thisPickerLocation);
		}
		
		pickerLocation("userFamilyAddress");
		pickerLocation("userWorkAddress");
		
		// 回显家庭地址信息
		if (Array.isArray(defaultUserInfo.userFamilyAddressCodeArr) && defaultUserInfo.userFamilyAddressCodeArr.length > 0) {
			userFamilyAddressLocation.setValue(defaultUserInfo.userFamilyAddressCodeArr);
		}
		// 回显工作地址信息
		if (Array.isArray(defaultUserInfo.userWorkAddressCodeArr) && defaultUserInfo.userWorkAddressCodeArr.length > 0) {
			userWorkAddressLocation.setValue(defaultUserInfo.userWorkAddressCodeArr);
		}
		
		// 获取通讯录
		$('#contact1Btn').on('click', function() {
			importContact('firstContactsName', 'firstContactsPhone');
		});
		
		// 回显工作地址信息
		if (defaultUserInfo.hasWorkStatus == 'true') {
			$(".workBox").show();
			userHasWorkAddress = true;
		}
		
		// 点击工作单位
		$(".toggle-box").on('click', function(){
			if($(this).hasClass("on")){
				$(this).removeClass("on");
				$(".workBox").hide();
				userHasWorkAddress = false;
			}else{
				$(this).addClass("on");
				$(".workBox").show();
				userHasWorkAddress = true;
			}
		});
		
		// 入职时间初始化
		var today = new Date();
		var workYearPickerDate = f7.picker({
			input: '#userWorkYears',
			rotateEffect: true,
			toolbarCloseText: '完成',
			value:'',//[today.getFullYear(), today.getMonth()]
			formatValue: function (p, values, displayValues) {
				var displayYear = values[0];
				var displayMonth = (parseInt(values[1]) + 1) < 10 ? '0' + (parseInt(values[1]) + 1) : (parseInt(values[1]) + 1).toString();
				
				return displayYear + '-' + displayMonth;
			},
			cols: [
				// year
				{
					values: (function() {
						var arr = [];
						var curYear = today.getFullYear();
						for (var i = 1950; i <= curYear; i++) { arr.push(i); }
						return arr;
					})()
				},
				{
					divider: true,
					content: '  '
				},
				{
					values: ('0 1 2 3 4 5 6 7 8 9 10 11').split(' '),
					displayValues: ('01 02 03 04 05 06 07 08 09 10 11 12').split(' '),
				}
			],
		    onOpen: function (picker) {	 
		    	workYearPickerDate.setValue([today.getFullYear(), today.getMonth()]);
		    },
		    onClose: function(picker) {
		    	defaultUserInfo.userWorkYears = picker.value;
		    	
		    	localStorage.setItem('employeeBuyUserInfo_' + loginStatus.userId, JSON.stringify(defaultUserInfo));
		    }
		});
		
		if (Array.isArray(defaultUserInfo.userWorkYears) && defaultUserInfo.userWorkYears.length > 0) {
			workYearPickerDate.setValue(defaultUserInfo.userWorkYears);
		}
		
		// 验证联系人
		$('#firstContactsName').on('blur', function() {
			checkContact($('#firstContactsName').val(), $('#firstContactsPhone').val(), $('#firstContactsRelation').val(), '#firstContactsPhone');
		});
		$('#firstContactsPhone').on('blur', function() {
			if (validator.isNull($('#firstContactsPhone').val())) { f7.alert('常用联系人手机号不为空'); return false; }
			if (!validator.checkTel($('#firstContactsPhone').val())) { f7.alert('您填写的是一个无效常用联系人手机号码'); $('#firstContactsPhone').val(''); return false; }
			if ($('#firstContactsPhone').val() === loginStatus.accountName) { f7.alert('常用联系人手机号码不能是本人手机号码'); return false; }
			checkContact($('#firstContactsName').val(), $('#firstContactsPhone').val(), $('#firstContactsRelation').val(), '#firstContactsPhone');
		});
		$('#firstContactsRelation').on('blur', function() {
			checkContact($('#firstContactsName').val(), $('#firstContactsPhone').val(), $('#firstContactsRelation').val(), '#firstContactsPhone');
		});
		
		
		// 点击勾选征信授权书
		$("#check-authorization-book").on('click',function(){
			if($(this).hasClass("on")){
				$(this).removeClass("on");
			}else{
				$(this).addClass("on");
				if (isNotChecked) {
				    popupProtocol();
	                isNotChecked = false;
	                localStorage.setItem('authProtocolChecked_' + userId, JSON.stringify(isNotChecked));
				}

			}
		});

		$('#read-authorization-book').on('click', function() {
        	callWebHtml({
        		url: '/agreement/agrTemplateCredit',
        		type: 'POST',
        		params: {
        			baseBusinessType:'005001',
        			templateId:'2',
					userId: loginStatus.userId,
					orderId:'',
					userIdCard: $('#userIdentityCardNumber').val(),
//					userName: $('#userName').val(),
					userName:params.userName || $('#userName').val(),
					userPhoneNumber: loginStatus.userPhoneNumber
        		},
        		successCallback: function(response) {
					$('#employeeBuyPopupAuth').html(protocolFrame({
						protocolId: "employeeBuyAgreementCreditAuthorization",
						protocolName: "《公民个人信息授权书》",
						protocolWidth: $('body').width(),
						protocolHeight: $('body').height() - 56
					}));
//					$$("#employeeBuyAgreementCreditAuthorization").contents().find("html").html(response);
					$$("#employeeBuyAgreementCreditAuthorization").contents().find("html")[0].innerHTML = response;
					f7.popup('#employeeBuyPopupAuth');
        		},
        		errorCallback: function(err) {}
        	});		
		});
		

		// 下一步 点击事件
		$('#authenticationSupplementNextStepBtn').on('click', function() {
//			var userWorkFullAddress = $('#userWorkDetailAddress').val();									// 工作地址
			
			var contactsList = [];																			// 紧急联系人列表

			var contactsInfoData = f7.formToJSON('#authenticationSupplementForm');
			
			
			contactsInfoData.creditType = creditType;
			contactsInfoData.userFamilyAddressCode = userFamilyAddressLocation.value;
			contactsInfoData.userWorkAddressCode = userWorkAddressLocation.value;
			
			contactsInfoData.userHasWorkAddress = userHasWorkAddress;
			
			contactsInfoData.userWorkAddressProvinceName = '';
			contactsInfoData.userWorkAddressCityName = '';
			contactsInfoData.userWorkAddressAreaName = '';
			contactsInfoData.userWorkAddressProvinceCode = '';
			contactsInfoData.userWorkAddressCityCode = '';
			contactsInfoData.userWorkAddressAreaCode = '';
			

			
//			if (validator.isNull($('#userName').val())){ f7.alert('请填写姓名'); return false; }
//			if (validator.isNull($('#userIdentityCardNumber').val())){ f7.alert('请填写身份证号码'); return false; }
//			if (!validator.checkPersonId($('#userIdentityCardNumber').val())){ f7.alert('您的姓名或身份证号有误，请检查并修改'); return false; }
//			if (validator.isNull($('#userBankcard').val())) { f7.alert('请填写银行卡号'); return false; }
//			if (!validator.checkBankNo($('#userBankcard').val())) { f7.alert('请确认您本人的银行卡号填写正确'); return false; }
			if ($('#userHighestEducation').val() === 'selected' || $('#userHighestEducation').val() === null||validator.isNull($('#userHighestEducation').val())) { f7.alert('请选择最高学历'); return false; }
			if ($('#userMaritalStatus').val() === 'selected' ||$('#userMaritalStatus').val()==null || validator.isNull($('#userMaritalStatus').val())) { f7.alert('请选择婚姻状况'); return false; }
			if ($('#userDwellingCondition').val() === 'selected' ||$('#userDwellingCondition').val()==null || validator.isNull($('#userDwellingCondition').val())) { f7.alert('请选择居住状况'); return false; }
			if (validator.isNull($('#userFamilyAddress').val())) { f7.alert('请选择居住地址'); return false; }
			if (validator.isNull($('#userDwellingDetailAddress').val())) { f7.alert('请填写详细地址'); return false; }
			
//			if (personStatus == 'employeeCertification'){
			if (creditType == '005001'  || creditType == '005003') {
				if (validator.isNull($('#userWorkAddress').val())) { f7.alert('请选择单位地址'); return false; }
				if (validator.isNull($('#userWorkFullAddress').val())) { f7.alert('请填写单位详细地址'); return false; }
				if (validator.isNull($('#firstContactsName').val())) { f7.alert('请填写紧急联系人'); return false; }
				if (validator.isNull($('#firstContactsRelation').val())) { f7.alert('请填写紧急联系人关系'); return false; }
				if (validator.isNull($('#firstContactsPhone').val())) { f7.alert('请填写紧急联系人手机号'); return false; }
				if (!validator.checkTel($('#firstContactsPhone').val())) { f7.alert('请正确的填写紧急联系人手机号'); return false; }
				
				contactsList = [
					{
						userId: loginStatus.userId,
						contactsName: $('#firstContactsName').val(),
						contactsPhoneNumber: $('#firstContactsPhone').val(),
						contactsUserRelation: $('#firstContactsRelation').val(),
						contactsIdentityCardNumber: '',	 	// 预留字段
						contactsAddress: ''					// 预留字段
					}
				]
				
				contactsInfoData.userWorkAddressProvinceName = contactsInfoData.userWorkAddress.split(' ')[0];
				contactsInfoData.userWorkAddressCityName = contactsInfoData.userWorkAddress.split(' ')[1];
				contactsInfoData.userWorkAddressAreaName = contactsInfoData.userWorkAddress.split(' ')[2];
				contactsInfoData.userWorkAddressProvinceCode = contactsInfoData.userWorkAddressCode[0];
				contactsInfoData.userWorkAddressCityCode = contactsInfoData.userWorkAddressCode[1];
				contactsInfoData.userWorkAddressAreaCode = contactsInfoData.userWorkAddressCode[2];
				
				contactsInfoData.userWorkName = '';
				contactsInfoData.userCompanyType = '';
				contactsInfoData.userIndustry = '';
				contactsInfoData.userWorkPhone = '';
				contactsInfoData.userDuty = '';
				contactsInfoData.userMonthlyIncome = '';
				contactsInfoData.userWorkDuty = '';
				contactsInfoData.userWorkYears = '';
				
				TalkingData.onEventWithLabel('05002申请额度页-下一步', '员工');
			} else if (creditType == '005002') {
				if (validator.isNull($('#userName').val())){ f7.alert('请填写姓名'); return false; }
				if (validator.isNull($('#userIdentityCardNumber').val())){ f7.alert('请填写身份证号码'); return false; }
				if (!validator.checkPersonId($('#userIdentityCardNumber').val())){ f7.alert('您的姓名或身份证号有误，请检查并修改'); return false; }
				if (validator.isNull($('#firstContactsName').val())) { f7.alert('请填写紧急联系人'); return false; }
				if (validator.isNull($('#firstContactsRelation').val())) { f7.alert('请填写紧急联系人关系'); return false; }
				if (validator.isNull($('#firstContactsPhone').val())) { f7.alert('请填写紧急联系人手机号'); return false; }
				if (!validator.checkTel($('#firstContactsPhone').val())) { f7.alert('请正确的填写紧急联系人手机号'); return false; }
				
				contactsList = [
					{
						userId: loginStatus.userId,
						contactsName: $('#firstContactsName').val(),
						contactsPhoneNumber: $('#firstContactsPhone').val(),
						contactsUserRelation: $('#firstContactsRelation').val(),
						contactsIdentityCardNumber: '',	 	// 预留字段
						contactsAddress: ''					// 预留字段
					}
				]
				
				if (userHasWorkAddress == true) {
//					if (validator.isNull($('#userWorkName').val())) { f7.alert('请填写单位名称'); return false; }
//					if (validator.isNull($('#userWorkAddress').val())) { f7.alert('请选择单位地址'); return false; }
					
					if (!validator.isNull($('#userWorkAddress').val())) {
						contactsInfoData.userWorkAddressProvinceName = contactsInfoData.userWorkAddress.split(' ')[0];
						contactsInfoData.userWorkAddressCityName = contactsInfoData.userWorkAddress.split(' ')[1];
						contactsInfoData.userWorkAddressAreaName = contactsInfoData.userWorkAddress.split(' ')[2];
						contactsInfoData.userWorkAddressProvinceCode = contactsInfoData.userWorkAddressCode[0];
						contactsInfoData.userWorkAddressCityCode = contactsInfoData.userWorkAddressCode[1];
						contactsInfoData.userWorkAddressAreaCode = contactsInfoData.userWorkAddressCode[2];
					} else {
						contactsInfoData.userWorkAddressProvinceName = '';
						contactsInfoData.userWorkAddressCityName = '';
						contactsInfoData.userWorkAddressAreaName = '';
						contactsInfoData.userWorkAddressProvinceCode = '';
						contactsInfoData.userWorkAddressCityCode = '';
						contactsInfoData.userWorkAddressAreaCode = '';
					}
//					if (validator.isNull($('#userWorkDetailAddress').val())) { f7.alert('请填写单位详细地址'); return false; }
//					if (validator.isNull($('#userWorkFullAddress').val())) {
//						contactsInfoData.userWorkFullAddress = '';
//					}
//					if (validator.isNull($('#userCompanyType').val())) { f7.alert('请选择单位性质'); return false; }
//					if (validator.isNull($('#userIndustry').val())) { f7.alert('请选择所属行业'); return false; }
//					if(!/^[0-9]{3,4}$/.test($("#userWorkPhone1").val())) { f7.alert('请填写正确的区号'); return false; }
//					if (!/^[0-9]+$/.test($("#userWorkPhone2").val())) { f7.alert('请填写正确的单位电话'); return false; }
					
					if (/^[0-9]{3,4}$/.test($("#userWorkPhone1").val()) && /^[0-9]+$/.test($("#userWorkPhone2").val())) {
						contactsInfoData.userWorkPhone = $("#userWorkPhone1").val() + '-' + $("#userWorkPhone2").val();
					} else {
						contactsInfoData.userWorkPhone = '';
					}

//					if (validator.isNull($('#userWorkDuty').val())) { f7.alert('请选择职称职务'); return false; }
//					if (validator.isNull($('#userMonthlyIncome').val())){ f7.alert('请填写月收入'); return false; }
//					if (validator.isNull($('#userWorkDuty').val())) { f7.alert('请选择职称职务'); return false; }
					if (validator.isNull($('#userWorkDuty').val())) {
						contactsInfoData.userDuty = '';
					}
//					if (validator.isNull($('#userWorkYears').val())) { f7.alert('请选择工作年限'); return false; }
				} else {
					contactsInfoData.userWorkName = '';
					
					contactsInfoData.userWorkAddressProvinceName = '';
					contactsInfoData.userWorkAddressCityName = '';
					contactsInfoData.userWorkAddressAreaName = '';
					contactsInfoData.userWorkAddressProvinceCode = '';
					contactsInfoData.userWorkAddressCityCode = '';
					contactsInfoData.userWorkAddressAreaCode = '';
					
					contactsInfoData.userWorkFullAddress = '';
					
					contactsInfoData.userCompanyType = '';
					contactsInfoData.userIndustry = '';
					contactsInfoData.userWorkPhone = '';
					contactsInfoData.userDuty = '';
					contactsInfoData.userMonthlyIncome = '';
					contactsInfoData.userWorkDuty = '';
					contactsInfoData.userWorkYears = '';
				}
				
				TalkingData.onEventWithLabel('05002申请额度页-下一步', '员工亲属');
			}
			if (!$('#check-authorization-book').hasClass('on')) { f7.alertMessage('请同意公民个人信息授权书'); return false; }
			
			// localStorage.setItem('contactsInfoData' + '_' + userId, JSON.stringify(contactsInfoData));
			
			// 判断是否授权通讯录
			// 是否跳过申请通讯录权限
			if (!SKIP.cordova_contacts) {
				cordova.plugins.diagnostic.isContactsAuthorized(function(res) {
	              if(res == '-1'){
	              	     f7.modal({
 						 text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
 						 buttons: [{
 							 text: '确定',
 							 onClick: function() {
 								 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
 							 }
 						 }]
 					 });

	              }else if(res == '0'){
                      navigator.contacts.requestAuth(function(msg) {
        				  contactsAuthorization = '1';

        				  // 获取通讯录数据
        				  navigator.contacts.contactsList(function(list) {

        					  if (Array.isArray(list)) {
        						  contactsLength = list.length.toString();
        					  } else {
        						  contactsLength = '0';
        					  }

        					  addressList = list;
        					  
        					  openConfirm();
        				  }, function(err){
        					  if (err === '-2' && getDeviceType() === 'ANDROID') {
    							 f7.modal({
    								 text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
    								 buttons: [{
    									 text: '确定',
    									 onClick: function() {
    										 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
    									 }
    								 }]
    							 });
    						 } else {
		                         f7.alert('访问通讯录好友失败，请检查是否开启通讯录权限');
		                     } 
        				  });

        			  }, function(msg) {

//        				 if (msg === '-1') {
//        					 f7.modal({
//        						 text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
//        						 buttons: [{
//        							 text: '确定',
//        							 onClick: function() {
//        								 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
//        							 }
//        						 }]
//        					 });
//        				 } else 
        				 if (msg === '-2') {
        					 f7.modal({
        						 text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
        						 buttons: [{
        							 text: '确定',
        							 onClick: function() {
        								 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
        							 }
        						 }]
        					 });
        				 }

        				  contactsAuthorization = '0';
        			  });
		          }else if(res == '1'){
                	  contactsAuthorization = '1';

    				  // 获取通讯录数据
    				  navigator.contacts.contactsList(function(list) {

    					  if (Array.isArray(list)) {
    						  contactsLength = list.length.toString();
    					  } else {
    						  contactsLength = '0';
    					  }

    					  addressList = list;
    					  
    					  openConfirm();
    				  },function(err) {
    					  if (err === '-2' && getDeviceType() === 'ANDROID') {
    						  f7.modal({
	    						 text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
	    						 buttons: [{
	    							 text: '确定',
	    							 onClick: function() {
	    								 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
	    							 }
	    						 }]
	    					 });
    					  } else {
	                          f7.alert('访问通讯录好友失败，请检查是否开启通讯录权限');
	                      }
    				  });
		          }
				}, function(err) {
					 f7.modal({
						 text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
						 buttons: [{
							 text: '确定',
							 onClick: function() {
								 cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
							 }
						 }]
					 });
				});
			} else {
				openConfirm();
			}
			
			function openConfirm() {
				// 是否跳过cordova的device.uuid
				var deviceId = '';
				if (!SKIP.cordova_uuid) {
					deviceId = device.uuid;
				}
				
				var deviceIsSim = getDeviceSimulator();
//				// 是否跳过cordova的device.isVirtual
//				var deviceIsSim = 'false';
//				if (!SKIP.cordova_isVirtual) {
//					deviceIsSim = device.isVirtual;
//				}
				
				var baseParams = {
					// 基本信息
					baseBusinessType: '005001',															// 通用字段 - 业务类型
//					baseUserId: userId,																	// 通用字段 - 用户id	- 确认不传
//					baseOrderId: '',																	// 通用字段 - 订单id  - 确认不传
					
					// 风控额度激活类型
					creditType: creditType,																// 授信类型 - 005001 员工  005002 员工家属
					
					// 员工基本信息
					userId: userId,																		// 用户id
					userName: contactsInfoData.userName || params.userName,								// 用户姓名
					userIdentityCardNumber: contactsInfoData.userIdentityCardNumber || params.userIdentityCardNumber,					// 身份证号码
					userPhoneNumber: loginStatus.userPhoneNumber ,										// 用户手机号
//					userBankcard: contactsInfoData.userBankcard,										// 银行卡号
					userHighestEducation: contactsInfoData.userHighestEducation,						// 最高学历
					userMaterialStatus: contactsInfoData.userMaritalStatus,								// 婚姻状况
					userDwellingCondition: contactsInfoData.userDwellingCondition,						// 居住状况
					
					userProvinceName: contactsInfoData.userFamilyAddress.split(' ')[0],					// 居住地址省
					userCityName: contactsInfoData.userFamilyAddress.split(' ')[1],						// 居住地址市
					userAreaName: contactsInfoData.userFamilyAddress.split(' ')[2],						// 居住地址区
					userProvinceCode: contactsInfoData.userFamilyAddressCode[0],						// 省 code
					userCityCode: contactsInfoData.userFamilyAddressCode[1],							// 市 code
					userAreaCode: contactsInfoData.userFamilyAddressCode[2],							// 区 code
					userDwellingAddress: contactsInfoData.userDwellingDetailAddress,					// 居住地址详细地址
					
					userWorkAddressProvinceName: contactsInfoData.userWorkAddressProvinceName,			// 工作地址省
					userWorkAddressCityName: contactsInfoData.userWorkAddressCityName,					// 工作地址市
					userWorkAddressAreaName: contactsInfoData.userWorkAddressAreaName,					// 工作地址区
					userWorkAddressProvinceCode: contactsInfoData.userWorkAddressProvinceCode,			// 省 code
					userWorkAddressCityCode: contactsInfoData.userWorkAddressCityCode,					// 市 code
					userWorkAddressAreaCode: contactsInfoData.userWorkAddressAreaCode,					// 区 code
					userWorkFullAddress: contactsInfoData.userWorkFullAddress,							// 工作地址详细地址
					
					// 员工家属补充信息
					userHasWorkAddress: userHasWorkAddress,												// 员工家属是否有工作信息判断key - 暂时不传
					
					userCompanyName: contactsInfoData.userWorkName,										// 单位名称
					userCompanyType: contactsInfoData.userCompanyType,									// 单位性质
					userIndustry: contactsInfoData.userIndustry,										// 所属行业
					userWorkPhone: contactsInfoData.userWorkPhone,										// 单位电话
					userMonthlyIncome: contactsInfoData.userMonthlyIncome,								// 月收入
					userWorkYears: contactsInfoData.userWorkYears,										// 入职时间
					userDuty: contactsInfoData.userDuty,												// 职务职称
					
					contactsList: contactsList,															// 紧急联系人列表
					deviceSimulator: deviceIsSim,														// 是否模拟器
					deviceId: deviceId,																	// 设备id
					contactsAuthorization: contactsAuthorization,										// 通讯录权限
					contactsLength: contactsLength,														// 通讯录联系人数量
					addressList: addressList															// 通讯录联系人列表
				};
				
				f7.modal({
					title: '平安租赁',
		  			text:  '信息提交后将不可修改，请确认是您本人的信息',
		  			buttons: [
		  				{
		  					text: '返回修改',
		  					onClick: function(){

		  					}
		  				},
		  				{
		  					text:'确认',
		  					onClick: function(){
		  						//获取经纬度
		  						var creditSaveBaseInfoStatus = false;
		  						getLngAndLat(function(position) {
		  							baseParams.creditLongitude = position.lng;
		  							baseParams.creditLatitude = position.lat;
		  							
		  							if (creditSaveBaseInfoStatus == false) {
		  								creditSaveBaseInfoStatus = true;
		  								creditActivationFunc();
		  							}
		  							
		  						}, function(error) {
		  							baseParams.creditLongitude = '';
		  							baseParams.creditLatitude = '';
		  							
		  							if (creditSaveBaseInfoStatus == false) {
		  								creditSaveBaseInfoStatus = true;
		  								creditActivationFunc();
		  							}
		  						});
		  					
		  					
		  					 //发送请求
		  						function creditActivationFunc() {
		  							callAppApi({
		  								url: '/app/credit/ebuy/activation',
		  								type: 'POST',
		  								apiVersion:'1.1',
		  								params: baseParams,
		  								successCallback: function(response) {
		  									
		  									if(response.userIsCredit==true){
		  										loadEmployeeBuyPage('uploadIdCard', {
		  											  query: {
		  												  fromPage: 'authenticationSupplement',
//		  												  personStatus: personStatus
		  												  creditType: creditType
		  											  }
		  										 });
		  					
		  									}else if(response.userIsCredit==false){
		  										console.log(response);
		  									}
		  								},
		  								errorCallback: function(msg) {
		  									
	  							        	var timeout = setTimeout(function() {
	  							        		loadEmployeeBuyPage('employeeBuyIndex', {});
	  							        		
	  							        		clearTimeout(timeout);
	  							        	}, 3500);
		  								}
		  							});
		  						}
		  					}
		  				}
		  			]
		  		});
			}

		});
		
		

		function checkContact(name, phone, relation, selectKey) {
			if (validator.isNull(name)) { return false; }
			if (!validator.checkTel(phone)) { return false; }
			if (validator.isNull(relation)) { return false; }

			var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
			// 检查紧急联系人
			callAppApi({
				url: '/app/checkContacts',
				type: 'POST',
				accountId: loginStatus.accountName,
				sessionToken: loginStatus.userSession,
				params: {
					userId: loginStatus.userId,
					contactsPhoneNumber: phone
				},
				successCallback: function(data) {					
					contact1Key = true;
				},
				errorCallback: function(data) {
					contact1Key = false;
					$(selectKey).val('');
				}
			});
		}

	  	function getContactName(c) {
			var name = c.displayName;
			if (!name || name === '') {
			  if (c.name.formatted) {
				  return c.name.formatted;
			  }
			  if (c.name.givenName && c.name.familyName) {
				  return c.name.givenName + ' ' + c.name.familyName;
			  }
			  return 'Nameless';
			}
			return name;
		}
	  	
	  	

	  	function importContact (name, phone) {
	  	    try {
	  	        cordova.plugins.diagnostic.isContactsAuthorized(function(res) {
	  	            if(res == '-1'){
	  	                f7.modal({
	  	                    text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
	  	                    buttons: [{
	  	                        text: '确定',
	  	                        onClick: function() {
	  	                            cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
	  	                        }
	  	                    }]
	  	                });
	  	            } else if(res == '0') {
	  	                navigator.contacts.requestAuth(function(msg) {
	  	                    navigator.contacts.pickContact(function(contact) {
	  	                        var phoneNumber = contact.phoneNumbers[0].value;
	  	                        var username = getContactName(contact);
	  	                        if(phoneNumber){
	  	                            phoneNumber = trimStr(phoneNumber.replace(/-/g,""),"g");
	  	                        }
	  	                        if(username){
	  	                            username = trimStr(username,"g");
	  	                        }
	  	                        $('#' + name).val(username);
	  	                        $('#' + phone).val(phoneNumber);
	  	                        // 调用通讯录更新key值
	  	                        checkContact($('#firstContactsName').val(), $('#firstContactsPhone').val(), $('#firstContactsRelation').val(), '#firstContactsPhone');
	  	                    }, function(err) {
	  	                        if (err == 6) {
	  	                            return;
	  	                        } else {
	  	                            f7.alert('访问通讯录好友失败，请检查是否开启通讯录权限');
	  	                        }
	  	                    })
	  	                }, function(msg) {
//	  	                    if (msg === '-1') {
//	  	                        f7.modal({
//	  	                            text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
//	  	                            buttons: [{
//	  	                                text: '确定',
//	  	                                onClick: function() {
//	  	                                    cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
//	  	                                }
//	  	                            }]
//	  	                        });
//	  	                    } else 
	  	                    if (msg === '-2') {
	  	                        f7.modal({
	  	                            text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
	  	                            buttons: [{
	  	                                text: '确定',
	  	                                onClick: function() {
	  	                                    cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
	  	                                }
	  	                            }]
	  	                        });
	  	                    }
	  	                })
	  	            } else if(res == '1') {
	  	            	navigator.contacts.pickContact(function(contact) {
  	                        var phoneNumber = contact.phoneNumbers[0].value;
  	                        var username = getContactName(contact);
  	                        if(phoneNumber){
  	                            phoneNumber = trimStr(phoneNumber.replace(/-/g,""),"g");
  	                        }
  	                        if(username){
  	                            username = trimStr(username,"g");
  	                        }
  	                        $('#' + name).val(username);
  	                        $('#' + phone).val(phoneNumber);
  	                        // 调用通讯录更新key值
  	                        checkContact($('#firstContactsName').val(), $('#firstContactsPhone').val(), $('#firstContactsRelation').val(), '#firstContactsPhone');
  	                    }, function(err) {
  	                        if (err == 6) {
  	                            return;
  	                        } else {
  	                            f7.alert('访问通讯录好友失败，请检查是否开启通讯录权限');
  	                        }
  	                    });
	  	            }
	  	        }, function(err) {
	  	          f7.modal({
	  	            text: '请在手机设置中，允许指尖租赁访问您的通讯录，否则无法继续哦。',
	  	            buttons: [{
	  	                text: '确定',
	  	                onClick: function() {
	  	                    cordova.plugins.diagnostic.switchToSettings(function(){}, function(){});
	  					}
	  				}]
	  	          });
	  	        });
	  	    } catch(e) {
	  	        f7.alert('访问通讯录好友失败，请检查是否开启通讯录权限');
	  	    }
	  	}
		
		// 绑定埋点事件
		talkingDataEvent(creditType);
	}
	
	return {
		render: render
	}
});