define([
	'js/utilities',
	'js/validator',
	'hbs!employeeBuy/employeeBuyContainers/chooseAuthType/chooseAuthType'
], function(
	utilities,
	validator,
	chooseAuthTypeTemplate
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	function render(params) {

		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));

		// 渲染导航栏
		loadEmployeeBuyComponent('navbar', 'common', {
			container: '#chooseAuthTypeNavbar',
			title: '身份认证',
			backClass: 'chooseAuthTypeBackBtn',
			backId: 'chooseAuthTypeBackBtn',
			isBackIcon: true,
			isBack: false,
			callback: function() {
				$('#chooseAuthTypeBackBtn').on('click', function() {
					mainView.router.back({
						url: 'index.html',
						force: true
					});
				})
			}
		});
		
		// 渲染主页面
		$('#chooseAuthTypeContent').html(chooseAuthTypeTemplate({
			userName:params.userName,
			idCardNum:params.idCardNum
		}));
		
		if ($('#chooseAuthTypeName').val() !== '' &&  $('#chooseAuthTypeUMCode').val() !== '') {
			$('#employeeCertificationBtn').removeClass('disabled');
		}
		
		// 员工身份 认证按钮 逻辑
		$('#chooseAuthTypeName').on('blur', function() {
			TalkingData.onEvent("04001身份认证页-本人姓名");
			checkEmployee();
		});
		$('#chooseAuthTypeUMCode').on('blur', function() {
			TalkingData.onEvent("04002身份认证页-本人UM账号");
			 if (!validator.checkPersonId($(this).val())) {
				  f7.alertMessage('请填写正确的身份证号码');
				  checkEmployee();
			  }else{
				  checkEmployee();
			  } 
			
		});
		
		function checkEmployee() {
			var chooseAuthTypeNameVal = $('#chooseAuthTypeName').val();
			var chooseAuthTypeUMCodeVal = $('#chooseAuthTypeUMCode').val();
			
			if (chooseAuthTypeNameVal !== '' && chooseAuthTypeUMCodeVal !== '' && validator.checkPersonId(chooseAuthTypeUMCodeVal)) {
				$('#employeeCertificationBtn').removeClass('disabled');
			} else {
				$('#employeeCertificationBtn').addClass('disabled');
			}
		}
		
		// 员工家属身份认证按钮 逻辑
		$('#chooseAuthTypeFamilyName').on('blur', function() {
			TalkingData.onEvent("04003身份认证页-邀请人姓名");
			checkEmployeeCertification();
		});
		$('#chooseAuthTypeFamilyCode').on('blur', function() {
			TalkingData.onEvent("04005身份认证页-邀请码");
			checkEmployeeCertification();
		});
		$('#chooseAuthTypeRelation').on('change', function() {
			TalkingData.onEvent("04006身份认证页-与邀请人关系");
			checkEmployeeCertification();
		});
		
		function checkEmployeeCertification() {
			var chooseAuthTypeFamilyNameVal = $('#chooseAuthTypeFamilyName').val();
			var chooseAuthTypeFamilyCodeVal = $('#chooseAuthTypeFamilyCode').val();
			var chooseAuthTypeRelation = $('#chooseAuthTypeRelation').val();
			
			if (chooseAuthTypeFamilyNameVal !== '' && chooseAuthTypeFamilyCodeVal !== '' && chooseAuthTypeRelation !== '') {
				$('#employeeFamilyCertificationBtn').removeClass('disabled');
			} else {
				$('#employeeFamilyCertificationBtn').addClass('disabled');
			}
		}
		
		// 员工马上认证点击事件
		$("#employeeCertificationBtn").on('click', function() {
			if (!$(this).hasClass('disabled')) {
				// 字段校验
				var userName = $("#chooseAuthTypeName").val();
				var userUMNumber = $("#chooseAuthTypeUMCode").val();
				if (validator.isNull(userName)){ f7.alert('请填写姓名'); return false; }
//				if (validator.isNull(userUMNumber)){ f7.alert('请填写UM账号'); return false; }
				if (validator.isNull(userUMNumber) || !validator.checkPersonId(userUMNumber)){ f7.alert('请填写身份证号'); return false; }
				
				TalkingData.onEventWithLabel('04007身份认证页-马上认证', '我是员工');
				
				// 认证请求
				callAppApi({
					url : '/app/ebuy/auth',
					type : 'POST',
					params : {
						userId : loginStatus.userId,
						type : 'idCard',
						value : userUMNumber,
						userName : userName
					},
					successCallback: function(res) {
						
						f7.alertMessage('认证成功');
						
						var timeEmployee = setTimeout(function() {
	  						loadEmployeeBuyPage('authenticationSupplement', {
								query: {
									fromPage: 'chooseAuthType',
									creditType: '005001'
								}
							});
	  						clearTimeout(timeEmployee);
						}, 3000);
						
//						f7.modal({
//							title: '平安租赁',
//				  			text:  '认证成功！',
//				  			buttons: [
//				  				{
//				  					text: '确定',
//				  					onClick: function(){
//				  						loadEmployeeBuyPage('authenticationSupplement', {
//											query: {
//												fromPage:'chooseAuthType',
////												personStatus : 'employeeCertification'
//												creditType: '005001'
//											}
//										});
//				  					}
//				  				}
//				  			]
//				  		});
					},
					errorCallback: function(err) {}
				})
			}
		})
		
		// 员工亲属认证点击事件
		$("#employeeFamilyCertificationBtn").on('click', function() {
			
			if (!$(this).hasClass('disabled')) {
				// 字段校验
				var  inviteName = $("#chooseAuthTypeFamilyName").val();
				var  inviteNumber = $("#chooseAuthTypeFamilyCode").val();
				var  relationship = $('#chooseAuthTypeRelation').val();
				if (validator.isNull(inviteName)){ f7.alert('请填写姓名'); return false; }
				if (validator.isNull(inviteNumber)){ f7.alert('请填写邀请码'); return false; }
				if (relationship === 'selected' || relationship === null||validator.isNull(relationship)) { f7.alert('请选择与邀请人关系'); return false; }

				
				TalkingData.onEventWithExtraData('04007身份认证页-马上认证', '我是员工亲属', {
					"04007": relationship
				});
				
//				// 认证请求
				callAppApi({
					url : '/app/ebuy/auth',
					type : 'POST',
					params : {
						userId : loginStatus.userId,
						type : 'inviteCode',
						value : inviteNumber,
						userName : inviteName,
						relationType : relationship
					},
					successCallback: function(res) {
						f7.alertMessage('认证成功');
						
						var timeEmployeeFamily = setTimeout(function() {
	  						loadEmployeeBuyPage('authenticationSupplement', {
								query: {
									fromPage: 'chooseAuthType',
									creditType: '005002'
								}
							});
	  						clearTimeout(timeEmployeeFamily);
						}, 3000);
//						f7.modal({
//							title: '平安租赁',
//				  			text:  '认证成功！',
//				  			buttons: [
//				  				{
//				  					text: '确定',
//				  					onClick: function(){
//				  						loadEmployeeBuyPage('authenticationSupplement', {
//											query: {
//												fromPage:'chooseAuthType',
////												personStatus : 'employeeFamilyCertification'
//												creditType: '005002'
//											}
//										});
//				  					}
//				  				}
//				  			]
//				  		});
					},
					errorCallback: function(err) {}
				})
			}
		})
	}
	
	return {
		render: render
	}
})