define([
	'js/utilities',
	'employeeBuy/employeeBuyContainers/employeeBuyIndex/employeeBuyIndexView'
], function(
	utilities,
	employeeBuyIndexView
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	
	function init(query) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		if (mainView.activePage.name === 'employeeBuyEmployeeBuyIndex') {
			// 显示工具栏
			f7.showToolbar('#toolbar');

			callAppApi({
				url: '/app/ebuyCommon/getHomeInfo',
				type: 'POST',
				apiVersion: '1.4',
				params: {
					baseBusinessType: '005001',
				},
				successCallback: function(getInfoRes) {
					
					callAppApi({
						url: '/app/ebuyCommon/checkCredit',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							baseBusinessType: '005001'
						},
						successCallback: function(creditRes) {

							var defaultBannerImg = './img/employeeBuy/placeholder/banner-placeholder.jpg';
							var defaultKillImg = './img/employeeBuy/placeholder/kill-placeholder.jpg';
							var defaultGoodsImg = './img/employeeBuy/placeholder/goods-placeholder.jpg';
							//改版代码
							var list = [];
							
							if(getInfoRes && Array.isArray(getInfoRes)) {
								list = getInfoRes;
								
								list.sort(function(next, prev) {
									return parseInt(next.displayIndex) > parseInt(prev.displayIndex);
								});
								
								list.forEach(function(item, index) {
									
									switch (item.channelType) {
										case '1':
											if (item.activity && Array.isArray(item.activity)) {
												item.activity.forEach(function(subItem) {
													if (!subItem.actImage) {
														subItem.actImage = defaultBannerImg;
													}
												});
											}
											
											break;
										case '2':
											if (item.goodsInfo && Array.isArray(item.goodsInfo)) {
												item.goodsInfo.forEach(function(subItem) {
													if (!subItem.goodsImage) {
														subItem.goodsImage = defaultKillImg;
													}
												});
											}
											
											break;
										case '3':
										case '4':
											if (item.goodsInfo && Array.isArray(item.goodsInfo)) {
												item.goodsInfo.forEach(function(subItem) {
													if (!subItem.goodsImage) {
														subItem.goodsImage = defaultGoodsImg;
													}
												})
											}
											break;
										case '5':
											if (item.activity && Array.isArray(item.activity)) {
												item.activity.forEach(function(subItem) {
													if (!subItem.actImage) {
														subItem.actImage = defaultGoodsImg;
													}
												})
											}
											break;
										case '9999':
											if (item.goodsInfo && Array.isArray(item.goodsInfo)) {
												item.goodsInfo.forEach(function(subItem) {
													if (!subItem.goodsImage) {
														subItem.goodsImage = defaultGoodsImg;
													}
												})
											}
											break;
										default: 
											return item;
									}
								})
							}
						
//							//老的重复代码赋值默认图片
//							if (getInfoRes.Banner && Array.isArray(getInfoRes.Banner.goodsInfo)) {
//								getInfoRes.Banner.goodsInfo.forEach(function(item) {
//									if (!(typeof item.goodsImage == 'string' && item.goodsImage !== '')) {
//										item.goodsImage = defaultBannerImg;
//									}
//								});
//							}
//							if (getInfoRes.Kill && Array.isArray(getInfoRes.Kill.goodsInfo)) {
//								getInfoRes.Kill.goodsInfo.forEach(function(item) {
//									if (!(typeof item.goodsImage == 'string' && item.goodsImage !== '')) {
//										item.goodsImage = defaultKillImg;
//									}
//								});
//							}
//							if (getInfoRes.Select && Array.isArray(getInfoRes.Select.goodsInfo)) {
//								getInfoRes.Select.goodsInfo.forEach(function(item) {
//									if (!(typeof item.goodsImage == 'string' && item.goodsImage !== '')) {
//										item.goodsImage = defaultGoodsImg;
//									}
//								});
//							}
//							if (getInfoRes.FreeInterest && Array.isArray(getInfoRes.FreeInterest.goodsInfo)) {
//								getInfoRes.FreeInterest.goodsInfo.forEach(function(item) {
//									if (!(typeof item.goodsImage == 'string' && item.goodsImage !== '')) {
//										item.goodsImage = defaultGoodsImg;
//									}
//								});
//							}
//							if (getInfoRes.FreeService && Array.isArray(getInfoRes.FreeService.goodsInfo)) {
//								getInfoRes.FreeService.goodsInfo.forEach(function(item) {
//									if (!(typeof item.goodsImage == 'string' && item.goodsImage !== '')) {
//										item.goodsImage = defaultGoodsImg;
//									}
//								});
//							}
//							if (getInfoRes.BestSeller && Array.isArray(getInfoRes.BestSeller.goodsInfo)) {
//								getInfoRes.BestSeller.goodsInfo.forEach(function(item) {
//									if (!(typeof item.goodsImage == 'string' && item.goodsImage !== '')) {
//										item.goodsImage = defaultGoodsImg;
//									}
//								});
//							}

							employeeBuyIndexView.render({
//								listAll: list || null,
								listAll: list || [],
								
//								Banner: getInfoRes.Banner || null,
//								Kill: getInfoRes.Kill || null,
//								Select: getInfoRes.Select || null,
//								FreeInterest: getInfoRes.FreeInterest || null,
//								FreeService: getInfoRes.FreeService || null,
//								BestSeller: getInfoRes.BestSeller || null,
								
								userIsCredited: creditRes.userIsCredited,
								userIsLocked: creditRes.userIsLocked,
								creditAuditStatus: creditRes.creditAuditStatus,
								creditResultType: creditRes.creditResultType,
								creditLimit: creditRes.creditLimit,
								creditType: creditRes.creditType
							});
						},
						errorCallback: function(err) {}
					})
				},
				errorCallback: function(err) {}
			})
		}
	}
	
	return {
		init: init
	}
});