define([
	'jquery',
	'js/utilities',
	'js/swiper.min',
	'js/datas',
	'js/cache',
	'hbs!employeeBuy/employeeBuyContainers/employeeBuyIndex/employeeBuyIndex',
	'hbs!employeeBuy/employeeBuyComponents/common/banner/banner',
	'hbs!employeeBuy/employeeBuyComponents/employeeBuyIndex/icons/icons',
	'hbs!employeeBuy/employeeBuyComponents/employeeBuyIndex/spike/spike',
	'hbs!employeeBuy/employeeBuyComponents/employeeBuyIndex/spike/spikePrompt',
	'hbs!employeeBuy/employeeBuyComponents/employeeBuyIndex/featured/featured',
	'hbs!employeeBuy/employeeBuyComponents/employeeBuyIndex/freeArea/freeArea',
	'hbs!employeeBuy/employeeBuyComponents/employeeBuyIndex/bestSelling/bestSelling',
	'hbs!employeeBuy/employeeBuyComponents/goodsList/goodsListItem'
], function(
	$$,
	utilities,
	Swiper,
	Datas,
	cache,
	employeeBuyIndexTemplate,
	bannerTemplate,
	iconsTemplate,
	spikeTemplate,
	spikePromptTemplate,
	featuredTemplate,
	freeAreaTemplate,
	bestSellingTemplate,
	goodsItemTemplate
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var formatSecondsTime = utilities.formatSecondsTime;
	var employeeBuyIndexTimeCount = Datas.timeCountData.employeeBuyIndexTimeCount;
	var cacheImgSrc = cache.cacheImgSrc;
	var cacheBackground = cache.cacheBackground;
	
	function render(params) {
		var indexSearchbar;			// 首页搜索实例
		
		var conditionAreaData = [];		// 专区条件
		var conditionBrandData = []; 	// 品牌条件
		var fromPage = params.fromPage;

		var creditType = params.creditType;								// 授信类型 员工  / 员工家属
		var userIsLocked = params.userIsLocked;							// 用户是否在禁闭期
		var userIsCredited = params.userIsCredited;						// 用户是否额度激活
		var creditAuditStatus = params.creditAuditStatus;				// 人工授信审核状态
		var creditResultType = params.creditResultType;					// 授信结果类型
		var creditLimit = params.creditLimit;							// 具体的额度值
		
		//改版
		var listAll = params.listAll;
		
		var iconRightTitle = '';
		var iconRightClickStatus = false;
		var navbarType = '';
		var navbarPrompt = '';
		if (userIsLocked == true) {
			iconRightTitle = '授信失败';
			iconRightClickStatus = false;
		} else if (userIsCredited == '3' || userIsCredited == '5') {
			iconRightTitle = '重新申请';
			iconRightClickStatus = true;
		} else if (userIsCredited == '0') {
			iconRightTitle = '申请额度';
			iconRightClickStatus = true;
		} else if (userIsCredited == '1' && creditAuditStatus == '58') {
			iconRightTitle = '授信失败';
			iconRightClickStatus = false;
		} else if (userIsCredited == '1' && (creditAuditStatus == '13' || creditAuditStatus == '14')) {
			iconRightTitle = '额度审核中...';
			iconRightClickStatus = false;
			navbarPrompt = '请稍候';
			navbarType = '1';
		} else if (userIsCredited == '1' && (creditAuditStatus == '-1' || creditAuditStatus == '12' || creditAuditStatus == '15')) {
			iconRightTitle = '补充资料';
			iconRightClickStatus = true;
		} else if (userIsCredited == '1' && creditAuditStatus == '31' && creditResultType == '001') {
			iconRightTitle = '畅享分期';
			iconRightClickStatus = false;
		} else if (userIsCredited == '1' && creditAuditStatus == '31' && creditResultType == '003') {
			iconRightTitle = '￥' + creditLimit + '<span style="font-size: 10px">.00</span>';
			iconRightClickStatus = false;
			navbarPrompt = '可用额度';
			navbarType = '2';
		}
		
		// 渲染navbar
		loadEmployeeBuyComponent('navbar', 'common', {
			navbarType: navbarType,
			navbarPrompt: navbarPrompt,
			container: '#employeeBuyIndexNavbar',
			title: '员工专享',
			backId: 'employeeBuyIndexBackBtn',
			isBackIcon: true,
			isBack: false,
			iconRightId: 'employeeBuyIndexCreditBtn',
			iconRightStatus: true,
			iconRight: iconRightTitle,
			iconRightClass: '',
			callback: function() {
				$('#employeeBuyIndexBackBtn').on('click', function() {
					TalkingData.onEvent("07001员工专享页-返回");
					
					mainView.router.back({
						url: 'index.html',
						force: true
					});
				});
				
				if (iconRightClickStatus) {
					$('#employeeBuyIndexCreditBtn').on('click', function() {
						
						if (userIsCredited == '0') {
							TalkingData.onEventWithLabel('07002员工专享页-授信状态', '申请额度');
						} else if (userIsCredited == '3' || userIsCredited == '5') {
							TalkingData.onEventWithLabel('07002员工专享页-授信状态', '重新申请');
						}
						
						if (userIsCredited == '0' || userIsCredited == '3' || userIsCredited == '5') {
							loadEmployeeBuyPage('authenticationSupplement', {
								query:{
									fromPage: 'employeeBuyIndex',
									creditType: creditType
								}
							});
						} else if (userIsCredited == '1' && creditAuditStatus == '12') {
							mainView.loadPage({
								url : 'setPassword.html',
								query : {
									fromPage :"employeeBuyUploadIdCard"
								}
							});
						} else if (userIsCredited == '1' && (creditAuditStatus == '-1' || creditAuditStatus == '15')) {
							TalkingData.onEventWithLabel('07002员工专享页-授信状态', '补充资料');
							
							loadEmployeeBuyPage('uploadIdCard', {
								query:{
									fromPage: 'employeeBuyIndex',
									creditType: creditType
								}
							});
						}
					})
				}
			}
		});
		
		// 渲染主页面
		$('#employeeBuyIndexContent').html(employeeBuyIndexTemplate({
			listAll: listAll
		}));
		
		// 搜索按钮
		$('#employeeBuyIndexSearchbarBtn').on('click', function() {
			loadEmployeeBuyPage('search', {
				query: {
					fromPage: 'employeeBuyIndex'
				}
			});
		})
		
		/**********************************/
		/************ go Top **************/
		/**********************************/
		$$('#employeeBuyIndexContent').on('touchmove', function(e) {

			if ($$('#employeeBuyIndexContent').scrollTop() > 100) {
				$$('#employeeBuyGoBackTopBtn').removeClass('hide');
			} else {
				$$('#employeeBuyGoBackTopBtn').addClass('hide');
			}
		});
		$$('#employeeBuyGoBackTopBtn').on('click', function() {
			$$('#employeeBuyIndexContent').animate({scrollTop: 0}, 1000);
			$$('#employeeBuyGoBackTopBtn').delay(700).addClass('hide');
		});
		
		
		/**********************************/
		/*********** new version **********/
		/**********************************/

		if (listAll && listAll.length) {
			
			/**********************************/
			/************* icons **************/
			/**********************************/
			$$('.5-area').map(function(key, item) {
				var $item = $$(item);
				var index = $item.attr('displayindex');
				$item.attr('id', 'icons' + index);
				var data = listAll.filter(function(v, k) {
					return v.displayIndex == index;
				})[0];
				$item.html(iconsTemplate({
					activityData: data.activity
				}));
				
				$item.find(".employeebuy-icons-item").on('click', function() {
					
					// 获取banner类型
					var iconType = $$(this).data('type');
					
					if (iconType == 'goodsList') {
						loadEmployeeBuyPage('goodsDetail', {
							query:{
								fromPage: 'employeeBuyIndex',
								goodsId: $(this).data("key")
							}
						});
					} else if (iconType == 'category') {
						loadEmployeeBuyPage('goodsList', {
							query: {
								fromPage: 'employeeBuyIndex',
								categoryId: $(this).data('categoryId')
							}
						});
					} else if (iconType == 'link' || iconType == 'linkList') {
						loadEmployeeBuyPage('goodsActivity', {
							query:{
								fromPage: 'employeeBuyIndex',
								linkId: $(this).data("link"),
								actType: $(this).data("type"),
								actId: $(this).data("actId")
							}
						});
					} else if (iconType == 'custom') {
						loadEmployeeBuyPage('goodsActivity', {
							query:{
								fromPage: 'employeeBuyIndex',
								linkId: $(this).data("link"),
								actType: $(this).data("type"),
								actId: $(this).data("actId"),
								actCustomId: $(this).data("actCustomId")
							}
						});
					}
				})
			});
			

			/**********************************/
			/************ banner **************/
			/**********************************/
			$$('.1-area').addClass('swiper-container employeeBuy-banner');
			$$('.1-area').html('<div class="swiper-wrapper"></div><div class="swiper-pagination"></div>');
			$$('.1-area').map(function(key, item) {
				var $item = $$(item);
				var index = $item.attr('displayindex');
				$item.attr('id', 'banner' + index);
				var bannerData = listAll.filter(function(v, k) {
					return v.displayIndex == index;
				})[0];
				$item.find('.swiper-wrapper').html(bannerTemplate({
					bannerData: bannerData.activity,
					slideClass: 'employeeBuy-banner-item'
				}));
				
				// 设置banner高度
				$item.css({'height': parseInt($(window).width() * 0.5) + 'px'});
				
				// 初始化banner
				var indexBanner = new Swiper('#banner' + index, {
					autoplay: 3000,
					loop: true,
					pagination: '.swiper-pagination',
					lazyLoading: true,
					onLazyImageReady: function(swiper, slide, image) {
						cacheBackground($$(image));
					}
				});
				
				//banner绑定点击事件
				$item.find(".swiper-slide").on('click',function(){
					TalkingData.onEventWithLabel('07003员工专享页-banner区', '活动图' + (parseInt($(this).data("index")) + 1));

					var type = $(this).data("type");//获取banner类型actType, 1. "goodsList"-app内跳转； 2."link"-活动jsp跳转; 3. "link-list"
					if(type == "goodsList"){
						loadEmployeeBuyPage('goodsDetail', {
							query:{
								fromPage: 'employeeBuyIndex',
								goodsId: $(this).data("key")
							}
						});
					} else if (type == 'category') {
						loadEmployeeBuyPage('goodsList', {
							query: {
								fromPage: 'employeeBuyIndex',
								categoryId: $(this).data('categoryId')
							}
						});
					} else if (type == 'link' || type == 'linkList') {
						loadEmployeeBuyPage('goodsActivity', {
							query:{
								fromPage: 'employeeBuyIndex',
								linkId: $(this).data("link"),
								actType: $(this).data("type"),
								actId: $(this).data("actId")
							}
						});
					} else if (type == 'custom') {
						loadEmployeeBuyPage('goodsActivity', {
							query:{
								fromPage: 'employeeBuyIndex',
								linkId: $(this).data("link"),
								actType: $(this).data("type"),
								actId: $(this).data("actId"),
								actCustomId: $(this).data("actCustomId")
							}
						});
					}

				})
			});

			/**********************************/
			/************** 秒杀 **************/
			/**********************************/
			$$('.2-area').html('<div class="Seckill-entry"><img src="img/employeeBuy/Seckill-img.png">'+'<div class="Seckill-entry-bottom">'+'</div>'+'</div>'+
				'<div id="spikePromptList"></div>' +
				'<div class="swiper-container employeeBuy-spike" id="employeeBuySpike">' +
					'<div class="swiper-wrapper"></div>' +
				'</div>');

			// 清除定时器
			employeeBuyIndexTimeCount.forEach(function(item) {
				clearInterval(item)
			});

			$$('.2-area').map(function(key, item) {
				var $item = $(item);
				var index = $item.attr('displayindex');

				var spikeData = listAll.filter(function(v, k) {
					return v.displayIndex == index;
				})[0];

				$item.attr('id', 'spike' + index);
				
				//计算秒杀剩余时间和格式化开始时间
				spikeData.goodsInfo.forEach(function(subitem, index) {
					var killBeginTime = subitem.beginTime;
					var killEndTime = subitem.endTime;
					var systemTime = subitem.systemTime;

					if (typeof killBeginTime == 'string' && killBeginTime !== '') {
						subitem.killTime = killBeginTime.substr(5,2) + "月" + killBeginTime.substr(8,2) + "日" + killBeginTime.substr(10,6) + "场";
						subitem.RemainingBeginSec = (Date.parse(new Date(killBeginTime.replace(/-/g, '/')))/1000 - Date.parse(new Date(systemTime.replace(/-/g, '/')))/1000);
						subitem.RemainingBeginTime = timeToHours(Date.parse(new Date(killBeginTime.replace(/-/g, '/')))/1000 - Date.parse(new Date(systemTime.replace(/-/g, '/')))/1000);
					} else {
						subitem.killTime = '';
						subitem.RemainingBeginSec = 0;
						subitem.RemainingBeginTime = '';
					}
					
					if (typeof killEndTime == 'string' && killEndTime !== '') {
						subitem.RemainingEndSec = (Date.parse(new Date(killEndTime.replace(/-/g, '/')))/1000 - Date.parse(new Date(systemTime.replace(/-/g, '/')))/1000);
						subitem.RemainingEndTime = timeToHours(Date.parse(new Date(killEndTime.replace(/-/g, '/')))/1000 - Date.parse(new Date(systemTime.replace(/-/g, '/')))/1000);
					} else {
						subitem.RemainingEndSec = 0;
						subitem.RemainingEndTime = '';
					}
				});

				function timeToHours(time){
					thisTime = '';
					
					if (time >= 86400) {
						thisTime += (parseInt(time / 86400) < 10 && "0") + parseInt(time / 86400) + "天 "
					}
					
					if((time%86400) >= 3600){
						thisTime += (parseInt((time%86400)/3600) < 10 && "0") + parseInt((time%86400)/3600) + ":"
					}else{
						thisTime += "00:"
					}
					if(((time%86400)%3600) >= 60){
						thisTime += (parseInt(((time%86400)%3600)/60) < 10 && "0") + parseInt(((time%86400)%3600)/60) + ":"
					}else{
						thisTime += "00:"
					}

					thisTime += (((time%86400)%3600)%60 < 10 && "0") + ((time%86400)%3600)%60;
					return thisTime;
				}

				// 秒杀提示信息
				var spikeConfigObj = {
					'startPrompt': '距开始',
					'endPrompt': '距结束',
					'isEndPrompt': '活动已结束'
				}

				// 渲染秒杀活动
				$item.find('.swiper-wrapper').html(spikeTemplate({
					spikeData: spikeData,
					spikeConfigObj: spikeConfigObj
				}));
				
				$('#spikePromptList').html(spikePromptTemplate({
					spikeInfoData: spikeData.goodsInfo,
					spikeConfigObj: spikeConfigObj
				}));

				$('.spike-info-prompt-0').removeClass('hide');
				
				// 设置秒杀banner高度
				$item.find('.swiper-wrapper .spike-banner').css({'height': parseInt($(window).width() * 0.336) + 'px'});
				
//				if (spikeData.goodsInfo && spikeData.goodsInfo.length >= 2) {
//					// 初始化秒杀banner
//					var spikeSwiper = new Swiper('#employeeBuySpike', {
//						width: window.innerWidth * 0.8,
//						autoHeight: true,
//						onSlideChangeEnd: function(swiper) {
//							$('.spike-info-prompt').addClass('hide');
//							$('.spike-info-prompt-' + swiper.activeIndex).removeClass('hide');
//						}
//					});
//				} else if (spikeData.goodsInfo && spikeData.goodsInfo.length == 1) {
					// 初始化秒杀banner
					var spikeSwiper = new Swiper('#employeeBuySpike', {
						autoHeight: true,
						onSlideChangeEnd: function(swiper) {
							$('.spike-info-prompt').addClass('hide');
							$('.spike-info-prompt-' + swiper.activeIndex).removeClass('hide');
						}
					});
//				}
				
				//秒杀倒计时
				function spikeTimer(index){
					var spikeSurplusTime = spikeData.goodsInfo[index].RemainingBeginSec > 0 ? spikeData.goodsInfo[index].RemainingBeginSec : spikeData.goodsInfo[index].RemainingEndSec > 0 ? spikeData.goodsInfo[index].RemainingEndSec : 0;
					var thisendTime = (Date.parse(new Date(spikeData.goodsInfo[index].endTime.replace(/-/g, '/')))/1000 - Date.parse(new Date(spikeData.goodsInfo[index].systemTime.replace(/-/g, '/')))/1000) || 0;
					
					var killTimeCount = setInterval(function(){
						spikeSurplusTime--;
						thisendTime--;
						
						if (spikeSurplusTime > 0) {
							$("#spike-surplus-time-"+index).html(timeToHours(spikeSurplusTime));
						} else {
							if (thisendTime > 0) {
								$("#spike-surplus-time-"+index).parent().find("label").html(spikeConfigObj.endPrompt);
								$("#spike-surplus-time-"+index).html(timeToHours(thisendTime));
							} else {
								$("#spike-surplus-time-"+index).parent().html("<label>"+spikeConfigObj.isEndPrompt+"</label>");
							}
						}
					} ,1000);
					return killTimeCount;
				}
				
				
				spikeData.goodsInfo.forEach(function(data,index){
					employeeBuyIndexTimeCount.push(spikeTimer(index));
				});
				
				//秒杀绑定点击事件
				$item.find(".employeeBuy-spike-item").on('click',function(){
					TalkingData.onEventWithLabel('07004员工专享页-秒杀区', '活动图' + (parseInt($(this).data("index")) + 1));
					
					loadEmployeeBuyPage('goodsDetail', {
						query:{
							fromPage: 'employeeBuyIndex',
							goodsId: $(this).data("key")
						}
					});
				})
			});

			/**********************************/
			/************** 精选 ***************/
			/*********************************/
			$$('.3-area').addClass('swiper-container employeeBuy-featured');
			$$('.3-area').html('<div class="sub-title  freeAreaTitle"><span>精选爆品</span></div>'+'<div class="swiper-wrapper"></div>');
			$$('.3-area').map(function(key, item) {
				var $item = $$(item);
				var index = $item.attr('displayindex');

				var featuredData = listAll.filter(function(v, k) {
					return v.displayIndex == index;
				})[0];

				$item.attr('id', 'select' + index);

				// 渲染精选banner
				$item.find('.swiper-wrapper').html(featuredTemplate({
					featuredData: featuredData,
					featuredMoreStatus: true,
					featuredMoreBtnId: 'featuredMoreBtn' + index
				}));
				
				//精选绑定点击事件
				$item.find(".employeeBuy-featured-item").on('click',function(){
					loadEmployeeBuyPage('goodsDetail', {
						query:{
							fromPage: 'employeeBuyIndex',
							goodsId: $(this).data("key")
						}
					});
				})

				// 精选更多按钮绑定事件
				$$('#featuredMoreBtn' + index).on('click', function() {
					var channelIdList = [$(this).data("key")];
					
					TalkingData.onEvent("07005员工专享页-爆品区-更多");
					
					loadEmployeeBuyPage('goodsList', {
						query:{
							fromPage: 'employeeBuyIndex',
							channelIdList: channelIdList
						}
					});
				});
				
				// 初始化精选banner
				var featuredSwiper = new Swiper('#select' + index, {
					slidesPerView: 3.5,
					lazyLoading: true,
					onLazyImageReady: function(swiper, slide, image) {
						cacheBackground($$(image));
					}
				});
			});

			/**********************************/
			/************** 免息 **************/
			/**********************************/
			$$('.4-area').map(function(key, item) {
				var $item = $$(item);
				var index = $item.attr('displayindex');

				var freeData = listAll.filter(function(v, k) {
					return v.displayIndex == index;
				})[0];

				$item.attr('id', 'freeinterest' + index);

				// 渲染免息专区
				$item.html(freeAreaTemplate({
					freeAreaList: true,
					freeAreaTitle: freeData.channelTitle,
					freeInterestData : freeData,
					freeMoreId: 'interestFreeMoreBtn' + index,
					freeMoreText: '查看更多好物'
				}));
				
				//免息绑定点击事件
				$item.find('.free-item').on('click',function(){
					loadEmployeeBuyPage('goodsDetail', {
						query:{
							fromPage: 'employeeBuyIndex',
							goodsId: $(this).data("key")
						}
					});
				})

				// 免息更多按钮绑定事件
				$$('#interestFreeMoreBtn' + index).on('click', function() {
					var channelIdList = [$(this).data("key")];
					
					TalkingData.onEvent("07006员工专享页-免息区-免手续费-更多");
					
					loadEmployeeBuyPage('goodsList', {
						query:{
							fromPage: 'employeeBuyIndex',
							channelIdList: channelIdList
						}
					});
				});
			});


			/**************************************/
			/************** 畅销榜 ****************/
			/*************************************/

			// 畅销榜
			$$('.9999-area').map(function(key, item) {
				var $item = $$(item);
				var index = $item.attr('displayindex');

				var bestSellingData = listAll.filter(function(v, k) {
					return v.displayIndex == index;
				})[0];

				$item.attr('id', 'bestselling' + index);

				$item.html(bestSellingTemplate({
					bestSellingTilte: bestSellingData.channelTitle,
					bestSellingData: bestSellingData,
					bestSellingMoreId: 'bestSellingMoreBtn' + index,
					bestSellingMoreText: '查看所有好物'
				}));
				
				// 畅销榜绑定点击事件
				$item.find(".bestSelling-item").on('click',function(){
					loadEmployeeBuyPage('goodsDetail', {
						query:{
							fromPage: 'employeeBuyIndex',
							goodsId: $(this).data("key")
						}
					});
				})

				// 畅销榜  - 查看更多
				$$('#bestSellingMoreBtn' + index).on('click', function() {
					
					TalkingData.onEvent("07008员工专享页-所有商品-更多");
					
					loadEmployeeBuyPage('goodsList', {
						query:{
							fromPage: 'employeeBuyIndex'
						}
					});
				});
			});
			
			
			f7.initImagesLazyLoad($('#employeeBuyIndexPage'));
			f7.params.onLazyLoaded = function(el) {
				cacheBackground(el);
			}
		}
	}
	
	return {
		render: render
	}
})