define([
	'js/utilities',
	'employeeBuy/employeeBuyContainers/fillOrder/fillOrderView'
], function(
	utilities,
	fillOrderView
) {
	var callAppApi = utilities.callAppApi;
	function init(query) {
		if (mainView.activePage.name === 'employeeBuyFillOrder') {
			// 隐藏工具栏
			f7.hideToolbar('#toolbar');
		}
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		var goodsId = '';
		if (typeof query.employeeBuyGoodsId == 'string' && query.employeeBuyGoodsId !== '') {
			localStorage.setItem('employeeBuyGoodsId_' + loginStatus.userId, query.employeeBuyGoodsId);
			goodsId = query.employeeBuyGoodsId;
		} else {
			goodsId = localStorage.getItem('employeeBuyGoodsId_' + loginStatus.userId);
		}
		
		// 请求配送方式
		callAppApi({
			url: '/app/ebuyCommon/getDeliveryList',
			type: 'POST',
			params: {
				baseBusinessType: '005001'
			},
			successCallback: function(deliveryListRes) {
				
				// 请求客户地址列表
				callAppApi({
					url: '/app/getAddressList',
					type: 'POST',
					params: {
						userId: loginStatus.userId
					},
					successCallback: function(addressListRes) {
						// 请求商品详情
						callAppApi({
							url: '/app/ebuyCommon/getGoodsDetail',
							type: 'POST',
							params: {
								goodsId: goodsId,
								baseBusinessType: '005001'
							},
							successCallback: function(goodsDetailRes) {

								var goodsProperty = goodsDetailRes.goodsProperties.filter(function(item) {
									if (item.goodsId == goodsId) {
										return true
									}
								})[0].goodsProperty;
								
								fillOrderView.render({
									deliverylist: deliveryListRes,
									
									addressList: addressListRes,
									chooseAddressId: query.employeeBuyChooseAddressId,
									
									supplierId: goodsDetailRes.supplierId,
									goodsId: goodsDetailRes.goodsId,
									goodsName: goodsDetailRes.goodsName,
									goodsImages: goodsDetailRes.goodsImages,
									goodsProperty: goodsProperty,
									goodsPrice: goodsDetailRes.goodsPrice,
									minPayPerMonth: goodsDetailRes.minPayPerMonth
								});
							},
							errorCallback: function(err) {}
						});
					},
					errorCallback: function(err) {}
				});
			},
			errorCallback: function(err){}
		});
	}
	
	return {
		init: init
	}
});
