define([
	'jquery',
	'js/utilities',
	'hbs!employeeBuy/employeeBuyContainers/fillOrder/fillOrder'
], function(
	$$,
	utilities,
	fillOrderTemplate	
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	
	function render(params) {
		var createOrderStatus = false;
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		// 重新拼装配送方式列表
		var deliveryList = params.deliverylist.map(function(item) {
			return {
				view: item.deliveryName,
				value: item.deliveryId,
				addressList: item.deliveryAddress
			}
		});
		
		// 获取默认配送方式
		var currentDeliveryId = deliveryList[0].value;
		
		// 获取默认配送地址
		var defaultAddress = [];
		if (typeof params.chooseAddressId == 'string' && params.chooseAddressId !== '') {
			defaultAddress = params.addressList.filter(function(item) {
				return item.addressId == params.chooseAddressId;
			})[0];
		} else {
			defaultAddress = params.addressList.filter(function(item) {
				return item.addressIsCommon == '1';
			})[0];
			
			if (!(Array.isArray(defaultAddress) && defaultAddress.length > 0)) {
				defaultAddress = params.addressList[0];
			}
		}

		// 渲染navbar
		loadEmployeeBuyComponent('navbar', 'common', {
			container: '#fillOrderNavbar',
			title: '填写订单',
			backId: 'fillOrderBackBtn',
			isBackIcon: true,
			isBack: false,
			callback: function() {
				$('#fillOrderBackBtn').on('click', function() {
					loadEmployeeBuyPage('goodsDetail', {
						query: {
							fromPage: 'index',
							goodsId: params.goodsId
						}
					});
				});
			}
		});
		
		var goodsPic = './img/none.png';
		if (Array.isArray(params.goodsImages) && params.goodsImages.length > 0) {
			goodsPic = params.goodsImages[0];
		}
		
 		$('#fillOrderContent').html(fillOrderTemplate({
			deliveryListData: deliveryList,
			currentDeliveryId: currentDeliveryId,
			
			selfDeliveryAddressList: deliveryList[1].addressList,
			
			defaultAddress: defaultAddress,
			goodsPic: goodsPic,
			goodsName: params.goodsName,
			goodsProperty: params.goodsProperty,
			goodsPrice: params.goodsPrice,
			
			goodsInfoPrompt: '月还款',
			minPayPerMonth: params.minPayPerMonth
		}));
		
		$$('#chooseDeliveryWay .choose').on('click', function(e) {
			
				$$('#chooseDeliveryWay .choose').removeClass('choose-active');
				$$(e.currentTarget).addClass('choose-active');
				
				// choose-way 取值为 1代表快递  2 代表自提
				if ($$(e.currentTarget).data('choose-way').toString() == deliveryList[0].value) {
					$$('#selfDeliveryArea').addClass('hide');
					$$('#expressDeliveryArea').removeClass('hide');

				} else if ($$(e.currentTarget).data('choose-way').toString() == deliveryList[1].value) {
					$$('#selfDeliveryArea').removeClass('hide');
					$$('#expressDeliveryArea').addClass('hide');
				}
				
				currentDeliveryId = $$(e.currentTarget).data('choose-way').toString();
		});
		
		$('#expressDeliveryArea').on('click', function() {
			mainView.router.load({
				url: 'addressList.html',
				query: {
					fromPage: 'employeeBuyFillOrder',
					goodsId: params.goodsId
				}
			})
		})

		// 新增收货地址
		$('#addExpressDeliveryBtn').on('click', function() {
			mainView.router.load({
				url: 'addressDetail.html',
				query: {
					fromPage: 'employeeBuyFillOrder',
					operateType: 'add',
					addressPage: 'employeeBuyFillOrder'
				}
			});
		});
		
		// 点击默认地址更换
		$('#addressHome').on('click', function() {
			mainView.router.load({
				url: 'addressList.html',
				query: {
					fromPage: 'employeeBuyFillOrder'
				}
			});
		});
		
		// 提交订单
		$('#fillOrderCommitOrderBtn').on('click', function() {
			if (currentDeliveryId == '1') {
				var addressId = $('#currentAddress').data('addressId');
				if (!(typeof addressId == 'string' && addressId !== '')) {
					f7.alertMessage('请新增收货地址');
					return false;
				}
			}
			
//			goAuth();
//			checkOrder();
			
			if (createOrderStatus == false) {
				submitOrder();
			}
		});
		
//		function goAuth() {
//			callAppApi({
//				url: '/app/ebuyCommon/checkCredit',
//				type: 'POST',
//				params: {
//					userId: loginStatus.userId,
//					baseBusinessType: '005001'
//				},
//				successCallback: function(creditRes) {
//					var userIsLocked = creditRes.userIsLocked;
//					var userIsCredited = creditRes.userIsCredited;
//					var creditAuditStatus = creditRes.creditAuditStatus;
//					var creditResultType = creditRes.creditResultType;
//					var creditLimit = creditRes.creditLimit;
//					var creditType = creditRes.creditType;
//					
//					if (userIsLocked == true) {
//						// 禁闭期
//						f7.alertMessage('很抱歉，您暂时无法办理该业务，感谢关注！')
//					} else if (userIsCredited == false) {
//						// 身份未认证，跳转身份认证页面
//						loadEmployeeBuyPage('authenticationSupplement', {
//							query:{
//								fromPage: 'fillOrder',
//								creditType: creditType
//							}
//						});
//					} else if (userIsCredited == true && (creditAuditStatus == '13' || creditAuditStatus == '14')) {
//						// 身份认证信息已提交，等待审核
//						f7.alertMessage('您的分期额度还在申请中，请稍后尝试');
//					} else if (userIsCredited == true && (creditAuditStatus == '-1' || creditAuditStatus == '15')) {
//						// 身份认证信息未提交或退回，提交身份认证材料
//						loadEmployeeBuyPage('uploadIdCard', {
//							query:{
//								fromPage: 'fillOrder',
//								creditType: creditType
//							}
//						});
//					} else if (userIsCredited == true && creditAuditStatus == '31') {
//						// 身份认证通过
//						checkOrder();
//					}
//				},
//				errorCallback: function(err) {}
//			});
//		}
		
//		function checkOrder() {
		function submitOrder() {

//			callAppApi({
//				url: '/app/ebuyCommon/checkOrder',
//				type: 'POST',
//				params: {
//					baseBusinessType: '005001',
//					userId: loginStatus.userId,
//					goodsLimit: params.goodsPrice
//				},
//				successCallback: function(checkOrderRes) {
//					if (checkOrderRes.placeOrder == true) {
						// 检查可以下单
						
						var addressId = '';
//						var deliveryAddress = '';
//						var selfDeliveryAddress = '';
						var address = '';
						
						if (currentDeliveryId == '1') {
							addressId = $('#currentAddress').data('addressId');
//							deliveryAddress = $('#deliveryAddress').text();
							address = $('#deliveryAddress').text();
						} else if (currentDeliveryId == '2') {
//							selfDeliveryAddress = $('#selfDeliveryAddressValue').val();
							address = $('#selfDeliveryAddressValue').val();
						}
						
						createOrderStatus = true;
						
						callAppApi({
							url: '/app/ebuyCommon/submitOrder',
							type: 'POST',
							params: {
								baseBusinessType: '005001',
								userId: loginStatus.userId,
//									userName: userName,
								storeUserId: '',
								storeUserName: '',
								storeId: '',
								storeName: '',
								supplierId: params.supplierId,
								operatorId: '',
								goodsSellId: params.goodsId,
								goodsSellName: params.goodsName,
								goodsItemColor: params.goodsProperty,
								goodsItemConfigure: params.goodsProperty,
								orderProductPrice: params.goodsPrice,
								addressType: currentDeliveryId,
								addressId: addressId,
								address: address,
								amount: 1										// 商品数量
							},
							successCallback: function(submitOrderRes) {
								loadEmployeeBuyPage('payOrder', {
									query: {
										goodsId: params.goodsId,
										orderId: submitOrderRes.baseOrderId
//											deliveryType: currentDeliveryId,									// 地址类型
//											addressId: addressId,												// 地址id
//											deliveryAddress: deliveryAddress,									// 配送地址
//											selfDeliveryAddress: selfDeliveryAddress							// 自提地址		
									}
								});
							},
							errorCallback: function(err) {
								createOrderStatus = false;
							}
						});

//					} else if (checkOrderRes.placeOrder == false) {
//						// 检查下单失败
//						f7.alert('下单检查失败')
//					}
//				},
//				errorCallback: function(err) {}
//			});
		}
	}
	
	return {
		render: render
	}
})