define([
	'jquery',
	'employeeBuy/employeeBuyContainers/firstPay/firstPayView',
	'js/utilities'
], function(
	$$,
	firstPayView,
	utilities
) {
	var callAppApi = utilities.callAppApi;
	function init(query) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		if (mainView.activePage.name === 'employeeBuyFirstPay') {
			// 隐藏工具栏
			f7.hideToolbar('#toolbar');
		}
		
		// 注册显示事件
		f7.onPageBack('employeeBuyFirstPay', function() {
			f7.showToolbar('#toolbar');
		});
		
		// 防止选择支付方式的时候，可以点击上下箭头切换select
		if (query.fromPage === 'employeeBuyPayOrder') {
			$$('#payOrderChooseProduct').remove();
			$$('#payOrderChoosePeriod').remove();
		}
		
		callAppApi({
			  url: '/app/bankBatchCard',
			  type: 'POST',
			  params: {
				  userId: loginStatus.userId
			  },
			  successCallback: function(data) {
				  	firstPayView.render(Object.assign(query, {
					  batchCardData: data,
				  }));
				  
			  },
			  errorCallback: function(err) {}
		  });
		
//		firstPayView.render(query);
	}
	
	return {
		init: init
	}
});