define([
	'jquery',
	'js/utilities',
    'js/config',
	'hbs!employeeBuy/employeeBuyContainers/firstPay/firstPay'
], function(
	$$,
	utilities,
    config,
	firstPayTemplate
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var isOwnEmpty = utilities.isOwnEmpty;
	var formatSecondsTime = utilities.formatSecondsTime 
	var SKIP = config.SKIP;
	var firstPayPayTime;
    var firstPayPayTimeAgain;
	
	function render(params) {
		clearInterval(firstPayPayTime);
		clearInterval(firstPayPayTimeAgain);
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var batchCardData = params.batchCardData;
		
		//回显银行卡标识
		 if (batchCardData === null || isOwnEmpty(batchCardData) || batchCardData === '' || typeof batchCardData === 'undefined') {
	            batchCardData = {
	                batchCardKey: false
	            };
	        } else {
	            batchCardData.batchCardKey = true;
	        }
		 
		// 渲染navbar
		loadAdvanceCreditComponent('navbar', 'common', {
			container: '#firstPayNavbar',
			title: '支付订单',
			backId: 'firstPayBackBtn',
			isBackIcon: true,
			isBack: true,
			iconRightId: '',
			iconRightStatus: true,
			iconRight:'',
			iconRightClass: '',
			callback: function() {
				$('#firstPayBackBtn').on('click', function() {
					clearInterval(firstPayPayTime);
					clearInterval(firstPayPayTimeAgain);
					mainView.router.load({
						url: 'order.html',
						query: {
							fromPage: 'employeeBuyFirstPay',
							baseBusinessType: '005001'
						}
					});
				});
			}
		});
		
		$('#firstPayContent').html(firstPayTemplate({
			goodsPrice: params.firstPayPrice
		}));
		
		$('#firstPayChoosePeriodization').on('change', function(e) {
			if ($$(e.currentTarget).val() == '01') {
				$$('.pay-way-area').removeClass('icon-ali').addClass('icon-weixin');
			} else if ($$(e.currentTarget).val() == '02') {
				$$('.pay-way-area').removeClass('icon-weixin').addClass('icon-ali');
			}
		})
		//银行卡卡号回显
		if(batchCardData.batchCardKey){
			 $$('#firstPayBankCard').text(batchCardData.bankCardNumber.replace(/^(\d{4})\d+(\d{4})$/, '$1************$2'));
		 }
		
		 // 倒计时
        if (mainView.activePage.name === 'employeeBuyFirstPay') {
			callAppApi({
				url: '/api/checkOrderTimeOut',
				type: 'POST',
				params: {
					orderId: params.orderId,
					userId: loginStatus.userId,
					orderTimeOutType: '1'
				},
				successCallback: function(response) {
					var countDownTime = response.timeOutValue//获取到倒计时时间
					if(response.checkResult === false && countDownTime > 0){//未超时
			           firstPayPayTime = setInterval(function() {
			        	   	countDownTime--;
			            	 var payTime = formatSecondsTime(countDownTime, 'sec');
			            	 var minutes = payTime.minutes;
			            	 var seconds = payTime.seconds;
			            		 $$('#firstPayTime').text(minutes + ':' + seconds);
			            	 if(minutes === '00' && seconds === '00'){
		            		 	clearInterval(firstPayPayTime);
		            		 	callAppApi({
		            				url: '/api/checkOrderTimeOut',
		            				type: 'POST',
		            				params: {
		            					orderId: params.orderId,
		            					userId: loginStatus.userId,
		            					orderTimeOutType: '1'
		            				},
		            				successCallback: function(response) {
		            					var countDownTime = response.timeOutValue//获取到倒计时时间
		            					if(response.checkResult === false && countDownTime > 0){//未超时
		            			           firstPayPayTimeAgain = setInterval(function() {
		            			        	   	countDownTime--;
		            			            	 var payTimeAgain = formatSecondsTime(countDownTime, 'sec');
		            			            	 var minutesAgain = payTimeAgain.minutes;
		            			            	 var secondsAgain = payTimeAgain.seconds;
		            			            	 $$('#firstPayTime').text(minutesAgain + ':' + secondsAgain);
		            			            	 if(minutesAgain === '00' && secondsAgain === '00'){
		            		            		 	clearInterval(firstPayPayTimeAgain);
		            		            		 	// 支付超时
		            		    					f7.alertMessage('很抱歉，您的订单操作超时，感谢关注');
		            		    					var timeCancle = setTimeout(function() {
		            		    						mainView.router.load({
		            		    							url: 'order.html',
		            		    							force: true,
		            		    							query: {
		            		    								baseBusinessType:"005001",
		            		    							}
		            		    						});
		            		    						clearTimeout(timeCancle);
		            		    					}, 3000);
		            			            	 }
		            			            }, 1000) 
		            					} else {//后台返回超时
		            						// 支付超时
		            						f7.alertMessage('很抱歉，您的订单操作超时，感谢关注');
		            						var timeCancle = setTimeout(function() {
		            							mainView.router.load({
		            								url: 'order.html',
		            								force: true,
		            								query: {
		            									baseBusinessType:"005001",
		            								}
		            							});
		            							clearTimeout(timeCancle);
		            						}, 3000);
		            					}
		            				},
		            				errorCallback: function(err) {}
		            			});
			            	 }
			            }, 1000) 
					} else {//后台返回超时
						// 支付超时
						f7.alertMessage('很抱歉，您的订单操作超时，感谢关注');
						var timeCancle = setTimeout(function() {
							mainView.router.load({
								url: 'order.html',
								force: true,
								query: {
									baseBusinessType:"005001",
								}
							});
							clearTimeout(timeCancle);
						}, 3000);
					}
				},
				errorCallback: function(err) {}
			});
        }
		
		$$('#firstPayBindBankcard').on('click', function () {
            mainView.router.load({
                url: 'bindBankcard.html',
                query: {
                    fromPage: 'firstPay',
                    orderId:params.orderId,
                    firstPayPrice:params.firstPayPrice,
                    goodsName:params.goodsName
                }
            });
        });
		
		$('#firstPayBtn').on('click', function() {
//			paySuccessAfter();
			
			if( !batchCardData.batchCardKey){
				f7.alert('您还未进行银行卡绑定，请先绑卡');
                return false;
			}
			// 获取支付类型
			 var payWayKey = $('#firstPayChoosePeriodization').val();
             callAppApi({
                 url: '/api/payParams',
                 type: 'POST',
                 params: {
                 	 baseBusinessType: '005001',
                     userId: loginStatus.userId,
                     orderId: params.orderId,
                     orderType: '005001',
                     payTitle: params.goodsName,
                     payType: payWayKey,
                     repayType: '01',		//还款类型  首付款01 还租金02
                 },
                 successCallback: function (payParamsRes) {
                 	if (payParamsRes.code === '07001001') {
                 		clearInterval(firstPayPayTime);
                 		clearInterval(firstPayPayTimeAgain);
                        mainView.router.load({
                            url: 'order.html',
                            query: {
                                fromPage: 'employeeBuyFirstPay',
                                baseBusinessType: '005001'
                            }
                        });
                 	} else {
                     	var payParam = payParamsRes.payParam;
                     	var paymentOrderNo = payParamsRes.paymentOrderNo;
                    	
                         // 是否跳过cordova支付
                         if (!SKIP.cordova_pay) {
                         	TalkingData.onEventWithLabel('确认下单页', '进入支付流程');
                        	
                             if (payWayKey === '01') {
                                 wxpay.payment(JSON.parse(payParam), function (msg) {
                                	
                                 	paySuccess(msg, paymentOrderNo);
                                	
                                 }, function(msg) {
                                 	payFailure(msg, paymentOrderNo);
                                 });
                             } else if (payWayKey === '02') {
                                 cordova.plugins.AliPay.aliPayReq(function (msg) {
                                	
                                 	paySuccess(msg, paymentOrderNo);
                                	
                                 }, function (msg) {
                                     //  alert("支付回调" + msg);
                                 	payFailure(msg, paymentOrderNo);
                                 }, payParam);
                             }
                         } else {
                         	paySuccess('', paymentOrderNo);
                         }
                 	}
                 },
                 errorCallback: function(err) {}
             });
		});

        // 支付成功回调函数
        function paySuccess(msg, paymentOrderNo) {
        	
        	callAppApi({
        		url: '/api/paymentStatusQuery',
        		type: 'POST',
        		params: {
        			userId: loginStatus.userId,
        			orderId: params.orderId,
        			paymentOrderNo: paymentOrderNo
        		},
        		successCallback: function(paymentStatusQueryRes) {
        			
        			if (paymentStatusQueryRes.paymentStatus === '1') {
        				clearInterval(firstPayPayTime);
        				clearInterval(firstPayPayTimeAgain);
        				
            			TalkingData.onEventWithLabel('完成支付');
            			paySuccessAfter();
            	       
        			} else if (paymentStatusQueryRes.paymentStatus === '0') {
        				f7.alertMessage(paymentStatusQueryRes.paymentMsg);
        			}
        		},
        		errorCallback: function(err) {}
        	});
        }

        function paySuccessAfter(){
        	// 清除订单相关数据
        	localStorage.removeItem('employeeBuyGoodsId_' + loginStatus.userId);							// 清除该用户下单过程中的商品id
        	localStorage.removeItem('employeeBuyOrderId_' + loginStatus.userId);							// 清除该用户下单过程中的订单id
			localStorage.removeItem('employeeBuy_' + params.orderId + '_productId');						// 清除该用户下单的分期方案id
			localStorage.removeItem('employeeBuy_' + params.orderId + '_periodKey');						// 清除该用户下单的分期期数key
						
            $(".pay-order-ready").hide();
            $(".pay-order-success").show();
            $("#pay-order-success-btn").on('click',function(){
                mainView.router.load({
                  url: 'order.html',
                  query: {
                      fromPage: 'employeeBuyFirstPay',
                      baseBusinessType: '005001'
                  }
                });
            })
        }
        // 支付失败回调函数
        function payFailure(err, paymentOrderNo) {
            // 广电支付
            if (err === '未安装微信') {
                f7.alert('未安装微信');
            } else {
            	callAppApi({
            		url: '/api/paymentStatusQuery',
            		type: 'POST',
            		params: {
            			userId: loginStatus.userId,
            			orderId: params.orderId,
            			paymentOrderNo: paymentOrderNo
            		},
            		successCallback: function(paymentStatusQueryRes) {
            			
            			if (paymentStatusQueryRes.paymentStatus === '1') {
                			TalkingData.onEventWithLabel('完成支付');
                	        paySuccessAfter();
            			} else if (paymentStatusQueryRes.paymentStatus === '0') {
            				f7.alertMessage(paymentStatusQueryRes.paymentMsg);
            			}
            		},
            		errorCallback: function(err) {}
            	});
            }
        }
	}
	
	return {
		render: render
	}
})