define([
	'js/utilities',
	'js/datas',
	'employeeBuy/employeeBuyContainers/goodsDetail/goodsDetailView'
], function(
	utilities,
	Datas,
	goodsDetailView
) {
	var callAppApi = utilities.callAppApi;
	var employeeBuyIndexTimeCount = Datas.timeCountData.employeeBuyIndexTimeCount;
	
	function init(query) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		if (typeof query.goodsId == 'string' && query.goodsId !== '') {
			localStorage.setItem('employeeBuyGoodsId_' + loginStatus.userId, query.goodsId);
		}
		
		var fromPage = "";//供活动页返回使用
		if (typeof query.fromPage == 'string' && query.fromPage !== '') {
			fromPage = query.fromPage;
		}
		
		if (mainView.activePage.name === 'employeeBuyGoodsDetail') {
			// 隐藏工具栏
			f7.hideToolbar('#toolbar');
		}
		
		// 注册显示事件
		f7.onPageBack('employeeBuyGoodsDetail', function() {
			f7.showToolbar('#toolbar');
		});
		
		callAppApi({
			url: '/app/ebuyCommon/getGoodsDetail',
			type: 'POST',
			params: {
				goodsId: query.goodsId,
				baseBusinessType: '005001'
			},
			successCallback: function(goodsDetailRes) {

				// 如果商品详情图片列表返回的不是数组 或者 是数组但长度为0，则使用展位图片
				if (!(Array.isArray(goodsDetailRes.goodsImages) && goodsDetailRes.goodsImages.length > 0)) {
					goodsDetailRes.goodsImages = [
						'./img/none.png'
					];
				}
				
				var goodsDetailsStatus = '';
				if (goodsDetailRes.goodsDetails) {
					goodsDetailsStatus = '1';
				} else {
					goodsDetailsStatus = '0';
				}

				goodsDetailView.render({
					goodsImages: goodsDetailRes.goodsImages,
					
					goodsId: query.goodsId,
					goodsName: goodsDetailRes.goodsName,
					goodsPrice: goodsDetailRes.goodsPrice,
					goodsMarketPrice: goodsDetailRes.goodsMarketPrice,
					goodsSalesNumber: goodsDetailRes.goodsSalesNumber,
					goodsStockNumber: goodsDetailRes.goodsStockNumber,
					
					goodsProperties: goodsDetailRes.goodsProperties,
					goodsDetailsStatus: goodsDetailsStatus,
					goodsDetails: goodsDetailRes.goodsDetails,
					
					minPayPerMonth: goodsDetailRes.minPayPerMonth,
					goodsActivity: goodsDetailRes.goodsActivity,
					fromPage:fromPage
				});
			},
			errorCallback: function(err) {}
		});
	}
	
	
	return {
		init: init
	}
});
