define([
    'jquery',
	'js/swiper.min',
	'js/utilities',
	'js/cache',
	'hbs!employeeBuy/employeeBuyContainers/goodsDetail/goodsDetail',
	'hbs!employeeBuy/employeeBuyContainers/goodsDetail/goodsDetailPopup',
	'hbs!employeeBuy/employeeBuyComponents/common/banner/banner'
], function(
	$$,
	Swiper,
	utilities,
	cache,
	goodsDetailTemplate,
	goodsDetailPopupTemplate,
	bannerTemplate
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var cacheBackground = cache.cacheBackground;
	
	function render(params) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var currentGoodsId = params.goodsId;
		var currentGoodsPrice = '';
		var currentGoodsMinPayPerMonth = '';
		var goodsProperty = '默认配置';
		if (Array.isArray(params.goodsProperties) && params.goodsProperties.length > 0) {
			goodsProperty = params.goodsProperties.filter(function(item) {
				if (item.goodsId == params.goodsId) {
					return true;
				}
			})[0].goodsProperty;
		}
		
		var buttonStage = '1';
		
		if (
			params.goodsActivity &&
			params.goodsActivity.kill &&
			(typeof params.goodsActivity.kill.systemTime == 'string' && params.goodsActivity.kill.systemTime !== '') &&
			(typeof params.goodsActivity.kill.beginTime == 'string' && params.goodsActivity.kill.beginTime !== '')
		) {
			var killSystemTime = params.goodsActivity.kill.systemTime;
			var killBeginTime = params.goodsActivity.kill.beginTime;
			var killRemainBeginSec = (Date.parse(new Date(killBeginTime.replace(/-/g, '/')))/1000 - Date.parse(new Date(killSystemTime.replace(/-/g, '/')))/1000);
			
			if (killRemainBeginSec > 0) {
				buttonStage = '0'
			}
		}
		
		if (
			params.goodsActivity &&
			params.goodsActivity.kill &&
			(typeof params.goodsActivity.kill.systemTime == 'string' && params.goodsActivity.kill.systemTime !== '') &&
			(typeof params.goodsActivity.kill.endTime == 'string' && params.goodsActivity.kill.endTime !== '')
		) {
			var killSystemTime = params.goodsActivity.kill.systemTime;
			var killEndTime = params.goodsActivity.kill.endTime;
			var killRemainEndSec = (Date.parse(new Date(killEndTime.replace(/-/g, '/')))/1000 - Date.parse(new Date(killSystemTime.replace(/-/g, '/')))/1000);
			
			if (killRemainEndSec < 1) {
				buttonStage = '2';
			}
		}
		
		if (parseInt(params.goodsStockNumber) < 1) {
			buttonStage = '2';
		}
		

		// 渲染navbar
		loadEmployeeBuyComponent('navbar', 'common', {
			container: '#goodsDetailNavbar',
			title: '商品详情',
			backId: 'goodsDetialBackBtn',
			isBackIcon: true,
			isBack: true,
			callback: function() {
				// 暂时先不手动配置返回按钮
				$('#goodsDetialBackBtn').on('click', function() {
					if((params.fromPage == 'cost_performance_act') || (params.fromPage == 'air_cleaner_act')){
						loadEmployeeBuyPage('goodsActivity', {
							query:{
								fromPage: 'employeeBuyIndex',
								linkId: params.fromPage
							}
						});
					}else{
						loadEmployeeBuyPage('employeeBuyIndex', {});
					}
					
				})
				
			}
		});
		
		// 渲染商品详情主页面
		$('#goodsDetailContent').html(goodsDetailTemplate({
			goodsName: params.goodsName,
			goodsPrice: params.goodsPrice,
			goodsMarketPrice: params.goodsMarketPrice,
			goodsSalesNumber: params.goodsSalesNumber || '0',
			goodsInfoPrompt: '月还款',
			minPayPerMonth: params.minPayPerMonth,

			goodsProperty: goodsProperty,

			buttonStage: buttonStage,
				
			goodsDetailsStatus: params.goodsDetailsStatus,
			goodsDetailPicture: params.goodsDetails,
		}));
		
		// 渲染banner
		$('#goodsDetailBanner .swiper-wrapper').html(bannerTemplate({
			bannerData: params.goodsImages.map(function(item) {
				return {
					goodsImage: item
				}
			})
		}));

		// 设置banner高度
		$('#goodsDetailBanner').css({'height': parseInt($(window).width() * 1) + 'px'});
		
		// 初始化banner
		var indexBanner = new Swiper('#goodsDetailBanner', {
			autoplay: 3000,
//			loop: true,
			lazyLoading: true,
			onInit: function(swiper) {
				$('.swiper-current-slide').text(swiper.activeIndex + 1);
				$('.swiper-total-slide').text(params.goodsImages.length);
			},
			onSlideChangeEnd: function(swiper) {
				$('.swiper-current-slide').text(swiper.activeIndex + 1);
				$('.swiper-total-slide').text(params.goodsImages.length);
			},
			onLazyImageReady: function(swiper, slide, image) {
				cacheBackground($$(image));
			}
//			pagination: '.swiper-pagination'
		});

	    var oSwiper = new Swiper('#goodsDetailSwiperContainer',{
			direction : 'vertical',
			mousewheelControl: true,
			onSetTransition: function(swiper){
	            if(swiper.activeIndex==1){
		            swiper.params.onlyExternal=true;
		            swiper.disableMousewheelControl();
	           	}else{
		            swiper.params.onlyExternal=false;
		            swiper.enableMousewheelControl();
		        }
          	}
		});
	    
		var iSwiper = new Swiper('#goodsDetailContentContainer',{
			scrollbar: '.swiper-scrollbar',
	        direction: 'vertical',
	        slidesPerView: 'auto',
			freeMode: true,
			freeModeMomentum : false,
			mousewheelControl: true,
			mousewheelSensitivity : 0.5,
			onSetTransition: function(swiper,translate){
				//translate 一直为0，不可直接用
				nowTranslate=swiper.translate;
				if( typeof(beforeTranslate)=="undefined"){beforeTranslate=0};
				slideHeight=swiper.slides[0].scrollHeight;
				swiperHeight=swiper.height
				if(nowTranslate>-2 && nowTranslate > beforeTranslate){oSwiper.slideTo(0);}
//				if(slideHeight-swiperHeight+nowTranslate<2 && nowTranslate < beforeTranslate){oSwiper.slideTo(2);}
				beforeTranslate=nowTranslate;
	           },
			 onTouchEnd:function(swiper){
				 if(swiper.translate>0){oSwiper.slideTo(0);}
//				 if(swiper.translate<(swiper.height-swiper.slides[0].scrollHeight)){oSwiper.slideTo(2);}
			 }

			});
	    

	    
//		$('#choosePopup').on('open', function() {
//
////			// 获取动态手机配置
////			callAppApi({
////				
////			})
//		});
		
		// 手机配置选择
		$('#goodsDetailChooseBtn').on('click', function() {
			
//			params.goodsProperties.forEach(function(item) {
//				item.goodsPrice = '123123';
//				item.minPayPerMonth = '123'
//			});
			
			// 渲染商品详情弹出层
			$('#choosePopup').html(goodsDetailPopupTemplate({
				goodsPic: params.goodsImages[0],
				cuurentPrice: params.goodsPrice,
				goodsId: params.goodsId,
				currentGoodsId: currentGoodsId,
				goodsPrice: params.goodsPrice,
				goodsProperties: params.goodsProperties,
				goodsInfoPrompt: '月还款',
				minPayPerMonth: params.minPayPerMonth,
			}));
			
			$("#choosePopup .content-item").on("click",function(){
				$("#choosePopup .content-item").removeClass("current-choose");
				$(this).addClass("current-choose");
				
				// 获取用户当前选择的goodsId
				currentGoodsId = $('#goodsPropertyList .current-choose').data('goodsId');
				currentGoodsPrice = $('#goodsPropertyList .current-choose').data('goodsPrice');
				currentGoodsMinPayPerMonth = $('#goodsPropertyList .current-choose').data('minPayPerMonth');
				
				$('#goodsDetailPopupGoodsId').text(currentGoodsId);
				$('#currentGoodsPrice').text(currentGoodsPrice);
				$('#currentMinPayPerMonth').text(currentGoodsMinPayPerMonth);
			});
			
			$('#goodsConfigConfirmBtn').on('click', function() {
				
				f7.closeModal('#choosePopup');
				
				$('#currentGoodsProperty').text(params.goodsProperties.filter(function(item) {
					return item.goodsId == currentGoodsId;
				})[0].goodsProperty);
				
				mainView.router.load({
					url: 'employeeBuy/employeeBuyTemplate/goodsDetail.html',
					ignoreCache: true,
					reload: true,
					query: {
						goodsId: currentGoodsId
					}
				});
			});
			
			f7.popup('#choosePopup');
//			$("#choosePopup .content-item").eq(0).addClass("current-choose");
		});
		
		$('#goodsDetailCommitBtn').on('click', function() {
			
//			function goAuth() {
			callAppApi({
				url: '/app/ebuyCommon/checkCredit',
				type: 'POST',
				params: {
					userId: loginStatus.userId,
					baseBusinessType: '005001'
				},
				successCallback: function(creditRes) {
					var userIsLocked = creditRes.userIsLocked;
					var userIsCredited = creditRes.userIsCredited;
					var creditAuditStatus = creditRes.creditAuditStatus;
					var creditResultType = creditRes.creditResultType;
					var creditLimit = creditRes.creditLimit;
					var creditType = creditRes.creditType;
					
					if (userIsLocked == true) {
						// 禁闭期
						f7.alertMessage('很抱歉，您暂时无法办理该业务，感谢关注！');
					} else if (userIsCredited == '0' || userIsCredited == '3' || userIsCredited == '5') {
						  f7.modal({
							  title: '',
							  text: '您尚未进行身份认证，请先进行身份认证再继续操作',
							  buttons: [
								  {
									  text: '<span color="gray">取消</span>',
									  onClick: function() {}
								  },
								  {
									  text: '<span color="#f4610b">去认证</span>',
									  onClick: function() {
											// 身份未认证，跳转身份认证页面
											loadEmployeeBuyPage('authenticationSupplement', {
												query:{
													fromPage: 'employeeBuyIndex',
													creditType: creditType
												}
											});
									  }
								  }
							  ]
						  });
					} else if (userIsCredited == '1' && creditAuditStatus == '58') {
						f7.alertMessage('很抱歉，您暂时无法办理该业务，感谢关注！');
					} else if (userIsCredited == '1' && (creditAuditStatus == '13' || creditAuditStatus == '14')) {
						// 身份认证信息已提交，等待审核
						f7.alertMessage('您的分期额度还在申请中，请稍后尝试');
					} else if (userIsCredited == '1' && creditAuditStatus == '12') {	
						  f7.modal({
							  title: '',
							  text: '您尚未进行身份认证，请先进行身份认证再继续操作',
							  buttons: [
								  {
									  text: '<span color="gray">取消</span>',
									  onClick: function() {}
								  },
								  {
									  text: '<span color="#f4610b">去认证</span>',
									  onClick: function() {
											// 未设置交易密码
											mainView.loadPage({
												url : 'setPassword.html',
												query : {
													fromPage :"employeeBuyUploadIdCard"
												}
											});
									  }
								  }
							  ]
						  });
					} else if (userIsCredited == '1' && (creditAuditStatus == '-1' || creditAuditStatus == '15')) {
						
						  f7.modal({
							  title: '',
							  text: '您尚未进行身份认证，请先进行身份认证再继续操作',
							  buttons: [
								  {
									  text: '<span color="gray">取消</span>',
									  onClick: function() {}
								  },
								  {
									  text: '<span color="#f4610b">去认证</span>',
									  onClick: function() {
											// 身份认证信息未提交或退回，提交身份认证材料
											loadEmployeeBuyPage('uploadIdCard', {
												query:{
													fromPage: 'employeeBuyIndex',
													creditType: creditType
												}
											});
									  }
								  }
							  ]
						  });
					} else if (userIsCredited == '1' && creditAuditStatus == '31') {
						// 身份认证通过
						checkOrder();
					}
				},
				errorCallback: function(err) {}
			});
//			}
			
			function checkOrder() {
				callAppApi({
					url: '/app/ebuyCommon/checkOrder',
					type: 'POST',
					params: {
						baseBusinessType: '005001',
						userId: loginStatus.userId,
						goodsLimit: params.goodsPrice
					},
					apiVersion: '1.1',
					successCallback: function(checkOrderRes) {
						if (checkOrderRes.placeOrder == true) {
							// 检查可以下单
							loadEmployeeBuyPage('fillOrder', {
								query: {
									employeeBuyGoodsId: currentGoodsId
								}
							});
						} else if (checkOrderRes.placeOrder == false) {
							// 检查下单失败
							f7.alertMessage('下单检查失败')
						}
					},
					errorCallback: function(err) {}
				});
			}

			
//			// 检查能否下单
//			callAppApi({
//				url: '/app/checkPlaceOrder',
//				type: 'POST',
//				params: {
//					userId: loginStatus.userId,
//					userIsOld: loginStatus.oldUser,
//					oldId: loginStatus.oldId,
//					businessType: '005001'							// 检查005001 能否下单
//				},
//				successCallback: function(checkPlaceOrderRes) {
//					loadEmployeeBuyPage('fillOrder', {
//						query: {
//							employeeBuyGoodsId: currentGoodsId
//						}
//					});
//				},
//				errorCallback: function(err) {}
//			});
		});
	}
	
	return {
		render: render
	}
	
})