define([
	'js/utilities',
	'employeeBuy/employeeBuyContainers/goodsList/goodsListView'
], function(
	utilities,
	goodsListView
) {

	var callAppApi = utilities.callAppApi;
	function init(query) {
		var channelIds = [];
		var goodsBrandIds = [];
		var goodsKeywords = '';
		var categoryId = '';
		
		if (Array.isArray(query.channelIdList) && query.channelIdList.length > 0) {
			channelIds = query.channelIdList;
		}
		if (Array.isArray(query.brandIdList) && query.brandIdList.length > 0) {
			goodsBrandIds = query.brandIdList;
		}
		if (typeof query.goodsKeywords == 'string') {
			goodsKeywords = query.goodsKeywords;
		}
		if (typeof query.categoryId == 'string') {
			categoryId = query.categoryId;
		}
		
//		// 不在Controller里发送商品列表请求，在View里发送search请求
//		callAppApi({
//			url: '/app/ebuyCommon/getGoodsList',
//			type: 'POST',
//			params: {
//				channelIds: channelIds,
//				goodsBrandIds: goodsBrandIds,
//				goodsKeywords: goodsKeywords
//			},
//			successCallback: function(goodsListRes) {
//
//				goodsListView.render(goodsListRes)
//			},
//			errorCallback: function(err) {}
//		});
		
		goodsListView.render({
			goodsKeywords: goodsKeywords,
			channelIds: channelIds,
			goodsBrandIds: goodsBrandIds,
			categoryId: categoryId
		})
	}
	
	return {
		init: init
	}
})