define([
	'js/utilities',
	'employeeBuy/employeeBuyContainers/payOrder/payOrderView'
], function(
	utilities,
	payOrderView
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	
	
	function init(query) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));

		if (mainView.activePage.name === 'employeeBuyPayOrder') {
			// 隐藏工具栏
			f7.hideToolbar('#toolbar');
		}
		
		// 返回显示工具栏
		f7.onPageBack('employeeBuyPayOrder', function(page) {
			f7.showToolbar('#toolbar');
		});
		
		var goodsId = '';
		if (typeof query.goodsId == 'string' && query.goodsId !== '') {
			goodsId = query.goodsId;
			localStorage.setItem('employeeBuyGoodsId_' + loginStatus.userId, goodsId);
		} else {
			goodsId = localStorage.getItem('employeeBuyGoodsId_' + loginStatus.userId);
		}
		
		var orderId = '';
		if (typeof query.orderId == 'string' && query.orderId !== '') {
			orderId = query.orderId;
			localStorage.setItem('employeeBuyOrderId_' + loginStatus.userId, orderId);
		} else {
			orderId = localStorage.getItem('employeeBuyOrderId_' + loginStatus.userId);
		}
		
		
		callAppApi({
			url: '/app/ebuyCommon/getGoodsDetail',
			type: 'POST',
			params: {
				goodsId: goodsId,
				baseBusinessType: '005001'
			},
			successCallback: function(goodsDetailRes) {
				callAppApi({
					url: '/app/ebuy/suite/suitePlanList',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						baseBusinessType: '005001',
						supplierId: goodsDetailRes.supplierId,
					},
					successCallback: function(suitePlanListRes) {
						
//						// 分期产品id
//						var productId = suitePlanListRes[0].productId;
//						// 分期产品名称
//						var productName = suitePlanListRes[0].productName;
//						
//						// 期数列表
//						var periodList = suitePlanListRes[0].planList[0].periodList;
						
						
						if (
								typeof localStorage.getItem('employeeBuy_' + orderId + '_productId') == 'string' && 
								localStorage.getItem('employeeBuy_' + orderId + '_productId') !== '' &&
								typeof localStorage.getItem('employeeBuy_' + orderId + '_periodKey') == 'string' &&
								localStorage.getItem('employeeBuy_' + orderId + '_periodKey') == 'string' !== ''
						) {
							
							var productId = localStorage.getItem('employeeBuy_' + orderId + '_productId');
							var periodKey = localStorage.getItem('employeeBuy_' + orderId + '_periodKey');
							
							callAppApi({
								url: '/app/suitePlanDetail',
								type: 'POST',
								params: {
									userId: loginStatus.userId,
									orderProductPrice: goodsDetailRes.goodsPrice,
									periodKey: periodKey,
									planId: '',
									goodsSellId: goodsDetailRes.goodsId,
									businessType: '005001'
								},
								successCallback: function(suitePlanDetailRes) {
									
									payOrderView.render({
										orderId: orderId,
										
										goodsDetailData: goodsDetailRes,
										suitePlanList: suitePlanListRes,
										
										alreadyChooseStatus: true,										// 是否回显
										productId: productId,											// 分期产品id
										periodKey: periodKey,											// 分期期数key
										
										suitePlanDetail: suitePlanDetailRes								// 套餐计算数据	
									});
								},
								errorCallback: function(err) {}
							});
							

						} else {
							payOrderView.render({
								orderId: orderId,
								
								goodsDetailData: goodsDetailRes,
								suitePlanList: suitePlanListRes
							});
						}
						
//						if (typeof localStorage.getItem('employeeBuy_' + orderId + '_periodKey') == 'string' && localStorage.getItem('employeeBuy_' + orderId + '_periodKey') !== '') {
//							
//							var periodKey = localStorage.getItem('employeeBuy_' + orderId + '_periodKey');
//							var period = '';
//							periodList.forEach(function(item) {
//								if (item.periodKey == periodKey) {
//									period = item.period;
//								}
//							});
//							
//							callAppApi({
//								url: '/app/suitePlanDetail',
//								type: 'POST',
//								params: {
//									userId: loginStatus.userId,
//									orderProductPrice: goodsDetailRes.goodsPrice,
//									periodKey: periodKey,
//									planId: '',
//									goodsSellId: goodsDetailRes.goodsId,
//									businessType: '005001'
//								},
//								successCallback: function(suitePlanDetailRes) {
//									payOrderView.render({
//										orderId: orderId,
//										
//										goodsDetailData: goodsDetailRes,
//										productId: productId,
//										productName: productName,
//										periodList: periodList,
//										
//										// 是否回显
//										periodStatus: true,
//										periodKey: periodKey,
//										period: period,
//										suitePlanDetail: suitePlanDetailRes
//									});
//								},
//								errorCallback: function() {}
//							});
//						} else {
//							payOrderView.render({
//								orderId: orderId,
//								
//								goodsDetailData: goodsDetailRes,
//								productId: productId,
//								productName: productName,
//								periodList: periodList,
//							});
//						}
					},
					errorCallback: function(err) {}
				});
			},
			errorCallback: function(err) {}
		});
	}
	
	return {
		init: init
	}
});