define([
	'jquery',
	'js/utilities',
	'js/validator',
	'js/sha256',
	'employeeBuy/employeeBuyContainers/payOrder/payOrderHelper',
	'hbs!employeeBuy/employeeBuyContainers/payOrder/payOrder',
	'hbs!employeeBuy/employeeBuyComponents/payOrder/optionList',
	'hbs!components/common/protocolArea/protocolFrame'
], function(
	$$,
	utilities,
	validator,
	SHA256,
	payOrderHelper,
	payOrderTemplate,
	optionListTemplate,
	protocolFrame
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var callWebHtml = utilities.callWebHtml;
    var isOwnEmpty = utilities.isOwnEmpty;
    var getDeviceType = utilities.getDeviceType;
    var checkBankNo = validator.checkBankNo;
    var checkBankId = validator.checkBankId;
    
    var resetPeriod = payOrderHelper.resetPeriod;
    var resetResult = payOrderHelper.resetResult;
    var resetPrompt = payOrderHelper.resetPrompt;
	
	function render(params) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var userName = params.userName;									// 用户姓名
		
//		var deliveryType = params.deliveryType;							// 地址类型
//		var addressId = params.addressId;								// 配送地址id
//		var deliveryAddress = params.deliveryAddress;					// 配送地址
//		var selfDeliveryAddress = params.selfDeliveryAddress;			// 自提地址
		
		var goodsId = params.goodsDetailData.goodsId;					// 售品id
		var goodsName = params.goodsDetailData.goodsName;				// 售品名称
		var goodsPrice = params.goodsDetailData.goodsPrice;				// 商品价格
		var goodsProperty = '';											// 商品配置属性
		
		params.goodsDetailData.goodsProperties.forEach(function(item) {
			if (item.goodsId === goodsId) {
				goodsProperty = item.goodsProperty;
			}
		});
		
		var supplierId = params.goodsDetailData.supplierId || '';				// 供应商id
		var productId = params.productId;										// 分期产品id
		var productName = params.productName;									// 分期产品名称
		var periodKey = '';														// 分期期数Key值
		var period = '';														// 分期期数
		var periodList = [];													// 分期期数数组（辅助取值）
		
		var downPayment = '';				// 期初支付
		var selfPayAmount = '';				// 自付金额
		
		var orderPlanId = '';				// 试算ID
		var stagePrice = '';				// 每期租金
		var handlingCharge = '';			// 手续费
		var serviceCharge = '';				// 服务费
		var leverPrice = '';				// 设备杠杆
		var totalAmount = '';				// 租金总额
		var onlineSelfPayAmount = '';		// 差额 = 商品价格 - 实际授信
		var realCreditLine = '';			// 实际授信
		var preliminaryPayment = '';		// 差额支付版本的期初支付
		
		var paymentDetail = [];				// 套餐试算
		
		var pwdErrorCount = 1;						// 交易密码错误次数
		var employeeBuyPwdStatus = true;			// 记录密码是否可用
		if (
				typeof localStorage.getItem('employeeBuyPwdErrorTime') == 'string' &&
				localStorage.getItem('employeeBuyPwdErrorTime') !== '' &&
				localStorage.getItem('employeeBuyPwdErrorTime') - Date.now() > 0
		) {
			pwdErrorCount = 5;
			employeeBuyPwdStatus = false;
		}
		
		var payOrderInputPwdStatus = false;					// 是否正在发送验证交易密码请求
		
		// 渲染navbar
		loadEmployeeBuyComponent('navbar', 'common', {
			container: '#payOrderNavbar',
			title: '支付订单',
			backId: 'payOrderBackBtn',
			isBackIcon: true,
			isBack: true,
			iconRightId: '',
			iconRightStatus: false,
			iconRight:'',
			iconRightClass: '',
			callback: function() {
				$('#payOrderBackBtn').on('click', function() {
					
	                mainView.router.load({
	                	url: 'order.html',
	                	query: {
	                		fromPage: 'payOrder',
	                		baseBusinessType: '005001'
	                	}
	                });
				})
			}
		});
		
		
		
		// 是否已经选择过期数
		if (params.alreadyChooseStatus) {
			
			productId = params.productId;											// 分期产品id
			periodKey = params.periodKey;											// 分期期数key
			
			orderPlanId = params.suitePlanDetail.orderPlanId;					// 试算id
			downPayment = params.suitePlanDetail.downPayment;					// 期初支付
			selfPayAmount = params.suitePlanDetail.selfPayAmount;				// 自付金额
			stagePrice = params.suitePlanDetail.stagePrice;						// 每期租金
			handlingCharge = params.suitePlanDetail.handlingCharge;				// 手续费
			serviceCharge = params.suitePlanDetail.serviceCharge;				// 服务费
			leverPrice = params.suitePlanDetail.leverPrice;						// 设备杠杆
			totalAmount = params.suitePlanDetail.totalAmount;					// 租金总额
			onlineSelfPayAmount = params.suitePlanDetail.onlineSelfPayAmount;	// 差额 	（差额支付需求，商品价格-实际授信）
			realCreditLine = params.suitePlanDetail.realCreditLine;				// 实际授信
			preliminaryPayment = params.suitePlanDetail.preliminaryPayment;		// 差额支付版本的期初支付
			
			var suitePlanList = params.suitePlanList;

			// 获取分期产品名称
			suitePlanList.forEach(function(item) {
				if (productId == item.productId) {
					productName = item.productName;
					periodList = item.planList[0].periodList;
				}
			});
			
			// 获取分期期数key
			periodList.forEach(function(item) {
				if (periodKey == item.periodKey) {
					period = item.period;
				}
			});
			
			var productList = suitePlanList.map(function(item) {
				if (productId == item.productId) {
					return {
						default: true,
						productId: item.productId,
						productName: item.productName
					}
				} else {
					return {
						default: false,
						productId: item.productId,
						productName: item.productName
					}
				}
			});
			
			productList.unshift({
				default: false,
				productId: '',
				productName: '请选择'
			});
			
			// 获取期数数组
			periodList = suitePlanList.filter(function(item)  {
				return productId == item.productId;
			})[0].planList[0].periodList;
			
			var periodViewList = periodList.map(function(item) {
				if (periodKey == item.periodKey) {
					return {
						view: item.period,
						viewSuffix: '期',
						value: item.periodKey,
						default: true
					}
				} else {
					return {
						view: item.period,
						viewSuffix: '期',
						value: item.periodKey,
						default: false
					}
				}
			});
			
			periodViewList.unshift({
				view: '请选择',
				value: '',
				default: false
			});
			
			// 渲染页面
			$$('#payOrderContent').html(payOrderTemplate({
				goodsPrice: params.goodsDetailData.goodsPrice,
				productList: productList,
				
				periodStatus: true,
				periodList: periodViewList,
				
//				downPayment: downPayment,
				preliminaryPayment: preliminaryPayment,
				onlineSelfPayAmount: onlineSelfPayAmount,
//				selfPayAmount: selfPayAmount,
				
				stagePrice: stagePrice
			}));
			
			// 提示框
			$$(".firstPayAlert").off("click.firstPayAlert").on("click.firstPayAlert",function(){
				f7.modal({
					title: '期初支付',
					// 样式写在payOrder.hbs中
					afterText: '<div class="chooseGoodsModalItem"><span class="key">设备服务费</span><span class="value">' + leverPrice + '</span></div>' +
								'<div class="chooseGoodsModalItem"><span class="key">平台服务费</span><span class="value">' + serviceCharge + '</span></div>' +
								'<div class="chooseGoodsModalItem"><span class="key">平台交易手续费</span><span class="value">' + handlingCharge + '</span></div>',
					buttons: [
						{
							text: '确认',
						}
					]
				});
			})
			
		} else {
			var suitePlanList = params.suitePlanList;
			
			var productList = suitePlanList.map(function(item) {
				return {
					default: false,
					productId: item.productId,
					productName: item.productName
				}
			});
			
			productList.unshift({
				default: true,
				productId: '',
				productName: '请选择'
			});
			
			var periodList = [{
				default: true,
				value: '',
				view: '请选择'
			}];
			
			$$('#payOrderContent').html(payOrderTemplate({
				goodsPrice: params.goodsDetailData.goodsPrice,
				productList: productList,
				
				periodStatus: false,
				periodList: periodList,
				
//				downPayment: '0',
				preliminaryPayment: '0',					// 差额支付版本的期初支付
				onlineSelfPayAmount: '0',					// 差额
//				selfPayAmount: '0',
				stagePrice: '0'
			}));
		}
		
		$$('#payOrderChooseProduct').on('change', function(e) {
			// 修改分期产品，就重置分期产品、期数
			resetResult();
			resetPrompt();
			
			productId = '';										// 分期方案id
			productName = '';									// 分期方案名称
			
			periodKey = '';										// 分期期数key
			period = '';										// 分期期数
			
			orderPlanId = '';									// 试算id
			downPayment = '';									// 期初支付
			selfPayAmount = '';									// 自付金额
			stagePrice = '';									// 每期租金
			handlingCharge = '';								// 手续费
			serviceCharge = '';									// 服务费
			leverPrice = '';									// 设备杠杆
			totalAmount = '';									// 租金总额
			onlineSelfPayAmount = '';							// 差额
			realCreditLine = '';								// 实际授信
			preliminaryPayment = '';							// 差额支付版本的期初支付
			
			if ($$(e.target).val() == '') {
				f7.alertMessage('请选择分期产品');
				
				localStorage.removeItem('employeeBuy_' + params.orderId + '_productId');

				resetPeriod('#payOrderChoosePeriod');
				$$('#payOrderChoosePeriod').prop('disabled', true);
			} else {
				productId = $('#payOrderChooseProduct').val();
				
				localStorage.setItem('employeeBuy_' + params.orderId + '_productId', productId);
				
				suitePlanList.forEach(function(item) {
					if (productId == item.productId) {
						productName = item.productName;
					}
				});
				
				periodList = suitePlanList.filter(function(item)  {
					return productId == item.productId;
				})[0].planList[0].periodList;
				
				var periodViewList = periodList.map(function(item) {
					return {
						view: item.period,
						viewSuffix: '期',
						value: item.periodKey,
						default: false
					}
				});
				
				periodViewList.unshift({
					view: '请选择',
					value: '',
					default: true
				});
				
				$$('#payOrderChoosePeriod').html(optionListTemplate({optionsList: periodViewList}));
				$$('#payOrderChoosePeriod').prop('disabled', false);
			}
		});
		
		$$('#payOrderChoosePeriod').on('change', function(e) {
			if ($$(e.target).val() == '') {
				f7.alertMessage('请选择分期期数');

				localStorage.removeItem('employeeBuy_' + params.orderId + '_periodKey');
				
				resetResult();
				resetPrompt();

				periodKey = '';										// 分期期数key
				period = '';										// 分期期数
				
				orderPlanId = '';									// 试算id
				downPayment = '';									// 期初支付
				selfPayAmount = '';									// 自付金额
				stagePrice = '';									// 每期租金
				handlingCharge = '';								// 手续费
				serviceCharge = '';									// 服务费
				leverPrice = '';									// 设备杠杆
				totalAmount = '';									// 租金总额
				onlineSelfPayAmount = '';							// 差额
				realCreditLine = '';								// 实际授信
				preliminaryPayment = '';							// 差额支付版本的期初支付
				
			} else {
				periodKey = $$(e.target).val();
				
				localStorage.setItem('employeeBuy_' + params.orderId + '_periodKey', periodKey);
				
				periodList.forEach(function(item) {
					if (periodKey == item.periodKey) {
						period = item.period;
					}
				});
				
				callAppApi({
					url: '/app/suitePlanDetail',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						orderProductPrice: params.goodsDetailData.goodsPrice,
						periodKey: periodKey,
						planId: '',
						goodsSellId: params.goodsDetailData.goodsId,
						businessType: '005001'
					},
					successCallback: function(suitePlanDetailRes) {
						orderPlanId = suitePlanDetailRes.orderPlanId;					// 试算id
						downPayment = suitePlanDetailRes.downPayment;					// 期初支付
						selfPayAmount = suitePlanDetailRes.selfPayAmount;				// 自付金额
						stagePrice = suitePlanDetailRes.stagePrice;						// 每期租金
						handlingCharge = suitePlanDetailRes.handlingCharge;				// 手续费
						serviceCharge = suitePlanDetailRes.serviceCharge;				// 服务费
						leverPrice = suitePlanDetailRes.leverPrice;						// 设备杠杆
						totalAmount = suitePlanDetailRes.totalAmount;					// 租金总额
						onlineSelfPayAmount = suitePlanDetailRes.onlineSelfPayAmount;	// 差额
						realCreditLine = suitePlanDetailRes.realCreditLine;				// 实际授信额度
						preliminaryPayment = suitePlanDetailRes.preliminaryPayment;		// 差额支付版本的期初支付
						
//						$('#payOrderFirstPay').text(suitePlanDetailRes.downPayment);
						$('#payOrderFirstPay').text(suitePlanDetailRes.preliminaryPayment);
						$('#payOrderOnlineSelfPayAmount').text(suitePlanDetailRes.onlineSelfPayAmount);
//						$('#payOrderOnlineSelfPayAmount').text(suitePlanDetailRes.selfPayAmount);
						$('#payOrderStagePrice').text(suitePlanDetailRes.stagePrice);
					
						$$(".firstPayAlert").off("click.firstPayAlert").on("click.firstPayAlert",function(){
							f7.modal({
								title: '期初支付',
								// 样式写在payOrder.hbs中
								afterText: '<div class="chooseGoodsModalItem"><span class="key">设备服务费</span><span class="value">' + leverPrice + '</span></div>' +
											'<div class="chooseGoodsModalItem"><span class="key">平台服务费</span><span class="value">' + serviceCharge + '</span></div>' +
											'<div class="chooseGoodsModalItem"><span class="key">平台交易手续费</span><span class="value">' + handlingCharge + '</span></div>',
								buttons: [
									{
										text: '确认',
									}
								]
							});
						})
					},
					errorCallback: function(err) {}
				});
				
			}
		});

//		var periodList = params.periodList;
//
//		periodList.unshift({
//			period: '请选择期数',
//			periodKey: ''
//		});
		
//		if (params.periodStatus) {
//			periodKey = params.periodKey;
//			period = params.period;
//			
//			downPayment = params.suitePlanDetail.downPayment;					// 期初支付
//			selfPayAmount = params.suitePlanDetail.selfPayAmount;				// 自付金额
//			stagePrice = params.suitePlanDetail.stagePrice;						// 每期租金
//			handlingCharge = params.suitePlanDetail.handlingCharge;				// 手续费
//			serviceCharge = params.suitePlanDetail.serviceCharge;				// 服务费
//			leverPrice = params.suitePlanDetail.leverPrice;						// 设备杠杆
//			totalAmount = params.suitePlanDetail.totalAmount;					// 租金总额
//			
//			
//			$('#payOrderContent').html(payOrderTemplate({
//				goodsPrice: params.goodsDetailData.goodsPrice,
//				periodList: periodList,
//				periodKey: params.periodKey,
//				period: params.period,
//				downPayment: params.suitePlanDetail.downPayment,
//				stagePrice: params.suitePlanDetail.stagePrice,
//			}));
//			
//			$$(".firstPayAlert").off("click.firstPayAlert").on("click.firstPayAlert",function(){
//				f7.modal({
//					title: '期初支付',
//					// 样式写在payOrder.hbs中
//					afterText: '<div class="chooseGoodsModalItem"><span class="key">设备服务费</span><span class="value">' + params.suitePlanDetail.leverPrice + '</span></div>' +
//								'<div class="chooseGoodsModalItem"><span class="key">平台服务费</span><span class="value">' + params.suitePlanDetail.serviceCharge + '</span></div>' +
//								'<div class="chooseGoodsModalItem"><span class="key">平台交易手续费</span><span class="value">' + params.suitePlanDetail.handlingCharge + '</span></div>',
//					buttons: [
//						{
//							text: '确认',
//						}
//					]
//				});
//			});
//		} else {
//			$('#payOrderContent').html(payOrderTemplate({
//				goodsPrice: params.goodsDetailData.goodsPrice,
//				periodList: periodList,
//				downPayment: '0',
//				stagePrice: '0'
//			}));
//		}
		

		
//		$('#payOrderChoosePeriodization').on('change', function(e) {
//			var periodView = '';
//			var periodValue = '';
//			
//			if ($(e.target).val() !== '') {
//				params.periodList.forEach(function(item, index) {
//					if (item.periodKey === $(e.target).val()) {
//						periodView = item.period;
//						periodValue = item.periodKey;
//					}
//				});
//				
//				period = periodView; 											// 更新分期期数字段
//				periodKey = $(e.target).val();									// 更新分期期数key
//				
//				$('#payOrderPeriodization').val(periodView + '期');
//				
//				localStorage.setItem('employeeBuy_' + params.orderId + '_periodKey', periodKey);
//
//				callAppApi({
//					url: '/app/suitePlanDetail',
//					type: 'POST',
//					params: {
//						userId: loginStatus.userId,
//						orderProductPrice: params.goodsDetailData.goodsPrice,
//						periodKey: $(e.target).val(),
//						planId: '',
//						goodsSellId: params.goodsDetailData.goodsId,
//						businessType: '005001'
//					},
//					successCallback: function(suitePlanDetailRes) {
//						downPayment = suitePlanDetailRes.downPayment;					// 期初支付
//						selfPayAmount = suitePlanDetailRes.selfPayAmount;				// 自付金额
//						stagePrice = suitePlanDetailRes.stagePrice;						// 每期租金
//						handlingCharge = suitePlanDetailRes.handlingCharge;				// 手续费
//						serviceCharge = suitePlanDetailRes.serviceCharge;				// 服务费
//						leverPrice = suitePlanDetailRes.leverPrice;						// 设备杠杆
//						totalAmount = suitePlanDetailRes.totalAmount;					// 租金总额
//						
////						paymentDetail = suitePlanDetailRes.paymentDetail || [];				// 套餐试算
////						
////						var paymentDetailHtml='';
////						paymentDetail.map(function(item,index){
////							paymentDetailHtml = paymentDetailHtml +
////								'<div class="model-list-item">'+
////								'<div class="model-list-number model-list-content">第'+item.periodNo+'期</div>' +
////								'<div class="model-list-pay model-list-content">'+item.payAmount+'元</div>' +
////							'</div>' 
////						})
//						
//						$('#payOrderFirstPay').text(suitePlanDetailRes.downPayment);
//						$('#payOrderStagePrice').text(suitePlanDetailRes.stagePrice);
//					
//						$$(".firstPayAlert").off("click.firstPayAlert").on("click.firstPayAlert",function(){
//							f7.modal({
//								title: '期初支付',
//								// 样式写在payOrder.hbs中
//								afterText: '<div class="chooseGoodsModalItem"><span class="key">设备服务费</span><span class="value">' + leverPrice + '</span></div>' +
//											'<div class="chooseGoodsModalItem"><span class="key">平台服务费</span><span class="value">' + serviceCharge + '</span></div>' +
//											'<div class="chooseGoodsModalItem"><span class="key">平台交易手续费</span><span class="value">' + handlingCharge + '</span></div>',
//								buttons: [
//									{
//										text: '确认',
//									}
//								]
//							});
//						})
//					},
//					errorCallback: function(err) {}
//				});
//			} else {
//				period = ''; 											// 重置分期期数字段
//				periodKey = '';											// 重置分期期数key
//			
//				downPayment = '';										// 期初支付
//				selfPayAmount = '';										// 自付金额
//				stagePrice = '';										// 每期租金
//				handlingCharge = '';									// 手续费
//				serviceCharge = '';										// 服务费
//				leverPrice = '';										// 设备杠杆
//				totalAmount = '';										// 租金总额
//			
//				$('#payOrderPeriodization').text('');
//				$('#payOrderFirstPay').text('0');
//				$('#payOrderStagePrice').text('0');
//			}
//		});

		// 合同是否勾选
		$("#payOrderAgreeProtocol").on('click',function(){
			if($(this).parent().hasClass("on")){
				$(this).parent().removeClass("on");
			}else{
				$(this).parent().addClass("on");
			}
		});
		
		$('#payOrderProtocolBtn').on('click', function() {
        	callWebHtml({
        		url: '/agreement/agrTemplateLeaseBack/customerEbuy',
        		type: 'POST',
        		params: {
        			userId: loginStatus.userId,
        			orderId: params.orderId,								//订单id
        			primeCost: params.goodsDetailData.goodsPrice,			//租赁成本  设备本金（计算租金时扣除首付款）
        			month: period.toString(),								//租赁期间   租赁共多少月							期数
//        			monthPay: '1',											//租金支付间隔   支付周期，每多少月支付一次			'1'
        			periods: period.toString(),								//租金支付次 共支付多少期
        			rentPrice: stagePrice,									//每期租金   每期租金金额，数字
        			rentTotalPrice: totalAmount,							//租金总额   租金总额，数字
//        			downPayMent: downPayment,								//首付款  首付款金额，数字
        			selfPayAmount: selfPayAmount,							//自付金额
        			serviceCharge: serviceCharge,							//服务费 服务费金额，数字
        			handlingCharge: handlingCharge							//手续费
        		},
        		successCallback: function(response) {
					$('#employeeBuyPayOrderPopup').html(protocolFrame({
						protocolId: "payOrderAgreement",
						protocolName: "《分期付款购买合同》",
						protocolWidth: $('body').width(),
						protocolHeight: $('body').height() - 56
					}));
					
					$$("#payOrderAgreement").contents().find("html")[0].innerHTML = response;
					
					f7.popup('#employeeBuyPayOrderPopup');
        		},
        		errorCallback: function(err) {}
        	}); 
		});
		
		$("#payOrderConfirmBtn").on("click",function(){
			
			if (productId == '') { f7.alert('请选择分期产品'); return false; }
			if (periodKey == '') { f7.alert('请选择期数'); return false; }
			if (!$('#payOrderAgreeProtocol').parent().hasClass('on')) { f7.alert('请阅读并同意协议'); return false; }
			
			// 判断是否绑卡
			callAppApi({
				url: '/app/bankBatchCard',
				type: 'POST',
				params: {
					userId: loginStatus.userId
				},
				successCallback: function(bankBatchCardRes) {
					
					if (bankBatchCardRes && (checkBankNo(bankBatchCardRes.bankCardNumber) && checkBankId(bankBatchCardRes.bankId))) {
						checkPassword();
					} else {
		                f7.modal({
							title: '平安租赁',
				  			text:  '您还未进行银行卡绑定，请先绑卡',
				  			buttons: [
				  				{
				  					text: '取消',
				  					onClick: function(){
				  	
				  					}
				  				},
				  				{
				  					text: '绑定银行卡',
				  					onClick: function(){
				  						mainView.router.load({
											url: 'bindBankcard.html',
											query: {
												fromPage: 'employeeBuyPayOrder',
												baseBusinessType: '005001'
											}
										});
				  					}
				  				}
				  			]
				  		});
					}
				},
				errorCallback: function(err) {}
			});
			
			function checkPassword(){
				// 检测是否设置交易密码
				callAppApi({
					url: '/module/transactionPwd/find',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						transactionPwd: "",
						findType: '01'
					},
					successCallback: function(pwdFindRes) {
						if(pwdFindRes.transactionPwdExist){
							alertPassword();
						}else if(!pwdFindRes.transactionPwdExist){
							mainView.router.load({
								url: 'tradePwd.html',
								query: {
									fromPage: 'employeeBuyPayOrder'
								}
							});
						}
					},
					errorCallback: function(err) {}
				});
			}

			var setPasswordObj;

			function alertPassword(){
				
				payOrderInputPwdStatus = false;
				
				var inputStyle = '';
				if (getDeviceType() == 'IOS') {
					inputStyle = 'style="font-size: 0 !important;"';
				}
				
				//弹框输入交易密码
				f7.modal({
					title: '<div id="setPwdTitle" class="setPwdTitle">请输入交易密码</div>',
					text: '<div class="setPassword-type">'+
								'<div class="wrap">'+
									'<div class="inputBoxContainer" id="payOrderSetPasswordContainer">'+
										'<input type="text" class="realInput"' + inputStyle + '/>'+
										'<div class="bogusInput">'+
											'<input type="password" maxlength="6" disabled/>'+
											'<input type="password" maxlength="6" disabled/>'+
											'<input type="password" maxlength="6" disabled/>'+
											'<input type="password" maxlength="6" disabled/>'+
											'<input type="password" maxlength="6" disabled/>'+
											'<input type="password" maxlength="6" disabled/>'+
										'</div>'+
									'</div>'+
								'</div>'+
						    '</div>',
				})
				//交易密码输入
				var setPasswordContainer = document.getElementById("payOrderSetPasswordContainer");
				setPasswordObj = {
					maxLength:"",
					realInput:"",
					bogusInput:"",
					bogusInputArr:"",
					callback:"",
					init:function(fun){
						var that = this;
						this.callback = fun;
						that.realInput = setPasswordContainer.children[0];
						that.bogusInput = setPasswordContainer.children[1];
						that.bogusInputArr = that.bogusInput.children;
						that.maxLength = that.bogusInputArr[0].getAttribute("maxlength");
						that.realInput.oninput = function(){
							that.setValue();
						}
//						that.realInput.addEventListener('change', function() {
//							that.setValue();
//						});
						that.realInput.onpropertychange = function(){
							that.setValue();
						}
					},
					setValue:function(){
						this.realInput.value = this.realInput.value.replace(/\D/g,"");
						var real_str = this.realInput.value;
						for(var i = 0 ; i < this.maxLength ; i++){
							this.bogusInputArr[i].value = real_str[i]?real_str[i]:"";
						}
						if(real_str.length >= this.maxLength){
							this.realInput.value = real_str.substring(0,6);
							this.callback();
							checkPasswordIsTrue();
						}
					},
					getBoxInputValue:function(){
						var realValue = "";
						for(var i in this.bogusInputArr){
							if(!this.bogusInputArr[i].value){
								break;
							}
							realValue += this.bogusInputArr[i].value;
						}
						return realValue;
					}
				};
				setPasswordObj.init(function() {});
			}
			
			function checkPasswordIsTrue(){
				// 输入6位交易密码
				if($('.realInput').val().length == 6){
					
					// 允许校验验证码状态为true
					if (employeeBuyPwdStatus == true) {
						
						if (payOrderInputPwdStatus == false) {
							payOrderInputPwdStatus = true;
					    	  var pwdStr = setPasswordObj.getBoxInputValue();
						      var telRegExp = /^\d{6}$/;
						      if(pwdStr==""){
						    	 f7.alert('请输入交易密码'); return false; 
						      }
						      if(!telRegExp.test(pwdStr)){f7.alert('密码格式不正确'); return false; }
						      callAppApi({
							   url: '/module/transactionPwd/find',
							   type: 'POST',
							   params: {
								   userId: loginStatus.userId,
								   transactionPwd: SHA256(pwdStr).toString(),
								   findType: "03"
							   },
							   successCallback: function(response) {
								   payOrderInputPwdStatus = false;
								   
								   if (response.transactionPwdExist) {
									    f7.closeModal();
									    
									    updateOrder();
								   } else {
									   dealwithPwdError();
								   }
							   },
							   errorCallback: function(err) {}
							})
						}
					} else {
						dealwithPwdError();
					}
					
					
					// 处理密码输入错误的情况
					function dealwithPwdError() {
					   f7.closeModal();
					   var pwdPromptText = '';
					   
					   // 输入验证码次数超过五次
					   if (pwdErrorCount >= 5) {
						   employeeBuyPwdStatus = false;
						   
						   // 是否存储过再次允许校验验证码时间
						   if (typeof localStorage.getItem('employeeBuyPwdErrorTime') == 'string' && localStorage.getItem('employeeBuyPwdErrorTime') == 'string' !== '') {
							   // 允许校验验证码时间是否大于当前时间
							   if (localStorage.getItem('employeeBuyPwdErrorTime') - Date.now() > 0) {
								   
								   var pwdCountTime = Math.ceil((localStorage.getItem('employeeBuyPwdErrorTime') - Date.now()) / 1000 / 60);
								   
								   pwdPromptText = '交易密码输入错误过多账户已被锁定，请点击忘记密码进行找回或' + pwdCountTime + '分钟后重试';
							   } else {
								   // 允许校验验证码时间小与当前时间，重置条件
								   pwdErrorCount = 1;
								   employeeBuyPwdStatus = true;
								   localStorage.removeItem('employeeBuyPwdErrorTime');
							   }
						   } else {
							   // 存储允许再次校验验证码时间
							   localStorage.setItem('employeeBuyPwdErrorTime', Date.now() + 10 * 60 * 1000);
							   pwdPromptText = '交易密码输入错误过多账户已被锁定，请点击忘记密码进行找回或10分钟后重试';
						   }
						   
						   pwdModal(pwdPromptText);
					   } else {
						   // 错误验证码次数未超过五次
						   pwdErrorCount++;
						   pwdPromptText = '密码错误，请重新尝试';
						   pwdModal(pwdPromptText);
					   }
					   
					   function pwdModal(pwdPromptText) {
						   f7.modal({
								title: '平安租赁',
					  			text: pwdPromptText,
					  			buttons: [
					  				{
					  					text: '忘记密码',
					  					onClick: function(){
					  						mainView.router.load({
												url : 'tradePwd.html',
												query : {
													fromPage : 'employeeBuyPayOrder',
													pwdRouterStatus: 'forgetPassword',
												}
											});
					  					}
					  				},
					  				{
					  					text: '重试',
					  					onClick: function(){
					  						alertPassword();
					  					}
					  				}
					  			]
					  		});
					   }
					}
			    }
		    }
			function updateOrder() {
				
				callAppApi({
					url: '/app/ebuyCommon/updateOrder',
					type: 'POST',
					apiVersion: '1.1',
					params: {
						orderId: params.orderId,
						baseBusinessType: '005001',
						
						primeCost: params.goodsDetailData.goodsPrice,					// 租赁成本  设备本金（计算租金时扣除首付款）
						
						// 分期数据
						goodsProductId: productId,										// 分期产品id
						goodsProductName: productName,									// 分期产品名称
						
						goodsPeriodKey: periodKey,										// 分期期数id
						goodsPeriod: period.toString(),									// 分期期数
						goodsSuiteStageNumber: period.toString(),						// 分期期数
						
						orderPlanId: orderPlanId,										// 试算id
						goodsSuitePayFirstPrice: downPayment,							// 期初支付
						goodsSuitePayInitialPrice: selfPayAmount,						// 自付金额
						goodsSuiteTotalAmount: totalAmount,								// 套餐总金额
						goodsSuiteStagePrice: stagePrice,								// 每期金额
						goodsSuitePoundage: handlingCharge,								// 手续费
						goodsSuiteServiceCharges: serviceCharge,						// 服务费
						goodsSuiteLeverPrice: leverPrice,								// 设备杠杆费用
						onlineSelfPayAmount: onlineSelfPayAmount,						// 差额
						realCreditLine: realCreditLine,									// 实际授信额度
//						preliminaryPayment: preliminaryPayment,							// 差额支付版本的期初支付
					},
					successCallback: function(updateOrderRes) {

					    loadEmployeeBuyPage('firstPay', {
					    	query: {
								fromPage: 'employeeBuyPayOrder',
								orderId: params.orderId,
								goodsName: updateOrderRes.goodsName,
								firstPayPrice: downPayment								// 最终支付金额
							}
					    });
					},
					errorCallback: function(err) {}
				});
				
				
//				var address = '';
//				
//				if (deliveryType == '1') {
//					address = deliveryAddress;
//				} else if (deliveryType == '2') {
//					address = selfDeliveryAddress;
//				}
//				
//				callAppApi({
//					url: '/app/ebuyCommon/submitOrder',
//					type: 'POST',
//					params: {
//						baseBusinessType: '005001',								// 员工购业务线
//						userId: loginStatus.userId,								// 用户id
//						userName: userName,										// 用户名称
//						storeUserId: '',										// 店员id
//						storeUserName: '',										// 店员名称
//						storeId: '',											// 门店id
//						storeName: '',											// 门店名称
//						supplierId: supplierId,									// 供应商id
//						operatorId: '',											// 运营商id
//						goodsSellId: goodsId,									// 售品id
//						goodsSellName: goodsName,								// 售品名称
//						goodsItemColor: goodsProperty,							// 商品颜色
//						goodsItemConfigure: goodsProperty,						// 商品配置
//						orderProductPrice: goodsPrice,							// 商品价格
//						addressType: deliveryType,								// 地址类型	
//						address: address,										// 地址
//						
//						// 分期数据
//						goodsProductId: productId,										// 分期产品id
//						goodsProductName: productName,									// 分期产品名称
//						
//						goodsPeriodKey: periodKey,										// 分期期数id
//						goodsPeriod: period.toString(),									// 分期期数
//						goodsSuiteStageNumber: period.toString(),						// 分期期数
//						
//						goodsSuitePayFirstPrice: downPayment,							// 期初支付
//						goodsSuitePayInitialPrice: selfPayAmount,						// 自付金额
//						goodsSuiteTotalAmount: totalAmount,								// 套餐总金额
//						goodsSuiteStagePrice: stagePrice,								// 每期金额
//						goodsSuitePoundage: handlingCharge,								// 手续费
//						goodsSuiteServiceCharges: serviceCharge,						// 服务费
//						goodsSuiteLeverPrice: leverPrice								// 设备杠杆费用
//					},
//					successCallback: function(submitOrderRes) {
//					    loadEmployeeBuyPage('firstPay', {
//					    	query: {
//								fromPage: 'employeeBuyPayOrder',
//								orderId: submitOrderRes.baseOrderId,
//								goodsName: goodsName,
//								firstPayPrice: downPayment
//							}
//					    });
//					},
//					errorCallback: function(err) {
//						updateOrderStatus = false;
//					}
//				})
			}
		})
	}
	
	return {
		render: render
	}
})