define([
    'jquery',
    'hbs!employeeBuy/employeeBuyComponents/search/searchNavbar',
    'hbs!employeeBuy/employeeBuyContainers/search/search'
], function(
	$$,
	searchNavbarTemplate,
	searchTemplate
) {
	function render(params) {
		
		$$('#searchNavbar').html(searchNavbarTemplate({
			isBack: true,			// false
			backId: 'searchBackBtn',
			isBackIcon: true,
			searchFormId: 'searchForm',
			searchInputId: 'searchNavbarInput',
			searchPlaceholder: '请输入关键字'
		}));
		
		$$('#searchNavbarInput').val(params.goodsKeywords)
		
		$$('#searchBackBtn').on('click', function() {
			if (params.fromPage == 'employeeBuyIndex') {
				loadEmployeeBuyPage('employeeBuyIndex', {
					query: {
						fromPage: 'search'
					}
				})
			} else if (params.fromPage == 'goodsList') {
				loadEmployeeBuyPage('goodsList', {
					query: {
						fromPage: 'search',
						goodsKeywords: $$('#searchNavbarInput').val()
					}
				})
			}
		});
		
		var timeout = setTimeout(function() {
			$$('#searchNavbarInput').focus();
			clearTimeout(timeout);
		}, 1000);
		
		// 当搜索框内文字变化时，显示清除按钮
		$$('#searchNavbarInput').on('keyup', function(e) {
			(function(that) {
				if ($(that).val() == '') {
					$('#searchForm').removeClass('searchbar-not-empty');
					$('#searchForm').removeClass('searchbar-active');
				} else {
					$('#searchForm').addClass('searchbar-not-empty');
					$('#searchForm').addClass('searchbar-active');
				}
			})(this);
		});
		
		var searchInput = f7.searchbar('#searchForm', {
			type: 'customizeSearch',
			customSearch: true,
			onSearch: function() {
				
				$$('#searchNavbarInput').blur();
				
				loadEmployeeBuyPage('goodsList', {
					query: {
						fromPage: 'search',
						goodsKeywords: $$('#searchNavbarInput').val()
					}
				})
			}
		});
//		setTimeout(function() {
//			searchInput = f7.searchbar('#searchForm', {
//				type: 'customizeSearch',
//				customSearch: true,
//				onSearch: function() {
//					
//					console.log('zz');
//				}
//			});
//		}, 1000);

	}
	
	
	return {
		render: render
	}
})