define([
	'js/utilities',
	'js/plugins',
	'employeeBuy/employeeBuyContainers/uploadIdCard/uploadIdCardView'
], function(
	utilities,
	plugins,
	uploadIdCardView
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var detectFrontCamera = plugins.detectFrontCamera;
	
	function init(query) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		// 请求人脸识别次数
		callAppApi({
			url: '/app/credit/getFaceDetect',
			type: 'POST',
			params: {
				userId: loginStatus.userId,
				baseBusinessType: '005001'
			},
			successCallback: function(detectRes) {
				var faceErrorCount = detectRes.faceErrorCount == '' ? 0 : parseInt(detectRes.faceErrorCount);  
				var faceCount = detectRes.faceCount == '' ? 0 : parseInt(detectRes.faceCount);
				var userName = detectRes.userNameForEbuy;
 				var employeeBuyEvidenceFaceArr = [];
				if (detectRes.evidenceFace !== '' && detectRes.evidenceFace !== '[null]') {
					employeeBuyEvidenceFaceArr = JSON.parse(detectRes.evidenceFace);
				}

				callAppApi({
					url: '/app/ebuyCommon/getCreditAuditData',
					type: 'POST',
					params: {
						baseBusinessType: '005001',
						userId: loginStatus.userId
					},
					successCallback: function(res) {
						
						  // 身份证正面状态
						  var creditFrontIdCardStatus = false;
						  var creditEvidenceFrontIdCardArr = [];
						  if (res.creditEvidenceFrontIdCard !== '') {
							  creditFrontIdCardStatus = JSON.parse(res.creditEvidenceFrontIdCard)[0].checkResult;
							  creditEvidenceFrontIdCardArr = JSON.parse(res.creditEvidenceFrontIdCard);
						  }
						  // 身份证反面状态
						  var creditBackIdCardStatus = false;
						  var creditEvidenceBackIdCardArr = [];
						  if (res.creditEvidenceBackIdCard !== '') {
							  creditBackIdCardStatus = JSON.parse(res.creditEvidenceBackIdCard)[0].checkResult;
							  creditEvidenceBackIdCardArr = JSON.parse(res.creditEvidenceBackIdCard);
						  }
						  // 人脸识别状态  手持身份证状态
						  var faceRecog = res.faceRecog;
						  var creditHoldIdCardStatus = false;
						  var creditEvidenceHoldIdCardArr = [];
						  if (faceRecog == '0') {
							  if (res.creditEvidenceHoldIdCard !== '' && res.creditEvidenceHoldIdCard !== '[null]') {
								  creditHoldIdCardStatus = JSON.parse(res.creditEvidenceHoldIdCard)[0].checkResult;
								  creditEvidenceHoldIdCardArr = JSON.parse(res.creditEvidenceHoldIdCard);
							  }
						  }
						  
						  var creditEvidenceECardStatus = false;
						  var creditEvidenceECardArr = [];
						  if (query.creditType == '005001' || query.creditType == '005003') {
							  if (res.creditEvidenceECard !== '' && res.creditEvidenceECard !== '[null]') {
								  creditEvidenceECardStatus = JSON.parse(res.creditEvidenceECard)[0].checkResult;
								  creditEvidenceECardArr = JSON.parse(res.creditEvidenceECard);
							  }
						  }
						  var frontCameraStatus = true;
							
							/**
							 * 检测是否有前置摄像头，如果有设置为true，没有设置为false
							 */
							detectFrontCamera(function(res) {
								frontCameraStatus = true;
								viewRender();
							}, function(err) {
								frontCameraStatus = false;
								viewRender();
							});
							
							function viewRender(){
								uploadIdCardView.render({
									employeeBuyFrontIdCardStatus: creditFrontIdCardStatus,
									employeeBuyBackIdCardStatus: creditBackIdCardStatus,
									employeeBuyHoldIdCardStatus: creditHoldIdCardStatus,
									employeeBuyEmployeeEStatus: creditEvidenceECardStatus,
									
									employeeBuyEvidenceFrontIdCardArr: creditEvidenceFrontIdCardArr,
									employeeBuyEvidenceBackIdCardArr: creditEvidenceBackIdCardArr,
									employeeBuyEvidenceHoldIdCardArr: creditEvidenceHoldIdCardArr,
									employeeBuyEvidenceECardArr: creditEvidenceECardArr,
									faceRecog: faceRecog,
									employeeBuyEvidenceFaceArr: employeeBuyEvidenceFaceArr,
									
									creditCheckNotes: res.creditCheckNotes,							//	审核结论
									
									faceCount: faceCount,
									faceErrorCount: faceErrorCount,
									
									creditType: query.creditType,
									fromStatus: res.creditAuditStatus,
									fromPage: query.fromPage,
									frontCameraStatus: frontCameraStatus,
									userName: userName || ''
							  })
							}
						  
					},
					errorCallback: function(err) {}
				});
			},
			errorCallback: function(err) {}
		})
	}
	
	return {
		init: init
	}
});