define([
	'js/utilities',
	'js/validator',
	'js/uploadImg',
	'js/config',
	'js/datas',
	'familyDecoration/familyDecorationContainers/familyDecorationPerfectData/familyDecorationPerfectDataHelper',
	'familyDecoration/familyDecorationContainers/familyDecorationPerfectData/familyDecorationPerfectDataPad',
	'hbs!familyDecoration/familyDecorationContainers/familyDecorationPerfectData/familyDecorationPerfectDataTemplate',
	'hbs!familyDecoration/familyDecorationComponents/common/button/button',//底部按钮渲染模板
	'jquery',
], function(
	utilities,
	validator,
	uploadImg,
	config,
	Datas,
	familyDecorationPerfectDataHelper,
	familyDecorationPerfectDataPad,
	familyDecorationPerfectDataTemplate,
	buttonTemplate,
	$$
) {
/**
 * @warn 此页面所有$$为jQuery的$$
 */
//	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var getDay = utilities.getDay;
	var EvidenceArea = familyDecorationPerfectDataHelper.EvidenceArea;
	var takePicture = uploadImg.takePicture;
	var choosePhoto = uploadImg.choosePhoto;
	var drawImageCanvas = uploadImg.drawImageCanvas;
	var SKIP = config.SKIP;
	var houseNature='共有房产';
	var decorationAddressNature="住宅地址";
	function render(params) {
		 TalkingData.onPage("选择商品");		
		 $("#chooseGoodsNavbar .placeOrderBackBtn").on('click', function() {
			  TalkingData.onEventWithLabel('选择商品', '返回');
		 });	
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var evidenceMaterialArr = [];	  
		// 渲染navbar
		loadFamilyDecorationComponent('navbar', 'common', {
			container: '#familyDecorationNavbar',
			title: '完善资料',
			backClass: 'placeOrderBackBtn',
			isBackIcon: true,
			isBack: false
		});
		
		 evidenceInstanceDataArr = [{
				key: 'evidenceMaterial1',
				name: 'evidenceMaterialArr',
				type: '1',
				data: evidenceMaterialArr,
				checkBoxChoose: false,
				header: '装修材料'
		 }]
		 
		
		// 渲染选择商品主内容
		$$('#familyDecorationContent').html(familyDecorationPerfectDataTemplate({
			evidenceInstance: evidenceInstanceDataArr
		}));
		 
		 if(evidenceInstanceDataArr.length > 0) {
				evidenceInstanceArr = evidenceInstanceDataArr.map(function(item, index) {
					return new EvidenceArea(item.key, evidenceInstanceDataArr[index].data, {
						limitNum: 50,
						// 上传图片方法
						uploadPhoto: uploadPhoto,
						// 超过上传限制次数方法
						limitCallback: function(e) {
							f7.alert('最多只能上传50张')
						},
						// 预览方法
						previewCallback: function(e) {
							var evidenceIndex=''
							if ($$(e.target)[0].tagName === 'LI') {
								evidenceIndex = $$(e.target).index();
							} else if ($$(e.target)[0].tagName === 'IMG') {
								evidenceIndex = $$(e.target).parent().index();
							}
							evidenceBrowserArr[item.key.slice(-1) - 1].open(evidenceIndex)
						},
						removeCallback: function(e) {

							// 获取实例的索引为   item.key.slice(-1) - 1	/  index
							evidencePhotoArr[item.key.slice(-1) - 1].splice($$(e.target).index(), 1);

							evidenceBrowserArr[item.key.slice(-1) - 1] = f7.photoBrowser({
								zoom: 400,
								photos: evidencePhotoArr[item.key.slice(-1) - 1]
							});
						}
					});
				});

				// 存储初始化f7图片浏览器实例的图片数组的数组
				evidencePhotoArr = evidenceInstanceDataArr.map(function(item) {
					return [];
				});

				// 存储f7图片浏览器的实例
				evidenceBrowserArr = evidenceInstanceDataArr.map(function(item, index) {
					return f7.photoBrowser({
						zoom: 400,
						photos: evidencePhotoArr[index]
					});
				});
			}			
		 
		 
		 function uploadPhoto(uploadConfig) {

				params.evidenceKey = $$(this).attr("name");

				var buttons1 = [{
						text: '拍摄',
						onClick: function() {
							//			            	takePicture('', '', params.evidenceKey, omUploadSuccess, '', '');
							takePicture('', uploadConfig.picId, uploadConfig.type, omUploadSuccess, '', '');
						}
					},
					{
						text: '从相册选择',
						onClick: function() {
							//			            	choosePhoto('', '', params.evidenceKey, omUploadSuccess, '', '');
							choosePhoto('', uploadConfig.picId, uploadConfig.type, omUploadSuccess, '', '');
						}
					}
				];
				var buttons2 = [{
					text: '取消',
					color: 'red'
				}];
				var groups = [buttons1, buttons2];

				f7.actions(groups);
			}

			// 成功回调函数
			function omUploadSuccess(token, i, u, t, data, imgId) {
				var t1 = t.slice(0, t.length - 1);
				if(t1 === 'evidenceMaterial') {
					evidenceMaterialArr.push({
						picId: u,
						picType: '1',
						picName: evidenceInstanceDataArr[t.slice(t.length - 1) - 1].header,
						cloudKey: imgId,
						cloudUrl: token.iobsCloudUrl,
						mIsCheck: false,
						checkResult: false,
						checkResultArray: [],
						otherContent: ''
					});			
				}
				// 张晖修改于2017-03-10，手持身份证图片在此隐藏indicator
				f7.hideIndicator();
				var evidenceInstanceArrIndex = t.slice(t.length - 1) - 1;
				evidencePhotoArr[evidenceInstanceArrIndex].push(token.iobsCloudUrl);

				evidenceBrowserArr[evidenceInstanceArrIndex] = f7.photoBrowser({
					zoom: 400,
					photos: evidencePhotoArr[evidenceInstanceArrIndex]
				});

				evidenceInstanceArr[evidenceInstanceArrIndex].addSuccessEvent(u, token.iobsCloudUrl);
			}
		 
		
		// 单位地址组件初始化
		  var defaultProValueList = [];
		  var defaultProViewList = [];
		  for (var o in PrivinceD) {
			  defaultProValueList.push(o);
			  defaultProViewList.push(PrivinceD[o].name);
		  }
		  
		  var defaultCityValueList = [];
		  var defaultCityViewList = [];
		  
		  for (var p in Areadata['110000']['city']) {
			  defaultCityValueList.push(p);
			  defaultCityViewList.push(Areadata['110000']['city'][p].name);
		  }
		  
		  var defaultAreaValueList = [];
		  var defaultAreaViewList = [];
		  
		  for (var q in Areadata['110000']['city'][defaultCityValueList[0]]['area']) {
			  defaultAreaValueList.push(q);
			  defaultAreaViewList.push(Areadata['110000']['city'][defaultCityValueList[0]]['area'][q]);
		  }

		 var workAdressLocation = f7.picker({
			  input: '#decorationAddress',
			  rotateEffect: true,
			  toolbarCloseText: '完成',
			  formatValue: function (picker, values, displayValues) {
				  if(values.length === 3 && displayValues.length === 0 && values[2]===' '){
					  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + '  ';
				  }else if (values.length === 3 && displayValues.length === 0) {
					  if (values[0] !== '') {
						  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['area'][values[2]];
					  } else {
						  return '';
					  }
				  }else {
					  return displayValues[0] + ' ' + displayValues[1] + ' ' + displayValues[2];
				  }
			  },
			  cols: [
				  {
					  textAlign: 'left',
					  values: defaultProValueList,
					  displayValues: defaultProViewList,
					  onChange: function (picker, value, displayValue) {
						  
						  if (picker.cols[1].replaceValues) {
							  var cityValueArr = [];
							  var cityViewArr = [];
							  for (var i in Areadata[value]) {
								  if (i === 'city') {
									  for (var j in Areadata[value][i]) {
										  cityValueArr.push(j);
										  cityViewArr.push(Areadata[value][i][j].name);
									  }
								  }
							  }
							  
							  var areaValueArr = [];
							  var areaViewArr = [];
							  
			            		if(Areadata[value]['city'][cityValueArr[0]]['area']===null){
			  						  areaValueArr.push(' ');
									  areaViewArr.push(' ');
			            		}else{
			            			for (var k in Areadata[value]['city'][cityValueArr[0]]['area']) {	
				            			areaValueArr.push(k);
				            			areaViewArr.push(Areadata[value]['city'][cityValueArr[0]]['area'][k])
				            		}
			            		}
							  
							  picker.cols[1].replaceValues(cityValueArr, cityViewArr);
							  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
						  }
					  }
				  },
				  {
					  values: defaultCityValueList,
					  displayValues: defaultCityViewList,
					  width: 160,
					  onChange: function(picker, value, displayValue) {
		            	  if (picker.cols[2].replaceValues) {
		            		  var areaValueArr = [];
		            		  var areaViewArr = [];
		            		
		            		  var cityDataArr = Areadata[picker.cols[0].value]['city'][value];
		            		  for (var x in cityDataArr) {
		            			  if (x === 'area') {
		            				  if(cityDataArr[x]===null){
	            						  areaValueArr.push(' ');
	            						  areaViewArr.push(' ');
	            					  }else{
	            						  for (var y in cityDataArr[x]) {
			            						  areaValueArr.push(y);
				            					  areaViewArr.push(cityDataArr[x][y]);
		            					  }
		            				  }
		            			  }
		            		  }
		            		  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
		            	  }
					  }
				  },
				  {
					  textAlign: 'center',
					  values: defaultAreaValueList,
					  displayValues: defaultAreaViewList,
					  width: 160
				  }
			  ],
			  onOpen: function() {
				  workAdressLocation.setValue(['110000','110100','110101']);
			  }
		  });
		  
		   //设置默认值
//		if (params.userInfo.userWorkAddressProvinceCode !== '' && params.userInfo.userWorkAddressCityCode !== '' && params.userInfo.userWorkAddressAreaCode !== '') {
//			workAdressLocation.setValue([params.userInfo.userWorkAddressProvinceCode, params.userInfo.userWorkAddressCityCode, params.userInfo.userWorkAddressAreaCode]);
//		}
//		 if ($.isArray(storageUserInfo.userWorkAddressCode) && storageUserInfo.userWorkAddressCode.length === 3) {
//			 workAdressLocation.setValue(storageUserInfo.userWorkAddressCode);
//		}
	
		// 渲染底部按钮
		$$('#placeOrderGoodsBtnBox').html(buttonTemplate({
			id : 'familyDecorationConfirmBtn',
			value : '确认',
			disabled : false,
		}))
		
		
		var canChoose=true;
		$$("#houseStatus .choose1").on("click",function(){
			if(!canChoose){
				$$("#houseStatus .choose1 .chooseImg").attr("src","img/me/check_icon.png");
				$$("#houseStatus .choose2 .chooseImg").attr("src","img/me/check_frame.png");
				houseNature='共有房产';
				$$("#allHaveBoxBtn").show();
				$$("#allHaveBox").show();
				$$(".addChoose").show();
				canChoose=true
			}
		})
		
		
		$$("#houseStatus .choose2").on("click",function(){
			if(canChoose){
				$$("#houseStatus .choose1 .chooseImg").attr("src","img/me/check_frame.png");
				$$("#houseStatus .choose2 .chooseImg").attr("src","img/me/check_icon.png");
				houseNature='自有房产';
				$$("#houseOwnerRelationship").val(" ");
				$$("#houseOwnerName").val(" ");
				$$("#allHaveBoxBtn").hide();
				$$("#allHaveBox").hide();
				$$(".addChoose").hide();
				canChoose=false
			}
		})
		
		
		var canChoose2=true;
		
		//住宅地址回
		callAppApi({
			url: '/app/credit/initDwellAddress',
			type: 'POST',
			params: {
				userId: loginStatus.userId,
			},
			successCallback: function(data) {
				$("#decorationAddress").val(data.userProvinceName+""+data.userCityName+""+data.userAreaName);
				$("#detailPlace").val(data.userDwellingDetailAddress);
				$("#decorationAddress").attr("disabled",true);
				$("#detailPlace").attr("disabled",true);
			},
			errorCallback: function(err) {}
		});
		
		$$("#adressStatus .choose1").on("click",function(){
			if(!canChoose2){
				$$("#adressStatus .choose1 .chooseImg").attr("src","img/me/check_icon.png");
				$$("#adressStatus .choose2 .chooseImg").attr("src","img/me/check_frame.png");
				decorationAddressNature='住宅地址';
				$$("#adressChooseStatus").hide();
				canChoose2=true
			}
			
			callAppApi({
				url: '/app/credit/initDwellAddress',
				type: 'POST',
				params: {
					userId: loginStatus.userId,
				},
				successCallback: function(data) {
					$("#decorationAddress").val(data.userProvinceName+""+data.userCityName+""+data.userAreaName);
					$("#detailPlace").val(data.userDwellingDetailAddress);
					$("#decorationAddress").attr("disabled",true);
					$("#detailPlace").attr("disabled",true);
				},
				errorCallback: function(err) {}
			});
		})
		
		
		$$("#adressStatus .choose2").on("click",function(){
			if(canChoose2){
				$$("#adressStatus .choose1 .chooseImg").attr("src","img/me/check_frame.png");
				$$("#adressStatus .choose2 .chooseImg").attr("src","img/me/check_icon.png");
				decorationAddressNature='其他地址';
				$$("#adressChooseStatus").show();
				$$("#chooseStatus").val('请选择');
				canChoose2=false;
				$("#decorationAddress").removeAttr("disabled",true).val('');
				workAdressLocation.setValue(['','','']);
				$("#detailPlace").removeAttr("disabled",true).val('');
			}
		})
		
		var houseDetail=true;
		$$("#houseDetail").on("click",function(){
			if(houseDetail){
				$$(".bankcard-input-item").slideUp();	
				houseDetail=false;
			}else{
				$$(".bankcard-input-item").slideDown();
				houseDetail=true;
			}
		})
		
		var pictureDetail=true;
		$$("#pictureDetail").on("click",function(){
			if(pictureDetail){
				$$(".upload-evidence-header").slideUp();
				$$(".upload-evidence-list").slideUp();
				$$(".tip").slideUp();
				pictureDetail=false;
			}else{
				$$(".upload-evidence-header").slideDown();
				$$(".upload-evidence-list").slideDown();
				$$(".tip").slideDown();
				pictureDetail=true;
			}
		})
		
		var num=1;
		var allHaveBox = $$("#allHaveBox").html();
		$$("#allHaveBoxBtn .addChoose").on("click",function(){
			num+=1;
			if(num<11){
				$$("#allHaveBox").append(allHaveBox);
				$$(".delete").show();
				$$(".delete").eq(0).hide();
				$$(".delete").off("click").on("click",function(){
					$$(this).parent(".allHavePerson").remove();
				})
			}
		})
		
		
		
		$$("#familyDecorationConfirmBtn").on("click",function(){
			var houseArea=$$("#houseArea").val();
			var housePrice=$$("#housePrice").val();
			var houseOwnerRelationship=$$("#houseOwnerRelationship").val();
			var houseOwnerName=$$("#houseOwnerName").val();
			var houseOwner=$$(".allHavePerson").length;
			var jointOwner=[];
			for(var i=0;i<houseOwner;i++){
				var houseOwnerRelationship=$(".allHavePerson").eq(i).find("#houseOwnerRelationship").val();
				var houseOwnerName=$(".allHavePerson").eq(i).find("#houseOwnerName").val();
				jointOwner.push({
					"jointOwnerRelation":houseOwnerRelationship,
					"jointOwnerName":houseOwnerName
				});
			};
			//var decorationAddressNature=decorationAddressNature;
			var chooseStatus=$$("#chooseStatus").val();
			var decorationAddress=$$("#decorationAddress").val();
			var detailPlace=$$("#detailPlace").val();
			if(houseArea==""){
				f7.alert("请输入房产面积");
				return;
			}
			if(housePrice==""){
				f7.alert("请输入房产价值");
				return;
			}
			if(houseNature=='共有房产'){
				if(jointOwner[0].jointOwnerName==""||jointOwner[0].jointOwnerRelation==""){
					f7.alert("请输入至少一位共有人信息");
					return;
				}
			}
			
			if(!canChoose2){
				if(chooseStatus=="请选择"){
					f7.alert("请选择装修状况");
					return;
				}
			}
			if(decorationAddress==""){
				f7.alert("请选择城市");
				return;
			}
			if(detailPlace.trim() == "" || detailPlace.trim().length < 5){
				f7.alert("请输入详细地址");
				return;
			}
			
			if(evidenceMaterialArr.length=='0'){
				f7.alert("你上传装修证明材料！");
				return;
			}
			
			f7.modal({
	  			title: '',
	  			text:  '<div class="model-title">请确保信息准确填写，一经提交，不可修改</div>',
	  			buttons: [
	  				{
	  					text: '<span class="model-back">修改</span>',
	  					onClick: function(){
	  						f7.closeModal();  						
	  					}
	  				},
	  				{
	  					text: '确认',
	  					onClick: function(){
	  						if(params.difference == 'advanceCreditUploadEvidence'){
	  							creditCommit();
	  						}else if(params.difference == 'me'){
	  							selectionCommit();
	  						}
	  					}
	  				}
	  			]
	  		});
			
			function creditCommit(){
			
							
							// 是否跳过cordova的device.uuid
							var deviceId = '';
							if (!SKIP.cordova_uuid) {
								deviceId = device.uuid;
							}
							
							callAppApi({
								url: '/app/credit/audit/caseInfoCommit',
								type: 'POST',
								params: {
									userId: loginStatus.userId,
									baseBusinessType: '004002',
									orderDetailInfo: {
										houseArea: houseArea, // 房产面积
										houseValue: housePrice, // 房产价值
										houseNature: houseNature, // 房产性质
										jointOwner: jointOwner,// 共有人对象列表
										decorationAddressStatus: chooseStatus, // 装修地址状况
										decorationHouseAddress: decorationAddress + detailPlace,// 装修房产地址
										decorationMaterials: JSON.stringify(evidenceMaterialArr),// 装修房产材料证明
										decorationAddressNature: decorationAddressNature, // 装修地址性质
			
									},
									deviceId: deviceId
								},
								successCallback: function(data) {
									var isBindBankCard=data.isBindBankCard;
									var orderId=data.orderId;
									if(isBindBankCard=='1'||data.auditStatus=="10"||data.auditStatus=="32"){
										 loadAdvanceCreditPage('creditManage', {
				                             query: {
				                            	 	auditStatus:data.auditStatus,
				                            	 	fromPage:'dispathchAdress',
					                             }
						                 });
									}else{
										 mainView.router.load({
				                             url: 'bindBankcard.html',
				                             query: {
				                                      fromPage:'perfectData',
				                                      creditAuditId: params.creditAuditId,
				                                      orderId: orderId,
				                                      baseBusinessType: '004002'
						                          }
						                   });
									}
								},
								errorCallback: function(err) {}
							});
					}
			
		function selectionCommit(){
			callAppApi({
				url: '/module/material/create',
				type: 'POST',
				params: {
					userId: loginStatus.userId,
					baseBusinessType: params.baseBusinessType,
					orderDetailInfo: {
						houseArea: houseArea, // 房产面积
						houseValue: housePrice, // 房产价值
						houseNature: houseNature, // 房产性质
						jointOwner: jointOwner,// 共有人对象列表
						decorationAddressStatus: chooseStatus, // 装修地址状况
						decorationHouseAddress: decorationAddress + detailPlace,// 装修房产地址
						decorationMaterials: JSON.stringify(evidenceMaterialArr),// 装修房产材料证明
						decorationAddressNature: decorationAddressNature, // 装修地址性质
					}
				},
				successCallback: function(response) {
					mainView.loadPage('me.html');
				},
				errorCallback: function(err) {}
			})
		}	
			
		})
		
		
	};
	
	return {
		render : render
	}
});
