define([
	'js/utilities',
	'js/validator',
	'js/uploadImg',
	'js/config',
	'js/datas',
	'containers/orderDetail/orderDetailView',
	'familyDecoration/familyDecorationContainers/familyDecorationPerfectDataResult/familyDecorationPerfectDataResultHelper',
	'hbs!familyDecoration/familyDecorationContainers/familyDecorationPerfectDataResult/familyDecorationPerfectDataResultTemplate',
	'hbs!familyDecoration/familyDecorationComponents/common/button/button',
	'jquery',
], function(
	utilities,
	validator,
	uploadImg,
	config,
	Datas,
	orderDetailView,
	familyDecorationPerfectDataResultHelper,
	familyDecorationPerfectDataResultTemplate,
	buttonTemplate,
	$$
) {
	/**
	 * @warn 此页面所有$$为jQuery的$$
	 */
	//	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var getDay = utilities.getDay;
	var EvidenceArea = familyDecorationPerfectDataResultHelper.EvidenceArea;
	var choosePhoto = uploadImg.choosePhoto;
	var takePicture = uploadImg.takePicture;
	var drawImageCanvas = uploadImg.drawImageCanvas;
	var SKIP = config.SKIP;
	var indexPicture;

	function render(params) {
		TalkingData.onPage("选择商品");
		$("#chooseGoodsNavbar .placeOrderBackBtnResult").on('click', function() {
			TalkingData.onEventWithLabel('选择商品', '返回');
		});

		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		if(params.difference == 'me' && params.fromPage == 'advanceCreditFamily'){
			var arr = params.response.orderDetailInfo;
		}else{
			var arr = params.response;
		}
		var checkTime = arr.infosAuditTime.split(' ').slice(0,-1).join(' ');
		var orderId = params.orderId;

		// 渲染navbar
		loadFamilyDecorationComponent('navbar', 'common', {
			container: '#familyDecorationNavbar2',
			title: '完善资料',
			backClass: 'placeOrderBackBtnResult',
			isBackIcon: true,
			isBack: false
		});
		
		var evidenceInstanceArr=[];
		/*if( ( params.creditAuditStatus == '340' || params.creditAuditStatus == '140' || params.creditAuditStatus == '141') && params.difference == 'me' && params.fromPage == 'advanceCreditFamily'){
			var decorationMaterialsJson = JSON.parse(arr.decorationMaterials);
			decorationMaterialsJson.map(function(item,index) {
				item.mIsCheck=false;
				item.checkResult= false;
				item.checkResultArray=[];
				item.otherContent= '';
			})
		}else{*/
			var decorationMaterialsJson = JSON.parse(arr.decorationMaterials);
//		}
		var pictureNum=decorationMaterialsJson.length;
//		var checkTime = arr.baseCreateTime.split(' ').slice(0,-1).join(' ');
		
		evidenceInstanceDataArr = [{
			key: 'evidenceMaterial1',
			name: 'decorationMaterialsJson',
			type: '1',
			data: decorationMaterialsJson,
			checkBoxChoose: false,
			header: '装修材料'
		 }]
		
		// 渲染选择商品主内容
		$$('#familyDecorationContent2').html(familyDecorationPerfectDataResultTemplate({
			houseArea: arr.houseArea,
			houseValue: arr.houseValue,
			houseNature: arr.houseNature,
			jointOwnerInfo: arr.jointOwner,
			decorationAddressStatus: arr.decorationAddressStatus,
			decorationHouseAddress: arr.decorationHouseAddress,
			decorationAddressNature: arr.decorationAddressNature,
			evidenceInstance: evidenceInstanceDataArr,
			decorationMaterials: decorationMaterialsJson,
			creditAuditStatus: params.creditAuditStatus,
			orderStatus: params.orderStatus,
			difference: params.difference,
			orderId:orderId,
			checkTime: checkTime,
			fromPage: params.fromPage
		}));
		
		
		var houseDetail=false;
		$$(".bankcard-input-item").hide();	
		
		if(evidenceInstanceDataArr.length > 0) {
			evidenceInstanceArr = evidenceInstanceDataArr.map(function(item, index) {
				return new EvidenceArea(item.key, evidenceInstanceDataArr[index].data, {
					limitNum: 20,
					// 上传图片方法
					uploadPhoto: uploadPhoto,
					// 超过上传限制次数方法
					limitCallback: function(e) {
						f7.alert('最多只能上传20张')
					}
				});
			});
		}

		function uploadPhoto(uploadConfig) {

			params.evidenceKey = $$(this).attr("name");
			indexPicture=uploadConfig.index;
			
			var buttons1 = [{
					text: '拍摄',
					onClick: function() {
						takePicture('', uploadConfig.picId, uploadConfig.type, omUploadSuccess, '', '');
					}
				},
				{
					text: '从相册选择',
					onClick: function() {
						choosePhoto('', uploadConfig.picId, uploadConfig.type, omUploadSuccess, '', '');
					}
				}
			];
			var buttons2 = [{
				text: '取消',
				color: 'red'
			}];
			
			var groups = [buttons1, buttons2];

			f7.actions(groups);
		}
		

		// 成功回调函数
		function omUploadSuccess(token, i, u, t, data, imgId) {
			if(indexPicture<pictureNum){
				var t1 = t.slice(0, t.length - 1);
				if(t1 === 'evidenceMaterial') {		
					decorationMaterialsJson.map(function(item,index) {
						if (index === indexPicture) {
							item.cloudKey = imgId;
							item.cloudUrl = token.iobsCloudUrl;
//							item.mIsCheck=false;
							item.checkResult= false;
//							item.checkResultArray=[];
							item.otherContent= '';
						}
					})
					$$("#evidenceMaterial1List .upload-evidence-item").eq(indexPicture).find("span").remove();
					$$("#evidenceMaterial1List .upload-evidence-item").eq(indexPicture).find("img").attr("src",token.iobsCloudUrl);
					$$("#evidenceMaterial1List .upload-evidence-item").eq(indexPicture).removeClass("failure");
					$$("#evidenceMaterial1List .upload-evidence-item").eq(indexPicture).addClass("preview-photo");
				}
				// 张晖修改于2017-03-10，手持身份证图片在此隐藏indicator
				f7.hideIndicator();
			}else{
				var t1 = t.slice(0, t.length - 1);
				if(t1 === 'evidenceMaterial') {
					decorationMaterialsJson.push({
						picId: u,
						picType: '1',
						picName: evidenceInstanceDataArr[t.slice(t.length - 1) - 1].header,
						cloudKey: imgId,
						cloudUrl: token.iobsCloudUrl,
						mIsCheck: false,
						checkResult: false,
						checkResultArray: [],
						otherContent: ''
					});
				}
				// 张晖修改于2017-03-10，手持身份证图片在此隐藏indicator
				f7.hideIndicator();
				var evidenceInstanceArrIndex = t.slice(t.length - 1) - 1;
				evidenceInstanceArr[evidenceInstanceArrIndex].addSuccessEvent(u, token.iobsCloudUrl);
				
			}
			
			// 预览图片按钮事件绑定
			$$(".preview-photo").off('click').on('click', function(e) {
				e.preventDefault();
				var cloudUrl = $(this).find('img').attr('src');
				if(cloudUrl === '' || !cloudUrl) {
					f7.alert('请上传照片');
					return false;
				} else {
					var myUserIdCardBrowser = f7.photoBrowser({
						zoom: 400,
						photos: [cloudUrl]
					});
					myUserIdCardBrowser.open();
				}
			});
		}
		
		//添加原始图片
		$$.each(decorationMaterialsJson,function(index,obj){
			onUploadSuccess(obj);
		})
		
		function onUploadSuccess(obj) {
			var evidenceInstanceArrIndex = 0;
			evidenceInstanceArr[evidenceInstanceArrIndex].addSuccessEvent2(obj.picId, obj.cloudUrl,obj.checkResult,obj.checkResultArray,obj.mIsCheck,params.orderStatus);
			// 预览图片按钮事件绑定
			$$(".preview-photo").off('click').on('click', function(e) {
				e.preventDefault();
				var cloudUrl = $(this).find('img').attr('src');
				if(cloudUrl === '' || !cloudUrl) {
					f7.alert('请上传照片');
					return false;
				} else {
					var myUserIdCardBrowser = f7.photoBrowser({
						zoom: 400,
						photos: [cloudUrl]
					});
					utilities.clickDelay('previewPhoto', function(){
						myUserIdCardBrowser.open();
					}, 500)
					
				}
			});
		}
		
		//瑕疵点查看事件
		$$(".upload-evidence-item span").off('click').on('click', function() {
			var index=$(this).parent().index();
			var checkResultArray=decorationMaterialsJson[index].checkResultArray;
			var checkContent=decorationMaterialsJson[index].otherContent;
			var recheckResult1 = {
		            '0':'装修房产产证',
		            '1':'装修房产购房合同',
		            '2':'装修合同',
		            '3':'其他'
		        };
			var recheckResult2 = {
					'0':'无瑕疵',
		            '1':'不清晰/不完整',
		            '2':'未显示关键信息',
		            '3':'超出有效期',
		            '4':'疑似造假',
		            '5':'其他'
		        };
			var newArray=checkResultArray.map(function(obj){
				return obj=(obj+'').slice(-1);
			})
			if(recheckResult1[newArray[0]]=='其他'){
				var word1=checkContent[0]
			}else{
				var word1=recheckResult1[newArray[0]]
			}
			
			if(recheckResult2[newArray[1]]=='其他'){
				var word2="其他:"+checkContent[1]
			}else{
				var word2=recheckResult2[newArray[1]]
			}
			
			var content="审核结果:"+word2;
			f7.modal({
	  			title: '',
	  			text:  '<div class="model-title">'+content+'</div>',
	  			buttons: [
	  				{
	  					text: '<span>确定</span>',
	  					onClick: function(){
	  						f7.closeModal();  						
	  					}
	  				}
	  			]
	  		});
			window.event? window.event.cancelBubble = true : e.stopPropagation();
		})
		
		if($$("#houseStatus").val()=="自有房产"){
			$$("#allHaveBox").hide();
		}
//		// 渲染底部按钮
//		$$('#placeOrderGoodsBtnBox2').html(buttonTemplate({
//			id: 'placeOrderGoodsBtn',
//			value: '确认',
//			disabled: false,
//		}))
		
		
		$$("#houseDetail").on("click",function(){
			if(houseDetail){
				$$(".bankcard-input-item").slideUp();	
				houseDetail=false;
			}else{
				$$(".bankcard-input-item").slideDown();
				houseDetail=true;
			}
		})
		
		var pictureDetail=true;
		$$("#pictureDetail").on("click",function(){
			if(pictureDetail){
				$$(".upload-evidence-header").slideUp();
				$$(".upload-evidence-list").slideUp();
				$$(".tip").slideUp();
				pictureDetail=false;
			}else{
				$$(".upload-evidence-header").slideDown();
				$$(".upload-evidence-list").slideDown();
				$$(".tip").slideDown();
				pictureDetail=true;
			}
		})
		
		$$('#placeOrderGoodsBtn').on('click', function() {
			
			for(var i=0;i<$$(".upload-evidence-item").length;i++){
				if($$(".upload-evidence-item").eq(i).hasClass("failure")){
					 f7.alert('请先重新上传审核失败图片！');
					 return  false;
				 }
			}
			
			var decorationMaterialsJsonStr = JSON.stringify(decorationMaterialsJson);
			
			// 是否跳过cordova的device.uuid
			var deviceId = '';
			if (!SKIP.cordova_uuid) {
				deviceId = device.uuid;
			}
			f7.modal({
	  			title: '',
	  			text:  '<div class="model-title">请确保信息准确填写，一经提交，不可修改</div>',
	  			buttons: [
	  				{
	  					text: '<span class="model-back">修改</span>',
	  					onClick: function(){
	  						f7.closeModal();  						
	  					}
	  				},
	  				{
	  					text: '确认',
	  					onClick: function(){
	  						if(params.difference == 'me' && params.fromPage == 'advanceCreditFamily'){
	  							callAppApi({
	  								url: '/module/material/update',
	  								type: 'POST',
	  								params: {
	  									userId: loginStatus.userId,
	  									orderDetailId: params.response.orderDetailId,
	  									baseBusinessType: params.baseBusinessType,
	  									orderDetailInfo: {
	  										houseArea: arr.houseArea,
	  										houseValue: arr.houseValue,
	  										houseNature: arr.houseNature,
	  										jointOwner: arr.jointOwner,
	  										decorationAddressStatus: arr.decorationAddressStatus,
	  										decorationHouseAddress: arr.decorationHouseAddress,
	  										decorationAddressNature: arr.decorationAddressNature,
	  										decorationMaterials: JSON.stringify(decorationMaterialsJson)
	  									}
	  								},
	  								successCallback: function(response) {
	  									mainView.loadPage('me.html');
	  								},
	  								errorCallback: function(err) {}
	  							})
	  						} else {
	  							callAppApi({
	  								url: '/app/credit/audit/update',
	  								type: 'POST',
	  								params: {
	  									userId: loginStatus.userId,
	  									orderId: orderId,
	  									creditEvidenceFrontIdCard: '',
	  									creditEvidenceBackIdCard: '',
	  									creditEvidenceHoldIdCard: '',
	  									userMaterialsCheckResult: '',
	  									
	  									creditWorkEvidence: '',
	  									creditIncomeEvidence: '',
	  									creditHouseEvidence: '',
	  									creditLiveEvidence: '',
	  									creditOthersEvidence: '',
	  									caseMaterialsCheckResult: '',
	  									
	  									decorationMaterials: JSON.stringify(decorationMaterialsJson),
	  									decorationMaterialsCheckResult: '1'
	  								},
	  								successCallback: function(updateRes) {
	  									if (updateRes.creditAuditStatus == '340') {
	  										//房贷材料信息
	  										//1 判断房贷材料是否提交成功
	  										if(updateRes.decorationMaterialsCheckResult == '0'){
	  											f7.alertMessage('房贷证明材料更新失败，请重新提交');
	  										}else if(updateRes.userMaterialsCheckResult == '0'){
	  											//2 判断身份证材料是否提交成功
	  											loadFamilyDecorationPage('uploadIDCard', {
	  												query: {
	  													fromPage: 'decorationPerfectDataResult',
	  													fromStatus: updateRes.creditAuditStatus,
	  													orderId: orderId,
	  												}
	  											});
	  										}else if(updateRes.caseMaterialsCheckResult == '0'){
	  											//3 判断专案材料是否提交成功
	  											loadFamilyDecorationPage('uploadEvidence', {
	  												query: {
	  													fromPage: 'decorationPerfectDataResult',
	  													fromStatus: updateRes.creditAuditStatus,
	  													orderId: orderId,
	  												}
	  											});
	  										}
	  									}else if(updateRes.creditAuditStatus == '141'){
	  										//跳转额度管理页面 
	  										loadAdvanceCreditPage('creditManage', {
	  											 query: {
	  						                	 	fromPage:'decorationPerfectDataResult',
	  						                	 	fromStatus: updateRes.creditAuditStatus,
	  												orderId: orderId,
	  						                    }
	  						                });
	  									}
	  								},
	  								errorCallback: function(err) {}
	  							});
	  						}
	  					}
	  				}
	  			]
	  		});
			
			
			
//			callAppApi({
//				url: '/app/credit/houseDevideInfo',
//				type: 'POST',
//				params: {
//					userId: loginStatus.userId,
//					baseBusinessType:'004002',
//					familyDecorationInfo: {
//						decorationMaterials : JSON.stringify(decorationMaterialsJson)
//					},
//					deviceId: deviceId
////					userId: loginStatus.userId,
////					baseBusinessType:'004002',
////				    decorationMaterials : JSON.stringify(decorationMaterialsJson),// 装修房产材料证明
//				},
//				successCallback: function(data) {
//					
//					 loadAdvanceCreditPage('creditManage', {
//						 query: {
//                     	 	fromPage:'dispathchAdress',
//                         }
//	                 });
//				},
//				errorCallback: function(err) {}
//			});
		})
	};

	return {
		render: render
	}
});