define([
  'jquery',
  'familyDecorationOnline/familyDecorationOnlineComponents/authentication/authStep1/authStep1View',
  'js/utilities'
], function(
  $$,
  authStep1View,
  utilities
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  
  function init(query) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  var defaultBasicInfo = JSON.parse(localStorage.getItem('basicInfoData_' + loginStatus.userId));
	  defaultBasicInfo = defaultBasicInfo !== null ? defaultBasicInfo : '';
	  
	  //基本信息baseInfo
	  authStep1View.render({
		  userType: query.userType,
		  adultCreditRes: query.adultCreditRes,
		  fromPage: query.fromPage,
		  basicInfoHtml: {
			    "baseUserId": "",
			    "baseOrderId": "",
			    "baseBusinessType": "",
			    "baseDevelopmentNotes": "查询页面信息正常",
			    "filterRuleId": "",
			    "pageCode": "001001",
			    "currentPageName": "basicInfo",
			    "prePageCode": "",
			    "nextPageCode": "001002",
			    "title": "额度申请-基本信息",
			    "formId": "basicInfo",
			    "indicationStatus": "true",
			    "basicInfo": null,
			    "workInfo": null,
			    "contactsInfo": null,
			    "elementsList": [
			        {
			            "elementId": "",
			            "domId": "idcard",
			            "elementCode": "000001",
			            "type": "text",
			            "name": "idcard",
			            "label": "身份证号",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请输入身份证号码",
			            "defaultValue": defaultBasicInfo.idcard || "",
			            "selectList": [],
			            "option": [],
			            "validStatus": "1"
			        },
			        {
			            "elementId": "",
			            "domId": "name",
			            "elementCode": "000002",
			            "type": "text",
			            "name": "name",
			            "label": "姓名",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请输入姓名",
			            "defaultValue": defaultBasicInfo.name || "",
			            "selectList": [],
			            "option": [],
			            "validStatus": "1"
			        },
			        {
			            "elementId": "594bc4602e870307cdd4129e",
			            "domId": "phone",
			            "elementCode": "000003",
			            "type": "text",
			            "name": "phone",
			            "label": "本人手机号",
			            "visibleStatus": "true",
			            "disabledStatus": "true",
			            "placeholder": "本人手机号",
			            "defaultValue": loginStatus.userPhoneNumber,
			            "selectList": [],
			            "option": [],
			            "validStatus": "1"
			        },
			        {
			            "elementId": "594bc8dc2e870307cdd41584",
			            "domId": "highestEducation",
			            "elementCode": "000001",
			            "type": "select",
			            "name": "highestEducation",
			            "label": "最高学历",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请选择学历",
			            "defaultValue": defaultBasicInfo.highestEducation || "",
			            "selectList": [
			                {
			                    "value": "",
			                    "view": "请选择学历"
			                },
			                {
			                    "value": "博士及以上",
			                    "view": "博士及以上"
			                },
			                {
			                    "value": "硕士",
			                    "view": "硕士"
			                },
			                {
			                    "value": "本科",
			                    "view": "本科"
			                },
			                {
			                    "value": "大专",
			                    "view": "大专"
			                },
			                {
			                    "value": "高中",
			                    "view": "高中"
			                },
			                {
			                    "value": "初中及以下",
			                    "view": "初中及以下"
			                }
			            ],
			            "option": [],
			            "validStatus": "1"
			        },
			        {
			            "elementId": "594bc9a02e870307cdd415b2",
			            "domId": "userMaritalStatus",
			            "elementCode": "000001",
			            "type": "select",
			            "name": "userMaritalStatus",
			            "label": "婚姻状况",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请选择婚姻状况",
			            "defaultValue": defaultBasicInfo.userMaritalStatus || "",
			            "selectList": [
			                {
			                    "value": "",
			                    "view": "请选择婚姻状况"
			                },
			                {
			                    "value": "已婚",
			                    "view": "已婚"
			                },
			                {
			                    "value": "未婚",
			                    "view": "未婚"
			                },
			                {
			                    "value": "离异",
			                    "view": "离异"
			                },
			                {
			                    "value": "其他",
			                    "view": "其他"
			                }
			            ],
			            "option": [],
			            "validStatus": "1"
					},
					{
			            "elementId": "",
			            "domId": "userTypeStatus",
			            "elementCode": "000001",
			            "type": "select",
			            "name": "userTypeStatus",
			            "label": "职业类型",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请选择职业类型",
			            "defaultValue": defaultBasicInfo.userTypeStatus || "",
			            "selectList": [
			                {
			                    "value": "",
			                    "view": "请选择职业类型"
			                },
			                {
			                    "value": "001",
			                    "view": "上班族"
			                },
			                {
			                    "value": "002",
			                    "view": "企业主"
			                }
			            ],
			            "option": [],
			            "validStatus": "1"
			        },
			        {
			            "elementId": "594bc9e42e870307cdd415c1",
			            "domId": "dwellingAddress",
			            "elementCode": "000001",
			            "type": "location",
			            "name": "dwellingAddress",
			            "label": "现居地址",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请选择城市",
			            "defaultValue": defaultBasicInfo.userLocationCode || "",
			            "selectList": [],
			            "option": [],
			            "validStatus": "1"
			        },
			        {
			            "elementId": "594bca222e870307cdd415d0",
			            "domId": "userDwellingDetailAddress",
			            "elementCode": "000001",
			            "type": "textArea",
			            "name": "userDwellingDetailAddress",
			            "label": "详细地址",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请输入详细地址",
			            "defaultValue": defaultBasicInfo.userDwellingDetailAddress || "",
			            "selectList": [],
			            "option": [],
			            "validStatus": "1"
			        },
			        {
			            "elementId": "594bc98d2e870307cdd415ad",
			            "domId": "userDwellingCondition",
			            "elementCode": "000001",
			            "type": "select",
			            "name": "userDwellingCondition",
			            "label": "居住状况",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请选择居住状况",
			            "defaultValue": defaultBasicInfo.userDwellingCondition || "",
			            "selectList": [
			                {
			                    "value": "",
			                    "view": "请选择居住状况"
			                },
			                {
			                    "value": "自购无按揭",
			                    "view": "自购无按揭"
			                },
			                {
			                    "value": "自购有按揭",
			                    "view": "自购有按揭"
			                },
			                {
			                    "value": "与亲属合住",
			                    "view": "与亲属合住"
			                },
			                {
			                    "value": "租房",
			                    "view": "租房"
			                },
			                {
			                    "value": "集体宿舍",
			                    "view": "集体宿舍"
			                },
			                {
			                    "value": "其他",
			                    "view": "其他"
			                }
			            ],
			            "option": [],
			            "validStatus": "1"
			        },
//			        {
//			            "elementId": "",
//			            "domId": "houseLoan",
//			            "elementCode": "000001",
//			            "type": "radio2",
//			            "name": "houseLoan",
//						"label1": "是否有房贷",
//						"label2": "(不限于装修房产)",			
//			            "visibleStatus": "true",
//			            "disabledStatus": "false",
//			            "defaultValue": defaultBasicInfo.houseLoan || "noHouseLoan",
//			            "option1": "hasHouseLoan",
//			            "option2": "noHouseLoan",
//			            "optionLabel1": "是",
//			            "optionLabel2": "否",
//			            "option": [],
//			            "validStatus": "1"
//			        },
			        {
			            "elementId": "",
			            "domId": "houseLoan",
			            "elementCode": "000001",
			            "type": "radio3",
			            "name": "houseLoan",
			            "label": "是否有房贷(不限于装修房产)",
//						"label1": "是否有房贷",
//						"label2": "(不限于装修房产)",			
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "defaultValue": defaultBasicInfo.houseLoan || "noHouseLoan",
			            "option1": "hasHouseLoan",
			            "option2": "noHouseLoan",
			            "optionLabel1": "是",
			            "optionLabel2": "否",
			            "option": [],
			            "validStatus": "1"
			        },
			        {
			        	"elementId": "",
			            "domId": "houseLoanStartTime",
			            "elementCode": "000001",
			            "type": "time",
			            "name": "houseLoanStartTime",
			            "label": "房贷起始日期",
			            "visibleStatus": defaultBasicInfo.houseLoan == "hasHouseLoan" ? "true" : "false",
			            "disabledStatus": "false",
			            "placeholder": defaultBasicInfo.houseLoanStartTime || "请选择日期",
			            "defaultValue": defaultBasicInfo.houseLoanStartTime || "",
			            "selectList": [],
			            "option": [],
						"validStatus": "1"
			        },
			        {
			            "elementId": "",
			            "domId": "houseLoanYear",
			            "elementCode": "000001",
			            "type": "text",
			            "name": "houseLoanYear",
			            "label": "房贷年限",
			            "visibleStatus": defaultBasicInfo.houseLoan == "hasHouseLoan" ? "true" : "false",
			            "disabledStatus": "false",
			            "placeholder": defaultBasicInfo.houseLoanYear || "请输入房贷年限，例如：30",
			            "defaultValue": defaultBasicInfo.houseLoanYear || "",
			            "selectList": [],
			            "option": [],
						"validStatus": "1"
			        },
			        {
			            "elementId": "",
			            "domId": "houseLoanPay",
			            "elementCode": "000001",
			            "type": "text",
			            "name": "houseLoanPay",
			            "label": "房贷月供",
			            "visibleStatus": defaultBasicInfo.houseLoan == "hasHouseLoan" ? "true" : "false",
			            "disabledStatus": "false",
			            "placeholder": "请输入月还款金额",
			            "defaultValue": defaultBasicInfo.houseLoanPay || "",
			            "selectList": [],
			            "option": [],
						"validStatus": "1"
			        },
			    ]
			}
	  });
  }
  
  return {
	init: init,
  };
});