define([
  'familyDecorationOnline/familyDecorationOnlineComponents/authentication/authStep3/authStep3View',
  'js/utilities'
], function(
  authStep3View,
  utilities
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  
  function init(query) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  
	  authStep3View.render({
		  userType: query.userType,
		  adultCreditRes: query.adultCreditRes,
		  contactsInfoHtml: {
			    "baseUserId": "",
			    "baseOrderId": "",
			    "baseBusinessType": "",
			    "baseDevelopmentNotes": "查询页面信息正常",
			    "filterRuleId": "",
			    "pageCode": "001003",
			    "currentPageName": "contactsInfo",
			    "prePageCode": "001002",
			    "nextPageCode": "001004",
			    "title": "额度申请-联系人信息",
			    "formId": "contactsInfo",
			    "indicationStatus": "true",
			    "basicInfo": {},
			    "workInfo": {},
			    "contactsInfo": null,
			    "elementsList": [
			        {
			            "elementId": "594bca8a2e870307cdd41603",
			            "domId": "firstContactsName",
			            "elementCode": "000003",
			            "type": "phone",
			            "name": "firstContactsName",
			            "label": "紧急联系人",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请输入联系人姓名",
			            "defaultValue": "",
			            "selectList": [],
			            "option": [
			                {
			                    "contactId": "contact1Btn"
			                }
			            ],
			            "validStatus": "1"
			        },
			        {
			            "elementId": "594bd3232e870307cdd4187c",
			            "domId": "firstContactsPhone",
			            "elementCode": "000003",
			            "type": "text",
			            "name": "firstContactsPhone",
			            "label": "手机号",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请输入联系人手机号",
			            "defaultValue": "",
			            "selectList": [],
			            "option": [],
			            "validStatus": "1"
			        },
			        {
			            "elementId": "594bd34e2e870307cdd41883",
			            "domId": "firstContactsRelation",
			            "elementCode": "000003",
			            "type": "select",
			            "name": "firstContactsRelation",
			            "label": "关系",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "点击选择1",
			            "defaultValue": "",
			            "selectList": [
			                {
			                    "value": "",
			                    "view": "点击选择"
			                },
			                {
			                    "value": "配偶",
			                    "view": "配偶"
			                },
			                {
			                    "value": "父母",
			                    "view": "父母"
			                },
			                {
			                    "value": "子女",
			                    "view": "子女"
			                }
			            ],
			            "option": [],
			            "validStatus": "1"
			        },
			        {
			            "elementId": "594bc91d2e870307cdd4158d",
			            "domId": "",
			            "elementCode": "",
			            "type": "div",
			            "name": "",
			            "label": "",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "空白显示",
			            "defaultValue": "",
			            "selectList": [],
			            "option": [],
			            "validStatus": ""
			        },
			        {
			            "elementId": "594bd3772e870307cdd418a2",
			            "domId": "secondContactsName",
			            "elementCode": "000003",
			            "type": "phone",
			            "name": "secondContactsName",
			            "label": "常用联系人",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请输入联系人姓名",
			            "defaultValue": "",
			            "selectList": [],
			            "option": [
			                {
			                    "contactId": "contact2Btn"
			                }
			            ],
			            "validStatus": "1"
			        },
			        {
			            "elementId": "594bd39b2e870307cdd418ac",
			            "domId": "secondContactsPhone",
			            "elementCode": "000003",
			            "type": "text",
			            "name": "secondContactsPhone",
			            "label": "手机号",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "请输入联系人手机号",
			            "defaultValue": "",
			            "selectList": [],
			            "option": [],
			            "validStatus": "1"
			        },
			        {
			            "elementId": "594bd3c12e870307cdd418b7",
			            "domId": "secondContactsRelation",
			            "elementCode": "000003",
			            "type": "select",
			            "name": "secondContactsRelation",
			            "label": "关系",
			            "visibleStatus": "true",
			            "disabledStatus": "false",
			            "placeholder": "点击选择",
			            "defaultValue": "",
			            "selectList": [
			                {
			                    "value": "",
			                    "view": "点击选择"
			                },
			                {
			                    "value": "父母",
			                    "view": "父母"
			                },
			                {
			                    "value": "配偶",
			                    "view": "配偶"
			                },
			                {
			                    "value": "子女",
			                    "view": "子女"
			                },
			                {
			                    "value": "亲属",
			                    "view": "亲属"
			                },
			                {
			                    "value": "朋友",
			                    "view": "朋友"
			                },
			                {
			                    "value": "同事",
			                    "view": "同事"
			                },
			                {
			                    "value": "其他",
			                    "view": "其他"
			                }
			            ],
			            "option": [],
			            "validStatus": "1"
			        }
			    ]
			}
	  });
  }
  
  return {
	init: init,
  };
});