define([
    'jquery',
    'js/utilities',
//	'hbs!components/chooseGoods/chooseGoodsList',
	'hbs!components/chooseGoods/chooseGoodsItem'
//	'hbs!components/chooseGoods/chooseGoodsPrice',
//	'hbs!educationComponents/chooseGoods/chooseGoodsProduct'
], function(
	$$,
	utilities,
//	chooseGoodsListTemplate,
	chooseGoodsItemTemplate
//	chooseGoodsPriceTemplate,
//	chooseGoodsProductTemplate
) {
	var callAppApi = utilities.callAppApi;
	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	var locatiionChooseGoodsListData = JSON.parse(localStorage.getItem('locatiionChooseGoodsListData_'+loginStatus.userId));
	
	// 重置价格	
	function resetGoodsPrice() {
		$$('#goodsPrice').val('');
		$$('#goodsPrice').attr('disabled', true);
	}
	
	// 重置分期金额
	function resetCredit() {
		$$('#familyDecorationOnlineCredit').val('');
		$$('#familyDecorationOnlineCredit').attr('disabled', true);
	}
	
	// 重置分期产品
	function resetGoodsProduct() {
		var defaultGoodsProductList = [{
			default: true,
			value: '',
			view: '请选择分期产品'
		}];
		$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: defaultGoodsProductList}));
		$$('#goodsProduct').attr('disabled', true);
	}
	
	// 重置期数
	function resetGoodsStageNum() {
		var defaultGoodsStageNumList = [{
			default: true,
			value: '',
			view: '请选择期数'
		}];
		$$('#goodsStageNum').html(chooseGoodsItemTemplate({optionsList: defaultGoodsStageNumList}));
		$$('#goodsStageNum').attr('disabled', true);
	}
	
	// 重置期初支付
	function resetFirstPayment() {
		$$('#firstPayment').val('0元');
		$$('#firstPayment').attr('disabled', true);
		$$('#firstPayment').parent().removeClass('firstpayment-show');
		$$('#firstPayment').parent().addClass('firstpayment-hidden');
		$$('#lineDownText').addClass('line-down-text-init');
		$$('#goodsDetials').addClass('goods-detials-init');
	}
	
	// 重置线下支付
	function resetLinedownPayment() {
		$$('#linedownPayment').val('0元');
		$$('#linedownPayment').attr('disabled', true);
	}
	
	// 重置每期还款
	function resetEachPayment() {
		$$('#goodsDetials').removeClass('plan-detail');
		$$('#goodsDetials').attr('disabled', true);
	}
	
	// 重置服务协议名称
	function resetProtocolName() {
		var defaultProtocolName = [{
			default: true,
			value: '',
			view: '请选择合同名称'
		}];
		$$('#protocolName').html(chooseGoodsItemTemplate({optionsList: defaultProtocolName}));
		/*$$('#protocolName').val('请选择课程协议名称');*/
		$$('#protocolName').attr('disabled', true);
	}
	
	// 重置服务协议编号
	function resetProtocolNum() {
		$$('#protocolNum').val('');
		$$('#protocolNum').attr('disabled', true);
	}
	
	// 重置服务协议签订时间
	function resetProtocolTime() {
		$$('#protocolTime').val('请选择时间');
		$$('#protocolTime').attr('disabled', true);
	}

//	--------------------------------------------回显方法-----------------------------------------------
	//添加商品事件
	function chooseStoreGoodeChange (storeId,courseList,callBack){
		$$('#goods').off('change.familyDecorationOnlineChooseGoods').on('change.familyDecorationOnlineChooseGoods', function(e) {
			if (e.target.value == '') {
				f7.alertMessage('请选择商品');
				
				// reset
				resetGoodsPrice();
				resetCredit();
				resetGoodsProduct();
				resetGoodsStageNum();
				resetFirstPayment();
				resetLinedownPayment();
				resetEachPayment();
				resetProtocolName();
				resetProtocolTime();
				
			} else {
				
//				resetGoodsPrice();
				resetCredit();
				resetGoodsProduct();
				resetGoodsStageNum();
				resetFirstPayment();
				resetLinedownPayment();
				resetEachPayment();
				resetProtocolName();
				resetProtocolTime();
				
				currentGoodsId = e.target.value;
				courseId = e.target.value;
				
				courseList.forEach(function(item) {
				    if (item.goodsItemId == courseId) {
                        courseName = item.goodsName;
                        coursePrice = item.goodsPrice;
                        contractTitle = item.contractTitle;
                    }
				});
				
				callBack();
			}
		});
		
	}
	
	
	function getGoodsPriceChange(storeId, callBack) {
	    $$('#goodsPrice').removeAttr('disabled');
        
        $$('#goodsPrice').on('blur', function() {
            if (parseInt($$('#goodsPrice').val()) < 0) {
                f7.alert('装修总价不能小于0');
                $$("#goodsPrice").val('');
                resetCredit();
                resetGoodsProduct();
                resetGoodsStageNum();
                resetFirstPayment();
                resetLinedownPayment();
                resetProtocolName();
                resetProtocolTime();
                return false;
            }
            if (!/^[1-9][0-9]*$$/.test($$('#goodsPrice').val())) {
                f7.alert('装修总价必须是数字格式');
                $$("#goodsPrice").val('');
                resetCredit();
                resetGoodsProduct();
                resetGoodsStageNum();
                resetFirstPayment();
                resetLinedownPayment();
                resetProtocolName();
                resetProtocolTime();
                return false;
            }
            
            coursePrice = $$('#goodsPrice').val();
            
            callAppApi({
                url: '/module/suite/suitePlanList',
                type: 'POST',
                params: {
                    userId: loginStatus.userId,
                    baseBusinessType: '004003',
                    storeId: storeId
                },
                successCallback: function(response){
                    callBack(response);
                },
                errorCallback: function(err) {}
            })
        })
	}
	function getGoodsPriceChangeOnOrder(modifyCreditAmount) {
		$$('#goodsSellPriceEdit').on('click',function(){
			if($$('#goodsSellPriceEdit').hasClass('header-item-goodsPrice-edit')){
				$$('#goodsSellPriceEdit').text('完成');
				$$('#goodsSellPriceEdit').removeClass('header-item-goodsPrice-edit');
				$$('#goodsSellPriceEdit').addClass('header-item-goodsPrice-complete');
				$$("#goodsSellPrice").removeAttr('disabled')
				$$('#familyDecorationOnlineCredit').attr('disabled',true);
				$$('#goodsProduct').attr('disabled',true);
				$$('#goodsStageNum').attr('disabled',true);
				$$('#protocolName').attr('disabled',true);
				$$('#protocolTime').attr('disabled',true);
			}else{
				if($$('#goodsSellPrice').val()==''){
					f7.alert('请输入总金额');
					return false;
				}
				if (parseInt($$('#goodsSellPrice').val()) < 0) {
	                f7.alert('装修总价不能小于0');
	                return false;
	            }
	            if (! /(^[1-9]([0-9]+)?(\.[0-9]{1,2})?$)|(^(0){1}$)|(^[0-9]\.[0-9]([0-9])?$)/.test($$('#goodsSellPrice').val())) {
	                f7.alert('装修总价必须是数字格式');
	                return false;
	            }
	            if((parseInt($$('#goodsSellPrice').val()) < parseInt($$('#familyDecorationOnlineCredit').val())) || $$('#familyDecorationOnlineCredit').val() == ''){
	                resetCredit();
	                resetGoodsProduct();
	                resetGoodsStageNum();
	                resetFirstPayment();
	                resetLinedownPayment();
	                $$('#familyDecorationOnlineCredit').removeAttr('disabled',true);
	            }else{
//	            	$$('#linedownPayment').val($$('#goodsSellPrice').val()-$$('#familyDecorationOnlineCredit').val())
	            	$$('#familyDecorationOnlineCredit').removeAttr('disabled',true);
					$$('#goodsProduct').removeAttr('disabled',true);
					$$('#goodsStageNum').removeAttr('disabled',true);
					$$('#protocolName').removeAttr('disabled',true);
					$$('#protocolTime').removeAttr('disabled',true);
					if(modifyCreditAmount){
						modifyCreditAmount()
					}
	            }
	            $$('#goodsSellPriceEdit').text('');
				$$("#goodsSellPrice").attr('disabled',true)
				$$('#goodsSellPriceEdit').addClass('header-item-goodsPrice-edit');
				$$('#goodsSellPriceEdit').removeClass('header-item-goodsPrice-complete');
			}
		})
	}
	
	// 改变分期金额事件
	function changeProductPrice(coursePrice,creditPrice,offlinePay,storeId,callback,isFirstOrder,instalmentAmount) {

		// 分期金额校验:大于商品价格则自动设置为商品价格
		$$('#familyDecorationOnlineCredit').on('blur', function() {
		    var creditTemp = Math.min(parseInt(instalmentAmount), parseInt(coursePrice));
            if (!isFirstOrder) {
                if (parseInt($$('#familyDecorationOnlineCredit').val()) > parseInt(instalmentAmount)) {
                    f7.alert('分期金额不能大于可用额度');
                    $$("#familyDecorationOnlineCredit").val(creditTemp);
//                    resetGoodsProduct();
//                    resetGoodsStageNum();
//                    resetFirstPayment();
                    resetLinedownPayment();
//                    resetEachPayment();
//                    resetProtocolName();
//                    resetProtocolTime();
//                    $$('#goodsProduct').removeAttr('disabled');
                    offlinePay = parseInt(coursePrice) - parseInt($$('#familyDecorationOnlineCredit').val());
                    $$('#linedownPayment').val(offlinePay + '元');
                    return false;
                }
             }

            if (!/^[1-9][0-9]*$$/.test($$('#familyDecorationOnlineCredit').val())) {
                f7.alert('分期金额必须是数字格式');
                $$("#familyDecorationOnlineCredit").val(creditTemp);
//                resetGoodsProduct();
//                resetGoodsStageNum();
//                resetFirstPayment();
                resetLinedownPayment();
//                resetEachPayment();
//                resetProtocolName();
//                resetProtocolTime();
//                $$('#goodsProduct').removeAttr('disabled');
                offlinePay = parseInt(coursePrice) - parseInt($$('#familyDecorationOnlineCredit').val());
                $$('#linedownPayment').val(offlinePay + '元');
                return false;
            }
            if (parseInt($$('#familyDecorationOnlineCredit').val()) < 0) {
                f7.alert('分期金额不能小于0');
                $$("#familyDecorationOnlineCredit").val(creditTemp);
//                resetGoodsProduct();
//                resetGoodsStageNum();
//                resetFirstPayment();
                resetLinedownPayment();
//                resetEachPayment();
//                resetProtocolName();
//                resetProtocolTime();
//                $$('#goodsProduct').removeAttr('disabled');
                offlinePay = parseInt(coursePrice) - parseInt($$('#familyDecorationOnlineCredit').val());
                $$('#linedownPayment').val(offlinePay + '元');
                return false;
            }
            if (parseInt($$('#familyDecorationOnlineCredit').val()) > parseInt(coursePrice)) {
                f7.alert('分期金额不能大于商品价格');
                $$("#familyDecorationOnlineCredit").val(creditTemp);
//                resetGoodsProduct();
//                resetGoodsStageNum();
//                resetFirstPayment();
                resetLinedownPayment();
//                resetEachPayment();
//                resetProtocolName();
//                resetProtocolTime();
//                $$('#goodsProduct').removeAttr('disabled');
                offlinePay = parseInt(coursePrice) - parseInt($$('#familyDecorationOnlineCredit').val());
                $$('#linedownPayment').val(offlinePay + '元');
                return false;
            }
			
			creditPrice = $$('#familyDecorationOnlineCredit').val();
			offlinePay = parseInt(coursePrice) - parseInt($$('#familyDecorationOnlineCredit').val());
			$$('#linedownPayment').val(offlinePay + '元');
			resetGoodsProduct();
			resetGoodsStageNum();
			resetFirstPayment();
			resetEachPayment();
			resetProtocolName();
			resetProtocolTime();
			$$('#goodsProduct').removeAttr('disabled');
			
			callAppApi({
				url: '/module/suite/suitePlanList',
				type: 'POST',
				params: {
					userId: loginStatus.userId,
					baseBusinessType: '004003',
					storeId: storeId
				},
				successCallback: callback,
				errorCallback: function(err) {}
			})
		})
	}
	
	//订单详情更改分期金额
	function changeProductPriceOnOrder(coursePrice,creditPrice,offlinePay,storeId,callbackReset,callback,isFirstOrder,instalmentAmount,isRestProduct){
		if (!/(^[1-9]([0-9]+)?(\.[0-9]{1,2})?$)|(^(0){1}$)|(^[0-9]\.[0-9]([0-9])?$)/.test($$('#familyDecorationOnlineCredit').val())) {
			f7.alert('分期金额必须是数字格式');
			$$("#familyDecorationOnlineCredit").val($$('#goodsSellPrice').val());
			resetGoodsProduct();
			resetGoodsStageNum();
			resetFirstPayment();
			resetLinedownPayment();
			resetEachPayment();
//			resetProtocolName();
//			resetProtocolTime();
			isRestProduct = true;
		}
		if(parseInt($$('#familyDecorationOnlineCredit').val()) <= 0){
			f7.alert('分期金额不能小于0');
			$$("#familyDecorationOnlineCredit").val($$('#goodsSellPrice').val());
			resetGoodsProduct();
			resetGoodsStageNum();
			resetFirstPayment();
			resetLinedownPayment();
			resetEachPayment();
//			resetProtocolName();
//			resetProtocolTime();
			isRestProduct = true;
		}
		if(parseInt($$('#familyDecorationOnlineCredit').val()) > parseInt($$('#goodsSellPrice').val())){
			f7.alert('分期金额不能大于商品价格');
			$$("#familyDecorationOnlineCredit").val($$('#goodsSellPrice').val());
			resetGoodsProduct();
			resetGoodsStageNum();
			resetFirstPayment();
			resetLinedownPayment();
			resetEachPayment();
//			resetProtocolName();
//			resetProtocolTime();
			isRestProduct = true;
		}
		if($$('#goodsProduct option').length<=1){
			isRestProduct = true;
		}
		if (!isFirstOrder) {
            if (parseInt($$('#familyDecorationOnlineCredit').val()) > parseInt(instalmentAmount)) {
                f7.alert('分期金额不能大于可用额度');
                $$("#familyDecorationOnlineCredit").val(instalmentAmount);
                resetGoodsProduct();
                resetGoodsStageNum();
                resetFirstPayment();
                resetLinedownPayment();
                resetEachPayment();
//                resetProtocolName();
//                resetProtocolTime();
                isRestProduct = true;
            }
         }
		
		creditPrice = $$('#familyDecorationOnlineCredit').val();
		offlinePay = parseInt($$('#goodsSellPrice').val()) - parseInt($$('#familyDecorationOnlineCredit').val());
		$$('#linedownPayment').val(offlinePay + '元');
//		resetGoodsProduct();
//		resetGoodsStageNum();
		resetFirstPayment();
		resetEachPayment();
//		resetProtocolName();
//		resetProtocolTime();
		$$('#goodsProduct').removeAttr('disabled');
		//是否要重置分期产品和期数
		if(isRestProduct){
			cbFn = callbackReset
		}else{
			cbFn = callback
		}
		callAppApi({
			url: '/module/suite/suitePlanList',
			type: 'POST',
			params: {
				userId: loginStatus.userId,
				baseBusinessType: '004003',
				storeId: storeId
			},
			successCallback: cbFn,
			errorCallback: function(err) {}
		})
	}
	
	
	// 分期产品改变事件
	function goodsProductChange(chooseGoodsProductList,callback,isReset){
		$$('#goodsProduct').off('change.familyDecorationOnlineChooseGoods').on('change.familyDecorationOnlineChooseGoods', function(e) {
			
			if (e.target.children[0].selected) {
				f7.alert('请选择分期产品');
				resetGoodsStageNum();
				resetFirstPayment();
				resetEachPayment();
				if(isReset){
					resetProtocolName();
					resetProtocolTime();
				}
			} else {

				for (var i = 0; i < e.target.children.length; i++) {
					if (e.target.children[i].selected === true) {
						
						// 根据所选产品的planId是否为空来判断是否显示套餐名称
						if (!chooseGoodsProductList[i].planList || chooseGoodsProductList[i].planList[0].planId === '') {
							goodsPlanStatus = false;
						} else {
							goodsPlanStatus = true;
						}
						
						goodsProductId = chooseGoodsProductList[i].value;	// 分期产品id
						goodsProductName = chooseGoodsProductList[i].view;	// 分期产品名称
							
						goodsPlanId = '';
						goodsPlanName = '';
						$('#goodsSuite').parent().addClass('hide');
						callback(chooseGoodsProductList[i].periodList,goodsProductId,goodsProductName);
					}
				}
				resetFirstPayment();
				resetEachPayment();
				if(isReset){
					resetProtocolName();
					resetProtocolTime();
				}
			}
		});
	}
	
	//期数事件
	function goodsStageNumChange(coursePrice,creditPrice,goodsPlanId,currentGoodsId,callback,isReset){
		$$('#goodsStageNum').off('change.familyDecorationOnlineChooseGoods').on('change.familyDecorationOnlineChooseGoods', function(e) {
			if (e.target.children[0].selected) {
				f7.alert('请选择期数');
				resetEachPayment();
				resetProtocolNum();
				if(isReset){
					resetProtocolName();
					resetProtocolTime();
				}
			} else {
				for (var i = 0; i < e.target.children.length; i++) {
					if (e.target.children[i].selected === true) {
						goodsPeriodKey = e.target.children[i].value;
						goodsPeriod = parseInt(e.target.children[i].innerHTML).toString();
					}
				}
				callAppApi({
					url: '/module/suite/suitePlanDetail',
					apiVersion: '2.0',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						orderProductPrice: coursePrice,
						stagePlanAmt: creditPrice,
						periodKey: goodsPeriodKey,
						planId: goodsPlanId,
						goodsSellId:currentGoodsId,
						baseBusinessType: '004003'
					},
					successCallback: function(data){
						callback(data,goodsPeriodKey,goodsPeriod)
					},
					errorCallback: function(err) {}
				});
			}
		});
	}
	
	// 分期账单
	// 获取详细分期计划成功回调
	function goodsSuitePlanDetailChange(goodPaymentDetail,downPayment,courseName,goodsSuiteTotalAmount,goodsSuiteStageNumber) {
		$$('#goodsDetials').addClass('plan-detail');
		$$('#goodsDetials').removeAttr('disabled');
		$$('#protocolName').removeAttr('disabled');
		$$('#protocolTime').removeAttr('disabled');
		var goodPaymentDetailHtml='';
		if (goodPaymentDetail){
			goodPaymentDetail.map(function(item,index){
				goodPaymentDetailHtml = goodPaymentDetailHtml +
					'<div class="model-list-item">'+
						'<div class="model-list-number model-list-content">第'+item.periodNo+'期</div>' +
						'<div class="model-list-pay model-list-content">'+item.payAmount+'元</div>' +
					'</div>' 
			})
		}
		
		// 设置期初支付
		// $$('#firstPayment').val('￥'+downPayment);
		
		$$("#goodsDetials").off("click").on("click",function(){
			f7.modal({
				title: '分期账单',
				afterText: '<div class="model-block-chooseGoods">'+
									'<div class="model-head">'+
										'<div class="chooseGoodsModalItem" style="width: 100%">' +
											'<span class="key">商品名称</span><span class="value">' + courseName + '</span>' +
										'</div>' +
										'<div class="chooseGoodsModalItem">'+
											'<span class="key">还款金额</span><span class="value">' + goodsSuiteTotalAmount + '元</span>'+
										'</div>' +
										'<div class="chooseGoodsModalItem">'+
											'<span class="key">还款方式</span><span class="value">月还</span>'+
										'</div>' +
										'<div class="chooseGoodsModalItem">'+
												'<span class="key">期数</span><span class="value">' + goodsSuiteStageNumber + '期</span>'+
										'</div>' +
									'</div>' +
									'<div class="model-list-item item-title">'+
										'<div class="model-list-number model-list-content">期数</div>' +
										'<div class="model-list-pay model-list-content">每期还款</div>' +
									'</div>' + 
									'<div class="model-list">'+
										goodPaymentDetailHtml +
									'</div>' +
								 '</div>',
				buttons: [
					{
						text: '确认',
					}
				]
			});
			$(".model-block-chooseGoods .model-head")[0].addEventListener('touchmove', function (event) { 
				event.preventDefault();
			}, false);
			$(".modal-button")[0].addEventListener('touchmove', function (event) { 
				event.preventDefault();
			}, false);
			$(".modal-title")[0].addEventListener('touchmove', function (event) { 
				event.preventDefault();
			}, false);
			$('.model-list-item')[0].addEventListener('touchmove', function (event) { 
				event.stopPropagation();
			}, false);
			$('.model-list')[0].addEventListener('touchmove', function (event) { 
				event.stopPropagation();
			}, false);
			$('.model-block-chooseGoods').parent().parent().css({
				position: 'absolute',
				top: '40%',
				left: '5%',
				display: 'block',
				width: '90%',
				margin: '-210px 5% 0 0',
				background: 'rgba(255,255,255,1)'
			});
			$('.model-block-chooseGoods').parent().find('.modal-title').css({
				'margin': '0 10px',
				'padding': '15px 0',
		    	'border-bottom': '1px dashed #e5e5e5',
		    	'font-size': '18px',
		    	'color': '#333',
		    	'font-weight': 'nomarl',
			});
			$('.model-block-chooseGoods .model-head').css({
				padding: '15px 25px',
				background: 'none',
				border: 'none'
			});
			$('.model-block-chooseGoods').parent().css({
				padding:0,
				background: 'rgba(255,255,255,1)'
			});
			$(".model-billing").parent().css({
				padding:"20px"
			});
			$(".chooseGoodsModalItem").css({
				"text-align":"left",
				"margin-bottom":"5px",
				'font-size': '0'
			});
			$(".chooseGoodsModalItem .key").css({
			    'display': 'inline-block',
			    'width': '30%',
		    	'margin-right': '5%',
				'font-size': '14px',
				'color': '#333'
			});
			$(".chooseGoodsModalItem .value").css({
				'display': 'inline-block',
				'width': '60%',
				'vertical-align': 'top',
				'font-size': '14px',
				'color': '#333'
			});
			$('.model-list').css({
				'margin-top': '0'
			});
			$('.model-list-item').css({
				'padding-left': '25px',
				'border-bottom': '1px solid #e5e5e5',
				'height': '35px',
				'line-height': '35px',
				'box-sizing':'border-box'
			});
			$('.model-list-content').css({
				'float': 'left'
			})
			$('.model-list-item.item-title').css({
				'height': '40px',
				'background': '#f5f5f5',
				'boder': 'none',
				'color': '#333',
				'border': '0px'
			});
			$('.model-list-number, .model-list-pay').css({
				'height': '35px',
				'line-height': '35px',
				'font-size': '14px',
				'color': '#333',
				'text-align': 'left'
			});
			$('.model-list-number').css({
				'margin-right': '5%',
				'width': '24%'
			});
			$('.model-list-pay').css({
				'width': '65%'
			});
			$('.model-list-item.item-title .model-list-number, .model-list-item.item-title .model-list-pay').css({
				'height': '40px',
				'line-height': '40px',
				'font-size': '14px',
				'color': '#333'
			});
		});
	}
	
	/**
	 * @二维码扫描 通用字段
	 */
	function getRealString(str) {
		var s = '';
		for (var i = 0; i < str.length; i++) {
		    if (i % 5 != 0) {
		      s += str[i];
		    }
		}
		return s;
	}
	
    function doWithQRCode(s, callback) {
    	if (!s || s.indexOf("|") < 0) {
    		f7.alert("亲，二维码没看清，请再试一下哦");
    		return;
    	}
    	
    	// 二维码规则调整
    	s = s.replace(/\*/g, '');
    	
    	var actionType = s.split("|")[0];
    	var viewType = s.split("|")[1];
    	var objectID = s.split("|")[2];
	  
    	if (actionType == "V" && viewType == "M" && objectID) {

    		callback(objectID);
    	} else {
    		f7.alert("请扫描有效的二维码信息");
    		return;
    	}
    	return objectID;
    }
	
	return {
		// 二维码通用方法
		getRealString: getRealString,
		doWithQRCode: doWithQRCode,
		
		// 重置方法组
		resetGoodsPrice: resetGoodsPrice,
		resetCredit: resetCredit,
		resetGoodsProduct: resetGoodsProduct,
		resetGoodsStageNum: resetGoodsStageNum,
		resetFirstPayment: resetFirstPayment,
		resetLinedownPayment: resetLinedownPayment,
		resetEachPayment: resetEachPayment,
		resetProtocolName: resetProtocolName,
		resetProtocolNum: resetProtocolNum,
		resetProtocolTime: resetProtocolTime,
		chooseStoreGoodeChange:chooseStoreGoodeChange,
		changeProductPrice:changeProductPrice,
		changeProductPriceOnOrder:changeProductPriceOnOrder,
		goodsProductChange:goodsProductChange,
		goodsStageNumChange:goodsStageNumChange,
		goodsSuitePlanDetailChange: goodsSuitePlanDetailChange,
		getGoodsPriceChange: getGoodsPriceChange,
		getGoodsPriceChangeOnOrder:getGoodsPriceChangeOnOrder
	}
});