define([
    	'js/utilities',
    	'familyDecorationOnline/familyDecorationOnlineContainers/materialUpload/materialUploadView'
    ], function(
    	utilities,
    	materialUploadView
    ) {
    	var $ = Framework7.$;
    	var callAppApi = utilities.callAppApi;

    	function init(query) {
        	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
        	
    		if (mainView.activePage.name === 'familyDecorationOnlineMaterialUpload') {
    			// 隐藏工具栏
    			f7.hideToolbar('#toolbar');
    		}
    		
    		var elementList = [
       	        {
    	            "elementId": "",
    	            "domId": "propertyArea",
    	            "elementCode": "",
    	            "type": "suffixText",
    	            "name": "propertyArea",
    	            "label": "房产面积",
    	            "visibleStatus": "true",
    	            "disabledStatus": "false",
    	            "placeholder": "请输入房产面积",
    	            "defaultValue": "",
    	            "selectList": [],
    	            "option": [],
    	            "validStatus": "1",
    	            "suffix": "平方"
    	        },
       	        {
    	            "elementId": "",
    	            "domId": "propertyValue",
    	            "elementCode": "",
    	            "type": "suffixText",
    	            "name": "propertyValue",
    	            "label": "房产价值",
    	            "visibleStatus": "true",
    	            "disabledStatus": "false",
    	            "placeholder": "请输入房产价值金额",
    	            "defaultValue": "",
    	            "selectList": [],
    	            "option": [],
    	            "validStatus": "1",
    	            "suffix": "万元"
    	        },
    	        {
    	            "elementId": "",
    	            "domId": "propertyCharacter",
    	            "radioClass": "propertyCharacterRadio",
    	            "elementCode": "",
    	            "type": "radio",
    	            "name": "propertyCharacter",
    	            "label": "房产性质",
    	            "visibleStatus": "true",
    	            "disabledStatus": "false",
    	            "defaultValue": "publicProperty",
    	            "option1": "publicProperty",
    	            "option2": "ownProperty",
    	            "optionLabel1": "共有房产",
    	            "optionLabel2": "自有房产",
    	            "option": [],
    	            "validStatus": "1"
    	        },
    	        {
    	        	"domId": "publicPropertyForm",
    	            "type": "publicPropertyForm",
    	            "visibleStatus": "true",
    	            "formItemList": [
                         {
         		            "domId": "defaultPublicPropertyRelation",
         		            "type": "text",
         		            "name": "publicPropertyRelation",
         		            "label": "共有房产人关系",
         		            "visibleStatus": "true",
         		            "disabledStatus": "false",
         		            "placeholder": "请输入共有房产人关系",
   			                "defaultValue": ""
         		        },
    			        {
    			            "domId": "defaultPublicPropertyName",
    			            "type": "text",
    			            "name": "publicPropertyName",
    			            "label": "共有房产人姓名",
    			            "visibleStatus": "true",
    			            "disabledStatus": "false",
    			            "placeholder": "请输入共有房产人姓名",
    			            "defaultValue": ""
    			        },
    	            ]
    	        },
    	        {
    	            "elementId": "",
    	            "domId": "decorationAddressType",
    	            "radioClass": "decorationAddressTypeRadio",
    	            "elementCode": "",
    	            "type": "radio",
    	            "name": "decorationAddressType",
    	            "label": "装修地址类型",
    	            "visibleStatus": "true",
    	            "disabledStatus": "false",
    	            "defaultValue": "liveAddress",
    	            "option1": "liveAddress",
    	            "option2": "otherAddress",
    	            "optionLabel1": "居住地址",
    	            "optionLabel2": "其他地址",
    	            "option": [],
    	            "validStatus": "1"
    	        },
		        {
		            "elementId": "propertyStatusBox",
		            "domId": "propertyStatus",
		            "elementCode": "",
		            "type": "select",
		            "name": "propertyStatus",
		            "label": "装修地址状况",
		            "visibleStatus": "false",
		            "disabledStatus": "false",
		            "placeholder": "请选择",
		            "defaultValue": "",
		            "selectList": [
						{
							value: ' ',
							view: '请选择装修地址状况'
						},
						{
							value: '自购无按揭',
							view: '自购无按揭'
						},
						{
							value: '自购有按揭',
							view: '自购有按揭'
						},
						{
							value: '与亲属合住',
							view: '与亲属合住'
						},
						{
							value: '租房',
							view: '租房'
						},
						{
							value: '集体宿舍',
							view: '集体宿舍'
						},
						{
							value: '其他',
							view: '其他'
						}
		            ],
		            "option": [],
		            "validStatus": "1"
		        },
		        {
		            "elementId": "",
		            "domId": "decorationAddress",
		            "elementCode": "",
		            "type": "location",
		            "name": "decorationAddress",
		            "label": "装修房产地址",
		            "visibleStatus": "true",
		            "disabledStatus": "false",
		            "placeholder": "请选择收货地址",
		            "defaultValue": "",
		            "selectList": [],
		            "option": [],
		            "validStatus": "1"
		        },
		        {
		            "elementId": "",
		            "domId": "decorationDetailAddress",
		            "elementCode": "",
		            "type": "textArea",
		            "name": "decorationDetailAddress",
		            "label": "详细地址",
		            "visibleStatus": "true",
		            "disabledStatus": "false",
		            "placeholder": "请输入详细地址",
		            "defaultValue": "",
		            "selectList": [],
		            "option": [],
		            "validStatus": "1"
		        }
			]
        	callAppApi({
        		url: '/app/credit/audit/infoQuery',
        		type: 'POST',
        		params: {
        			userId: loginStatus.userId,
        			baseBusinessType:"004003",
        		},
        		successCallback: function(response) {
        			
        			materialUploadView.render(Object.assign({}, query, {
        				elementList: elementList,
        				infoData: response.infoData,
        				picList: response.picList,
        				decorationMaterialsList: response.decorationMaterialsList,
        				addressData: response.addressData,
        				decorationContract: response.decorationContract
        			}));
        		},
        		errorCallback: function(err) {}
        	});
        	
    	}
    	
    	return {
    		init: init
    	}
    });
