define([
    'jquery',
	'js/utilities',
	'js/validator',
	'js/uploadImg',
	'js/uploadEvidenceFunc.js',
	'familyDecorationOnline/familyDecorationOnlineContainers/materialUpload/materialUploadHelper',
	'hbs!familyDecorationOnline/familyDecorationOnlineContainers/materialUpload/materialUpload',
	'hbs!familyDecorationOnline/familyDecorationOnlineComponents/materialUpload/inputArea',
	'hbs!familyDecorationOnline/familyDecorationOnlineComponents/materialUpload/uploadEvidence',
	'hbs!familyDecorationOnline/familyDecorationOnlineComponents/materialUpload/publicPropertyItem',
	'hbs!components/common/button/button'
], function(
	$$,
	utilities,
	validator,
	uploadImg,
	uploadEvidenceFunc,
	materialUploadHelper,
	materialUploadTemplate,
	inputAreaTemplate,
	uploadEvidenceTemplate,
	publicPropertyItemTemplate,
	buttonTemplate
) {
	var callAppApi = utilities.callAppApi;
	var clickDelay = utilities.clickDelay;
	var takePicture = uploadImg.takePicture;//拍照
	var choosePhoto = uploadImg.choosePhoto;//相册
	
	var getEvidencePicIndex = materialUploadHelper.getEvidencePicIndex;
	var getEvidenceType = materialUploadHelper.getEvidenceType;

	var UploadEvidence = uploadEvidenceFunc.UploadEvidence;//上传图片
	var EvidenceArea = materialUploadHelper.EvidenceArea;
	
	var infoQueryRouter = utilities.infoQueryRouter; //入口路由跳转判断

	function render(params) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var fromPage = params.fromPage;
		var orderId = params.orderId;
		
		//居住地址
		if(params.addressData){
			var liveAddress = params.addressData
		}
		
		// 上传资料实例数组
		var evidenceDecorationList = [];
		
		// 旧图片格式上传所需字段
		var evidenceArr = [];
		var evidenceBrowserArr = [];
		var evidencePhotoArr = [];
		
		//装修图片回显
		if(params.decorationContract && params.decorationContract != ''){
			evidenceArr = JSON.parse(params.decorationContract);
		}
		
		// 渲染navbar
		loadComponent('navbar', 'common', {
			container: '#materialUploadNavbar',
			title: '完善资料',
			backId: 'materialUploadBackBtn',
			isBackIcon: true,
			callback: function() {
				
				// 点击返回按钮(根据状态值返回到不同页面)
				$$('#materialUploadBackBtn').on('click', function() { 
					if(fromPage=="orderDetail"){
						 mainView.router.load({
							  url: 'order.html',
							  animatePages: false
						  });
					}else{
						mainView.router.back({
							url: 'index.html',
				  			force: true,
							query: {
								fromPage: 'familyDecorationMaterialUpload',
							}
						})
					} 
				});
			}
		});
		
		// 渲染头部状态栏
		loadAdultEducationComponent('authenticationTabbar', 'authentication', {
			container: '#uploadEvidenceTabbar',
			tabIndex: 2,
			pageType: 'orderPage'
		});
		$$('#familyDecorationInfo').html(inputAreaTemplate({
			formId: 'professionMaterialForm',
			inputList: params.elementList,
			tabbarId:'uploadEvidenceTabbar',
			visibleStatus: true
		}));
		
		//已上传图片回显
		var picDataArr = [
            {
                "picType": "9",
                "picName":"装修房产证明",
                "picDataArray": []
            }
        ]
		//数据合并
		if(params.decorationMaterialsList != null && params.decorationMaterialsList.length > 0 && params.decorationMaterialsList){
			var picBackArr = params.decorationMaterialsList;
			for(var i = 0;i < picBackArr.length;i++){
				if(picBackArr[i].picType == '9'){
					picDataArr[0].picDataArray = picBackArr[i].picDataArray;
				}
			}
		}
		
		// 渲染uploadEvidence内容
		$$('#materialUploadContent').html(materialUploadTemplate({
			decorationMaterialsList: picDataArr
		}));
		
		  //地址选择
		  var defaultProValueList = [];
		  var defaultProViewList = [];
		  
		  for (var o in PrivinceD) {
			  defaultProValueList.push(o);
			  defaultProViewList.push(PrivinceD[o].name);
		  }
		  
		  var defaultCityValueList = [];
		  var defaultCityViewList = [];
		  
		  for (var p in Areadata['110000']['city']) {
			  defaultCityValueList.push(p);
			  defaultCityViewList.push(Areadata['110000']['city'][p].name);
		  }
		  
		  var defaultAreaValueList = [];
		  var defaultAreaViewList = [];
		  
		  for (var q in Areadata['110000']['city'][defaultCityValueList[0]]['area']) {
			  defaultAreaValueList.push(q);
			  defaultAreaViewList.push(Areadata['110000']['city'][defaultCityValueList[0]]['area'][q]);
		  }
		
		  var workAdressLocation = f7.picker({
			  input: '#decorationAddress',
			  rotateEffect: true,
			  toolbarCloseText: '完成',
			  formatValue: function (picker, values, displayValues) {
				  if(values.length === 2 && displayValues.length === 0){
					  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + '  ';
				  }else if (values.length === 3 && displayValues.length === 0) {
					  if (values[0] !== '') {
						  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['area'][values[2]];
					  } else {
						  return '';
					  }
					  
				  }else {
					  return displayValues[0] + ' ' + displayValues[1] + ' ' + displayValues[2];
				  }
			  },
			  cols: [
				  {
					  textAlign: 'left',
					  values: defaultProValueList,
					  displayValues: defaultProViewList,
					  onChange: function (picker, value, displayValue) {
						  
						  if (picker.cols[1].replaceValues) {
							  var cityValueArr = [];
							  var cityViewArr = [];
							  for (var i in Areadata[value]) {
								  if (i === 'city') {
									  for (var j in Areadata[value][i]) {
										  cityValueArr.push(j);
										  cityViewArr.push(Areadata[value][i][j].name);
									  }
								  }
							  }
							  
							  var areaValueArr = [];
							  var areaViewArr = [];
							  
			            		if(Areadata[value]['city'][cityValueArr[0]]['area']===null){
			  						  areaValueArr.push(' ');
									  areaViewArr.push(' ');
			            		}else{
			            			for (var k in Areadata[value]['city'][cityValueArr[0]]['area']) {	
				            			areaValueArr.push(k);
				            			areaViewArr.push(Areadata[value]['city'][cityValueArr[0]]['area'][k])
				            		}
			            		}
							  
							  picker.cols[1].replaceValues(cityValueArr, cityViewArr);
							  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
						  }
					  }
				  },
				  {
					  values: defaultCityValueList,
					  displayValues: defaultCityViewList,
					  width: 160,
					  onChange: function(picker, value, displayValue) {
		            	  if (picker.cols[2].replaceValues) {
		            		  var areaValueArr = [];
		            		  var areaViewArr = [];
		            		
		            		  var cityDataArr = Areadata[picker.cols[0].value]['city'][value];
		            		  for (var x in cityDataArr) {
		            			  if (x === 'area') {
		            				  if(cityDataArr[x]===null){
	            						  areaValueArr.push(' ');
	            						  areaViewArr.push(' ');
	            					  }else{
	            						  for (var y in cityDataArr[x]) {
			            						  areaValueArr.push(y);
				            					  areaViewArr.push(cityDataArr[x][y]);
		            					  }
		            				  }
		            			  }
		            		  }
		            		  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
		            	  }
					  }
				  },
				  {
					  textAlign: 'center',
					  values: defaultAreaValueList,
					  displayValues: defaultAreaViewList,
					  width: 160
				  }
			  ],
			  onOpen: function(picker) {
				  workAdressLocation.setValue(['110000','110100','110101']);
			  }
		  });
		
		// 关闭 F7 Picker
		document.getElementById('propertyStatus').addEventListener('touchstart', function() {
			workAdressLocation.close();
		});
		
		if ($$('.decorationAddressTypeRadio input[type="radio"][name="decorationAddressType"]:checked').val() == 'liveAddress'){
			//居住地址不可编辑
			$$('#decorationAddress').attr('disabled','true');
			$$('#decorationDetailAddress').attr('disabled','true');
			//居住地址回显
			if (params.addressData && params.addressData.userProvinceCode !== '' && params.addressData.userCityCode !== '' && params.addressData.userAreaCode !== '' && params.addressData.userDwellingDetailAddres !== '') {
				workAdressLocation.setValue([params.addressData.userProvinceCode, params.addressData.userCityCode, params.addressData.userAreaCode]);
				$$('#decorationDetailAddress').val(params.addressData.userDwellingDetailAddress);
			}
			$$('#propertyStatusBox').hide();
		}
		
		
		//获取主列表
		var picMainList = $$('.upload-evidence-wrap-list');
		
		//创建主列表实例
		var evidenceMainList = picMainList.map(function(index, item){
			var evidenceType = $$(item).data('key');
			var picType = $$(item).data('type');
			return new UploadEvidence(evidenceType, [], {
				addSelector: "add" + evidenceType + "Btn",
				operateSelector: "edit" + evidenceType + "Btn",
				uploadEvidenceList: $$('#uploadEvidenceList' + evidenceType),
				limitNum: '50',
				infoData: params.infoData,
				baseBusinessType: '004003',
				picType: picType
			})
		});
		function publicPropertyFormStatus() {
			setTimeout(function() {
				if ($$('.propertyCharacterRadio input[type="radio"][name="propertyCharacter"]:checked').val() == 'publicProperty') {
					$$('#publicPropertyForm').removeClass('hide');
				} else if ($$('.propertyCharacterRadio input[type="radio"][name="propertyCharacter"]:checked').val() == 'ownProperty') {
					$$('#publicPropertyForm').addClass('hide');
				}
			}, 0);
		}
		
		$$('.propertyCharacterRadio').on('click', function() {
			publicPropertyFormStatus();
		})
		var index = 0;
		$$('#publicPropertyAddBtn').on('click', function() {
			index ++
			if ($$('#publicPropertyForm').children().length < 10) {
				
				var publicPropertyItemElement = document.createElement('div');
				publicPropertyItemElement.classList.add('list-form-item');
				
				publicPropertyItemElement.innerHTML = publicPropertyItemTemplate({
			            "formItemList": [
	                     {
	     		            "domId": "defaultPublicPropertyRelation"+ index,
	     		            "type": "text",
	     		            "name": "publicPropertyRelation-" + index,
	     		            "label": "共有房产人关系",
	     		            "visibleStatus": "true",
	     		            "disabledStatus": "false",
	     		            "placeholder": "请输入共有房产人关系",
				            "defaultValue": ""
	     		        },
				        {
				            "domId": "defaultPublicPropertyName" + index,
				            "type": "text",
				            "name": "publicPropertyName-" + index,
				            "label": "共有房产人姓名",
				            "visibleStatus": "true",
				            "disabledStatus": "false",
				            "placeholder": "请输入共有房产人姓名",
				            "defaultValue": ""
				        }
		            ]
				})
				
				$$('#publicPropertyForm').append(publicPropertyItemElement);
				
				/*$$(publicPropertyItemElement).on('click', function() {
					$$(this).remove();
					index --;
				});*/
				$$(publicPropertyItemElement).find('.publicPropertyDeleteBtn').on('click', function() {
					$$(this).parent().remove();
					index--;
				})
			}
			
//			function publicPropertyItemDelete(element,index) {
//				
//				element.on('click', function() {
//					$$(this).parent().remove();
//				}, false)
//				index--;
//			}
		})

		//居住地址和其他地址切换
		$$('.decorationAddressTypeRadio').on('click', function() {
			setTimeout(function() {
				if ($$('.decorationAddressTypeRadio input[type="radio"][name="decorationAddressType"]:checked').val() == 'liveAddress'){
					//居住地址不可编辑
					$$('#decorationAddress').attr('disabled','true');
					$$('#decorationDetailAddress').attr('disabled','true');
					//居住地址回显
					if (params.addressData && params.addressData.userProvinceCode !== '' && params.addressData.userCityCode !== '' && params.addressData.userAreaCode !== '' && params.addressData.userDwellingDetailAddres !== '') {
						workAdressLocation.setValue([params.addressData.userProvinceCode, params.addressData.userCityCode, params.addressData.userAreaCode]);
						$$('#decorationDetailAddress').val(params.addressData.userDwellingDetailAddress);
					}
					$$('#propertyStatusBox').hide();
				}else{
					$$('#decorationAddress').removeAttr('disabled').val('');
					workAdressLocation.setValue(['','','']);
					$$('#decorationDetailAddress').removeAttr('disabled').val('');
					$$('#propertyStatusBox').show();
					$$('#propertyStatus').val('');
				}
			},0)
		})

		/**
		 * 渲染旧格式图片
		 */
		var evidenceInstanceDataArr = [
		    {
		    	key: 'decorationContract1',
		    	name: 'evidenceOtherArr',
		    	data: [],
		    	checkBoxChoose: false,
		    	type: '1',
		    	header: '装修合同'
		    }
		];
		
		$$('#uploadEvidenceBox').html(uploadEvidenceTemplate({
			evidenceInstance: evidenceInstanceDataArr
		}));
		
		var evidenceInstanceArr = evidenceInstanceDataArr.map(function(item, index) {
			return new EvidenceArea(item.key, evidenceArr, {
				limitNum: 50,
				// 上传照片方法
				uploadPhoto: uploadPhoto,
				// 超过上传限制次数方法
				limitCallback: function(e) {
					f7.alert('最多只能上传五十张')
				},
				// 预览方法
				previewCallback: function(e) {
					var evidenceIndex=''
					if ($$(e.target)[0].tagName === 'LI') {
						evidenceIndex = $$(e.target).index();
					} else if ($$(e.target)[0].tagName === 'IMG') {
						evidenceIndex = $$(e.target).parent().index();
					}
					evidenceBrowserArr[item.key.slice(-1) - 1].open(evidenceIndex)
				},
				removeCallback: function(e) {
					// 获取实例的索引为   item.key.slice(-1) - 1	/  index
					evidencePhotoArr[item.key.slice(-1) - 1].splice($$(e.target).index(), 1);
					
					evidenceBrowserArr[item.key.slice(-1) - 1] = f7.photoBrowser({
						zoom: 400,
						photos: evidencePhotoArr[item.key.slice(-1) - 1]
					});
				}
			})
		})
		
		evidencePhotoArr = evidenceInstanceDataArr.map(function(item) {
			return []
		})
		
		evidenceBrowserArr = evidenceInstanceDataArr.map(function(item, index) {
			return f7.photoBrowser({
				zoom: 400,
				photos: evidencePhotoArr[index]
			})
		})
		
		if (evidenceArr.length > 0) {
			evidenceArr.forEach(function(item, index) {
				// 获取实例的索引 	item.picType
				evidencePhotoArr[item.picType - 1].push(item.cloudUrl);
				
				evidenceBrowserArr[item.picType - 1] = f7.photoBrowser({
					zoom: 400,
					photos: evidencePhotoArr[item.picType - 1]
				});

				evidenceInstanceArr[item.picType - 1].addSuccessEvent(item.picId, item.cloudUrl);
			});
		}
		
		function uploadPhoto(uploadConfig){
			 var buttons1 = 
			    [
			        {
			            text: '拍摄',
			            onClick: function () {
			            	takePicture('', uploadConfig.picId, uploadConfig.type, omUploadSuccess, '', '');
			            }
			        },
			        {
			            text: '从相册选择',
			            onClick: function () {
			            	choosePhoto('', uploadConfig.picId, uploadConfig.type, omUploadSuccess, '', '');
			            }
			        }
			    ];
			 var buttons2 = 
			    [
			         {
			             text: '取消',
			             color: 'red'
			         }
			     ];
			 var groups = [buttons1, buttons2];
			 
			 f7.actions(groups);
		}
		
		// 成功回调函数
		function omUploadSuccess(token,i,u,t,data,imgId) {
			var evidencePicIndex = getEvidencePicIndex(evidenceArr.length + 1);
			
			// 实例在实例数组中的index
			var evidenceInstanceArrIndex = t.slice(t.length - 1) - 1;
			// 实例：evidenceInstanceArr[evidenceInstanceArrIndex]

			evidenceArr.push({
				picId: u,
				picType: t.slice(t.length - 1),
				picName: getEvidenceType(t.slice(0, -1)).evidenceInstance[t.slice(t.length - 1) - 1].header,
				cloudKey: imgId,
				cloudUrl: token.iobsCloudUrl,
				mIsCheck: false,
				checkResult: false,
				checkResultArray: [],
				otherContent: ''
			});
			
			evidencePhotoArr[evidenceInstanceArrIndex].push(token.iobsCloudUrl);
			
			evidenceBrowserArr[evidenceInstanceArrIndex] = f7.photoBrowser({
				zoom: 400,
				photos: evidencePhotoArr[evidenceInstanceArrIndex]
			});
			
			evidenceInstanceArr[evidenceInstanceArrIndex].addSuccessEvent(u, token.iobsCloudUrl);
		}
		
		// 渲染底部按钮
		$$('#materialUploadBtnBox').html(buttonTemplate({
			id: 'materialUploadConfirmBtn',
			value: '下一步',
			disabled: false,
		}));
		
		// 完成事件绑定
		$$('#materialUploadConfirmBtn').on('click', function() { clickDelay('familyDecorationOnlineUploadMaterial', function() {
			if (validator.isNull($$('#propertyArea').val())) { f7.alert('请输入房产面积'); return false; }
			if (validator.isNull($$('#propertyValue').val())) { f7.alert('请输入房产价值'); return false; }
			if ($$('.propertyCharacterRadio input[type="radio"][name="propertyCharacter"]:checked').val() == 'publicProperty'){
				var propertyData = f7.formToJSON('#publicPropertyForm');
				if (propertyData){
					var propertyStatus = false;
					for(var key in propertyData){
						if(validator.isNull(propertyData[key])){
							propertyStatus = false;
							if(key.split('-')[0] == 'publicPropertyRelation'){
								f7.alert('请输入共有房产人关系');
								break;
							}
							if(key.split('-')[0] == 'publicPropertyName'){
								f7.alert('请输入共有房产人姓名');
								break;
							}
						}else{
							propertyStatus = true;
						}
					}
				}else{
					propertyStatus = true;
				}
			}else{
				propertyStatus = true;
			}	
			if(propertyStatus){
				if ($$('.decorationAddressTypeRadio input[type="radio"][name="decorationAddressType"]:checked').val() == 'otherAddress' && validator.isNull($$('#propertyStatus').val())) { f7.alert('请选择装修地址状况'); return false; }
				if ($$('.decorationAddressTypeRadio input[type="radio"][name="decorationAddressType"]:checked').val() == 'otherAddress' && validator.isNull($$('#decorationAddress').val())) { f7.alert('请选择收货地址'); return false; }
				if ($$('.decorationAddressTypeRadio input[type="radio"][name="decorationAddressType"]:checked').val() == 'otherAddress' && $$('#decorationDetailAddress').val().trim().length<5) { f7.alert('请输入详细地址信息'); return false; }
				//获取必传项
				var mustArr = $$('.upload-must');
				var commitStatus = false;
				for(var i = 0;i < mustArr.length;i++){
					var type = $$(mustArr[i]).data('key');
					console.log($$(mustArr[i]))
					if($$(mustArr[i]).children().length <= 1){
						f7.alert('请上传' + $$(mustArr[i]).prev().prev().find('.upload-evidence-header-name').text() + '!');
						commitStatus = false;
						break;
					}else{
						commitStatus = true;
					}
				}
				
				if(commitStatus == true){
					commitEvidence();
				}

				function commitEvidence() {
					var houseNature = '';
					var decorationAddressType = '';
					var decorationContract = '';
					var publicPropertyList = [];
					if ($$('.propertyCharacterRadio input[type="radio"][name="propertyCharacter"]:checked').val() == 'publicProperty'){
						houseNature = '共有房产';
						$$('#publicPropertyForm .list-form-item').map(function(index,item){
							var publicArr = $$(item).find('input[type="text"]');
							publicPropertyList.push({
								"jointOwnerRelation": publicArr[0].value,
								"jointOwnerName": publicArr[1].value
							})
						})
					}else{
						houseNature = '自有房产';
					}
					if ($$('.decorationAddressTypeRadio input[type="radio"][name="decorationAddressType"]:checked').val() == 'liveAddress'){
						decorationAddressType = '居住地址';
					}else{
						decorationAddressType = '其他地址';
					}
					
					if(evidenceArr.length>0){
						decorationContract = JSON.stringify(evidenceArr)
					}else{
						decorationContract = '';
					}
					callAppApi({
						url: '/app/order/update/decoration',
						apiVersion: '2.0',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							baseBusinessType:"004003",
							orderId:params.infoData.orderId,
							houseArea: $$('#propertyArea').val(),
							houseValue: $$('#propertyValue').val(),
							houseNature: houseNature,
							jointOwnerInfo: publicPropertyList,
							decorationAddressStatus: $$('#propertyStatus').val(),
							decorationAddressType: decorationAddressType,
							decorationHouseAddress: $$('#decorationAddress').val(),
							decorationHouseDetailAddress: $$('#decorationDetailAddress').val(),
							decorationContract: decorationContract
						},
						successCallback: function(auditInfoRes) {
							infoQueryRouter('004003', {
								query:{
									fromPage: 'familyDecorationMaterialUpload'
								}
							}, loadFamilyDecorationOnlinePage);
							/*loadFamilyDecorationOnlinePage('uploadEvidence',{
								query: {
									orderId: auditInfoRes.baseOrderId,
									fromPage: 'familyDecorationMaterialUpload'
								}
							})*/
							/*mainView.router.load({
								url: 'order.html',
								query: {
									orderId: auditInfoRes.baseOrderId,
									fromPage: 'familyDecorationMaterialUpload'
								}
							});*/
						},
						errorCallback: function(err) {}
					});
				}
			}
		}) });
	}

	return {
		render: render
	}
});