define([
    'js/utilities'
], function(
	utilities
) {
	var callAppApi = utilities.callAppApi;
	
	function preOrderConfirm(options) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		if (!options) {
			f7.alertMessage('家装线上化0首付，请传入参数');
			return
		}
		
		if (!options.goodsSellName) {
			f7.alertMessage('家装线上化0首付，请传入商品名称');
			return
		}
		
		if (!options.orderId) {
			f7.alertMessage('家装线上化0首付，请传入订单id');
			return
		}
		
		callAppApi({
			url: '/api/payParams',
			type: 'POST',
            params: {
            	baseBusinessType: '004003',
                userId: loginStatus.userId,
                orderId: options.orderId,
                orderType: '004003',
                payTitle: options.goodsSellName,
                payType: '00',			// 支付类型： 默认支付类型
                repayType: '01',		// 还款类型  首付款01 还租金02
            },
            successCallback: function (response) {
            	
            	if (response.code === '07001001') {
        			TalkingData.onEventWithLabel('完成支付');
        			
        			localStorage.removeItem('familyDecorationOnlineOrderId_' + loginStatus.userId);
        			localStorage.removeItem('orderDetailFamilyDecorationOnline' + '-' + options.orderId);
        			localStorage.removeItem('showinfoTip_' + loginStatus.userId);
        			mainView.router.load({
        				url: 'orderDetail.html',
        				ignoreCache: true,
    					reload: true,
        				query: {
        					orderId: response.data.orderId,
        					fromPage: 'orderConfirm',
        					baseBusinessType:response.data.baseBusinessType
        				}
        			});
            	}/* else {
                	f7.alert('前后端首付款金额不一致');
            	}*/
            },
            errorCallback: function (err) {
            }
		})
	}
	
	
	return {
		preOrderConfirm: preOrderConfirm
	}
})
