define([
    'jquery',
    'js/utilities',
    'js/config',
    'hbs!familyDecorationOnline/familyDecorationOnlineContainers/orderConfirm/orderConfirm',
    'hbs!components/common/button/button',
    
], function(
	$$,
	utilities,
	config,
	orderConfirmTemplate,
	buttonTemplate
) {
	var callAppApi = utilities.callAppApi;
	var isOwnEmpty = utilities.isOwnEmpty;
	var SKIP = config.SKIP;
	function render(params) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var payWayKey = ""; //支付类型
		
		function fmoney(s, n) {
		  	if(n){
		  		n = n > 0 && n <= 20 ? n : 2;
				s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";
		  	}else{
		  		s = parseFloat((s + "").replace(/[^\d\.-]/g, ""))+"";
		  	}
			var l = s.split(".")[0].split("").reverse(), r = s.split(".")[1];
			t = "";
			for (i = 0; i < l.length; i++) {
				t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");
			}
			if(n){
				return t.split("").reverse().join("") + "." + r;
			}else {
				return t.split("").reverse().join("")
			}
		}
		
		// 渲染navbar
		loadComponent('navbar', 'common', {
			container: '#orderConfirmNavbar',
			title: '确认下单',
			backId: 'orderConfirmBackBtn',
			isBackIcon: true,
			isBack: true,
			callback: function() {
				$$('#orderConfirmBackBtn').on('click', function() {
//					mainView.router.back({
//						url: 'index.html',
//						force: true
//					});
//					mainView.router.load({
//						  url: 'order.html',
////						  animatePages: false
//					  });
					mainView.router.load({
        				url: 'orderDetail.html',
        				query: {
        					orderId: params.orderId,
        					fromPage: 'orderConfirm',
        					baseBusinessType:params.baseBusinessType
        				}
        			});
				});
			}
		});
		
		var goodsSuitePayFirstPrice = parseInt(params.detailCacheData.planPayFirstPrice);
		var floatPoint = fmoney(params.detailCacheData.planPayFirstPrice, 2).slice(-2);
		
		$$('#orderConfirmContent').html(orderConfirmTemplate({
			goodsSuitePayFirstPrice:goodsSuitePayFirstPrice,
			floatPoint:floatPoint
		}));
		
		$$('#orderConfirmBtnBox').html(buttonTemplate({
			id: 'orderConfirmBtns',
			value: '确认下单',
			disabled: false,
		}))
//		if(params.detailCacheData.planPayFirstPrice == "0" || !params.detailCacheData.planPayFirstPrice){
//			$$("#orderConfirmPay").css("display","none");
//		}
		$$("#orderConfirmPay").on("click",function(e){
			if(e.target.tagName.toUpperCase() == 'SPAN'){
				$$("#orderConfirmPay").children('div').removeClass("orderConfirm-payStyle");
				$$(e.target).parent().addClass("orderConfirm-payStyle");
			}
		})
		
		// 下单成功
        $$('#orderConfirmBtns').off('click.orderConfirm').on('click.orderConfirm', function () {
        	
        	// 因为返回值而采取的兼容方案
            /*if (params.batchCardData === null || isOwnEmpty(params.batchCardData) || params.batchCardData === '' || typeof params.batchCardData === 'undefined') {
                f7.alert('您还未进行银行卡绑定，请先绑卡');
                mainView.router.load({
					url: 'bindBankcard.html',
					query: {
						fromPage: 'adultEducationOrderConfirm',
						baseBusinessType: '003002',
						orderId:params.orderId
					}
				});
                return false;
            }*/
//            if (!$$('#orderConfirmProtocol input')[0].checked) {
//                f7.alert('请阅读并同意协议');
//                return false;
//            }	
            if(params.detailCacheData.planPayFirstPrice == "0" || !params.detailCacheData.planPayFirstPrice){
            	payWayKey = "01";
            }else{
            	payWayKey=$(".orderConfirm-payStyle").attr("payWayKey");
            }
            
			var	goodsSellName = params.productDataList[0].productName;
            callAppApi({
                url: '/api/payParams',
                type: 'POST',
                params: {
                	baseBusinessType: params.baseBusinessType,
                    userId: loginStatus.userId,
                    orderId: params.orderId,
                    orderType: params.baseBusinessType,
                    payTitle: goodsSellName,
                    payType: payWayKey,
                    repayType:'01',		//还款类型  首付款01 还租金02
                },
                successCallback: function (response) {
                	
                	if (response.code === '07001001') {
            			TalkingData.onEventWithLabel('完成支付');
            			
            			localStorage.removeItem('familyDecorationOnlineOrderId_' + loginStatus.userId);
            			localStorage.removeItem('orderDetailFamilyDecorationOnline' + '-' + params.orderId);
            			localStorage.removeItem('showinfoTip_' + loginStatus.userId);
            			mainView.router.load({
            				url: 'orderDetail.html',
            				query: {
            					orderId: response.data.orderId,
            					fromPage: 'orderConfirm',
            					baseBusinessType:response.data.baseBusinessType
            				}
            			});
                	} else {
                    	var payParam = response.payParam;
                    	var paymentOrderNo = response.paymentOrderNo;
                    	
                        // 是否跳过cordova支付
                        if (!SKIP.cordova_pay) {
                        	TalkingData.onEventWithLabel('确认下单页', '进入支付流程');
                        	
                            if (payWayKey === '01') {
                                wxpay.payment(JSON.parse(payParam), function (msg) {
                                	
                                	paySuccess(msg, paymentOrderNo);
                                	
                                }, function(msg) {
                                	payFailure(msg, paymentOrderNo);
                                });
                            } else if (payWayKey === '02') {
                                cordova.plugins.AliPay.aliPayReq(function (msg) {
                                	
                                	paySuccess(msg, paymentOrderNo);
                                	
                                }, function (msg) {
                                	payFailure(msg, paymentOrderNo);
                                }, payParam);
                            }
                        } else {
                        	paySuccess('', paymentOrderNo);
                        }
                	}
                },
                errorCallback: function (err) {
                }
            });
        });
		// 支付成功回调函数
        function paySuccess(msg, paymentOrderNo) {
        	
        	callAppApi({
        		url: '/api/paymentStatusQuery',
        		type: 'POST',
        		params: {
        			userId: loginStatus.userId,
        			orderId: params.orderId,
        			paymentOrderNo: paymentOrderNo
        		},
        		successCallback: function(paymentStatusQueryRes) {
        			
        			if (paymentStatusQueryRes.paymentStatus === '1') {
            			TalkingData.onEventWithLabel('完成支付');
            			
            			localStorage.removeItem('familyDecorationOnlineOrderId_' + loginStatus.userId);
            			localStorage.removeItem('showinfoTip_' + loginStatus.userId);
            			
            	        mainView.router.load({
        		          url: 'orderDetail.html',
        		          query: {
        		              orderId: params.orderId,
        		              fromPage: 'orderConfirm',
        		              baseBusinessType: params.baseBusinessType,
        		          }
        		        });
            			
        			} else if (paymentStatusQueryRes.paymentStatus === '0') {
        				f7.alertMessage(paymentStatusQueryRes.paymentMsg);
        			}
        		},
        		errorCallback: function(err) {}
        	});
        }

        // 支付失败回调函数
        function payFailure(err, paymentOrderNo) {
            if (err === '未安装微信') {
                f7.alert('未安装微信');
            } else {
            	callAppApi({
            		url: '/api/paymentStatusQuery',
            		type: 'POST',
            		params: {
            			userId: loginStatus.userId,
            			orderId: params.orderId,
            			paymentOrderNo: paymentOrderNo
            		},
            		successCallback: function(paymentStatusQueryRes) {
            			
            			if (paymentStatusQueryRes.paymentStatus === '1') {
                			TalkingData.onEventWithLabel('完成支付');
                			
//                	        mainView.router.load({
//            		          url: 'orderDetail.html',
//            		          query: {
//            		              orderId: params.orderId,
//            		              fromPage: 'orderConfirm',
//            		              baseBusinessType:params.baseBusinessType,
//            		          }
//            		        });
            			} else if (paymentStatusQueryRes.paymentStatus === '0') {
            				f7.alertMessage(paymentStatusQueryRes.paymentMsg);
            			}
            		},
            		errorCallback: function(err) {}
            	});
            }
        }
	}
	
	
	return {
		render: render
	}
})