define([
	'js/utilities',
	'js/uploadImg',
	'js/uploadEvidenceFunc.js',
	'jquery',
	'hbs!familyDecorationOnline/familyDecorationOnlineContainers/uploadEvidence/uploadEvidence',
	'hbs!components/common/button/button',
	'hbs!components/common/protocolArea/protocolFrame'
], function(
	utilities,
	uploadImg,
	uploadEvidence,
	$$,
	uploadEvidenceTemplate,
	buttonTemplate,
	protocolFrame
) {
	var callAppApi = utilities.callAppApi;
	var callWebHtml = utilities.callWebHtml;
	var clickDelay = utilities.clickDelay;

	var UploadEvidence = uploadEvidence.UploadEvidence;
	
	var infoQueryRouter = utilities.infoQueryRouter; //入口路由跳转判断
	
	function render(params) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var fromPage = params.fromPage;
		var orderId = params.orderId;
		//是否为房贷专案
		var housingLoan = params.infoData.specialCaseType;
		//房产是否一致状态
		var propertyEvidenceStatus = false;
		//居住是否一致状态
		var liveEvidenceStatus = false;
		
		
		// 渲染navbar
		loadComponent('navbar', 'common', {
			container: '#uploadEvidenceFamilyNavbar',
			title: '完善资料',
			backId: 'uploadEvidenceFamilyBackBtn',
			isBackIcon: true,
			iconRightId: 'uploadEvidenceFamilyHelpBtn',
			iconRightStatus: true,
			iconRight: '帮助',
			iconRightClass: 'uploadEvidenceFamilyHelpBtn',
			callback: function() {
				// 点击返回按钮(根据状态值返回到不同页面)
				$$('#uploadEvidenceFamilyBackBtn').on('click', function() { 
					if(fromPage=="orderDetail"){
						 mainView.router.load({
							  url: 'order.html',
							  animatePages: false
						  });
					}else{
						mainView.router.back({
							url: 'index.html',
				  			force: true,
						})
					} 
				});
				
				// 点击帮助按钮
				$$('#uploadEvidenceFamilyHelpBtn').on('click', function() {
					callWebHtml({
						url: '/application/show/uploadFileHelp',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							baseBusinessType:"004003"
						},
						successCallback: function(response) {
							$('#uploadEvidence2').html(protocolFrame({
								protocolId: "agreementAutoPayment",
								protocolName: "上传材料说明",
								protocolWidth: $('body').width(),
								protocolHeight: $('body').height() - 56
							}));

							$$("#agreementAutoPayment").contents().find("html")[0].innerHTML = response;

							f7.popup('#uploadEvidence2');
						},
						errorCallback: function(err) {}
					});
				});
			}
		});
		
		// 隐藏底部工具栏
		f7.hideToolbar('#toolbar');
		
		//已上传图片回显
		var picDataArr = [
		              {
		                  "picType": "1",
		                  "picName":"身份证",
		                  "picDataArray": [
		                      {
		                    	  "picSubType": "11",
		                    	  "picSubName": "身份证正面",
		                    	  "picSubDataArray": [{"cloudUrl": "img/employeeBuy/info-idCard1.png"}]
		                      },
		                      {
		                    	  "picSubType": "12",
		                    	  "picSubName": "身份证反面",
		                    	  "picSubDataArray": [{"cloudUrl": "img/employeeBuy/info-idCard2.png"}]
		                      },
		                      {
		                    	  "picSubType": "13",
		                    	  "picSubName": "手持身份证",
		                    	  "picSubDataArray": []
		                      }
		                  ]
		              },
		              {
		                  "picType": "6",
		                  "picName":"工作证明材料",
		                  "picDataArray": []

		              },
		              {
		                  "picType": "3",
		                  "picName":"房产证明材料",
		                  "picDataArray": []

		              },
		              {
		                  "picType": "2",
		                  "picName":"收入证明材料",
		                  "picDataArray": []

		              },
		              {
		                  "picType": "5",
		                  "picName":"其他证明材料",
		                  "picDataArray": []

		              }
		          ]
		//数据合并
		if(params.picList && params.picList != null && params.picList.length > 0){
			var picBackArr = params.picList;
			for(var i = 0;i < picBackArr.length;i++){
				if(picBackArr[i].picType == '1'){
					for(var j = 0;j < picBackArr[i].picDataArray.length; j++){
						var item = picBackArr[i].picDataArray[j];
						if(item.picSubType == '11'){
							picDataArr[0].picDataArray[0] = item;
						}else if(item.picSubType == '12'){
							picDataArr[0].picDataArray[1] = item;
						}else if(item.picSubType == '13'){
							picDataArr[0].picDataArray[2] = item;
						}
					}
				}else if(picBackArr[i].picType == '6'){
					picDataArr[1].picDataArray = picBackArr[i].picDataArray;
				}else if(picBackArr[i].picType == '3'){
					picDataArr[2].picDataArray = picBackArr[i].picDataArray;
				}else if(picBackArr[i].picType == '2'){
					picDataArr[3].picDataArray = picBackArr[i].picDataArray;
				}else if(picBackArr[i].picType == '5'){
					picDataArr[4].picDataArray = picBackArr[i].picDataArray;
				}
			}
		}
		
		// 渲染uploadEvidence内容
		$$('#uploadEvidenceFamilyContent').html(uploadEvidenceTemplate({
			picList: picDataArr,
			housingLoan: housingLoan
		}));
		
		$$('.identicalMaterial').parent().css({'height':'auto'});
		$$('.identical-material input').change(function(){
			if($$(this).is(':checked')){
				$$(this).parent().parent().addClass('hide-pic').parent().parent().next().removeClass('upload-must').hide();
			}else{
				$$(this).parent().parent().removeClass('hide-pic').parent().parent().next().addClass('upload-must').show();
			}
		})
		
		// 渲染头部状态栏
		loadAdultEducationComponent('authenticationTabbar', 'authentication', {
			container: '#uploadEvidenceFamilyTabbar',
			tabIndex: 2,
			pageType: 'orderPage'
		});
		
		//获取身份证正反面
		var idCardList = $$('.id-card-item');
		
		//创建身份证正反面实例
		evidenceIdCardList = idCardList.map(function(index, item){
			var evidenceType = $$(item).data('key');
			var picType = $$(item).data('type');
			var picSubType = $$(item).data('subtype');
			return new UploadEvidence(evidenceType, [], {
				addSelector: "idCard" + evidenceType,
				infoData: params.infoData,
				baseBusinessType: '004003',
				picType: picType,
				picSubType: picSubType
			})
		})
		
		//获取主列表
		var picMainList = $$('.upload-evidence-wrap-list');
		
		//创建主列表实例
		evidenceMainList = picMainList.map(function(index, item){
			var evidenceType = $$(item).data('key');
			var picType = $$(item).data('type');
			return new UploadEvidence(evidenceType, [], {
				addSelector: "add" + evidenceType + "Btn",
				operateSelector: "edit" + evidenceType + "Btn",
				uploadEvidenceList: $$('#uploadEvidenceList' + evidenceType),
				limitNum: '50',
				infoData: params.infoData,
				baseBusinessType: '004003',
				picType: picType
			})
		})
		
		// 渲染底部按钮
		$$('#uploadEvidenceFamilyBtnBox').html(buttonTemplate({
			id: 'uploadEvidenceFamilyConfirmBtn',
			value: '提交',
			disabled: false,
		}));
		
		// 完成事件绑定
		$$('#uploadEvidenceFamilyConfirmBtn').on('click', function() { clickDelay('familyDecorationOnlineUploadMaterial', function() {

			//获取必传项
			var mustArr = $$('.upload-must');
			var commitStatus1 = false;
			var commitStatus2 = false;
			for(var i = 0;i < mustArr.length;i++){
				var type = $$(mustArr[i]).data('key');
//				console.log($$(mustArr[i]))
				if(type == '111' || type == '112'){
					if(!$$(mustArr[i]).find('img').data('picid')){
						f7.alert('请上传' + $$(mustArr[i]).find('h3').text() + '!');
						commitStatus1 = false;
						break;
					}else{
						commitStatus1 = true;
					}
				}else{
					if($$(mustArr[i]).children().length <= 1){
						f7.alert('请上传' + $$(mustArr[i]).prev().find('.upload-evidence-header-name').text() + '!');
						commitStatus2 = false;
						break;
					}else{
						commitStatus2 = true;
					}
				}
				
			}
			
			if(commitStatus1 == true && commitStatus2 == true){
				//获取一致状态
				if(housingLoan == '1'){
					var propertyEvidence = $$('#uploadEvidenceList3').prev().find('input:checked');
					if(propertyEvidence.length > 0){
						propertyEvidenceStatus = true;
					}else{
						propertyEvidenceStatus = false;
					}
				}
				var liveEvidenceStatus = false;
				/*var liveEvidence = $$('#uploadEvidenceList4').prev().find('input:checked');
				if(liveEvidence.length > 0){
					liveEvidenceStatus = true;
				}else{
					liveEvidenceStatus = false;
				}*/
				//提交审核
				commitEvidence();
			}

			function commitEvidence() {
		
				callAppApi({
					url: '/app/credit/audit/infoSubmit',
					apiVersion: '2.0',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						baseBusinessType:"004003",
						auditInfoId: params.infoData.auditInfoId,
//						auditInfoId: '342342',
						houseAccordantDecoration: propertyEvidenceStatus?'1':'0',
						dwellAccordantHouse: liveEvidenceStatus?'1':'0'
					},
					successCallback: function(auditInfoRes) {
						infoQueryRouter('004003', {
							query:{
								fromPage: 'familyDecorationMaterialUpload'
							}
						}, loadFamilyDecorationOnlinePage);
						/*mainView.router.load({
							url: 'order.html',
							query: {
								orderId: auditInfoRes.baseOrderId,
								fromPage: 'familyDecorationMaterialUpload'
							}
						});*/
					},
					errorCallback: function(err) {}
				});
			}

		}) });
		
	}

	return {
		render: render
	}
});