define([
	'js/utilities',
	'js/plugins',
	'familyDecorationOnline/familyDecorationOnlineContainers/uploadIdCard/uploadIdCardView'
], function(
	utilities,
	plugins,
	uploadIdCardView
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var detectFrontCamera = plugins.detectFrontCamera;
	
	function init(query) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		// 隐藏底部菜单栏
		if (mainView.activePage.name === 'familyDecorationOnlineUploadIdCard') {
			  f7.hideToolbar('#toolbar');
		}
		
		callAppApi({
            url: '/app/credit/audit/infoQuery',
            type: 'POST',
            params: {
                userId: loginStatus.userId,
                baseBusinessType: '004003'
            },
            successCallback: function(creditRes) {
                queryAdultRes = creditRes.infoData;
								
				var faceDetectResult = '';
				if (queryAdultRes.faceDetectResult == '1') {
					faceDetectResult = '1';
				} else {
					faceDetectResult = '0';
				}
				
				var creditHoldIdCardStatus = false;
				var creditEvidenceHoldIdCardArr = [];
				
				var picList = creditRes.picList;
				if (picList.length > 0 && picList[0].picType === '1') {
				    if (picList[0].picDataArray.length > 0 && picList[0].picDataArray[0].picSubType === '13') {
				        if (picList[0].picDataArray[0].picSubDataArray.length > 0) {
				            var creditEvidenceHoldIdCardTemp = [{
	                                picId: picList[0].picDataArray[0].picSubDataArray[0].picId,
	                                picType: picList[0].picDataArray[0].picSubDataArray[0].picType,
	                                picName: picList[0].picDataArray[0].picSubDataArray[0].picName,
	                                cloudKey: picList[0].picDataArray[0].picSubDataArray[0].cloudKey,
                                    cloudUrl: picList[0].picDataArray[0].picSubDataArray[0].cloudUrl,
	                                mIsCheck: picList[0].picDataArray[0].picSubDataArray[0].mIsCheck,
	                                checkResult: picList[0].picDataArray[0].picSubDataArray[0].checkResult,
	                                checkResultArray: picList[0].picDataArray[0].picSubDataArray[0].checkResultArray,
	                                otherContent: picList[0].picDataArray[0].picSubDataArray[0].otherContent
	                        }];
	                        queryAdultRes.creditEvidenceHoldIdCard = JSON.stringify(creditEvidenceHoldIdCardTemp);
				        } else {
				            queryAdultRes.creditEvidenceHoldIdCard = '';
				        }
				    } else {
				        queryAdultRes.creditEvidenceHoldIdCard = '';
				    }
                } else {
                    queryAdultRes.creditEvidenceHoldIdCard = '';
                }
				
				if (faceDetectResult = '0') {
					if (queryAdultRes.creditEvidenceHoldIdCard !== '' && queryAdultRes.creditEvidenceHoldIdCard !== '[null]' && queryAdultRes.creditEvidenceHoldIdCard) {
						  creditHoldIdCardStatus = JSON.parse(queryAdultRes.creditEvidenceHoldIdCard)[0].checkResult;
						  creditEvidenceHoldIdCardArr = JSON.parse(queryAdultRes.creditEvidenceHoldIdCard);
					}
				}
				
				var employeeBuyEvidenceFaceArr = [];
				if (queryAdultRes.evidenceFace !== '' && queryAdultRes.evidenceFace !== '[null]' && queryAdultRes.evidenceFace) {
					employeeBuyEvidenceFaceArr = JSON.parse(queryAdultRes.evidenceFace);
				}
				
				var frontCameraStatus = true;
				
				/**
				 * 检测是否有前置摄像头，如果有设置为true，没有设置为false
				 */
				detectFrontCamera(function(res) {
					frontCameraStatus = true;
					viewRender();
				}, function(err) {
					frontCameraStatus = false;
					viewRender();
				});	
				
				function viewRender(){
					uploadIdCardView.render({
						faceRecog: faceDetectResult,
						faceCount: queryAdultRes.faceCount,
						faceErrorCount: queryAdultRes.faceErrorCount,
						employeeBuyEvidenceFaceArr: employeeBuyEvidenceFaceArr,
						employeeBuyHoldIdCardStatus: creditHoldIdCardStatus,
						employeeBuyEvidenceHoldIdCardArr: creditEvidenceHoldIdCardArr,
						creditRes: creditRes,
						frontCameraStatus:frontCameraStatus
					});
				}
			},
			errorCallback: function(err) {}
		})
	}
	
	return {
		init: init
	}
});