define([
	'js/utilities'
], function(
	utilities
) {
	var callAppApi = utilities.callAppApi;

	ImgCache.init(function() {
		// console.log("### ### imgCache init success")
	}, function(err) {
		// console.log("### ### imgCache init error")
		// console.log(err);
	});
	
	function cacheImgSrc(target) {
		ImgCache.isCached(target.attr('src'), function(path, success) {
			if (success) {
				ImgCache.useCacheFile(target);
			} else {
				ImgCache.cacheFile(target.attr('src'), function() {
					ImgCache.useCachedFile(target);
				}, function(err) {
					// console.log(err);
				})
			}
		})
	}
	
	function cacheBackground(target) {
		
		ImgCache.isBackgroundCached(target, function(path, success) {

			if (success) {
				ImgCache.useCachedBackground(target);
			} else {
				ImgCache.cacheBackground(target, function() {
					ImgCache.useCachedBackground(target);
				}, function(err) {
					// console.log(err);
				})
			}
		})
	}

	return {
		cacheImgSrc: cacheImgSrc,
		cacheBackground: cacheBackground
	}
});
