define([
	'jquery',
	'js/utilities',
	'js/uploadImg'
], function(
	$$,
	utilities,
	uploadImg
	) {
	var takePicture = uploadImg.takePicture;
	var choosePhoto = uploadImg.choosePhoto;
	var addPic = uploadImg.addPicAppApi; //添加图片
	var deletePic = uploadImg.deletePicAppApi;//删除图片
	var updatePic = uploadImg.updatePicAppApi//更新图片
//	var delPic = uploadImg.delPic			//预览图片删除
	var picFlag = true;
	
	var getPicIndex = function(){ //获取当前时间戳
		return Date.now().toString();
	}

	function UploadEvidence(evidenceType, photoArr, options) {
		this.evidenceType = evidenceType;
		this.photoArr = photoArr;
		this.options = options;
		this.init(options);
	}


	UploadEvidence.prototype = {

		options: {
			logStatus: true
		},

		containerSelector: null,

		picWrapperSelector: null,

		operateSelector: null,

		addSelector: null,

		removeSelector: null,

		previewSelector: null,

		updateSelector: null,

		addSuccessCallback: function(data) {

			if (this.options.logStatus) { console.log('addSuccessCallback') }
			if(this.evidenceType == '111' || this.evidenceType == '112'){
				$$('#idCard' + this.evidenceType + ' img').attr('src',data.picData.cloudUrl).data('picid', data.picData.picId);
				f7.hideIndicator();
			}else{
				var evidenceItem = document.createElement('li');
				var evidenceItemImg = document.createElement('img');
				var evidenceItemImgWrapper = document.createElement('div');
				$$(evidenceItem).insertBefore($$('#' + this.options.addSelector));
				evidenceItem.appendChild(evidenceItemImgWrapper);
				evidenceItemImgWrapper.appendChild(evidenceItemImg);
				$(evidenceItemImg).css('display','none');

				evidenceItem.classList.add('upload-evidence-item');
				evidenceItem.classList.add('upload-evidence-item-new');
				evidenceItem.style.backgroundImage = "url('img/placeOrder/loading1.png')";
				$$(evidenceItem).data('picid', data.picData.picId); //储存图片picId

				evidenceItem.style.width = '25%';
				$(evidenceItemImg).css({
					'width': '70px',
					'height': '70px',
					'margin':'15px 0'
				}).attr('src',data.picData.cloudUrl).attr('data-picid',data.picData.picId);
				evidenceItemImg.onload = function(){
					evidenceItem.style.backgroundImage = 'none'
					evidenceItem.style.paddingTop = 0;
					evidenceItemImg.style.display = "inline-block";
					f7.hideIndicator();
				}
				if(this.options.activeReloadBtn){
					this.options.activeReloadBtn();
				}
			}


			// 绑定点击事件
			this.clickEvent();
		},

		uploadSuccessCallback: function(token, i, u, t, data, imgId){
			var that = this;

			if(that.evidenceType == '111' || that.evidenceType == '112'){
				if($$('#idCard' + that.evidenceType).find('img').data('picid')){
					var item = $$('#idCard' + that.evidenceType).find('img');
					var picId = item.data('picid');

					updatePic(picId, {
						baseBusinessType: this.options.baseBusinessType,
						cloudKey: imgId,
						cloudUrl: token.iobsCloudUrl,
						successCallback: function(){
							$$('#idCard' + that.evidenceType + ' img').attr('src',token.iobsCloudUrl);
							f7.hideIndicator();
						},
						errorCallback: function(){}
					});
				}else{
					addPic('', {
						baseBusinessType: this.options.baseBusinessType,
						auditInfoId: this.options.infoData.auditInfoId,
						picType: this.options.picType,
						picSubType: this.options.picSubType,
						picNameIndex: getPicIndex(),
						checkFaceSuccessTime: '',
						checkResult: '',
						cloudKey: imgId,
						cloudUrl: token.iobsCloudUrl,
						successCallback: function(res){
							that.addSuccessCallback(res)
						},
						errorCallback: function(){}
					});
				}

			}else{
				addPic('', {
					baseBusinessType: this.options.baseBusinessType,
					auditInfoId: this.options.infoData.auditInfoId,
					picType: this.options.picType,
					picSubType: this.options.picSubType,
					picNameIndex: getPicIndex(),
					checkFaceSuccessTime: '',
					checkResult: '',
					cloudKey: imgId,
					cloudUrl: token.iobsCloudUrl,
					successCallback: function(res){
						that.addSuccessCallback(res)
					},
					errorCallback: function(){}
				});
			}

		},

		removeSuccessCallback: function(e, picId) {
			if (this.options.logStatus) { console.log('removeSuccessCallback') };			
		},

		previewSuccessCallback: function() {
			if (this.options.logStatus) { console.log('previewSuccessCallback') }
		},

		updateSuccessCallback: function(token, i, u, t, data, imgId, event, flag, evidenceBrowser) {
			if (this.options.logStatus) { console.log('updateSuccessCallback') }
			var that = this;
			var index = 0;
			if(flag === true){
				var picId = $('.swiper-slide-active img').attr('picid');
				if($$(event.target)[0].tagName == 'IMG'){
					var imgs = $$(event.target).parent().parent().parent().find('img');
				}else{
					var imgs = $$(event.target).parent().parent().find('img');
				}
				imgs.each(function(i,v){
					if($$(v).data("picid") == picId){
						item = $$(v).parent();
						index = i;
					}
				})
			}else{
				var item = $$(event.target);
				var picId = item.find('img').data('picid');
			}

			updatePic(picId, {
				baseBusinessType: this.options.baseBusinessType,
				cloudKey: imgId,
				cloudUrl: token.iobsCloudUrl,
				successCallback: function(){
					if(item.hasClass('failure')){//判断是否为回退图片重新上传
						item.removeClass('failure');
						item.addClass('success');
//						item.parent().children("div:last-child").hide();//隐藏瑕疵点
					}
					item.find('img').attr('src',token.iobsCloudUrl);
					if(that.options.activeReloadBtn){
						that.options.activeReloadBtn();
					}
					f7.hideIndicator();
					if(flag === true){
						evidenceBrowser.close();
						$('.photo-browser').remove();
						picFlag = true;
						that.previewEvidencePic(event,index);
					}
				},
				errorCallback: function(){}
			});
		},

		errorCallback: function() {
			if (this.options.logStatus) { console.log('errorCallback') }
		},

		init: function(options) {

			this.options = options;
			var that = this;

			this.containerSelector = options.containerSelector;
			this.picWrapperSelector = options.picWrapperSelector;

			this.addSelector = options.addSelector;
			this.removeSelector = options.removeSelector;
			this.updateSelector = options.updateSelector;
			this.previewSelector = options.previewSelector;
			this.operateSelector = options.operateSelector;

			this.uploadSuccessCallback = options.uploadSuccessCallback || this.uploadSuccessCallback;
			this.addSuccessCallback = options.addSuccessCallback || this.addSuccessCallback;
			this.removeSuccessCallback = options.removeSuccessCallback || this.removeSuccessCallback;
			this.updateSuccessCallback = options.updateSuccessCallback || this.updateSuccessCallback;
			this.previewSuccessCallback = options.previewSuccessCallback || this.previewSuccessCallback;
			this.errorCallback = options.errorCallback || this.errorCallback;


			var addSelector = document.querySelector('#' + this.options.addSelector);
			if (this.options.logStatus) {
				console.log('$$$ $$$ addSelector: ');
				console.log(addSelector || '请绑定新增图片的DOM元素');
			}
			if(addSelector){
				addSelector.addEventListener('click', function(){that.addEvidencePic()}, false);
			}

			var operateSelector = document.querySelector('#' + this.options.operateSelector);
			if (this.options.logStatus) {
				console.log('$$$ $$$ operateSelector: ');
				console.log(operateSelector || '请绑定操作图片的DOM元素');
			}
			if(operateSelector){
				operateSelector.addEventListener('click', function(e){that.operateEvent(e)}, false);
			}

			var updateSelector = document.querySelector('#' + this.options.updateSelector);
			if (this.options.logStatus){
				console.log('$$$ $$$ updateSelector: ');
				console.log(addSelector || '请绑定更新图片的DOM元素');
			}
			if(updateSelector){
				// 绑定点击事件
				this.clickEvent();
			}

			this.clickEvent();
		},

		clickEvent: function() {

			var that = this;
			if(that.options.uploadEvidenceList){
				var evidenceItemList = that.options.uploadEvidenceList.children();
				for (var i = 0; i < evidenceItemList.length; i++) {
					if (evidenceItemList[i].id != that.options.addSelector) {
						$$(evidenceItemList[i]).off('click').on('click', function(e) {
							// 删除事件
							if ($$(e.target).hasClass('evidence-item-delete')) {
								that.removeEvidencePic(e);
							// 更新事件
							}
							else if($$(e.target).hasClass('editFailure') && $$('#edit'+that.options.picType+'Btn').text()=='完成') {
//								that.updateEvidencePic(e);
								that.removeEvidencePic(e);
							// 瑕疵点查看事件
							}else if($$(e.target).parent().hasClass('editFailure') && $$('#edit'+that.options.picType+'Btn').text()=='完成'){
								return false;
							}else if($$(e.target).hasClass('order-detail-more') || $$(e.target).hasClass('orderDetail-show-icon')){
								return false;
							}
							/*else if($$(e.target).hasClass('upload-flaw-item')){
								that.checkFlawEvent(e);
							}*/
							// 预览事件
							else {
								utilities.clickDelay('previewPhoto', function(){
									that.previewEvidencePic(e);
								}, 500)
							}
							e.stopPropagation();
						});
					}
				}
			}

		},

		addEvidencePic: function() {
			var that = this;
			if(that.options.isNew){
				if($$(that.options.isNew).length < that.options.limitNum){
					var buttons1 = [{
							text: '拍摄',
							onClick: function() {
								takePicture('', '', '', function(token, i, u, t, data, imgId) {
									that.uploadSuccessCallback(token, i, u, t, data, imgId);
								}, '', '')
							}
						},
						{
							text: '从相册选择',
							onClick: function() {
								choosePhoto('', '', '', function(token, i, u, t, data, imgId) {
									that.uploadSuccessCallback(token, i, u, t, data, imgId);
								}, '', '');
							}
						}
					];
					var buttons2 = [{
						text: '取消',
						color: 'red'
					}];
					var groups = [buttons1, buttons2];

					f7.actions(groups);
				}
				if($$(that.options.isNew).length == that.options.limitNum){
					f7.alert('最多只能上传20张');
				}
			}else{
				if(this.evidenceType == '111' || this.evidenceType == '112' || ( $$('#' + this.options.addSelector).index() < this.options.limitNum ) ){
					var buttons1 = [{
							text: '拍摄',
							onClick: function() {
								takePicture('', '', '', function(token, i, u, t, data, imgId) {
									that.uploadSuccessCallback(token, i, u, t, data, imgId);
								}, '', '')
							}
						},
						{
							text: '从相册选择',
							onClick: function() {
								choosePhoto('', '', '', function(token, i, u, t, data, imgId) {
									that.uploadSuccessCallback(token, i, u, t, data, imgId);
								}, '', '');
							}
						}
					];
					var buttons2 = [{
						text: '取消',
						color: 'red'
					}];
					var groups = [buttons1, buttons2];

					f7.actions(groups);
				}
				if($$('#' + this.options.addSelector).index() == this.options.limitNum){
					f7.alert('最多只能上传20张');
				}
			}

		},

		removeEvidencePic: function(e) {
			var that = this;
			if(this.options.isNew){
				var item = this.options.uploadEvidenceList.children(that.options.isNew);
				var minNum = 0;
			}else{
				var item = this.options.uploadEvidenceList.children();
				var minNum = 1;
			}
//			if (item.length <= minNum) {
//				this.resetEditEvent();
//			}
			var picId;
			var that = this;
			//获取picId
			if ($$(e.target)[0].tagName === 'LI') {
				picId = $$(e.target).data('picid');
				var imgs = $$(e.target).parent().find('img');
				if(imgs.length == 2 ){//删除到最后一张不允许删除
					$(imgs).each(function(i,v){
						if($(v).parent().hasClass('editFailure')){
							$(v).parent().removeClass('editFailure');
							$(v).parent().addClass('failure');
						}else if($(v).parent().parent().hasClass('evidence-item-delete')){
							$(v).parent().parent().removeClass('evidence-item-delete');
						}
					})
				}
			}else if($$(e.target)[0].tagName === 'DIV'){
				picId = $$(e.target).parent().data('picid');
				var imgs = $$(e.target).parent().parent().find('img');
				if(imgs.length == 2){//删除到最后一张不允许删除
					$(imgs).each(function(i,v){
						if($(v).parent().hasClass('editFailure')){
							$(v).parent().removeClass('editFailure');
							$(v).parent().addClass('failure');
						}else if($(v).parent().parent().hasClass('evidence-item-delete')){
							$(v).parent().parent().removeClass('evidence-item-delete');
						}
					})
				}
			}else if ($$(e.target)[0].tagName === 'IMG') {
				picId = $$(e.target).parent().data('picid');
				var imgs = $$(e.target).parent().parent().parent().find('img');
				if(imgs.length == 2){//删除到最后一张不允许删除
					$(imgs).each(function(i,v){
						if($(v).parent().hasClass('editFailure')){
							$(v).parent().removeClass('editFailure');
							$(v).parent().addClass('failure');
						}else if($(v).parent().parent().hasClass('evidence-item-delete')){
							$(v).parent().parent().removeClass('evidence-item-delete');
						}
					})
				}
			}

			deletePic(picId, {
				baseBusinessType: this.options.baseBusinessType,
				successCallback: function(){

					// 在表现上删除该项
					if ($$(e.target)[0].tagName === 'LI') {
						$$(e.target).remove();
					}else if($$(e.target)[0].tagName === 'DIV'){
						$$(e.target).parent().remove();
					}else if ($$(e.target)[0].tagName === 'IMG') {
						$$(e.target).parent().remove();
					}
					if(that.options.activeReloadBtn){
						that.options.activeReloadBtn();
					}
				},
				errorCallback: function(){}
			});
		},

		updateEvidencePic: function(e,flag,updateEvidencePic) {
			var that = this;
			var event = e;
			var buttons1 = [{
				text: '拍摄',
					onClick: function() {
						takePicture('', '', '', function(token, i, u, t, data, imgId) {
							that.updateSuccessCallback(token, i, u, t, data, imgId, event, flag ,updateEvidencePic);
						}, '', '')
					}
				},
				{
					text: '从相册选择',
					onClick: function() {
						choosePhoto('', '', '', function(token, i, u, t, data, imgId) {
							that.updateSuccessCallback(token, i, u, t, data, imgId, event, flag , updateEvidencePic);
						}, '', '');
					}
				}
			];
			var buttons2 = [{
				text: '取消',
				color: 'red'
			}];
			var groups = [buttons1, buttons2];

			f7.actions(groups);
		},

		previewEvidencePic: function(e,index) {
			if(!picFlag){
				return false;
			}
			picFlag = false ;
			var that = this;
			var evidenceIndex='0';
			//获取点击目标部分
			if ($$(e.target)[0].tagName === 'LI' || $$(e.target)[0].tagName === 'DIV') {
//				var cloudUrl = $$(e.target).find('img').attr('src');
				var parents = $$(e.target).find('img').parent().parent().parent();
				if($$(e.target)[0].tagName === 'DIV'){
					evidenceIndex = $$(e.target).parent().index();
				}else{
					evidenceIndex = $$(e.target).index();
				}
			} else if ($$(e.target)[0].tagName === 'IMG') {
//				var cloudUrl = $$(e.target).attr('src');
				var parents = $$(e.target).parent().parent().parent();
				evidenceIndex = $$(e.target).parent().parent().index();
			}
			var photoUrlArr = [];

			//将预览的图片picid和url和瑕疵点存入预览数组
			$$(parents).find('img').each(function(index,v){
				//瑕疵点部分
				var checkResultArrayValue=$$(v).data('value');
				var otherContent=$$(v).data('other');
				var checkResultArray = [];

				if(checkResultArrayValue){
					checkResultArray = checkResultArrayValue.split('|');
				}

				var checkResultContent = '审核结果：';
				if (checkResultArray.length > 0){
					for (var i = 0;i < checkResultArray.length;i++ ){
						checkResultContent += i + 1 + '.' + checkResultArray[i] ;
					}
				}
				if(otherContent){
					checkResultContent += '其他：' + otherContent;
				}


				photoUrlArr.push({
					'url':$$(v).attr('src'),
					'picId':$$(v).attr('data-picid'),
					checkResultContent:checkResultContent,
					showCheckResult:true
					})
			})
//			var photoUrlArr = [cloudUrl]
//			var delLinkText = '';
//			if(that.evidenceType != '111' && that.evidenceType != '112'){
//				delLinkText = '删除'; //身份证正反面不显示删除按钮
//			}

			var evidenceBrowser =f7.photoBrowser({
				zoom: 400,
				photos: photoUrlArr,
//				delLinkText:delLinkText,
				addLinkText:'重新上传',
				onClose:function(pb){
					f7.closeModal();
					picFlag = true;
				}
			})
			if(index || index === 0){
				evidenceIndex = index;
			}
			evidenceBrowser.open(evidenceIndex);
			//预览删除事件
//			delPic(evidenceBrowser,photoUrlArr,function(picId){
//				$$(parents).find('img[data-picid='+picId+']').parent().parent().remove();
//				deletePic(picId,that.options)
//			})
			$$('.addButton').on('click',function(){
//				evidenceBrowser.close();
				that.updateEvidencePic(e,true,evidenceBrowser);
			})
		},

		operateEvent: function(e) {
			var that = this;
			if(that.options.isNew){
				var evidenceItemList = that.options.uploadEvidenceList.children(that.options.isNew);
				var minNum = 0;
			}else{
				var evidenceItemList = that.options.uploadEvidenceList.children();
				var minNum = 1;
			}

			var showMore = that.options.uploadEvidenceList.children('.order-detail-more');
			if (evidenceItemList.length > minNum) {
				if ($$(e.target).text() === '编辑') {
					$$(e.target).text('完成');
					//点击编辑自动展开更多
					if(evidenceItemList.length >5){
						$$(showMore).hide();//隐藏更多按钮
					}
					if($(evidenceItemList).find('img').length == 1){ //如果只剩最后一张 不允许删除
						return false;
					}
					for (var i = 0; i < evidenceItemList.length; i++) {
						if (evidenceItemList[i].id != that.options.addSelector && !$$(evidenceItemList[i]).hasClass('order-detail-more')) {
							evidenceItemList[i].classList.add('evidence-item-delete');
							$$(evidenceItemList[i]).find('.failure').removeClass('failure').addClass('editFailure');
						}
						if(i>=4 && !$$(evidenceItemList[i]).hasClass('order-detail-more')){
							$$(evidenceItemList[i]).slideDown(200);
						}
					}
					
				} else if ($$(e.target).text() === '完成') {
					if(evidenceItemList.length >5){
						$$(showMore).show();//显示更多按钮
					}
					for (var i = 0; i < evidenceItemList.length; i++) {
						if (evidenceItemList[i].id != that.options.addSelector) {
							$$(evidenceItemList[i]).find('.editFailure').removeClass('editFailure').addClass('failure');
						}
						if(i>=4 && !$$(evidenceItemList[i]).hasClass('order-detail-more')){
							$$(evidenceItemList[i]).slideUp();
						}
					}
					this.resetOperateEvent();
				}
			} else if (evidenceItemList.length <= minNum) {
				this.resetOperateEvent();
			}
		},

		resetOperateEvent: function() {
			var that = this;
			if(that.options.isNew){
				var evidenceItemList = that.options.uploadEvidenceList.children(that.options.isNew);
			}else{
				var evidenceItemList = that.options.uploadEvidenceList.children();
			}

			$$('#' + this.operateSelector).text('编辑');

			for (var j = 0; j < evidenceItemList.length; j++) {
				if (evidenceItemList[j].id != that.options.addSelector) {
					evidenceItemList[j].classList.remove('evidence-item-delete');
				}
			}
		},
		checkFlawEvent: function(e){
//			var that = this;
			var checkResultArrayValue=$$(e.target).data('value');
			var otherContent=$$(e.target).data('other');
			var checkResultArray = [];

			if(checkResultArrayValue){
				checkResultArray = checkResultArrayValue.split('|');
			}

			var checkResultContent = '审核结果：<br>';
			if (checkResultArray.length > 0){
				for (var i = 0;i < checkResultArray.length;i++ ){
					checkResultContent += i + 1 + '.' + checkResultArray[i] + '<br>';
				}
			}
			if(otherContent){
				checkResultContent += '其他：' + otherContent;
			}

			f7.modal({
	  			title: '',
	  			text:  '<div class="model-title">'+checkResultContent+'</div>',
	  			buttons: [
	  				{
	  					text: '<span>确定</span>',
	  					onClick: function(){
	  						f7.closeModal();
	  					}
	  				}
	  			]
	  		});
		}
	}

	return {
		UploadEvidence: UploadEvidence
	}
});