define([
	'jquery',
	'js/utilities',
	'js/uploadImg'
], function(
	$$,
	utilities,
	uploadImg
	) {
	var takePicture = uploadImg.takePicture;
	var choosePhoto = uploadImg.choosePhoto;
	var addPic = uploadImg.addPicAppApi; //添加图片
	var deletePic = uploadImg.deletePicAppApi;//删除图片
	var updatePic = uploadImg.updatePicAppApi//更新图片
	var getPicIndex = function(){ //获取当前时间戳
		return Date.now().toString();
	}
	
	function UploadEvidence(evidenceType, photoArr, options) {
		this.evidenceType = evidenceType;
		this.photoArr = photoArr;
		this.options = options;
		this.init(options);
	}
	
	
	UploadEvidence.prototype = {
			
		options: {
			logStatus: true
		},
			
		containerSelector: null,
		
		picWrapperSelector: null,
		
		operateSelector: null,
			
		addSelector: null,
		
		removeSelector: null,
		
		previewSelector: null,
		
		updateSelector: null,
			
		addSuccessCallback: function(data) {
			
			if (this.options.logStatus) { console.log('addSuccessCallback') }
			if(this.evidenceType == '111' || this.evidenceType == '112'){
				$$('#idCard' + this.evidenceType + ' img').attr('src',data.picData.cloudUrl).data('picid', data.picData.picId);
				f7.hideIndicator();
				//保存图片数组
				/*this.photoArr = [{
					picId: data.picData.picId,
					cloudKey: data.picData.cloudKey,
					cloudUrl: data.picData.cloudUrl
				}];*/
			}else{
				var evidenceItem = document.createElement('li');
				var evidenceItemImg = document.createElement('img');
				var evidenceItemImgWrapper = document.createElement('div');
				$$(evidenceItem).insertBefore($$('#' + this.options.addSelector));
				evidenceItem.appendChild(evidenceItemImgWrapper);
				evidenceItemImgWrapper.appendChild(evidenceItemImg);
				$(evidenceItemImg).css('display','none');
				
				evidenceItem.classList.add('upload-evidence-item');
				evidenceItem.classList.add('upload-evidence-item-new');
				evidenceItem.style.backgroundImage = "url('img/placeOrder/loading1.png')";
				$$(evidenceItem).data('picid', data.picData.picId); //储存图片picId
				
				evidenceItem.style.width = '25%';
				$(evidenceItemImg).css({
					'width': '70px',
					'height': '70px',
					'margin':'15px 0'
				}).attr('src',data.picData.cloudUrl);
				evidenceItemImg.onload = function(){
					evidenceItem.style.backgroundImage = 'none'
					evidenceItem.style.paddingTop = 0;
					evidenceItemImg.style.display = "inline-block";
					f7.hideIndicator();
				}
				//保存图片数组
				/*this.photoArr.push({
					picId: data.picData.picId,
					cloudKey: data.picData.cloudKey,
					cloudUrl: data.picData.cloudUrl
				})*/
			}
			
			
			// 绑定点击事件
			this.clickEvent();
		},
		
		uploadSuccessCallback: function(token, i, u, t, data, imgId){
			var that = this;
			//获取当前时间
			/*var date = new Date();
			var year = date.getFullYear();
			var month = date.getMonth()+1;
			var day = date.getDate();
			var hour = date.getHours();
			var minute = date.getMinutes();
			var second = date.getSeconds();
			if(second < 10){
				second = '0' + second;
			}
			var time = year+'年'+month+'月'+day+'日 '+hour+':'+minute+':'+second;*/
			
			if(that.evidenceType == '111' || that.evidenceType == '112'){
				if($$('#idCard' + that.evidenceType).find('img').data('picid')){
					var item = $$('#idCard' + that.evidenceType).find('img');
					var picId = item.data('picid');
					
					updatePic(picId, {
						baseBusinessType: this.options.baseBusinessType,
						cloudKey: imgId,
						cloudUrl: token.iobsCloudUrl,
						successCallback: function(){
							$$('#idCard' + that.evidenceType + ' img').attr('src',token.iobsCloudUrl);
							f7.hideIndicator();
						},
						errorCallback: function(){}
					});
				}else{
//					var picNameIndex = '1';
					addPic('', {
						baseBusinessType: this.options.baseBusinessType,
						auditInfoId: this.options.infoData.auditInfoId,
//						auditInfoId: '435353434',
						picType: this.options.picType,
						picSubType: this.options.picSubType,
						picNameIndex: getPicIndex(),
						checkFaceSuccessTime: '',
						checkResult: '',
						cloudKey: imgId,
						cloudUrl: token.iobsCloudUrl,
						successCallback: function(res){
							that.addSuccessCallback(res)
						},
						errorCallback: function(){}
					});
				}
				
			}else{
//				var picNameIndex = that.options.uploadEvidenceList.children().length;
				addPic('', {
					baseBusinessType: this.options.baseBusinessType,
					auditInfoId: this.options.infoData.auditInfoId,
//					auditInfoId: '435353434',
					picType: this.options.picType,
					picSubType: this.options.picSubType,
					picNameIndex: getPicIndex(),
					checkFaceSuccessTime: '',
					checkResult: '',
					cloudKey: imgId,
					cloudUrl: token.iobsCloudUrl,
					successCallback: function(res){
						that.addSuccessCallback(res)
					},
					errorCallback: function(){}
				});
			}
			
		},
		
		removeSuccessCallback: function(e, picId) {
			if (this.options.logStatus) { console.log('removeSuccessCallback') };
		},
		
		previewSuccessCallback: function() {
			if (this.options.logStatus) { console.log('previewSuccessCallback') }
		},
		
		updateSuccessCallback: function(token, i, u, t, data, imgId, event) {
			if (this.options.logStatus) { console.log('updateSuccessCallback') }
//			console.log(event);
			var that = this;
			//获取当前时间
			/*var date = new Date();
			var year = date.getFullYear();
			var month = date.getMonth()+1;
			var day = date.getDate();
			var hour = date.getHours();
			var minute = date.getMinutes();
			var second = date.getSeconds();
			if(second < 10){
				second = '0' + second;
			}
			var time = year+'年'+month+'月'+day+'日 '+hour+':'+minute+':'+second;*/
			var item = $$(event.target);
			var picId = item.find('img').data('picid');
			
			updatePic(picId, {
				baseBusinessType: this.options.baseBusinessType,
				cloudKey: imgId,
				cloudUrl: token.iobsCloudUrl,
				successCallback: function(){
					/*if(item[0].tagName == 'DIV' && that.options.baseBusinessType == '003001'){
						item.parent().removeClass('failure');
						item.parent().addClass('success');
						item.parent().find('.item-status').text('已上传');
					}else{*/
						item.removeClass('failure');
						item.addClass('success');
//					}
					item.parent().children("div:last-child").hide();//隐藏瑕疵点
					item.find('img').attr('src',token.iobsCloudUrl);
					/*that.photoArr.push({
						picId: picId,
						cloudKey: imgId,
						cloudUrl: token.iobsCloudUrl
					})*/
					that.options.activeReloadBtn();
					f7.hideIndicator();
				},
				errorCallback: function(){}
			});
		},
		
		errorCallback: function() {
			if (this.options.logStatus) { console.log('errorCallback') }
		},
			
		init: function(options) {
			
			this.options = options;
			var that = this;
			
			this.containerSelector = options.containerSelector;
			this.picWrapperSelector = options.picWrapperSelector;
			
			this.addSelector = options.addSelector;
			this.removeSelector = options.removeSelector;
			this.updateSelector = options.updateSelector;
			this.previewSelector = options.previewSelector;
			this.operateSelector = options.operateSelector;
			
			this.uploadSuccessCallback = options.uploadSuccessCallback || this.uploadSuccessCallback;
			this.addSuccessCallback = options.addSuccessCallback || this.addSuccessCallback;
			this.removeSuccessCallback = options.removeSuccessCallback || this.removeSuccessCallback;
			this.updateSuccessCallback = options.updateSuccessCallback || this.updateSuccessCallback;
			this.previewSuccessCallback = options.previewSuccessCallback || this.previewSuccessCallback;
			this.errorCallback = options.errorCallback || this.errorCallback;
			
			
			var addSelector = document.querySelector('#' + this.options.addSelector);
			if (this.options.logStatus) {
				console.log('$$$ $$$ addSelector: ');
				console.log(addSelector || '请绑定新增图片的DOM元素');
			}
			if(addSelector){
				addSelector.addEventListener('click', function(){that.addEvidencePic()}, false);
			}
			
			var operateSelector = document.querySelector('#' + this.options.operateSelector);
			if (this.options.logStatus) {
				console.log('$$$ $$$ operateSelector: ');
				console.log(operateSelector || '请绑定操作图片的DOM元素');
			}
			if(operateSelector){
				operateSelector.addEventListener('click', function(e){that.operateEvent(e)}, false);
			}
			
			var updateSelector = document.querySelector('#' + this.options.updateSelector);
			if (this.options.logStatus){
				console.log('$$$ $$$ updateSelector: ');
				console.log(addSelector || '请绑定更新图片的DOM元素');
			}
			if(updateSelector){
				// 绑定点击事件
				this.clickEvent();
			}
			
			this.clickEvent();
		},
		
		clickEvent: function() {
			
			var that = this;
			if(that.options.uploadEvidenceList){
				var evidenceItemList = that.options.uploadEvidenceList.children();
				for (var i = 0; i < evidenceItemList.length; i++) {
					if (evidenceItemList[i].id != that.options.addSelector) {	
						$$(evidenceItemList[i]).off('click').on('click', function(e) {
//							console.log(e.target)
							// 删除事件
							if ($$(e.target).hasClass('evidence-item-delete')) {
								that.removeEvidencePic(e);
							// 更新事件
							} else if($$(e.target).hasClass('failure')) {
								that.updateEvidencePic(e);
							// 瑕疵点查看事件	
							} else if($$(e.target).hasClass('upload-flaw-item')){
								that.checkFlawEvent(e);
							// 预览事件
							} else {
								utilities.clickDelay('previewPhoto', function(){
									that.previewEvidencePic(e);
								}, 500)
							}
							e.stopPropagation();
						});
					}
				}
			}
			
		},
		
		addEvidencePic: function() {
			var that = this;
			if(that.options.isNew){
				if($$(that.options.isNew).length < that.options.limitNum){
					var buttons1 = [{
							text: '拍摄',
							onClick: function() {
								takePicture('', '', '', function(token, i, u, t, data, imgId) {
									that.uploadSuccessCallback(token, i, u, t, data, imgId);
								}, '', '')
							}
						},
						{
							text: '从相册选择',
							onClick: function() {
								choosePhoto('', '', '', function(token, i, u, t, data, imgId) {
									that.uploadSuccessCallback(token, i, u, t, data, imgId);
								}, '', '');
							}
						}
					];
					var buttons2 = [{
						text: '取消',
						color: 'red'
					}];
					var groups = [buttons1, buttons2];
					
					f7.actions(groups);
				}
				if($$(that.options.isNew).length == that.options.limitNum){
					f7.alert('最多只能上传20张');
				}
			}else{
				if(this.evidenceType == '111' || this.evidenceType == '112' || ( $$('#' + this.options.addSelector).index() < this.options.limitNum ) ){
					var buttons1 = [{
							text: '拍摄',
							onClick: function() {
								takePicture('', '', '', function(token, i, u, t, data, imgId) {
									that.uploadSuccessCallback(token, i, u, t, data, imgId);
								}, '', '')
							}
						},
						{
							text: '从相册选择',
							onClick: function() {
								choosePhoto('', '', '', function(token, i, u, t, data, imgId) {
									that.uploadSuccessCallback(token, i, u, t, data, imgId);
								}, '', '');
							}
						}
					];
					var buttons2 = [{
						text: '取消',
						color: 'red'
					}];
					var groups = [buttons1, buttons2];
					
					f7.actions(groups);
				}
				if($$('#' + this.options.addSelector).index() == this.options.limitNum){
					f7.alert('最多只能上传20张');
				}
			}
			
		},
		
		removeEvidencePic: function(e) {
			var that = this;
			if(this.options.isNew){
				var item = this.options.uploadEvidenceList.children(that.options.isNew);
				var minNum = 0;
			}else{
				var item = this.options.uploadEvidenceList.children();
				var minNum = 1;
			}
			if (item.length <= minNum) {
				this.resetEditEvent();
			}
			
			var picId;
			var that = this;
			//获取picId
			if ($$(e.target)[0].tagName === 'LI') {
				picId = $$(e.target).data('picid');
			} else if ($$(e.target)[0].tagName === 'IMG') {
				picId = $$(e.target).parent().data('picid');
			}
			
			deletePic(picId, {
				baseBusinessType: this.options.baseBusinessType,
				successCallback: function(){
					
					// 在表现上删除该项
					if ($$(e.target)[0].tagName === 'LI') {
						$$(e.target).remove();
					} else if ($$(e.target)[0].tagName === 'IMG') {
						$$(e.target).parent().remove();
					}
					
					/*var photoTempArr = [];
					that.photoArr.map(function(item, index){
						if (item.picId == picId) {
							delete item;
						}else{
							photoTempArr.push(item);
						}
					})
					that.photoArr = photoTempArr;*/
				},
				errorCallback: function(){}
			});
			
		},
		
		updateEvidencePic: function(e) {
			var that = this;
			var event = e;
			var buttons1 = [{
				text: '拍摄',
					onClick: function() {
						takePicture('', '', '', function(token, i, u, t, data, imgId) {
							that.updateSuccessCallback(token, i, u, t, data, imgId, event);
						}, '', '')
					}
				},
				{
					text: '从相册选择',
					onClick: function() {
						choosePhoto('', '', '', function(token, i, u, t, data, imgId) {
							that.updateSuccessCallback(token, i, u, t, data, imgId, event);
						}, '', '');
					}
				}
			];
			var buttons2 = [{
				text: '取消',
				color: 'red'
			}];
			var groups = [buttons1, buttons2];
			
			f7.actions(groups);
		},
		
		previewEvidencePic: function(e) {
			if ($$(e.target)[0].tagName === 'LI' || $$(e.target)[0].tagName === 'DIV') {
				var cloudUrl = $$(e.target).find('img').attr('src');
			} else if ($$(e.target)[0].tagName === 'IMG') {
				var cloudUrl = $$(e.target).attr('src');
			}
			var evidenceIndex='0';
			var photoUrlArr = [cloudUrl]
			f7.photoBrowser({
				zoom: 400,
				photos: photoUrlArr
			}).open(evidenceIndex);
		},
		
		operateEvent: function(e) {
			var that = this;
			if(that.options.isNew){
				var evidenceItemList = that.options.uploadEvidenceList.children(that.options.isNew);
				var minNum = 0;
			}else{
				var evidenceItemList = that.options.uploadEvidenceList.children();
				var minNum = 1;
			}
			
			
			if (evidenceItemList.length > minNum) {
				if ($$(e.target).text() === '编辑') {
					$$(e.target).text('完成');
					
					for (var i = 0; i < evidenceItemList.length; i++) {
						if (evidenceItemList[i].id != that.options.addSelector) {
							evidenceItemList[i].classList.add('evidence-item-delete');
						}
					}
				} else if ($$(e.target).text() === '完成') {
					
					this.resetOperateEvent();
				}
			} else if (evidenceItemList.length <= minNum) {
				this.resetOperateEvent();
			}
		},
		
		resetOperateEvent: function() {
			var that = this;
			if(that.options.isNew){
				var evidenceItemList = that.options.uploadEvidenceList.children(that.options.isNew);
			}else{
				var evidenceItemList = that.options.uploadEvidenceList.children();
			}
			
			$$('#' + this.operateSelector).text('编辑');
			
			for (var j = 0; j < evidenceItemList.length; j++) {
				if (evidenceItemList[j].id != that.options.addSelector) {
					evidenceItemList[j].classList.remove('evidence-item-delete');
				}
			}
		},
		checkFlawEvent: function(e){
//			var that = this;
			var checkResultArrayValue=$$(e.target).data('value');
			var otherContent=$$(e.target).data('other');
			var checkResultArray = [];
			
			if(checkResultArrayValue){
				checkResultArray = checkResultArrayValue.split('|');
			}
			
			var checkResultContent = '审核结果：<br>';
			if (checkResultArray.length > 0){
				for (var i = 0;i < checkResultArray.length;i++ ){
					checkResultContent += i + 1 + '.' + checkResultArray[i] + '<br>';
				}
			}
			if(otherContent){
				checkResultContent += '其他：' + otherContent;
			}
			
			f7.modal({
	  			title: '',
	  			text:  '<div class="model-title">'+checkResultContent+'</div>',
	  			buttons: [
	  				{
	  					text: '<span>确定</span>',
	  					onClick: function(){
	  						f7.closeModal();  						
	  					}
	  				}
	  			]
	  		});
		}
	}
	
	return {
		UploadEvidence: UploadEvidence
	}
});