define([
	'js/utilities',
	'jquery',
	'hbs!medicalCare/medicalCareComponents/medicalCareChooseGoods/medicalCareChooseGoodsList',
	'hbs!medicalCare/medicalCareComponents/medicalCareChooseGoods/medicalCareChooseGoodsItem',
	'hbs!medicalCare/medicalCareComponents/medicalCareChooseGoods/medicalCareChooseGoodsPrice',
	'hbs!medicalCare/medicalCareComponents/medicalCareChooseGoods/medicalCareChooseGoodsResult',
], function(
	utilities,
	$$,
	chooseGoodsListTemplate,
	chooseGoodsItemTemplate,
	chooseGoodsPriceTemplate,
	chooseGoodsResultTemplate
) {
	
	var callAppApi = utilities.callAppApi;

	/**
	 *	@desc: 重置方法组
	 */
	function resetGoodsBrand() {
		chooseGoodsBrandList = [];
		chooseGoodsBrandList.unshift({
			default: true,
			value: '',
			view: '品牌'
		});
		
		$$('#storeGoodsBrand').html(chooseGoodsItemTemplate({optionsList: chooseGoodsBrandList}));
		$$('#storeGoodsBrand').attr('disabled', true);
	}
	
	function resetGoodsModel() {
		chooseGoodsModelList = [];
		chooseGoodsModelList.unshift({
			default: true,
			value: '',
			view: '型号'
		});
		
		$$('#storeGoodsModel').html(chooseGoodsItemTemplate({optionsList: chooseGoodsModelList}));
		$$('#storeGoodsModel').attr('disabled', true);
	}

	function resetGoodsConfig() {
		chooseGoodsConfigList = [];
		chooseGoodsConfigList.unshift({
			default: true,
			value: '',
			view: '配置'
		});
		
		$$('#storeGoodsConfig').html(chooseGoodsItemTemplate({optionsList: chooseGoodsConfigList}));
		$$('#storeGoodsConfig').attr('disabled', true);
	}
	
	function resetGoodsColor() {
		chooseGoodsColorList = [];
		chooseGoodsColorList.unshift({
			default: true,
			value: '',
			view: '颜色'
		});
		
		$$('#storeGoodsColor').html(chooseGoodsItemTemplate({optionsList: chooseGoodsColorList}));
		$$('#storeGoodsColor').attr('disabled', true);
	}
	
	function resetGoodsPrice() {
		$$('#goodsPrice').val('');
		$$('#goodsPrice').attr('disabled', true);
	}
	
	function resetInstalment() {
		$$('#instalment').val('');
		$$('#instalment').attr('disabled', true);
	}
	
	function resetgoodsProduct() {
		var defaultGoodsProductList = [{
			default: true,
			value: '',
			view: '请选择分期产品'
		}];
		
		$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: defaultGoodsProductList}));
		$$('#goodsProduct').attr('disabled', true);
	}
	
	function resetgoodsSuite() {
		var defaultgoodsSuiteList = [{
			default: true,
			value: '',
			view: '请选择套餐名称'
		}];
		
		$$('#goodsSuite').html(chooseGoodsItemTemplate({optionsList: defaultgoodsSuiteList}));
		$$('#goodsSuite').attr('disabled', true);
	}
	
	function resetGoodsStageNum() {
		var defaultGoodsStageNumList = [{
			default: true,
			value: '',
			view: '请选择期数'
		}];
		
		$$('#goodsStageNum').html(chooseGoodsItemTemplate({optionsList: defaultGoodsStageNumList}));
		$$('#goodsStageNum').attr('disabled', true);
	}
	
	function resetGoodsPay() {
		$$('#firstPayment').val('0元');
		$$('#selfPayment').val('0元     请联系工作人员现场缴纳');
		$$('#eachPayment').val('');
	}
	
	function initGoodsResult() {
		var chooseGoodsResultData = {
			resultKey: '已选商品',
			resultValue: '无'
		};
		
		$$('#chooseGoodsResult').html(chooseGoodsResultTemplate(chooseGoodsResultData));
	}

	/**
	 * @二维码扫描 通用字段
	 */
	function getRealString(str) {
		var s = '';
		for (var i = 0; i < str.length; i++) {
		    if (i % 5 != 0) {
		      s += str[i];
		    }
		}
		return s;
	}
	
    function doWithQRCode(s, callback) {
    	if (!s || s.indexOf("|") < 0) {
    		f7.alert("亲，二维码没看清，请再试一下哦");
    		return;
    	}
    	
    	// 二维码规则调整
    	s = s.replace(/\*/g, '');
    	
    	var actionType = s.split("|")[0];
    	var viewType = s.split("|")[1];
    	var objectID = s.split("|")[2];
	  
    	if (actionType == "V" && viewType == "M" && objectID) {

    		callback(objectID);
    	} else {
    		f7.alert("请扫描有效的二维码信息");
    		return;
    	}
    	return objectID;
    }
  //类型改变 重置选项
    function storeGoodsTypeChange(storeUserId, callback){
		$$('#storeGoodsType').off('change').on('change', function(e) {
			resetGoodsBrand();		// 重置品牌
			resetGoodsModel();		// 重置型号
			resetGoodsConfig();		// 重置配置
			resetGoodsColor();		// 重置颜色		
			initGoodsResult();		// 初始化已选商品		
			resetGoodsPrice();		// 重置商品价格
			resetgoodsProduct();	// 重置分期产品
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			
			if (e.target.children[0].selected) {
				f7.alert('请选择商品类型');
			} else {
				var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
				callAppApi({
					url: '/app/productBrandAll',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						storeUserId: storeUserId,   // 品牌查询时传入店员id，更新于20170308
						businessType: '006001'  //xjn 更新于20170321
					},
					successCallback: function(respone) {
						callback(respone)
					},
					errorCallback: function() {}
				})
			}
		});
	}
    
  //改变品牌 重置选项
    function storeGoodsBrandChange(storeUserId, callback){
		$$('#storeGoodsBrand').off('change').on('change', function(e) {					
			resetGoodsModel();		// 重置型号
			resetGoodsConfig();		// 重置配置
			resetGoodsColor();		// 重置颜色
			initGoodsResult();		// 初始化已选商品			
			resetGoodsPrice();		// 重置商品价格
			resetgoodsProduct();	// 重置分期产品
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			
			if (e.target.children[0].selected) {
				f7.alert('请先选择商品品牌');
			} else {
				goodsBrandId = e.target.value;			
				var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
				callAppApi({
					url: '/app/goodsAll',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						productBrandId: goodsBrandId,
						storeUserId: storeUserId,  //xjn 更新于20170321
						businessType: '006001'  //xjn 更新于20170321
					},
					successCallback: function(response){
						callback(response,goodsBrandId)
					},
					errorCallback: function(err) {
						resetGoodsModel();		// 重置型号
						resetGoodsConfig();		// 重置配置
						resetGoodsColor();		// 重置颜色
						initGoodsResult();		// 初始化已选商品						
						resetGoodsPrice();		// 重置商品价格
						resetgoodsProduct();	// 重置分期产品
						resetgoodsSuite();		// 重置套餐名称
						resetGoodsStageNum();	// 重置期数
						resetGoodsPay();		// 重置支付金额
					}
				});
			}
		});
	}
	
	//改变型号 重置选项
    function storeGoodsModelChange(storeUserId, callback){
		$$('#storeGoodsModel').off('change').on('change', function(e) {			
			resetGoodsConfig();		// 重置配置
			resetGoodsColor();		// 重置颜色
			initGoodsResult();		// 初始化已选商品			
			resetGoodsPrice();		// 重置商品价格
			resetgoodsProduct();	// 重置分期产品
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			
			if (e.target.children[0].selected) {
				f7.alert('请选择商品型号');
			} else {
				var modelId = e.target.value;
				var goodsSellId = e.target.value;
				var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
				callAppApi({
					url: '/app/goodsItemAll',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						goodsId: modelId,
						storeUserId: storeUserId,  //xjn 更新于20170321
						businessType: '006001',  //xjn 更新于20170321
						productBrandId: goodsBrandId,  //xjn 更新于20170321
					},
					successCallback: function(response){
						callback(response)
					},
					errorCallback: function(err) {
						resetGoodsConfig();		// 重置配置
						resetGoodsColor();		// 重置颜色

						initGoodsResult();		// 初始化已选商品
						
						resetGoodsPrice();		// 重置商品价格
						resetgoodsProduct();	// 重置分期产品
						resetgoodsSuite();		// 重置套餐名称
						resetGoodsStageNum();	// 重置期数
						resetGoodsPay();		// 重置支付金额
					}
				})
			}
		});
	}
	
	//改变配置 重置选项
    function storeGoodsConfigChange(params,callback){
		var getInfoSuccessData=params.getInfoSuccessData
		$$('#storeGoodsConfig').off('change').on('change', function(e) {				
			var locatiionChooseGoodsListData = JSON.parse(localStorage.getItem(locatiionChooseGoodsListData));
			if(locatiionChooseGoodsListData !==null){
			    locatiionChooseGoodsListData=locatiionChooseGoodsListData;
			}else{
			    var locatiionChooseGoodsListData={
			    		chooseGoodsColorList :[],//颜色列表
			    } 
			}
			resetGoodsColor();		// 重置颜色
			initGoodsResult();		// 初始化已选商品				
			resetGoodsPrice();		// 重置商品价格
			resetgoodsProduct();	// 重置分期产品
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额				
			if (e.target.children[0].selected) {
				f7.alert('请选择商品配置');
			} else {
				var chooseGoodsColorList=getInfoSuccessData;
				chooseGoodsColorList = getInfoSuccessData.map(function(item) {
					return {
						default: false,
						value: item.value,
						view: item.view
					};
				});	
				locatiionChooseGoodsListData.chooseGoodsColorList=chooseGoodsColorList;//lisai 2017年4月28日13:51:05 颜色列表保存到本地
				callback(locatiionChooseGoodsListData.chooseGoodsColorList);
				$$('#storeGoodsColor').removeAttr('disabled');
				$$('#storeGoodsColor').html(chooseGoodsItemTemplate({optionsList: chooseGoodsColorList}));
			}
		});
	}
	
	//改变颜色 重置选项
    function storeGoodsColorChange(storeUserId, callback){
		$$('#storeGoodsColor').off('change').on('change', function(e) {		
			initGoodsResult();		// 初始化已选商品			
			resetGoodsPrice();		// 重置商品价格
			resetgoodsProduct();	// 重置分期产品
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额				
			if (e.target.children[0].selected) {
				f7.alert('请选择颜色');
				var goodsLogistics='0';
				$("#goodsLogistics").addClass("hide")
			} else {			
				var goodsModelId = $$('#storeGoodsModel').val();
				var goodsConfigInfo = $$('#storeGoodsConfig').val();
				var goodsColorInfo = $$('#storeGoodsColor').val();	
				var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
				callAppApi({
					url: '/app/goodsSell',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						goodsId: goodsModelId,
						goodsItemColor: goodsColorInfo,
						goodsItemConfigure: goodsConfigInfo,
						storeUserId: storeUserId,
						businessType: '006001', //lisai 2017年4月6日10:08:41
//						baseBusinessType: '006001' 
					},
					successCallback: function(respone) {
						callback(respone)
					},
					errorCallback: function(err) {}
				})
			}
		});
	}	
	
	//商品价格 重置选项
    function goodsPriceChange(storeId,callback){
//			if (typeof $$._data($$('#goodsPrice')[0], 'events') === 'undefined' || $$._data($$('#goodsPrice')[0], 'events').blur.length < 0) {
				$$('#goodsPrice').off('blur').on('blur', function(e) {
					if (!/^[1-9][0-9]*$$/.test($$(this).val())) {
						$$(this).val('');					
						resetgoodsProduct();	// 重置分期产品
						resetgoodsSuite();		// 重置套餐名称
						resetGoodsStageNum();	// 重置期数
						resetGoodsPay();		// 重置支付金额							
						return false;
					}
					var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
					callAppApi({
						url: '/app/suitePlanList',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							businessType: '006001',
							storeId: storeId,
						},
						successCallback: function(respone) {
							callback(respone)
						},
						errorCallback: function(err) {}
					})
				});
//			}
		}
	
	//分期产品 重置选项
    function goodsProductChange(params,callback){
		$$('#goodsProduct').off('change').on('change', function(e) {		
			var chooseGoodsProductList = params.chooseGoodsProductList;
			var goodsPlanId = '';
			var goodsPlanName = '';	
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额					
			if (e.target.children[0].selected) {
				f7.alert('请选择分期产品');
			} else {
				for (var i = 0; i < e.target.children.length; i++) {
					if (e.target.children[i].selected === true) {				
						// zhh - 20170405 - 20170406版本  - 根据所选产品的planId是否为空来判断是否显示套餐名称
//						chooseGoodsProductList[i].planList[0].planId = ''
						if (chooseGoodsProductList[i].planList[0].planId === '') {
							goodsPlanStatus = false;
						} else {
							goodsPlanStatus = true;
						}						
						goodsProductId = chooseGoodsProductList[i].value;	// 分期产品id
						goodsProductName = chooseGoodsProductList[i].view;	// 分期产品名称
						if (goodsPlanStatus === true) {
							$('#goodsSuite').parent().removeClass('hide');
							//getGoodsPlanSuccess(chooseGoodsProductList[i].planList);
							callback({
								goodsPlanStatus:goodsPlanStatus,
								chooseGoodsProductListPlanList:chooseGoodsProductList[i].planList,
								goodsProductId:goodsProductId,
								goodsProductName:goodsProductName
							});
						} else if (goodsPlanStatus === false) {
							goodsPlanId = '';
							goodsPlanName = '';
							$('#goodsSuite').parent().addClass('hide');
							//getGoodsPeriodSuccess(chooseGoodsProductList[i].planList[0].periodList);
							callback({
								goodsPlanStatus:goodsPlanStatus,
								chooseGoodsProductListPeriodList:chooseGoodsProductList[i].planList[0].periodList,
								goodsProductId:goodsProductId,
								goodsProductName:goodsProductName
							});
						}							
					}
				}
			}
		});			
	}
	
	//套餐名称 重置选项
    function goodsSuiteChange(params,callback){
		$$('#goodsSuite').off('change').on('change', function(e) {
			var chooseGoodsPlanList=params.chooseGoodsPlanList
			var goodsPlanId = '';
			var goodsPlanName = '';		
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			if (e.target.children[0].selected) {
				f7.alert('请选择套餐名称');
			} else {
				for (var i = 0; i < e.target.children.length; i++) {
					if (e.target.children[i].selected === true) {
						goodsPlanId = chooseGoodsPlanList[i].value;		// 套餐id
						goodsPlanName = chooseGoodsPlanList[i].view;		// 套餐名称					
						//getGoodsPeriodSuccess(chooseGoodsPlanList[i].periodList);
						callback({
							chooseGoodsPlanListPeriodList:chooseGoodsPlanList[i].periodList,
							goodsPlanId:goodsPlanId,
							goodsPlanName:goodsPlanName
						});
					}
				}
				}
		});
	}
	
	//分期期数 重置选项
    function goodsStageNumChange(params,callback){
		$$('#goodsStageNum').off('change').on('change', function(e) {
			var goodsSellId=params.goodsSellId;
			var goodsPlanId=params.goodsPlanId
			resetGoodsPay();		// 重置支付金额
			if (e.target.children[0].selected) {                                                                              
				f7.alert('请选择期数');
			} else {
				for (var i = 0; i < e.target.children.length; i++) {
					if (e.target.children[i].selected === true) {
						goodsPeriodKey = e.target.children[i].value;
						goodsPeriod = parseInt(e.target.children[i].innerHTML).toString();
					}
				}
				var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
				callAppApi({
					url: '/module/suite/suitePlanDetail',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						orderProductPrice: parseFloat( $$('#goodsPrice').val()) + '',
						periodKey: goodsPeriodKey,
						stagePlanAmt:parseFloat( $$('#instalment').val() ) + '',
						planId: goodsPlanId,
						goodsSellId:goodsSellId,
						businessType: '006001'
					},
					//successCallback: getSuitePlanDetailSuccess,
					successCallback: function(respone) {
						callback({
							StageNumRespone:respone,
							goodsPeriodKey:goodsPeriodKey,
							goodsPeriod:goodsPeriod,
							discountAmt:respone.discountAmt,
						})
						getSuitePlanDetailSuccess();
					},
					errorCallback: function(err) {}
				});
				// 获取详细分期计划成功回调
			function getSuitePlanDetailSuccess(data) {
					// 更新套餐计算key值，从而可以进行下一步
					goodsSuiteKey = true;
					// 期初支付
					goodsSuitePayFirstPrice = data.downPayment;
					// 自付金额
					goodsSuitePayInitialPrice = data.selfPayAmount;
					// 每期租金
//					goodsSuiteStagePrice = data.stagePrice;
					// 手续费
					goodsSuitePoundage = data.handlingCharge;
					// 服务费
					goodsSuiteServiceCharges = data.serviceCharge;
					// 租金总额
					goodsSuiteTotalAmount = data.totalAmount;
					//设备杠杆
					goodsSuiteLeverPrice = data.leverPrice;
					
					// 贴息id
					orderPlanId = data.orderPlanId;
					//贴息款
					discountAmt=data.discountAmt;
					// 保证金
					guaranteeMoney = data.deposit;
//					guaranteeMoney = Math.ceil(data.totalAmount * 0.1);
								
					// 套餐金额
					planAmount = data.planAmount;
					// 套餐应收金额
					planReceivableAmount = data.planReceivableAmount;
					// 套餐充值金额
					planRechargeAmount = data.planRechargeAmount;
					goodsSuiteStageNumber=data.instalPeriod;
					
					$$('#firstPayment').val(data.downPayment + '元');
					$$('#selfPayment').val(data.selfPayAmount + '元    请联系工作人员现场缴纳');
//					$$('#eachPayment').val(data.stagePrice + '元');
					$$('#guaranteeMoney').val(guaranteeMoney+'元');
					
					// 分期账单还款计划渲染
					goodPaymentDetail=data.paymentDetail;
					var goodPaymentDetailHtml='';
					if(goodPaymentDetail){
						goodPaymentDetail.map(function(item,index){
							goodPaymentDetailHtml = goodPaymentDetailHtml +
								'<div class="model-list-item">'+
								'<div class="model-list-number model-list-content">第'+item.periodNo+'期</div>' +
								'<div class="model-list-pay model-list-content">'+numberFormat(item.payAmount,2)+'元</div>' +
							'</div>' 
						});
					}
					
					// 账单分期模态框
					$$("#goods-detials").off('click').on("click",function(){
						var goodsDetailType = '';
						var goodsDetailBrand = '';
						var goodsDetailModel = '';
						var goodsDetailConfig = '';
						var goodsDetailColor = '';
						if(locatiionChooseGoodsListData.goodsTypeList.length > 0){
							goodsDetailType = locatiionChooseGoodsListData.goodsTypeList[1].view;
						}
						if(locatiionChooseGoodsListData.chooseGoodsBrandList.length > 0){
							goodsDetailBrand = locatiionChooseGoodsListData.chooseGoodsBrandList[1].view;
						}
						if(locatiionChooseGoodsListData.chooseGoodsModelList.length > 0){
							goodsDetailModel = locatiionChooseGoodsListData.chooseGoodsModelList[1].view;
						}
						if(locatiionChooseGoodsListData.chooseGoodsConfigList.length > 0){
							goodsDetailConfig = locatiionChooseGoodsListData.chooseGoodsConfigList[1].view;
						}
						if(locatiionChooseGoodsListData.chooseGoodsColorList.length > 0){
							goodsDetailColor = locatiionChooseGoodsListData.chooseGoodsColorList[1].view;
						}
						f7.modal({
							title: '分期账单',
							afterText: '<div class="model-block-chooseGoods">'+
											'<div class="model-head">'+
												'<div class="chooseGoodsModalItem" style="width: 100%">' +
													'<span class="key" style="width: 23%">订单详情</span><span class="value" style="width: 75%">' + goodsDetailType + ' '+ goodsDetailBrand 
														+ goodsDetailModel + goodsDetailConfig + goodsDetailColor +'</span>' +
												'</div>' +
												'<div class="chooseGoodsModalItem">'+
													'<span class="key">押金</span><span class="value">' + guaranteeMoney + '元</span>'+
												'</div>' +
												'<div class="chooseGoodsModalItem">'+
													'<span class="key">自付金额</span><span class="value">'+goodsSuitePayInitialPrice+'元</span>'+
												'</div>' +
												'<div class="chooseGoodsModalItem">'+
													'<span class="key">期数</span><span class="value">' + goodsPeriod + '期</span>'+
												'</div>' +
												'<div class="chooseGoodsModalItem">'+
														'<span class="key">租金总额</span><span class="value">'+goodsSuiteTotalAmount+'元</span>'+
												'</div>' +											
											'</div>' +
											'<div class="model-list">'+
												'<div class="model-list-item">'+
													'<div class="model-list-number model-list-content">期数</div>' +
													'<div class="model-list-pay model-list-content">每期还款</div>' +
												'</div>' + goodPaymentDetailHtml +
											'</div>' +
										'</div>',
							buttons: [
								{
									text: '我知道了',
								}
							]
						});
						$('.model-block-chooseGoods').parent().parent().css({
							position: 'absolute',
							top: '50%',
							left: '5%',
							display: 'block',
							width: '90%',
							margin: '-210px 5% 0 0'
						});
					});
				}
				
			}
		});
	}
	
	return {
		// 二维码通用方法
		getRealString: getRealString,
		doWithQRCode: doWithQRCode,
		
		// 重置方法组
		resetGoodsBrand: resetGoodsBrand,
		resetGoodsModel: resetGoodsModel,
		resetGoodsConfig: resetGoodsConfig,
		resetGoodsColor: resetGoodsColor,
		resetInstalment: resetInstalment,
		resetGoodsPrice: resetGoodsPrice,
		initGoodsResult: initGoodsResult,
		resetgoodsProduct: resetgoodsProduct,
		resetgoodsSuite: resetgoodsSuite,
		resetGoodsStageNum: resetGoodsStageNum,
		resetGoodsPay: resetGoodsPay,
		//改变类型 重置选项
		storeGoodsTypeChange:storeGoodsTypeChange,
		//商品价格 重置选项
		goodsPriceChange:goodsPriceChange,
		// 商品品牌 重置选项
		storeGoodsBrandChange:storeGoodsBrandChange,
		//改变型号 重置选项
		storeGoodsModelChange:storeGoodsModelChange,
		//改变配置 重置选项
		storeGoodsConfigChange:storeGoodsConfigChange,
		//改变颜色 重置选项
		storeGoodsColorChange:storeGoodsColorChange,
		
		//分期产品 重置选项
		goodsProductChange:goodsProductChange,
		//套餐名称 重置选项
		goodsSuiteChange:goodsSuiteChange,
		//分期期数 重置选项
		goodsStageNumChange:goodsStageNumChange,
	}
});