define([
	'js/utilities',
	'js/validator',
	'js/config',
	'js/datas',
	'js/sha256',
	'medicalCare/medicalCareContainers/medicalCareChooseGoods/medicalCareChooseGoodsHelper',
	'medicalCare/medicalCareContainers/medicalCareChooseGoods/medicalCareChooseGoodsPad',
	'hbs!medicalCare/medicalCareContainers/medicalCareChooseGoods/medicalCareChooseGoods',
	'hbs!medicalCare/medicalCareComponents/medicalCareChooseGoods/medicalCareChooseGoodsList',
	'hbs!medicalCare/medicalCareComponents/medicalCareChooseGoods/medicalCareChooseGoodsItem',
	'hbs!medicalCare/medicalCareComponents/medicalCareChooseGoods/medicalCareChooseGoodsPrice',
	'hbs!medicalCare/medicalCareComponents/medicalCareChooseGoods/medicalCareChooseGoodsResult',
	'hbs!components/common/button/button',
	'hbs!components/shippingAddress/chooseAddressArea',
	'jquery',
], function(
	utilities,
	validator,
	config,
	Datas,
	SHA256,
	chooseGoodsHelper,
	chooseGoodsPad,
	chooseGoodsTemplate,
	chooseGoodsListTemplate,
	chooseGoodsItemTemplate,
	chooseGoodsPriceTemplate,
	chooseGoodsResultTemplate,
	buttonTemplate,
	chooseAddressAreaTemplate,
	$$
) {
/**
 * @warn 此页面所有$$为jQuery的$$
 */
//	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var getDay = utilities.getDay;
	var getLngAndLat = utilities.getLngAndLat;
	var dictData = Datas.dictData;
	var isOwnEmpty = utilities.isOwnEmpty;
	var getDeviceType = utilities.getDeviceType;
	var getFormatPrice = utilities.getFormatPrice;
	
	// 二维码通用方法组
//	var getRealString = chooseGoodsHelper.getRealString;
	var doWithQRCode = chooseGoodsHelper.doWithQRCode;

	// 重置方法组
	var	resetGoodsBrand = chooseGoodsHelper.resetGoodsBrand;
	var	resetGoodsModel = chooseGoodsHelper.resetGoodsModel;
	var	resetGoodsConfig = chooseGoodsHelper.resetGoodsConfig;
	var	resetGoodsColor = chooseGoodsHelper.resetGoodsColor;
	var resetInstalment = chooseGoodsHelper.resetInstalment;
	var	resetGoodsPrice = chooseGoodsHelper.resetGoodsPrice;
	var	initGoodsResult = chooseGoodsHelper.initGoodsResult;
	var	resetgoodsProduct = chooseGoodsHelper.resetgoodsProduct;
	var	resetgoodsSuite = chooseGoodsHelper.resetgoodsSuite;
	var	resetGoodsStageNum = chooseGoodsHelper.resetGoodsStageNum;
	var	resetGoodsPay = chooseGoodsHelper.resetGoodsPay;
	
	//改变类型 重置选项
	var storeGoodsTypeChange = chooseGoodsHelper.storeGoodsTypeChange;
	//商品价格 重置选项
	var goodsPriceChange = chooseGoodsHelper.goodsPriceChange;
	// 商品品牌 重置选项
	var storeGoodsBrandChange = chooseGoodsHelper.storeGoodsBrandChange;
	//改变型号 重置选项
	var storeGoodsModelChange = chooseGoodsHelper.storeGoodsModelChange;
	//改变配置 重置选项
	var storeGoodsConfigChange = chooseGoodsHelper.storeGoodsConfigChange;
	//改变颜色 重置选项
	var storeGoodsColorChange = chooseGoodsHelper.storeGoodsColorChange;
	
	//分期产品 重置选项
	var goodsProductChange = chooseGoodsHelper.goodsProductChange;
	//套餐名称 重置选项
	var goodsSuiteChange = chooseGoodsHelper.goodsSuiteChange;
	//分期期数 重置选项
	var goodsStageNumChange = chooseGoodsHelper.goodsStageNumChange;
	
	var SKIP = config.SKIP;
	  //埋点需求
	  var bindPadChooseGoods = chooseGoodsPad.bindPadChooseGoods;
	  var sendPadChooseGoods = chooseGoodsPad.sendPadChooseGoods;
	
	  /**
	   * 格式化数字
	   * @param number 待格式化数字
	   * @param decimals 保留的小数位
	   * @param dec_point 小数点符号
	   * @param thousands_sep 千分位符号
	   */
	  function numberFormat(number, decimals, dec_point, thousands_sep) {
		    number = (number + '').replace(/[^0-9+-Ee.]/g, '');
		    var n = !isFinite(+number) ? 0 : +number,
	        prec = !isFinite(+decimals) ? 0 : Math.abs(decimals),
//	        sep = (typeof thousands_sep === 'undefined') ? ',' : thousands_sep,
	        dec = (typeof dec_point === 'undefined') ? '.' : dec_point,
	        s = '',
	        toFixedFix = function (n, prec) {
	            var k = Math.pow(10, prec);
	            return '' + Math.ceil(n * k) / k;
	        };
	 
	    s = (prec ? toFixedFix(n, prec) : '' + Math.round(n)).split('.');
	    var re = /(-?\d+)(\d{3})/;
//	    while (re.test(s[0])) {
//	        s[0] = s[0].replace(re, "$1" + sep + "$2");
//	    }
	 
	    if ((s[1] || '').length < prec) {
	        s[1] = s[1] || '';
	        s[1] += new Array(prec - s[1].length + 1).join('0');
		    }
		    return s.join(dec);
	  }
	  
	
	
	function render(params) {
		
		// 选择商品默认数据
		var chooseGoodsListData = {
			goodsTypeList: [
				{
					id: 'storeGoodsType',
					label: '类型',
					type: 'widen',
					disabled: true,
					optionsList: [
						{
							default: true,
							value: '',
							view: ''
						},
						{
							default: false,
							value: '胰岛素泵',
							view: '胰岛素泵'
						}
					]
					
				},
				{
					id: 'storeGoodsBrand',
					disabled: true,
					optionsList: [
						{
							default: true,
							value: '',
							view: '品牌'
						}
					]
					
				},
				{
					id: 'storeGoodsModel',
					disabled: true,
					optionsList: [
						{
							default: true,
							value: '',
							view: '型号'
						}
					]
				},
				{
					id: 'storeGoodsConfig',
					disabled: true,
					optionsList: [
						{
							default: true,
							value: '',
							view: '配置'
						}
					]
				},
				{
					id: 'storeGoodsColor',
					disabled: true,
					optionsList: [
						{
							default: true,
							value: '',
							view: '颜色'
						}
					]
				}
			]
		};

		// 商品结果默认数据
		var chooseGoodsResultData = {
			resultKey: '已选商品',
			resultValue: '无'
		};

		// 商品价格及套餐默认数据
		var chooseGoodsPriceData = {
			formId: 'chooseGoodsPriceForm',
			priceInputList: [
				/*{
					id: 'myLimit',
					type: 'text',
					visibleStatus: true,
					disabled: true,
					label: '我的额度',
					placeholder: '',
					value: ''
				},*/
				{
					id: 'goodsPrice',
					type: 'text',
					visibleStatus: true,
					disabled: true,
					label: '商品价格',
					placeholder: '请输入商品价格',
					value: ''
				},
				{
					id: 'instalment',
					type: 'suffixText',
					visibleStatus: true,
					disabled: true,
					label: '分期金额',
					placeholder: '',
					value: '',
					suffix: '元',
					suffixWidden: '可分期' + params.creditAvailableAmount + '元',
					
				},
				{
					id: 'goodsProduct',
					type: 'select',
					visibleStatus: true,
					disabled: true,
					label: '分期产品',
					selectList: [
						{
							value: '',
							view: '请选择分期产品'
						}
					]
				},
				{
					id: 'goodsSuite',
					type: 'select',
					visibleStatus: false,
					disabled: true,
					label: '套餐名称',
					selectList: [
						{
							value: '',
							view: '请选择套餐名称'
						}
					]
				},
				{
					id: 'goodsStageNum',
					type: 'select',
					visibleStatus: true,
					disabled: true,
					label: '期数',
					selectList: [
						{
							value: '',
							view: '请选择期数',
						}
					]
				},
				{
					id: 'guaranteeMoney',
					type: 'text',
					visibleStatus: true,
					disabled: true,
					label: '押金',
					placeholder: '0元',
					value: ''
				},
				{
					id: 'firstPayment',
					type: 'text',
					visibleStatus: false,
					disabled: true,
					label: '期初支付',
					placeholder: '0元',
					value: '',
					extraButton: {
						buttonId: 'goodsExtraCost',
					}
				},
				{
					id: 'selfPayment',
					type: 'text',
					visibleStatus: true,
					disabled: true,
					label: '自付金额',
					placeholder: '0元 ',
					value: ''
				},
				{
					id: 'eachPayment',
					type: 'text',
					visibleStatus: true,
					disabled: true,
					label: '每期还款',
//					placeholder: '0元',
					value: '',
					extraButton:false
				}
			]
		}
		
		
		var flag=true;					//用于防止重复连续发请求
		var goodsModelName;				//存储型号的变量
		
		TalkingData.onPage("选择商品");		
		TalkingData.onPageBegin("选择商品_填写时间");	
		  $("#chooseGoodsNavbar .placeOrderBackBtn").on('click', function() {
			  TalkingData.onEventWithLabel('选择商品', '返回');
		 });	
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		//数据缓存本地 用于回显
		
		var locatiionChooseGoodsListData = JSON.parse(localStorage.getItem('locatiionChooseGoodsListData'));
		if(locatiionChooseGoodsListData !==null){
		    locatiionChooseGoodsListData=locatiionChooseGoodsListData;
		}else{
		    var locatiionChooseGoodsListData={
		    		orderId:'',
		    		goodsTypeList:[],//类型列表
		    		chooseGoodsBrandList :[],//品牌列表
		    		chooseGoodsModelList :[],//型号列表
		    		chooseGoodsConfigList :[],//配置列表
		    		chooseGoodsColorList :[],//颜色列表
		    		defaultGoodsProductList :[],//分期产品列表
		    		defaultGoodsStageNumList :[],//期数列表
		    		getInfoSuccessData:[],
		    		planList:[]//套餐名称
		    } 
		}
		var userName = params.userName;
		var storeUserId = '';		// 店员id
		var storeUserName = '';		// 店员名称
		var storeId = '';			// 门店id
		var storeName = '';			// 门店名称
		var goodsSellId = '';		// 售品id
		var goodsSellName = '';		// 售品名称
		
		var goodsProductId = '';	// 分期产品id
		var goodsProductName = ''; 	// 分期产品名称

		var goodsPlanStatus = true;	// 套餐是否显示状态
		var goodsPlanId = '';		// 套餐id
		var goodsPlanName = '';		// 套餐名称

		var goodsPeriodKey = '';	// 分期期数id
		var goodsPeriod = '';		// 分期期数
		
		var orderPlanId = '';		// 贴息id
		
		var planAmount = '';			// 套餐金额
		var planReceivableAmount = ''; 	// 套餐应收金额
		var planRechargeAmount = '';	// 套餐充值金额
		
		var supplierId = '';		// 供应商id
		var operatorId = '';		// 运营商id
		
		// 判断套餐是否计算成功的key
		var goodsSuiteKey = false;
		// 存储套餐方案
		var goodsProductArr = [];
		
		// 租金总额
		var goodsSuiteTotalAmount = '';
		//利息总额
		var totalInterestAmount  = '';
		// 手续费
		var goodsSuitePoundage = '';
		// 服务费
		var goodsSuiteServiceCharges = '';
		// 设备杠杆
		var goodsSuiteLeverPrice = '';
		// 自付金额
		var goodsSuitePayInitialPrice = '';
		// 期初支付
		var goodsSuitePayFirstPrice = '';
		// 分期金额
		var goodsSuiteStagePrice = '';
		//贴息款
		var discountAmt='';
		// 押金
		var guaranteeMoney = '';
		
		var goodsBrandId = '';
		var chooseGoodsTypeList = [];
		var chooseGoodsBrandList = [];
		var chooseGoodsModelList = [];
		var chooseGoodsConfigList = [];
		var chooseGoodsColorList = [];
		
		// 渲染navbar
		loadComponent('navbar', 'common', {
			container: '#chooseGoodsNavbar',
			title: '选择商品',
			backClass: 'placeOrderBackBtn',
			isBackIcon: true,
			isBack: false
		});
		
		// 渲染选择商品主内容
		$$('#chooseGoodsContent').html(chooseGoodsTemplate({}));

		// 渲染头部状态栏
		loadMedicalCareComponent('placeOrderTabbar', 'medicalCarePlaceOrder', {
			container: '#chooseGoodsTabbar',
			tabIndex: 1
		});

		// 渲染条件选择框
		$$('#chooseGoodsList').html(chooseGoodsListTemplate(chooseGoodsListData));
		// 渲染选择的商品结果
		$$('#chooseGoodsResult').html(chooseGoodsResultTemplate(chooseGoodsResultData));
		
		// 渲染商品价格列表
		$$('#choosePriceArea').html(chooseGoodsPriceTemplate(chooseGoodsPriceData));
//		$('#instalment').attr('placeholder','请输入分期金额，可分期' + params.creditAvailableAmount + '元')
		$$('#instalment').attr('placeholder','请输入金额')
		
		$$('#selfPayment').attr('placeholder', '0元    请联系工作人员现场缴纳');
		
		// 渲染底部按钮
		$$('#placeOrderGoodsBtnBox').html(buttonTemplate({
			id : 'placeOrderGoodsBtn',
			value : '下一步',
			disabled : false,
		}));
		bindPadChooseGoods();
		// 为底部按钮绑定事件
		$$('#placeOrderGoodsBtn').off('click.chooseGoods').on('click.chooseGoods', function() {
			var chooseAddressData = JSON.parse(localStorage.getItem('chooseAddressData'));
			TalkingData.onEventWithLabel('选择商品', '下一页');
			if ($$('#ORCodeInput').val() === '') {
				f7.alert('请扫描店员二维码');
				return false;
			}
			if ($$('#storeGoodsType').val() === '') {
				f7.alert('请先选择商品类型');
				return false;
			}
			if ($$('#storeGoodsBrand').val() === '') {
				f7.alert('请先选择商品品牌');
				return false;
			}
			if ($$('#storeGoodsModel').val() === '') {
				f7.alert('请选择商品型号');
				return false;
			}
			if ($$('#storeGoodsConfig').val() === '') {
				f7.alert('请选择商品配置');
				return false;
			}
			if ($$('#storeGoodsColor').val() === '') {
				f7.alert('请选择商品颜色');
				return false;
			}

			if (validator.isNull($$('#instalment').val())) {
				f7.alert('请输入金额');
				return false;
			}
			
			if (validator.isNull($$('#goodsProduct').val())) {
				f7.alert('请选择分期产品');
				return false;
			}
			// zhh - 20170405 - 20170406版本  - 如果没有套餐，则不判断套餐是否为空
			if (goodsPlanStatus === true && validator.isNull($$('#goodsSuite').val())) {
				f7.alert('请选择套餐名称');
				return false;
			}
			if (validator.isNull($$('#goodsStageNum').val())) {
				f7.alert('请选择期数');
				return false;
			}
			if (goodsSuiteKey === false) {
				f7.alert('套餐明细计算失败！');
				return false;
			}
			
			
			
			// 是否跳过cordova的device.uuid
			var orderDeviceId = '';
	
			if (!SKIP.cordova_uuid) {
				orderDeviceId = device.uuid;
			}
			
			var baseParams = {
					userId: loginStatus.userId,
					userName: userName,
					//orderTypeCode: '006001',
					baseBusinessType: '006001',
					
					storeUserId: storeUserId,
					storeUserName: storeUserName,
					storeId: storeId,
					storeName: storeName,
					
					supplierId: supplierId,
					operatorId: operatorId,
					goodsSellId: goodsSellId,
					
					
					
//					goodsItemColor: $$('#storeGoodsColor').val(),
//					goodsItemConfigure: $$('#storeGoodsConfig').val(),
					goodsPlanId: goodsPlanId,				// 套餐id
					goodsPlanName: goodsPlanName,			// 套餐名称
					goodsSellName: goodsSellName,
					goodsSuiteLeverPrice:goodsSuiteLeverPrice,
					orderProductPrice: parseInt($$('#goodsPrice').val()).toString(),
				
					goodsProductId: goodsProductId,			// 分期产品id
					goodsProductName: goodsProductName,		// 分期产品名称
					
					orderPlanId: orderPlanId,
					
					goodsPeriodKey: goodsPeriodKey,			// 方案id  分期期数id
					goodsPeriod: goodsPeriod,				// 方案名称    分期期数
					
					goodsSuitePayFirstPrice: goodsSuitePayFirstPrice,
					goodsSuitePayInitialPrice: goodsSuitePayInitialPrice,
					goodsSuiteStageNumber: goodsPeriod,		// 方案名称   分期期数
					goodsSuiteTotalAmount: goodsSuiteTotalAmount,
					totalInterestAmount:totalInterestAmount,
					goodsSuiteStagePrice: $$('#instalment').val(),
					discountAmt: discountAmt,
					goodsSuitePoundage: goodsSuitePoundage,
					goodsSuiteServiceCharges: goodsSuiteServiceCharges,
					
					guaranteeMoney: guaranteeMoney, // 押金
					
					orderAddressLongitude: '',		// 下单经度
					orderAddressLatitude: '',		// 下单纬度
					orderDeviceId: orderDeviceId	// 设备id
				};
			locatiionChooseGoodsListData.baseParams=baseParams; //存于本地 用于回显
			localStorage.setItem('locatiionChooseGoodsListData', JSON.stringify(locatiionChooseGoodsListData));
			//弹框输入交易密码
			var inputStyle = '';
			if (getDeviceType() == 'IOS') {
				inputStyle = 'style="font-size: 0 !important;"';
			}
			
			f7.modal({
				title: '<div id="goodsSetPwdTitle" class="setPwdTitle">请输入交易密码</div>',
				text: '<div class="setPassword-type">'+
							'<div class="wrap">'+
								'<div class="inputBoxContainer" id="goodSetPasswordContainer">'+
									'<input type="number" class="realInput"' + inputStyle + '/>'+
									'<div class="bogusInput">'+
										'<input type="password" maxlength="6" disabled/>'+
										'<input type="password" maxlength="6" disabled/>'+
										'<input type="password" maxlength="6" disabled/>'+
										'<input type="password" maxlength="6" disabled/>'+
										'<input type="password" maxlength="6" disabled/>'+
										'<input type="password" maxlength="6" disabled/>'+
									'</div>'+
								'</div>'+
							'</div>'+
							'<div class="clearFix fgtPwd-box" id="forgetPwdBtnBox">'+
							  '<a id="inputPrePwd-fgtPwdBtn" class="inputPrePwdFgtPwdBtn font-fff font-m container align-r">忘记密码？</a>'+
							'</div>'+
							'<span class="closes">×</span>'+
					    '</div>',
			})
			
			//交易密码输入
			var goodSetPasswordContainer = document.getElementById("goodSetPasswordContainer");
			var setPasswordObj = {
				maxLength:"",
				realInput:"",
				bogusInput:"",
				bogusInputArr:"",
				callback:"",
				init:function(fun){
					var that = this;
					this.callback = fun;
					that.realInput = goodSetPasswordContainer.children[0];
					that.bogusInput = goodSetPasswordContainer.children[1];
					that.bogusInputArr = that.bogusInput.children;
					that.maxLength = that.bogusInputArr[0].getAttribute("maxlength");
					that.realInput.oninput = function(){
						that.setValue();
					}
					that.realInput.onpropertychange = function(){
						that.setValue();
					}
				},
				setValue:function(){
					this.realInput.value = this.realInput.value.replace(/\D/g,"");
					var real_str = this.realInput.value;
					for(var i = 0 ; i < this.maxLength ; i++){
						this.bogusInputArr[i].value = real_str[i]?real_str[i]:"";
					}
					if(real_str.length >= this.maxLength){
						this.realInput.value = real_str.substring(0,6);
						this.callback();
						checkPassword();
					}
				},
				getBoxInputValue:function(){
					var realValue = "";
					for(var i in this.bogusInputArr){
						if(!this.bogusInputArr[i].value){
							break;
						}
						realValue += this.bogusInputArr[i].value;
					}
					return realValue;
				}
			};
			setPasswordObj.init(function() {});
			$('#goodSetPasswordContainer').parents('.modal').css({
				'overflow': 'visible'
			});
			$$('.closes').on('click', function(){
				f7.closeModal();
			})
			
			
			//点击忘记密码按钮  进入发送验证码页面
		      $("#inputPrePwd-fgtPwdBtn").on("click",function(){
		    	  f7.closeModal();
		    	  mainView.router.load({
						url : 'tradePwd.html',
						query : {
							fromPage : 'medicalCareChooseGoods'
						}
					});
		      })
		      function checkPassword(){

		    	  if($('.realInput').val().length == 6){
			    	  var pwdStr = setPasswordObj.getBoxInputValue();
				      var telRegExp = /^\d{6}$/;
				      if(pwdStr==""){
				    	 f7.alert('请输入交易密码'); return false; 
				      }
				      if(!telRegExp.test(pwdStr)){f7.alert('密码格式不正确'); return false; }
				      if(flag==true){
				    	  flag=false;
					      callAppApi({
						   url: '/module/transactionPwd/find',
						   type: 'POST',
						   params: {
							   userId: loginStatus.userId,
							   transactionPwd: SHA256(pwdStr).toString(),
							   findType: "03"
						   },
						   successCallback: function(response) {
							   if(response.transactionPwdExist){
								   
								    f7.closeModal();
								    f7.showIndicator();
									
									
									
									var createOrderStatus = false;
									
									getLngAndLat(function(position) {
										
										baseParams.orderAddressLongitude = position.lng;
										baseParams.orderAddressLatitude = position.lat;
										
										if (createOrderStatus == false) {
											createOrderStatus = true;
											creditActivationFunc();
										}
										
									}, function(error) {
										
										baseParams.orderAddressLongitude = '';
										baseParams.orderAddressLatitude = '';
										
										if (createOrderStatus == false) {
											createOrderStatus = true;
											creditActivationFunc();
										}
									});
									
									function creditActivationFunc() {
										callAppApi({
											url: '/app/order/create/health',
											type: 'POST',
											params: baseParams,
											hideIndicatorStatus: false,
											successCallback: function(data) {
												sendPadChooseGoods(data.baseOrderId);											
												loadMedicalCarePage('medicalCareUploadEvidence', {
													query: {
														fromPage:'medicalCareChooseGoods',
														orderId: data.baseOrderId,
														baseBusinessType: '006001',
													}
												});
												f7.hideIndicator();
												localStorage.setItem('chooseAddressData', JSON.stringify({
													addressUserName: '',
													addressType: '',
													addressPostcode: [],
													addressArea: '',
													userFullAddress:'',
													addressUserPhone: '',
													isAddressCheck:false
												}));
												isAddressCheck=false;
												TalkingData.onPageEnd("选择商品_填写时间");
											},
											errorCallback: function(err) {
												f7.hideIndicator();
											}
										});
									}
							   }else{
								   f7.closeModal();
								   flag=true;
								   f7.alert('交易密码不正确');
							   }
									
						   },
						   errorCallback: function(err) {}
					      })
				      }
			      }
		      
		      }
		      
		});


		  
		// 店员二维码识别
		$$('#QRcodeBtn').off('click').on('click', function() {
			
			// 是否跳过二维码扫描
			if (!SKIP.cordova_QRCode) {
				cordova.plugins.HrToolsPlugin.QrCodePlugin(scanCallbackStore, scanQrCodeError);
			} else {
				 scanCallbackStore('*V|M|*20170717');
				// scanCallbackStore('*V|M|*12');
			}
			
			function scanQrCodeError (error){
			    f7.alertMessage("二维码扫描失败，请重试！");
			};
			function scanCallbackStore(result) {
//				var s = getRealString(result);

			    var objectID = doWithQRCode(result, getStoreUserStoreInfo);
			    return objectID;
			};

			// 通过门店id获取门店信息
			function getStoreUserStoreInfo(objectId) {
				  storeUserId = objectId;
				  // 根据店员id查询门店商品信息
				  callAppApi({
					  url: '/app/storeUserStoreInfo',
					  type: 'POST',
					  params: {
						  storeUserId: objectId,
						  businessType: '006001'
					  },
					  successCallback: getStoreInfoSuccess,
					  errorCallback: function() {
						  initGoodsResult();
						  resetGoodsBrand();
						  resetGoodsModel();
						  resetGoodsConfig();
						  resetGoodsColor();
						  var chooseGoodsTypeList = [{default: false,view: '请选择',value: ''}];
						  $$('#chooseGoodsList').html(chooseGoodsListTemplate(chooseGoodsListData));
					  }
				  });
			}
		});
		
		// 获取门店的所有类型
		function getStoreInfoSuccess(data) {
			storeUserName = data.storeUserName;
			storeId = data.storeId;
			storeName = data.storeName;
			locatiionChooseGoodsListData.storeData=data;//门店信息保存本地
			

			$$('#ORCodeInput').val(data.storeName);
			
			var chooseGoodsTypeList = [
				{
					default: false,
					view: '请选择',
					value: ''
				},
				{
					default: false,
					view: '胰岛素泵',
					value: '胰岛素泵'
				}
			];
			
			chooseGoodsListData.goodsTypeList[0].optionsList = chooseGoodsTypeList;
			locatiionChooseGoodsListData.goodsTypeList =chooseGoodsTypeList;			//品牌列表保存本地
			$$('#chooseGoodsList').html(chooseGoodsListTemplate(chooseGoodsListData));	
			$$('#storeGoodsType').removeAttr('disabled');
			
			initGoodsResult();		// 初始化已选商品
			
			resetGoodsPrice();		// 重置商品价格
			resetgoodsProduct();	// 重置分期产品
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			
			// 门店类型绑定事件
			$$('#storeGoodsType').off('change').on('change', function(e) {
				
				
				resetGoodsBrand();		// 重置品牌
				resetGoodsModel();		// 重置型号
				resetGoodsConfig();		// 重置配置
				resetGoodsColor();		// 重置颜色
				
				initGoodsResult();		// 初始化已选商品
				
				resetGoodsPrice();		// 重置商品价格
				resetgoodsProduct();	// 重置分期产品
				resetgoodsSuite();		// 重置套餐名称
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
				
				if (e.target.children[0].selected) {
					f7.alert('请选择商品类型');
				} else {
					callAppApi({
						url: '/app/productBrandAll',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							storeUserId: storeUserId,   // 品牌查询时传入店员id
							businessType: '006001'  
						},
						successCallback: getBrandSuccess,
						errorCallback: function() {}
					})
				}
			});
		}
		
		// 获取门店所有品牌
		function getBrandSuccess(data) {
			
			chooseGoodsBrandList = data.map(function(item, index) {
				return {
					default: false,
					value: item.productBrandId,
					view: item.productBrandName
				};
			});
			
			chooseGoodsBrandList.unshift({
				default: true,
				value: '',
				view: '品牌'
			});


			$$('#storeGoodsBrand').removeAttr('disabled');
			$$('#storeGoodsBrand').html(chooseGoodsItemTemplate({optionsList: chooseGoodsBrandList}));
			locatiionChooseGoodsListData.chooseGoodsBrandList =chooseGoodsBrandList; //品牌列表保存到本地
			initGoodsResult();		// 初始化已选商品
			
			resetGoodsPrice();		// 重置商品价格
			resetgoodsProduct();	// 重置分期产品
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			
			// 商品品牌 添加 点击事件
			$$('#storeGoodsBrand').off('change').on('change', function(e) {
				
				resetGoodsModel();		// 重置型号
				resetGoodsConfig();		// 重置配置
				resetGoodsColor();		// 重置颜色

				initGoodsResult();		// 初始化已选商品
				
				resetGoodsPrice();		// 重置商品价格
				resetgoodsProduct();	// 重置分期产品
				resetgoodsSuite();		// 重置套餐名称
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
				
				if (e.target.children[0].selected) {
					f7.alert('请先选择商品品牌');
				} else {
					goodsBrandId = e.target.value;
					
					callAppApi({
						url: '/app/goodsAll',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							productBrandId: goodsBrandId,
							storeUserId: storeUserId,  //xjn 更新于20170321
							businessType: '006001'  //xjn 更新于20170321
						},
						successCallback: getModelSuccess,
						errorCallback: function(err) {}
					});
				}
			});
		}
	
		// 获取门店所有型号
		function getModelSuccess(data,brandId) {
			if(brandId){
				goodsBrandId=brandId;
			}
			chooseGoodsModelList = data.map(function(item, index) {
				return {
					default: false,
					value: item.goodsId,
					view: item.goodsName
				};
			});

			
			chooseGoodsModelList.unshift({
				default: true,
				value: '',
				view: '型号'
			});
			locatiionChooseGoodsListData.chooseGoodsModelList  =chooseGoodsModelList;// 型号列表保存到本地
			$$('#storeGoodsModel').removeAttr('disabled');
			$$('#storeGoodsModel').html(chooseGoodsItemTemplate({optionsList: chooseGoodsModelList}));
			
			resetGoodsConfig();		// 重置配置
			resetGoodsColor();		// 重置颜色

			initGoodsResult();		// 初始化已选商品
			
			resetGoodsPrice();		// 重置商品价格
			resetgoodsProduct();	// 重置分期产品
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			
			// 商品型号绑定事件
			$$('#storeGoodsModel').off('change').on('change', function(e) {
				
				resetGoodsConfig();		// 重置配置
				resetGoodsColor();		// 重置颜色

				initGoodsResult();		// 初始化已选商品
				
				resetGoodsPrice();		// 重置商品价格
				resetgoodsProduct();	// 重置分期产品
				resetgoodsSuite();		// 重置套餐名称
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
				
				if (e.target.children[0].selected) {
					f7.alert('请选择商品型号');
				} else {

					var modelId = e.target.value;
					
					var goodsSellId = e.target.value;
					
					goodsModelName = $(e.target).find("option:selected").html();
					
					callAppApi({
						url: '/app/goodsItemAll',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							goodsId: modelId,
							storeUserId: storeUserId,  //xjn 更新于20170321
							businessType: '006001',  //xjn 更新于20170321
							productBrandId: goodsBrandId,  //xjn 更新于20170321
						},
						successCallback: getInfoSuccess,
						errorCallback: function(err) {
							resetGoodsConfig();		// 重置配置
							resetGoodsColor();		// 重置颜色

							initGoodsResult();		// 初始化已选商品
							
							resetGoodsPrice();		// 重置商品价格
							resetgoodsProduct();	// 重置分期产品
							resetgoodsSuite();		// 重置套餐名称
							resetGoodsStageNum();	// 重置期数
							resetGoodsPay();		// 重置支付金额
						}
					})
				}
			});
		}
		
		// 获取商品所有配置
		function getInfoSuccess(data) {
			getInfoSuccessData = data;
			locatiionChooseGoodsListData.getInfoSuccessData=getInfoSuccessData;
			chooseGoodsConfigList = data.goodsItemConfigureSet.map(function(item) {
				return {
					default: false,
					value: item,
					view: item
				}
			});
			
			if (chooseGoodsConfigList.length === 0) {
				chooseGoodsConfigList.push({
					default: false,
					value: '',
					view: '官方标配'
				});
			}
			
			chooseGoodsConfigList.unshift({
				default: true,
				value: '',
				view: '配置'
			});
			locatiionChooseGoodsListData.chooseGoodsConfigList=chooseGoodsConfigList; // 配置列表保存到本地
			$$('#storeGoodsConfig').removeAttr('disabled');
			$$('#storeGoodsConfig').html(chooseGoodsItemTemplate({optionsList: chooseGoodsConfigList}));
			
			resetGoodsColor();		// 重置颜色

			initGoodsResult();		// 初始化已选商品
			
			resetGoodsPrice();		// 重置商品价格
			resetgoodsProduct();	// 重置分期产品
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			
			// 商品配置绑定事件		
			$$('#storeGoodsConfig').off('change').on('change', function(e) {
				
				resetGoodsColor();		// 重置颜色

				initGoodsResult();		// 初始化已选商品
				
				resetGoodsPrice();		// 重置商品价格
				resetgoodsProduct();	// 重置分期产品
				resetgoodsSuite();		// 重置套餐名称
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
				
				if (e.target.children[0].selected) {
					f7.alert('请选择商品配置');
				} else {

					chooseGoodsColorList = getInfoSuccessData.goodsItemColorSet.map(function(item) {
						return {
							default: false,
							value: item,
							view: item
						};
					});
					
					chooseGoodsColorList.unshift({
						default: true,
						value: '',
						view: '颜色'
					});
					locatiionChooseGoodsListData.chooseGoodsColorList=chooseGoodsColorList;// 颜色列表保存到本地
					$$('#storeGoodsColor').removeAttr('disabled');
					$$('#storeGoodsColor').html(chooseGoodsItemTemplate({optionsList: chooseGoodsColorList}));
				}
			});

			// 商品颜色绑定事件
			$$('#storeGoodsColor').off('change').on('change', function(e) {
				
				initGoodsResult();		// 初始化已选商品
				
				resetGoodsPrice();		// 重置商品价格
				resetInstalment();		// 重置分期金额
//				$('#instalment').attr('placeholder','请输入分期金额，可分期' + params.creditAvailableAmount + '元')
				$('#instalment').attr('placeholder','请输入金额')
				resetgoodsProduct();	// 重置分期产品
				resetgoodsSuite();		// 重置套餐名称
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
				
				if (e.target.children[0].selected) {
					f7.alert('请选择颜色');
				} else {
					
					var goodsModelId = $$('#storeGoodsModel').val();
					var goodsConfigInfo = $$('#storeGoodsConfig').val();
					var goodsColorInfo = $$('#storeGoodsColor').val();
					
					callAppApi({
						url: '/app/goodsSell',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							goodsId: goodsModelId,
							goodsItemColor: goodsColorInfo,
							goodsItemConfigure: goodsConfigInfo,
							storeUserId: storeUserId,
							businessType: '006001' //xjn 更新于20170321
						},
						successCallback: getGoodsSellSuccess,
						errorCallback: function(err) {}
					})
				}
			});
		}




		// 获取售品成功
		function getGoodsSellSuccess(data) {
			
			goodsSellId = data.goodsSellId;
			operatorId = data.operatorId;
			supplierId = data.supplierId;
			goodsSellName = data.goodsSellName;
			
			var storeGoodsTypeVal = '';
			for (var i = 0; i < $$('#storeGoodsType').children().length; i++) {
				if ($$('#storeGoodsType').children()[i].selected === true) {
					storeGoodsTypeVal = $$('#storeGoodsType').children()[i].innerHTML;
				}
			}
			
			var storeGoodsModelVal = '';
			for (var k = 0; k < $$('#storeGoodsModel').children().length; k++) {
				if ($$('#storeGoodsModel').children()[k].selected === true) {
					storeGoodsModelVal = $$('#storeGoodsModel').children()[k].innerHTML;
				}
			}
			
			var storeGoodsConfigVal = '';
			for (var l = 0; l < $$('#storeGoodsConfig').children().length; l++) {
				if ($$('#storeGoodsConfig').children()[l].selected === true) {
					storeGoodsConfigVal = $$('#storeGoodsConfig').children()[l].innerHTML;
				}
			}
			
			var storeGoodsColorVal = '';
			for (var m = 0; m < $$('#storeGoodsColor').children().length; m++) {
				if ($$('#storeGoodsColor').children()[m].selected === true) {
					storeGoodsColorVal = $$('#storeGoodsColor').children()[m].innerHTML;
				}
			}

			
			var chooseGoodsResultData2 = {
				resultKey: '已选商品',
				resultValue: storeGoodsTypeVal + ' ' + storeGoodsModelVal + ' ' + storeGoodsConfigVal + ' ' + storeGoodsColorVal
			}
			
//			var goodsSellPriceNum = parseInt( data.goodsSellPrice );
//			var creditAvailableAmountNum = parseInt( params.creditAvailableAmount );
//			var smallNum = isSmall(goodsSellPriceNum, creditAvailableAmountNum);
//			$('#instalment').attr('placeholder','请输入分期金额，最多可分期' + params.creditAvailableAmount + '元');

			$$('#chooseGoodsResult').html(chooseGoodsResultTemplate(chooseGoodsResultData2));
			//我的额度
//			$$('#myLimit').val(params.creditAvailableAmount + ' 元');
			// 解锁商品价格栏
			$$('#goodsPrice').val(numberFormat(data.goodsSellPrice,2) + ' 元');
			//
			$$('#instalment').removeAttr('disabled');
			//if (typeof $$._data($$('#instalment')[0], 'events') === 'undefined' || $$._data($$('#instalment')[0], 'events').blur.length < 0) {
				$$('#instalment').off('blur').on('blur', function(e) {
			
					if (!/^[1-9][0-9]*$$/.test($$(this).val())) {
						$$(this).val('');
						
						resetgoodsProduct();	// 重置分期产品
						resetgoodsSuite();		// 重置套餐名称
						resetGoodsStageNum();	// 重置期数
						resetGoodsPay();		// 重置支付金额
						
						return false;
					}
					
					var instalment = parseInt( $$(this).val() );
					var goodsSellPrice = parseInt( data.goodsSellPrice );
					var creditAvailableAmount = parseInt( params.creditAvailableAmount );
					var small = isSmall(goodsSellPrice, creditAvailableAmount);
					var big = 0;
					if(small == goodsSellPrice){
						big = creditAvailableAmount;
						bigText = '可用额度';
						smallText = '商品金额';
					}else if(small == creditAvailableAmount){
						big = goodsSellPrice;
						bigText = '商品金额';
						smallText = '可用额度';
					}
					if( instalment > big ){
						f7.alert('分期金额不能大于' + smallText);
						$$(this).val(small);
						callAppApi({
							url: '/module/suite/suitePlanList',
							type: 'POST',
							params: {
								userId: loginStatus.userId,
								baseBusinessType: '006001',
								storeId: storeId,
							},
							successCallback: getGoodsProductSuccess,
							errorCallback: function(err) {}
						})
						return;
					}
					if(instalment > small){
						f7.alert('分期金额不能大于' + smallText);
						$$(this).val(small);
						callAppApi({
							url: '/module/suite/suitePlanList',
							type: 'POST',
							params: {
								userId: loginStatus.userId,
								baseBusinessType: '006001',
								storeId: storeId,
							},
							successCallback: getGoodsProductSuccess,
							errorCallback: function(err) {}
						})
						return;
					}
					
					callAppApi({
						url: '/module/suite/suitePlanList',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							baseBusinessType: '006001',
							storeId: storeId,
						},
						successCallback: getGoodsProductSuccess,
						errorCallback: function(err) {}
					})
					
				});
			//}

		}
		//比较大小
		function isSmall(val1,val2) {
			if(parseInt(val1) < parseInt(val2)) { 
				return parseInt(val1); 
			 }else {
				return parseInt(val2);
			 }
		}
		
		// 获取分期产品数据成功
		function getGoodsProductSuccess(data) {
			//判断是否以特定字符串结尾
			if (typeof String.prototype.endsWith != 'function') {//兼容性写法
				  String.prototype.endsWith = function (str){
				  	var reg = new RegExp(str+"$");
					return reg.test(this);
				  };
				}
			function confirmEnding(str, target) {

				if(str.endsWith(target)){
				    return true;
				 }else{
					return false;
				 }
			
//				if (str.indexOf(target) > -1) {
//					return true;
//				} else {
//					return false;
//				}
			}
			//数组去重方法
			function unique(arr){
				 var res = [];
				 var json = {};
				 for(var i = 0; i < arr.length; i++){
				  if(!json[arr[i]]){
				   res.push(arr[i]);
				   json[arr[i]] = 1;
				  }
				 }
				 return res;
				}
			var chooseGoodsProductFilterList = data.filter(function(item) {
//				if (item.productName.indexOf(goodsModelName) > -1) {
//	                return {
//	                   default: false,
//	                   value: item.productId,
//	                   view: item.productName,
//	                   planList: item.planList
//	                }
//	             }
//				if(confirmEnding(item.productName,goodsModelName)){
//					return	{
//		                   default: false,
//		                   value: item.productId,
//		                   view: item.productName,
//		                   planList: item.planList
//		                }
//				}
				return confirmEnding(item.productName, goodsModelName);
			});
			chooseGoodsProductList = chooseGoodsProductFilterList.map(function(item){
				 return {
	                 default: false,
	                 value: item.productId,
	                 view: item.productName,
	                 planList: item.planList
				 }
			})
//			chooseGoodsProductList = unique(chooseGoodsProductList);//去重
			
			chooseGoodsProductList.unshift({
				default: true,
				value: '',
				view: '请选择分期产品',
				planList: []
			});
			
			locatiionChooseGoodsListData.defaultGoodsProductList =chooseGoodsProductList; // 分期产品列表保存到本地
			$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: chooseGoodsProductList}));
			$$('#goodsProduct').removeAttr('disabled');
			
			resetgoodsSuite();		// 重置套餐名称
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			
			$$('#goodsProduct').off('change').on('change', function(e) {
				
				resetgoodsSuite();		// 重置套餐名称
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
				
				if (e.target.children[0].selected) {
					f7.alert('请选择分期产品');
				} else {
					for (var i = 0; i < e.target.children.length; i++) {
						if (e.target.children[i].selected === true) {
							
							// zhh - 20170405 - 20170406版本  - 根据所选产品的planId是否为空来判断是否显示套餐名称
							if (chooseGoodsProductList[i].planList[0].planId === '') {
								goodsPlanStatus = false;
							} else {
								goodsPlanStatus = true;
							}
							
							goodsProductId = chooseGoodsProductList[i].value;	// 分期产品id
							goodsProductName = chooseGoodsProductList[i].view;	// 分期产品名称
							
							if (goodsPlanStatus === true) {
								
								$('#goodsSuite').parent().removeClass('hide');
								getGoodsPlanSuccess(chooseGoodsProductList[i].planList);
							} else if (goodsPlanStatus === false) {
								
								goodsPlanId = '';
								goodsPlanName = '';
								$('#goodsSuite').parent().addClass('hide');
								getGoodsPeriodSuccess(chooseGoodsProductList[i].planList[0].periodList);
							}
							
						}
					}
				}
			})
		}
		
		// 分期产品绑定事件
		function getGoodsPlanSuccess(data) {

			var chooseGoodsPlanList = data.map(function(item) {
				return {
					default: false,
					value: item.planId,
					view: item.planName,
					periodList: item.periodList
				}
			});
			
			chooseGoodsPlanList.unshift({
				default: false,
				value: '',
				view: '请选择套餐名称',
				periodList: []
			});

			$$('#goodsSuite').html(chooseGoodsItemTemplate({optionsList: chooseGoodsPlanList}));
			$$('#goodsSuite').removeAttr('disabled');
			locatiionChooseGoodsListData.planList  =chooseGoodsPlanList;  //套餐呢存于本地
			resetGoodsStageNum();	// 重置期数
			resetGoodsPay();		// 重置支付金额
			
			$$('#goodsSuite').off('change').on('change', function(e) {
				resetGoodsStageNum();	// 重置期数
				resetGoodsPay();		// 重置支付金额
				
				if (e.target.children[0].selected) {
					f7.alert('请选择套餐名称');
				} else {
					
					for (var i = 0; i < e.target.children.length; i++) {
						if (e.target.children[i].selected === true) {
							goodsPlanId = chooseGoodsPlanList[i].value;		// 套餐id
							goodsPlanName = chooseGoodsPlanList[i].view;		// 套餐名称
							
							getGoodsPeriodSuccess(chooseGoodsPlanList[i].periodList);
						}
					}
 				}
			})
		}
		
		// 获取分期期数成功
		function getGoodsPeriodSuccess(data) {
			
			var chooseGoodsPeriodList = data.map(function(item) {
				return {
					default: false,
					value: item.periodKey,
					view: item.period
				};
			});
			
			chooseGoodsPeriodList.unshift({
				default: false,
				value: '',
				view: '请选择期数'
			})
			locatiionChooseGoodsListData.defaultGoodsStageNumList  =chooseGoodsPeriodList; // 期数列表保存到本地
			$$('#goodsStageNum').html(chooseGoodsItemTemplate({optionsList: chooseGoodsPeriodList}));
			$$('#goodsStageNum').removeAttr('disabled');

			$$('#goodsStageNum').off('change').on('change', function(e) {
				
				resetGoodsPay();		// 重置支付金额
				
				if (e.target.children[0].selected) {
					f7.alert('请选择期数');
				} else {
					for (var i = 0; i < e.target.children.length; i++) {
						if (e.target.children[i].selected === true) {
							
							goodsPeriodKey = e.target.children[i].value;
							goodsPeriod = parseInt(e.target.children[i].innerHTML).toString();
						}
					}
					
					callAppApi({
						url: '/module/suite/suitePlanDetail',
						type: 'POST',
						params: {
								userId: loginStatus.userId,
								orderProductPrice: parseFloat( $$('#goodsPrice').val()) + '',
								periodKey: goodsPeriodKey,
								stagePlanAmt: parseFloat( $$('#instalment').val() ) + '',
								planId: goodsPlanId,
								goodsSellId: goodsSellId,
								baseBusinessType: '006001'
						},
						successCallback: getSuitePlanDetailSuccess,
						errorCallback: function(err) {}
					});
				}
			});
		}

		// 获取详细分期计划成功回调
		function getSuitePlanDetailSuccess(data) {
			$("#goods-detials").show();//显示分期明细
			// 更新套餐计算key值，从而可以进行下一步
			goodsSuiteKey = true;
			// 期初支付
			goodsSuitePayFirstPrice = data.downPayment;
			// 自付金额
			goodsSuitePayInitialPrice = data.selfPayAmount;
			// 每期租金
//			goodsSuiteStagePrice = data.stagePrice;
			// 手续费
			goodsSuitePoundage = data.handlingCharge;
			// 服务费
			goodsSuiteServiceCharges = data.serviceCharge;
			// 租金总额
			goodsSuiteTotalAmount = data.totalAmount;
			//设备杠杆
			goodsSuiteLeverPrice = data.leverPrice;
			
			// 贴息id
			orderPlanId = data.orderPlanId;
			//贴息款
			discountAmt=data.discountAmt;
			// 保证金
			guaranteeMoney = data.deposit;
			//利息总额
			totalInterestAmount = data.totalInterestAmount;
//			guaranteeMoney = Math.ceil(data.totalAmount * 0.1);
			// orderPlanId
			
						
			// 套餐金额
			planAmount = data.planAmount;
			// 套餐应收金额
			planReceivableAmount = data.planReceivableAmount;
			// 套餐充值金额
			planRechargeAmount = data.planRechargeAmount;
			goodsSuiteStageNumber=data.instalPeriod;
			
			$$('#firstPayment').val(getFormatPrice(data.downPayment) + '元');
			$$('#selfPayment').val(getFormatPrice(data.selfPayAmount) + '元    请联系工作人员现场缴纳');
//			$$('#eachPayment').val(data.stagePrice + '元');
			$$('#guaranteeMoney').val(getFormatPrice(guaranteeMoney)+'元');
			
			// 分期账单还款计划渲染
			goodPaymentDetail=data.paymentDetail;
			locatiionChooseGoodsListData.goodPaymentDetail  =goodPaymentDetail; // 分期账单保存到本地
			var goodPaymentDetailHtml='';
			if(goodPaymentDetail){
				goodPaymentDetail.map(function(item,index){
					goodPaymentDetailHtml = goodPaymentDetailHtml +
						'<div class="model-list-item">'+
						'<div class="model-list-number model-list-content">第'+item.periodNo+'期</div>' +
						'<div class="model-list-pay model-list-content">'+numberFormat(item.payAmount,2)+'元</div>' +
					'</div>' 
				});
			}
			
			// 账单分期模态框
			$$("#goods-detials").off('click').on("click",function(){
//				var goodsDetailType = '';
//				var goodsDetailBrand = '';
//				var goodsDetailModel = '';
//				var goodsDetailConfig = '';
//				var goodsDetailColor = '';
//				if(locatiionChooseGoodsListData.goodsTypeList.length > 0){
//					goodsDetailType = locatiionChooseGoodsListData.goodsTypeList[1].view;
//				}
//				if(locatiionChooseGoodsListData.chooseGoodsBrandList.length > 0){
//					goodsDetailBrand = locatiionChooseGoodsListData.chooseGoodsBrandList[1].view;
//				}
//				if(locatiionChooseGoodsListData.chooseGoodsModelList.length > 0){
//					goodsDetailModel = locatiionChooseGoodsListData.chooseGoodsModelList[1].view;
//				}
//				if(locatiionChooseGoodsListData.chooseGoodsConfigList.length > 0){
//					goodsDetailConfig = locatiionChooseGoodsListData.chooseGoodsConfigList[1].view;
//				}
//				if(locatiionChooseGoodsListData.chooseGoodsColorList.length > 0){
//					goodsDetailColor = locatiionChooseGoodsListData.chooseGoodsColorList[1].view;
//				}
				var goodsDetailProduct=$(".choose-goods-result-area .choose-goods-result-value").html();
				f7.modal({
					title: '<span class="model-billing">分期账单<span>',
					afterText: '<div class="model-block-chooseGoods">'+
									'<div class="model-head">'+
										'<div class="chooseGoodsModalItem" style="width: 100%">' +
											'<span class="key" style="width: 23%">订单详情</span><span class="value" style="width: 75%">' +  
											goodsDetailProduct+'</span>' +
										'</div>' +
										'<div class="chooseGoodsModalItem">'+
											'<span class="key">押金</span><span class="value">' + getFormatPrice(guaranteeMoney) + '元</span>'+
										'</div>' +
										'<div class="chooseGoodsModalItem">'+
											'<span class="key">自付金额</span><span class="value">'+getFormatPrice(goodsSuitePayInitialPrice)+'元</span>'+
										'</div>' +
										'<div class="chooseGoodsModalItem">'+
											'<span class="key">期数</span><span class="value">' + goodsPeriod + '期</span>'+
										'</div>' +
										'<div class="chooseGoodsModalItem">'+
												'<span class="key">租金总额</span><span class="value">'+getFormatPrice(goodsSuiteTotalAmount)+'元</span>'+
										'</div>' +	
										'<div class="chooseGoodsModalItem">'+
										'<span class="key"></span><span class="value">'+'</span>'+
										'</div>' +	
										'<div class="chooseGoodsModalItem">'+
										'<span class="key" id="good-Price-key">(包括押金)</span>'+
										'</div>' +	
										'<div class="chooseGoodsModalItem">'+
										'<span class="key">利息总额</span><span class="value">'+getFormatPrice(totalInterestAmount)+'元</span>'+
										'</div>' +	
										'<div class="chooseGoodsModalItem">'+
										'<span class="key"></span><span class="value">'+'</span>'+
										'</div>' +
									'</div>' +
									'<div class="model-list">'+
										'<div class="model-list-item">'+
											'<div class="model-list-number model-list-content">期数</div>' +
											'<div class="model-list-pay model-list-content">每期还款</div>' +
										'</div>' + goodPaymentDetailHtml +
									'</div>' +
								'</div>',
					buttons: [
						{
							text: '我知道了',
						}
					]
				});
				$('.model-block-chooseGoods').parent().parent().css({
					position: 'absolute',
					top: '50%',
					left: '5%',
					display: 'block',
					width: '90%',
					margin: '-210px 5% 0 0'
				});
				$('.model-block-chooseGoods').parent().css({
					padding:0
				});
				$(".model-billing").parent().css({
					padding:"20px",
				})
			});
		}
		

		
		
		// 提示信息
		$('#goodsExtraCost').on('click', function() {
			if (goodsSuiteServiceCharges === '' && goodsSuitePoundage === '' && goodsSuiteLeverPrice === '') {
//				f7.alert('请选择要购买的商品');
			} else {
				f7.modal({
					title: '期初支付',
					// 样式写在choooseGoods。hbs中
					afterText: '<div class="chooseGoodsModalItem"><span class="key">设备服务费</span><span class="value">' + goodsSuiteLeverPrice + '</span></div>' +
								'<div class="chooseGoodsModalItem"><span class="key">平台服务费</span><span class="value">' + goodsSuiteServiceCharges + '</span></div>' +
								'<div class="chooseGoodsModalItem"><span class="key">平台交易手续费</span><span class="value">' + goodsSuitePoundage + '</span></div>',
					buttons: [
						{
							text: '确认',
						}
					]
				});
			}

		});
		
//选择商品页面回显
		var chooseGoodsDisplayView = false;//是否回显
		var isEdit = true;//是否可编辑
		
		if( (params.fromPage==='setPassword') ){
			chooseGoodsDisplayView=true;
			isEdit = true;
		//}else if (params.fromPage==='medicalCareUploadEvidence'){
			//chooseGoodsDisplayView=true;
			//isEdit = false;
		}else{
			chooseGoodsDisplayView=false;
			isEdit = true;
		}
		function chooseGoodsValueInsert(){
			if(chooseGoodsDisplayView===true){
				//1 二维码回显
				function autoScanCallbackStore(result) {
					var objectId = doWithQRCode(result, function(objectId) {
						  storeUserId = objectId;
						  // 根据店员id查询门店商品信息
						  callAppApi({
							  url: '/app/storeUserStoreInfo',
							  type: 'POST',
							  params: {
								  storeUserId: objectId,
								  businessType: '006001'
							  },
							  successCallback: function(data){
								  $$('#ORCodeInput').val(data.storeName);
								  dispalyValue();
							  },
							  errorCallback: function() {}
						  });
					})						
				}
				autoScanCallbackStore('*V|M|*' + locatiionChooseGoodsListData.storeData.storeUserId);
				
				var dispalyValue = function(){
					//2类型回显
					var chooseGoodsTypeList = [];
					chooseGoodsTypeList.unshift({
						default: false,
						view: '请选择',
						value: ''
					},
					{
						default: true,
						view: '健康',
						value: '健康'
					});
					
					$$('#storeGoodsType').html(chooseGoodsItemTemplate({optionsList:chooseGoodsTypeList}));
					$$('#storeGoodsType').attr('disabled', false);

					chooseGoodsBrandList = locatiionChooseGoodsListData.chooseGoodsBrandList.map(function(item, index) {
						item.default=false
//						if( item.value===locatiionChooseGoodsListData.storeData.storeId){
//							item.default=true
//						};
						if(index=1){
							item.default=true;
						}
						return {
							default: item.default,
							value: item.value,
							view: item.view
						};
					});
					
					$$('#storeGoodsBrand').removeAttr('disabled');
					$$('#storeGoodsBrand').html(chooseGoodsItemTemplate({optionsList: chooseGoodsBrandList}));				
					
					//3 型号回显
					chooseGoodsModelList = locatiionChooseGoodsListData.chooseGoodsModelList.map(function(item, index) {
						item.default=false
//						if( item.value===locatiionChooseGoodsListData.storeData.storeId){
//							item.default=true
//						};
						if(index=1){
							item.default=true;
						}
						return {
							default: item.default,
							value: item.value,
							view: item.view
						};
					});
					$$('#storeGoodsModel').html(chooseGoodsItemTemplate({optionsList: chooseGoodsModelList}));
					$$('#storeGoodsModel').attr('disabled', false);
					
					//4 配置回显
					chooseGoodsConfigList = locatiionChooseGoodsListData.chooseGoodsConfigList.map(function(item, index) {
						item.default=false
						
						
//						if( item.value===chooseGoodsDisplay.goodsItemConfigure){
//							item.default=true
//						};
						
						
						if(index=1){
							item.default=true;
						}
						return {
							default: item.default,
							value: item.value,
							view: item.view
						};
					});
					$$('#storeGoodsConfig').html(chooseGoodsItemTemplate({optionsList: chooseGoodsConfigList}));
					$$('#storeGoodsConfig').attr('disabled', false);
				 
					//5 颜色回显
					chooseGoodsColorList = locatiionChooseGoodsListData.chooseGoodsColorList.map(function(item, index) {
						item.default=false
//						if( item.value===chooseGoodsDisplay.goodsItemColor){
//							item.default=true
//						};
						
						if(index=1){
							item.default=true;
						}
						return {
							default: item.default,
							value: item.value,
							view: item.view
						};
					});
					$$('#storeGoodsColor').html(chooseGoodsItemTemplate({optionsList: chooseGoodsColorList}));
					$$('#storeGoodsColor').attr('disabled', false);
				 
					//6已选商品回显
					var chooseGoodsResultData = {
							resultKey: '已选商品',
							resultValue:chooseGoodsTypeList[1].view+' '+locatiionChooseGoodsListData.baseParams.goodsSellName
						};
						
						$$('#chooseGoodsResult').html(chooseGoodsResultTemplate(chooseGoodsResultData));
						$$('#chooseGoodsResult').attr('disabled', true);
						
						//7.0我的额度回显
//						$$('#myLimit').val(params.creditAvailableAmount + ' 元');
						//7.1分期金额回显
						$$("#instalment").val(locatiionChooseGoodsListData.baseParams.orderProductPrice)
						//7.2 商品价格回显
						$$('#goodsPrice').val(locatiionChooseGoodsListData.baseParams.orderProductPrice);
						$$('#goodsPrice').attr('disabled', false);
					
						//8 分期产品回显
						defaultGoodsProductList = locatiionChooseGoodsListData.defaultGoodsProductList.map(function(item, index) {
							item.default=false
							if( item.view===locatiionChooseGoodsListData.baseParams.goodsProductName){
								item.default=true
							};
							return {
								default: item.default,
								value: item.value,
								view: item.view
							};
						});
						$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: defaultGoodsProductList}));
						$$('#goodsProduct').attr('disabled', false);
					
					//9 套餐名称回显						
					if(locatiionChooseGoodsListData.baseParams.goodsPlanName !=='' ){
						$('#goodsSuite').parent().removeClass('hide');
						var defaultgoodsSuiteList = locatiionChooseGoodsListData.planList.map(function(item, index) {
							item.default=false
							if( item.view==locatiionChooseGoodsListData.baseParams.goodsPlanName){
								item.default=true
							};
							return {
								default: item.default,
								value: item.value,
								view: item.view
							};
						});
						$$('#goodsSuite').html(chooseGoodsItemTemplate({optionsList: defaultgoodsSuiteList}));
						$$('#goodsSuite').attr('disabled', false);
						goodsPlanId = defaultgoodsSuiteList[0].value;	//套餐名称id
						goodsPlanName = defaultgoodsSuiteList[0].view;	// 套餐名称
						goodsPlanStatus = true;
					}else{
						goodsPlanStatus = false;
					}
									
					//10 期数回显
					defaultGoodsStageNumList = locatiionChooseGoodsListData.defaultGoodsStageNumList.map(function(item, index) {
						item.default=false
						if( item.view==locatiionChooseGoodsListData.baseParams.goodsSuiteStageNumber){
							item.default=true
						};
						return {
							default: item.default,
							value: item.value,
							view: item.view
						};
					});
					$$('#goodsStageNum').html(chooseGoodsItemTemplate({optionsList: defaultGoodsStageNumList}));
					$$('#goodsStageNum').attr('disabled', false);
					
					//11 初期支付金额回显
					$$('#firstPayment').val(getFormatPrice(locatiionChooseGoodsListData.baseParams.goodsSuitePayFirstPrice)+'元');
					goodsSuitePayFirstPrice=parseInt($$('#firstPayment').val()).toString();
					
					 //12 自付金额回显
					$$('#selfPayment').val(getFormatPrice(locatiionChooseGoodsListData.baseParams.goodsSuitePayInitialPrice)+'元     请联系工作人员现场缴纳');
					goodsSuitePayInitialPrice=parseInt($$('#selfPayment').val()).toString();
					//12.1 保证金回显
					$$('#guaranteeMoney').val(getFormatPrice(locatiionChooseGoodsListData.baseParams.guaranteeMoney)+'元');
					//13 期还款金额回显
//					$$('#eachPayment').val(locatiionChooseGoodsListData.baseParams.goodsSuiteStagePrice+'元');
//					goodsSuiteStagePrice =parseInt($$('#eachPayment').val()).toString(); 
					goodsSuiteKey = true;
					//14 分期明细回显
					$("#goods-detials").show();//显示分期明细
					
				  storeUserId =locatiionChooseGoodsListData.storeData.storeUserId;		// 店员id
				  storeUserName =locatiionChooseGoodsListData.storeData.storeUserName;		// 店员名称
				  storeId =locatiionChooseGoodsListData.storeData.storeId;			// 门店id
				  storeName =locatiionChooseGoodsListData.storeData.storeName;			// 门店名称
				  supplierId=locatiionChooseGoodsListData.baseParams.supplierId
				  operatorId = locatiionChooseGoodsListData.baseParams.operatorId;
				  goodsSellId = locatiionChooseGoodsListData.baseParams.goodsSellId;
				  goodsPlanId=locatiionChooseGoodsListData.baseParams.goodsPlanId;//罚息ID
				  goodsPlanName=locatiionChooseGoodsListData.baseParams.goodsPlanName;
				  goodsSellName =locatiionChooseGoodsListData.baseParams.goodsSellName;		// 售品名称
				  goodsSuiteLeverPrice =locatiionChooseGoodsListData.baseParams.goodsSuiteLeverPrice;//设备服务费
				  goodsProductId=locatiionChooseGoodsListData.baseParams.goodsProductId;
				  goodsProductName=locatiionChooseGoodsListData.baseParams.goodsProductName;
				  orderPlanId=locatiionChooseGoodsListData.baseParams.orderPlanId;
				  goodsPeriodKey=locatiionChooseGoodsListData.baseParams.goodsPeriodKey;
				  goodsPeriod=locatiionChooseGoodsListData.baseParams.goodsPeriod;
				  goodsSuitePayFirstPrice=locatiionChooseGoodsListData.baseParams.goodsSuitePayFirstPrice;
				  goodsSuitePayInitialPrice=locatiionChooseGoodsListData.baseParams.goodsSuitePayInitialPrice;
				  goodsSuiteStageNumber=locatiionChooseGoodsListData.baseParams.goodsSuiteStageNumber;
				  goodsSuiteTotalAmount=locatiionChooseGoodsListData.baseParams.goodsSuiteTotalAmount;
				  totalInterestAmount =locatiionChooseGoodsListData.baseParams.totalInterestAmount ;
				  discountAmt = locatiionChooseGoodsListData.baseParams.discountAmt;
//				  goodsSuiteStagePrice=locatiionChooseGoodsListData.baseParams.goodsSuiteStagePrice;
				  goodsSuitePoundage=locatiionChooseGoodsListData.baseParams.goodsSuitePoundage;
				  goodsSuiteServiceCharges=locatiionChooseGoodsListData.baseParams.goodsSuiteServiceCharges;
				  orderDeviceId = locatiionChooseGoodsListData.baseParams.orderDeviceId;
				  guaranteeMoney=locatiionChooseGoodsListData.baseParams.guaranteeMoney;
				  
				}
				//改变类型 重置选项
				storeGoodsTypeChange(locatiionChooseGoodsListData.baseParams.storeUserId,getBrandSuccess);
				//商品价格 重置选项
				goodsPriceChange(locatiionChooseGoodsListData.baseParams.storeId,getGoodsProductSuccess);
				// 商品品牌 重置选项
				storeGoodsBrandChange(storeUserId,getModelSuccess);
				//改变型号 重置选项
				storeGoodsModelChange(storeUserId,getInfoSuccess);
				//改变配置 重置选项
				storeGoodsConfigChange({
					orderId:params.orderId,
					getInfoSuccessData:locatiionChooseGoodsListData.chooseGoodsColorList
				},function(data) {
					locatiionChooseGoodsListData.chooseGoodsColorList=data;
				})
				//改变颜色 重置选项
				storeGoodsColorChange(storeUserId,getGoodsSellSuccess);
				
				//分期产品 重置选项
				goodsProductChange({
					chooseGoodsProductList:locatiionChooseGoodsListData.defaultGoodsProductList
				},function(data) {
					goodsProductId=data.goodsProductId;
				    goodsProductName=data.goodsProductName;
					if (data.goodsPlanStatus === true) {
						$('#goodsSuite').parent().removeClass('hide');
						getGoodsPlanSuccess(data.chooseGoodsProductListPlanList);
						
					} else if (data.goodsPlanStatus === false) {
						goodsPlanId = '';
						goodsPlanName = '';
						$('#goodsSuite').parent().addClass('hide');
						getGoodsPeriodSuccess(data.chooseGoodsProductListPlanList);
					}	
				})
				//套餐名称 重置选项
				goodsSuiteChange({
					chooseGoodsPlanList:locatiionChooseGoodsListData.planList
				},getGoodsPeriodSuccess);	
				//分期期数 重置选项
				goodsStageNumChange({
					goodsSellId:locatiionChooseGoodsListData.baseParams.goodsSellId,
					goodsPlanId:locatiionChooseGoodsListData.baseParams.goodsPlanId,
					},getSuitePlanDetailSuccess);
				var goodPaymentDetailHtml='';
				goodPaymentDetail=locatiionChooseGoodsListData.goodPaymentDetail;
				if(goodPaymentDetail){
					goodPaymentDetail.map(function(item,index){
						goodPaymentDetailHtml = goodPaymentDetailHtml +
							'<div class="model-list-item">'+
							'<div class="model-list-number model-list-content">第'+item.periodNo+'期</div>' +
							'<div class="model-list-pay model-list-content">'+numberFormat(item.payAmount,2)+'元</div>' +
						'</div>' 
					});
				}
				// 账单分期模态框
				$$("#goods-detials").off('click').on("click",function(){
//					var goodsDetailType = '';
//					var goodsDetailBrand = '';
//					var goodsDetailModel = '';
//					var goodsDetailConfig = '';
//					var goodsDetailColor = '';
//					if(locatiionChooseGoodsListData.goodsTypeList.length > 0){
//						goodsDetailType = locatiionChooseGoodsListData.goodsTypeList[1].view;
//					}
//					if(locatiionChooseGoodsListData.chooseGoodsBrandList.length > 0){
//						goodsDetailBrand = locatiionChooseGoodsListData.chooseGoodsBrandList[1].view;
//					}
//					if(locatiionChooseGoodsListData.chooseGoodsModelList.length > 0){
//						goodsDetailModel = locatiionChooseGoodsListData.chooseGoodsModelList[1].view;
//					}
//					if(locatiionChooseGoodsListData.chooseGoodsConfigList.length > 0){
//						goodsDetailConfig = locatiionChooseGoodsListData.chooseGoodsConfigList[1].view;
//					}
//					if(locatiionChooseGoodsListData.chooseGoodsColorList.length > 0){
//						goodsDetailColor = locatiionChooseGoodsListData.chooseGoodsColorList[1].view;
//					}
					var goodsDetailProduct=$(".choose-goods-result-area .choose-goods-result-value").html();
					f7.modal({
						title: '分期账单',
						afterText: '<div class="model-block-chooseGoods">'+
										'<div class="model-head">'+
											'<div class="chooseGoodsModalItem" style="width: 100%">' +
												'<span class="key" style="width: 23%">订单详情</span><span class="value" style="width: 75%">' +goodsDetailProduct+'</span>' +
											'</div>' +
											'<div class="chooseGoodsModalItem">'+
												'<span class="key">押金</span><span class="value">' + getFormatPrice(guaranteeMoney) + '元</span>'+
											'</div>' +
											'<div class="chooseGoodsModalItem">'+
												'<span class="key">自付金额</span><span class="value">'+getFormatPrice(goodsSuitePayInitialPrice)+'元</span>'+
											'</div>' +
											'<div class="chooseGoodsModalItem">'+
												'<span class="key">期数</span><span class="value">' + goodsPeriod + '期</span>'+
											'</div>' +
											'<div class="chooseGoodsModalItem">'+
													'<span class="key">租金总额</span><span class="value">'+getFormatPrice(goodsSuiteTotalAmount)+'元</span>'+
											'</div>' +		
											'<div class="chooseGoodsModalItem">'+
													'<span class="key">利息总额</span><span class="value">'+getFormatPrice(totalInterestAmount)+'元</span>'+
											'</div>' +		
											'<div class="chooseGoodsModalItem">'+
												'<span class="key"></span><span class="value">'+'</span>'+
											'</div>'+
										'</div>' +
										'<div class="model-list">'+
											'<div class="model-list-item">'+
												'<div class="model-list-number model-list-content">期数</div>' +
												'<div class="model-list-pay model-list-content">每期还款</div>' +
											'</div>' + goodPaymentDetailHtml +
										'</div>' +
									'</div>',
						buttons: [
							{
								text: '我知道了',
							}
						]
					});
					$('.model-block-chooseGoods').parent().parent().css({
						position: 'absolute',
						top: '50%',
						left: '5%',
						display: 'block',
						width: '90%',
						margin: '-210px 5% 0 0'
					});
				});

			}
	    }	
		//执行数据回显
		chooseGoodsValueInsert();

	}

	return {
		render : render
	}
});
