define([
	'jquery',
	'js/utilities'
], function(
	$$,
	utilities
) {
	function getEvidencePicId(evidenceKey) {
		var evidenceIdConfig = {
			'patientMaterials': '10',
			'relationShipMaterials': '11'
		}
		
		if (evidenceIdConfig[evidenceKey]) {
			return evidenceIdConfig[evidenceKey];
		} else {
			console.error('获取上传图片id错误。');
		}
	}
	function getEvidencePicIndex(evidenceIndex) {
		
		return Date.now().toString();
	}
	
	function getEvidencePicName(evidenceKey) {
		var evidenceNameConfig = {
			'patientMaterials': '患者证明',
			'relationShipMaterials': '关系证明',
		};
		
		if (evidenceNameConfig[evidenceKey]) {
			return evidenceNameConfig[evidenceKey];
		} else {
			console.error('获取上传图片名称错误');
		}
	}
	
	function getEvidenceType(evidenceKey) {
		var evidenceTypeConfig = {
			'evidenceFrontIdCard': {},
			'evidenceBackIdCard': {},
			'evidenceIdCard': {
				promptText: '',
			},
			'evidenceWork': {
				promptText: '',
				evidenceInstance: [
					{
						key: 'evidenceWork1',
						header: '工作收入证明材料',
						type: '1',
						prompt: [
							'以下各项任选其一上传即可：',
							'① 本人最近3个月的社保或公积金记录(需显示公司名称)',
							'② 本人工作证或工牌照片，体现信息包括但不限于公司名称、客户姓名、职位、工号、照片等；',
							'③ 本人最近3个月的银行卡工资流水截屏或照片',
							'④ 个体私营业主可上传营业执照照片'
						]
					}
				]
			},
			
			'evidenceDwelling': {
				promptText: '',
				evidenceInstance: [
					{
						key: 'evidenceDwelling1',
						type: '1',
						header: '居住证明材料',
						prompt: [
							'以下各项任选其一上传即可：',
							'① 本人持有的房产证、购房合同或购房发票照片',
							'② 近两个月信用卡、按揭贷款等银行对账单',
							'③ 本人的房租发票/房屋租赁合同'
						]
					}
				]
			},
			
			'evidenceEducation': {
				promptText: '',
				evidenceInstance: [
					{
						key: 'evidenceEducation1',
						type: '1',
						header: '学信网截屏',
						prompt: [
							'上传本人学信网截屏'
						]
					}
				]
			},
			
			'evidenceOther': {
				promptText: '',
				evidenceInstance: [
					{
						key: 'evidenceOther1',
						header: '其他证明材料',
						type: '1',
						prompt: [
							'请上传本人就业意向书（若有）'
						]
					}
				]
			}
		}
		
		if (evidenceTypeConfig[evidenceKey]) {
			return evidenceTypeConfig[evidenceKey];
		} else {
			console.error('获取上传图片配置错误');
		}
	}
	
	function EvidenceArea(tar, dataArr, options) {
		this.tarKey = tar;
		// 证件列表
		this.evidenceList = $$('#' + tar + 'List');
		// 编辑按钮
		this.editBtn = $$('#' + tar + 'EditBtn');
		// 新增按钮
		this.addBtn = $$('#' + tar + 'AddBtn');
		
		// 数据数组
		this.evidenceDataArr = dataArr;
		
		// 选项参数
		this.options = options;
		
		// 初始化
		this.init();
	}
	
	function resetUserRelation() {
		$$('#userRelation option').each(function(i, e){
			$$(e).removeAttr('selected');
		})
	}
	
	function resetUserName() {
		$$('#userName').val('');
	}
	
	function resetUserIdentityCardNumber() {
		$$('#userIdentityCardNumber').val('');
	}
	
	function resetUserPhoneNumber() {
		$$('#userPhoneNumber').val('');
	}
	
	EvidenceArea.prototype = {
		
		addIndex: 0,
		
		init: function() {
			var that = this;
			this.addBtn.off('click').on('click', function(e) {
				that.addEvent();
				
			});
			
			this.editBtn.off('click').on('click', function(e) {
				that.editEvent(e);
			});
		},
		
		clickEvent: function() {
			
			var that = this;
			var evidenceItemList = this.evidenceList.children();
			
			for (var i = 0; i < evidenceItemList.length; i++) {
				if (evidenceItemList[i].id !== this.tarKey + 'AddBtn') {
					$$(evidenceItemList[i]).off('click').on('click', function(e) {
						
						// 删除事件
						if ($$(this).hasClass('evidence-item-delete')) {
							var evidenceList = $$(this).parent();
							that.removeEvent(e);
							if(evidenceList.children('.upload-is-show').length < 20){
								$$('#' + evidenceList.children('.upload-is-show')[0].id.slice(0, -1) + 'AddBtn').show();
							}
						// 预览事件
						} else {
							utilities.clickDelay('previewPhoto', function(){
								that.previewEvent(e);
							}, 500)
						}
					});
				}
			}
		},
		
		addEvent: function() {
			
			// 为了解决退回显示的bug，先注释此功能
//			this.resetEditEvent();
			
			// 获取点击 添加按钮 的index
			this.addIndex = $$('#' + this.tarKey + 'AddBtn').index();
			
			if (this.addIndex < this.options.limitNum) {
				var uploadPhoto = this.options.uploadPhoto;

				uploadPhoto({
					type: this.tarKey,
					picId: getEvidencePicIndex()
				});
			} else {
				this.options.limitCallback();
			}
		},
		
		addSuccessEvent: function(picId, src) {
			
			this.addIndex = $$('#' + this.tarKey + 'AddBtn').index();
			// 获取点击 添加按钮 的index
			var evidenceItem = document.createElement('li');
			var evidenceItemImg = document.createElement('img');
			$$(evidenceItem).insertBefore(this.addBtn);
			evidenceItem.appendChild(evidenceItemImg);
			$(evidenceItemImg).css('display','none');
			
			evidenceItem.picId = picId;
			evidenceItem.setAttribute('data-picId', picId);
			evidenceItem.classList.add('upload-evidence-item');
			evidenceItem.classList.add('upload-is-show');
			evidenceItem.style.backgroundImage = "url('img/placeOrder/loading1.png')"
			evidenceItem.style.paddingTop = '23%';
			evidenceItem.id = this.tarKey + this.addIndex;
			
			evidenceItem.style.width = '23%';
			$(evidenceItemImg).css({
				'width': '100%',
				'height': $(evidenceItemImg).parent().innerWidth() + 'px',
			}).attr('src',src);
			
			evidenceItemImg.onload = function(){
				evidenceItem.style.backgroundImage = 'none'
				evidenceItem.style.paddingTop = 0;
				evidenceItemImg.style.display = "block";
				
				// 张晖修改于2017-03-10版本，解决上传图片过程中网速过慢，还可以继续上传的bug
				f7.hideIndicator();
			}

			// 绑定点击事件
			this.clickEvent();
			if(this.addIndex==20){
				$$('#' + this.tarKey + 'AddBtn').hide();
				f7.alert('最多只能上传20张');
			}
		},
		
		addSuccessEvent2: function(picId, src , checkResult , checkResultArray) {
			
			this.addIndex = $$('#' + this.tarKey + 'AddBtn').index();
			// 获取点击 添加按钮 的index
			var evidenceItem = document.createElement('li');
			var evidenceItemImg = document.createElement('img');
			var evidenceItemSpan = document.createElement('span');
			$$(evidenceItem).insertBefore(this.addBtn);	
			evidenceItem.appendChild(evidenceItemImg);

			if (checkResult == false && checkResultArray.length > 0) {
				evidenceItem.appendChild(evidenceItemSpan);
			}

			$(evidenceItemImg).css('display','none');
			
			evidenceItem.picId = picId;
			evidenceItem.setAttribute('data-picId', picId);
			evidenceItem.classList.add('upload-evidence-item');
			evidenceItem.classList.add('upload-is-show');
			evidenceItem.style.backgroundImage = "url('img/placeOrder/loading1.png')"
			evidenceItem.style.paddingTop = '23%';
			evidenceItem.id = this.tarKey + this.addIndex;
			
			evidenceItem.style.width = '23%';
			evidenceItem.style.height=evidenceItem.style.width;
			$(evidenceItemImg).css({
				'width': '100%',
				'height': $(evidenceItemImg).parent().innerWidth() + 'px',
			}).attr('src',src);
			/*$(evidenceItemSpan).css({
				'width': '100%',
				'display':'block',
				'height': '18px',
				'background-color':'#F4610B',
				'border-radius':'5px',
				'color':'#fff',
				'line-height':'18px',
				'text-align':'center',
				'font-size':'12px',
				'position':'absolute'
			});*/
			//$(evidenceItemSpan).html('瑕疵点');
			
			if(checkResult){
//				$(evidenceItem).addClass("success");
				evidenceItemSpan.style.display="none";
			}else{
//				$(evidenceItem).addClass("failure");
//				$(evidenceItem).addClass("evidence-item-delete");
			};
			
			evidenceItemImg.onload = function(){
				evidenceItem.style.backgroundImage = 'none'
				evidenceItem.style.paddingTop = 0;
				evidenceItemImg.style.display = "block";
				
				// 张晖修改于2017-03-10版本，解决上传图片过程中网速过慢，还可以继续上传的bug
				f7.hideIndicator();
			}

			// 绑定点击事件
			this.clickEvent();
		},
		
		removeEvent: function(e) {

			var evidenceType;
			if ($$(e.target)[0].tagName === 'LI') {
				evidenceType = $$(e.target).attr('id').slice(-2, -1);
			} else if ($$(e.target)[0].tagName === 'IMG') {
				evidenceType = $$(e.target).parent().attr('id').slice(-2, -1);			
			}
			
			// 在数据中删除该项
			var curIndex = 1;
			for (var i = 0; i < this.evidenceDataArr.length; i++) {
				
				if (this.evidenceDataArr[i].picType === evidenceType) {
					
					var targetIndex = 0;
					if ($$(e.target)[0].tagName === 'LI') {
						targetIndex = $$(e.target).index();
					} else if ($$(e.target)[0].tagName === 'IMG') {
						targetIndex = $$(e.target).parent().index();
					}
					
//					if (curIndex === $$(e.target).index()) {
					if (curIndex === targetIndex) {
						this.evidenceDataArr.splice(i, 1);
					}
					curIndex++;
				}
			}
			
			// 调用删除回调函数，参数为e
			this.options.removeCallback(e);

			// 在表现上删除该项
			if ($$(e.target)[0].tagName === 'LI') {
				$$(e.target).remove();
			} else if ($$(e.target)[0].tagName === 'IMG') {
				$$(e.target).parent().remove();
			}

			// 更新点击 添加按钮 的index
			this.addIndex = $$('#' + this.tarKey + 'AddBtn').index();

			if (this.evidenceList.children().length <= 1) {
				this.resetEditEvent();
			}
			
		},
		
		editEvent: function(e) {
			
			var evidenceItemList = this.evidenceList.children();
			
			if (evidenceItemList.length > 1) {
				if ($$(e.target).text() === '编辑') {
					$$(e.target).text('完成');
					
					for (var i = 0; i < evidenceItemList.length; i++) {
						if (evidenceItemList[i].id !== this.tarKey + 'AddBtn') {
							evidenceItemList[i].classList.add('evidence-item-delete');
						}
					}
				} else if ($$(e.target).text() === '完成') {
					
					this.resetEditEvent();
				}
			} else if (evidenceItemList.length <= 1) {
				this.resetEditEvent();
			}
		},
		
		resetEditEvent: function() {
			
			var evidenceItemList = this.evidenceList.children();
			
			this.editBtn.text('编辑');
			
			for (var j = 0; j < evidenceItemList.length; j++) {
				if (evidenceItemList[j].id !== this.tarKey + 'AddBtn') {
					evidenceItemList[j].classList.remove('evidence-item-delete');
				}
			}
		},
		
		previewEvent: function(e) {
			this.options.previewCallback(e);
		}
	}
	
	return {
		EvidenceArea: EvidenceArea,
		getEvidencePicId: getEvidencePicId,
		getEvidencePicIndex: getEvidencePicIndex,
		getEvidencePicName: getEvidencePicName,
		getEvidenceType: getEvidenceType,
		resetUserRelation: resetUserRelation,
		resetUserName: resetUserName,
		resetUserIdentityCardNumber: resetUserIdentityCardNumber,
		resetUserPhoneNumber: resetUserPhoneNumber
	}
	
});
