define([
	'js/utilities',
	'js/uploadImg',
	'js/config',
	'js/validator',
	'jquery',
	'medicalCare/medicalCareContainers/medicalCareUploadEvidence/medicalCareUploadEvidenceHelper',
	'hbs!medicalCare/medicalCareContainers/medicalCareUploadEvidence/medicalCareUploadEvidence',
	'hbs!medicalCare/medicalCareComponents/medicalCareUploadEvidence/inputArea',
	'hbs!medicalCare/medicalCareComponents/medicalCareUploadEvidence/photoUpload',
	'hbs!components/common/button/button',
	'hbs!components/common/protocolArea/protocolFrame'
], function(
	utilities,
	uploadImg,
	config,
	validator,
	$$,
	uploadEvidenceHelper,
	uploadEvidenceTemplate,
	inputAreaTemplate,
	photoUploadTemplate,
	buttonTemplate,
	protocolFrame
) {
	var callAppApi = utilities.callAppApi;
	var callWebHtml = utilities.callWebHtml;
	var takePicture = uploadImg.takePicture;
	var choosePhoto = uploadImg.choosePhoto;
	var drawImageCanvas = uploadImg.drawImageCanvas;
	var SKIP = config.SKIP;
	var pickerLocation;
	var getEvidencePicId = uploadEvidenceHelper.getEvidencePicId;
	var getEvidencePicIndex = uploadEvidenceHelper.getEvidencePicIndex;
	var getEvidencePicName = uploadEvidenceHelper.getEvidencePicName;
	var getEvidenceType = uploadEvidenceHelper.getEvidenceType;
	var EvidenceArea = uploadEvidenceHelper.EvidenceArea;

	function render(params) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
//		var fromStatus = params.fromStatus;
		var fromPage = params.fromPage;
		var orderId = params.orderId;
//		var status = params.status;

		var callBackData = params.uploadFileResult;
//		var evidenceKey = params.evidenceKey;
		
		// 上传资料实例数组
		var evidenceInstanceArr = [];
		var evidenceBrowserArr = []; // 创建一个数组用来存放不同实例的f7的图片浏览器
		var evidencePhotoArr = []; // 创建一个二维数组用来存储不同实例的图片，以初始化不同实例的f7图片浏览器
		
		// 声明证明材料数据
		var patientMaterialsArr = [];		// 患者证明
		var relationShipMaterialsArr = [];		// 关系证明材料	
		
		// 如果收入证明材料不为空，则回显赋值
		if(callBackData && callBackData.patientMaterials != "") {
			patientMaterialsArr = JSON.parse(callBackData.patientMaterials);		// 患者证明
		}
		if(callBackData && callBackData.relationShipMaterials != "") {
			relationShipMaterialsArr = JSON.parse(callBackData.relationShipMaterials);		// 关系证明材料
		}
		
		// 渲染navbar
		loadComponent('navbar', 'common', {
			container: '#uploadEvidenceNavbar',
			title: '完善资料',
			backId: 'uploadEvidenceBackBtn1',
			isBackIcon: true,
			isBack: false
		});
		
		// 渲染头部状态栏
		if(params.fromPage == 'index' || params.fromPage == 'medicalCareChooseGoods' || params.fromPage == 'orderDetail'){
			loadMedicalCareComponent('placeOrderTabbar', 'medicalCarePlaceOrder', {
				container: '#chooseGoodsTabbar1',
				tabIndex: 2
			});
		}
		
		f7.hideToolbar('#toolbar');
		/*if(params.uploadFileResult){
			backText="是否确认退出？"
		}else{
			backText="是否确认退出下单操作？"
		}*/
		// 点击返回按钮(根据状态值返回到不同页面)
		var timeEvidenceBack = setTimeout(function() {					
			$$('#uploadEvidenceBackBtn1').on('click', function() {
				if(fromPage=="medicalCareChooseGoods" || fromPage=="index" || fromPage == 'orderDetail') {
					f7.modal({
						title: '',
			  			text: '是否确认退出？',
			  			buttons: [
			  			    {
								text: '取消',
								onClick: function(){
									//skapp数据收集：点击“返回”，取消返回
									var page = $('.view-main').attr('data-page');
									if(page == 'chooseGoods'){
										TalkingData.onEventWithLabel('选择商品', '取消返回');
									}else if(page == 'checkFace'){
										TalkingData.onEventWithLabel('人脸识别', '取消返回');
									}else if(page == 'checkInfo'){
										TalkingData.onEventWithLabel('完善资料', '取消返回');
									}else if(page == 'checkUserIdCard'){
										TalkingData.onEventWithLabel('其他认证方式（上传资料）页', '取消返回');
									}
								}
							},
							{
								text: '确认',
								onClick: function() {
							  		//skapp数据收集：点击“返回”，退出下单
									var page = $('.view-main').attr('data-page');
									if(page == 'chooseGoods'){
										TalkingData.onEventWithLabel('选择商品', '退出下单');
									}else if(page == 'checkFace'){
										TalkingData.onEventWithLabel('人脸识别', '退出下单');
									}else if(page == 'checkInfo'){
										TalkingData.onEventWithLabel('完善资料', '退出下单');
									}else if(page == 'checkUserIdCard'){
										TalkingData.onEventWithLabel('其他认证方式（上传资料）页', '退出下单');
									}
									
									mainView.router.back({
							  			url: 'index.html',
							  			force: true,
							  			query: {
											fromPage:'medicalCareUploadEvidence',
										},
							  		});
							  		
							  		f7.showToolbar('#toolbar');
								}
							}
			  			 ]
					})
//					mainView.router.back({
//			  			url: 'index.html',
//						force: true,
//			  			query: {
//							fromPage:'medicalCareUploadEvidence',
//						},
//					});
					f7.showToolbar('#toolbar');
					/*loadMedicalCarePage('medicalCareChooseGoods', {
						query: {
							fromPage:'medicalCareUploadEvidence',
							orderId: params.orderId,
						}
					});*/
				}else/* if(fromPage=="advanceCreditFamily")*/{
					/*loadAdvanceCreditPage('chooseFamily', {
						query: {
							fromPage:'medicalCareUploadEvidence',
						}
					})*/
					mainView.router.back({
			  			url: 'index.html',
			  			force: true,
			  			query: {
							fromPage:'medicalCareUploadEvidence',
						},
					});
				}
			})					
		}, 500);
		
		var inputDataUser = {
			  	formId: 'healthMaterialsFormUser',
				inputAreaData: [
					{
						title: '',
						visibleStatus: true,
						inputList: [
							{
								id: 'user',
								type: 'select',
								label: '患者是否本人',
								defaultValue: '本人',
								selectList: [
									{
										value: '本人',
										view: '本人'
									},
									{
										value: '非本人',
										view: '非本人'
									}
								]
							}
						]
					}
				]
		}
		
		var inputDataRelation = {
				formId: 'healthMaterialsFormRelation',
				inputAreaData: [
					{
						title: '',
						visibleStatus: true,
						inputList: [
							{
								id: 'userName',
								type: 'text',
								label: '姓名',
								placeholder: '请输入患者姓名',
								value: '',
								disabledStatus: false
							},
							{
								id: 'userIdentityCardNumber',
								type: 'text',
								label: '身份证号',
								placeholder: '请输入患者身份证号码',
								value: '',
								disabledStatus: false
							},
							{
								id: 'userRelation',
								type: 'select',
								label: '关系',
								defaultValue: '',
								selectList: [
									{
										value: ' ',
										view: '请选择患者与本人的关系'
									},
									{
										value: '配偶',
										view: '配偶'
									},
									{
										value: '父母',
										view: '父母'
									},
									{
										value: '子女',
										view: '子女'
									}
								]
							},
							{
								id: 'userPhoneNumber',
								type: 'text',
								label: '手机号码',
								placeholder: '请输入患者手机号（可选）',
								value: ''
							}
						]
					}
				]
		}
		
		var inputDataAddress = {
				formId: 'healthMaterialsFormAddress',
				inputAreaData: [
					{
						title: '',
						visibleStatus:true,
						inputList: [
							{
								type: 'location',
								id: 'userLocation',
								label: '收货地址',
								placeholder: '请选择城市',
							},
							{
								type: 'textarea',
								id: 'userDwellingAddress',
								placeholder: '请输入详细收货地址',
								value: ''
							}
						]
					}
				]
		}
		
		var evidenceInstanceDataArr = [{
				key: 'patientMaterials1',
				name: 'patientMaterialsArr',
				data: patientMaterialsArr,
				type: '1',
				checkBoxChoose: false,
				header: '患者证明'
			},
			{
				key: 'relationShipMaterials2',
				name: 'relationShipMaterialsArr',
				data: relationShipMaterialsArr,
				type: '1',
				checkBoxChoose: false,
				header: '关系证明'
			}
		];
		
		// 渲染uploadEvidence内容
		$$('#uploadEvidenceContent').html(uploadEvidenceTemplate({}));
		$$('#userChoose').html(inputAreaTemplate(inputDataUser));
		$$('#relationChoose').html(inputAreaTemplate(inputDataRelation));
		$$('#addressChoose').html(inputAreaTemplate(inputDataAddress));
		$$('#photoUpload').html(photoUploadTemplate({
			evidenceInstance: evidenceInstanceDataArr
		}))
		//回显使用人信息
		if(callBackData && callBackData.authorizeUserType != "") {
			$$('#user').val(callBackData.authorizeUserType);
		}
		
		if($$('#user').val() == '本人'){
			$$('#photoUpload').html(photoUploadTemplate({
				evidenceInstance: evidenceInstanceDataArr
			}))
			$$('#relationChoose').hide();
			$$('#relationShipMaterials2Show').hide();
		}else{
			$$('#relationChoose').show();
			$$('#relationShipMaterials2Show').show();
		}
		
		$$('#user').change(function(){
			if($$('#user').val() == '本人'){
				$$('#relationChoose').hide();
				$$('#relationShipMaterials2Show').hide();
			}else{
				$$('#relationChoose').show();
				$$('#relationShipMaterials2Show').show();
				evidenceInstanceArr[0].init();
			}
			$$('#patientMaterials1List .upload-is-show').remove();
			$$('#relationShipMaterials2List .upload-is-show').remove();
			uploadEvidenceHelper.resetUserRelation();
			//$$('#userRelation option')[0].value = '';
			uploadEvidenceHelper.resetUserName();
			uploadEvidenceHelper.resetUserIdentityCardNumber();
			uploadEvidenceHelper.resetUserPhoneNumber();
			relationShipMaterialsArr = [];
			patientMaterialsArr = [];
			/*pickerLocation.value = '';
			$('#userDwellingAddress').val('');*/
		})
		
		
		evidenceInstanceArr = evidenceInstanceDataArr.map(function(item, index) {
			return new EvidenceArea(item.key, evidenceInstanceDataArr[index].data, {
				limitNum: 51,
				// 上传图片方法
				uploadPhoto: uploadPhoto,
				// 超过上传限制次数方法
				limitCallback: function(e) {
					f7.alert('最多只能上传50张');
				},
				// 预览方法
				previewCallback: function(e) {
						var evidenceIndex=''
						if ($$(e.target)[0].tagName === 'LI') {
							evidenceIndex = $$(e.target).index()-1;
						} else if ($$(e.target)[0].tagName === 'IMG') {
							evidenceIndex = $$(e.target).parent().index()-1;
						}
						evidenceBrowserArr[item.key.slice(-1) - 1].open(evidenceIndex)
				},
				removeCallback: function(e) {

					// 获取实例的索引为   item.key.slice(-1) - 1	/  index
					evidencePhotoArr[item.key.slice(-1) - 1].splice($$(e.target).index()-1, 1);

					evidenceBrowserArr[item.key.slice(-1) - 1] = f7.photoBrowser({
						zoom: 400,
						photos: evidencePhotoArr[item.key.slice(-1) - 1]
					});
				}
			});
		});

		// 存储初始化f7图片浏览器实例的图片数组的数组
		evidencePhotoArr = evidenceInstanceDataArr.map(function(item) {
			return [];
		});

		// 存储f7图片浏览器的实例
		evidenceBrowserArr = evidenceInstanceDataArr.map(function(item, index) {
			return f7.photoBrowser({
				zoom: 400,
				photos: evidencePhotoArr[index]
			});
		});
		
		if(callBackData && callBackData.authorizeUserType != "") {
			$$('#user').val(callBackData.authorizeUserType);
		}
		if(callBackData && callBackData.authorizeUserName != "") {
			$$('#userName').val(callBackData.authorizeUserName);
		}
		if(callBackData && callBackData.authorizeUserIdCard != "") {
			$$('#userIdentityCardNumber').val(callBackData.authorizeUserIdCard);
		}
		if(callBackData && callBackData.authorizeUserRelation != "") {
			$$('#userRelation').val(callBackData.authorizeUserRelation);
			/*$$('#userRelation option').each(function(i, e){
				if(e.value == callBackData.authorizeUserRelation){
					$$(this).attr('selected', true)
				}else{
					$$(this).removeAttr('selected')
				}
			});*/
		}
		if(callBackData && callBackData.authorizeUserPhone != "") {
			
			$$('#userPhoneNumber').val(callBackData.authorizeUserPhone);
		}
		if(callBackData && callBackData.deliveryDetailAddress != "") {
			$$('#userDwellingAddress').val(callBackData.deliveryDetailAddress);
		}
		
		//患者证明数据回显
		if(patientMaterialsArr&&patientMaterialsArr!=[]){
			patientMaterialsArr.forEach(function(v){
			if(v.mIsCheck==true){
				evidenceInstanceArr[0].addSuccessEvent2(v.picId, v.cloudUrl, v.checkResult , v.checkResultArray);
			}else{
				evidenceInstanceArr[0].addSuccessEvent(v.picId, v.cloudUrl);
			};
				evidencePhotoArr[0].push(v.cloudUrl);
				evidenceBrowserArr[0] = f7.photoBrowser({
					zoom: 400,
					photos: evidencePhotoArr[0]
				});

			})			
		}
		
		//关系证明数据回显
		if(relationShipMaterialsArr&&relationShipMaterialsArr.length!=0){
			relationShipMaterialsArr.forEach(function(v){
			if(v.mIsCheck==true){
				evidenceInstanceArr[1].addSuccessEvent2(v.picId, v.cloudUrl, v.checkResult , v.checkResultArray);
				/*$$("#relationShipMaterials2AddBtn").hide();
				$$("#relationShipMaterials2AddBtn").hide();*/
			}else{
				evidenceInstanceArr[1].addSuccessEvent(v.picId, v.cloudUrl);
			};
				evidencePhotoArr[1].push(v.cloudUrl);
				evidenceBrowserArr[1] = f7.photoBrowser({
					zoom: 400,
					photos: evidencePhotoArr[1]
				});
			})	
		}
		
		var alreadyCheck = false;
		// 绑定事件
		$$("#houseBtn").on("click", function() {
			//
			if(!alreadyCheck) {
					$$("#uploadEvidenceContent .upload-evidence-header").eq(4).slideUp();
				$$("#evidenceDwelling4List").slideUp();
				$$(this).attr("src","img/upload_on.png");
				alreadyCheck = true;
			} else {
					$$("#uploadEvidenceContent .upload-evidence-header").eq(4).slideDown();
				$$("#evidenceDwelling4List").slideDown();
				$$(this).attr("src","img/upload_off.png");
				alreadyCheck = false;
			}
		})

		// 渲染底部按钮
		$$('#uploadEvidenceBtnBox1').html(buttonTemplate({
			id: 'uploadEvidenceConfirmBtn1',
			value: '提交',
			disabled: false,
		}));
		

		// 渲染城市选择框
		  
		  var defaultProValueList = [];
		  var defaultProViewList = [];
		  
		  for (var o in PrivinceD) {
			  defaultProValueList.push(o);
			  defaultProViewList.push(PrivinceD[o].name);
		  }
		  
		  var defaultCityValueList = [];
		  var defaultCityViewList = [];
		  
		  for (var p in Areadata['110000']['city']) {
			  defaultCityValueList.push(p);
			  defaultCityViewList.push(Areadata['110000']['city'][p].name);
		  }
		  
		  var defaultAreaValueList = [];
		  var defaultAreaViewList = [];
		  
		  for (var q in Areadata['110000']['city'][defaultCityValueList[0]]['area']) {
			  defaultAreaValueList.push(q);
			  defaultAreaViewList.push(Areadata['110000']['city'][defaultCityValueList[0]]['area'][q]);
		  }
	
		var pickerLocation = f7.picker({
		    input: '#userLocation',
		    rotateEffect: true,
		    toolbarCloseText: '完成',
		    formatValue: function (picker, values, displayValues) {
				  if(values.length === 3 && displayValues.length === 0 && values[2]===' '){
					  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + '  ';
				  }else if (values.length === 3 && displayValues.length === 0) {
					  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['area'][values[2]];
				  }else {
					  return displayValues[0] + ' ' + displayValues[1] + ' ' + displayValues[2];
				  }
		    },
		    cols: [
		        {
		            textAlign: 'left',
		            values: defaultProValueList,
		            displayValues: defaultProViewList,
		            onChange: function (picker, value, displayValue) {
		            	
		                if(picker.cols[1].replaceValues){
		                	var cityValueArr = [];
		                	var cityViewArr = [];
		                	for (var i in Areadata[value]) {
		                		if (i === 'city') {
		                			for (var j in Areadata[value][i]) {
		                				cityValueArr.push(j);
		                				cityViewArr.push(Areadata[value][i][j].name)
		                			}
		                		}
		                	}
		                	
		            		var areaValueArr = [];
		            		var areaViewArr = [];
		            		if(Areadata[value]['city'][cityValueArr[0]]['area']===null){
		  						  areaValueArr.push(' ');
								  areaViewArr.push(' ');
		            		}else{
		            			for (var k in Areadata[value]['city'][cityValueArr[0]]['area']) {	
			            			areaValueArr.push(k);
			            			areaViewArr.push(Areadata[value]['city'][cityValueArr[0]]['area'][k])
			            		}
		            		}
	    		
		                	picker.cols[1].replaceValues(cityValueArr, cityViewArr);
		                	picker.cols[2].replaceValues(areaValueArr, areaViewArr);
		                }
		            }
		        },
		        {
		            values: defaultCityValueList,
		            displayValues: defaultCityViewList,
		            width: 160,
		            onChange: function(picker, value, displayValue) {
		            	if (picker.cols[2].replaceValues) {
		            		var areaValueArr = [];
		            		var areaViewArr = [];
		            		
		            		var cityDataArr = Areadata[picker.cols[0].value]['city'][value];
		            		  for (var x in cityDataArr) {
		            			  if (x === 'area') {
		            				  if(cityDataArr[x]===null){
	            						  areaValueArr.push(' ');
	            						  areaViewArr.push(' ');
	            					  }else{
	            						  for (var y in cityDataArr[x]) {
			            						  areaValueArr.push(y);
				            					  areaViewArr.push(cityDataArr[x][y]);
		            					  }
		            				  }
		            			  }
		            		  }
		            		picker.cols[2].replaceValues(areaValueArr, areaViewArr);
		            	}
		            }
		        },
		        {
		        	textAlign: 'center',
		        	values:	defaultAreaValueList,
					displayValues: defaultAreaViewList,
		        	width: 160
		        }
		    ]
		});
		//配送地址回显
		if (callBackData && callBackData.deliveryAddressProvinceCode !== '' && callBackData.deliveryAddressCityCode !== '' && callBackData.deliveryAddressAreaCode !== '') {
			pickerLocation.setValue([callBackData.deliveryAddressProvinceCode, callBackData.deliveryAddressCityCode, callBackData.deliveryAddressAreaCode]);
		}
		
		// 完成事件绑定
		$$('#uploadEvidenceConfirmBtn1').on('click', function() {
			if($$('#user').val() == '非本人'){
				if(validator.isNull($$('#userName').val())){
					f7.alert('请输入姓名！');
					return false;
				}
				if(validator.isNull($$('#userIdentityCardNumber').val())){
					f7.alert('请输入身份证号码！');
					return false;
				}
				if (!validator.checkPersonId($$('#userIdentityCardNumber').val())) {
					f7.alertMessage('请填写正确的身份证号码');
					return false;
				 }
				if(validator.isNull($$('#userRelation').val())){
					f7.alert('请选择使用人关系！');
					return false;
				}
				if (!validator.isNull($$('#userPhoneNumber').val()) && !validator.checkTel($('#userPhoneNumber').val())) { 
					f7.alert('请填写正确的手机号'); 
					return false; 
				}
			}
			
//			if (validator.isNull($('#userLocation').val())) {
//				f7.alert('请选择城市'); 
//				return false; 
//			}
//			if (validator.isNull($('#userDwellingAddress').val()) || $('#userDwellingAddress').val().length < 5) { 
//				f7.alert('请填写详细地址'); 
//				return false; 
//			}
			
			if(patientMaterialsArr == "") {
				f7.alert('请上传患者证明！');
				return false;
			}
	
			if(relationShipMaterialsArr == "" && $$('#user').val() == '非本人') {
				f7.alert('请上传关系证明！');
				return false;
			}
	
//			for(var i=0;i<$$(".upload-evidence-item").length;i++){
//				if($$(".upload-evidence-item").eq(i).hasClass("evidence-item-delete")){
//					 f7.alert('请先重新上传审核失败图片！');
//					 return  false;
//				 }
//			}
			
			f7.modal({
	  			title: '',
	  			text:  '<div class="model-title">请确保信息准确填写，一经提交，不可修改</div>',
	  			buttons: [
	  				{
	  					text: '<span class="model-back">修改</span>',
	  					onClick: function(){
	  						f7.closeModal();  						
	  					}
	  				},
	  				{
	  					text: '确认',
	  					onClick: function(){
	  						if(params.difference == 'me'){
	  							if(params.orderDetailId){
	  								updateMaterials();
	  							}else{
	  								createMaterials();
	  							}
	  						}else if(params.difference == 'advanceCreditUploadEvidence'){
	  							creditCommit();
	  						}else{
	  							updateEvidence();
	  						}
	  					}
	  				}
	  			]
	  		});
			
			
			function updateEvidence() {
				callAppApi({
					url: '/app/order/update/health',
					type: 'POST',
					params: {
						orderHealthDetailId: params.orderDetailId,
						userId: loginStatus.userId,
						orderId: orderId,
						baseBusinessType: '006001',
						
						patientMaterials: JSON.stringify(patientMaterialsArr),  // 患者证明,
						patientMaterialsCheckResult: '1', 	// 患者证明材料审核结果 0false 1true
						relationShipMaterials: JSON.stringify(relationShipMaterialsArr),  //关系证明材料
						relationShipMaterialsCheckResult: '1', 	//关系证明材料审核结果
						
//						deliveryAddressProvinceName: $$('#userLocation').val().split(' ')[0], // 收货地址 省
//						deliveryAddressCityName: $$('#userLocation').val().split(' ')[1], // 收货地址市
//						deliveryAddressAreaName: $$('#userLocation').val().split(' ')[2], // 收货地址区
//						deliveryAddressProvinceCode: pickerLocation.value[0], // 收货地址省
//						deliveryAddressCityCode: pickerLocation.value[1], // 收货地址市
//						deliveryAddressAreaCode: pickerLocation.value[2], // 收货地址区
//						deliveryDetailAddress: $$('#userDwellingAddress').val(), // 详细地址
						
						deliveryAddressProvinceName: "", // 收货地址 省
						deliveryAddressCityName: "", // 收货地址市
						deliveryAddressAreaName: "", // 收货地址区
						deliveryAddressProvinceCode: "", // 收货地址省
						deliveryAddressCityCode: "", // 收货地址市
						deliveryAddressAreaCode: "", // 收货地址区
						deliveryDetailAddress: "", // 详细地址
						
						authorizeUserType: $$('#user').val(), // 使用人类型
						authorizeUserName: $$('#userName').val(), // 使用人姓名
						authorizeUserIdCard: $$('#userIdentityCardNumber').val(), //使用人身份证
						authorizeUserRelation: $$('#userRelation').val(), //使用人关系
						authorizeUserPhone: $$('#userPhoneNumber').val(), //使用人手机号码
					},
					successCallback: function(updateRes) {
						mainView.router.load({
							url : 'orderDetail.html',
							query : {
								fromPage: 'medicalCareUploadEvidence',
								orderId: orderId,
								baseBusinessType: '006001',
							}
						});
					},
					errorCallback: function(err) {}
				});
			}
			
			function updateMaterials(){
				callAppApi({
					url: '/module/material/update',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						orderDetailId: params.orderDetailId,
						baseBusinessType: params.baseBusinessType,
						orderDetailInfo: {
							patientMaterials: JSON.stringify(patientMaterialsArr),  // 患者证明,
							patientMaterialsCheckResult: '1', 	// 患者证明材料审核结果 0false 1true
							relationShipMaterials: JSON.stringify(relationShipMaterialsArr),  //关系证明材料
							relationShipMaterialsCheckResult: '1', 	//关系证明材料审核结果
							
//							deliveryAddressProvinceName: $$('#userLocation').val().split(' ')[0], // 收货地址 省
//							deliveryAddressCityName: $$('#userLocation').val().split(' ')[1], // 收货地址市
//							deliveryAddressAreaName: $$('#userLocation').val().split(' ')[2], // 收货地址区
//							deliveryAddressProvinceCode: pickerLocation.value[0], // 收货地址省
//							deliveryAddressCityCode: pickerLocation.value[1], // 收货地址市
//							deliveryAddressAreaCode: pickerLocation.value[2], // 收货地址区
//							deliveryDetailAddress: $$('#userDwellingAddress').val(), // 详细地址
							
							deliveryAddressProvinceName: '', // 收货地址 省
							deliveryAddressCityName: '', // 收货地址市
							deliveryAddressAreaName: '', // 收货地址区
							deliveryAddressProvinceCode: '', // 收货地址省
							deliveryAddressCityCode: '', // 收货地址市
							deliveryAddressAreaCode: '', // 收货地址区
							deliveryDetailAddress: '', // 详细地址
							
							authorizeUserType: $$('#user').val(), // 使用人类型
							authorizeUserName: $$('#userName').val(), // 使用人姓名
							authorizeUserIdCard: $$('#userIdentityCardNumber').val(), //使用人身份证
							authorizeUserRelation: $$('#userRelation').val(), //使用人关系
							authorizeUserPhone: $$('#userPhoneNumber').val(), //使用人手机号码
						}
					},
					successCallback: function(response) {
						mainView.loadPage('me.html');
					},
					errorCallback: function(err) {}
				})
			}
				
			function createMaterials(){
				callAppApi({
					url: '/module/material/create',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						baseBusinessType: params.baseBusinessType,
						orderDetailInfo: {
							patientMaterials: JSON.stringify(patientMaterialsArr),  // 患者证明,
							patientMaterialsCheckResult: '1', 	// 患者证明材料审核结果 0false 1true
							relationShipMaterials: JSON.stringify(relationShipMaterialsArr),  //关系证明材料
							relationShipMaterialsCheckResult: '1', 	//关系证明材料审核结果
							
//							deliveryAddressProvinceName: $$('#userLocation').val().split(' ')[0], // 收货地址 省
//							deliveryAddressCityName: $$('#userLocation').val().split(' ')[1], // 收货地址市
//							deliveryAddressAreaName: $$('#userLocation').val().split(' ')[2], // 收货地址区
//							deliveryAddressProvinceCode: pickerLocation.value[0], // 收货地址省
//							deliveryAddressCityCode: pickerLocation.value[1], // 收货地址市
//							deliveryAddressAreaCode: pickerLocation.value[2], // 收货地址区
//							deliveryDetailAddress: $$('#userDwellingAddress').val(), // 详细地址
							
							deliveryAddressProvinceName: '', // 收货地址 省
							deliveryAddressCityName: '', // 收货地址市
							deliveryAddressAreaName: '', // 收货地址区
							deliveryAddressProvinceCode: '', // 收货地址省
							deliveryAddressCityCode: '', // 收货地址市
							deliveryAddressAreaCode: '', // 收货地址区
							deliveryDetailAddress: '', // 详细地址
							
							authorizeUserType: $$('#user').val(), // 使用人类型
							authorizeUserName: $$('#userName').val(), // 使用人姓名
							authorizeUserIdCard: $$('#userIdentityCardNumber').val(), //使用人身份证
							authorizeUserRelation: $$('#userRelation').val(), //使用人关系
							authorizeUserPhone: $$('#userPhoneNumber').val(), //使用人手机号码
						}
					},
					successCallback: function(response) {
						mainView.loadPage('me.html');
					},
					errorCallback: function(err) {}
				})
			}
		})
		
		var deviceId = '';
		if (!SKIP.cordova_uuid) {
			deviceId = device.uuid;
		}
		function creditCommit() {
			callAppApi({
				url: '/app/credit/audit/caseInfoCommit',
				type: 'POST',
				params: {
					userId: loginStatus.userId,
					baseBusinessType: params.baseBusinessType,
					deviceId: deviceId,
					orderDetailInfo: {
						patientMaterials: JSON.stringify(patientMaterialsArr),  // 患者证明,
						patientMaterialsCheckResult: '1', 	// 患者证明材料审核结果 0false 1true
						relationShipMaterials: JSON.stringify(relationShipMaterialsArr),  //关系证明材料
						relationShipMaterialsCheckResult: '1', 	//关系证明材料审核结果
						
//						deliveryAddressProvinceName: $$('#userLocation').val().split(' ')[0], // 收货地址 省
//						deliveryAddressCityName: $$('#userLocation').val().split(' ')[1], // 收货地址市
//						deliveryAddressAreaName: $$('#userLocation').val().split(' ')[2], // 收货地址区
//						deliveryAddressProvinceCode: pickerLocation.value[0], // 收货地址省
//						deliveryAddressCityCode: pickerLocation.value[1], // 收货地址市
//						deliveryAddressAreaCode: pickerLocation.value[2], // 收货地址区
//						deliveryDetailAddress: $$('#userDwellingAddress').val(), // 详细地址
						
						deliveryAddressProvinceName: '', // 收货地址 省
						deliveryAddressCityName: '', // 收货地址市
						deliveryAddressAreaName: '', // 收货地址区
						deliveryAddressProvinceCode: '', // 收货地址省
						deliveryAddressCityCode: '', // 收货地址市
						deliveryAddressAreaCode: '', // 收货地址区
						deliveryDetailAddress: '', // 详细地址
						
						authorizeUserType: $$('#user').val(), // 使用人类型
						authorizeUserName: $$('#userName').val(), // 使用人姓名
						authorizeUserIdCard: $$('#userIdentityCardNumber').val(), //使用人身份证
						authorizeUserRelation: $$('#userRelation').val(), //使用人关系
						authorizeUserPhone: $$('#userPhoneNumber').val(), //使用人手机号码
					}
				},
				successCallback: function(data) {

						var isBindBankCard=data.isBindBankCard;
						var orderId=data.orderId;
						if(isBindBankCard=='1'||data.auditStatus=="10"||data.auditStatus=="32"){
							 loadAdvanceCreditPage('creditManage', {
	                             query: {
	                            	 	auditStatus:data.auditStatus,
	                            	 	fromPage:'medicalCareUploadEvidence',
		                             }
			                 });
						}else{
							mainView.loadPage({
	                             url: 'bindBankcard.html',
	                             query: {
	                                      fromPage:'medicalCareUploadEvidence',
			                          }
			                   });
						}
					
				},
				errorCallback: function(err) {}
		  })
		}
		
		function uploadPhoto(uploadConfig) {

			params.evidenceKey = $$(this).attr("name");

			var buttons1 = [{
					text: '拍摄',
					onClick: function() {
						takePicture('', uploadConfig.picId, uploadConfig.type, omUploadSuccess, '', '');
					}
				},
				{
					text: '从相册选择',
					onClick: function() {
						choosePhoto('', uploadConfig.picId, uploadConfig.type, omUploadSuccess, '', '');
					}
				}
			];
			var buttons2 = [{
				text: '取消',
				color: 'red'
			}];
			var groups = [buttons1, buttons2];

			f7.actions(groups);
		}
		
		//瑕疵点查看事件
		var timer=setTimeout(function(){
			$$(".upload-evidence-item span").off('click').on('click', function() {
				var index=$(this).parent().index()-1;
				var id=$(this).parent().parent().attr("id");
				switch (id){
				case 'evidenceWorker1List':var checkResultArray=evidenceWorkerArr[index].checkResultArray;
											var checkContent=evidenceWorkerArr[index].otherContent;
											break;
				case 'evidenceWork2List':var checkResultArray=evidenceWorkArr[index].checkResultArray;
											var checkContent=evidenceWorkArr[index].otherContent;
											break;
				case 'evidenceHouse3List':var checkResultArray=evidenceHouseArr[index].checkResultArray;
											var checkContent=evidenceHouseArr[index].otherContent;
											break;
				case 'evidenceDwelling4List':var checkResultArray=evidenceDwellingArr[index].checkResultArray;
											var checkContent=evidenceDwellingArr[index].otherContent;
											break;
				case 'evidenceOther5List':var checkResultArray=evidenceOtherArr[index].checkResultArray;
											var checkContent=evidenceOtherArr[index].otherContent;
											break;
				}
				var recheckResult2 = {
						'0':'无瑕疵',
			            '1':'不清晰/不完整',
			            '2':'未显示关键信息',
			            '3':'超出有效期',
			            '4':'疑似造假',
			            '5':'其他'
			        };
				var newArray=checkResultArray.map(function(obj){
					return obj=(obj+'').slice(-1);
				})
				if(newArray[1]!='5'){
					var content="审核结果:"+recheckResult2[newArray[1]];
				}else{
					var content="审核结果:其他:"+checkContent[1];
				}
				f7.modal({
		  			title: '',
		  			text:  '<div class="model-title">'+content+'</div>',
		  			buttons: [
		  				{
		  					text: '<span>确定</span>',
		  					onClick: function(){
		  						f7.closeModal();  						
		  					}
		  				}
		  			]
		  		});
				window.event? window.event.cancelBubble = true : e.stopPropagation();
			})
		},500)
		// 成功回调函数
		function omUploadSuccess(token, i, u, t, data, imgId) {
			var t1 = t.slice(0, t.length - 1);
			if(t1 === 'patientMaterials') {
				patientMaterialsArr.push({
					picId: u,
					picType: '1',
					picName: evidenceInstanceDataArr[t.slice(t.length - 1) - 1].header,
					cloudKey: imgId,
					cloudUrl: token.iobsCloudUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: ''
				});
			}
			if(t1 === 'relationShipMaterials') {
				relationShipMaterialsArr.push({
					picId: u,
					picType: '2',
					picName: evidenceInstanceDataArr[t.slice(t.length - 1) - 1].header,
					cloudKey: imgId,
					cloudUrl: token.iobsCloudUrl,
					mIsCheck: false,
					checkResult: false,
					checkResultArray: [],
					otherContent: ''
				});
			}
			
			// 张晖修改于2017-03-10，手持身份证图片在此隐藏indicator
			f7.hideIndicator();
			var evidenceInstanceArrIndex = t.slice(t.length - 1) - 1;
			evidencePhotoArr[evidenceInstanceArrIndex].push(token.iobsCloudUrl);

			evidenceBrowserArr[evidenceInstanceArrIndex] = f7.photoBrowser({
				zoom: 400,
				photos: evidencePhotoArr[evidenceInstanceArrIndex]
			});

			evidenceInstanceArr[evidenceInstanceArrIndex].addSuccessEvent(u, token.iobsCloudUrl);
		}
	}

	return {
		render: render
	}
});